Neues für Microsoft Outlook 2000-Entwickler

Am Visual Basic-Objektmodell von Microsoft Outlook 2000 wurden umfangreiche Änderungen vorgenommen, um neue und verbesserte Features der Anwendung zu unterstützen. Es wurden viele Objekte, Eigenschaften, Methoden und Ereignisse hinzugefügt, sowohl zur Unterstützung neuer Features als auch zur Erweiterung der Funktionalität bereits vorhandener Features.

Bereiche der neuen Features

Die folgenden Themen enthalten grundlegende Erläuterungen zu den neuen Features in Outlook 2000.

  • Visual Basic für Applikationen unter Outlook

  • Unterstützung für COM-Add-ins

  • Ereignisse auf Anwendungsebene

  • Zusätzlicher Zugriff auf den Explorer und den Inspektor

  • Zusätzlicher Zugriff auf Anlagen

  • Unterstützung für das Verknüpfen von Kontakten

  • Unterstützung für benutzerdefinierte Eigenschaftenseiten

Neue Sprachelemente

Die folgenden Themen enthalten Listen der neuen Sprachelemente in Outlook 2000.

  • Neue Objekte

  • Neue Eigenschaften (nach Objekt)

  • Neue Eigenschaften (alphabetisch)

  • Neue Methoden (nach Objekt)

  • Neue Methoden (alphabetisch)

  • Neue Ereignisse (nach Objekt)

  • Neue Ereignisse (alphabetisch)

Neue Features in Outlook 98

Das folgende Thema enthält Informationen zu Features für die Entwicklung und zu Sprachelementen, die in Outlook 98 neu waren.

Neues für Microsoft Outlook 98-Entwickler


Wissenswertes über E-Mail-Dienstoptionen von Outlook

Microsoft Outlook 2000 kann in einem von drei Modi installiert werden: Unternehmen oder Arbeitsgruppe, Nur via Internet oder Kein E-Mail-Dienst.

Der Modus Unternehmen oder Arbeitsgruppe wurde für die Verwendung mit Microsoft Exchange Server entwickelt und unterstützt eine MAPI-basierte Architektur. Er verwendet Profile, die die Übertragung und Speicherung von Nachrichten konfigurieren. Dieser Modus wird im Allgemeinen in einer Unternehmensumgebung auf einem Microsoft Exchange Server verwendet, der viele Outlook-Funktionen für die Zusammenarbeit unterstützt, wie z. B. die Bibliothek für organisatorische Formulare und Öffentliche Ordner.

Anmerkung Einige Themen dieser Dokumentation gelten nur, wenn Microsoft Outlook in Verbindung mit einem Microsoft Exchange Server verwendet wird, da dieser Modus der für die Entwicklung von Lösungen auf Grundlage von Microsoft Outlook am häufigsten verwendete ist.

Der Modus Nur via Internet wird verwendet, um mit Outlook eine Verbindung zu einem Internet-Dienstanbieter (ISP) an Stelle eines Microsoft Exchange Servers herzustellen.

Der Modus Kein E-Mail Dienst gleicht dem Modus Nur Via Internet, er bietet jedoch keine E-Mail-Funktionen.


 Entwerfen von Arbeitsgruppenlösungen in Outlook

Entwerfen von Arbeitsgruppenlösungen in Outlook

Mit Microsoft Outlook können Sie eine Vielzahl von Arbeitsgruppenlösungen und Formularen erstellen. Sie können Arbeitsgruppenlösungen erstellen, indem Sie in einem Öffentlichen Ordner benutzerdefinierte Ansichten verwenden. Sie können auch einfache Formulare ohne Programmieraufwand oder erweiterte Formulare unter Verwendung von benutzerdefinierten Steuerelementen, Eigenschaften und von VBScript erstellen. Sie können auch auf ein anderes Office-Programm zurückgreifen, um ein Formular zu erstellen.

Es gibt vier grundlegende Vorgehensweisen zum Erstellen von Outlook-Lösungen. Sie können auf bereits vorhandene Elemente, wie beispielsweise Aufgaben- oder Terminelemente, zurückgreifen, diese einem Öffentlichen Ordner hinzufügen und dem Ordner eine Ansicht zuweisen. Mit dieser Methode erhalten Sie sofort eine Arbeitsgruppenlösung, ohne dass Sie irgendeinen Code schreiben müssen. Eine weitere Methode besteht darin, ein bereits vorhandenes Element, wie beispielsweise einen Kontakt oder eine E-Mail-Nachricht, zu ändern, indem weitere Seiten und Felder hinzugefügt werden. Bei dieser Methode können Sie durch Hinzufügen von Feldern und Seiten die Einsatzbreite des Elements ebenfalls erweitern, ohne dass Sie Code schreiben müssen. Zum Erstellen von erweiterten Formularen können Sie die Steuerelement-Werkzeugsammlung und VBScript verwenden, um von Outlook aus auf Eigenschaften, Ereignisse, Methoden und Objekte zuzugreifen. Sie können auch Formulare aus Office-Dokumenten verwenden, wie beispielsweise eine Spesenaufstellung, die Sie in Microsoft Excel erstellen.

Mit welcher Methode möchten Sie arbeiten?

Erstellen einer schnellen Arbeitsgruppenlösung unter Verwendung von Öffentlichen Ordnern

Erweitern der Einsatzbreite eines Outlook-Elements durch Hinzufügen von zusätzlichen Feldern und Seiten

Erstellen von benutzerdefinierten Formularen unter Verwendung von VBScript

Erstellen von Formularen basierend auf Office-Dokumenten


Übersicht über eine Standardlösung auf Grundlage von Ordnern

In Verbindung mit Microsoft Exchange Server stellt Microsoft Outlook Groupware-Funktionen zur Verfügung, die es ermöglichen, dass mehrere Personen mit denselben Daten arbeiten. Auch wenn Sie diese Funktionen nicht verwenden, können Sie dennoch Outlook-Ordner für Ihren persönlichen Gebrauch anpassen oder eine Lösung erstellen, die andere Personen in Ihrer Organisation verwenden können.

Wenn Sie beabsichtigen, eine Groupware-Lösung zu entwickeln, sollten Sie zuerst in Betracht ziehen, mit Hilfe von Outlook eine Einzelbenutzerlösung zu entwickeln. Da eine Groupware-Lösung oftmals einfach darin besteht, ein benutzerdefiniertes Formular in einem Öffentlichen Ordner von Microsoft Exchange abzulegen, ist das Erlernen der Grundlagen des Aufbaus von Ordner-basierten Lösungen für persönliche Formulare bestens geeignet, um Lösungen für Öffentliche Ordner zu entwickeln.

Sowohl für einen Ihrer Persönlichen Ordner als auch für einen Öffentlichen Ordner von Microsoft Exchange umfasst die Konstruktion einer Outlook-Lösung in der Regel folgende Schritte:

  1. Legen Sie fest, welcher Typ von Ordner und/oder Formular benutzerdefiniert angepasst werden soll. Weitere Informationen erhalten Sie unter Formulartypen in Outlook.

  2. Öffnen Sie ein neues Formular, und passen Sie es gemäß Ihren Bedürfnissen an.

  3. Veröffentlichen Sie das Formular im Ordner, so dass es in diesem Ordner verwendet werden kann.

  4. Richten Sie das benutzerdefinierte Formular als Standardformular des Ordners ein. Dadurch wird sichergestellt, dass die Erstellung neuer Elemente für den Gebrauch in diesem Ordner auf dem von Ihnen erstellten benutzerdefinierten Formular basiert.

  5. Wenn in Ihrem Ordner bereits Elemente vorhanden sind, aktualisieren Sie diese Elemente, so dass sie beim Öffnen das neue Formular verwenden. Weitere Informationen erhalten Sie unter Ändern des Formulars, das von in einem Ordner vorhandenen Elementen verwendet wird.

Anmerkung Wenn Sie beabsichtigen, ein benutzerdefiniertes Formular in einem Ordner zu verwenden, sollten Sie das benutzerdefinierte Formular erstellen, bevor Sie beliebige auf dem Formular basierende Elemente erstellen. Dadurch wird sichergestellt, dass alle Elemente des Ordners dieselben Felder verwenden.

Wenn Sie das Formular aktualisieren müssen, nachdem Sie einige Elemente in dem Ordner erstellt haben, gehen Sie wie folgt vor:

  1. Öffnen Sie ein neues, leeres Element auf der Grundlage Ihres benutzerdefinierten Formulars.

  2. Aktualisieren Sie das Formular entsprechend Ihren Bedürfnissen.

  3. Veröffentlichen Sie das Formular im Ordner erneut unter demselben Namen.


Verwenden von Ansichten zum Erstellen einer Lösung

Obwohl benutzerdefinierte Formulare eine leistungsfähige Weise des Umgangs mit Daten in einem Ordner darstellen, können Sie ebenso Microsoft Outlook in weiten Teilen anpassen, indem Sie einfach eine Ansicht erstellen, die Ihren Bedürfnissen entspricht. In einigen Fällen, abhängig von der Art, wie Sie mit Outlook arbeiten möchten, können Sie eine benutzerdefinierte Ansicht an Stelle eines benutzerdefinierten Formulars verwenden, um Daten einzugeben und zu ändern.

Die Eingabe von Daten in eine Ansicht erfolgt normalerweise durch Auswahl einer der Tabellenansichten von Outlook, in denen jede Reihe ein Element im Ordner und jede Spalte ein dem Element zugeordnetes Feld darstellt. Sie können die von Outlook angezeigten Felder auswählen und die Inhalte der Felder direkt in der Tabellenansicht eingeben und ändern. Das ermöglicht Ihnen die schnelle Änderung auch jener Elemente, die benutzerdefinierte Felder enthalten.

Ermöglichen der Bearbeitung von Feldern in einer Ansicht

  1. Klicken Sie auf Ansicht, zeigen Sie auf Aktuelle Ansicht, und klicken Sie anschließend auf Aktuelle Ansicht anpassen.

  2. Klicken Sie auf Weitere Einstellungen.

  3. Wählen Sie Bearbeiten in der Zelle ermöglichen aus.

Die Bearbeitung von Elementen in einer Tabellenansicht gestattet Ihnen die Kontrolle über Benutzerdaten, über die gleichzeitige Ansicht mehrerer Elemente, über die Eingabe von Daten in ein Element, ohne das Element öffnen zu müssen, und sie macht das Erstellen von benutzerdefinierten Formularen überflüssig.


 Ändern der Standardansicht für einen Ordner

Ändern der Standardansicht für einen Ordner

  1. Falls die Ordnerliste nicht angezeigt wird, klicken Sie im Menü Ansicht auf Ordnerliste.

  2. Klicken Sie mit der rechten Maustaste auf den Ordner, für den Sie die Standardansicht ändern möchten.

  3. Klicken Sie im Kontextmenü auf Eigenschaften.

  4. Klicken Sie auf die Registerkarte Ordnerverwaltung.

    5. Anmerkung Falls die Registerkarte Ordnerverwaltung nicht angezeigt wird, verfügen Sie nicht über die Berechtigung "Besitzer" für diesen Ordner.

  5. Geben Sie im Feld Erste Ansicht des Ordners die Ansicht ein, die jedes Mal angezeigt werden soll, wenn der Ordner geöffnet wird. Mit der Einstellung Normal wird die standardmäßige Microsoft Outlook-Ansicht für die Elementtypen im Ordner angezeigt.

Zum Ändern der Standardansicht für einen Öffentlichen Ordner müssen Sie über die Berechtigung "Besitzer" für diesen Ordner verfügen, und es muss mindestens eine benutzerdefinierte Ansicht definiert sein, die für jede Person sichtbar ist, die über die entsprechenden Zugriffsrechte für den Ordner verfügt.


Anzeigen von ausschließlich benutzerdefinierten Ansichten in einem Ordner

  1. Wählen Sie Aktuelle Ansicht aus dem Menü Ansicht, und klicken Sie auf Ansichten definieren.

  2. Aktivieren Sie das Kontrollkästchen Nur die für diesen Ordner erstellten Ansichten anzeigen.


Festlegen von Berechtigungen in einem Ordner

Wenn Sie der Eigentümer eines Öffentlichen Ordners sind, können Sie in diesem Ordner Berechtigungen festlegen, mit denen Sie die Benutzer in die Lage versetzen, auf bestimmte Funktionen zuzugreifen. Durch Hinzufügen von Benutzernamen, Namen von Verteilerlisten oder Namen von Öffentlichen Ordnern auf der Registerkarte Rechte im Feld Name können Sie bestimmen, welche Person folgende Aktionen ausführen darf:

  • Erstellen von Elementen

  • Lesen von Elementen

  • Erstellen von untergeordneten Ordnern

  • Bearbeiten von Elementen

  • Löschen von Elementen

Sie können darüber hinaus auch festlegen, wer der Eigentümer des Ordners ist, wer Ansprechpartner in Bezug auf den Ordner ist und für welchen Personenkreis der Ordner angezeigt werden soll.

So legen Sie Berechtigungen fest:

  1. Klicken Sie in der Ordnerliste mit der rechten Maustaste auf den Öffentlichen Ordner, für den Sie Berechtigungen vergeben möchten, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

    Anmerkung Die Registerkarte Eigenschaften ist nur dann verfügbar, wenn es sich bei dem Ordner um einen Öffentlichen Ordner handelt.

  2. Klicken Sie auf die Seite Rechte.

  3. Klicken Sie auf die Schaltfläche Hinzufügen, um einen Benutzernamen hinzuzufügen. Wählen Sie einen Namen aus dem Adressbuch aus, und klicken Sie auf OK.

  4. Markieren Sie im Feld Name den Namen des Benutzers, dessen Berechtigung Sie ändern möchten.

  5. Wählen Sie aus dem Feld Berechtigungsstufe die Berechtigung für diesen Benutzer aus. Die Kontrollkästchen für die Rechte werden automatisch auf die Standardwerte für diese Berechtigung zurückgesetzt.

  6. Wenn Sie eine benutzerdefinierte Berechtigung festlegen möchten, aktivieren Sie die Kontrollkästchen für die Rechte, die Sie diesem Benutzer einräumen möchten. Die Werte im Feld Berechtigungsstufe ändern sich auf Benutzerdefiniert.

  7. Wenn Sie die Berechtigungsstufe für alle Benutzer festgelegt haben, klicken Sie auf der Seite Eigenschaften auf OK.

Anmerkung Zum Entfernen eines Namens markieren Sie den gewünschten Namen, und klicken Sie auf Entfernen. Sie können jeden beliebigen Namen außer "Standard" aus dem Feld Name entfernen.


 Erstellen eines benutzerdefinierten Feldes

Erstellen eines benutzerdefinierten Feldes

In Outlook können Sie verschiedene benutzerdefinierte Felder auf der Grundlage des ausgewählten Datentyps erstellen.

Klicken Sie auf [image] , um weitere Informationen über die verfügbaren Datentypen zu erhalten.

Klicken Sie auf [image] , um weitere Informationen über Standardformate, die Sie in Verbindung mit Datentypen verwenden können, zu erhalten.

  • Wenn Sie Informationen über ein Element eingeben und anzeigen möchten, erstellen Sie ein einfaches Feld mit einem einzigen Datentyp. Erstellen Sie zum Beispiel ein Datums-/Uhrzeitfeld, wenn Sie ein Datum eingeben möchten.

  • Wenn Sie mehrere Felder in einer Spalte einer Tabelle (oder in einer Zeile einer Karte) anzeigen möchten, erstellen Sie ein Kombinationsfeld vom Datentyp Combination. Sie können alle ausgewählten Felder in einer Spalte oder nur das erste Feld, das einen Eintrag enthält, anzeigen. Dies ist hilfreich, um den verfügbaren Platz in einer Ansicht zu optimieren.

  • Wenn Sie die Ergebnisse oder Berechnungen von Standardfeldern oder Feldern, die Sie erstellen, anzeigen möchten, erstellen Sie ein Formelfeld. Klicken Sie auf [image] , um weitere Informationen über die Standardfelder für Elemente in Outlook zu erhalten. Klicken Sie auf [image] , um weitere Informationen über die verfügbaren Funktionen zu erhalten.

Was möchten Sie tun?

Ein einfaches Feld für einen Ordner erstellen

Ein Kombinationsfeld für einen Ordner erstellen

Ein Formelfeld für einen Ordner erstellen


 Info über Outlook-Formulare

Info über Outlook-Formulare

Ein Formular stellt eine einfache Möglichkeit zum elektronischen Verteilen und Sammeln von Informationen dar. Beispielsweise kann ein Formular zur Verfügung stehen, das von jedem Mitglied Ihrer Organisation verwendet wird, um Bürobedarf zu bestellen oder um Informationen in einem Öffentlichen Ordner zu veröffentlichen. Microsoft Outlook bietet integrierte Formulare wie beispielsweise das Formular Neue Nachricht zum Verfassen von Nachrichten oder das Formular Neuer Kontakt zum Eingeben der Daten zu einem Kontakt. Wenn Sie eine E-Mail-Nachricht gesendet oder einen Termin erstellt haben, haben Sie ein Formular verwendet. Jedes Outlook-Element basiert auf einem Formular.

Sie verwenden die Outlook-Formularentwurfsumgebung, um benutzerdefinierte Formulare entweder aus einem Element (auf der Grundlage eines integrierten Formulars) oder aus einer Office-Datei zu erstellen. Verwenden Sie eines der integrierten Formulare, um die Funktionalität des hiermit verbundenen Elements zu nutzen - wenn Sie also beispielsweise die automatische Namensüberprüfung in ein benutzerdefiniertes Formular übernehmen möchten, erstellen Sie es auf der Grundlage eines Formulars für E-Mail-Nachrichten. Zum Ändern des Formulars können Sie Felder, Steuerelemente, Optionen und Registerkarten hinzufügen oder entfernen. Sie können auch eine Office-Datei verwenden, um die Funktionalität eines anderen Office-Programms, wie beispielsweise Microsoft Excel oder Word, in ein benutzerdefiniertes Formular zu übernehmen. Ein Formular kann als Datei (zur Verwendung als Vorlage oder in einem anderen Programm) oder in einer Formularbibliothek gespeichert werden (um das Formular auch für andere Personen zugänglich zu machen).

Entwickler können die Funktionalität von Formularen mit ActiveX-Steuerelementen erweitern und den Zugriff auf Seiten im World Wide Web direkt vom Formular aus ermöglichen, indem sie die Steuerelemente des Internet Control Pack verwenden. Formulare können auch mit Hilfe von VBScript programmiert werden.

Sie können Outlook-Formulare zwar nicht in Visual Basic oder Microsoft Exchange verwenden, aber Sie können Formulare, die mit dem Microsoft Exchange Forms Designer erstellt wurden, in Outlook verwenden.


Wie Outlook-Formulare und -Elemente miteinander arbeiten

Microsoft Outlook speichert seine Informationen in Form einzelner Elemente in einem Ordner. Ein Outlook-Element gleicht einem Datensatz in einer Datenbank darin, dass es aus einer Gruppe von Feldern besteht, die Informationen zu dem angegebenen Element speichern.

Outlook zeigt den Inhalt eines Elements auf zweierlei Weise an: entweder in der Ansicht eines Explorer-Fensters oder als Formular in einem Inspektor-Fenster. Ein Formular liefert im Allgemeinen eine ausführlichere Ansicht der Informationen und eröffnet dem Benutzer mehr Eingriffsmöglichkeiten in den Inhalt des Elements. Gewissermaßen ist ein Formular die vorherrschende Schnittstelle eines Elements. Outlook stellt für jeden Typ eines Elements (Mail-Nachricht, Kontakt, usw.) mindestens ein Standardformular zu Verfügung. Sie können benutzerdefinierte Versionen dieser Formulare erstellen, um die Weise zu ändern, in der Outlook die Elemente anzeigt. Sie können zusätzliche Seiten anzeigen lassen, die normalerweise ausgeblendet sind, und Sie können Steuerelemente auf diesen Seiten einfügen. In der Regel sind diese Steuerelemente an Felder in dem Element gebunden, so dass der Benutzer den Inhalt dieser Felder anzeigen lassen und bearbeiten kann. In einigen Fällen können Sie auch die Standardseiten eines Formulars anpassen.

Jedes Element enthält ein Feld Nachrichtenklasse. Dieses Feld enthält den Namen des Formulars, das Outlook für die Anzeige und zur Bearbeitung zur Verfügung stellt. Zum Beispiel hat ein Kontaktelement die Standardnachrichtenklasse IPM.Contact. Wenn Sie ein benutzerdefiniertes Formular mit dem Namen Kunde erstellen, enthält das Feld Nachrichtenklasse der Elemente, die dieses Formular verwenden, den Wert IPM.Contact.Kunde. Die Nachrichtenklasse aller Outlook-Elemente beginnt immer mit IPM. Der zweite Teil der Nachrichtenklasse bezeichnet den Typ des Outlook-Formulars, auf dem das Formular basiert. Der dritte Teil ist nur dann vorhanden, wenn das Formular eine benutzerdefinierte Version eines Outlook-Standardformulars ist.


Formulartypen in Outlook

Beim Erstellen eines benutzerdefinierten Formulars in Microsoft Outlook beginnen Sie immer mit der Auswahl eines der Standardformulare von Outlook. In den meisten Fällen ist der Typ des Formulars, den Sie anpassen möchten, durch die Art der zu erstellenden Lösung vorgegeben. In der folgenden Tabelle werden die Formulartypen und der jeweilige typische Verwendungszweck aufgelistet.

Formular | Beschreibung
Kontakt | Sammeln von Informationen über Personen oder Organisationen.
Verteilerliste | Erstellen von Listen von Kontakten und E-Mail-Adressen, die als einzelne E-Mail-Adresse verwendet werden können.
Aufgabe | Verfolgen von Informationen über eine zu erledigende Aufgabe.
E-Mail-Nachricht | Senden von Informationen in einem bestimmten Format an eine Person oder Bereitstellen von Mitteln, mit denen Personen Daten eingeben und senden können.
Bereitstellen | Unterstützen von hierarchischen Konversationen in einem Öffentlichen Ordner von Microsoft Exchange oder für andere Zwecke, z. B. Bereitstellen von Dateianlagen in einem Ordner.
Termin | Darstellen einer Besprechung oder eines geplanten Ereignisses.
Journaleintrag | Protokollieren von Informationen über ein anderes Element oder Ereignis.
Office-Formular | Für vorwiegende Anpassungen in einer Office-Anwendung, z. B. an einem Microsoft Word-Dokument oder einer Microsoft Excel-Arbeitsmappe.

Im Folgenden werden einige Aspekte dargestellt, die bei der Entscheidung für einen Formulartyp zu beachten sind:

  • Von welcher Art sind die Lösungen, die Sie erstellen? Wenn das Formular versendet wird, ist eine Mail-Nachricht geeignet. Wenn die Lösung verwendet wird, um Informationen in einem Ordner festzuhalten, ist ein Post-, Kontakt-, Aufgaben- oder Terminformular besser geeignet.

  • Welches Formular bietet die meisten der benötigten Funktionen? Die Standardformulare von Outlook liefern möglicherweise einen Großteil der Funktionalität, so dass Sie das Formular auswählen sollten, das die geringste Anpassung erforderlich macht.

  • Welche Standardfelder werden für das Formular benötigt? Jedes Outlook-Formular hat seine eigenen Standardfelder, um Informationen für diese Elementtypen zu erfassen. Sie sollten das Formular verwenden, dessen Felder den meisten Ihrer Anforderungen entsprechen.

  • Welche Seiten des Formulars können angepasst werden? Einige Seiten in Outlook-Formularen können nicht angepasst werden, obwohl Sie sie bei Bedarf ausblenden können.


 Ändern des Standardformulars für einen Ordner

Ändern des Standardformulars für einen Ordner

Für dieses Verfahren müssen Sie über Inhaberrechte für einen Öffentlichen Ordner verfügen.

  1. Klicken Sie mit der rechten Maustaste auf den Ordner, für den Sie das Standardformular angeben möchten, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Klicken Sie im Feld Veröffentlichen in diesem Ordner mit auf das Formular, das andere Personen verwenden sollen.

Tipp Zum Kopieren, Installieren, Löschen oder Aktualisieren von Formularen in diesem Ordner klicken Sie auf der Registerkarte Formulare auf Formulare verwalten. Sie können auch die in einem Öffentlichen Ordner verfügbaren Formulare angeben, indem Sie unter Bereitstellen in diesem Ordner mit auf eine Option klicken.

Informieren Sie sich über das Ändern des Formulars für in einem Ordner vorhandene Elemente.


Ändern des Formulars, das von in einem Ordner vorhandenen Elementen verwendet wird

In manchen Fällen müssen Sie möglicherweise das Formular verändern, dem Elemente zugeordnet sind, die bereits in einem Ordner vorhanden sind. Dies ist häufig nach dem Importieren von Elementen notwendig, oder wenn Sie ein benutzerdefiniertes Formular erstellen, nachdem Sie bereits Elemente auf der Grundlage eines Microsoft Outlook-Standardformulars erstellt haben.

Das Feld Nachrichtenklasse kann nicht direkt mit Hilfe der Outlook-Benutzeroberfläche verändert werden, Sie können aber VBScript, Visual Basic oder Visual Basic für Applikationen verwenden, um das Feld Nachrichtenklasse zu ändern.

Sie können den folgenden Automationscode als Grundlage verwenden, um Ihre eigenen Lösungen zu entwickeln. Dieser Code setzt voraus, dass der Name des neuen Formulars MyForm lautet. Er wird alle Kontakte in Ihrem Standardordner Kontakte so ändern, dass diese MyForm verwenden.

Sub ChangeMessageClass()
Set olApp = New Outlook.Application
Set olNS = olApp.GetNameSpace("MAPI")
Set ContactsFolder = _
    olNS.GetDefaultFolder(olFolderContacts)
Set ContactItems = ContactsFolder.Items
For Each Itm in ContactItems
   If Itm.MessageClass <> "IPM.Contact.MyForm" Then
      Itm.MessageClass = "IPM.Contact.MyForm"
      Itm.Save
   End If
Next
End Sub

Anmerkung Wenn Sie einen anderen Ordner als den Standardordner verwenden möchten, verwenden Sie die Ordner-Auflistung, um auf einen beliebigen in Ihrer Ordnerliste verfügbaren Ordner zu verweisen.


 Erstellen eines Outlook-Formulars

Erstellen eines Outlook-Formulars

Anmerkung Alle benutzerdefinierten Formulare müssen auf bereits vorhandenen Outlook-Formularen basieren. Wenn Sie nicht auf die von Outlook gebotene standardmäßige Formularfunktionalität zurückgreifen möchten, können Sie alle Seiten des Standardformulars ausblenden und nur die zusätzlichen leeren Seiten verwenden, um ein vollständig benutzerdefiniertes Formular zu erstellen.

Klicken Sie auf [image] , um weitere Informationen über das Ausblenden von Seiten zu erhalten.

Klicken Sie auf [image] , um weitere Informationen über das Auswählen der Outlook-Elemente zu erhalten, auf denen Ihr benutzerdefiniertes Formular basieren soll.

Klicken Sie auf [image] , um Informationen über das Erstellen eines Formulars zu erhalten, das auf einem Office-Dokument basiert.

So beginnen Sie mit dem Entwerfen eines Outlook-Formulars:

  1. Öffnen Sie ein Outlook-Element. Hierfür stehen verschiedene Methoden zur Auswahl. Um beispielsweise ein neues E-Mail-Nachrichtenelement zu öffnen, können Sie:
    • auf das Symbol Neue E-Mail-Nachricht klicken, um eine E-Mail-Nachricht zu öffnen.

    • auf den Pfeil neben dem Symbol Neue Nachricht und dann auf E-Mail-Nachricht klicken.

    • aus dem Menü Datei den Befehl Neu wählen und dann auf E-Mail-Nachricht klicken.

    • im Menü Aktionen den Befehl Neue Nachricht wählen.

    • an einer beliebigen Stelle im leeren Bereich des Fensterausschnitts Posteingang doppelklicken.
  2. Wenn das neue Formular geöffnet ist, wählen Sie aus dem Menü Extras des Formulars Formulare, und klicken Sie auf Dieses Formular entwerfen. Sie können auch auf Formular entwerfen klicken, um so ein vollkommen anderes Formular zu entwerfen.

  3. Fügen Sie Ihrem neuen Formular die gewünschten Felder, Steuerelemente und Code hinzu.


 Benutzerdefiniertes Anpassen von Seiten in einem Formular

Benutzerdefiniertes Anpassen von Seiten in einem Formular

Im Allgemeinen können Sie bis zu fünf Seiten in einem Formular Ihren Anforderungen entsprechend anpassen. Für E-Mail-Nachrichten und öffentliche Nachrichten können Sie eine sechste Seite, die Seite Nachrichten, vorsehen. Für Kontakte können Sie die Seite Allgemeines anpassen.

Während sich das Formular im Entwurfsmodus befindet, gehen Sie folgendermaßen vor:

  1. Klicken Sie auf die Seite, die Sie anpassen möchten.

  2. Ziehen Sie aus der Feldauswahl ein Feld auf die Seite. Outlook weist dem Feld automatisch eine Größe zu.

    Falls Sie das gewünschte Feld in der Feldauswahl nicht finden können, klicken Sie im Feld im oberen Bereich der Feldauswahl auf eine andere Gruppe Felder.

  3. Um Felder auszurichten oder ihre Größe zu ändern oder um Felder zu entfernen, klicken Sie mit der rechten Maustaste auf das Feld und anschließend die gewünschten Optionen aus dem Kontextmenü.

  4. Fügen Sie Steuerelemente hinzu, oder entfernen Sie nicht benötigte Steuerelemente.

Tipps

  • Zum Erstellen von Feldern klicken Sie in der Feldauswahl auf Neu. Geben Sie im Feld Name einen Namen für das Feld ein, und wählen Sie anschließend einen Feldtyp und ein Format aus. Felder unterstützen berechnete Ausdrücke, Formeln zur Gültigkeitsprüfung und Feldformatierungen. So erstellen Sie Felder.

  • Wenn Sie ein Feld oder ein Steuerelement auf eine ausgeblendete Seite ziehen, wird die Seite während der Laufzeit automatisch angezeigt.


 Erstellen von Formularen basierend auf Office-Dokumenten

Erstellen von Formularen basierend auf Office-Dokumenten

Office-Dokumente können in Outlook ebenfalls als Formulare verwendet werden, wobei Sie hierbei jedoch keine benutzerdefinierten Seiten im Formular erstellen können.

So öffnen Sie ein Office-Dokument als Formular:

  1. Zeigen Sie im Menü Datei auf Neu, und klicken Sie anschließend auf Office-Dokument.

  2. Doppelklicken Sie auf den Dokumenttyp, den Sie verwenden möchten.

  3. Wählen Sie im Nachrichtenfeld die Option Das Dokument in diesem Ordner veröffentlichen, wenn Sie das Dokument als ein Element zum Veröffentlichen öffnen möchten, oder wählen Sie Das Dokument an jemanden senden, wenn Sie das Dokument als E-Mail-Element öffnen möchten.

Mit den Funktionen des jeweiligen Programms können Sie jeden Formulartyp Ihren Anforderungen entsprechend entwerfen und gestalten. Beispielsweise können Sie mit Microsoft Excel ein einfaches benutzerdefiniertes Formular erstellen, in dem der Benutzer einfach die leeren Zellen ausfüllt. Oder Sie können all die im Programm integrierten Makros und Visual Basic-Steuerelemente verwenden, um ein etwas anspruchsvolleres Formular zu entwickeln. Sie können die Aktionen und Eigenschaften des Formulars festlegen, oder Sie können das Formular in einer Formularbibliothek veröffentlichen, indem Sie aus dem Menü Extras den Befehl Formulare wählen und anschließend auf Formular veröffentlichen klicken. Nachdem Sie ein Office-Dokument als Formular geöffnet haben, müssen Sie, wenn Sie Hilfe benötigen, den Hilfe-Befehl des entsprechenden Programms aus dem Menü ? verwenden (wenn Sie beispielsweise ein Word-Dokument geöffnet haben, klicken Sie im Menü ? auf Microsoft Word-Hilfe).


 Erstellen eines Formulars aus einer Office-Datei

Erstellen eines Formulars aus einer Office-Datei

Dieses Verfahren setzt voraus, dass Sie sich in einem Outlook-Ordner mit Elementen oder in einem Öffentlichen Ordner befinden, und nicht in einem Dateiordner.

  1. Zeigen Sie im Menü Datei auf Neu, und klicken Sie anschließend auf Office-Dokument.

  2. Doppelklicken Sie auf das Symbol für den Dateityp, den Sie anlegen möchten.

  3. Zum Erstellen eines Formulars, das Sie in einem Öffentlichen oder Persönlichen Ordner veröffentlichen können und das nur eine Dokumentseite enthält, klicken Sie auf Das Dokument in diesem Ordner veröffentlichen.

    Zum Erstellen eines Formulars, das Sie senden können und das Dokument-, Nachrichten- und Optionsseiten enthält, klicken Sie auf Das Dokument an jemanden senden.

  4. Zeigen Sie im Menü Extras auf Formulare, und klicken Sie anschließend auf Dieses Formular entwerfen.

  5. Blenden Sie Seiten im Formular aus oder ein.

    Vorgehensweise

  6. Legen Sie Eigenschaften auf der Seite Eigenschaften fest.

    Vorgehensweise

  7. Erstellen Sie vordefinierte Aktionen, wie beispielsweise Antwortmöglichkeiten, für das Formular.

    Vorgehensweise

  8. Speichern und verteilen Sie das Formular.

    Vorgehensweise

  9. Testen Sie das Formular.

    Vorgehensweise


 Erstellen von benutzerdefinierten Formularen unter Verwendung von VBScript

Erstellen von benutzerdefinierten Formularen unter Verwendung von VBScript

Microsoft VBScript ist eine Untermenge von Visual Basic für Applikationen (VBA). Sie können mit Hilfe von VBScript Prozeduren erstellen, mit denen Microsoft-Outlook-Ordner, -Objekte, -Elemente und -Eigenschaften gesteuert werden können. VBScript in Outlook erfordert eine spezielle Objektsyntax, die sich in einigen Bereichen - speziell im Hinblick auf Objektverweise - von der in Visual Basic für Applikationen unterscheidet.

Informieren Sie sich über das Outlook-Objektmodell.

Visuelle Darstellung der Hierarchie des Outlook-Objektmodells

Sie können das Outlook-Element auswählen, auf dem Ihr benutzerdefiniertes Formular basieren soll. Informieren Sie sich über das Auswählen von Elementen.

Sie können Outlook-Formulare funktionell erweitern, indem Sie die Zusatzsteuerelemente aus der Steuerelement-Werkzeugsammlung verwenden. In Outlook-Formularen können die meisten der zu den Steuerelementen gehörenden Eigenschaften und Methoden verwendet werden. Da in Steuerelementen keine Werte gespeichert werden können, müssen Sie das Steuerelement zu diesem Zweck an ein Outlook-Feld binden.

Informieren Sie sich über das Binden von Elementen..

Im Outlook-Objektkatalog werden die Klassen, Eigenschaften, Methoden, Ereignisse und Konstanten angezeigt, die seitens der Outlook-Objektbibliothek zur Verfügung stehen. Mit dem Objektkatalog können Sie Objekte im Microsoft Skript-Editor anzeigen und verwenden, und Sie erhalten Informationen über die Syntax für die Verwendung des jeweiligen Objekts.

Informieren Sie sich über Anzeigen und Verwenden des Objektkatalogs.

Mit Microsoft Script Debugger erhalten Sie eine umfassende Debugging-Umgebung für das Testen von und die Problembehandlung in VBScript-Code, den Sie für Ihre Formulare erzeugt haben.

Informieren Sie sich über den Skriptdebugger.


 Erweitern der Einsatzbreite eines Outlook-Elements durch Hinzufügen von zusätzlichen Feldern und Seiten

Erweitern der Einsatzbreite eines Outlook-Elements durch Hinzufügen von zusätzlichen Feldern und Seiten

Bei dieser Vorgehensweise werden einem standardmäßigen Outlook-Element, wie beispielsweise einem Kontakt, einer E-Mail-Nachricht, einer Aufgaben- oder einer Besprechungsanfrage, weitere Felder und eine zusätzliche Seite hinzugefügt.

Klicken Sie auf [image] zum Anzeigen eines Beispiels, wie ein bereits vorhandenes Element geändert werden kann.

Anmerkung Alle benutzerdefinierten Formulare müssen auf bereits vorhandenen Outlook-Formularen basieren. Wenn Sie nicht auf die von Outlook gebotene standardmäßige Formularfunktionalität zurückgreifen möchten, können Sie alle Seiten des Standardformulars ausblenden und nur die zusätzlichen leeren Seiten verwenden, um ein vollständig benutzerdefiniertes Formular zu erstellen. Klicken Sie auf [image] , um weitere Informationen über das Ausblenden von Seiten zu erhalten.

  1. Öffnen Sie das Element, auf dem das Formular basieren soll. Wenn Sie beispielsweise ein Formular erstellen möchten, mit dem Daten über eine Person oder Organisation geordnet und zusammengetragen werden sollen, öffnen Sie einen Kontakt. Wählen Sie im Kontakt Formulare aus dem Menü Extras, und klicken Sie auf Dieses Formular entwerfen. Auf diese Weise wird das Element im Entwurfsmodus geöffnet.

    Klicken Sie auf [image] , um weitere Informationen über das Auswählen der Outlook-Elemente zu erhalten, auf denen Ihr benutzerdefiniertes Formular basieren soll.

  2. Legen Sie die Attribute für das Formular fest. Im Entwurfsmodus fügen Sie Attribute wie beispielsweise einen Titel, ein Kennwort oder eine Beschreibung auf der Seite Eigenschaften hinzu. Auf der Seite Aktionen finden Sie eine Liste der standardmäßigen Antwortformulare. Sie können Ihre eigenen, benutzerdefinierten Antwortformulare ebenfalls der Seite Aktionen hinzufügen, und Sie können verschiedene Aspekte in der Art und Weise ändern, wie die standardmäßigen Antwortformulare funktionieren. Klicken Sie auf [image] , um weitere Informationen über das Festlegen von Formularattributen zu erhalten.
  3. Gestalten Sie das Formular, indem Sie Felder und Seiten im Formular verschieben, entfernen und hinzufügen. Alle ursprünglich auf dem Formular befindlichen Felder und alle Felder, die Sie über die Feldauswahl hinzufügen, behalten ihre Funktionalität und ihre integrierten Eigenschaften bei. Wegen Prozeduren zum Entwerfen von Formularseiten siehe Erstellen von Formularen unter Lösungen mit Formularen, Öffentlichen Ordnern und Ansichten auf der Registerkarte Inhalt der Hilfe.

  4. Testen und veröffentlichen Sie Ihr Formular. Sie können sofort sehen, wie Ihr Formular aussieht; öffnen Sie hierzu einfach Ihr neues Formular im Ausführungsmodus, indem Sie im Menü Formular des Formulars auf Dieses Formular ausführen klicken. Sie können das Formular zunächst in Ihrer Bibliothek für persönliche Formulare oder in einem anderen Ordner veröffentlichen, um es zu testen; anschließend veröffentlichen Sie es in einem Öffentlichen Ordner oder in der Bibliothek für organisatorische Formulare, so dass auch andere Benutzer darauf zugreifen können. Klicken Sie auf [image] , um weitere Informationen darüber zu erhalten, wie Sie ein Formular in einer Formularbibliothek speichern.


 Verwenden der Feldauswahl

Verwenden der Feldauswahl

Obwohl Sie einem Formular ein Steuerelement hinzufügen und das Steuerelement anschließend an ein Feld binden können, ist es normalerweise sinnvoller die Feldauswahl zu verwenden. Die Feldauswahl ermöglicht Ihnen, ein Steuerelement in einem Schritt einzufügen und zu binden. Darüber hinaus verfügt das von der Feldauswahl zur Verfügung gestellte integrierte Steuerelement in vielen Fällen über spezielle Features und Funktionen, die nicht durch die Bindung eines Standardsteuerelements an ein Feld erreicht werden können.

Outlook zeigt die Feldauswahl an, wenn Sie ein Formular im Entwurfsmodus öffnen.


 Öffnen eines Formulars

Öffnen eines Formulars

Sie können benutzerdefinierte Formulare öffnen, die Sie in Outlook erstellt haben. Wie Sie ein benutzerdefiniertes Formular öffnen können, ist davon abhängig, wo Sie es gespeichert haben.

Zum Öffnen eines Formulars, das sich an diesem Speicherort befindet | Gehen Sie folgendermaßen vor
Im Ordner Formular-Bibliothek | Wählen Sie den Ordner aus, in dem Sie das Formular gespeichert haben, und klicken Sie auf das Menü Aktionen. Markieren Sie das gewünschte Formular, und klicken Sie darauf, um es zu öffnen.
In der Bibliothek für organisatorische Formulare | Wählen Sie Neu aus dem Menü Datei, und klicken Sie anschließend auf Formular wählen. Klicken Sie, falls erforderlich, im Dialogfeld Formular wählen im Feld Suchen in auf Bibliothek für organisatorische Formulare.
In der Bibliothek für persönliche Formulare | Wählen Sie Neu aus dem Menü Datei, und klicken Sie anschließend auf Formular wählen. Klicken Sie, falls erforderlich, im Dialogfeld Formular wählen im Feld Suchen in auf Bibliothek für persönliche Formulare.
Gespeichert als Outlook-Vorlage | Wählen Sie Neu aus dem Menü Datei, und klicken Sie anschließend auf Formular wählen. Klicken Sie, falls erforderlich, im Dialogfeld Formular wählen im Feld Suchen in auf Vorlagen im Dateisystem.
Als Datei gespeichert | Klicken Sie im Menü Extras auf Suchen. Klicken Sie im Suchen-Bereich auf Erweiterte Suche. Klicken Sie im Feld Suchen nach auf Dateien (Outlook/Exchange), und geben Sie dann den Namen der Datei in das Feld Name: ein.
In der Bibliothek für Standardformulare | Wählen Sie Neu aus dem Menü Datei, und klicken Sie anschließend auf Formular wählen. Klicken Sie, falls erforderlich, im Dialogfeld Formular wählen im Feld Suchen in auf Bibliothek für Standardformulare.


 Bearbeiten eines Formulars

Bearbeiten eines Formulars

  1. Öffnen Sie das Formular.

    Vorgehensweise

  2. Wählen Sie Formulare aus dem Menü Extras, und klicken Sie auf Dieses Formular entwerfen, um in den Entwurfsmodus der Seite zu wechseln.

  3. Nehmen Sie die gewünschten Änderungen vor.

  4. Speichern Sie das Formular.

    Vorgehensweise


 Erstellen vordefinierter Aktionen für ein Formular

Erstellen vordefinierter Aktionen für ein Formular

Während sich das Formular im Entwurfsmodus befindet, gehen Sie folgendermaßen vor:

  1. Klicken Sie auf die Registerkarte Aktionen.

  2. Klicken Sie auf Neu.

  3. Wählen Sie die gewünschten Optionen aus.

    Wenn Sie zu einer Option Hilfe benötigen, klicken Sie auf das Fragezeichen [image] und anschließend auf die Option.

Anmerkungen

  • Sie können angeben, ob die Aktion als Befehlsschaltfläche sowohl im Menü Aktionen des Formulars als auch auf der Symbolleiste Formulardesign oder nur im Elementmenü angezeigt werden soll.

  • Mit Aktionen können Sie andere Formulare öffnen, sogar Formulare eines anderen Typs. Beispielsweise können Sie ein Nachrichtenformular erstellen, auf dem sich eine Aktion befindet, mit der ein Kontaktformular geöffnet wird.

  • Sie können Aktionen auch zum Erstellen neuer Elemente verwenden. Beispielsweise können Sie ein Nachrichtenformular erstellen, auf dem sich eine Aktion befindet, mit der ein neuer Kontakt erstellt wird. Das neue Element wird im aktuell geöffneten Ordner und nicht im Ordner KONTAKTE erstellt.


Übersicht über Terminformulare

Die Standardseiten eines Terminformulars können nicht angepasst werden. Da diese Seiten einen Großteil des Funktionsumfangs der Microsoft Outlook-Terminplanung ausmachen, wird empfohlen, dass Sie diese Seiten nicht ausblenden, sondern zusätzliche Funktionen auf einer neuen Seite im Formular einfügen.

Nach dem Erstellen eines benutzerdefinierten Terminformulars sind das voreingestellte Anfangsdatum und die voreingestellte Anfangszeit für neue Termine nicht mehr auf das aktuelle Datum und die auf die nächste halbe Stunde aufgerundete Zeit eingestellt. Mit Hilfe des folgenden VBScript-Beispielcodes können Sie diese Funktion wiederherstellen:

Function Item_Open()
   CurrentDayTime = Now()
   CurrentDay = Int(CurrentDayTime)
   CurrentTime = CurrentDayTime - CurrentDay
   ' Round time to next half-hour
   NewTime = (Int(CurrentTime * 48) + 1) / 48
   Item.Start = CurrentDay + NewTime
End Function


 Übersicht über Kontaktformulare

Übersicht über Kontaktformulare

Die Seite Allgemeines eines Kontaktformulars kann verändert werden, die anderen Standardseiten können jedoch nicht angepasst werden. Sie können diese Seiten ausblenden und neue Seiten in dem Formular erstellen. Informieren Sie sich über das Verwenden von Kontaktelement-Auswahlfeldern.

Die folgenden Schritte zeigen, wie auf einem Formular eine neue Schaltfläche Kategorien erstellt wird. Sie können diese Schritte auch zum Erstellen einer Schaltfläche verwenden, mit der die Dialogfelder Namen überprüfen oder Adresse überprüfen geöffnet werden.

Zum Erstellen einer Kategorien-Schaltfläche in einem Kontaktformular

  1. Verwenden Sie im Entwurfsmodus die Steuerelement-Toolbox, um ein Steuerelement CommandButton auf der Seite einzufügen.

  2. Klicken Sie mit der rechten Maustaste auf das Steuerelement, dann auf Eigenschaften und schließlich auf die Registerkarte Anzeige.

  3. Geben Sie im Feld Name das Wort cmdCategories ein.

  4. Geben Sie im Feld Titel das Wort Kategorien ein.

  5. Klicken Sie auf der Registerkarte Wert auf Feld auswählen, zeigen Sie auf Alle Kontaktfelder, klicken Sie auf Kategorien und dann auf OK.

  6. Zum Testen der Schaltfläche klicken Sie im Menü Formular auf Dieses Formular ausführen. Wenn das Formular im Ausführungsmodus angezeigt wird, klicken Sie auf die Schaltfläche Kategorien.

Obwohl das Feld Kategorien unter Alle Kontaktfelder gruppiert wird, kann es in allen Formulartypen verwendet werden, da alle Formulare über ein Feld Kategorien verfügen. Die Dialogfelder Namen überprüfen und Adresse überprüfen funktionieren jedoch nur in Kontaktformularen.

Anmerkung Sie können auf der Seite Allgemeines die Adress-, Telefon- und E-Mail-Auswahl-Listen, die Namen von Microsoft Outlook-Standardfeldern enthalten, nicht verändern. Im Listenfeld Speichern unter können Sie zwischen zwei Möglichkeiten wählen, wenn nur der Vor- und der Nachname eines Kontakts eingegeben wurde, und zwischen fünf Möglichkeiten, wenn auch der Name des Unternehmens eingegeben wurde. Auch diese Auswahlliste kann nicht verändert werden.


 Verwenden von Kontaktelement-Auswahlfeldern

Verwenden von Kontaktelement-Auswahlfeldern

Sie können ein Kontaktformular anpassen, indem Sie besonders gebundene Steuerelemente verwenden, die Dialogfelder anzeigen, mit deren Hilfe Benutzer Felder in Elementen ändern können.

Die meisten dieser Elemente sind direkt in der Feldauswahl verfügbar. Im Folgenden werden diese Steuerelemente aufgelistet.

Adressauswahl | Adresse ausgewählt
E-Mail-Auswahl | E-Mail ausgewählt
Telefon x-Auswahl | Telefon x ausgewählt

Um diese Felder auf einer Kontaktformularseite zu verwenden, öffnen Sie das Formular im Entwurfsmodus und verwenden anschließend die Feldauswahl, um das Feld auf die Seite zu ziehen. Dadurch werden automatisch die entsprechenden Steuerelemente und Beschriftungen auf der Seite erstellt.

Sie können aber auch ein Standard-Schaltflächensteuerelement an eines der drei speziellen Kontaktdialogfelder binden:

  • Kategorien

  • Adresse

  • Name

Binden eines Kontaktelement-Dialogfeldes an eine Schaltfläche

  1. Ziehen Sie im Entwurfsmodus eine Befehlsschaltfläche aus der Steuerelement-Toolbox auf eine Seite des Formulars.

  2. Klicken Sie mit der rechten Maustaste auf die Befehlsschaltfläche, dann auf Eigenschaften und anschließend auf Wert.

  3. Klicken Sie auf Feld auswählen, zeigen Sie auf Alle Kontaktfelder, und klicken Sie anschließend auf das Dialogfeld, das Sie an die Schaltfläche binden möchten.

Anmerkung Sie können dieselbe Methode auch dazu verwenden, um das Dialogfeld Kategorien an eine Schaltfläche auf dem Formular eines beliebigen Elements mit Ausnahme von E-Mail-Nachrichten zu binden. Das Dialogfeld Kategorien wird jedoch bei allen Formulartypen im Entwurf nur unter Alle Kontaktfelder aufgeführt.


Übersicht über Verteilerlistenformulare

Die Standardseiten von Verteilerlistenformularen können nicht angepasst werden. Da diese Seiten einen Großteil des Funktionsumfangs der Microsoft Outlook-Verteilerlisten ausmachen, wird empfohlen, dass Sie diese Seiten nicht ausblenden, sondern zusätzliche Funktionen auf einer neuen Seite im Formular einfügen.


Übersicht über Journalformulare

Die Standardseite des Journalformulars kann nicht verändert werden, Sie können diese Seite aber ausblenden und neue Seiten im Formular erstellen.

Anmerkung Die Liste der Eintragstyp-Einträge kann nicht angepasst werden.


Übersicht über E-Mail-Formulare

Alle Seiten eines E-Mail-Formulars können angepasst werden.

Wie Bereitstellungsformulare haben auch E-Mail-Formulare separate Verfassen- und Leseseiten. Wenn ein Benutzer eine neue E-Mail-Nachricht öffnet, wird das Formular im Modus Verfassen geöffnet. Außerdem werden Seiten angezeigt, so dass der Benutzer das zu versendende Formular ausfüllen kann. Wenn der Empfänger das Element öffnet, wird das Formular im Modus Lesen angezeigt, und eine andere Gruppe von Seiten und Steuerelementen kann dazu verwendet werden, die Daten in den Feldern anzuzeigen. Beim Entwerfen einer E-Mail-Nachricht können Sie wählen, ob Sie die separaten Lese- und Verfassenseiten deaktiveren möchten, damit das Formular zu jeder Zeit gleich aussieht. Wenn Sie separate Seiten verwenden, können Sie in den meisten Fällen mittels Kopieren und Einfügen die Steuerelemente von der einen Gruppe von Seiten auf die andere übertragen.

Informieren Sie sich über das Erstellen separater Verfassen- und Leseseiten

Wenn Sie ein E-Mail-Formular für ein Unternehmen anpassen, das Microsoft Exchange Server verwendet, sollte das Formular in der Bibliothek für organisatorische Formulare veröffentlicht werden. Wenn Sie dies tun, können Sie auf der Seite Eigenschaften des Formulars das Kontrollkästchen Element mit Beschreibung senden deaktivieren, damit beim Versenden des Elements nur die Feldinhalte übermittelt werden. Dies reduziert die Belastung des Netzwerks erheblich und erleichtert ein späteres Aktualisieren des Formulars, da jeder Client das freigegebene Formular verwendet, das auf dem Server abgelegt ist.

Beim Entwerfen eines E-Mail-Formulars ist es wichtig zu entscheiden, welches Nachrichtenformat für das Formular verwendet werden soll. Die Auswahl umfasst Microsoft Rich Text, HTML, Nur-Text und Microsoft Word. Beachten Sie auch, welche Versionen von Microsoft Outlook oder Word voraussichtliche Empfänger möglicherweise verwenden. Informieren Sie sich unter HTMLBody-Eigenschaft über die Festlegung des HTML-Formats für Nachrichtenformulare durch das Programm. Wie durch das Programm auf das Word-Objektmodell zugegriffen werden kann, um Einstellungen an einer Word-E-Mail-Nachricht vorzunehmen, erfahren Sie unter WordEditor-Eigenschaft.

Anmerkung Einige Eigenschaften und Objekte des E-Mail-Formulars verhalten sich möglicherweise abweichend, abhängig davon, ob Outlook im Modus Unternehmen oder Arbeitsgruppe oder im Modus Nur-via-Internet verwendet wurde.


 Erstellen separater Verfassen- und Lesen-Versionen für ein Formular

Erstellen separater Verfassen- und Lesen-Versionen für ein Formular

Sie können separate Verfassen- und Lesen-Versionen für jede Seite eines Formulars erstellen und bearbeiten. Die Verfassen-Version ist die Version, die der Sender sieht, also beispielsweise das Layout, was Sie sehen, wenn Sie eine Nachricht erstellen. Die Lesen-Version ist die Version, die der Empfänger sieht, also beispielsweise das Layout, was Sie sehen, wenn Sie eine E-Mail-Nachricht lesen.

Während sich das Formular im Entwurfsmodus befindet, gehen Sie folgendermaßen vor:

  1. Zum Erstellen oder Bearbeiten der Verfassen-Seite klicken Sie im Menü Formular auf Lesen-Layout bearbeiten.

    Zum Erstellen oder Bearbeiten der Lesen-Seite klicken Sie im Menü Formular auf Verfassen-Layout.

  2. Passen Sie Seiten im Formular an.

    Vorgehensweise

Anmerkung Sie können schnell zwischen den beiden Versionen wechseln, indem Sie auf die Schaltflächen Verfassen-Layout und Lesen-Layout in der Formular-Symbolleiste klicken. Falls diese Schaltflächen nicht verfügbar sind, haben Sie festgelegt, dass im Formular die Verfassen- und Lesen-Versionen die gleichen sind. Um nun mit separaten Verfassen- und Lesen-Versionen zu arbeiten, klicken Sie im Menü Formular auf Separates Lese-Layout.


Übersicht über Bereitstellungsformulare

Wie E-Mail-Formulare können auch alle Bereitstellungsformulare angepasst werden. Auch Bereitstellungsformulare haben getrennte Verfassen- und Leseseiten, die Sie verändern können.

Informieren Sie sich über das Erstellen separater Verfassen- und Leseseiten.

Ein Ordner, der Bereitstellungen enthält, wird normalerweise nach dem Feld Unterhaltung gruppiert, damit verwandte Themen beieinander aufgeführt werden. Die Einstellung des Feldes Unterhaltung, das im Microsoft Outlook-Objektmodell auch als ConversationTopic-Eigenschaft bezeichnet wird, basiert auf dem Feld Betreff einer neuen Bereitstellung im Ordner. Alle Antworten auf dieses Element erben das Feld Unterhaltung von dem übergeordneten Element.


Übersicht über Aufgabenformulare

Die Standardseiten eines Aufgabenformulars können nicht angepasst werden. Sie können diese Seiten jedoch ausblenden und in dem Formular neue Seiten erstellen.

Wenn Aufgaben in einem Persönlichen Ordner verwendet werden, können Sie Aufgaben an andere Personen übertragen. Wenn die Aufgabenelemente jedoch in einem Öffentlichen Ordner von Microsoft Exchange abgelegt sind, können sie nicht übertragen werden. Ersatzweise kann das Feld Zuständig verändert werden, um anzuzeigen, wer gerade für die Aufgabe zuständig ist. Es ist möglicherweise von Vorteil, eine benutzerdefinierte Ansicht zu erstellen, um dort die Aufgaben nach den für sie zuständigen Personen zu gruppieren.


 Erstellen eines Antwortformulars

Erstellen eines Antwortformulars

Wenn Sie ein Nachrichten-Formular erstellen, sollen Benutzer eine Antwort häufig unter Verwendung eines Antwortformulars senden.

Eine Aktion öffnet automatisch das Antwortformular, in der Regel wenn ein Benutzer auf Antworten, Weiterleiten oder einen anderen Befehl auf dem Formular klickt. Beispielsweise kann eine Schaltfläche Weiterleiten von einer Aktion erstellt werden. Wählt der Benutzer diese Schaltfläche aus, wird ein Weiterleitenformular geöffnet, das der Benutzer als Antwort auf Ihre Nachricht ausfüllt und sendet. Sie können festlegen, dass das Formular Standardkopfzeilen für Antworten und Weiterleiten verwendet. Sie können sogar ein Präfix vorgeben, wie AW, das im Betreffsfeld Ihres benutzerdefinierten Antwortformulars vorangestellt wird.

Sie können das Standardantwortformular von Outlook verwenden (diese Formulare sind auf der Seite Aktionen aufgelistet), oder Sie können diese Formulare deaktivieren und ein benutzerdefiniertes Antwortformular erstellen. Von Ihnen erstellte, benutzerdefinierte Antwortformulare werden im Entwurfsmodus im Formular auf der Seite Aktionen aufgelistet.

Sie können benutzerdefinierte Schaltflächen und Menübefehle erstellen und angeben, was bei deren Auswahl durch den Benutzer erfolgt. Sie können Schaltflächen und Menübefehle erstellen, die eine Aufgabe, ein Kalenderelement oder auch eine Notiz öffnen.

Sie können Informationen senden, ohne ein Antwortformular zu öffnen, indem Sie ein benutzerdefiniertes Antwortformular mit einer bestimmten E-Mail-Adresse voradressieren oder an einen Öffentlichen Ordner richten.

Was möchten Sie tun?

Ein benutzerdefiniertes Antwortformular erstellen

Eine benutzerdefinierte Schaltfläche oder einen Menübefehl zum Starten eines Antwortformulars hinzufügen

Eine Aufgabe, ein Kalenderelement oder eine Anmerkung in einem benutzerdefinierten Formular öffnen

Standardmäßige Antwort- und Weiterleitungskopfzeilen in Formularen verwenden

Text in ein Betreffsfeld des Antwortformulars automatisch einfügen

Festlegen, ob ein Formular eine Benutzeraufforderung ausgibt, geöffnet oder gesendet wird

Ein Antwortformular an einen öffentlichen Ordner oder eine E-Mail-Adresse voradressieren.


 Info über Formularname und Nachrichtenklasse

Info über Formularname und Nachrichtenklasse

Bei der Nachrichtenklasse handelt es sich um einen internen Bezeichner, der von Outlook und Microsoft Exchange verwendet wird, um ein Formular zu finden und zu aktivieren.

Die MessageClass-Eigenschaft entspricht der MAPI-Eigenschaft PR_MESSAGE_CLASS. Mit dieser Klasseneigenschaft wird festgelegt, in welchen Empfangsordner die Nachricht geleitet und welches Formular zum Anzeigen der Nachricht aktiviert werden soll.

Wenn Sie im Dialogfeld Formular veröffentlichen unter einen Namen in das Feld Anzeigename eingeben, werden Sie feststellen, dass das Feld Formularname standardmäßig den Anzeigenamen beinhaltet. Sie können als Formularnamen den gleichen Namen verwenden wie für den Anzeigenamen, Sie können den Formularnamen jedoch auch ändern. Der Anzeigename wird in der Titelzeile am oberen Rand des Formulars angezeigt. Er wird darüber hinaus auch verwendet, um den Namen zusammenzusetzen, unter dem das Formular veröffentlicht wird. Wenn Sie Ihr Formular veröffentlichen, wird der Anzeigename im Dialogfeld Formular wählen aufgeführt.

Outlook erstellt automatisch eine Nachrichtenklasse für das Formular, indem dem Formularnamen IPM vorangestellt wird. Wenn Sie beispielsweise ein E-Mail-Nachrichtenformular mit dem Namen "MeinForm" veröffentlichen möchten, geben Sie Folgendes im Feld Anzeigename ein: "Dies ist mein Formular". Geben Sie im Feld Formularname Folgendes ein: "MeinForm". Am unteren Rand des Dialogfelds zeigt Outlook die Nachrichtenklasse für Ihr neues Formular folgendermaßen an: "IPM.Note.MeinForm".

Wenn Sie im Dialogfeld Formular wählen suchen, wird in der Liste der Eintrag "Dies ist mein Formular" angezeigt. Wenn Sie den Eintrag markieren, wird im Feld Anzeigename am unteren Dialogfeldrand "Dies ist mein Formular" angezeigt, und im Feld Formularname wird "MeinForm" angezeigt.

Dem Formular wird eine Nachrichtenklasse zugewiesen, die von Outlook automatisch anhand des Formularnamens generiert wird. Wird ein Formular mit dieser Nachrichtenklasse ausgewählt, lädt Outlook eine Instanz des Formulars und zeigt diese an. Outlook verwendet die Nachrichtenklasse "IPM.Note.MeinForm" zum Suchen des Formulars mit dem Anzeigenamen "Dies ist mein Formular".

Klicken Sie auf [image] , um weitere Informationen über Elementtypen und Nachrichtenklassen zu erhalten.


 Elementtypen und Nachrichtenklassen

Elementtypen und Nachrichtenklassen

Der Typ eines Elements wird durch seine Type-Eigenschaft definiert. Die Nachrichtenklasse eines Elements wird durch seine MessageClass-Eigenschaft definiert.

ID der Nachrichtenklasse | Elementtyp wird verwendet
Ipm.Activity | zum Erstellen von Journaleinträgen
Ipm.Appointment | zum Erstellen von Terminen
Ipm.Contact | zum Erstellen von Kontakten
Ipm.DistList | zum Erstellen von Verteilerlisten
Ipm.Document | zum Erstellen von Dokumenten
Ipm.OLE.Class | zum Erstellen des Ausnahme-Elements in einer Serie
Ipm | wenn das angegebene Formular nicht gefunden werden kann
Ipm.Note | zum Erstellen von E-Mail-Nachrichten
Ipm.Note.IMC.Notification | zum Erstellen eines Berichts vom Internet Mail Connect (dem Gateway von Exchange Server zum Internet)
Ipm.Note.Rules.Oof.Template.Microsoft | zum Anzeigen von Abwesenheitsformularen
Ipm.Post | zum Veröffentlichen einer Notiz in einem Ordner
Ipm.StickyNote | zum Erstellen einer Notiz
Ipm.Recall.Report | zum Erstellen eines Nachrichtenrückrufberichts
Ipm.Outlook.Recall | zum Abrufen gesendeter Nachrichten aus dem Posteingang von Empfängern
Ipm.Remote | zum Anzeigen der Nachrichtenkopfzeile einer Remotemail
Ipm.Note.Rules.ReplyTemplate.Microsoft | zum Bearbeiten von Regelantwortvorlagen
Report | zur Rückgabe des Elementstatus
Ipm.Resend | zum nochmaligen Senden einer nicht zustellbaren Nachricht
Ipm.Schedule.Meeting.Canceled | zum Senden von Absagen
Ipm.Schedule.Meeting.Request | zum Erstellen von Besprechungsanfragen
Ipm.Schedule.Meeting.Resp.Neg | zum Erstellen von Absagen für Besprechungsanfragen
Ipm.Schedule.Meeting.Resp.Pos | zum Erstellen von Zusagen für Besprechungsanfragen
Ipm.Schedule.Meeting.Resp.Tent | zum Erstellen von Zusagen mit Vorbehalt für Besprechungsanfragen
Ipm.Note.Secure | zum Senden verschlüsselter Notizen an andere Personen
Ipm.Note.Secure.Sign | zum Senden von Notizen mit digitaler Signatur an andere Personen
Ipm.Task | zum Erstellen von Aufgaben
Ipm.TaskRequest.Accept | zum Erstellen von Zusagen für Aufgabenanfragen
Ipm.TaskRequest.Decline | zum Erstellen von Ablehnungen für Aufgabenanfragen
Ipm.TaskRequest | zum Erstellen von Aufgabenanfragen
Ipm.TaskRequest.Update | zum Erstellen von Aktualisierungen für angefragte Aufgaben


Outlook-Felder und entsprechende Eigenschaften

Name des Feldes in der Outlook-Feldauswahl | Name der entsprechenden Eigenschaft im Outlook-Objektmodell
% Erledigt | PercentComplete
Abrechnungsinformationen | BillingInformation
Abteilung | Department
Adressauswahl | Nicht verfügbar
Adresse ausgewählt | Nicht verfügbar
Adresse geschäftlich | BusinessAddress
Adresse geschäftlich: Land | BusinessAddressCountry
Adresse geschäftlich: Ort | BusinessAddressCity
Adresse geschäftlich: PLZ | BusinessAddressPostalCode
Adresse geschäftlich: Postfach | BusinessAddressPostOfficeBox
Adresse geschäftlich: Region | BusinessAddressState
Adresse geschäftlich: Straße | BusinessAddressStreet
Adresse privat | HomeAddress
Adresse privat: Land | HomeAddressCountry
Adresse privat: Ort | HomeAddressCity
Adresse privat: PLZ | HomeAddressPostalCode
Adresse privat: Postfach | HomeAddressPostOfficeBox
Adresse privat: Region | HomeAddressState
Adresse privat: Straße | HomeAddressStreet
Als Nur-Text senden | Nicht verfügbar
An | To
Anfragestatus | Nicht verfügbar
Angefordert von | Nicht verfügbar
Anlage | Attachments
Anrede | Title
Antworten senden an | ReplyRecipientNames
Autotelefon | CarTelephoneNumber
Bcc | BCC
Beginn | Start
Beginnt am | StartDate
Benutzerfeld 1 | User1
Benutzerfeld 2 | User2
Benutzerfeld 3 | User3
Benutzerfeld 4 | User4
Beruf | Profession
Besprechungsstatus | MeetingStatus
Betreff | Subject
Bitte um Antwort | ResponseRequested
Büro | OfficeLocation
Cc | CC
Dauer | Duration
Downloadstatus | Nicht verfügbar
E-Mail | Email1Address
E-Mail 2 | Email2Address
E-Mail 3 | Email3Address
E-Mail ausgewählt | Nicht verfügbar
E-Mail-Adressanzeige | Nicht verfügbar
E-Mail-Auswahl | Nicht verfügbar
Eintragstyp | Type
Empfohlen von | ReferredBy
Ende | End
Erforderliche Teilnehmer | RequiredAttendees
Erhalten | ReceivedTime
Erinnerung | ReminderSet
Erinnerungsdatei | ReminderSoundFile
Erinnerungssound | ReminderPlaySound
Erinnerungsstandardwert | ReminderOverrideDefault
Erinnerungsthema | Nicht verfügbar
Erinnerungszeit | ReminderTime
Erledigt | Complete
Erledigt am | DateCompleted
Erstellt | CreationTime
Fällig | FlagDueBy
Fällig am | DueDate
Farbe | Color
Fax geschäftlich | BusinessFaxNumber
Fax privat | HomeFaxNumber
Firma | CompanyName
Firma | Companies
FTP-Site | FTPSite
Funkruf | RadioTelephoneNumber
Ganztägig | AllDayEvent
Geändert | LastModificationTime
Geändert von | Nicht verfügbar
Geburtstag | Birthday
Gelesen | UnRead
Gesamtaufwand | TotalWork
Geschlecht | Gender
Gesendet | SentOn
Größe | Size
Gruppenaufgabe | TeamTask
Haupttelefon | PrimaryTelephoneNumber
Hobbies | Hobby
In Ordner | Parent
Inhalt | Body
Initialen | Initials
Interne Outlook-Version | OutlookInternalVersion
Internet Frei/Gebucht-Adresse | InternetFreeBusyAddress
ISDN | ISDNNumber
Ist-Aufwand | ActualWork
Jahrestag | Anniversary
Journal | Journal
Junk-E-Mail-Typ | Nicht verfügbar
Kategorien | Categories
Keine AutoArchivierung | NoAging
Kennzeichnung | FlagRequest
Kennzeichnungsstatus | FlagStatus
Kinder | Children
Kontakt | FormDescription .ContactName
Kontakte | Links
Konto | Account
Kundennr. | CustomerID
Land/Region | HomeAddressCountry
Läuft ab | ExpiryTime
Mobiltelefon | MobileTelephoneNumber
Nachname | LastName
Nachricht | Body
Nachricht kennzeichnen | FlagStatus
Nachrichtenklasse | MessageClass
Name | FullName
Name Assistent | AssistantName
Name der Verteilerliste | DLName
Namenszusatz | Suffix
Netzwerkname des Computers | ComputerNetworkName
Notizen | Body
Optionale Teilnehmer | OptionalAttendees
Organisation | Organizer
Organisationsnr. | OrganizationalIDNumber
Ort | HomeAddressCity
Ort | Location
Outlook-Version | OutlookVersion
Pager | PagerNumber
Partner | Spouse
PLZ | HomeAddressPostalCode
Position | JobTitle
Postanschrift | MailingAddress
Postfach | HomeAddressPostOfficeBox
Priorität | Importance
Priorität in Schedule+ | SchedulePlusPriority
Privat | Sensitivity
Regierungsnr. | GovernmentIDNumber
Region | HomeAddressState
Reisekilometer | Mileage
Remotestatus | RemoteStatus
Ressourcen | Resources
Rolle | Role
Serie | IsRecurring
Serienbeginn | RecurrencePattern .PatternStartDate
Serienende | RecurrencePattern .PatternEndDate
Serienmuster | Nicht verfügbar
Serientyp | RecurrencePattern .RecurrenceType
Speichern unter | FileAs
Spitzname | NickName
Sprache | Language
Startseite geschäftlich | BusinessHomePage
Startseite privat | PersonalHomePage
Status | Status
Straße | HomeAddressStreet
Symbol | FormDescription .Icon
Tel. für Rückmeldung | CallbackTelephoneNumber
Telefon n ausgewählt | Nicht verfügbar
Telefon n-Auswahl | Nicht verfügbar
Telefon Assistent | AssistantTelephoneNumber
Telefon geschäftlich | BusinessTelephoneNumber
Telefon geschäftlich 2 | Business2TelephoneNumber
Telefon privat | HomeTelephoneNumber
Telefon privat 2 | Home2TelephoneNumber
Telefonzentrale Firma | CompanyMainTelephoneNumber
Telex | TelexNumber
Texttelefon | TTYTDDTelephoneNumber
Übertragen | DelegationState
Übertragungszeit vom Server | Nicht verfügbar
Unterhaltung | ConversationTopic
Verlaufstatus | TrackingStatus
Vertraulichkeit | Sensitivity
Von | SentOnBehalfOfName
Vorgesetzte(r) | ManagerName
Vorher erinnern | ReminderMinutesBeforeStart
Vorname | FirstName
Webseite | WebPage
Weitere Adresse | OtherAddress
Weitere Adresse: Land | OtherAddressCountry
Weitere Adresse: Ort | OtherAddressCity
Weitere Adresse: PLZ | OtherAddressPostalCode
Weitere Adresse: Postfach | OtherAddressPostOfficeBox
Weitere Adresse: Region | OtherAddressState
Weitere Adresse: Straße | OtherAddressStreet
Weitere Vornamen | MiddleName
Weiteres Fax | OtherFaxNumber
Weiteres Telefon | OtherTelephoneNumber
Wichtigkeit | Importance
Zeitspanne zeigen als | BusyStatus
Zuletzt gespeichert | Nicht verfügbar
Zurückhalten bis | DeferredDeliveryTime
Zuständig | Owner


 Festlegen der Eigenschaften für ein Formular

Festlegen der Eigenschaften für ein Formular

Während sich das Formular im Entwurfsmodus befindet, gehen Sie folgendermaßen vor:

  1. Klicken Sie auf die Registerkarte Eigenschaften.

  2. Wenn Sie Ihr Formular mit einem Kennwort schützen möchten, aktivieren Sie das Kontrollkästchen Formulardesign schützen, und geben Sie anschließend ein Kennwort in die Felder Kennwort und Bestätigen ein. Klicken Sie auf OK.

  3. Wenn Sie in der Lage sein möchten, eine Kopie des Formulars via E-Mail-Nachricht zu senden, aktivieren Sie das Kontrollkästchen Element mit Beschreibung senden.

  4. Damit das Formular zum Beantworten von Nachrichten angezeigt wird, aktivieren Sie das Kontrollkästchen Formular nur für Antworten.

  5. Wählen Sie alle anderen gewünschten Optionen aus.

    Wenn Sie zu einer Option Hilfe benötigen, klicken Sie im Menü ? auf Direkthilfe, und klicken Sie dann auf die gewünschte Option.

    Klicken Sie auf [image] , um weitere Informationen über das Festlegen von Formulareigenschaften zu erhalten.


 Festlegen der Standardeigenschaften für ein Formular

Festlegen der Standardeigenschaften für ein Formular

Klicken Sie, während sich das Formular im Entwurfsmodus befindet, auf die Registerkarte Eigenschaften.

Kategorie Sie können eine Kategorie für Ihr Formular angeben, anhand der sich das Formular im Dialogfeld Neues Formular zuordnen lässt, wenn Sie ein Formular auswählen.

Unterkategorie Sie können die Kategorie weiter spezifizieren, indem Sie eine Unterkategorie angeben.

Immer Microsoft Word als E-Mail-Editor verwenden Hiermit geben Sie an, dass Microsoft Word als Editor für den Nachrichten-Bereich (oder das Nachrichten-Steuerelement) Ihres Formulars verwendet werden soll. Hiermit stehen alle Formatierungsoptionen zur Verfügung, die auch in Word verfügbar sind, sowie die Rechtschreibprüfung und der Thesaurus. Damit diese Optionen jedoch in vollem Umfang verfügbar sind, müssen die Empfänger Ihres Formulars ebenfalls mit Word als E-Mail-Editor arbeiten.

Vorlage Sie können die Microsoft Word-Vorlage angeben, die zum Formatieren des Textes im Nachrichten-Steuerelement des Formulars verwendet werden soll.

Kontakt Wenn Sie auf die Schaltfläche Kontakt klicken, haben Sie Zugriff auf das Adressbuch. Dies ermöglicht Ihnen die Auswahl der Namen von Personen, die für die Pflege und Aktualisierung des Formulars bzw. die Lieferung von Informationen zu diesem Formular verantwortlich sind. Die Kontaktinformationen, die Sie beisteuern, werden im Dialogfeld Formular-Manager und auf der Seite Eigenschaften des Formulars angezeigt.

Beschreibung Hier können Sie eine Beschreibung Ihres Formulars eingeben. Diese könnte zum Beispiel eine Anleitung zur Verwendung des Formulars oder eine umfassende Beschreibung seines Verwendungszwecks umfassen. Diese Informationen werden im Info-Dialogfeld im Menü ? des Formulars sowie im Dialogfeld Eigenschaften des Formulars angezeigt.

Version Ermöglicht die Angabe einer Versionsnummer für das Formular.

Formularnummer Ermöglicht die Festlegung einer Formularnummer.

Großes Symbol ändern Wenn Sie auf diese Schaltfläche klicken, können Sie aus dem Dialogfeld Öffnen, das angezeigt wird, ein anderes großes Symbol für Ihr Formular auswählen. Große Symbole werden im Dialogfeld Eigenschaften des Formulars angezeigt.

Kleines Symbol ändern Wenn Sie auf diese Schaltfläche klicken, können Sie aus dem Dialogfeld Öffnen, das angezeigt wird, ein anderes kleines Symbol für Ihr Formular auswählen. Kleine Symbole werden im Outlook-Ordner angezeigt und repräsentieren ein Element des Typs, der mit dem Formular erstellt wurde.

Formulardesign schützen Wenn Sie dieses Kontrollkästchen aktivieren, erhalten Sie Zugriff auf das Dialogfeld Kennwort. Sie können ein Kennwort Ihrer Wahl in das Feld Kennwort eingeben, wobei Sie die Eingabe anschließend im Feld Bestätigen wiederholen müssen. Wenn Sie bei der erneuten Eingabe einen Fehler machen, erhalten Sie eine entsprechende Meldung und die Gelegenheit, die Bestätigung des Kennworts zu wiederholen. Wenn Sie ein Kennwort für Ihr Formular festlegen, verhindern Sie hiermit, dass andere Personen beliebige Attribute Ihres Formulars ändern, nachdem dieses einmal veröffentlicht ist. Wenn Sie das Kontrollkästchen deaktivieren, ist der Kennwortschutz damit ausgeschaltet.

Kennwort einstellen Wenn Sie auf diese Schaltfläche klicken, können Sie im Dialogfeld Kennwort ein Kennwort zum Schutz Ihres Formulars vor Änderungen festlegen. Hiermit wird automatisch auch das Kontrollkästchen Formulardesign schützen aktiviert.

Element mit Beschreibung senden Gibt an, dass die Formulardefinition (Beschreibung) beim Senden des Formulars ebenfalls gesendet wird. Hiermit wird das Formular im Hinblick auf den erforderlichen Speicherplatz jedoch wesentlich größer, als wenn diese Option nicht aktiviert ist. Mit dem Aktivieren dieses Kontrollkästchens wird ein unabhängiges Formular erstellt, das es dem Empfänger ermöglicht, das Formular anzuzeigen, auch wenn er keinen Zugriff auf die gleichen Formularbibliotheken wie der Sender hat.

Wenn Sie nicht angeben, dass die Formulardefinition zusammen mit dem Element gesendet werden soll, erhält der Empfänger ein normales Formular an Stelle desjenigen, das Sie erstellt haben. Das Aktivieren dieser Option ermöglicht es dem Empfänger, das Element im Formular auf seinem Computer zu öffnen, obwohl das Formular nicht in seinem Outlook-System installiert wurde. Dies ist besonders nützlich für Einmal-Formulare, die nur für den einmaligen Gebrauch erstellt wurden.

Diese Option bietet Sicherheit und bequeme Weitergabemöglichkeiten für Formulare. Wenn Sie ein Formular senden, bei dem diese Option aktiviert ist, wird bei den Empfängern ein Dialogfeld Warnung angezeigt. Die Empfänger erhalten nun die Möglichkeit, die Makros zu deaktivieren, wenn das Formular nicht aus einer auf Sicherheit geprüften Quelle kommt. Mit destruktiven Makros könnten Dateien auf der Festplatte gelöscht oder kopiert werden, oder es könnten E-Mail-Nachrichten aus dem Postfach an andere Benutzer gesendet werden.

Wenn Netzwerkauslastung oder Dateiübertragungszeiten zu berücksichtigen sind, kann das Formular, als Alternative zum Senden der Formulardefinition, auch gespeichert und zusammen mit einem anderen Formular als Anlage übermittelt werden. Der Empfänger kann nun das als Anlage gesendete Formular in seiner eigenen Formularbibliothek veröffentlichen.

Klicken Sie auf [image] , um Informationen über das Speichern eines Formulars zu erhalten.

Formular nur für Antworten Diese Option bewirkt, dass Ihr Formular nur geöffnet wird, wenn ein hiermit zusammenhängendes Element ausgewählt oder geöffnet wird. Diese Option wird verwendet, wenn Sie ein Formular erstellt haben, das ausschließlich für Antworten dienen soll. In einem anderen Formular können Sie angeben, dass Ihr Antwortformular an Stelle des Standardantwortformulars verwendet werden soll.

Damit Ihr Formular nur für Antworten verwendet wird, aktivieren Sie das Kontrollkästchen Formular nur für Antworten, und veröffentlichen Sie dann Ihr Formular. Öffnen Sie ein zweites Formular im Entwurfsmodus. Auf der Seite Aktionen des zweiten Formulars können Sie Ihr veröffentlichtes Formular dann für die Aktionen Antworten oder Allen antworten angeben. Wenn Ihr Formular als Standardantwortformular verwendet werden soll, doppelklicken Sie auf die Aktion Antworten des zweiten Formulars. Sie können nun den Namen des von Ihnen veröffentlichten Antwortformulars im Feld Formularname: des Dialogfeldes Formularaktionen: Eigenschaften auswählen. Hiermit legen Sie fest, dass Ihr Antwortformular an Stelle des Standardantwortformulars verwendet werden soll.


 Festlegen der Attribute eines Formulars

Festlegen der Attribute eines Formulars

Die Attribute eines Formulars werden im Entwurfsmodus auf den Seiten Eigenschaften und Aktionen festgelegt. Die auf der Seite Eigenschaften befindlichen Informationen, wie beispielsweise Beschreibung, Kategorie und Formularnummer, erleichtern es den Benutzern, Ihr Formular im Dialogfeld Neues Formular zu suchen und zu erkennen. Wenn Sie nicht möchten, dass Benutzer Ihr Formular ändern, können Sie es schützen, indem Sie ihm ein Kennwort zuweisen.

Klicken Sie auf [image] , um weitere Informationen über das Schützen eines Formulars zu erhalten.

Ein sehr wichtiges Attribut Ihres Formulars ist, ob die Formulardefinition (Beschreibung) mit dem Formular gesendet wird. Die Formulardefinition umfasst alle Felder sowie den Code, den Sie dem Formular hinzugefügt haben. Wenn Sie Ihr Formular nicht für die Veröffentlichung in einer Formularbibliothek vorgesehen haben, müssen Sie das Kontrollkästchen Element mit Beschreibung senden (auf der Seite Eigenschaften) aktivieren. Mit der Formulardefinition erhält ein Benutzer, wenn Sie das Formular an ihn senden, alle neuen Daten, die Sie dem Formular hinzugefügt haben. Ein Formular, das Sie nur ein einziges Mal verwenden und das Sie auch nicht veröffentlichen möchten, wird im Allgemeinen als Einmal-Formular bezeichnet.

Bei einem Formular, das Sie in einer Formularbibliothek veröffentlichen möchten, auf die auch andere Benutzer Zugriff haben, wie beispielsweise die Bibliothek für organisatorische Formulare oder ein Öffentlicher Ordner, brauchen Sie die Formulardefinition nicht mitzusenden; diese ist dann in der Bibliothek gespeichert. Durch die Formulardefinition wird die Dateigröße Ihres Formulars möglicherweise erheblich gesteigert.

Klicken Sie auf [image] , um weitere Informationen über das Senden von Formulardefinitionen zu erhalten.

Wenn Sie die Art und Weise ändern möchten, wie Benutzer auf Ihr Formular antworten, klicken Sie auf die Seite Aktionen. Auf der Seite Aktionen werden die zur Verfügung stehenden standardmäßigen Antwortformulare aufgelistet. Auf dieser Seite können Sie auch Ihre eigenen benutzerdefinierten Antwortformulare hinzufügen. Beispielsweise verfügen Formulare, die auf einer neuen E-Mail-Nachricht basieren, über integrierte Formulare für Antworten, Allen antworten, Weiterleiten und In Ordner antworten. Wenn der Benutzer Ihr Formular erhält, befinden sich hierauf Schaltflächen und Menübefehle, mit denen er auf das Formular antworten kann. Sie können einige oder alle dieser Standardformulare deaktivieren und Attribute dafür festlegen, wie diese Antwortformulare angezeigt werden sollen.

Klicken Sie auf [image] , um weitere Informationen über das Festlegen der Standardeigenschaften für ein Formular zu erhalten.


 Hinzufügen von Hilfetext zu einem Formular

Hinzufügen von Hilfetext zu einem Formular

Führen Sie folgende Schritte durch, um Ihrem Formular eine Seite mit erläuterndem Text hinzuzufügen.

  1. Klicken Sie auf die Seite, der Sie Text hinzufügen möchten.

  2. Klicken Sie im Menü Formular auf Seite umbenennen.

  3. Geben Sie im Feld Registerkarte den Begriff Hilfe ein, und klicken Sie auf OK.

  4. Ziehen Sie ein Textfeld-Steuerelement (TextBox) aus der Steuerelement-Werkzeugsammlung auf das Formular.

  5. Klicken Sie mit der rechten Maustaste auf das Textfeld-Steuerelement (TextBox), und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  6. Aktivieren Sie auf der Registerkarte Anzeige das Kontrollkästchen Mehrzeilig.

  7. Geben Sie den erläuternden Text ein, der im Textfeld-Steuerelement (TextBox) angezeigt werden soll.

  8. Klicken Sie mit der rechten Maustaste auf das Textfeld-Steuerelement (TextBox), und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  9. Aktivieren Sie auf der Seite Anzeige das Kontrollkästchen Schreibgeschützt.

Anmerkungen:

  • Weil mit einem Formular keine Hilfedatei verbunden werden kann, können Sie die Eigenschaft HelpContextId nicht für die Erstellung einer Hilfe für ein Outlook-Formular verwenden.

  • Wenn sich die Verfassen-Seite von der Lesen-Seite unterscheidet, müssen Sie möglicherweise separate Hilfeseiten erstellen.


 Ändern der Symbole, die mit Ihrem Formular verknüpft sind

Ändern der Symbole, die mit Ihrem Formular verknüpft sind

  1. Klicken Sie im Entwurfsmodus auf die Seite Eigenschaften.

  2. Klicken Sie auf Großes Symbol ändern oder auf Kleines Symbol ändern.

  3. Wählen Sie das Symbol aus, das Sie verwenden möchten.


 Aus- und Einblenden von Feldern beim Drucken und Speichern eines Formulars

Aus- und Einblenden von Feldern beim Drucken und Speichern eines Formulars

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das gewünschte Feld, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Klicken Sie auf die Registerkarte Gültigkeitsprüfung.

  3. Aktivieren oder deaktivieren Sie das Kontrollkästchen Feld drucken, und in "Speichern unter" anzeigen.


 Aus- und Einblenden von Seiten im Formular

Aus- und Einblenden von Seiten im Formular

Während sich das Formular im Entwurfsmodus befindet, gehen Sie folgendermaßen vor:

  1. Klicken Sie auf die Seite, die Sie ausblenden oder einblenden möchten.

  2. Klicken Sie im Menü Formular auf Diese Seite anzeigen, um die Option zu aktivieren oder deaktivieren.

Anmerkungen

  • Mit Klammern um den Seitennamen wird angezeigt, dass die Seite ausgeblendet wurde. Sie können die Seiten (Eigenschaften) oder (Aktionen) nicht einblenden.

  • Wenn Sie ein Feld oder ein Steuerelement auf eine ausgeblendete Seite ziehen, wird die Seite automatisch eingeblendet.

  • Wenn Sie ändern möchten, was auf der Standardseite bzw. der ersten Seite eines Elements angezeigt wird, blenden Sie die erste Seite aus, und erstellen Sie dann ein neue Version hierfür auf einer der benutzerdefinierten Seiten.

  • Es muss mindestens eine Seite in einem Formular sichtbar sein.


 Zwingendes Vorschreiben der Eingabe eines Wertes in ein Feld oder in ein Steuerelement

Zwingendes Vorschreiben der Eingabe eines Wertes in ein Feld oder in ein Steuerelement

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das gewünschte Feld oder Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Klicken Sie auf die Registerkarte Gültigkeitsprüfung.

  3. Aktivieren Sie das Kontrollkästchen Für dieses Feld ist ein Wert erforderlich.


 Verwenden von Microsoft Word im Nachrichten-Steuerelement Ihres Formulars

Verwenden von Microsoft Word im Nachrichten-Steuerelement Ihres Formulars

  1. Klicken Sie im Entwurfsmodus auf die Seite Eigenschaften.

  2. Aktivieren Sie das Kontrollkästchen Immer Microsoft Word als E-Mail-Editor verwenden.

  3. Geben Sie im darunter befindlichen Feld den Namen der Vorlage ein, die Sie verwenden möchten, oder klicken Sie auf Vorlage, um eine Vorlage aus der Liste zu wählen.


Wissenswertes über den Formular-Zwischenspeicher

Der Formular-Zwischenspeicher ist ein Ordner im Ordner C:\Windows\…\Anwendungsdaten\Forms des Benutzers, der als Speicherort für Formulare dient. Der Formular-Zwischenspeicher verbessert die Ladezeit eines Formulars, weil häufig verwendete Formulare schneller von Festplatte als vom Server geladen werden. Wenn ein Formular das erste Mal aktiviert wird, wird die Formulardefinitionsdatei aus der Formularbibliothek in den Ordner Forms kopiert. Der Formular-Zwischenspeicher speichert eine temporäre Kopie der Formulardefinition in einem Unterordner, dessen Name weitgehend mit dem Namen des Formulars übereinstimmt.

Die Formulartabelle Frmcache.dat befindet sich ebenfalls im Ordner Forms und wird verwendet, um ein Formular zu suchen und zu verhindern, dass mehrere Instanzen desselben Formulars in den Zwischenspeicher geladen werden. Wenn ein Formular aktiviert wird, überprüft Outlook, ob ein Formular mit derselben Nachrichtenklasse im Zwischenspeicher bereits vorhanden ist. Wenn nicht, kopiert Outlook die Formulardefinition in den Zwischenspeicher. Wenn darüber hinaus Änderungen an der Formulardefinition vorgenommen wurden, kopiert Outlook die neue Formulardefinition in den Zwischenspeicher.

Outlook sucht nach Formularen in der folgenden Reihenfolge. Wenn eine Übereinstimmung gefunden wird, öffnet Outlook das Formular und beendet die Suche.

  1. Outlook-Standardformulare, wie beispielsweise Notizen-, Bereitstellen- und Kontaktformulare in der Bibliothek für Anwendungsformulare

  2. Formulare, die bereits im Formular-Zwischenspeicher gespeichert sind

  3. Formulare, die in dem Ordner veröffentlicht sind, der gerade ausgewählt ist

  4. Formulare aus der Bibliothek für persönliche Formulare

  5. Formulare aus der Bibliothek für organisatorische Formulare

Da Outlook Formulare zwischenspeichert, sollten Sie es vermeiden, mehr als ein Formular unter demselben Namen zu führen oder dasselbe Formular in mehr als einer Formular-Bibliothek zu veröffentlichen. Formulare in einer Ordner-basierten Lösung sollten nur in einem Ordner veröffentlicht werden. Wenn Sie eine Lösung auf der Grundlage von E-Mail-Nachrichtenformularen entwickeln, können Sie das Formular zwischenzeitlich in Ihrer Bibliothek für persönliche Formulare veröffentlichen. Nach Fertigstellung des Formulars sollten Sie das Formular in der Bibliothek für organisatorische Formulare auf dem Microsoft Exchange Server veröffentlichen und das Formular nach Erstellen einer Sicherungskopie aus der Bibliothek für persönliche Formulare löschen. Wenn Sie ein Formular aus bestimmten Gründen an mehr als einem Ort veröffentlichen müssen, sollten Sie sicher sein, dass Sie alle Formular-Bibliotheken mit der neuesten Version des Formulars aktualisiert haben.

Anmerkung Es ist nicht möglich, den Formular-Zwischenspeicher zu deaktivieren. Wenn Sie die Größe des Formularspeichers auf 0 setzen, ist Outlook nicht in der Lage, benutzerdefinierte Formulare zu öffnen.


Problembehandlung bei Formularen

Wobei benötigen Sie Hilfe?

Das erstellte Formular kann nicht gefunden werden.

Die Daten werden nicht mit dem Formular gespeichert.

Das Formular wird stets mit dem Element gespeichert.

Die Warnung vor Makroviren wird fortlaufend angezeigt.

Das Standardformular für Nachrichten kann nicht geändert werden.

Neue Elemente verwenden das benutzerdefinierte Formular nicht.

Ältere Elemente verwenden das benutzerdefinierte Formular nicht.

Eine empfangene Nachricht oder ein Bereitstellungsformular erscheint beim Lesen nicht benutzerdefiniert.

Eine falsche Version eines Formulars wird verwendet.

Die Eigenschaften Nachricht oder Notiz eines Elements können nicht gefunden werden.

Das Click-Ereignis eines Steuerelements wird nicht ausgelöst.

Ein Nachricht-Steuerelement, das in einem Programm als schreibgeschützt definiert wurde, lässt sich immer noch ändern.

Eine Programmlösung kann auf anderen Computern nicht ausgeführt werden.

Ein durch ein Kennwort geschütztes Formular kann nicht geöffnet werden.

Fehler: Ein Feld auf diesem Formular erfordert einen Wert.


 Info über Standardfelder in Microsoft Outlook

Info über Standardfelder in Microsoft Outlook

Microsoft Outlook stellt für jedes Standardelement Standardfelder zur Verfügung. Einige Felder sind nur für bestimmte Elemente verfügbar. Sie können alle Felder in einer Tabellen- oder Kartenansicht hinzufügen oder entfernen.

Klicken Sie auf [image] , um weitere Informationen über das Anzeigen aller Felder für ein Element zu erhalten.

Der Wert für Felder vom Typ Yes/No wird als -1 oder 0 gespeichert. Der Wert für Felder vom Typ Duration wird in Minuten gespeichert.

Zu welchem Thema benötigen Sie weitere Informationen?

Felder in Outlook und die entsprechenden Eigenschaften

Standardfelder für Kalenderelemente

Standardfelder für Kontakte

Standardfelder für Verteilerlisten

Standardfelder für Journaleinträge

Standardfelder für E-Mail-Nachrichten

Standardfelder für Notizen

Standardfelder für Aufgaben

Standardfelder für öffentliche Nachrichten


 Verwenden von Feldern mit Steuerelementen

Verwenden von Feldern mit Steuerelementen

Wenn Sie ein Feld aus der Feldauswahl ziehen, ist das Feld automatisch an das entsprechende Steuerelement gebunden. Wenn kein besonderer Bedarf für die Verwendung eines Standard-Steuerelements aus der Steuerelement-Toolbox vorliegt, sollten Sie den Zugriff auf die Felder in Ihrem Formular über die Feldauswahl herstellen.

Beim Einfügen eines Steuerelements aus der Steuerelement-Toolbox in ein Formular müssen Sie das Steuerlement an ein Formular binden, wenn Sie einen Wert in einem oder aus einem Steuerelement speichern möchten. In den meisten Fällen werden Textfeld-Steuerelemente (TextBox), Kontrollkästchen-Steuerelemente (CheckBox), Listenfeld-Steuerelemente (ListBox), Kombinationsfeld-Steuerelemente (ComboBox) und Optionsfeld-Steuerelemente (OptionButton) an Felder gebunden. Andere Steuerelemente, wie beispielsweise das Bezeichnungsfeld-Steuerelement (Label) und das Anzeige-Steuerelement (Image), die statische Informationen enthalten, mit denen der Benutzer nicht arbeitet, werden im Allgemeinen nicht an ein Feld gebunden.

Um ein Steuerelement an ein Feld zu binden, klicken Sie mit der rechten Maustaste auf das Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften. Klicken Sie auf die Registerkarte Wert. Klicken Sie auf Feld auswählen und dann auf ein Feld oder auf Neu, um ein benutzerdefiniertes Feld zu erstellen. Outlook-Felder basieren auf MAPI-Eigenschaften. Auf diese Weise werden die Werte in Feldern mit dem Element gespeichert, wenn Sie das Element speichern oder senden. Die Steuerelemente der Steuerelement-Toolbox stellen nur die visuellen Container für ein Feld auf einem Formular dar. Sie können das Erscheinungsbild eines Steuerelements festlegen, indem Sie auf dessen Eigenschaften zurückgreifen, aber Sie können hierin keinen Wert speichern. Steuerelemente existieren nur, wenn das spezielle Formular angezeigt wird, das die Steuerelemente enthält. Felder können auf jedem Formular verwendet werden. Wenn Sie einen Feldwert an einer Stelle ändern, wird dieser Feldwert überall geändert, wo das Feld verwendet wird.

Um beispielsweise den Wert eines benutzerdefinierten Feldes mit Namen "Fax" zu ändern, verwenden Sie folgenden Code:

Item.UserProperties.Find("Fax").Value = "555-1234"

Da es sich um ein Feld handelt, müssen Sie weder die Seite noch das Steuerelement angeben, an die bzw. an das das Feld gebunden ist. Im folgenden Codebeispiel wird ein Steuerelement mit Namen "txtFax" unsichtbar gemacht. Wenn Sie mit einem Steuerelement arbeiten, müssen Sie die Seite und den Namen des Steuerelements angeben.

Item.GetInspector.ModifiedFormPages("General").("txtFax").Visible = False

Sie können ein Steuerelement zur Laufzeit an ein Feld binden, indem Sie die interne Eigenschaft ItemProperty verwenden. Im folgenden Codebeispiel wird ein Textfeld-Steuerelement (TextBox) an ein Feld mit Namen "Business Address" gebunden.

Item.GetInspector.ModifiedFormPages("General").Textbox1.ItemProperty = "Business Address"

Anmerkung Wenn Sie ein Steuerlement erstellen, indem Sie ein Nur-Text-Feld in ein Formular ziehen, können Sie das Steuerelement nicht an ein Feld eines anderen Typs binden. Beispielsweise können Sie kein Feld Betreff auf ein Formular ziehen, und es anschließend an ein Feld binden, das einen E-Mail-Typ enthält (wie das Feld An).


 Info über benutzerdefinierte Felder und Datentypen

Info über benutzerdefinierte Felder und Datentypen

Benutzerdefinierte Felder können in Outlook auf unterschiedliche Weise verwendet werden.

  • Sie können für eine Ansicht oder ein Formular neue Dateneingabefelder erstellen, damit Benutzer ihre eigenen benutzerdefinierten Informationen eingeben können. Erstellen Sie zum Beispiel im Ordner KONTAKTE ein Datums-/Uhrzeitfeld mit der Bezeichnung "Zuletzt gesprochen mit", und fügen Sie das Feld einer Telefonlistenansicht hinzu.

  • Sie können durch Kombinieren der Standardfelder in einer einzigen Spalte neue Ansichten erstellen. Erstellen Sie zum Beispiel eine Spalte, die die Felder Land und Region in einer Adressliste kombiniert, um Platz zu sparen.

  • Sie können ein Formelfeld erstellen, um Informationen auf unterschiedliche Weise darzustellen. Erstellen Sie zum Beispiel ein Feld, das "Groß" anzeigt, wenn eine Nachricht größer als 10.000 Bytes ist und "Klein", wenn dieser Grenzwert nicht überschritten wird.

Die von Ihnen erstellten Felder werden in dem Ordner gespeichert, in dem sie erstellt wurden. Um ein Feld in mehreren Ordnern zu verwenden, müssen Sie es in jedem Ordner neu erstellen.

Benutzerdefinierte Felder können in Tabellen- und Kartenansichten erstellt und angezeigt werden. Für benutzerdefinierte Felder sind in Outlook die folgenden Datentypen verfügbar.

Datentyp | Verwendungszweck
Combination | Kombinationen von Werten in Feldern und Text in einer Spalte (Tabelle) oder einer Zeile (Karte). Sie können angeben, ob alle Felder oder nur das erste Feld mit einem Eintrag angezeigt werden soll. Außerdem kann Text mit Feldern kombiniert werden, ohne dass Anführungszeichen verwendet werden. Klicken Sie auf [image] , um Beispiele zu Kombinationsfeldern, die Sie erstellen können, zu erhalten.
Currency | Numerische Daten als Währungsdaten oder mathematische Berechnungen im Zusammenhang mit Geld.
Date/Time | Datums- und Uhrzeitdaten.
Duration | Numerische Daten. Sie können die Dauer in Minuten, Stunden oder Tagen eingeben. Die Werte werden in Minuten gespeichert.
Formula | Berechnungen auf der Grundlage von standardmäßigen und benutzerdefinierten Feldern. Für Formeln können alle entsprechenden Funktionen und Operatoren eingesetzt werden. Klicken Sie auf [image] , um Beispiele zu Formelfeldern, die Sie erstellen können, zu erhalten.
Integer | Nichtdezimale numerische Daten.
Keywords | Schlüsselwörter werden zum Gruppieren und Suchen verwandter Elemente verwendet, ähnlich wie das Feld Kategorien in Outlook. Text mit mehreren Werten wird durch Kommas getrennt. Jeder Wert kann individuell in einer Ansicht gruppiert werden.
Number | Numerische Daten oder mathematische Berechnungen, außer im Zusammenhang mit Geld (für Währungsdaten verwenden Sie den Datentyp Währung).
Percent | Numerische Daten, die als Prozentwert dargestellt werden.
Text | Text oder Kombinationen aus Text und Zahlen, wie zum Beispiel Adressen. Die maximale Länge beträgt 255 Zeichen.
Yes/No | Daten mit nur einem von zwei Werten, wie zum Beispiel Yes/No, True/False oder On/Off. Yes/No-Felder können auch als [image] oder [image] angezeigt werden.

Alle Datentypen außer Combination, Formula und Keywords besitzen eine Reihe von Standardformaten zur Darstellung der Werte in Feldern.

Klicken Sie auf [image] , um weitere Informationen über Standardformate, die Sie in Verbindung mit Datentypen verwenden können, zu erhalten.


Unterschiede zwischen einem Feld und einer Spalte

Gewöhnlich enthält eine Spalte in einer Tabelle den Wert eines einzigen Feldes, wie zum Beispiel den des Feldes Erhalten. Mit einem Formel- oder Kombinationsfeld können Sie jedoch mehrere Felder in einer Spalte anzeigen. Felder können auch als Zeilen in der Kartenansicht oder als Steuerelemente in Formularen dargestellt werden. Eine Spalte ist nur eine Möglichkeit zur Darstellung eines Feldinhalts.


 Erstellen eines einfachen Feldes für einen Ordner

Erstellen eines einfachen Feldes für einen Ordner

  1. Wählen Sie den Ordner aus, für den Sie das Feld erstellen möchten.

  2. Klicken Sie im Menü Ansicht auf Aktuelle Ansicht und dann auf Aktuelle Ansicht anpassen.

  3. Klicken Sie im Dialogfeld Zusammenfassung anzeigen auf Felder.

  4. Klicken Sie auf Neues Feld.

  5. Geben Sie im Feld Name einen Namen für das Feld ein.

  6. Klicken Sie im Feld Typ auf den gewünschten Datentyp für das Feld. Wählen Sie nicht Kombination oder Formel.

    Klicken Sie auf [image] , um weitere Informationen über Standardformate für Datentypen zu erhalten.

  7. Wählen Sie im Feld Format das gewünschte Format für das Feld aus.

  8. Klicken Sie auf OK.

  9. Klicken Sie auf Nach oben und Nach unten, um das Feld zwischen den anderen Feldern in der Ansicht zu positionieren.

    Klicken Sie auf Entfernen, um das Feld aus der Ansicht zu entfernen.


Beispiele für Standardformate für Datentypen

Die Felder, die Sie erstellen, können auf der Grundlage des Datentyps verschieden formatiert werden. In der folgenden Tabelle sind einige Standardformate von Outlook aufgeführt.

Klicken Sie im Menü Ansicht auf Aktuelle Ansicht, um eine ausführliche Liste der Standardformate, die für Felder in einer Ansicht verfügbar sind, zu erhalten, und klicken Sie dann auf Spalten formatieren. Wählen Sie im Feld Verfügbare Felder das Feld aus, das Sie formatieren möchten, und wählen Sie in der Liste Format ein Format aus. Wenn Sie das gewünschte Format nicht finden, können Sie ein benutzerdefiniertes Format vom Datentyp und der Funktion Format erstellen.

Datentyp | Beispiele für Standardformate
Currency | 12.345,60 DM oder (12.345,60 DM) 12.346 DM oder (12.346 DM)
Date/Time | Montag, 03. März, 1997 8:00 03.03.97 8:00 März 03, 1997 Mo 03.03. 8:00 8:00
Duration | 12 Std 12 Stunden 12 Std (Geschäftlich) (siehe Anmerkung unten) 12 Stunden (Geschäftlich) (siehe Anmerkung unten)
Integer | 1.234
Keywords | Text
Number | Alle Ziffern: 1.234,567 oder -1.234,567 Ohne Dezimalanteil: 1.235 oder -1.235 Wissenschaftlich: 1235E+03 oder -1235E+03 Computer: 64 K oder 128 MB oder 1 GB
Percent | 65,4321% 65,43% oder -65,43% 65% oder -65%
Text | Text
Yes/No | Yes oder No On oder Off True oder False oder

Anmerkung Für die in einem Feld vom Typ Duration eingegebenen Werte mit einem normalen Format wird das 24-Stunden-Format vorausgesetzt.


 Erstellen eines Kombinationsfeldes für einen Ordner

Erstellen eines Kombinationsfeldes für einen Ordner

  1. Wählen Sie den Ordner aus, für den Sie das Kombinationsfeld erstellen möchten.

  2. Klicken Sie im Menü Ansicht auf Aktuelle Ansicht und dann auf Aktuelle Ansicht anpassen.

  3. Klicken Sie im Dialogfeld Zusammenfassung anzeigen auf Felder.

  4. Klicken Sie auf Neues Feld.

  5. Geben Sie im Feld Name einen Namen für das Feld ein.

  6. Klicken Sie im Feld Typ auf Kombination.

  7. Klicken Sie auf Bearbeiten.

  8. Um die Werte für die Felder, die Sie kombinieren möchten, anzuhängen, klicken Sie auf Aneinanderfügen von Feldern und Textfragmenten.

    Um nur das erste Feld mit einem Eintrag anzuzeigen, klicken Sie auf Anzeigen des ersten nicht leeren Feldes und Ignorieren nachfolgender Felder.

  9. Klicken Sie auf Feld, zeigen Sie auf die entsprechende Feldgruppe, und klicken Sie dann auf das Feld, das angezeigt werden soll.

  10. Wiederholen Sie Schritt 9, um weitere Felder hinzuzufügen.

  11. Klicken Sie zweimal auf OK.

  12. Klicken Sie auf Aufwärts und Abwärts, um das Feld zwischen den anderen Feldern in der Ansicht zu positionieren.

    Klicken Sie auf Entfernen, um das Feld aus der Ansicht zu entfernen.

Anmerkungen

  • Kombinationsfelder werden mit dem Standardformat des verwendeten Datentyps angezeigt. Um einen Datentyp mit einem benutzerdefinierten Format anzuzeigen, müssen Sie ein Formelfeld erstellen und die Format-Funktion verwenden.

  • Es ist nicht möglich, den Inhalt eines Kombinationsfeldes zu sortieren, zu gruppieren oder zu filtern.


 Erstellen eines Formelfeldes für einen Ordner

Erstellen eines Formelfeldes für einen Ordner

  1. Wählen Sie den Ordner aus, für den Sie das Formelfeld erstellen möchten.

  2. Klicken Sie im Menü Ansicht auf Aktuelle Ansicht und dann auf Aktuelle Ansicht anpassen.

    Klicken Sie im Dialogfeld Zusammenfassung anzeigen auf Felder.

  3. Klicken Sie auf Neues Feld.

  4. Geben Sie im Feld Name einen Namen für das Feld ein.

  5. Klicken Sie im Feld Typ auf Formel.

  6. Klicken Sie auf Bearbeiten.

  7. Um in der Formel eine Funktion einzufügen, klicken Sie auf Funktion, zeigen Sie auf die gewünschte Funktion, und klicken Sie dann auf die gewünschte Formel.

  8. Klicken Sie auf [image] , um weitere Informationen über die Funktionen, die Sie zum Erstellen einer Formel verwenden können, zu erhalten. Klicken Sie auf [image] , um weitere Informationen über die verfügbaren Operatoren zu erhalten.

  9. Um in der Formel ein Feld einzufügen, wählen Sie das Argument aus, das Sie ersetzen möchten. Klicken Sie auf Feld, zeigen Sie auf das Feld, das Sie festlegen möchten, und klicken Sie dann auf das gewünschte Feld.

  10. Klicken Sie auf [image] , um weitere Informationen über Standardfelder für die verschiedenen Elemente in Outlook zu erhalten.

  11. Klicken Sie zweimal auf OK.

  12. Klicken Sie auf Aufwärts und Abwärts, um das Feld zwischen den anderen Feldern in der Ansicht zu positionieren.

  13. Klicken Sie auf Entfernen, um das Feld aus der Ansicht zu entfernen.

Anmerkungen

  • Formelfelder werden bei jeder an einer Ansicht vorgenommenen Änderung aktualisiert. Wenn Sie beispielsweise die Breite einer Spalte ändern, werden die Formelfelder aktualisiert.

  • Es ist nicht möglich, den Inhalt eines Formelfeldes zu sortieren, zu gruppieren oder zu filtern.


 Beispiele für Formel- und Kombinationsfelder

Beispiele für Formel- und Kombinationsfelder

Gewünschte Anzeige | Benutzerdefiniertes Feld | Ergebnis in benutzerdefiniertem Feld
Zahl der Tage seit Erhalt des Elements (Formelfeld). | DateValue (Now())-DateValue ([Erhalten]) & " Tag(e)" | 6 Tag(e)
Beschreibung einer Besprechung oder eines Termins im Kalender (Formelfeld). | "Diese Besprechung findet statt " & [Serienmuster] & " in " & [Ort] | Diese Besprechung findet statt jeden Tag von 12:00 bis 13:30 in Raum 1231
Gebühr von DM 0,75 pro Minute für einen im Journal registrierten Telefonanruf (Formelfeld). | IIF ([Eintragstyp] = "Phone call" , Format ([Duration] * .75, "Currency"), "None") | DM 1,50
Beschreibung einer Nachrichtenkennzeichnung (Formelfeld). | IIF ( [Kennzeichnungsstatus] = "2", [Nachrichtenkennzeichnung] & " " & [Fällig],"") | Nachverfolgung 03.05.97 8:00:00
Die erste für einen Kontakt registrierte Telefonnummer, in der in der Formel verwendeten Reihenfolge (Kombinationsfeld). | [Telefon geschäftlich] [Telefon geschäftlich 2] [Telefon privat] [Telefon privat 2] [Autotelefon] | (555) 555-1234
Eine Beschreibung eines Feldes, das mit dem Feld selbst kombiniert ist (Kombinationsfeld). | Aufgabe fällig: [Fälligkeitsdatum] | Aufgabe fällig: 3/5/97 8:00:00


Problembehandlung bei benutzerdefinierten Feldern

Zu welchem Thema benötigen Sie Hilfe?

Das von Ihnen erstellte benutzerdefinierte Feld ist nicht sichtbar

Beim Sortieren, Gruppieren oder Filtern eines Formel- oder Kombinationsfeldes wird eine Fehlermeldung angezeigt


Festlegen der Eigenschaften für Steuerelemente

Es existieren zwei Arten von Eigenschaften für ein Steuerelement: Outlook-Eigenschaften und erweiterte Eigenschaften. Outlook-Eigenschaften sind die grundlegenden Eigenschaften, die für den Entwurf eines Steuerelements benötigt werden. Erweiterte Eigenschaften bieten zusätzliche Funktionalität.

Outlook-Eigenschaften werden im Dialogfeld Eigenschaften festgelegt und müssen einzeln festgelegt werden. Erweiterte Eigenschaften werden im Dialogfeld Erweiterte Eigenschaften festgelegt und können für mehrere Steuerelemente gleichzeitig festgelegt werden.

  • Um die Eigenschaften für ein Steuerelement festzulegen, klicken Sie mit der rechten Maustaste auf das Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften. Wählen Sie die gewünschten Optionen aus.

  • Zum Festlegen der erweiterten Eigenschaften für Steuerelemente markieren Sie alle gewünschten Steuerelemente, klicken mit der rechten Maustaste auf eines der markierten Steuerelemente, und klicken Sie dann im Kontextmenü auf Erweiterte Eigenschaften. Wählen Sie die gewünschten Optionen aus.

  • Klicken Sie auf [image] für Informationen über das gleichzeitige Auswählen mehrerer Steuerelemente.


 Ändern der Name-Eigenschaft eines Steuerelements

Ändern der Name-Eigenschaft eines Steuerelements

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das gewünschte Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Geben Sie auf der Registerkarte Anzeige einen Namen in das Feld Name ein.

Anmerkung Jedes Steuerelement sollte einen eindeutigen Namen tragen.

Im folgenden Codebeispiel wird die ModifiedFormPages-Eigenschaft des aktuellen Inspector-Objekts verwendet, um die Name-Eigenschaft eines Kontrollkästchen-Steuerelements (CheckBox) auf einer Seite mit dem Namen "Test" auf Selection zu setzen.

Item.GetInspector.ModifiedFormPages("Test").Checkbox1.Name = "Selection"


 Gültigkeitsprüfung der Benutzereingabe in einem Feld

Gültigkeitsprüfung der Benutzereingabe in einem Feld

Sie können zwingend vorschreiben, dass jedes Feld oder jedes Steuerelement, das an ein Feld gebunden ist, einen Wert haben muss. Beispielsweise können Sie den genauen Text oder Zahlenbereich oder jedes beliebige andere Kriterium für ein Feld festlegen. Sie können auch eine benutzerdefinierte Meldung (basierend auf einer Formel zur Gültigkeitsprüfung) anzeigen, mit der dem Benutzer mitgeteilt wird, wie er ein Feld auszufüllen hat, wenn seine Eingaben nicht dem von Ihnen gewünschten Wert entsprechen. Beispielsweise können Sie die Anzahl Zeichen begrenzen, die in ein Textfeld-Steuerelement (TextBox) eingegeben werden können.

Klicken Sie auf [image] , um einige Beispiele zu Formeln zur Gültigkeitsprüfung zu erhalten.

Was möchten Sie tun?

Zwingendes Vorschreiben der Eingabe eines Wertes in ein Feld oder in ein Steuerelement

Erstellen einer Formel zur Gültigkeitsprüfung und einer entsprechenden Meldung


Beispiele für Formeln zur Gültigkeitsprüfung

Verwenden Sie | Zur Auswertung folgender Eingabe
<50 | Zahlen unter fünfzig
>50 | Zahlen über fünfzig
=50 | Ist gleich fünfzig
? | Die Anzahl der Zeichen


 Info über die Steuerelement-Werkzeugsammlung

Info über die Steuerelement-Werkzeugsammlung

In der Steuerelement-Werkzeugsammlung finden Sie die Steuerelemente, die Sie einem Rahmen-Steuerelement (Frame) oder einer Seite eines Formulars hinzufügen können.

Es gibt eine Vielzahl von Möglichkeiten zum Anpassen der Steuerelement-Werkzeugsammlung, einschließlich der folgenden:

  • Hinzufügen von Seiten zur Steuerelement-Werkzeugsammlung.

  • Verschieben von Steuerelementen von einer Seite in der Steuerelement-Werkzeugsammlung auf eine andere.

  • Umbenennen der Seiten der Steuerelement-Werkzeugsammlung.

  • Hinzufügen weiterer Steuerelemente wie beispielsweise ActiveX-Steuerelemente zur Steuerelement-Werkzeugsammlung.

  • Kopieren geänderter Steuerelemente aus dem Formular in die Steuerelement-Werkzeugsammlung.

    Beispielsweise sind die Schaltflächen OK und Abbrechen spezielle Typen von Befehlsschaltflächen-Steuerelementen (CommandButton). Wenn Sie Vorlagen mit OK und Abbrechen in die Steuerelement-Werkzeugsammlung kopieren, können Sie diese Schaltflächen anschließend schnell in andere Formulare einfügen.

Anmerkung Wenn Sie einem Formular mit Hilfe der Steuerelement-Werkzeugsammlung ein Steuerelement hinzufügen, ist dieses Steuerelement nicht an ein Feld gebunden. Klicken Sie auf [image] , um Informationen darüber zu erhalten, wie Sie ein Steuerelement an ein Feld binden können.


 Info über QuickInfos und die Tipps zu Steuerelementen

Info über QuickInfos und die Tipps zu Steuerelementen

Sowohl QuickInfos als auch die Tipps zu Steuerelementen sind kurze Erläuterungen, die angezeigt werden, wenn der Benutzer den Mauszeiger kurzzeitig auf einem Steuerelement oder auf einem anderen Bereich der Benutzerschnittstelle positioniert. Der Unterschied zwischen QuickInfos und den Tipps zu Steuerelementen besteht darin, dass Microsoft Outlook dem Entwickler während der Entwurfszeit einer Anwendung QuickInfos bietet, und der Entwickler seinerseits für den Endbenutzer zur Laufzeit der Anwendung Tipps zu Steuerelementen zur Verfügung stellt.

Sie können QuickInfos zu Steuerelementen und für die Steuerelement-Werkzeugsammlung benutzerdefiniert anpassen.

Ein Tipp zu einem Steuerelement wird mit Hilfe der ControlTipText-Eigenschaft festgelegt.


 Hinzufügen einer Seite zur Steuerelement-Werkzeugsammlung

Hinzufügen einer Seite zur Steuerelement-Werkzeugsammlung

  1. Falls die Steuerelement-Werkzeugsammlung nicht angezeigt wird, klicken Sie auf Steuerelement-Werkzeugsammlung [image] .

  2. Klicken Sie mit der rechten Maustaste auf die Bezeichnung einer beliebigen Seite in der Steuerelement-Werkzeugsammlung, und klicken Sie anschließend im Kontextmenü auf Neue Seite.


Hinzufügen von benutzerdefinierten Steuerelementen zur Steuerelement-Werkzeugsammlung

Sie können der Steuerelement-Werkzeugsammlung ein geändertes Steuerelement hinzufügen (basierend auf Änderungen, die Sie an den erweiterten Eigenschaften vorgenommen haben). Darüber hinaus können Sie der Steuerelement-Werkzeugsammlung auch andere benutzerdefinierte Steuerelemente wie beispielsweise ActiveX-Steuerelemente hinzufügen, die nicht Bestandteil von Outlook sind.

Sie können in Outlook-Formularen eine Vielzahl von benutzerdefinierten Steuerelementen verwenden, jedoch gibt es auch einige Einschränkungen. Outlook unterstützt zwar die meisten ActiveX-Steuerelemente und -Methoden, aber keine benutzerdefinierte Ereignisbehandlung. Das Click-Ereignis ist das einzige Ereignis, für das Sie Code schreiben können. Weitere Informationen über den Zugriff auf die Methoden eines ActiveX-Steuerelements finden Sie im VBA-Objektkatalog.

Was möchten Sie tun?

Hinzufügen eines geänderten Steuerelements zur Steuerelement-Werkzeugsammlung

Hinzufügen weiterer benutzerdefinierter Steuerelemente zur Steuerelement-Werkzeugsammlung


 Ändern des Namens und des Tipps für Steuerelemente einer Seite in der Steuerelement-Werkzeugsammlung

Ändern des Namens und des Tipps für Steuerelemente einer Seite in der Steuerelement-Werkzeugsammlung

  1. Falls die Steuerelement-Werkzeugsammlung nicht angezeigt wird, klicken Sie auf Steuerelement-Werkzeugsammlung [image] .

  2. Klicken Sie in der Steuerelement-Werkzeugsammlung mit der rechten Maustaste auf die Bezeichnung der gewünschten Seite, und klicken Sie anschließend im Kontextmenü auf Umbenennen.

  3. Geben Sie im Feld Titel einen neuen Namen für die Seite ein.

  4. Geben Sie im Feld Steuerelement-Info einen neuen Text für den Steuerelement-Tipp ein.


 So ändern Sie die Reihenfolge von Seiten in der Steuerelement-Werkzeugsammlung

So ändern Sie die Reihenfolge von Seiten in der Steuerelement-Werkzeugsammlung

  1. Falls die Steuerelement-Werkzeugsammlung nicht angezeigt wird, klicken Sie auf Steuerelement-Werkzeugsammlung [image] .

  2. Klicken Sie mit der rechten Maustaste auf die Bezeichnung einer beliebigen Seite in der Steuerelement-Werkzeugsammlung, und klicken Sie anschließend im Kontextmenü auf Verschieben.

  3. Klicken Sie im Dialogfeld Seitenreihenfolge auf den Namen der Seite, die Sie verschieben möchten.

  4. Klicken Sie auf Nach oben oder Nach unten.


 Anpassen des Symbols für ein Steuerelement in der Steuerelement-Werkzeugsammlung

Anpassen des Symbols für ein Steuerelement in der Steuerelement-Werkzeugsammlung

  1. Falls die Steuerelement-Werkzeugsammlung nicht angezeigt wird, klicken Sie auf Steuerelement-Werkzeugsammlung [image] .

  2. Klicken Sie mit der rechten Maustaste auf das Symbol für das Steuerelement, das in der Steuerelement-Werkzeugsammlung erscheinen soll, und anschließend im Kontextmenü auf Steuerelementname anpassen.

  3. Wenn Sie die QuickInfo ändern möchten, geben Sie den gewünschten Text in das Feld Steuerelement-Info ein.

  4. Zum Bearbeiten des Symbols klicken Sie auf Bild bearbeiten. Klicken Sie im Feld Farbe auf die Farbe, die Sie verwenden möchten, und klicken Sie im Feld Bild bearbeiten auf die Pixel, für die Sie die Farbe übernehmen möchten. Klicken Sie auf OK.

  5. Wenn Sie eine neue Bitmap zuweisen möchten, klicken Sie auf Bild laden. Geben Sie im Feld Dateiname den Namen der Datei ein, die die Bitmap enthält, die Sie als Symbol verwenden möchten. Die Bitmap darf nicht größer als ein Symbol sein.


 So löschen Sie ein Steuerelement aus der Steuerelement-Werkzeugsammlung

So löschen Sie ein Steuerelement aus der Steuerelement-Werkzeugsammlung

  1. Falls die Steuerelement-Werkzeugsammlung nicht angezeigt wird, klicken Sie auf Steuerelement-Werkzeugsammlung [image] .

  2. Klicken Sie in der Steuerelement-Werkzeugsammlung mit der rechten Maustaste auf das Steuerelement, das Sie löschen möchten, und klicken Sie anschließend im Kontextmenü auf Steuerelementname löschen.


 So löschen Sie eine Seite aus der Steuerelement-Werkzeugsammlung

So löschen Sie eine Seite aus der Steuerelement-Werkzeugsammlung

  1. Falls die Steuerelement-Werkzeugsammlung nicht angezeigt wird, klicken Sie auf Steuerelement-Werkzeugsammlung [image] .

  2. Klicken Sie in der Steuerelement-Werkzeugsammlung mit der rechten Maustaste auf die Bezeichnung der Seite, die Sie löschen möchten, und klicken Sie anschließend im Kontextmenü auf Seite löschen.

Anmerkung Wenn eine Seite gelöscht wird, werden auch alle auf der Seite befindlichen Steuerelemente gelöscht.


 So importieren oder exportieren Sie eine Seite in die bzw. aus der Steuerelement-Werkzeugsammlung

So importieren oder exportieren Sie eine Seite in die bzw. aus der Steuerelement-Werkzeugsammlung

  1. Falls die Steuerelement-Werkzeugsammlung nicht angezeigt wird, klicken Sie auf Steuerelement-Werkzeugsammlung [image] .

  2. Klicken Sie zum Importieren einer Seite mit der rechten Maustaste auf die Bezeichnung einer beliebigen Seite in der Steuerelement-Werkzeugsammlung, und klicken Sie anschließend im Kontextmenü auf Seite importieren.

    Zum Exportieren einer Seite klicken Sie mit der rechten Maustaste auf die Bezeichnung der Seite und klicken anschließend im Kontextmenü auf Seite exportieren.

  3. Geben Sie im Feld Dateiname den Namen der Seite ein, die Sie importieren möchten, oder geben Sie den Namen der Datei ein, in die die Seite exportiert werden soll.

Anmerkung Mit dem Exportieren einer Seite wird diese nicht aus der Steuerelement-Werkzeugsammlung entfernt.


 So verschieben Sie ein Steuerelement auf eine andere Seite in der Steuerelement-Werkzeugsammlung

So verschieben Sie ein Steuerelement auf eine andere Seite in der Steuerelement-Werkzeugsammlung

  1. Falls die Steuerelement-Werkzeugsammlung nicht angezeigt wird, klicken Sie auf Steuerelement-Werkzeugsammlung [image] .

  2. Ziehen Sie das auf einer beliebigen Seite befindliche Steuerelement auf die Bezeichnung der gewünschten anderen Seite. Positionieren Sie den Mauszeiger auf der Bezeichnung, bis darauf die Seite erscheint, und ziehen Sie das Steuerelement dann auf die Seite.

Anmerkung Wenn die Seite, auf die Sie ein Steuerelement verschieben möchten, nicht angezeigt wird, erhöhen Sie die Breite der Steuerelement-Werkzeugsammlung so, dass alle Seiten angezeigt werden, und ziehen Sie das Steuerelement dann auf die in Frage kommende Seite.


 Einblenden und Ausblenden der Steuerelement-Werkzeugsammlung

Einblenden und Ausblenden der Steuerelement-Werkzeugsammlung

  • Klicken Sie im Entwurfsmodus auf Steuerelement-Werkzeugsammlung [image] .


Info über Steuerelementgruppen

Eine Gruppe besteht aus mindestens zwei Steuerelementen in einem Formular, die als eine Einheit behandelt wird. Beliebige Steuerelemente des Formulars können einer Gruppe zugeordnet werden. Wenn Steuerelemente einer Gruppe angehören, können Sie die gesamte Gruppe verwenden oder einzelne Steuerelemente auswählen.

Es gibt viele Möglichkeiten, um Gruppen und Gruppensteuerelemente einzusetzen. Nach der Auswahl einer Gruppe stehen die folgenden Bearbeitungsmöglichkeiten zur Auswahl.

  • Die Größe aller Steuerelemente der Gruppe gleichzeitig anpassen. Klicken Sie auf [image] , um weitere Informationen zu erhalten.

  • Die Steuerelemente der Gruppe trennen, um voneinander unabhängige Steuerelemente zu erhalten. Klicken Sie auf [image] , um weitere Informationen zu erhalten.

  • Das Kontextmenü der Gruppe anzeigen, um schnell Gruppenbefehle aufzurufen. Klicken Sie auf [image] , um weitere Informationen zu erhalten.

  • Ein einzelnes Steuerelement der Gruppe auswählen, ohne die Steuerelemente der Gruppe zu trennen. Anschließend können Sie die Eigenschaftseinstellungen des ausgewählten Steuerelements bearbeiten, ohne dass davon andere Steuerelemente der Gruppe betroffen sind. Klicken Sie auf [image] , um weitere Informationen zu erhalten.


 Aktive Steuerelemente und markierte Steuerelemente

Aktive Steuerelemente und markierte Steuerelemente

Im Entwurfsmodus werden für alle Steuerelemente zwei Zustände unterschieden, nämlich aktiv und markiert. Wenn ein Steuerelement aktiv ist, bedeutet dies, dass Sie aktuell den Inhalt des Steuerelements bearbeiten; ist ein Steuerelement jedoch markiert, bedeutet dies, dass Sie mit dem Steuerelement selbst arbeiten.

Die meisten Steuerelemente werden automatisch markiert, wenn Sie sie in ein Formular einfügen. Im Entwurfsmodus werden Ziehpunkte zur Größenänderung auf dem Rand des Steuerelements angezeigt, wenn das Steuerelement markiert ist. Wenn Sie die Markierung eines Steuerelements entfernen, können Sie es erneut markieren, indem Sie auf das Steuerelement klicken.

Wenn Sie auf ein bereits markiertes Steuerelement klicken, setzen Sie das Steuerelement in den aktiven Zustand. In diesem Zustand können Sie, abhängig vom jeweiligen Steuerelement die Eigenschaften Caption oder Value des Steuerelements direkt bearbeiten.

Sowohl im markierten als auch im aktiven Zustand können Sie ENTF, STRG+X sowie STRG+C für die Befehle Löschen, Ausschneiden und Kopieren verwenden. Im markierten Zustand stehen diese Befehle über das Kontextmenü zur Verfügung und betreffen das Steuerelement selbst. Im aktiven Zustand betreffen diese Befehle den jeweils im Steuerelement markierten Text; ist kein Text markiert, haben diese Befehle keinerlei Auswirkungen. Im Kontextmenü für aktive Steuerelemente sind diese Befehle abgeblendet.


 Hinzufügen eines Steuerelements zu einem Formular

Hinzufügen eines Steuerelements zu einem Formular

Verwenden Sie eine der folgenden Methoden, um Ihrem Formular ein Steuerelement aus der Steuerelement-Werkzeugsammlung hinzuzufügen. Sie können diese Methoden auch verwenden, um einem auf dem Formular befindlichen Steuerelement vom Typ Rahmen (Frame), Register (TabStrip) oder Multiseiten (MultiPage) ein weiteres Steuerelement hinzuzufügen.

  • Klicken Sie in der Steuerelement-Werkzeugsammlung auf das gewünschte Steuerelement und anschließend auf das Formular. Das Steuerelement wird nun in der Standardgröße angezeigt. Sie können nun den Rand des Steuerelements ziehen, um die Größe zu ändern.

  • Ziehen Sie ein Steuerelement aus der Steuerelement-Werkzeugsammlung auf das Formular. Das Steuerelement wird nun in der Standardgröße angezeigt.

  • Doppelklicken Sie in der Steuerelement-Werkzeugsammlung auf das gewünschte Steuerelement, und klicken Sie anschließend für jedes Steuerelement, das Sie erstellen möchten, einmal auf das Formular. Um beispielsweise vier Befehlsschaltflächen zu erstellen, doppelklicken Sie in der Steuerelement- Werkzeugsammlung auf das Befehlsschaltflächen-Steuerelement (CommandButton) und dann viermal hintereinander auf das Formular.


 Ausrichten der Steuerelemente

Ausrichten der Steuerelemente

  1. Wählen Sie die Steuerelemente aus, die Sie an einem Teil des dominanten Steuerelements ausrichten möchten.

    Vorgehensweise

  2. Zeigen Sie im Menü Layout auf Ausrichten, und klicken Sie auf eine der folgenden Optionen.
    Option | Zweck
    Links | Ausrichten der Steuerelemente an der linken Kante des dominanten Steuerelements.
    Zentriert | Ausrichten des Mittelpunkts der Steuerelemente am vertikalen Mittelpunkt des dominanten Steuerelements.
    Rechts | Ausrichten der Steuerelemente an der rechten Kante des dominanten Steuerelements.
    Oben | Ausrichten der Steuerelemente an der oberen Kante des dominanten Steuerelements.
    Mitte | Ausrichten des Mittelpunkts der Steuerelemente am horizontalen Mittelpunkt des dominanten Steuerelements.
    Unten | Ausrichten der Steuerelemente an der unteren Kante des dominanten Steuerelements.
    am Raster | Ausrichten der linken oberen Ecke des Steuerelements am nächsten Rasterpunkt. Beachten Sie, dass diese Option nicht von der Position des dominanten Steuerelements abhängt.


Ausrichten von Text in einem Steuerelement

Dieses Verfahren steht nur für Steuerelemente vom Typ Kombinationsfeld (ComboBox), Bezeichnungsfeld (Label) und Textfeld (TextBox) zur Verfügung.

  1. Klicken Sie mit der rechten Maustaste auf das gewünschte Steuerelement, und klicken Sie anschließend im Kontextmenü auf Erweiterte Eigenschaften.

  2. Zum Festlegen der TextAlign-Eigenschaft klicken Sie auf die Eigenschaft, und geben Sie dann einen Wert in das Feld Übernehmen ein.
    Legen Sie die TextAlign-Eigenschaft fest auf: Für diese Textausrichtung:
    Links | am linken Rand des Steuerelements
    Rechts | am rechten Rand des Steuerelements
    Zentriert | zentriert in Relation zur Länge des Steuerelements


 Ermöglichen der Anzeige von mehrzeiligem Text in einem Steuerelement

Ermöglichen der Anzeige von mehrzeiligem Text in einem Steuerelement

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das gewünschte Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Aktivieren Sie auf der Seite Anzeige das Kontrollkästchen Mehrzeilig.

    Im folgenden Codebeispiel wird die ModifiedFormPages-Eigenschaft des aktuellen Inspector-Objekts verwendet, um die MultiLine-Eigenschaft eines Textfeld-Steuerelements (TextBox) auf einer Seite mit Namen "Test" festzulegen.

    Item.GetInspector.ModifiedFormPages("Test").Textbox1.MultiLine = True


 So weisen Sie einem Steuerelement einen Tipp für ein Steuerelement, einen Titel und eine Zugriffstaste zu

So weisen Sie einem Steuerelement einen Tipp für ein Steuerelement, einen Titel und eine Zugriffstaste zu

  1. Klicken Sie mit der rechten Maustaste auf das gewünschte Steuerelement, und klicken Sie anschließend im Kontextmenü auf Erweiterte Eigenschaften.

  2. Zum Festlegen der Eigenschaft klicken Sie auf die Eigenschaft, und geben Sie dann einen Wert in das Feld Übernehmen ein.
    Legen Sie diese Eigenschaft fest: Um Folgendes zuzuweisen:
    ControlTipText | Die Zeichenfolge, die Sie als Tipp für das Steuerelement verwenden möchten.
    Caption | Die Zeichenfolge, die Sie als Titel verwenden möchten.
    Accelerator | Ein einzelnes Zeichen als Wert für den Eintrag ALT+Zugriffstaste. Wenn Sie ein Zeichen aus dem Titel des Steuerelements verwenden, wird das Zeichen unterstrichen.

Anmerkung Sie können den Wert für diese Eigenschaft auch mit Hilfe von Code festlegen. Um beispielsweise den Titel des Steuerelements Label1 auf der Seite "Message" festzulegen, verwenden Sie:

Item.GetInspector.ModifiedFormPages("Message").Label1.Caption = "New Caption"


 Erstellen einer Reihe von Optionsfelder-Steuerelementen (OptionButton)

Erstellen einer Reihe von Optionsfelder-Steuerelementen (OptionButton)

Standardmäßig sind in einem Container alle Optionsfelder-Steuerelemente (OptionButton) Teil einer einzelnen Optionsfeldergruppe. Dies bedeutet, dass alle anderen Optionsfelder auf der Seite automatisch auf False festgelegt werden, wenn eines der Optionsfelder markiert wird.

Wenn mehr als eine Optionsfeldergruppe auf der Seite erstellt werden soll, stehen zwei Möglichkeiten zum Erstellen weiterer Gruppen zur Verfügung:

  • Verwenden Sie die GroupName-Eigenschaft, um verwandte Optionsfelder zu bezeichnen. Mit dieser Methode reduzieren Sie die Anzahl der Steuerelemente, die auf dem Formular benötigt werden, wodurch die benötigte Speichermenge reduziert und das Leistungsverhalten des Formulars verbessert wird. Wenn Sie eine Optionsfeldergruppe in einem Register-Steuerelement (TabStrip) (was kein Container ist) erstellen möchten, müssen Sie die Eigenschaft GroupName verwenden.

  • Setzen Sie verwandte Optionsfelder auf eine Seite, ein Multiseiten-Steuerelement (MultiPage) oder in ein Rahmen-Steuerelement (Frame) auf dem Formular.

Was möchten Sie tun?

Eine Reihe von Optionsfelder-Steuerelementen (OptionButton) mit Hilfe der GroupName-Eigenschaft erstellen

Ein Steuerelement zu einem Formular hinzufügen


 Aktivieren oder Deaktivieren eines Steuerelements auf einer Seite

Aktivieren oder Deaktivieren eines Steuerelements auf einer Seite

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das gewünschte Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Aktivieren oder deaktivieren Sie auf der Registerkarte Anzeige das Kontrollkästchen Aktiviert.

    Im folgenden Codebeispiel wird die ModifiedFormPages-Eigenschaft des aktuellen Inspector-Objekts verwendet, um die Enabled-Eigenschaft eines Kontrollkästchen-Steuerelements (CheckBox) auf einer Seite mit dem Namen "Test" festzulegen.

    Item.GetInspector.ModifiedFormPages("Test").Checkbox1.Enabled = False


 Einem Steuerelement ein dreidimensionales Aussehen verleihen

Einem Steuerelement ein dreidimensionales Aussehen verleihen

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das gewünschte Steuerelement, und klicken Sie anschließend im Kontextmenü auf Erweiterte Eigenschaften.

  2. Klicken Sie auf SpecialEffect und dann im darüber liegenden Feld auf die gewünschte Option.

    Im folgenden Codebeispiel wird die ModifiedFormPages-Eigenschaft des aktuellen Inspector-Objekts verwendet, um die SpecialEffect-Eigenschaft eines Kontrollkästchen-Steuerelements (CheckBox) auf einer Seite mit dem Namen "Test" festzulegen.

    Item.GetInspector.ModifiedFormPpages("Test").Checkbox1.SpecialEffect = 2

Anmerkung Klicken Sie auf [image] , um eine Liste der verfügbaren Spezialeffekte zu erhalten.


 Aus- und Einblenden eines Steuerelements

Aus- und Einblenden eines Steuerelements

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das gewünschte Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Aktivieren oder deaktivieren Sie auf der Registerkarte Anzeige das Kontrollkästchen Sichtbar.

    Im folgenden Codebeispiel wird die ModifiedFormPages-Eigenschaft des aktuellen Inspector-Objekts verwendet, um die Visible-Eigenschaft eines Kontrollkästchen-Steuerelements (CheckBox) auf einer Seite mit dem Namen "Test" festzulegen.

    Item.GetInspector.ModifiedFormPages("Test").Checkbox1.Visible = False


 Formatieren eines Steuerelements als schreibgeschützt

Formatieren eines Steuerelements als schreibgeschützt

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das gewünschte Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Aktivieren Sie auf der Registerkarte Anzeige das Kontrollkästchen Schreibgeschützt.

    Im folgenden Codebeispiel wird die ModifiedFormPages-Eigenschaft des aktuellen Inspector-Objekts verwendet, um das Textfeld "TextBox1" mit einem Schreibschutz zu versehen.

    Item.GetInspector.ModifiedFormPages("P.2").TextBox1.ReadOnly = True


 Verschieben eines Steuerelements um jeweils eine Einheit

Verschieben eines Steuerelements um jeweils eine Einheit

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das gewünschte Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Geben Sie auf der Registerkarte Anzeige eine Zahl in die Felder Oben und Links ein.


Anzeigen des Kontextmenüs für Steuerelemente und Steuerelementgruppen

Zum Anzeigen des Kontextmenüs: | Klicken Sie mit der rechten Maustaste auf:
für eine Seite | die Überschrift der entsprechenden Seite
für ein Multiseiten-Steuerelement (MultiPage) | auf eine beliebige Stelle im Steuerelement, jedoch nicht auf die Überschrift einer beliebigen Seite im Steuerelement
für Steuerelementgruppen (Gruppen, die mit dem Befehl Gruppieren erstellt wurden) | auf eine beliebige Stelle innerhalb des Rechtecks, das die Gruppe umgibt
für eine Registerkarte | auf die Überschrift der entsprechenden Registerkarte
für ein Register-Steuerelement (TabStrip) | auf eine beliebige Stelle im Steuerelement, jedoch nicht auf die Überschrift einer beliebigen Registerkarte im Steuerelement
für ein beliebiges anderes Steuerelement oder einen Container | auf das Steuerelement oder den Container

Anmerkung Die Befehle in einem Kontextmenü variieren abhängig vom ausgewählten Objekt. Wenn Sie beispielsweise mehrere Steuerelemente markieren, die nicht Bestandteil einer Gruppe sind, umfasst das Kontextmenü den Befehl Gruppieren; das Kontextmenü für ein Textfeld-Steuerelement (TextBox) umfasst diesen Befehl hingegen nicht.


 Möglichkeiten zum Schützen sensibler Daten

Möglichkeiten zum Schützen sensibler Daten

In vielen Anwendungen werden Daten verwendet, die nur von hierzu berechtigten Benutzern eingesehen werden dürfen. In der folgenden Liste finden Sie einige Möglichkeiten, wie Sie sensible Daten in einem Formular schützen können. Beachten Sie jedoch, dass mit einem Formular verbundene Felder noch immer in einer Ansicht angezeigt werden können.

  • Schreiben Sie Code, der ein Steuerelement (und dessen Daten) für nicht autorisierte Benutzer unsichtbar macht. Um im Code einen bestimmten Benutzer zu bezeichnen, verwenden Sie folgenden Code:

    Application.GetNameSpace("MAPI").CurrentUser

    Mit der Visible-Eigenschaft wird ein Steuerelement sichtbar oder unsichtbar gemacht.

  • Schreiben Sie Code, mit dem Vordergrund und Hintergrund des Steuerelements auf die gleiche Farbe festgelegt werden, wenn die Anwendung von einem nicht autorisierten Benutzer ausgeführt wird. Hiermit werden die Daten vor nicht autorisierten Benutzern verborgen. Mit der ForeColor-Eigenschaft und der BackColor-Eigenschaft werden die Vordergrundfarbe und die Hintergrundfarbe eines Steuerelements festgelegt.

  • Deaktiveren Sie das Steuerelement, wenn die Anwendung von einem nicht autorisierten Benutzer ausgeführt wird. Mit der Enabled-Eigenschaft wird festgelegt, wann ein Steuerelement deaktiviert wird.

  • Legen Sie ein Kennwort fest, das zum Ändern des Formulars eingegeben werden muss. Klicken Sie auf [image] für weitere Informationen über das Festlegen von Kennwörtern zum Schützen eines Formulars.

  • Legen Sie ein Kennwort fest, das für den Zugriff auf die Anwendung oder ein bestimmtes Steuerelement eingegeben werden muss. Sie können die Eingabe der einzelnen Zeichen des Kennworts durch den Benutzer mit Platzhaltern maskieren. Mit der PasswordChar-Eigenschaft werden die Platzhalterzeichen definiert.

  • Wird das Formular nur in einem Öffentlichen Ordner angezeigt, können Sie Berechtigungen für den Ordner festlegen, um zu bestimmen, wer das Formular öffnen darf. Für weitere Informationen klicken Sie auf [image] .

Anmerkung Durch die Verwendung von Kennwörtern oder eines anderen oben aufgelisteten Verfahren können Sie die Sicherheit Ihrer Anwendung verbessern, diese Methoden bieten jedoch keine Garantie dafür, dass Unbefugten der Zugriff auf Ihre Daten verwehrt ist.


 Anzeigen oder Ausblenden des Rasters

Anzeigen oder Ausblenden des Rasters

  • Klicken Sie im Entwurfsmodus im Menü Layout auf Raster anzeigen.


 Einstellen der Rastergröße

Einstellen der Rastergröße

  1. Klicken Sie im Entwurfsmodus im Menü Formular auf Rastergröße einstellen.

  2. Geben Sie in die Felder Höhe und Breite die gewünschten Abmessungen ein.

Tipp Wenn Sie den Befehl Anordnen (Menü Layout) verwenden, um Befehlsschaltflächen in Ihrer Anwendung zu positionieren, sollten Sie ein kleines Raster einstellen, damit Sie die Befehlsschaltflächen näher am Formularrand positionieren können.


 Ein- oder Ausschalten der Ausrichtung am Raster

Ein- oder Ausschalten der Ausrichtung am Raster

  • Klicken Sie im Entwurfsmodus im Menü Layout oder auf der Symbolleiste auf Am Raster ausrichten.


 Zentrieren von Steuerelementen in einem Formular

Zentrieren von Steuerelementen in einem Formular

  1. Wählen Sie die Steuerelemente oder Steuerelementgruppen aus, die Sie zentrieren möchten. Das dominante Steuerelement ist in diesem Zusammenhang nicht von Bedeutung.

    Vorgehensweise

  2. Zeigen Sie im Menü Layout auf Auf Formular zentrieren, und klicken Sie dann auf Horizontal oder Vertikal.


Rechtsbündiges Ausrichten eines Steuerelements in einem Formular

  1. Ziehen Sie ein Bezeichnungsfeld-Steuerelement (Label) aus der Steuerelement-Werkzeugsammlung links von dem Punkt, an dem Sie das Steuerelement ausrichten möchten.

  2. Löschen Sie gegebenenfalls den Text für die Caption-Eigenschaft.

  3. Klicken Sie mit der rechten Maustaste auf den Titel, und klicken Sie dann im Kontextmenü auf Eigenschaften.

  4. Aktivieren Sie im Menü Anzeige das Kontrollkästchen Größe an Formular anpassen.

  5. Erstellen Sie das Steuerelement, das Sie ausrichten möchten.

  6. Positionieren Sie das Steuerelement rechts vom Bezeichnungsfeld-Steuerelement (Label).


 Anpassen der Zwischenräume von Steuerelementen

Anpassen der Zwischenräume von Steuerelementen

  1. Wählen Sie die Steuerelemente aus, für die Sie die Zwischenräume anpassen möchten.

  2. Zeigen Sie im Menü Layout auf Horizontaler Abstand oder Vertikaler Abstand, und klicken Sie auf eine der folgenden Optionen.
    Option | Zweck
    Gleichsetzen | Alle horizontalen und vertikalen Zwischenräume zwischen Steuerelementen auf denselben Wert einstellen. Die Größe des horizontalen und vertikalen Zwischenraums variiert in Abhängigkeit vom verfügbaren Bereich zum Anzeigen der Steuerelemente und der Gesamtbreite aller Steuerelemente.
    Vergrößern | Den Zwischenraum zwischen den Steuerelementen um einen Rasterblock vergrößern.
    Verkleinern | Den Zwischenraum zwischen den Steuerelementen um einen Rasterblock verkleinern.
    Entfernen | Den Zwischenraum zwischen den Steuerelementen entfernen. Die Steuerelemente überschneiden sich nicht, grenzen jedoch unmittelbar aneinander an.


 Anpassen der Größe von Steuerelementen

Anpassen der Größe von Steuerelementen

  1. Wählen Sie die Steuerelemente aus, deren Größe Sie an das dominante Steuerelement anpassen möchten.

    Vorgehensweise

  2. Zeigen Sie im Menü Layout auf Größe angleichen, und klicken Sie auf eine der folgenden Optionen.
    Option | Zweck
    Breite | Für alle ausgewählten Steuerelemente die Breite des dominanten Steuerelements einstellen.
    Höhe | Für alle ausgewählten Steuerelemente die Höhe des dominanten Steuerelements einstellen.
    Höhe und Breite | Für alle ausgewählten Steuerelemente die Breite und Höhe des dominanten Steuerelements einstellen.

Anmerkung Um die Größe eines Steuerelements an den Inhalt anzupassen (die Grafiken und den Text, die der Titel- oder Text-Eigenschaft zugewiesen sind), wählen Sie das Steuerelement aus und klicken im Menü Layout auf Größe anpassen.


Automatische Größenanpassung von Steuerelementen

Sie können Steuerelemente so einrichten, dass sie automatisch horizontal oder vertikal angepasst werden, wenn ein Benutzer die Größe des Formulars ändert. Die Größe des Steuerelements ändert sich im Verhältnis zur Größe des Formulars. Wenn beispielsweise ein Benutzer die Größe einer Nachricht ändert, wird die Größe des Nachrichtentextes automatisch angepasst.

Horizontale Größenanpassung eines Steuerelements an ein Formular

Vertikale Größenanpassung eines Steuerelements an ein Formular

Horizontale und vertikale Größenanpassung eines Steuerelements an ein Formular


 Erstellen einer Steuerelementgruppe

Erstellen einer Steuerelementgruppe

  1. Wählen Sie die gewünschten Steuerelemente für die Gruppe aus. Das dominante Steuerelement ist in diesem Zusammenhang nicht von Bedeutung.

    Vorgehensweise

  2. Klicken Sie im Menü Layout auf Gruppierung.


Auswählen und Bearbeiten eines Steuerelements in einer Gruppe

  1. Wählen Sie die Steuerelementgruppe aus.

  2. Wählen Sie ein einzelnes Steuerelement der Gruppe aus. Die Ziehpunkte um die Gruppe werden dadurch heller, und um das ausgewählte Steuerelement erscheinen dunkle Ziehpunkte.

  3. Nehmen Sie die gewünschten Änderungen an den Eigenschaften des ausgewählten Steuerelements vor. Die Änderungen betreffen nur das ausgewählte Steuerelement.

  4. Wenn Sie alle Änderungen durchgeführt haben, klicken Sie an eine beliebige Stelle der Gruppe. Klicken Sie jedoch nicht auf das ausgewählte Steuerelement. Die Gruppe ist weiterhin ausgewählt.

  5. Wählen Sie ein anderes Steuerelement der Gruppe aus, oder führen Sie eine andere Funktion aus.


Aufheben der Gruppierung von Steuerelementen

  1. Wählen Sie die Steuerelementgruppe aus.

  2. Klicken Sie im Menü Layout auf Gruppierung aufheben.


Auswählen mehrerer Steuerelemente und des dominanten Steuerelements

Es gibt drei Möglichkeiten, um mehrere Steuerelemente auszuwählen. Dabei wird eines der Steuerelemente zu einer Referenz für die anderen Steuerelemente und als dominantes Steuerelement bezeichnet.

Auswahlmethode | Auswahl | Dominantes Steuerelement
UMSCHALT+KLICKEN | Alle Steuerelemente in einem unsichtbaren Rechteck um die ausgewählten Steuerelemente. | Erstes ausgewähltes Steuerelement.
STRG+KLICKEN | Nacheinander einzelne Steuerelemente. | Letztes ausgewähltes Steuerelement.
Mauszeiger zur Objektauswahl in der Steuerelement- Werkzeugsammlung | Alle Steuerelemente, die innerhalb eines von Ihnen aufgezogenen Rechtecks liegen oder dieses berühren. | Das Steuerelement, das sich am nächsten beim Mauszeiger befindet, wenn Sie das Rechteck aufziehen.

Tipps

  • Gelegentlich werden mit der Methode STRG+KLICKEN zusätzliche Steuerelemente ausgewählt, die sich in der Nähe der ausgewählten Steuerelemente befinden oder unmittelbar an diese angrenzen. Verwenden Sie die Mauszeigermethode zum Auswählen von Objekten, um ein genaueres Ergebnis zu erzielen.

  • Wenn Sie STRG+KLICKEN zweimal auf einem ausgewählten Steuerelement ausführen, wird dieses zum dominanten Steuerelement.


 Verwenden der Z-Reihenfolge zum Anordnen von Steuerelementen

Verwenden der Z-Reihenfolge zum Anordnen von Steuerelementen

  1. Wählen Sie die Steuerelemente aus, die Sie in Z-Reihenfolge neu anordnen möchten.

  2. Zeigen Sie im Menü Layout auf Reihenfolge, und klicken Sie auf eine der folgenden Optionen.
    Option | Verschieben des Steuerelements
    In den Vordergrund | Nach oben in der Z-Reihenfolge.
    In den Hintergrund | Nach unten in der Z-Reihenfolge.
    Eine Ebene nach vorne | Um eine Position nach vorne in der Z-Reihenfolge.
    Eine Ebene nach hinten | Um eine Position nach hinten in der Z-Reihenfolge.

Anmerkungen

  • Befehle zum Anordnen der Ebenen, wie zum Beispiel In den Hintergrund oder In den Vordergrund können nicht rückgängig gemacht oder wiederholt werden.

  • Wenn das Formular die Listenfeld-, Rahmen- oder Multiseiten-Steuerelemente (ListBox, Frame, MultiPage) aufweist, werden diese automatisch möglichst weit nach oben in der Reihenfolge verschoben. Zum Beispiel werden durch Anwenden des Befehls Eine Ebene nach hinten auf ein Listenfeld-, Rahmen- oder Multiseiten-Steuerelement (ListBox, Frame, MultiPage) diese unter andere Listenfeld-, Rahmen- oder Multiseiten-Steuerelemente (ListBox, Frame, MultiPage) verschoben; sie werden jedoch nicht hinter andere Steuerelementtypen in der Reihenfolge verschoben. Entsprechend werden durch Anwenden des Befehls Eine Ebene nach vorne auf andere als Listenfeld-, Rahmen- oder Multiseiten-Steuerelemente (ListBox, Frame, MultiPage) diese weiter nach oben in der Reihenfolge verschoben; sie werden jedoch nicht vor andere Listenfeld-, Rahmen- oder Multiseiten-Steuerelemente (ListBox, Frame, MultiPage) in der Reihenfolge verschoben.

    Dies bedeutet, dass Listenfeld-, Rahmen- oder Multiseiten -Steuerelemente (ListBox, Frame, MultiPage) über anderen Steuerelementen angezeigt werden, wenn Listenfeld-, Rahmen- oder Multiseiten-Steuerelemente (ListBox, Frame, MultiPage) und andere Microsoft Forms-Steuerelemente an derselben Position in einem Formular angeordnet sind. Befinden sich zwei Listenfeld-, Rahmen- oder Multiseiten-Steuerelemente (ListBox, Frame, MultiPage) an derselben Position, entscheidet die Z-Reihenfolge der Steuerelemente, welches Steuerelement über dem anderen angezeigt wird.


Wann ein Multiseiten-Steuerelement (MultiPage) und wann ein Register-Steuerelement (TabStrip) verwendet werden sollte

Wenn Sie ein einziges Layout für Daten verwenden, sollten Sie ein Register-Steuerelement (TabStrip) verwenden und anschließend jede Datengruppe einer eigenen Registerkarte zuordnen. Wenn Sie mehrere Layouts für Daten benötigen, verwenden Sie ein Multiseiten-Steuerelement (TabStrip) und weisen dann jedem Layout eine eigene Seite zu.

Im Gegensatz zu einer Seite in einem Multiseiten-Steuerelement (MultiPage) ist der Client-Bereich eines Register-Steuerelements (TabStrip) kein separates Formular, sondern ein Teil des Formulars, auf dem sich das Register-Steuerelement befindet. Der Rahmen eines Register-Steuerelements (TabStrip) definiert einen Bereich des Formulars, den Sie mit den Registerkarten verknüpfen können. Wenn Sie ein Steuerelement im Client-Bereich eines Register-Steuerelements (TabStrip) platzieren, fügen Sie damit dem Formular ein Steuerelement hinzu, das das Register-Steuerelement enthält.


 Zuweisen eines Tipps zum Steuerelement, eines Titels und einer Zugriffstaste zu einer Seite oder einer Registerkarte

Zuweisen eines Tipps zum Steuerelement, eines Titels und einer Zugriffstaste zu einer Seite oder einer Registerkarte

Mit diesem Verfahren werden nur die Eigenschaften für eine Seite oder eine Registerkarte in einem Multiseiten-Steuerelement (MultiPage) oder einem Register-Steuerelement (TabStrip) zugewiesen.

  1. Markieren Sie im Entwurfsmodus eine Seite oder eine Registerkarte in einem Multiseiten-Steuerelement (MultiPage) oder einem Register-Steuerelement (TabStrip).

    Vorgehensweise

    Vergewissern Sie sich, dass Sie eine einzelne Seite oder Registerkarte markiert haben und nicht das dazugehörige Multiseiten- (MultiPage) oder Register-Steuerelement (TabStrip). Wenn eine Seite oder eine Registerkarte markiert ist, wird ein Rechteck um deren Titel angezeigt.

  2. Klicken Sie mit der rechten Maustaste auf den Titel der markierten Seite oder Registerkarte, und klicken Sie anschließend im Kontextmenü auf Umbenennen.

  3. Geben Sie im Feld Steuerelement-Info die Zeichenfolge ein, die Sie als Tipp zum Steuerelement verwenden möchten.

  4. Geben Sie im Feld Caption die Zeichenfolge ein, die Sie als Titel verwenden möchten.

  5. Geben Sie im Feld Accelerator ein einzelnes Zeichen ein. Verwenden Sie ein Zeichen aus dem Titel des Steuerelements. Das ausgewählte Zeichen wird im Titel des Steuerelements unterstrichen.

Tipp Wenn Sie einem Multiseiten-Steuerelement (MultiPage) oder einem Register-Steuerelement (TabStrip) einen Tipp zum Steuerelement zuordnen möchten, verwenden Sie die ControlTipText-Eigenschaft. Weisen Sie einem Multiseiten-Steuerelement (MultiPage) oder einem Register-Steuerelement (TabStrip) einen Tipp zum Steuerelement zu, werden die Tipps zum Steuerelement für die einzelnen Page- oder Tab-Objekte innerhalb des Multiseiten-Steuerelements (MultiPage) nicht mehr angezeigt.


 Ändern der Reihenfolge der Seiten bzw. Registerkarten in einem Multiseiten- (MultiPage) oder Register-Steuerelement (TabStrip)

Ändern der Reihenfolge der Seiten bzw. Registerkarten in einem Multiseiten- (MultiPage) oder Register-Steuerelement (TabStrip)

Mit diesem Verfahren werden nur die Eigenschaften für eine Seite oder eine Registerkarte in einem Multiseiten-Steuerelement (MultiPage) oder einem Register-Steuerelement (TabStrip) zugewiesen.

  1. Markieren Sie im Entwurfsmodus eine beliebige Seite oder Registerkarte in einem Multiseiten-Steuerelement (MultiPage) oder einem Register-Steuerelement (TabStrip).

    Vorgehensweise

  2. Klicken Sie mit der rechten Maustaste auf den Titel der Registerkarte, und klicken Sie anschließend im Kontextmenü auf Verschieben.

  3. Klicken Sie im Dialogfeld Seitenreihenfolge auf den Namen der Seite, die Sie verschieben möchten.

  4. Klicken Sie auf Aufwärts oder Abwärts.

Anmerkung Sie können die Seitenreihenfolge auch ändern, indem Sie den Wert der Index-Eigenschaft ändern. Der Index-Wert der ersten Seite ist 0, der der zweiten Seite 1 usw.


 Festlegen der Aktivierreihenfolge von Steuerelementen auf einer Seite

Festlegen der Aktivierreihenfolge von Steuerelementen auf einer Seite

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf eine Seite im Formular, jedoch nicht auf ein Steuerelement, und klicken Sie anschließend im Kontextmenü auf Aktivierreihenfolge.

  2. Markieren Sie den Namen des Steuerelements, dem Sie eine neue Position in der Aktivierreihenfolge zuweisen möchten.

  3. Klicken Sie auf Nach oben oder Nach unten.

Anmerkung Sie können die Aktivierreihenfolge auch festlegen, indem Sie den Wert der TabIndex-Eigenschaft ändern. Der TabIndex-Wert des ersten Steuerelements in der Aktivierreihenfolge ist 0, der des zweiten Steuerelements 1 usw.


 Hinzufügen von Elementen zu einer Liste

Hinzufügen von Elementen zu einer Liste

Sie können einem Listenfeld oder einem Kombinationsfeld während der Entwurfszeit und zur Laufzeit des Formulars Elemente hinzufügen. Um ihren Inhalt in einem Element zu speichern, müssen sowohl ein Listenfeld-Steuerelement (ListBox) als auch ein Kombinationsfeld-Steuerelement (ComboBox) an ein Feld gebunden sein.

Klicken Sie auf [image] für Informationen darüber, wie Sie Felder an ein Steuerelement binden.

Was möchten Sie tun?

Elemente einer Liste zur Entwurfszeit hinzufügen

Elemente einer Liste zur Laufzeit hinzufügen


 So erstellen Sie ein Listenfeld

So erstellen Sie ein Listenfeld

  1. Ziehen Sie im Entwurfsmodus das Steuerelement ListBox aus der Steuerelement-Toolbox auf das Formular.

  2. Klicken Sie mit der rechten Maustaste auf das Listenfeld-Steuerelement (ListBox), und klicken Sie anschließend im Kontextmenü auf Erweiterte Eigenschaften.

  3. Zum Erstellen eines standardmäßigen Listenfeldes legen Sie die ListStyle-Eigenschaft auf Plain fest. Zum Festlegen der Eigenschaft klicken Sie auf die Eigenschaft, und geben Sie dann einen Wert in das Feld Übernehmen ein.

    Zum Erstellen eines Listenfeldes mit Optionsfeldern und Kontrollkästchen legen Sie die ListStyle-Eigenschaft auf Option fest.

  4. Füllen Sie die Liste während der Entwurfszeit oder zur Laufzeit.

    Vorgehensweise

Anmerkung Wenn die ListStyle-Eigenschaft auf Option festgelegt wurde, bestimmt die MultiSelect-Eigenschaft, ob in der Liste Kontrollkästchen oder Optionsfelder angezeigt werden. Wurde MultiSelect auf Single festgelegt, werden in der Liste Optionsfelder angezeigt. Wurde MultiSelect auf Multi oder Extended festgelegt, werden in der Liste Kontrollkästchen angezeigt.


 Vergleichen von Einträgen in einer Liste mit vom Benutzer eingegebenen Einträgen

Vergleichen von Einträgen in einer Liste mit vom Benutzer eingegebenen Einträgen

  1. Ziehen Sie im Entwurfsmodus die Steuerelemente Listenfeld oder Kombinationsfeld aus der Steuerelement-Toolbox auf das Formular.

  2. Klicken Sie mit der rechten Maustaste auf das Listenfeld oder auf das Kombinationsfeld, und klicken Sie dann im Kontextmenü auf Weitere Eigenschaften.

  3. Zum Einstellen der MatchEntry-Eigenschaft klicken Sie auf die Eigenschaft, und geben Sie im Feld Übernehmen einen Wert ein.
    Wert der MatchEntry-Eigenschaft | Zweck
    No matching | Keine Suche nach Übereinstimmungen
    First letter | Vergleichen des zuletzt eingegebenen Buchstabens mit dem ersten Buchstaben der einzelnen Einträge in der Liste (die erste Übereinstimmung in der Liste wird ausgewählt)
    Complete | Vergleichen des Eintrags des Benutzers auf Übereinstimmung mit einem Eintrag in der Liste

Anmerkungen

  • Die Übereinstimmungsfunktion wird nach 2 Sekunden zurückgesetzt (in der Version für asiatische Sprachen nach 6 Sekunden). Wenn Sie beispielsweise bei einer Liste mit den 50 Bundesstaaten der USA kurz hintereinander "CO" eingeben, wird "Colorado" gesucht. Wenn Sie für die Eingabe von "CO" mehr als 2 Sekunden benötigen, wird "Ohio" gesucht, da die AutoEingabe-Suche zwischen den Buchstaben zurückgesetzt wird.

  • Wenn Sie für die Übereinstimmung Complete wählen, empfiehlt es sich, die Listeneinträge alphabetisch zu sortieren (dazu können Sie die TextColumn-Eigenschaft verwenden). Wenn die Liste nicht alphabetisch geordnet ist, arbeitet die Suche nach Übereinstimmungen möglicherweise nicht einwandfrei. Wenn in der Liste beispielsweise Alabama, Louisiana und Alaska enthalten sind, wird "Alabama" als vollständige Übereinstimmung betrachtet, wenn der Benutzer "ala" eingibt. Dieses Ergebnis ist aber in der Tat unvollständig, da in der Liste zwei Einträge enthalten sind, die mit der Benutzereingabe übereinstimmen. Ein alphabetisches Sortieren verhindert solche Fälle.


Verwendungsmöglichkeiten für ein mehrspaltiges Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox)

Zum Steuern der Spaltenbreiten in einem mehrspaltigen Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox) können Sie die Breite in Punkt für alle Spalten mit der ColumnWidths-Eigenschaft angeben. Wenn Sie für eine bestimmte Spalte den Wert 0 angeben, wird diese Spalte samt Inhalt ausgeblendet.

Wenn Sie alle Spalten eines Listenfeld-Steuerelements (ListBox) oder eines Kombinationsfeld-Steuerelements (ComboBox) bis auf eine für den Benutzer ausblenden möchten, können Sie die Spalte, die angezeigt werden soll, mit der TextColumn-Eigenschaft bezeichnen.

Auf ähnliche Weise können Sie steuern, welche Spalte mit Werten im Steuerelement verwendet wird, wenn der Benutzer eine Auswahl trifft, nämlich indem Sie die Spaltennummer als Wert der BoundColumn-Eigenschaft angeben.


Ausrichten einer Grafik auf einem Steuerelement

  1. Klicken Sie mit der rechten Maustaste auf das Steuerelement, auf dem sich die Bitmap befindet, die Sie ausrichten möchten, und klicken Sie anschließend im Kontextmenü auf Erweiterte Eigenschaften.

  2. Legen Sie eine oder alle der folgenden Eigenschaften fest. Zum Festlegen der Eigenschaft klicken Sie auf die Eigenschaft und geben dann einen Wert in das Feld Übernehmen ein.
    Legen Sie diese Eigenschaft fest: Für diese Grafikausrichtung:
    PictureAlignment | Zentrieren der Grafik innerhalb des Anzeige-Steuerelements (Image) oder Ausrichten einer beliebigen Ecke der Grafik an der entsprechenden Ecke des Anzeige-Steuerelements (Image).
    PictureSizeMode | Zuschneiden, Dehnen oder Zoomen der Grafik innerhalb des Anzeige-Steuerelements (Image) (durch Dehnen kann die Grafik verzerrt werden, durch Zoomen nicht).
    PictureTiling | Anzeigen mehrerer Kopien der Grafik innerhalb des Anzeige-Steuerelements (Image).


Zuweisen einer Grafik zu einem Steuerelement

  1. Klicken Sie mit der rechten Maustaste auf das Steuerelement, dem Sie eine Grafik zuweisen möchten, und klicken Sie anschließend im Kontextmenü auf Erweiterte Eigenschaften.

  2. Legen Sie die Picture-Eigenschaft fest. Klicken Sie hierzu auf die Eigenschaft, und geben Sie einen Wert im Feld Übernehmen ein.

  3. Geben Sie im Dialogfeld Bild laden im Feld Dateiname den Namen der Grafikdatei ein.

Anmerkung Wenn die Grafik größer als das Steuerelement ist, skaliert Outlook die Grafik so, dass sie in das Steuerelement passt.


Zuweisen einer Grafik zu einem Formular

  1. Klicken Sie im Formular mit der rechten Maustaste auf die Seite, der Sie ein Bild zuweisen möchten, und klicken Sie dann im Kontextmenü auf Erweiterte Eigenschaften.

  2. Zum Festlegen der Eigenschaft klicken Sie auf die Eigenschaft, und geben Sie dann einen Wert in das Feld Übernehmen ein.
    Legen Sie für diese Eigenschaft: Diesen Wert fest:
    Picture | Den Namen der Grafik, die Sie verwenden möchten
    PictureAlignment | TopLeft
    PictureSizeMode | Clip
    PictureTiling | True


 Ändern der Darstellungsweise eines Steuerelements

Ändern der Darstellungsweise eines Steuerelements

Outlook umfasst einige Eigenschaften, die Sie zum Definieren der Darstellungsweise von Steuerelementen auf Ihrem Formular verwenden können: ForeColor, BackColor, BackStyle, BorderColor, BorderStyle und SpecialEffect.

  • Mit der ForeColor-Eigenschaft wird die Vordergrundfarbe festgelegt. Die Vordergrundfarbe kann für jede mit dem Steuerelement zusammenhängende Textart, wie beispielsweise Titel oder Inhalt des Steuerelements, übernommen werden.

  • Die Eigenschaften BackColor und BackStyle beziehen sich auf den Hintergrund des Steuerelements. Als Hintergrund wird der Bereich innerhalb der Begrenzungen des Steuerelements betrachtet, wie beispielsweise der Bereich, der den Text in einem Steuerelement umgibt, jedoch nicht der Rahmen des Steuerelements. Mit der BackColor-Eigenschaft wird die Hintergrundfarbe festgelegt. Mit der BackStyle-Eigenschaft wird festgelegt, ob der Hintergrund transparent ist. Ein transparenter Hintergrund bei einem Steuerelement ist nützlich, wenn sich auf Ihrem Formular eine Hintergrundgrafik befindet.

    Für die Eigenschaften ForeColor und BackColor können Sie das von Ihrem System vorgegebene Farbschema verwenden, oder Sie können eine benutzerdefinierte Farbe zuweisen, die Sie aus der Farbpalette auswählen. Wenn Sie eine Systemfarbe verwenden, wie beispielsweise für Menütext, stellen Sie sicher, dass Ihr Formular der Farbpalette und den Farben entspricht, die auch von Ihren Anwendungen verwendet werden. Abhängig von den unterschiedlichen Systemen und Bildschirmauflösungen werden benutzerdefinierte Farben nicht immer gleich dargestellt, sie bieten jedoch die breitesten Auswahlmöglichkeiten.

  • Die Eigenschaften BorderColor, BorderStyle und SpecialEffect beziehen sich auf den Rahmen eines Steuerelements. Mit Hilfe der Eigenschaften BorderStyle oder SpecialEffect können Sie die Rahmenart auswählen. Es kann immer nur jeweils eine dieser beiden Eigenschaften verwendet werden. Wenn Sie einer dieser Eigenschaften einen Wert zuweisen, setzt das System die andere Eigenschaft auf Kein. Mit der SpecialEffect-Eigenschaft können Sie eine von mehreren verfügbaren Rahmenarten auswählen, wobei Sie als Farbe für den Rahmen jedoch nur die Systemfarben verwenden können. Die BorderStyle-Eigenschaft unterstützt zwar nur eine Rahmenart, hierfür können Sie jedoch jede beliebige Farbe auswählen, die eine gültige Einstellung für die BorderColor-Eigenschaft ist. BorderColor gibt die Farbe des Rahmens des Steuerelements an und ist nur gültig, wenn Sie auf BorderStyle zum Erstellen des Rahmens zurückgreifen.

Outlook unterstützt eine transparente Darstellungsweise, d. h. die Anzeige von beliebigen hinter einem Objekt befindlichen Objekten anstelle des eigentlichen Objekthintergrunds, in zwei Bereichen: für den Hintergrund von bestimmten Steuerelementen und bei Bitmaps, die auf bestimmten Steuerelementen verwendet werden können.

Eine Bitmap können Sie auf vielen Steuerelementen anzeigen. Bei bestimmten Steuerelementen werden transparente Bitmaps unterstützt, d. h. Bitmaps, bei denen eine oder mehrere der Hintergrundfarben transparent sind. Die Transparenz von Bitmaps wird nicht über eine Steuerelementeigenschaft gesteuert, sondern von der Farbe des unteren linken Pixels in der Grafik. In Outlook gibt es keine Möglichkeit, eine Bitmap zu bearbeiten und transparent zu formatieren; zu diesem Zweck müssen Sie auf einen Grafik-Editor zurückgreifen.

Auf folgenden Steuerelementen sind Bitmaps immer transparent: Kontrollkästchen (CheckBox) Befehlsschaltfläche (CommandButton) Bezeichnungsfeld (Label), Optionsfeld (OptionButton) und Umschaltfeld (ToggleButton). Von den folgenden Objekten werden transparente Bitmaps in Outlook nicht unterstützt: dem Formular, dem Rahmen-Steuerelement (Frame), dem Anzeige-Steuerelement (Image) und dem Multiseiten-Steuerelement (MultiPage).

Transparente Grafiken wirken manchmal etwas verschwommen. Falls Ihnen diese Darstellungsweise nicht gefällt, zeigen Sie die Grafik auf einem Steuerelement an, das undurchsichtige Abbildungen unterstützt. Wenn Sie eine transparente Bitmap bei einem Steuerelement verwenden, das keine transparenten Bitmaps unterstützt, wird die Bitmap zwar korrekt angezeigt, Sie können jedoch nicht sehen, was sich hinter der Bitmap befindet.

Was möchten Sie tun?

Verwenden einer Systemfarbe für einen Hintergrund oder einen Vordergrund

Verwenden einer benutzerdefinierten Farbe für den Hintergrund oder Vordergrund eines Steuerelements

Festlegen der Hintergrundfarbe eines Formulars

Formatieren eines Steuerelements als transparent


Löschen einer Grafik aus einem Steuerelement

  1. Klicken Sie mit der rechten Maustaste auf das Steuerelement, und klicken Sie anschließend im Kontextmenü auf Erweiterte Eigenschaften.

  2. Markieren Sie den Wert der Picture-Eigenschaft (das Wort "Bitmap").

  3. Drücken Sie die ENTF-TASTE.


 Testen eines Formulars im Ausführungsmodus

Testen eines Formulars im Ausführungsmodus

Um zwischen dem Entwurfsmodus und dem Ausführungsmodus (in dem ein Formular so angezeigt wird, wie es im Einsatz aussieht) des Formulars umzuschalten, klicken Sie im Menü Formular auf Dieses Formular ausführen.

Anmerkung Sie können das Formular auch außerhalb der Outlook-Designumgebung testen. Öffnen Sie eine neue Instanz des Formulars. Klicken Sie auf [image] , um weitere Informationen über das Öffnen von Formularen zu erhalten.

Geben Sie Daten in das Formular ein, senden oder veröffentlichen Sie es, und öffnen Sie dann das Formular, um sicherzustellen, dass es korrekt angezeigt wird. Ist die Darstellungsweise des Formulars nicht korrekt, können Sie Änderungen vornehmen. Klicken Sie auf [image] , um Informationen über das Bearbeiten eines Formulars zu erhalten.


 Speichern und Verteilen eines Formulars

Speichern und Verteilen eines Formulars

Es gibt drei Möglichkeiten zum Speichern eines von Ihnen erstellten Formulars.

  • Speichern des Formulars in einem geöffneten Ordner. Sie verwenden diese Option, wenn Sie ein Formular via E-Mail an andere Personen senden möchten, oder wenn Sie das Formular nicht freigeben möchten.

  • Speichern des Formulars als Datei. Sie verwenden diese Option, wenn Sie in einer anderen Anwendung mit dem Formular arbeiten möchten, oder wenn Sie das Formular als Vorlage speichern möchten. Wenn Sie das Formular nicht für andere Personen freigeben oder wenn Sie das Formular via E-Mail an andere Personen senden möchten, sollten Sie ebenfalls diese Speichermethode wählen.

  • Speichern des Formulars in einer Formularbibliothek. Sie verwenden diese Option, wenn Sie das Formular zum einfachen Zugriff an einer bestimmten Speicherposition (Bibliothek) speichern möchten. Es gibt drei Formularbibliotheken:
    • Die Bibliothek für persönliche Formulare. Formulare, die in dieser Bibliothek gespeichert sind, sind nur für Sie zugänglich und werden in Ihrem Posteingang gespeichert. An diese Formulare gelangen Sie über das Elementmenü des Befehls Formular wählen. Verwenden Sie diese Bibliothek zum Speichern eines Formulars, das ausschließlich nur von Ihnen verwendet wird, wie beispielsweise ein Formular für die Aufzeichnung von Reisekosten.

    • Outlook-Ordner. Auf Formulare, die in dieser Bibliothek gespeichert sind, kann entweder jede Person (in einem Öffentlichen Ordner) oder können nur Sie zugreifen (in einem Persönlichen Ordner). Wenn das Formular in einer Bibliothek auf Ihrer Festplatte gespeichert ist, ist es, während es sich in diesem Ordner befindet, nur für Sie zugänglich. Diese Formulare stehen über das Elementmenü zur Verfügung, während Sie sich in dem Ordner befinden. Verwenden Sie diese Bibliothek zum Speichern von Formularen in einem bestimmten Ordner, normalerweise einem Öffentlichen Ordner. Beispielsweise kann sich in einem Öffentlichen Ordner zum Nachverfolgen von Kundenkontakten ein Formular für einen Besprechungsbericht und ein Formular für das Kundenprofil befinden.

    • Die Bibliothek für organisatorische Formulare. Formulare, die in dieser Bibliothek gespeichert sind, sind für alle zugänglich und werden auf dem Server gespeichert. (Für das Speichern auf dem Server benötigen Sie die Berechtigung zum Schreibzugriff; Informationen hierzu erhalten Sie bei Ihrem Administrator.) An diese Formulare gelangen Sie über das Elementmenü des Befehls Formular wählen. Verwenden Sie diese Bibliothek, wenn Sie das Formular für alle in Ihrer Organisation zugänglich machen möchten, wie beispielsweise ein Formular zum Bekanntgeben von Urlaubszeiten. Das Speichern eines Formulars in dieser Bibliothek stellt eine schnelle und einfache Möglichkeit zum Verteilen und Aktualisieren von Formularen dar.

Was möchten Sie tun?

Ein Formular im geöffneten Ordner speichern

Ein Formular als Datei speichern

Ein Formular in einer Formularbibliothek speichern

Ein Formular via E-Mail an andere Personen senden


Speichern eines Formulars mit dem Element (Einmal-Formulare)

Wenn Sie in Microsoft Outlook Lösungen mit Hilfe von benutzerdefinierten Formularen erstellen, ist es wichtig zu verstehen, wie Outlook Ihr benutzerdefiniertes Formular in Bezug zu den Elementen in einem Ordner verwendet.

Wenn Sie z. B. ein benutzerdefiniertes Kontaktformular erstellen möchten, um das Standardformular von Outlook zu ersetzen, würden Sie normalerweise wie folgt vorgehen:

  1. Beginnen Sie mit einem neuen Standardkontaktelement, das als Grundlage für Ihr benutzerdefiniertes Formular verwendet wird.

  2. Ändern Sie das Formular entsprechend Ihren Anforderungen.

  3. Veröffentlichen Sie das Formular im Ordner Kontakte.

  4. Richten Sie das Formular als Standardformular des Ordners Kontakte ein, indem Sie die Ordnereigenschaften ändern.

In diesem typischen Fall werden die Informationen über das Formular (die Formulardefinition) nicht mit jedem Element gespeichert. Stattdessen wird das Formular an dem Ort gespeichert, wo es veröffentlicht wurde, und das Feld Nachrichtenklasse enthält einen Verweis auf dieses Formular. Da bei diesem Verfahren jedes Element lediglich mit den zugehörigen Daten abgespeichert wird, bleibt seine Größe verhältnismäßig klein.

Dennoch ist es möglich, in Outlook die Formulardefinition in einzelnen Elementen in einem Ordner zu speichern. Diese Elemente werden als Einmal-Elemente bezeichnet und benutzen immer die Formulardefinition, die in dem Element gespeichert wurde, an Stelle der des veröffentlichten Formulars.

In den meisten Fällen sollte die Formulardefinition nicht im Element gespeichert werden. Die häufigste Ausnahme dazu stellt ein benutzerdefiniertes Mail-Nachrichtenformular dar. Wenn Sie Microsoft Exchange Server verwenden, können Sie ein benutzerdefiniertes Mail-Nachrichtenformular in der Bibliothek für organisatorische Formulare veröffentlichen, so dass es immer und für jeden in der Organisation verfügbar ist. Bei diesem Verfahren müssten Sie die Formulardefinition nicht innerhalb des Elements speichern. Wenn Sie jedoch keinen Microsoft Exchange Server verwenden oder wenn Sie das Formular an eine andere Organisation senden, bei der das Formular nicht verfügbar ist, sollten Sie im Entwurfsmodus auf der Seite Eigenschaften des Formulars das Kontrollkästchen Element mit Beschreibung senden aktivieren. Dadurch wird sichergestellt, dass der Empfänger in der Lage ist, die Mail-Nachricht im benutzerdefinierten Formular anzeigen zu lassen.

Anmerkung Wenn der Empfänger dennoch nicht in der Lage ist, Ihr benutzerdefiniertes Formular zu öffnen, vergewissern Sie sich, dass Sie die Leseseite des benutzerdefinierten Mail-Formulars angepasst bzw. deaktiviert haben.

Wenn das benutzerdefinierte Formular VBScript enthält, wird von Outlook die Makrovirus-Warnung angezeigt, sofern das Formular nicht in der Bibliothek für organisatorische Formulare auf dem Microsoft Exchange Server veröffentlicht ist.

Unter folgenden Umständen werden Elemente zu Einmal-Elementen.

  • Sie verfügen über eine Ordner-basierte Lösung, bei der das Formular im Ordner veröffentlicht wurde und die Elemente das veröffentlichte Formular verwenden. Sie öffnen das vorhandene Element in einem Ordner, ändern das Formular im Entwurfsmodus und speichern anschließend das Element.

    Da sich die Formulardefinition geändert hat, und das Formular nicht erneut veröffentlicht wurde, speichert Outlook die neue Formulardefinition mit dem Element. Wenn Sie das Formular für alle Elemente im Ordner ändern wollen, öffnen Sie kein vorhandenes Element, sondern gehen wie folgt vor:

    1. Öffnen Sie ein neues Element auf der Grundlage Ihres benutzerdefinierten Formulars.

    2. Nehmen Sie Änderungen am Formularentwurf zu diesem Element vor.

    3. Veröffentlichen Sie das Formular erneut unter demselben Namen.

    4. Schließen Sie das Element, ohne die daran vorgenommenen Änderungen zu speichern.

    Alle Elemente im Ordner verwenden nun beim nächsten Öffnen der Elemente das aktualisierte benutzerdefinierte Formular, weil die Nachrichtenklasse der Elemente immer noch auf das veröffentlichte Formular verweist.

  • VBScript-Code im benutzerdefinierten Formular hat die Formulardefinition des Elements geändert.

    Wenn VBScript-Code innerhalb eines Elements durch das Programm das Formular ändert, hat dies in vielen Fällen zur Folge, dass die Formulardefinition mit dem Element gespeichert wird. Die folgenden Objektmodell-Methoden von Outlook verursachen üblicherweise dieses Verhalten:

    • UserProperties .Add

    • Methoden und Eigenschaften des FormDescription-Objekts.

    • Bestimmte Methoden oder Eigenschaften von Steuerelementen, wie zum Beispiel Enabled.

    • Methoden und Eigenschaften des Actions-Auflistung-Objekts.

Obwohl Lösungen und Situation stark abweichen können, sollten Sie bestimmte Anzeichen dafür wahrnehmen, dass ein Element zu einem Einmal-Element geworden ist.

  • Es wird eine unerwartete Makrovirus-Warnung angezeigt, die darauf hinweist, dass innerhalb des Elements selbst, und nicht nur in einem veröffentlichten Formular, VBScript-Code enthalten ist.

  • Die Größe eines Elements nimmt unerwartet zu.

  • Das Symbol eines Elements ändert sich unerwartet.


 Verwenden von Visual Basic mit Outlook

Verwenden von Visual Basic mit Outlook

Sie können Visual Basic verwenden, um Microsoft Outlook anzupassen und zu erweitern. Outlook ermöglicht Ihnen die Steuerung von Outlook, indem Sie Visual Basic, Visual Basic für Applikationen und VBScript verwenden. Welches Sie verwenden, hängt vom beabsichtigten Verwendungszweck Ihres Programms ab.

Visual Basic ist eine Programmiersprache mit vollständigem Funktionsumfang, die Sie verwenden können, um Standalone-Anwendungen oder Dynamic Link Libraries (DLLs) zur Erweiterung anderer Programme zu erstellen. Visual Basic für Applikationen ist eine Teilmenge von Visual Basic und wird in Anwendungen ausgeführt, um deren Funktionsumfang zu erweitern. VBScript ist eine vereinfachte Version von Visual Basic für Applikationen und wird innerhalb eines Outlook-Elements ausgeführt. In jedem Fall steuern diese Programmiersprachen Outlook über sein Objektmodell.

Informieren Sie sich über das Outlook-Objektmodell.

Wenn Sie eine andere Anwendung erstellen möchten, die auf von Outlook gespeicherte Daten zugreift und mit Outlook Nachrichten sendet und empfängt, verwenden Sie zum Erstellen dieser Anwendung Visual Basic. (Natürlich können Sie auch andere Programmiersprachen wie C++ verwenden, um Outlook über dessen Objektmodell zu steuern.) Visual Basic können Sie zum Erstellen einer DLL oder eines COM-Add-Ins verwenden.

Verwenden Sie Visual Basic für Applikationen auf eine der beiden folgenden Weisen: Sie können Visual Basic für Applikationen in anderen Anwendungen (wie zum Beispiel Microsoft Excel oder Microsoft Word) verwenden, um Outlook zu automatisieren, oder Sie können Visual Basic für Applikationen in Outlook verwenden, um Outlook zu steuern. Wenn zu erwarten ist, dass andere Benutzer meistens eine andere Anwendung verwenden, empfiehlt es sich, diesen die Möglichkeit zum Senden einer Nachricht mit Hilfe von Outlook oder den Zugriff auf von Outlook gespeicherte Informationen zu ermöglichen. Sie müssen dann Programme in Visual Basic für Applikationen in der Anwendung schreiben, von der Outlook über das Outlook-Objektmodell gesteuert wird. Verwenden Sie jedoch Visual Basic für Applikationen in Outlook, wenn Sie Visual Basic-Code schreiben möchten, mit dem die Funktionsweise von Outlook angepasst werden soll (wie bei einem Makro).

Die Funktionalität von Outlook-Formularen können Sie mit Hilfe von VBScript erweitern. VBScript-Programme werden in einem Formular gespeichert. Da der Programmcode im Formular enthalten ist, kann er zusammen mit einem Element an einen anderen Benutzer gesendet werden. Eine wichtige Überlegung bei der Entscheidung, welche Art der Visual Basic-Programmierung Sie verwenden möchten, stellt der Typ von Ereignissen dar, auf die das Programm reagieren soll. Da VBScript-Code mit einem bestimmten Element verknüpft ist, lässt sich ein solcher Code am einfachsten mit VBScript schreiben, der auf Ereignisse in bestimmten Elementen (beispielsweise das Öffnen eines speziellen Elements oder Änderung eines Wertes in einem Feld) reagiert. Falls das Programm jedoch auf Ereignisse innerhalb der Anwendung, im Windows-Explorer, in Ordnern oder allen Elementen reagieren soll, empfiehlt es sich, das Programm in Visual Basic oder Visual Basic für Applikationen zu verfassen.

Code, der in Visual Basic oder Visual Basic für Applikationen geschrieben wurde, ist in VBScript oftmals nicht ohne Änderungen lauffähig. Sie müssen beispielsweise alle integrierten Konstanten aus Visual Basic für Applikationen durch die numerischen Werte dieser Konstanten in VBScript ersetzen. Zudem verwendet VBScript ausschließlich den Datentyp Variant.

Informieren Sie sich über Konstanten und Variablen in VBScript.

Wenn Sie in Visual Basic für Applikationen und VBScript in Outlook das Application-Objekt einsetzen, um CreateObject oder GetObject zu verwenden, benutzen Sie einfach Application. Beispielsweise zeigt der folgende Code den Ordner Aufgaben an:

Set olMAPI = Application.GetNameSpace("MAPI")
olMAPI.GetDefaultFolder(13).Display

In Visual Basic oder Visual Basic für Applikationen in anderen Applikationen müssen Sie das Application-Objekt explizit erstellen:

Set myOlApp = CreateObject("Outlook.Application")
Set olMAPI = myOlApp.GetNameSpace("MAPI")
olMAPI.GetDefaultFolder(olFolderTasks).Display


Verwenden von Visual Basic für Applikationen in Outlook

Visual Basic für Applikationen in Microsoft Outlook ermöglicht die Steuerung von Outlook in Outlook selbst auf einfache Weise. Mit Hilfe von Visual Basic für Applikationen können Sie in Outlook Makros erstellen, um komplexe und wiederkehrende Aufgaben automatisch auszuführen. Sie können darüber hinaus Programmcode entwickeln, der auf Outlook-Ereignisse antwortet und es Ihnen ermöglicht, häufige Aufgaben zu automatisieren (wie z. B. das Anordnen von Fenstern beim Start von Outlook).

Visual Basic für Applikationen in Outlook ermöglicht Ihnen in vollem Umfang die Vorteile des Outlook-Objektmodells zu nutzen, einschließlich der großen Bandbreite der Ereignisse auf Anwendungsebene, ohne die Ausführung einer externen Applikation erforderlich zu machen (wie z. B. einer anderen Microsoft Office-Anwendung oder einer Anwendung, die mit Hilfe von Microsoft Visual Basic entwickelt wurde). Im Gegensatz zu in VBScript entwickelten Formularskripten ist der Outlook-Visual Basic für Applikationen-Code immer innerhalb der Anwendung verfügbar als ein Element, das nicht geöffnet werden muss, um den Code auszuführen.

Der gesamte Outlook-Visual Basic für Applikationen-Code ist in einem Projekt enthalten. Das Projekt ist einem bestimmten Benutzer zugeordnet, so dass alle Benutzer, die Outlook auf einem Computer ausführen, Outlook ihren eigenen Anforderungen entsprechend anpassen können. Ein Projekt kann Codemodule und Benutzerformulare enthalten (beachten Sie, dass Benutzerformulare nicht mit Outlook-Formularen zu verwechseln sind).

Verwenden Sie den Visual Basic-Editor, um Module zu erstellen und zu entfernen, um Benutzerformulare zu entwerfen und um Code in Modulen zu bearbeiten. Dieser Editor liefert eine leistungsfähige Sammlung an Tools, einschließlich eines integrierten Objekt-Browsers und Debuggers, um die Entwicklung von Code und die Fehlerbehebung zu erleichtern. Sie können darüber hinaus den Visual Basic-Editor in Outlook verwenden, um Code zu entwickeln und zu testen, den Sie anschließend in eine eigenständige Visual Basic-Anwendung kopieren oder in eine Visual Basic für Applikationen-Anwendung in einer anderen Microsoft Office-Anwendung kopieren.

Sie können ein Modul in eine Datei exportieren. Das vereinfacht die gemeinsame Verwendung Ihrer Programme mit anderen Benutzern, die den Visual Basic-Editor verwenden, um das Modul in ihre eigenen Outlook-Visual Basic für Applikationen-Projekte zu importieren.

Informieren Sie sich über das Schreiben eines Outlook-Makros, Reagieren auf Outlook-Ereignisse und Entwerfen von Visual Basic für Applikationen-Formulare.


Schreiben eines Outlook-Makros

Unter einem Makro versteht man jede öffentliche Unterroutine in einem Codemodul. Funktionen oder persönliche Unterroutinen können keine Makros sein. Ein Makro kann nicht in einem Klassen- oder Formularmodul abgelegt werden.

So erstellen Sie ein neues Makro:

  1. Zeigen Sie in Outlook im Menü Extras mit dem Mauszeiger auf Makro, und klicken Sie anschließend auf Visual Basic-Editor.

  2. Doppelklicken Sie im Fenster Projekt auf das Modul, in dem das Makro enthalten sein soll.

  3. Klicken Sie im Menü Einfügen auf Prozedur.

  4. Geben Sie im Feld Name einen Namen für das Makro ein. Dieser Name darf keine Leerzeichen enthalten.

  5. Klicken Sie auf OK.

    Die Vorlage für die Makro-Unterroutine wird jetzt im Fenster für das Codemodul angezeigt.

  6. Geben Sie den Code ein, der im Textkörper der Unterroutine ausgeführt werden soll.

Weitere Informationen zur Verwendung des Visual Basic-Editors finden Sie in der Onlinehilfe des Editors.

Wenn Sie ein Makro erstellt haben, können Sie auch einen Menüeintrag oder eine Symbolleistenschaltfläche erstellen, auf die Sie klicken können, wenn das Makro ausgeführt werden soll.


Verwenden von Outlook Visual Basic für Applikationen für die Reaktion auf Outlook-Ereignisse

Ereignisprozeduren (auch Ereignishandler genannt) werden geschrieben, um auf Ereignisse zu reagieren, die in Microsoft Outlook eintreten. Z. B. können Sie eine Ereignisprozedur schreiben, die automatisch das Explorer-Fenster maximiert, wenn Outlook gestartet wird.

Ereignisse sind bestimmten Objekten zugeordnet. Das Application-Objekt ist das oberste Objekt, und es ist immer verfügbar (d. h., es muss nicht erstellt werden). Sie können eine Application-Ereignisprozedur in das ThisOutlookSession-Modulfenster einfügen, indem Sie einfach Application in der linken Liste und anschließend das Ereignis in der rechten Liste auswählen.

Um anderen Objekten als dem Application-Objekt einen Ereignishandler hinzuzufügen, sind weitere Schritte erforderlich.

Zuerst müssen Sie mit Hilfe des WithEvents-Stichwortes eine Variable deklarieren, um das Objekt zu bestimmen, dessen Ereignis Sie bearbeiten wollen. Um beispielsweise eine Variable zu deklarieren, die das OutlookBarPane-Objekt darstellt, fügen Sie Folgendes dem Codemodul hinzu.

Dim WithEvents myOlBar as Outlook.OutlookBarPane

Sie können anschließend myOlBar in der linken Liste des Modulfensters und danach das Ereignis in der rechten Liste auswählen. Der Visual Basic-Editor fügt daraufhin die Vorlage für die Ereignisprozedur in das Modulfenster ein. Im Anschluss geben Sie den Code ein, der verwendet werden soll, wenn das Ereignis eintritt. Im folgenden Beispiel wurde in die BeforeNavigate-Ereignisprozedur für das OutlookBarPane-Objekt eingefügt.

Private Sub myOlBar_BeforeNavigate(ByVal Shortcut As OutlookBarShortcut, Cancel As Boolean)
    If Shortcut.Name = "Notes" Then
        MsgBox "You cannot open the Notes folder."
        Cancel = True
    End If
End Sub

Im letzten Schritt wird Code eingefügt, um die Objektvariable auf das Objekt zu setzen, dessen Ereignis Sie bearbeiten möchten. Dieser Code kann in einem Makro vorhanden sein oder in der Startup-Ereignisprozedur, wenn das Ereignis bei jedem Start von Outlook behandelt werden soll, wie im folgenden Beispiel.

Private Sub Application_Startup()
    Set myOlBar = Application.ActiveExplorer.Panes(1)
End Sub


Arbeiten mit Formularen im Visual Basic-Editor

Mit dem Visual Basic-Editor können Sie ein Formular entwerfen, das es den Benutzern ermöglicht, mit Ihrem in Microsoft Visual Basic für Applikationen geschriebenen Programm zusammenzuarbeiten. Im Gegensatz zu einem Outlook-Formular können in einem mit Visual Basic für Applikationen erstellten Formular keine Outlook-Elemente dargestellt werden. Außerdem ist es nicht möglich, ein Steuerelement aus einem Formular von Visual Basic für Applikationen mit einem Elementfeld zu verbinden.

Im Programm Visual Basic für Applikationen können mit einem in Visual Basic für Applikationen entworfenen Benutzerformular Informationen von Benutzern abgefragt werden; das Programm kann diese Informationen anschließend verwenden, um die Eigenschaften von neuen oder vorhandenen Outlook-Elementen festzulegen. So kann z. B. in einem Programm zum Erstellen einer Mail-Nachricht mit häufig verwendetem Text ein mit Visual Basic für Applikationen erstelltes Formular verwendet werden, in das der Benutzer die spezifischen Informationen für die zu sendende Nachricht eintragen kann. Wenn der Benutzer dann die Nachricht schließt, verwendet das Programm die Informationen im Formular, um die Eigenschaften der Mail-Nachricht festzulegen, und sendet anschließend die Nachricht.

Im folgenden Beispiel wird der Text aus zwei Textfeldern verwendet, um der Nachricht vor dem Senden Informationen hinzuzufügen.

Private Sub CommandButton1_Click()
    Dim myMail As Outlook.MailItem
    Set myMail = Application.CreateItem(olMailItem)
    With myMail
        .To = TextBox1.Text
        .Subject = "Book overdue: " & TextBox2.Text
        .Body = "Please return this book as soon as possible."
    End With
    myMail.Send
End Sub

Sie können auch Steuerelemente zum Anzeigen von Informationen über Outlook-Elemente, Ordner und über andere Funktionen des Outlook-Objektmodells verwenden. Im folgenden Beispiel wird gezeigt, wie ein Steuerelement eines Kombinationsfeldes mit den Themen der Elemente im Posteingang des Benutzers gefüllt werden kann.

Dim myItems As Outlook.Items
Set myItems = Application.GetNamespace("MAPI").GetDefaultFolder(olFolderInbox).Items
For x = 1 To myItems.Count
    ComboBox1.AddItem myItems.Item(x).Subject
Next x

Weitere Informationen zum Erstellen und Verwenden von Formularen im Visual Basic-Editor erhalten Sie in der Onlinehilfe des Visual Basic-Editors.


Das Automatisieren von Outlook aus einer Visual Basic-Anwendung

Da Microsoft Outlook Automation unterstützt, können Sie Outlook mit jedem in Microsoft Visual Basic geschriebenen Programm steuern. Automation bietet eine Standardmethode für den Zugriff einer Anwendung auf die Objekte, Methoden, Eigenschaften und Ereignisse anderer Anwendungen, die Automation unterstützen.

Das Outlook-Objektmodell stellt die nötigen Funktionen zur Verfügung, um in Outlook-Ordnern gespeicherte Daten zu verarbeiten, und es ermöglicht die Steuerung vieler Aspekte der Outlook-Benutzeroberfläche.

Um eine Outlook-Automationssitzung zu starten, können Sie entweder die "frühe" oder "späte" Bindung verwenden. Die späte Bindung verwendet entweder die GetObject- oder die CreateObject-Funktion, um Outlook zu initialisieren. Mit dem folgenden Code wird ihre Objektvariable auf das Outlook-Application-Objekt gesetzt, das das Objekt auf der obersten Ebene im Outlook-Objektmodell ist. In jedem Automationscode muss zuerst ein Outlook-Application-Objekt definiert werden, um auf alle anderen Outlook-Objekte zugreifen zu können.

Dim objOL as Object
Set objOL = CreateObject("Outlook.Application")

Wenn Sie die frühe Bindung verwenden möchten, müssen Sie zuerst einen Verweis auf die Outlook-Objektbibliothek herstellen. Sie können anschließend die folgende Syntax verwenden, um eine Outlook-Sitzung zu starten.

Dim objOL as Outlook.Application
Set objOL = New Outlook.Application

Die meisten Programmlösungen arbeiten mit den in Outlook gespeicherten Daten. Outlook speichert sämtliche Informationen in Messaging Application Programming Interface (MAPI)-Ordnern. Nachdem Sie eine Objektvariable auf das Application-Objekt gesetzt haben, legen Sie normalerweise ein Namespace-Objekt fest, um auf die MAPI zu verweisen, wie im folgenden Beispiel gezeigt wird.

Set objOL = New Outlook.Application
Set objNS = objOL.GetNameSpace("MAPI")
Set objFolder = objNS.GetDefaultFolder(olFolderContacts)

Nachdem Sie eine Objektvariable festgelegt haben, um einen Verweis auf den Ordner herzustellen, der die Elemente enthält, mit denen Sie arbeiten möchten, verwenden Sie entsprechenden Code, um Ihre Aufgabe durchzuführen, wie im folgenden Beispiel gezeigt wird.

Sub CreateNewDefaultOutlookTask()
    Dim objOLApp As Outlook.Application
    Dim NewTask As Outlook.TaskItem
    ' Set the application object
    Set objOLApp = New Outlook.Application
    ' You can only use CreateItem for default items
    Set NewTask = objOLApp.CreateItem(olTaskItem)
    ' Display the new task form so the user can fill it out
    NewTask.Display
End Sub


Automatisieren von Outlook aus anderen Microsoft Office-Applikationen

Sie können Microsoft Visual Basic für Applikationen in jeder Microsoft Office-Anwendung zur Steuerung von Microsoft Outlook verwenden. Wenn Sie beispielsweise eine anwendungsübergreifende Lösung entwickeln, bei der es eine primäre und verschiedene sekundäre Anwendungen gibt, können Sie in der primären Anwendung Code für Visual Basic für Applikationen schreiben, mit dem in Outlook das Senden von Nachrichten und das Speichern und Abrufen von Informationen in Outlook-Elementen automatisiert wird. So können Sie zum Beispiel in Microsoft Excel Routinen schreiben, mit denen eine Arbeitsmappe an eine Verteilerliste in Outlook gesendet wird.

Damit Sie Outlook-Objekte aus anderen Programmen heraus steuern können, müssen Sie in dem Projekt, in dem Sie den Code schreiben, einen Verweis auf die Outlook-Objektbibliothek herstellen. Verwenden Sie hierzu das Dialogfeld Verweise im Visual Basic-Editor der primären Anwendung. Anschließend können Sie Code schreiben, der einen Verweis auf das Application-Objekt von Outlook zurückgibt. Über diesen Verweis kann Ihr Code auf alle in der Outlook-Klassenbibliothek definierten Objekte, Eigenschaften, Methoden und Konstanten zugreifen.

Es gibt verschiedene Möglichkeiten, einen Verweis auf das Outlook-Application-Objekt zurückzugeben:

  • Sie können die CreateObject-Funktion verwenden, um eine neue Outlook-Sitzung zu starten und um einen Verweis auf das Application-Objekt zurückzugeben, das die neue Sitzung darstellt.

  • Sie können die GetObject-Funktion verwenden, um einen Verweis auf das Application-Objekt zurückzugeben, das eine bereits begonnene Sitzung darstellt. Da zu jeder Zeit nur eine Programminstanz von Outlook ausgeführt werden kann, ist GetObject für die Verwendung mit Outlook wenig sinnvoll. CreateObject kann immer benutzt werden, um auf eine aktuelle Instanz zuzugreifen oder um eine neue Instanz zu erstellen, wenn keine vorhanden ist. Sie können die GetObject-Methode jedoch verwenden, um Fehlermeldungen abzufangen und so festzustellen, ob Outlook gerade ausgeführt wird.

  • Sie können das New-Schlüsselwort in mehreren Typen von Anweisungen verwenden, um implizit eine neue Instanz des Application-Objekts von Outlook mit Hilfe der Set-Anweisung zu erstellen, wodurch eine Objektvariable auf die neue Instanz des Application-Objekts gesetzt wird . Sie können das New-Schlüsselwort außerdem mit der Anweisung Dim, Private, Public oder Static zur Deklaration einer Objektvariablen verwenden. Die neue Instanz des Application-Objekts wird dann erstellt, wenn zum ersten Mal auf die Variable verwiesen wird.

Beispiele zur Verwendung dieser Methoden zum Referenzieren des Outlook-Application-Objekts erhalten Sie unter Automatisieren von Outlook aus einer Visual Basic-Anwendung.


Arbeiten mit Outlook-Ereignissen

Microsoft Outlook bietet eine Vielzahl von Ereignissen, mit denen es die Programme Microsoft Visual Basic, Microsoft Visual Basic für Applikationen und VBScript benachrichtigen kann, wenn eine bedeutende Änderung eingetreten ist. Durch Outlook-Ereignisse kann ein Programm beispielsweise darüber benachrichtigt werden, dass ein neues Objekt geöffnet wurde oder ein Benutzer Änderungen an der Outlook-Leiste vorgenommen hat.

Damit Sie eine Benachrichtigung über ein bedeutendes Ereignis erhalten, müssen Sie eine Prozedur für den Ereignishandler schreiben. Abhängig davon, ob das Ereignis in Visual Basic, Visual Basic für Applikationen oder in VBScript behandelt wird, handelt es sich entweder um eine Unterroutine (Sub) oder eine Funktion (Function), die von Outlook bei Eintreten des Ereignisses aufgerufen wird. Dieser Vorgang wird auch als Auslösen des Ereignisses bezeichnet. Mit Hilfe des Codes, den Sie in den Ereignishandler eingeben, kann Ihr Programm angemessen auf das Ereignis reagieren. In einigen Fällen veranlasst der Code das Programm sogar zum Abbrechen der mit dem Ereignis verbundenen Standardaktion, so dass beispielsweise das Senden eines Mail-Elements verhindert wird.

Ereignistypen

Outlook-Ereignisse können in zwei Hauptkategorien unterteilt werden: Ereignisse auf Elementebene und Ereignisse auf Anwendungsebene.

Ereignisse auf Elementebene beziehen sich auf ein bestimmtes Element und werden üblicherweise mit dem VBScript-Code behandelt, der in dem mit dem Element verbundenen Formular enthalten ist. Durch diese Ereignisse wird Ihr Programm benachrichtigt, wenn ein Element geöffnet, gesendet, bereitgestellt, gespeichert oder geschlossen wurde oder wenn ein Benutzer eine Nachricht beantwortet bzw. weitergeleitet oder eine benutzerdefinierte Aktion eingeleitet hat. Bei Ereignissen auf Elementebene kann Ihr Programm auch dann benachrichtigt werden, wenn ein Benutzer im Formular auf ein Steuerelement geklickt oder sich bei einem Element eine Eigenschaft geändert hat.

Informieren Sie sich über Formular-Ereignisse, Steuerelement-Ereignisse und Feld-Ereignisse.

Ereignisse auf Anwendungsebene werden normalerweise von Visual Basic oder Visual Basic für Applikationen behandelt, da diese Ereignisse nicht nur die Elemente betreffen, die mit einem bestimmten Formular verbunden sind. Ereignisse auf Anwendungsebene können die Applikation selbst, Explorer-Auflistungen oder -Fenster (einschließlich der Outlook-Leiste), Inspector-Auflistungen oder -Fenster, Ordner und Ordner-Auflistungen, Auflistungen von Elementen sowie Synchronisationsobjekte betreffen.

Informieren Sie sich über Ereignisse auf Anwendungsebene.

Reagieren auf Ereignisse

Um auf Ereignisse auf Elementebene zu reagieren, fügen Sie dem Skript des Formulars, in dem das Element angezeigt wird, Prozeduren für den Ereignishandler hinzu. Wenn beim Öffnen eines Elements im Formular beispielsweise Code ausgeführt werden soll, fügen Sie dem Skript des Formulars eine Prozedur wie die folgende hinzu.

Function Item_Open()
    MsgBox "A new item has opened in this form."
End Function

Das Reagieren auf Ereignisse der Anwendungsebene ist etwas komplizierter, da hier besondere Schritte notwendig sind, um den Ereignishandler mit dem Bestandteil von Outlook zu verbinden, in dem das Ereignis eintritt. Informieren Sie sich über das Schreiben einer Prozedur für den Ereignishandler auf Anwendungsebene.

Ereignisreihenfolge

Mit Ausnahme bestimmter Formular-Ereignisse wird in Ihrem Programm nicht davon ausgegangen, dass Ereignisse in einer bestimmten Reihenfolge auftreten. Dies ist nicht einmal dann der Fall, wenn die Ereignisse offenbar in einer festen Folge ausgelöst werden. Die Reihenfolge, in der Outlook Ereignishandler aufruft, kann sich abhängig von anderen möglicherweise auftretenden Ereignissen ändern. Auch in künftigen Versionen von Outlook kann sich die Reihenfolge ändern.


Anpassen von Outlook mit Hilfe von COM-Add-Ins

Sie können Microsoft Visual Basic Version 5.0 oder höher (vorzugsweise Version 6.0 ) oder Microsoft Office 2000 Developer verwenden, um ein COM-Add-In zu erstellen, mit dem Microsoft Outlook erweitert und ergänzt wird. Das Microsoft Office 2000/Visual Basic-Programmierhandbuch liefert ausführliche Informationen über die Verwendung dieser Tools für die Entwicklung von COM-Add-Ins.

Die Erstellung eines COM-Add-Ins erfolgt hauptsächlich in zwei Schritten:

  1. Implementieren der IDTExtensibility2-Schnittstelle in einem Klassenmodul einer Dynamic Link Library (DLL).

  2. Registrieren des COM-Add-Ins.

Implementieren der IDTExtensibility2-Schnittstelle

Die IDTExtensibility2-Schnittstelle besteht aus fünf Ereignisprozeduren. Um diese Schnittstelle in einem Visual Basic-Programm zu implementieren, setzen Sie einen Verweis auf die Microsoft Add-In Designer-Objektbibliothek und fügen anschließend folgende Anweisung im Deklarationsabschnitt eines Klassenmoduls ein:

Implements IDTExtensibility2

Sie können anschließend die leeren Ereignisprozeduren im Code-Fenster des Klassenmoduls einfügen und den Prozeduren Ihren eigenen Programmcode hinzufügen. Sie können auch die leeren Prozeduren aus der Outlook-Vorlage für ein COM-Add-In kopieren.

Registrieren des COM-Add-Ins

Um mit Outlook arbeiten zu können, muss die Add-In-DLL registriert werden. Die Klassen-ID der DLL wird im Zweig \HKEY_CLASSES_ROOT in der Registrierung registriert.

Darüber hinaus werden weitere Informationen über das Add-In für die Registrierung benötigt. Dazu gehören der Name des Add-Ins, eine Beschreibung, die Zielanwendung, das anfängliche Ladeverhalten und der Verbindungsstatus.

Anmerkung Wenn Sie Microsoft Visual Basic 6.0 oder Office 2000 Developer verwenden, um Ihr COM-Add-In zu entwickeln, führt der Add-In-Designer für Sie die erforderlichen Schritte zur Registrierung aus.

Das folgende Beispiel zeigt den Inhalt einer Beispieldatei für den Registrierungseditor(.reg), um die Registrierung eines Outlook-COM-Add-Ins zu schildern.

[HKEY_CURRENT_USER\Software\Microsoft\Office\Outlook\Addins\SampleAddIn.AddInIFace]
"FriendlyName"="Sample Add-in"
"Description"="Sample Outlook Add-In"
"LoadBehavior"=dword:00000008

Wenn das COM-Add-In zum ersten Mal registriert wird, kann für LoadBehavior einer der folgenden Werte gesetzt werden.

Wert | Beschreibung
2 | Laden beim Start. Das COM-Add-In wird geladen und verbunden, wenn Outlook startet.
8 | Laden auf Anforderung. Das COM-Add-In wird nur geladen und verbunden, wenn der Benutzer es anfordert, zum Beispiel mit Hilfe des Dialogfeldes COM-Add-Ins.
16 | Verbindung bei der ersten Ausführung. Das COM-Add-In wird bei der ersten Ausführung von Outlook geladen und verbunden, nachdem das COM-Add-In registriert wurde. Beim nächsten Start von Outlook wird das COM-Add-In geladen, wenn der Benutzer es anfordert. Verwenden Sie diesen Wert, wenn Ihr COM-Add-In die Benutzeroberfläche verändert, so dass es dem Benutzer gestattet ist, die Verbindung des COM-Add-Ins auf Anforderung herzustellen (beispielsweise durch Klicken auf eine Schaltfläche).

Nachdem das COM Add-In registriert und geladen ist, kann der LoadBehavior-Wert mit einem der folgenden zwei Werte kombiniert werden, um den aktuellen Verbindungsstatus des COM-Add-Ins anzuzeigen.

Wert | Beschreibung
0 | Verbindung getrennt
1 | Verbunden

Um das COM-Add-In zu verbinden, setzen Sie LoadBehavior auf Verbunden. Löschen Sie den Wert, um die Verbindung des COM-Add-Ins zu unterbrechen.

Der FriendlyName-Wert gibt den Namen des COM-Add-Ins an, so wie er im Dialogfeld COM-Add-In angezeigt wird. Der Description-Wert liefert zusätzliche Informationen über das COM-Add-In.


 Hinzufügen von benutzerdefinierten Eigenschaftenseiten

Hinzufügen von benutzerdefinierten Eigenschaftenseiten

Das Erstellen einer benutzerdefinierten Eigenschaftenseite für Microsoft Outlook erfolgt hauptsächlich in den folgenden Schritten:

  1. Erstellen der Seite als ActiveX-Steuerelement.

  2. Implementieren des PropertyPage-Objekts.

  3. Schreiben einer Prozedur, mit der der Wert der Dirty-Eigenschaft festgelegt und die OnStatusChange-Methode aufgerufen wird.

  4. Erstellen eines COM (Common Object Model)-Add-Ins, das eine Ereignisprozedur für OptionsPagesAdd enthält.

Erstellen der Seite als ActiveX-Steuerelement

Eine benutzerdefinierte Eigenschaftenseite in Outlook besteht aus einem ActiveX-Steuerelement, das zusammen mit einer als COM-Add-In entworfenen Dynamic Link Library (DLL) implementiert wird. Am einfachsten lassen sich benutzerdefinierte Eigenschaftenseiten mit Microsoft Visual Basic Version 6.0 erstellen. Diese Version von Visual Basic verfügt über Vorlagen und Funktionen, die das Erstellen von ActiveX-Steuerelementen und COM-Add-Ins vereinfachen.

Wenn Sie das ActiveX-Steuerelement erstellen, versehen Sie es mit jenen Steuerelementen, die von den Benutzern benötigt werden, um die Eigenschaften festzulegen, die von dieser Seite unterstützt werden sollen. Die Größe des Steuerelements wird bei der Darstellung der Eigenschaftenseite im Dialogfeld möglicherweise von Outlook verändert. Daher sollten die untergeordneten Steuerelemente vom Initialize-Ereignis des Steuerelements je nach letztendlichem Wert der Width- und Height-Eigenschaften dynamisch ausgerichtet und in der Größe angepasst werden.

In dem Dialogfeld, das die benutzerdefinierte Eigenschaftenseite enthält, befinden sich unterhalb der Eigenschaftenseiten drei Schaltflächen: die Schaltfläche OK, die Schaltfläche Abbrechen und die Schaltfläche Übernehmen. Durch Klicken auf die Schaltfläche OK werden die Änderungen für alle Seiten im Dialogfeld übernommen, und das Dialogfeld wird geschlossen. Durch Klicken auf die Schaltfläche Abbrechen werden keine Änderungen durchgeführt, und das Dialogfeld wird geschlossen. Durch Klicken auf die Schaltfläche Übernehmen werden die Änderungen der Eigenschaften übernommen, das Dialogfeld bleibt jedoch geöffnet. Sie sollten Ihre Eigenschaftenseite so gestalten, dass diese Schaltflächen entsprechend reagieren, wenn Benutzer darauf klicken. In späteren Abschnitten in diesem Thema erfahren Sie, wie Outlook davon benachrichtigt wird, dass der Status Ihrer Eigenschaftenseite sich geändert hat, und wie Ihr Programm von Outlook benachrichtigt wird, wenn die geänderten Eigenschaftswerte übernommen werden sollen.

Implementieren des PropertyPage-Objekts

Bei dem PropertyPage-Objekt handelt es sich um ein abstraktes Objekt, das heißt, seine Schnittstellen werden von Outlook zwar definiert, aber nicht implementiert. Wenn Ihre Änderung der benutzerdefinierten Eigenschaften von den Schaltflächen Übernehmen oder Hilfe des übergeordneten Dialogfelds abhängt, muss das PropertyPage-Objekt von dem Modul implementiert werden, das das ActiveX-Steuerelement der benutzerdefinierten Eigenschaftenseite enthält. Zur Implementierung des Objekts muss das Modul über einen Verweis auf die Microsoft Outlook 9.0-Objektbibliothek verfügen und die folgende Anweisung enthalten.

Implements Outlook.PropertyPage

Das Modul muss außerdem über Code zur Implementierung der Methoden und Eigenschaften des PropertyPage-Objekts verfügen. Diese Prozeduren sind in der folgenden Tabelle beschrieben.

Prozedur | Beschreibung
Dirty-Eigenschaft | Wird von Outlook als Reaktion auf die OnStatusChange-Methode aufgerufen, um festzustellen, ob der Benutzer einen Wert auf der Eigenschaftenseite geändert hat.
Apply-Methode | Wird von Outlook aufgerufen, um Ihrem Programm mitzuteilen, dass auf die Schaltflächen OK oder Übernehmen geklickt wurde. Diese Prozedur weist in der Regel alle Werte zu, die vom Benutzer auf der Eigenschaftenseite geändert wurden.
GetPageInfo-Methode | Wird von Outlook aufgerufen, um die mit der Eigenschaftenseite zusammenhängende Hilfedatei und das entsprechende Hilfethema zu erhalten.

Schreiben einer Prozedur, mit der die Dirty-Eigenschaft festgelegt und die OnStatusChange-Methode aufgerufen wird

In den meisten Fällen werden Änderungen an Eigenschaftswerten nicht unmittelbar als Reaktion auf einen Benutzereingriff an den Steuerelementen übernommen, mit denen der Benutzer diese Werte festlegen kann. Dies geschieht erst, wenn der Benutzer im Dialogfeld auf die Schaltflächen OK oder Übernehmen klickt. Solange keiner der Werte einer Eigenschaftenseite verändert wird, ist die Schaltfläche Übernehmen abgeblendet. Um Outlook zu benachrichtigen, dass einer der Werte auf der Eigenschaftenseite geändert wurde, muss Ihr Programm die OnStatusChange-Methode aufrufen und anschließend True zurückgeben, wenn von Outlook die Dirty-Eigenschaft abgefragt wird.

Erstellen eines COM-Add-Ins, das eine Ereignisprozedur für das OptionsPagesAdd-Ereignis enthält

Durch das OptionsPagesAdd-Ereignis kann Ihr Programm Ihre benutzerdefinierte Eigenschaftenseite dem Dialogfeld Optionen in Outlook hinzufügen (falls das Ereignis für das Application-Objekt ausgelöst wurde) oder dem Dialogfeld Eigenschaften des Ordners (falls das Ereignis für das NameSpace-Objekt ausgelöst wurde). Wenn diese Ereignisprozedur von Outlook aufgerufen wird, wird eine PropertyPages-Auflistung mitgegeben. Ihre Ereignisprozedur verwendet die Add-Methode der Auflistung, um das von Ihrem Programm implementierte PropertyPage-Objekt zur Auflistung hinzuzufügen.


Info über den Einsatz von VBScript in Outlook

Microsoft VBScript ist eine leistungsfähige, auf Microsoft Visual Basic basierende Skriptsprache, die Sie in die Lage versetzt, Objekte, Ordner, Formulare, Elemente und Steuerelemente innerhalb eines Formulars zu steuern. Beispielsweise können Sie Eigenschaften und Werte von Steuerelementen auf einer Seite ändern, die standardmäßigen Ereignisse für Microsoft Outlook-Elemente modifizieren und sogar automatische Prozeduren wie das Senden einer Notiz an alle Kontakte im Ordner Kontakte erstellen.

VBScript-Code fügen Sie einem Outlook-Formular hinzu, um auf Click-Ereignisse zu reagieren, die von Steuerelementen auf dem Formular ausgelöst werden, oder um auf Ereignisse zu reagieren, die von Elementen mit der gleichen Nachrichtenklasse wie der des Formulars ausgelöst werden. VBScript macht es besonders leicht, auf Ereignisse von Elementen zu antworten, weil der VBScript-Code in Bezug auf das Element ausgeführt wird, so dass Sie keine Objektvariablen als Zeiger auf das Element setzen müssen. Weiterhin produziert VBScript schlanken Code, der in einem Formular an andere Benutzer gesendet werden kann.

VBScript ermöglicht Ihnen umfassenden Zugriff auf das Microsoft Outlook-Objektmodell, mit Ausnahme zweier Bereiche: VBScript kann nur Ereignisse von Elementen und Formularen behandeln. Und Sie können keine Konstanten verwenden, die in der Outlook-Objekttyp-Bibliothek definiert sind. Informieren Sie sich über allgemeine Schritte mit VBScript und Arbeiten mit Outlook-Ereignissen.

Sie können in Outlook auch Visual Basic für Applikationen verwenden, um auf Outlook-Ereignisse zu reagieren und Makros zu erstellen, die Vorgänge automatisieren. Im Gegensatz zu VBScript-Code kann Code in Visual Basic für Applikationen jedoch nicht in einem Formular enthalten sein und daher auch nicht mit einem Element an andere Benutzer gesendet werden.

Weitere Informationen über die Verwendung von VBScript erhalten Sie unter Erstellen von benutzerdefinierten Formularen unter Verwendung von VBScript.


 Verhindern, dass der VBScript-Code ausgeführt wird

Verhindern, dass der VBScript-Code ausgeführt wird

Um zu verhindern, dass beliebiger, mit VBScript erstellter Code ausgeführt wird, halten Sie die UMSCHALTTASTE gedrückt. Halten Sie beispielsweise beim Öffnen eines Elements die UMSCHALTTASTE gedrückt, um zu verhindern, dass der VBScript-Code für das Open-Ereignis ausgeführt wird.


Unterstützte Variant-Werte in VBScript

Microsoft VBScript in Outlook verwendet nur den Variant-Datentyp.

Bei einem Variant-Wert handelt es sich um eine besondere Art von Datentyp, der abhängig von der Verwendung verschiedene Informationsarten enthalten kann. Da Variant der einzige Datentyp in VBScript ist, wird dieser Datentyp auch von allen Funktionen in VBScript zurückgegeben.

In seiner einfachsten Form enthält Variant entweder numerische oder zeichenorientierte Informationen. Ein Variant-Wert verhält sich als Zahl, wenn er in einem numerischen Kontext verwendet wird, und als Zeichenfolge, wenn er in einem zeichenorientierten Umfeld verwendet wird. Wenn Sie also mit Daten arbeiten, die wie Zahlen aussehen, geht VBScript davon aus, dass es sich um Zahlen handelt, und führt die für Zahlen gültige Aktion durch. Wenn Sie mit Daten arbeiten, bei denen es sich nur um Textdaten handeln kann, verarbeitet VBScript sie als Zeichenfolge. Sie können natürlich jederzeit festlegen, dass sich Zahlen wie Zeichenfolgen verhalten, indem Sie sie in Anführungsstriche (" ") einschließen.


 Verwenden des Skript-Editors

Verwenden des Skript-Editors

Mit dem Microsoft Skript-Editor können Sie VBScript-Prozeduren hinzufügen, die auf Ereignisse reagieren, die von Elementen oder Formular-Steuerelementen ausgelöst wurden.

Öffnen des Skript-Editors

  1. Öffnen Sie ein Element des Typs, dem Sie Code hinzufügen möchten.

  2. Zeigen Sie im Menü Extras auf Formulare, und klicken Sie auf Dieses Formular entwerfen.

  3. Klicken Sie im Menü Formular auf Code anzeigen.

Der Skript-Editor vereinfacht das Einfügen der Dokumentvorlage für einen Ereignishandler eines Elements.

Zum Einfügen eines leeren Ereignishandlers eines Elements

  1. Klicken Sie im Menü Skript auf Ereignishandler.

  2. Markieren Sie das Ereignis, auf das reagiert werden soll, und klicken Sie anschließend auf OK.

Der Skript-Editor kann die Einfügemarke zu einer bestimmten Codezeile verschieben. Dies erleichtert das Debuggen des Skripts, wenn Microsoft Outlook an einer bestimmten Stelle einen Fehler verzeichnet.

Gehen zu einer bestimmten Zeile

  1. Klicken Sie im Menü Bearbeiten auf Gehe zu.

  2. Geben Sie im Feld Zeilennummer die Nummer der Codezeile ein, die Sie bearbeiten möchten.

Informieren Sie sich über den Skriptdebugger.

Informieren Sie sich über den Outlook-Objektkatalog.


 Info über den Outlook-Objektkatalog

Info über den Outlook-Objektkatalog

Im Microsoft Outlook-Objektkatalog werden die Klassen, Eigenschaften, Methoden und Ereignisse angezeigt, die in der Outlook-Objektbibliothek zur Verfügung stehen. Mit dem Objektkatalog können Sie diese Objekte anzeigen und in den Skript-Editor einfügen, und Sie erhalten Informationen über die Syntax für die Verwendung des jeweiligen Objekts.

Informieren Sie sich über das Anzeigen und Verwenden des Objektkatalogs.

Lassen Sie sich die Outlook-Objekthierarchie anzeigen.

Informieren Sie sich über neueste Änderungen an der Outlook-Objektbibliothek.


 Info über den Skript-Debugger von Outlook

Info über den Skript-Debugger von Outlook

Mit Microsoft Script Debugger erhalten Sie eine umfassende Debugging-Umgebung für das Testen von und die Fehlerbehebung in VBScript-Code, den Sie für Ihre Microsoft Outlook-Formulare erstellt haben. Der Skript-Debugger ist eine freigegebene Komponente, die auch zur Fehlersuche im Code jeder beliebigen Microsoft ActiveX-fähigen Skriptsprache sowie zum Debuggen von Java-Applets und -Beans sowie ActiveX-Komponenten verwendet werden kann.

Mit Microsoft Script Debugger können Sie sowohl Clientskripte als auch Serverskripte debuggen.

Microsoft Script Debugger arbeitet auf eine Weise, die Sie bereits von vielen anderen Debuggern her kennen, nämlich indem er folgendes ermöglicht:

  • Anzeigen des Quellcodes des Skripts, das Sie aktuell debuggen.

  • Steuern der Geschwindigkeit der Skriptausführung.

  • Anzeigen und Ändern von Variablen und Eigenschaftswerten.

  • Anzeigen und Steuern des Skriptablaufs.

Der Skript-Debugger ist in Outlook nur zur Laufzeit verfügbar.

Informieren Sie sich über das Verwenden des Skriptdebuggers von Outlook.


Festlegen globaler Variablen für ein Formular

Eine globale Variable ist für jede Prozedur in einem Formular verfügbar, solange das Skript ausgeführt wird. Sie legen eine globale Variable fest, indem Sie den Wert der Variablen vor Beginn einer Prozedur setzen.


 Verweise auf Steuerelemente auf einem Outlook-Formular

Verweise auf Steuerelemente auf einem Outlook-Formular

Wenn Sie aus einer Prozedur auf ein Steuerelement auf einem Outlook-Formular verweisen müssen, müssen Sie ebenfalls auf den Inspektor, die Seite und die Auflistung der Steuerelemente verweisen, die das Steuerelement enthält, auch dann, wenn Sie auf das Steuerelement aus seiner eigenen Ereignisprozedur heraus verweisen. Das folgende Beispiel zeigt, wie Sie den Titel einer Befehlsschaltfläche ändern, wenn darauf geklickt wird. Um dieses Beispiel zu testen, erstellen Sie im Entwurfsmodus eine Befehlsschaltfläche mit dem Standardnamen CommandButton1 auf der Seite P.2.

Sub CommandButton1_Click
    Set myButton = Item.GetInspector.ModifiedFormPages("P.2")_
       .Controls("CommandButton1")
    myButton.Caption = "New Caption"
End Sub


Allgemeine Schritte mit VBScript

Im Folgenden finden Sie allgemeine Schritte für den Umgang mit VBscript in einem Outlook-Formular.

Was möchten Sie tun?

Ein Outlook-Element erstellen

Ein Click-Ereignis für ein Steuerelement hinzufügen

Ein Outlook-Ereignis hinzufügen

Auf den aktiven Benutzer verweisen

Eine Eigenschaft eines Steuerelements ändern

Den Wert eines Feldes ändern

Auf einen Ordner verweisen

Eigenschaften der globalen Adressliste des Microsoft Exchange Server verwenden

Ein Steuerelement mit Schreibschutz versehen

Eine Liste mit Feldern und Werten in den Nachrichtentext einsetzen


Formular-Ereignisse

Formular-Ereignisse finden statt, wenn etwas mit einem Element geschieht, das in einem Formular angezeigt wird. Dies ist z. B. der Fall, wenn das Element gespeichert oder geöffnet oder eine benutzerdefinierte Aktion gestartet wird.

In den meisten Fällen werden Formular-Ereignisse durch VBScript-Code im Formular selbst behandelt. Informieren Sie sich über das Arbeiten mit Outlook-Ereignissen.

Einige Ereignisse können abgebrochen werden. Das heißt, Ihr Ereignishandler kann Microsoft Outlook davon abhalten, die dem Ereignis zugeordnete Standardaktion auszuführen. Zum Beispiel können Sie für das Forward-Ereignis einen Ereignishandler schreiben, um zu verhindern, dass ein Element an Empfänger gesendet wird, die nicht in einer Liste genehmigter Empfänger enthalten sind. Informieren Sie sich über das Abbrechen eines Ereignisses.

In der folgenden Tabelle sind die von Outlook unterstützten Formular-Ereignisse aufgeführt.

Ereignis

Abbruch möglich? |  | Beschreibung
AttachmentAdd | Nein | Tritt ein, wenn dem Element eine Anlage hinzugefügt wurde.
AttachmentRead | Nein | Tritt ein, wenn eine Anlage zum Lesen geöffnet wurde.
BeforeAttachmentSave | Ja | Tritt ein, bevor eine Anlage gespeichert wird.
BeforeCheckNames | Ja | Tritt ein, bevor Outlook mit dem Auflösen der Namen in der Empfängerliste des Elements beginnt.
Close | Ja | Tritt ein, bevor Outlook den Inspektor schließt, der das Element anzeigt.
CustomAction | Ja | Tritt ein, bevor Outlook eine benutzerdefinierte Aktion an einem Element ausführt.
CustomPropertyChange | Nein | Tritt ein, wenn eine benutzerdefinierte Eigenschaft eines Elements geändert wurde.
Forward | Ja | Tritt ein, bevor Outlook die Forward-Aktion eines Elements ausführt.
Open | Ja | Tritt ein, bevor Outlook einen Inspektor zum Anzeigen des Elements öffnet.
PropertyChange | Nein | Tritt ein, wenn eine Eigenschaft eines Elements geändert wurde.
Read | Nein | Tritt ein, wenn ein Element durch einen Benutzer zum Bearbeiten geöffnet wird.
Reply | Ja | Tritt ein, bevor Outlook die Reply-Aktion eines Elements ausführt.
ReplyAll | Ja | Tritt ein, bevor Outlook die Reply to All-Aktion eines Elements ausführt.
Send | Ja | Tritt ein, bevor Outlook das Element sendet.
Write | Ja | Tritt ein, bevor Outlook das Element in einem Ordner speichert.


Steuerelement-Ereignisse

Formular-Steuerelemente in Outlook unterstützen nur ein Ereignis, das Click-Ereignis.

Ein an ein Feld gebundenes Steuerelement löst das Click-Ereignis nicht aus. Sie müssen eine Behandlung des entsprechenden Feld-Ereignisses festlegen, um eine Aktion des Benutzers für ein an ein Feld gebundenes Steuerelement abzufangen.

Die folgenden Steuerelemente lösen das Click-Ereignis immer dann aus, wenn ein Benutzer auf eine beliebige Stelle auf dem Steuerelement klickt.

CheckBox

CommandButton

Frame

Image

Label

OptionButton

ToggleButton

Die folgenden Steuerelemente lösen das Click-Ereignis aus, wenn der Benutzer ein Element in der Liste auswählt.

ComboBox

ListBox

Die folgenden Steuerelemente unterstützen das Click-Ereignis nicht.

MultiPage

ScrollBar

SpinButton

TabStrip

TextBox

Obwohl das Steuerelement MultiPage das Click-Ereignis nicht unterstützt, wird durch eine einzelne Page in einem MultiPage-Steuerelement das Click-Ereignis dann ausgelöst, wenn der Benutzer innerhalb des Client-Bereichs der Seite klickt, jedoch nicht, wenn der Benutzer auf die der Seite zugeordnete Registerkarte klickt.

Um Änderungen in einem TextBox-Steuerelement abfangen zu können, binden Sie das Steuerelement an ein Feld und verwenden dann das entsprechende Feld-Ereignis.


Feld-Ereignisse

Microsoft Outlook verfügt über zwei Ereignisse, mit denen Ihr Programm darüber informiert wird, dass ein Feld (eine Eigenschaft eines Feldes) in einem Element sich geändert hat. Das PropertyChange-Ereignis wird immer dann ausgelöst, wenn sich ein Outlook-Standardfeld in einem Element geändert hat. Von Outlook wird das CustomPropertyChange-Ereignis immer dann ausgelöst, wenn sich ein benutzerdefiniertes Feld geändert hat.

Ein an ein Feld gebundenes Steuerelement löst das Click-Ereignis nicht aus, gleichgültig, ob das Steuerelement aus der Steuerelement-Toolbox ausgewählt und danach mit einem Feld verbunden wurde oder ob es über die Feldauswahl ausgewählt wurde. Folglich müssen Sie das PropertyChange- oder CustomPropertyChange-Ereignis verwenden, um eine Aktion des Benutzers an einem gebundenen Steuerelement abzufangen.


Abbrechen eines Ereignisses

Microsoft Outlook ruft Ereignishandler in Ihrem Programm auf, durch die Ihr Programm auf Ereignisse antworten kann, wie Aktionen, die der Benutzer ausführt, oder Änderungen im Nachrichtenspeicher. Jedes Ereignis wird von einer Standardaktion begleitet, die Outlook als Reaktion auf das Ereignis ausführt. Wenn zum Beispiel das Open-Ereignis bei einem Objekt eintritt, zeigt Outlook das Objekt standardmäßig in einem Inspektor-Fenster an.

Einige Ereignisse melden Ihrem Programm lediglich, dass ein bestimmtes Ereignis eingetreten ist. Im Fall dieser Ereignisse reagiert Ihr Ereignishandler einfach auf das Ereignis. Bei anderen Ereignissen erlaubt Outlook dem Ereignishandler, das Ereignis abzubrechen, d. h., Outlook wird angewiesen, die dem Ereignis zugeordnete Standardaktion nicht auszuführen. Beispielsweise kann Ihr Programm im Fall des Open-Ereignisses Outlook daran hindern, das Element in einem Inspektor anzuzeigen. Wenn ein Ereignis abgebrochen werden kann, ist unter dem Thema der Referenz zum jeweiligen Ereignis dargelegt, wie das Ereignis abgebrochen wird.

Wenn ein Ereignis abgebrochen werden kann, erhält ein in Microsoft Visual Basic oder Microsoft Visual Basic für Applikationen geschriebener Ereignishandler einen Parameter, der vor der Rückgabe gesetzt wird, um anzuzeigen, ob das Ereignis abgebrochen werden soll. Bei einem in Microsoft Visual Basic für Applikationen für das Open-Ereignis geschriebenen Ereignishandler könnte dies wie im folgenden Beispiel realisiert werden. Dieses Beispiel setzt voraus, dass der Wert von OpenOK an anderer Stelle gesetzt wird.

Sub myItem_Open(byRef Cancel as Boolean)
    If OpenOK Then
        Cancel = False ' Outlook performs default action
    Else
        Cancel = True  ' Outlook does not perform default action
    EndIf
End Sub

Aufgrund seiner Einschränkungen kann diese Syntax in VBScript jedoch nicht verwendet werden. Ein Ereignishandler für das Open-Ereignis im Skript eines Elements muss als Funktion geschrieben werden. Um das Ereignis abzubrechen, wird der Wert der Funktion vor der Rückgabe auf False gesetzt, wie im folgenden Beispiel.

Function Item_Open()
    If OpenOK Then
        Item_Open = True  ' Outlook performs default action
    Else
        Item_Open = False ' Outlook does not perform default action
    End If
End Function


 Info über die Reihenfolge von Ereignissen

Info über die Reihenfolge von Ereignissen

Die folgenden Ereignisse werden in der angegebenen Reihenfolge ausgeführt, wenn ein Benutzer eine Aktion aufruft.

Ereignisse | Aktion
Open | Ein Formular wird geöffnet, um ein Element zu verfassen.
Send , Write, Close | Ein Element wird gesendet.
Write, Close | Ein Element wird veröffentlicht.
Write | Ein Element wird gespeichert.
Close | Ein Element wird geschlossen.
Read, Open | Ein Element wird in einem Ordner geöffnet.
Reply | Ein Benutzer antwortet dem Absender eines Elements.
ReplyAll | Ein Benutzer antwortet dem Absender eines Elements und allen Empfängern.
Forward | Das neu erstellte Element wird weitergeleitet, wenn der Benutzer den Befehl Weiterleiten für ein Element aufruft.
PropertyChange | Eine der Standard- eigenschaften des Elements wird geändert.
CustomPropertyChange | Eine der benutzer- definierten Eigenschaften des Elements wird geändert.
CustomAction | Eine benutzerdefinierte Aktion wird ausgeführt.

Das Click-Ereignis wird nur ausgeführt, wenn es für ein Steuerelement im Skript-Editor definiert wurde.


 Tipps zum Testen von VBScript in Outlook

Tipps zum Testen von VBScript in Outlook

In Outlook haben Sie mehrere Möglichkeiten, Code zu testen. Wenn der Code einen Syntaxfehler aufweist, wird bei der Ausführung des Formulars eine Fehlermeldung mit der Zeilennummer des Codes angezeigt. Sie können dann zu dieser Codezeile gehen. Zum Eingrenzen von Laufzeit-Fehlern können Sie auch den Skriptdebugger und andere Methoden verwenden.

Was möchten Sie tun?

Zu einer Codezeile gehen

Den Skriptdebugger verwenden

Meldungsfelder für die Rückgabe von Werten verwenden

Globale Variablen für ein Formular festlegen

Das PropertyChange-Ereignis zum Testen von Prozeduren verwenden


Info über die Objektumgebung

Es gibt zwei Methoden zum Schreiben von Code für Outlook:

  • Außerhalb der Anwendung, also beispielsweise, wenn Sie Microsoft Visual Basic oder Microsoft Visual Basic für Applikationen in Microsoft Excel oder einer anderen Anwendung einsetzen.

  • In der Anwendung selbst, also beispielsweise, wenn Sie Visual Basic für Applikationen verwenden oder VBScript mit einem Outlook-Formular einsetzen.

Informieren Sie sich ausführlicher über die Unterschiede bei der Verwendung von Visual Basic für Applikationen und VBScript.

Anzeigen der Outlook-Objekthierarchie

Informieren Sie sich über die neuesten Änderungen an der Outlook-Objektbibliothek.

Die wichtigsten Komponenten des Outlook-Objektmodells sind:

Application Befindet sich an der Spitze der Objekthierarchie und steht für eine komplette Anwendung. Ermöglicht Ihnen, auf andere Objekte in der Anwendung zu verweisen und Elemente und Objekte zu erstellen. Mit diesem Code wird beispielsweise in Outlook Visual Basic für Applikationen oder VBScript ein Termin erstellt:
Application.CreateItem(1).Display
NameSpace Stellt den MAPI-Nachrichtenspeicher dar, in dem alle Outlook-Elemente gespeichert werden. Liefert Methoden zum An- und Abmelden bei Outlook und zum Erstellen von Verweisen auf Standardordner wie beispielsweise POSTFACH, Posteingang, KONTAKTE und andere mehr. Mit diesem Code wird beispielsweise in Outlook Visual Basic für Applikationen oder VBScript ein Verweis auf den aktiven Benutzer erstellt:
Application.GetNameSpace("MAPI").CurrentUser
Explorer Stellt das Outlook-Fenster dar. Ermöglicht Ihnen, das aktive Fenster anzuzeigen, zurückzugeben und zu schließen. Mit diesem Code wird beispielsweise in Outlook Visual Basic für Applikationen oder VBScript das aktive Outlook-Fenster angezeigt:
Application.ActiveExplorer.Display
Folders Es gibt zwei Ordnerobjekte, das Objekt der Folders-Auflistung, in dem Sie mit Auflistungen von Ordnern arbeiten können, und das MAPIFolder-Objekt, das es ermöglicht, mit einem einzelnen Ordner zu arbeiten. Mit diesem Code wird beispielsweise in Outlook Visual Basic für Applications oder VBScript eine Ordnerauflistung mit dem Namen "Personal Folders" angezeigt:
Application.GetNameSpace("MAPI").Folders("Personal Folders")
Outlook-Elemente Es gibt zwei Elementobjekte, das Objekt der Items-Auflistung, das Ihnen ermöglicht, mit Elementen in einem Ordner zu arbeiten, und die Item-Objekte, die für die standardmäßigen Elementtypen in Outlook stehen, wie beispielsweise das Objekt MailItem, das für eine E-Mail-Nachricht steht. VBScript geht vom aktiven Element aus, daher brauchen Sie nicht das Objektmodell einzugeben, um darauf zu verweisen. Mit diesem Code wird beispielsweise in VBScript das Feld "Subject" (Betreff) der aktiven Nachricht festgelegt:
Item.Subject = "New Subject"
Inspector Verweist auf Formulare. Wird zum Anzeigen von Formularen und Seiten verwendet. Mit diesem Code wird beispielsweise in Outlook Visual Basic für Applikationen oder VBScript die Seite Options (Optionen) eines Formulars angezeigt:
Application.ActiveInspector.SetCurrentFormPage("Options")
AddressEntry | Jedes AddressEntry-Objekt in der AddressEntries-Auflistung beinhaltet Informationen, die für eine Person oder einen Prozess stehen, an die bzw. den das Messagingsystem Nachrichten übermitteln kann.
AddressList | Das AddressList-Objekt ist ein Adressbuch, das einen Satz AddressEntry-Objekte enthält. Auf die gesamte Hierarchie kann über die übergeordnete AddressLists-Auflistung zugegriffen werden.
Exception | Das Exception-Objekt beinhaltet Informationen über eine Instanz eines AppointmentItem-Objekts, das die Ausnahme in einer Serie bildet. Im Gegensatz zu den meisten anderen Outlook-Objekten ist das Exception-Objekt schreibgeschützt.
Steuerelement Es gibt zwei Steuerelementobjekte, das Objekt der Controls-Auflistung, das Sie in die Lage versetzt, mit allen Steuerelementen auf einer Seite zu arbeiten, und das spezifische Steuerelementobjekt, das es ermöglicht, mit einem Steuerelement zu arbeiten. Mit diesem Code wird beispielsweise in VBScript der Titel eines Befehlsschaltflächen-Steuerelements mit Namen "CommandButton1" auf einer Seite namens "Test" festgelegt:
Item.GetInspector.ModifiedFormPages("Test").Controls("CommandButton1").Caption = "New Caption"


Konstanten und Variablen in VBScript

In VBScript muss die Angabe von Konstanten durch deren numerische Werte erfolgen. Die Konstantenbezeichnung funktioniert nicht und gibt den Wert 0 zurück, was zu unvorhersehbaren Ergebnissen führt.

Klicken Sie auf [image] , um eine Liste der Konstantenwerte anzuzeigen.

Es gibt zwei Typen von Variablen. Variablen auf Prozedurebene, die nur innerhalb einer Prozedur verwendet werden, und Variablen auf Skriptebene, die allen Prozeduren im Skript zur Verfügung stehen. Deklarieren Sie Variablen auf Skriptebene am Anfang des Skripts. Deklarieren Sie Variablen auf Prozedurebene innerhalb der Prozedur. Sie können gleichnamige Variablen auf Prozedurebene in verschiedenen Prozeduren verwenden, da jede Variable nur von der Prozedur erkannt wird, in der sie deklarierte wurde. Wenn die Prozedur beendet wird, endet auch die Variable. Bei Outlook-Elementen, die auf Variablen verweisen, handelt es sich entweder um Variablen auf Prozedurebene oder Variablen auf Skriptebene. Der Wert einer Variable muss jedoch innerhalb einer Prozedur einstellt werden. Versuchen Sie nicht, auf Outlook-Objekte außerhalb einer Prozedur zuzugreifen.

Regeln für Variablen:

  • Sie müssen mit einem alphanumerischen Zeichen beginnen.

  • Sie dürfen keinen Punkt enthalten.

  • Sie dürfen nicht länger als 255 Zeichen sein.

  • Sie können nicht mehr als 127 Variablen auf Prozedurebene verwenden (Arrays zählen als einzelne Variable).

  • Sie können nicht mehr als 127 Variablen auf Skriptebene verwenden.


Verweise auf Felder

Beim Zugriff auf Felder in einem Element hängt die Wahl der zu verwendenden Methode davon ab, ob das Feld ein Standardfeld, ein integriertes Microsoft Outlook-Feld oder ein benutzerdefiniertes Feld ist.

In jedem Fall greifen Sie nicht direkt auf das Feld zu. Stattdessen verweisen Sie auf das Feld als eine Eigenschaft des Elements, mit dem Sie arbeiten.

Um beispielsweise den Text vom Feld Betreff einer Mail-Nachricht zu erhalten, verwenden Sie die Subject-Eigenschaft des Steuerelements, wie im folgenden Beispiel für VBScript gezeigt.

mySubject = Item.Subject

Auf ein benutzerdefiniertes Feld greifen Sie mit Hilfe der UserProperties-Eigenschaft des Steuerelements zu, wie im folgenden Beispiel für VBScript gezeigt. Dieses Beispiel setzt voraus, dass das Element bereits ein benutzerdefiniertes Feld mit dem Namen ReferredBy enthält.

MyReferral = Item.UserProperties("ReferredBy")


Verweisen auf einen Ordner

Um auf den Ordner mit Hilfe seines Namens zu verweisen, verwenden Sie folgenden Code.

Application.GetNameSpace("MAPI").Folders("Personal Folders").Folders("Product Ideas")

Um auf einen Ordner mit Hilfe einer Nummer zu verweisen, verwenden Sie folgenden Code. In diesem Beispiel wird auf den ersten Ordner in der Ordnerauflistung "Personal Folders" (Persönliche Ordner) verwiesen.

Application.GetNameSpace("MAPI").Folders("Personal Folders").Folders(1)

Wenn Sie auf einen beliebigen der Standard-Outlook-Ordner verweisen möchten, verwenden Sie die GetDefaultFolder-Methode. Verwenden Sie den Wert aus der nachstehenden Tabelle zur Angabe des Ordners, den Sie erstellen möchten.

Application.GetNameSpace("MAPI").GetDefaultFolder(6)
Standardordner | Wert
GELÖSCHTE ELEMENTE | 3
POSTAUSGANG | 4
GESENDETE ELEMENTE | 5
POSTEINGANG | 6
KALENDER | 9
KONTAKTE | 10
JOURNAL | 11
NOTIZEN | 12
AUFGABEN | 13


Erstellen eines neuen Elements

Um ein neues Element zu erstellen, verwenden Sie die CreateItem-Methode des Application-Objekts. Diese Methode gibt ein Objekt zurück, das Sie verwenden können, um mit dem Element zu arbeiten.

Das folgende Beispiel für Microsoft Visual Basic für Applikationen zeigt, wie eine E-Mail-Nachricht erstellt, dem Betreff und der Nachricht Text hinzugefügt und wie sie angezeigt wird. Um dieses Beispiel zu verwenden, erstellen Sie eine Befehlsschaltfläche mit dem Namen Command1 auf dem Formular.

Private Sub Command1_Click()
    Dim myOLApp As New Outlook.Application
    Dim myOLItem As Outlook.MailItem
    Set myOLItem = myOLApp.CreateItem(olMailItem)
    With myOLItem
        .Subject = "Sample item"
        .Body = "This is a sample message."
    End With
    myOLItem.Display
End Sub

Das folgende Beispiel zeigt, wie Sie dieselbe Aufgabe in VBScript in einem Formular durchführen.

Sub CommandButton1_Click()
    Set myOLItem = Application.CreateItem(0)
    myOLItem.Subject = "Sample item"
    myOLItem.Body = "This is a sample message."
    myOLItem.Display
End Sub


Verweise auf in einem Ordner vorhandene Elemente

Es gibt eine Reihe von Möglichkeiten, mit denen Sie mit Hilfe von Microsoft Visual Basic Verweise auf in einem Ordner vorhandene Elemente herstellen können. Diese Seite enthält Informationen zu den folgenden Themen:

  • Verwenden einer For … Next oder For Each … Next-Schleife

  • Verwenden der Items-Auflistung

  • Verwenden der Find-Methode

  • Verwenden der Restrict-Methode

Verwenden einer For…Next- oder For Each...Next-Schleife

Eine typische Anwendung dieser Anweisungen besteht darin, alle Elemente eines Ordners zu durchlaufen. Die Items-Auflistung enthält alle Elemente eines bestimmten Ordners, und Sie können festlegen, zu welchem Element ein Verweis hergestellt wird, indem Sie einen Index auf die Items-Auflistung verwenden. Dieser wird in der Regel mit dem Programmgerüst For I = 1 to n verwendet.

Sie können For Each...Next verwenden, um die Elemente in einer Auflistung ohne Bestimmung eines Index in einer Schleife zu durchlaufen. Beide Vorgehensweisen führen zu demselben Ergebnis.

Die folgenden Beispiele verwenden For…Next, um alle Kontakte im Ordner Kontakte in einer Schleife zu durchlaufen und das Feld Name in einem Dialogfeld anzuzeigen.

' Visual Basic/Visual Basic for Applications code example.
Set ol = New Outlook.Application
Set olns = ol.GetNameSpace("MAPI")
' Set MyFolder to the default contacts folder.
Set MyFolder = olns.GetDefaultFolder(olFolderContacts)
' Get the number of items in the folder.
NumItems = MyFolder.Items.Count
' Set MyItem to the collection of items in the folder.
Set myItems = myFolder.Items.Restrict("[MessageClass] = 'IPM.Contact'")
' Loop through all of the items in the folder.
For I = 1 to NumItems
   MsgBox MyItems(I).FullName
Next

' VBScript code example.
Set olns = Item.Application.GetNameSpace("MAPI")
' Set MyFolder to the default contacts folder.
Set MyFolder = olns.GetDefaultFolder(10)
' Get the number of items in the folder.
NumItems = MyFolder.Items.Count
' Set MyItem to the collection of items in the folder.
Set myItems = myFolder.Items.Restrict("[MessageClass] = 'IPM.Contact'")
' Loop through all of the items in the folder.
For I = 1 to NumItems
   MsgBox MyItems(I).FullName
Next

Die folgenden Beispiele verwenden For Each...Next mit demselben Ergebnis wie die vorhergehenden Beispiele:

' Visual Basic/Visual Basic for Applications code example.
Set ol = New Outlook.Application
Set olns = ol.GetNameSpace("MAPI")
' Set MyFolder to the default contacts folder.
Set MyFolder = olns.GetDefaultFolder(olFolderContacts)
' Set MyItems to the collection of items in the folder.
Set myItems = myFolder.Items.Restrict("[MessageClass] = 'IPM.Contact'")
For Each SpecificItem in MyItems
   MsgBox SpecificItem.FullName
Next
' VBScript code example.
Set olns = Item.Application.GetNameSpace("MAPI")
' Set MyFolder to the default contacts folder.
Set MyFolder = olns.GetDefaultFolder(10)
' Set MyItem to the collection of items in the folder.
Set myItems = myFolder.Items.Restrict("[MessageClass] = 'IPM.Contact'")
For Each SpecificItem in MyItems
   MsgBox SpecificItem.FullName
Next

Verwenden der Items-Auflistung

Sie können ebenfalls die Items-Auflistung verwenden und eine Zeichenfolge bestimmen, die mit dem Feld Betreff eines Elements übereinstimmt. Die folgenden Beispiele zeigen ein Element im Posteingang, dessen Betreff "Please help on Friday!" enthält.

' Visual Basic/Visual Basic for Applications code example.
Set ol = New Outlook.Application
Set olns = ol.GetNameSpace("MAPI")
' Set MyFolder to the default Inbox.
Set MyFolder = olns.GetDefaultFolder(olFolderInbox)
Set MyItem = MyFolder.Items("Please help on Friday!")
MyItem.Display

' VBScript code example.
Set olns = Item.Application.GetNameSpace("MAPI")
' Set MyFolder to the default Inbox.
Set MyFolder = olns.GetDefaultFolder(6)
Set MyItem = MyFolder.Items("Please help on Friday!")
MyItem.Display

Verwenden der Find-Methode

Verwenden Sie die Find-Methode, um nach einem Element in einem Ordner auf der Grundlage des Wertes einer seiner Felder zu suchen. Wenn die Suche erfolgreich ist, können Sie anschließend die FindNext-Methode verwenden, um zu überprüfen, ob weitere Elemente vorhanden sind, die dasselbe Suchkriterium erfüllen.

Die folgenden Beispiele suchen nach Aufgaben mit hoher Priorität.

' Visual Basic/Visual Basic for Applications code example.
Set ol = New Outlook.Application
Set olns = ol.GetNamespace("MAPI")
Set myFolder = olns.GetDefaultFolder(olFolderTasks)
Set MyTasks = myFolder.Items
' Importance corresponds to Priority on the task form.
Set MyTask = MyTasks.Find("[Importance] = ""High""")
If MyTask Is Nothing Then ' the Find failed
   MsgBox "Nothing important. Go party!"
Else
   MsgBox "You have something important to do!"
End If

' VBScript code example.
Set olns = Item.Application.GetNamespace("MAPI")
Set myFolder = olns.GetDefaultFolder(13)
Set MyTasks = myFolder.Items
' Importance corresponds to Priority on the task form.
Set MyTask = MyTasks.Find("[Importance] = ""High""")
If MyTask Is Nothing Then ' the Find failed
   MsgBox "Nothing important. Go party!"
Else
   MsgBox "You have something important to do!"
End If

Verwenden der Restrict-Methode

Die Restrict-Methode ähnelt der Find-Methode, aber an Stelle eines einzelnen Elements gibt sie eine Auflistung von Elementen zurück, die das Suchkriterium erfüllen. Zum Beispiel können Sie diese Methode verwenden, um alle Kontakte zu finden, die bei derselben Firma arbeiten.

Die folgenden Beispiele zeigen alle Kontakte, die bei der Firma ProseWare arbeiten:

' Automation code example.
Set ol = New Outlook.Application
Set olns = ol.GetNameSpace("MAPI")
Set MyFolder = olns.GetDefaultFolder(olFolderContacts)
Set myItems = myFolder.Items.Restrict("[MessageClass] = 'IPM.Contact'")
MyClause = "[CompanyName] = ""ProseWare"""
Set MyPWItems = MyItems.Restrict(MyClause)
For Each MyItem in MyPWItems
   MyItem.Display
Next

' VBScript code example.
Set olns = Item.Application.GetNameSpace("MAPI")
Set MyFolder = olns.GetDefaultFolder(10)
Set myItems = myFolder.Items.Restrict("[MessageClass] = 'IPM.Contact'")
MyClause = "[CompanyName] = ""ProseWare"""
Set MyPWItems = MyItems.Restrict(MyClause)
For Each MyItem in MyPWItems
   MyItem.Display
Next


Filtern von Elementen in einer Auflistung

Sie können das Microsoft Outlook-Objektmodell verwenden, um Informationen über alle Elemente in einem Ordner zu erhalten. Häufig ist jedoch beabsichtigt, nach einem bestimmten Element zu suchen oder eine Teilmenge der Elemente in einem Ordner zu erhalten. Im Folgenden einige Beispiele als Anregungen:

  • Sie entwickeln eine Microsoft Access-Datenbank. Für den Fall, dass der Benutzer einen neuen Kontaktdatensatz eingibt, möchten Sie ihm die Möglichkeit geben, durch Klicken auf eine Schalfläche zu überprüfen, ob ein Kontakt mit demselben Namen bereits in Outlook vorhanden ist. Wenn eine Übereinstimmung gefunden wird, können Sie alle Felder des Kontakts abfragen und automatisch in den Access-Datensatz eingeben. Für den Fall, dass der Benutzer die Felder Vorname und Nachname des Access-Formulars ausgefüllt hat, können Sie die Find-Methode im Outlook-Objektmodell verwenden, um nach einer Übereinstimmung mit dem Outlook-Namensfeld zu suchen. Wenn Sie sicher gehen wollen, dass es keine weiteren Kontakte mit demselben Namen in Outlook gibt, können Sie die FindNext-Methode verwenden, um die gleiche Suche erneut durchzuführen.

  • Sie schreiben ein Microsoft Visual Basic-Programm, um Termine in Benutzerkalendern automatisch zu planen. Um dies zu erreichen, müssen Sie die Termine eines Benutzers für einen bestimmten Tag abfragen. In diesem Fall würden Sie die Restrict-Methode verwenden, um alle Termine, die auf einen bestimmten Tag fallen, abzufragen.

Obwohl die Find und die Restrict-Methode verschiedene Funktionen ausführen, ist die Syntax ähnlich. Es folgen einige Tipps für die Verwendung dieser Methoden:

  • Die Filter, die mit Find und Restrict verwendet werden, berücksichtigen Groß- und Kleinschreibung nicht.

  • Es ist nicht möglich, diese Methoden zu verwenden, wenn Sie nach einer Zeichenfolge suchen müssen, die innerhalb eines Outlook-Feldes enthalten ist, im Allgemeinen als "Enthält"-Operation bezeichnet. Wenn Sie eine "Enthält"-Operation durchführen müssen, können Sie sie mit allen Elementen in einem Ordner wiederholen, indem Sie die Visual Basic InStr-Funktion verwenden, um zu überprüfen, ob die gesuchte Zeichenfolge innerhalb eines Outlook-Feldes enthalten ist.

  • Um einen Filter zu erstellen, der die "Beginnt mit"-Operation durchführt, verwenden Sie die Operatoren >, < , >=, und <=. Um beispielsweise nach allen Kontakten zu suchen, deren Nachname mit "Mc" beginnt, verwenden Sie diesen Filter: ""[LastName] >= ""Mc"" and [LastName] < ""Md"""

  • Sie können den Inhalt einer Variable als Teil des Filters verwenden. Ein Beispiel hierzu erhalten Sie unter Beispiel zur Restrict-Methode.


Arbeiten mit Terminserien

Wenn Sie in Microsoft Outlook eine Terminserie erstellen, wird die gesamte Serie nur durch ein Terminelement dargestellt. Dieser einzelne Termin enthält Felder mit Angaben über das Wiederholungsintervall der Serie. Beachten Sie, dass Outlook beim Anzeigen Ihres Kalenders sämtliche Termine so darstellt, als wären es jeweils eigene Elemente im Kalender.

Wenn Sie die Elemente im Ordner Kalender programmatisch durchsehen, wird in der Standardeinstellung nur der erste Termin einer Terminserie zurückgegeben, da er das einzige tatsächlich vorhandene Element bildet. Um alle Termine im Kalender (einschließlich Terminserien) abzurufen, verwenden Sie die IncludeRecurrences-Eigenschaft. Weitere Informationen zum Abrufen oder Einstellen von Serieninformationen erhalten Sie unter RecurrencePattern-Objekt.


Arbeiten mit Aufgabenserien

Wenn Sie in Microsoft Outlook eine Aufgabenserie erstellen, wird die gesamte Serie nur durch ein Aufgabenelement dargestellt. Diese einzelne Aufgabe enthält Felder mit Angaben über das Wiederholungsintervall der Serie. Im Gegensatz zu Terminserien wird eine Aufgabenserie in den Ansichten des Ordners Aufgaben jedoch nicht repliziert. Stattdessen erstellt Outlook für das nächste Vorkommen der Aufgabe ein neues Aufgabenelement, wenn eine Aufgabenserie als Erledigt markiert wird.


Arbeiten mit Befehlsleisten

In Microsoft Outlook 2000 werden alle Symbolleisten, Menüleisten und Kontextmenüs vom Programm wie der Objekttyp Befehlsleisten gesteuert. Alle folgenden Elemente werden in Microsoft Visual Basic durch CommandBar-Objekte dargestellt:

  • Menüleisten, Symbolleisten und Kontextmenüs

  • Menüs auf Menüleisten und Symbolleisten

  • Untermenüs in Menüs, Untermenüs und Kontextmenüs

Sie können jede integrierte Menüleiste oder Symbolleiste verändern, und Sie können benutzerdefinierte Symbolleisten, Menüleisten und Kontextmenüs erstellen und verändern, um sie Ihrer Visual Basic-Anwendung beizufügen. Sie können die Funktionen Ihrer Anwendung als Schaltflächen auf Symbolleisten präsentieren oder als Gruppen von Befehlsnamen in Menüs. Da sowohl Symbolleisten und als auch Menüs Befehlsleisten sind, können Sie auf beiden dieselben Steuerelemente verwenden. Sowohl Menüleisten und als auch Symbolleisten können Menüs enthalten.

In Visual Basic werden Schaltflächen- und Menüelemente vonCommandBarButton-Objekten dargestellt. Die Popup-Steuerelemente, die Menüs und Untermenüs anzeigen, werden von CommandBarPopup-Objekten dargestellt.

Sie können darüber hinaus Textfelder, Dropdown-Listenfelder und Kombinationsfelder in jede Befehlsleiste einfügen. Diese drei Typen von Steuerelementen werden alle in Visual Basic von CommandBarComboBox-Objekten dargestellt.

Anmerkung Obwohl Steuerelemente auf Befehlsleisten und ActiveX-Steuerelemente eine gleiche Darstellung und gleiches Verhalten haben, sind sie nicht miteinander zu verwechseln. Sie können keine ActiveX-Steuerelemente auf Befehlsleisten einfügen, und Sie können keine Befehlsleisten-Steuerelemente in Dokumente oder Formulare einfügen.

Die integrierten Befehlsleisten-Steuerelemente in Outlook werden auch von den CommandBarButton-, CommandBarPopup- und CommandBarComboBox-Objekten dargestellt, aber ihre Darstellung und ihr Verhalten kann sich von dem der Steuerelemente unterscheiden, die Sie selbst einfügen können. Sie können den Speicherort und die Darstellungsweise von integrierten Steuerelementen verändern, ihr integriertes Verhalten können Sie jedoch nicht verändern.

Auf den folgenden Seiten erhalten Sie Informationen darüber, wie Sie Änderungen an Symbol- und Menüleisten aus Ihrem Visual Basic Code vornehmen.

Hinzufügen und Ändern von Symbolleisten

Hinzufügen und Verwalten von Menüleisten und Menüelementen

Hinzufügen und Anzeigen von Kontextmenüs


 Kontrollkästchen-Steuerelement ("CheckBox")

Kontrollkästchen-Steuerelement ("CheckBox")

Zeigt den Auswahlstatus eines Elements an.

Hinweise

Verwenden Sie ein Kontrollkästchen-Steuerelement (CheckBox), um dem Benutzer eine Auswahlmöglichkeit anzubieten, wie zum Beispiel Yes/No, True/False oder On/Off. Wenn der Benutzer ein Kontrollkästchen aktiviert, wird eine spezielle Markierung (zum Beispiel X) angezeigt und die aktuelle Einstellung lautet Yes, True oder On. Wenn der Benutzer das Kontrollkästchen nicht aktiviert, ist es leer und die aktuelle Einstellung lautet No, False oder Off. In Abhängigkeit vom Wert der TripleState-Eigenschaft kann ein Kontrollkästchen auch den Wert Null besitzen.

Wenn das Kontrollkästchen an eine Datenquelle gebunden ist, wird durch Ändern der Einstellung der Wert dieser Quelle geändert. Ein deaktiviertes Kontrollkästchen zeigt den aktuellen Wert an, ist jedoch abgeblendet und gestattet keine Änderung durch den Benutzer.

Mit Kontrollkästchen können Sie in einem Gruppenfeld auch ein oder mehrere verknüpfte Elemente einer Gruppe auswählen. Erstellen Sie beispielsweise ein Bestellformular mit einer Liste der verfügbaren Elemente, wobei sich vor jedem Element ein Kontrollkästchen befindet. Der Benutzer wählt Elemente durch Aktivieren des entsprechenden Kontrollkästchens aus.

Die Standardeigenschaft für ein Kontrollkästchen-Steuerelement (CheckBox) ist die Value-Eigenschaft.

Anmerkung Ein Listenfeld-Steuerelement (ListBox) ermöglicht auch Häkchen für ausgewählte Optionen. Je nach Anwendung können Sie ein Listenfeld-Steuerelement statt einer Gruppe von Kontrollkästchen-Steuerelementen verwenden.


 Kombinationsfeld-Steuerelement ("ComboBox")

Kombinationsfeld-Steuerelement ("ComboBox")

Kombiniert die Funktionen von Listenfeld- und Textfeld-Steuerelementen (ListBox, TextBox). Der Benutzer kann wie bei einem Textfeld einen neuen Wert eingeben oder wie bei einem Listenfeld einen vorhandenen Wert auswählen.

Bemerkungen

Wenn ein Kombinationsfeld-Steuerelement (ComboBox) an eine Datenquelle gebunden ist, fügt das Kombinationsfeld den vom Benutzer eingegebenen oder ausgewählten Wert in die Datenquelle ein. Wenn ein mehrspaltiges Kombinationsfeld gebunden ist, bestimmt die BoundColumn-Eigenschaft, welcher Wert in der gebundenen Datenquelle gespeichert wird.

Die Liste eines Kombinationsfeldes besteht aus Datenzeilen. Jede Zeile kann mehrere Spalten mit oder ohne Spaltenüberschriften aufweisen. Einige Anwendungen unterstützen Spaltenüberschriften nicht oder nur eingeschränkt.

Die Standardeigenschaft für ein Kombinationsfeld-Steuerelement (ComboBox) ist die Value-Eigenschaft.

Anmerkung Wenn ständig mehrere Zeilen der Liste angezeigt werden sollen, sollten Sie statt eines Kombinationsfeldes ein Listenfeld verwenden. Wenn Sie ein Kombinationsfeld verwenden möchten und nur die Werte in der Liste verwenden möchten, können Sie die Style-Eigenschaft des Kombinationsfeld-Steuerelements (ComboBox) so konfigurieren, dass das Steuerelement wie ein Dropdownlistenfeld aussieht.


Befehlsschaltflächen-Steuerelement ("CommandButton")

Startet, beendet oder unterbricht eine Aktion oder eine Aktionsfolge.

Bemerkungen

VBScript ist erforderlich.

Syntax

Sub CommandButton_Click( )

'Ereigniscode hier eingeben

End Sub

Das Makro oder die Ereignisprozedur, die dem Click-Ereignis des Befehlsschaltflächen-Steuerelements (CommandButton) zugewiesen sind, bestimmen die Funktionsweise der Befehlsschaltfläche. Erstellen Sie beispielsweise eine Befehlsschaltfläche, die ein anderes Formular öffnet. In einer Befehlsschaltfläche können Sie auch Text, Bilder oder beides anzeigen.

Die Standardeigenschaft für ein Befehlsschaltflächen-Steuerelement (CommandButton) ist die Value-Eigenschaft.

Das einzige Ereignis für ein Befehlsschaltflächen-Steuerelement (CommandButton) ist das Click-Ereignis.


Font-Objekt

Bestimmt die Eigenschaften des Textes, der von einem Steuerelement verwendet wird.

Jedes Steuerelement besitzt ein eigenes Font-Objekt, mit dem Sie die Eigenschaften des Textes unabhängig von den Eigenschaften anderer Steuerelemente festlegen können. Mit den Einstellungen für die Schriftart können Sie den Text fett oder kursiv formatieren, unterstreichen oder dessen Größe anpassen.

Die Standardeigenschaft des Font-Objekts ist die Name-Eigenschaft.


 Rahmen-Steuerelement ("Frame")

Rahmen-Steuerelement ("Frame")

Erstellt eine funktionale und optische Steuerelementgruppe.

Hinweise

Alle Optionsfelder in einem Rahmen-Steuerelement (Frame) schließen sich gegenseitig aus, weshalb Sie mit einem Rahmen eine Optionsgruppe erstellen können. Mit einem Rahmen können Sie auch Steuerelemente mit einem ähnlichen Inhalt gruppieren. Verwenden Sie beispielsweise für eine Anwendung, die Bestellungen verarbeitet, einen Rahmen, um den Namen, die Adresse und die Kontonummer der Kunden zu gruppieren.

Mit einem Rahmen-Steuerelement (Frame) haben Sie auch die Möglichkeit, eine Gruppe von Umschaltfelder-Steuerelementen (ToggleButtons) einzurichten, jedoch schließen sich diese Umschaltfelder nicht gegenseitig aus.

Um eine Gruppe sich gegenseitig ausschließender Optionsfeld-Steuerelemente (OptionButton) zu erstellen, können Sie die Schaltfläche in einem Rahmen des Formulars positionieren oder aber die GroupName-Eigenschaft verwenden.


 Anzeige-Steuerelement ("Image")

Anzeige-Steuerelement ("Image")

Zeigt ein Bild in einem Formular an.

Hinweise

Das Anzeige-Steuerelement (Image) ermöglicht die Anzeige eines Bildes als Bestandteil von Daten in einem Formular. Verwenden Sie ein Anzeige-Steuerelement (Image) beispielsweise, um Fotos von Mitarbeitern in einem Personalformular anzuzeigen.

Das Anzeige-Steuerelement (Image) gestattet es Ihnen, Bilder zu beschneiden, zu zoomen oder deren Größe anzupassen. Es ist jedoch nicht möglich, den Inhalt des Bildes zu bearbeiten. Sie können beispielsweise mit einem Anzeige-Steuerelement (Image) nicht die Farben des Bildes bearbeiten, um es transparent zu machen, oder die Auflösung des Bildes erhöhen. Zu diesem Zweck müssen Sie Bildbearbeitungsprogramme verwenden.

Das Anzeige-Steuerelement (Image) unterstützt die folgenden Dateiformate:

  • *.bmp

  • *.cur

  • *.gif

  • *.ico

  • *.jpg

  • *.wmf

Anmerkung In einem Bezeichnungsfeld-Steuerelement (Label) können Sie auch ein Bild anzeigen. Ein Bezeichnungsfeld-Steuerelement (Label) ermöglicht es jedoch nicht, das Bild zu beschneiden, zu zoomen oder dessen Größe anzupassen.


Bezeichnungsfeld-Steuerelement ("Label")

Zeigt beschreibenden Text an.

Bemerkungen

Ein Bezeichnungsfeld-Steuerelement (Label) in einem Formular zeigt beschreibenden Text, wie Überschriften, Titel, Bilder oder kurze Anweisungen an. Beschriftungen für ein Adressbuch könnten beispielsweise ein Bezeichnungsfeld für den Namen, die Anschrift oder den Ort aufweisen.

Die Standardeigenschaft für ein Bezeichnungsfeld-Steuerelement (Label) ist die Caption-Eigenschaft.

Anmerkung In einem Bezeichnungsfeld können Sie auch ein Bild anzeigen. Ein Bezeichnungsfeld gestattet jedoch nicht, das Bild zu beschneiden, zu zoomen oder dessen Größe anzupassen.


 Listenfeld-Steuerelement ("ListBox")

Listenfeld-Steuerelement ("ListBox")

Zeigt eine Liste mit Werten an und ermöglicht die Auswahl von Werten.

Bemerkungen

Wenn das Listenfeld-Steuerelement (ListBox) an eine Datenquelle gebunden ist, speichert das Listenfeld den ausgewählten Wert in dieser Datenquelle.

Das Listenfeld-Steuerelement (ListBox) kann als Liste oder als Gruppe von Optionsfelder - oder Kontrollkästchen-Steuerelementen (OptionButton, CheckBox) angezeigt werden.

Die Standardeigenschaft für ein Listenfeld-Steuerelement (ListBox) ist die Value-Eigenschaft.

Das Standardereignis für ein Listenfeld-Steuerelement (ListBox) ist das Click-Ereignis.

Anmerkung In ein Dropdownlistenfeld kann kein Text eingegeben werden.

Listenfeld-Formate

Es stehen zwei Darstellungsformate für ein Listenfeld zur Auswahl. Jedes Format bietet unterschiedliche Möglichkeiten, um Elemente in der Liste auszuwählen.

Wenn als Format 0 - Plain eingestellt ist, befindet sich jedes Element in einer eigenen Zeile; der Benutzer wählt ein Element durch Markieren einer oder mehrerer Zeilen aus.

Wenn als Format 1 - Option eingestellt ist, wird ein Optionsfeld- oder ein Kontrollkästchen-Steuerelement am Beginn jeder Zeile angezeigt. Mit diesem Format wählt der Benutzer ein Element durch Klicken auf das Optionsfeld oder das Kontrollkästchen. Kontrollkästchen werden nur angezeigt, wenn die MultiSelect-Eigenschaft auf True festgelegt ist.


 Multiseiten-Steuerelement (MultiPage)

Multiseiten-Steuerelement (MultiPage)

Zeigt mehrere Bildschirme mit Daten als Zusammenstellung an.

Hinweise

Ein Multiseiten-Steuerelement (MultiPage) ist nützlich, wenn Sie mit einer großen Menge an Daten arbeiten, die sich in Kategorien unterteilen lassen. Sie können z. B. ein Multiseiten-Steuerelement verwenden, um Daten aus einem Personalverwaltungsprogramm anzuzeigen. Die erste Seite kann beispielsweise Personalien wie Namen und Adresse enthalten, die zweite Seite die früheren Arbeitgeber und die dritte Seite Referenzen. Das Multiseiten-Steuerelement (MultiPage) ermöglicht es Ihnen, inhaltlich zusammenhängende Informationen auf dem Bildschirm zusammenzustellen, so dass Sie rasch auf den gesamten Datensatz zugreifen können.

Neue Seiten werden rechts neben der gegenwärtig ausgewählten Seite eingefügt, und nicht direkt daran anliegend.

Ein Multiseiten-Steuerelement (MultiPage) ist ein Steuerelement, das eine Auflistung mit einer oder mehreren Seiten enthält.

Jede Seite (Page-Objekt) eines Multiseiten-Steuerelements ist ein Formular, das eigene Steuerelemente enthält und ein eigenes Layout hat. Die Seiten in einem Multiseiten-Steuerelement haben in der Regel Registerkarten. Der Benutzer zeigt die einzelnen Seiten durch Klicken auf diese Registerkarten an.

Standardmäßig enthält ein Multiseiten-Steuerelement (MultiPage) zwei Seiten: Page1 und Page2. Jede Seite ist ein Page-Objekt, und zusammen stellen sie die Pages-Auflistung des Multiseiten-Steuerelements dar. Wenn Sie weitere Seiten hinzufügen, werden sie Bestandteil derselben Pages-Auflistung.

Die Standardeigenschaft für ein Multiseiten-Steuerelement (MultiPage) ist die Value-Eigenschaft. Diese gibt den Index des gegenwärtig aktiven Page-Objekts in der Pages-Auflistung des Multiseiten-Steuerelements zurück.

Anmerkung Das Multiseiten-Steuerelement (MultiPage) unterstützt nicht das Click-Ereignis.


 Optionsfeld-Steuerelement ("OptionButton")

Optionsfeld-Steuerelement ("OptionButton")

Zeigt den Auswahlstatus eines Elements in einer Optionsgruppe an.

Hinweise

Verwenden Sie ein Optionsfeld-Steuerelement (OptionButton), um anzuzeigen, ob ein Element in einer Gruppe ausgewählt ist. Beachten Sie, dass sich die Optionsfelder in einem Rahmen-Steuerelement (Frame) gegenseitig ausschließen.

Wenn ein Optionsfeld-Steuerelement (OptionButton) an eine Datenquelle gebunden ist, kann das Optionsfeld den Wert dieser Datenquelle als Yes/No, True/False oder On/Off anzeigen. Wenn der Benutzer das Optionsfeld auswählt, lautet die aktuelle Einstellung Yes, True oder On. Wenn der Benutzer das Optionsfeld nicht auswählt, lautet die Einstellung No, False oder Off. Ein Optionsfeld in einer Anwendung für die Bestandskontrolle kann z. B. anzeigen, ob ein Element nicht mehr aufgelegt wird. Wenn das Optionsfeld an eine Datenquelle gebunden ist, wird durch Ändern der Einstellung der Wert dieser Datenquelle geändert. Ein deaktiviertes Optionsfeld ist abgeblendet und zeigt keinen Wert an.

In Abhängigkeit vom Wert der TripleState-Eigenschaft kann ein Optionsfeld-Steuerelement (OptionButton) auch den Wert Null besitzen.

Mit einem Optionsfeld können Sie in einem Gruppenfeld auch ein oder mehrere verknüpfte Elemente einer Gruppe auswählen. Erstellen Sie beispielsweise ein Bestellformular mit einer Liste der verfügbaren Elemente, wobei sich vor jedem Element ein Optionsfeld befindet. Der Benutzer wählt Elemente durch Aktivieren des entsprechenden Optionsfeldes aus.

Die Standardeigenschaft für ein Optionsfeld-Steuerelement (OptionButton) ist die Value-Eigenschaft.


Page-Objekt

Eine Seite einer MultiPage oder ein einzelnes Element einer Pages-Auflistung.

Hinweise

Jedes Page-Objekt enthält eigene Steuerelemente und ist nicht nicht notwendigerweise von den Daten auf anderen Seiten der Auflistung abhängig. Ein Page-Objekt erbt einige Eigenschaften von seinem Container. Der Wert jeder vererbten Eigenschaft wird durch den Container bestimmt.

Sie erstellen einen Verweis auf ein Page-Objekt anhand seines Indexwertes. Der Indexwert gibt die Position des Page-Objekts innerhalb der Auflistung an. Der Index des ersten Page-Objekts einer Auflistung ist 0, der Index des zweiten Page-Objekts ist 1 usw.

Der Standardname des ersten Page-Objekts lautet Page1. Der Standardname des zweiten Page-Objekts lautet Page2.


Bildlaufleisten-Steuerelement ("ScrollBar")

Gibt den Wert eines anderen Steuerelements auf der Grundlage der Position des Bildlauffelds zurück oder stellt diesen Wert ein.

Hinweise

VBScript ist erforderlich.

Ein Bildlaufleisten-Steuerelement (ScrollBar) ist ein eigenständiges Steuerelement, das Sie in einem Formular einfügen können. Dieses Steuerelement sieht wie die Bildlaufleiste in bestimmten Objekten, wie einem Listenfeld-Steuerelement (ListBox) oder der Dropdown-Komponente eines Kombinationsfeld-Steuerelements (ComboBox), aus. Im Gegensatz zu den Bildlaufleisten in diesen Steuerelementen ist das eigenständige Bildlaufleisten-Steuerelement (ScrollBar) kein fester Bestandteil eines anderen Steuerelements.

Um das Bildlaufleisten-Steuerelement (ScrollBar) zum Einstellen oder Lesen des Werts eines anderen Steuerelements zu verwenden, müssen Sie einen Code erstellen, der Eigenschaften des Bildlaufleisten-Steuerelements (ScrollBar) Value verwendet. Wenn Sie beispielsweise mit dem Bildlaufleisten-Steuerelement (ScrollBar) den Wert eines Textfeld-Steuerelements (TextBox) aktualisieren möchten, können Sie Code erstellen, der die Value-Eigenschaft der Bildlaufleiste liest und dann die Value-Eigenschaft des Textfeldes einstellt.

Die Standardeigenschaft für ein Bildlaufleisten-Steuerelement (ScrollBar) ist die Value-Eigenschaft.

Anmerkung Um eine horizontale oder vertikale Bildlaufleiste zu erstellen, ziehen Sie die Ziehpunkte der Bildlaufleiste horizontal oder vertikal im Formular.


Drehfeld-Steuerelement ("SpinButton")

Vergrößert und verkleinert Zahlen.

Hinweise

VBScript ist erforderlich.

Durch Klicken auf ein Drehfeld-Steuerelement (SpinButton) wird nur der Wert des Drehfeldes geändert. Sie können Code erstellen, der das Drehfeld zum Aktualisieren des angezeigten Wertes eines anderen Steuerelements verwendet. Verwenden Sie beispielsweise ein Drehfeld, um einen Bildlauf in einer Werte- oder Elementliste durchzuführen oder den in einem Textfeld angezeigten Wert zu ändern.

Um einen von einem Drehfeld-Steuerelement (SpinButton) aktualisierten Wert anzuzeigen, müssen Sie den Wert des Drehfeld-Steuerelements (SpinButton) dem angezeigten Bereich eines Steuerelements zuweisen, wie beispielsweise der Caption-Eigenschaft eines Bezeichnungsfeld-Steuerelements (Label) oder der Text-Eigenschaft eines Textfeld-Steuerelements (TextBox). Um ein horizontales oder vertikales Drehfeld zu erstellen, ziehen Sie die Ziehpunkte des Drehfeldes horizontal oder vertikal im Formular.

Die Standardeigenschaft für ein Drehfeld-Steuerelement (SpinButton) ist die Value-Eigenschaft.


Tab-Objekt

Ein Tab ist ein einzelnes Element einer Tabs-Auflistung.

Hinweise

In der Anzeige erscheint ein Tab-Objekt als ein hervorstehendes Rechteck über einer größeren rechteckigen Fläche oder als eine Schaltfläche, die einer rechteckigen Fläche angegliedert ist.

Im Gegensatz zu einer Page enthält ein Tab keine Steuerungselemente. Steuerungselemente, die innerhalb des an einen TabStrip gebundenen Bereichs liegen, befinden sich wie der TabStrip auf dem Formular.

Sie beziehen sich auf ein Tab über dessen Indexwert. Der Indexwert gibt die ordinale Position des Tab innerhalb der Auflistung wieder. Der Index des ersten Tab einer Auflistung ist 0, der Index des zweiten Tab ist 1, usw.


 Register-Steuerelement ("TabStrip")

Register-Steuerelement ("TabStrip")

Stellt eine Reihe verwandter Steuerelemente in einer Gruppe zusammengefasst dar.

Hinweise

Verwenden Sie ein Register-Steuerelement (TabStrip), um unterschiedliche Informationselemente verwandter Steuerelemente anzuzeigen.

Ein Register-Steuerelement (TabStrip) ist eine Auflistung einer oder mehrerer Registerkarten.

Jede Registerkarte eines Register-Steuerelements (TabStrip) ist ein eigenes Objekt, das die Benutzer auswählen können. Optisch besitzt ein Register-Steuerelement (TabStrip) auch einen Clientbereich, den alle Registerkarten des Register-Steuerelements (TabStrip) gemeinsam nutzen.

Standardmäßig besitzt ein Register zwei Seiten, "Tab1" und "Tab2". Jede dieser Registerkarten ist ein Registerobjekt, und sie repräsentieren zusammen die Tabs-Auflistung des Register-Steuerelements (TabStrip). Wenn Sie weitere Registerkarten hinzufügen, werden diese Bestandteil dieser Tabs-Auflistung.

Beispielsweise können die Steuerelemente Informationen für einen Tageszeitplan einer Gruppe von Personen repräsentieren, wobei jede Informationskomponente einer Person der Gruppe entspricht. Verwenden Sie als Titel für die Registerkarten die Namen der Personen. Anschließend erstellen Sie Code, der nach dem Klicken auf eine Registerkarte die Steuerelemente aktualisiert und Informationen über die in der Registerkarte angegebene Person anzeigt.

Anmerkung Das Register-Steuerelement (TabStrip) wird als Container einer Tabs-Auflistung implementiert, der wiederum eine Gruppe von Registerobjekten enthält. Das Register-Steuerelement (TabStrip) unterstützt das Click-Ereignis nicht.

Die Standardeigenschaft für ein Register-Steuerelement (TabStrip) ist die SelectedItem-Eigenschaft.


 Textfeld-Steuerelement ("TextBox")

Textfeld-Steuerelement ("TextBox")

Zeigt Informationen eines Benutzers oder einer Datengruppe an.

Bemerkungen

Ein Textfeld-Steuerelement (TextBox) wird gewöhnlich verwendet, um vom Benutzer eingegebene Informationen anzuzeigen. Dieses Steuerelement kann auch für Datengruppen verwendet werden, wie zum Beispiel für Tabellen, Abfragen, Arbeitsblätter oder das Ergebnis einer Berechnung. Wenn ein Textfeld-Steuerelement (TextBox) an eine Datenquelle gebunden ist, wird beim Ändern des Inhalts des Textfeldes auch der Inhalt der gebundenen Datenquelle geändert.

Auf Text in einem Textfeld angewendete Formatierungen betreffen den gesamten Text des Steuerelements. Wenn Sie beispielsweise die Schriftart oder die Schriftgröße eines Steuerelementzeichens ändern, wirkt sich diese Änderung auf alle Zeichen des Steuerelements aus.

Die Standardeigenschaft für ein Textfeld-Steuerelement (TextBox) ist die Value-Eigenschaft.

Tipps zur Verwendung von Textfeld-Steuerelementen ("TextBox")

Das Textfeld-Steuerelement (TextBox) ist ein flexibles Steuerelement, das von den folgenden Eigenschaften bestimmt wird: Text, MultiLine, WordWrap und AutoSize.

Text enthält den Text, der im Textfeld angezeigt wird.

MultiLine steuert, ob das Textfeld Text ein- oder mehrzeilig anzeigen kann. Zeilenendemarken bestimmen, wo eine Zeile endet und eine neue beginnt. Wenn MultiLine auf False (Standard) festgelegt ist, wird der Text nicht umgebrochen, sondern abgeschnitten.

WordWrap ermöglicht das Umbrechen von Zeilen für das Textfeld, die länger als dessen Breite sind. Der Standardwert ist True.

Wenn Sie WordWrap nicht verwenden, beginnt das Textfeld eine neue Zeile, wenn eine Zeilenendemarke im Text angetroffen wird. Wenn WordWrap deaktiviert ist, sind Textzeilen möglich, die nicht vollständig in das Textfeld passen. Das Textfeld zeigt die Teile des Textes an, die der Breite dieses Feldes entsprechen und schneidet die anderen Teile des Textes ab. WordWrap ist nur aktiv, wenn MultiLine auf True festgelegt ist.

AutoSize steuert, ob das Textfeld angepasst wird, um den gesamten Text anzuzeigen. Wenn AutoSize mit einem Textfeld-Steuerelement (TextBox) verwendet wird, wird die Textfeldbreite entsprechend dem Text im Textfeld und der verwendeten Schriftgröße zur Anzeige des Textes verkleinert oder vergrößert. Der Standardwert ist False.

AutoSize eignet sich für folgende Situationen:

  • Anzeigen eines Titels mit einer oder mehreren Zeilen.

  • Anzeigen des Inhalts eines einzeiligen Textfeldes.

  • Anzeigen des Inhalts eines mehrzeiligen Textfeldes, das für den Benutzer schreibgeschützt ist.

Anmerkung AutoSize sollte nicht auf ein leeres Textfeld angewendet werden, das auch die Eigenschaften MultiLine und WordWrap verwendet. Wenn der Benutzer Text in ein Textfeld mit diesen Eigenschaften eingibt, wird die Größe des Textfeldes automatisch auf ein langes schmales Feld mit der Breite eines Buchstabens und der Länge der Textzeile eingestellt.


 Umschaltfeld-Steuerelement ("ToggleButton")

Umschaltfeld-Steuerelement ("ToggleButton")

Zeigt den Auswahlstatus eines Elements an.

Hinweise

Verwenden Sie ein Umschaltfeld-Steuerelement (ToggleButton), um anzuzeigen, ob ein Element ausgewählt ist. Wenn ein Umschaltfeld an eine Datenquelle gebunden ist, zeigt es den aktuellen Wert dieser Datenquelle als Yes/No, True/False, On/Off oder eine andere Option eines Wertepaars an. Wenn der Benutzer das Umschaltfeld auswählt, lautet die aktuelle Einstellung Yes, True oder On. Wenn der Benutzer das Umschaltfeld nicht auswählt, lautet die Einstellung No, False oder Off. Wenn das Umschaltfeld an eine Datenquelle gebunden ist, wird durch Ändern der Einstellung der Wert dieser Datenquelle geändert. Ein deaktiviertes Umschaltfeld zeigt einen Wert an, ist jedoch abgeblendet und gestattet keine Bearbeitung durch den Benutzer.

Mit einem Umschaltfeld können Sie in einem Rahmen-Steuerelement (Frame) auch ein oder mehrere verknüpfte Elemente einer Gruppe auswählen. Erstellen Sie beispielsweise ein Bestellformular mit einer Liste der verfügbaren Elemente, wobei sich vor jedem Element ein Umschaltfeld befindet. Der Benutzer kann Elemente durch Aktivieren des entsprechenden Umschaltfeldes auswählen.

Die Standardeigenschaft für ein Umschaltfeld-Steuerelement (ToggleButton) ist die Value-Eigenschaft.

Das einzige Ereignis für ein Umschaltfeld-Steuerelement (ToggleButton) ist das Click-Ereignis.


 Click-Ereignis

Click-Ereignis

Das Click-Ereignis wird nur ausgeführt, wenn es für ein Steuerelement im Skript-Editor definiert wurde.

Die Register- und Multiseiten-Steuerelemente (TabStrip, MultiPage) unterstützen das Click-Ereignis nicht. Die einzelnen Page-Objekte der Multiseiten-Steuerelemente hingegen unterstützen das Click-Ereignis.

Bildlaufleisten- und Drehfelder-Steuerelemente (ScrollBars, SpinButton) unterstützen das Click-Ereignis nicht, Sie können sie jedoch mit Feldern binden und das CustomPropertyChange-Ereignis verwenden.

Das Click-Ereignis wird in zwei Situationen ausgeführt:

  • Der Benutzer klickt mit der Maus auf ein Steuerelement.

  • Der Benutzer wählt für ein Steuerelement mit mehreren möglichen Optionen eine Option aus.

Syntax

Sub object_Click( )

Die Syntax des Click-Ereignisses besteht aus den folgenden Bestandteilen:

Teil | Beschreibung
object | Erforderlich; ein gültiges Objekt.

Beispiel:

Sub CommandButton1_Click()
    MsgBox "You just clicked my button! "
End Sub

Hinweise

In den beiden Fällen, in denen das Click-Ereignis auftritt, bezieht sich der erste Fall auf Befehlsschaltflächen-, Rahmen-, Anzeige-, Bezeichnungsfeld- und Seite-Steuerelemente (CommandButton, Frame, Image, Label, Page).

Der zweite Fall bezieht sich auf Kontrollkästchen-, Kombinationsfeld-, Listenfeld- und Umschaltfeld-Steuerelemente (CheckBox, ComboBox, ListBox, ToggleButton). Darüber hinaus bezieht er sich auch auf das Optionsfeld-Steuerelement (OptionButton), wenn True zurückgegeben wird.

Es folgen Beispiele für Aktionen, die das Click-Ereignis auslösen:

  • Klicken in einem leeren Bereich eines Formulars oder auf ein deaktiviertes Steuerelement (kein Listenfeld) in einem Formular.

  • Klicken auf eine Befehlsschaltfläche.

  • Drücken der LEERTASTE, wenn sich der Fokus auf einer Befehlsschaltfläche befindet.

  • Klicken auf ein Steuerelement mit der linken Maustaste.

  • Drücken der EINGABETASTE in einem Formular, das eine Befehlsschaltfläche besitzt, deren Default-Eigenschaft auf True festgelegt ist, vorausgesetzt der Fokus befindet sich auf keiner anderen Befehlsschaltfläche.

  • Drücken von ESC in einem Formular, das eine Befehlsschaltfläche besitzt, deren Cancel-Eigenschaft auf True festgelegt ist, vorausgesetzt der Fokus befindet sich auf keiner anderen Befehlsschaltfläche.

  • Drücken der Zugriffstaste eines Steuerelements.

Bei einigen Steuerelementen wird das Click-Ereignis ausgelöst, wenn sich die Value-Eigenschaft ändert. Das PropertyChange- oder CustomPropertyChange-Ereignis sollte jedoch bevorzugt eingesetzt werden, um einen neuen Wert für eine Eigenschaft zu registrieren. Es folgen Beispiele für Aktionen, die das Click-Ereignis auslösen, wenn einem Steuerelement ein neuer Wert zugewiesen wird:

  • Klicken auf ein Kontrollkästchen oder ein Umschaltfeld, Drücken der LEERTASTE, wenn eines der Steuerelemente den Fokus besitzt, Drücken der Zugriffstaste für eines der Steuerelemente oder Ändern des Wertes des Steuerelements im Code.

  • Ändern des Werts eines Optionsfeldes auf True. Durch Festlegen eines Optionsfeldes in einer Gruppe auf True werden alle Schaltflächen der Gruppe auf False festgelegt, aber das Click-Ereignis wird nur für die Schaltfläche ausgelöst, die auf True festgelegt wird.

  • Auswählen eines Wertes für ein Kombinationsfeld oder ein Listenfeld, der dann mit Sicherheit mit einem Element in der Dropdownliste des Steuerelements übereinstimmt. Wenn zum Beispiel eine Liste nicht sortiert ist, ist die erste Übereinstimmung mit im Bearbeitungsfeld eingegeben Zeichen möglicherweise nicht die einzige Übereinstimmung in der Liste, weshalb durch Auswahl eines solchen Wertes nicht das Click-Ereignis ausgelöst wird. In einer sortierten Liste können Sie Einträge vergleichen, um sicherzustellen, dass ein ausgewählter Wert eine eindeutige Übereinstimmung mit einem Text darstellt, den der Benutzer eingibt.

Das Click-Ereignis wird nicht ausgelöst, wenn Value auf Null festgelegt ist.

Anmerkung Durch Klicken mit der linken Maustaste wird der Wert eines Steuerelements geändert und demzufolge das Click-Ereignis ausgelöst. Durch Klicken mit der rechten Maustaste wird der Wert des Steuerelements nicht geändert und demzufolge das Click-Ereignis nicht ausgelöst.

Weitere Anmerkung Wenn Sie die folgenden Elemente mit einem Feld binden, wird das Click-Ereignis nicht ausgelöst: Listenfeld-, Kombinationsfeld-, Optionsfeld- oder Kontrollkästchen-Steuerelement (ListBox, ComboBox, OptionButton, CheckBox). Sie müssen das PropertyChange- oder das CustomPropertyChange-Ereignis verwenden, um die Änderung im Code zu suchen.

Beispiel:

Sub Item_PropertyChange(ByVal Name)
Set MyListBox = Item.GetInspector.ModifiedFormPages("Message").Controls("ListBox1")
Select Case Name
    Case "Mileage"
        Item.CC = MyListBox.Value
        Item.Subject = MyListBox.Value
    Case Else
End Select
End Sub


 Add-Methode

Add-Methode

Fügt ein Steuerelement einer Seite durch seinen programmtechnischen Bezeichner (ProgID) hinzu, oder fügt ein Tab-Objekt bzw. ein Page-Objekt einem Register-Steuerelement (TabStrip) oder einem Multiseiten-Steuerelement (MultiPage) hinzu.

Syntax

Für ein Multiseiten- (MultiPage) oder Register-Steuerelement (TabStrip):
Set Object = object.Add( [ Name [, Caption [, index]]])

Für andere Steuerelemente:
Set Control = object.Add( ProgID [, Name [, Visible]])

Die Syntax für die Add-Methode besteht aus den folgenden Teilen:

Teil | Beschreibung
Caption | Optional. Gibt den Titel an, der auf einer Registerkarte oder einem Steuerelement angezeigt werden soll. Wird kein Titel angegeben, dann generiert das System einen Standardtitel gemäß den Regeln der Anwendung, in der das Formular verwendet wird.
index | Optional. Gibt die Position einer Seite oder einer Registerkarte in einer Pages- oder Tabs-Auflistung an. Wenn kein Index angegeben wird, hängt das System die Seite oder Registerkarte an das Ende der Pages- oder Tabs-Auflistung an und weist ihr den entsprechenden Indexwert zu.
Name | Optional. Gibt den Namen des Objekts an, das hinzugefügt wird. Wird kein Name angegeben, generiert das System einen Standardnamen gemäß den Regeln der Anwendung, in der das Formular verwendet wird.
object | Erforderlich. Ein gültiger Objektname.
ProgID | Erforderlich. Programmtechnischer Bezeichner. Eine Textzeichenfolge ohne Leerzeichen, die eine Objektklasse angibt. Die Standardsyntax für eine ProgID lautet <Vendor>.<Component>.<Version>. Eine ProgID wird einem Klassenbezeichner (CLSID) zugeordnet.
Visible | Optional. True, wenn das Objekt sichtbar ist (Standardwert). False, wenn das Objekt ausgeblendet ist.

Einstellungen

Die ProgID-Werte für die einzelnen Steuerelemente sind:

CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Hinweise

Für ein Multiseiten-Steuerelement (MultiPage) gibt die Add-Methode ein Page-Objekt zurück. Für ein Register-Steuerelement (TabStrip) gibt sie ein Tab-Objekt zurück. Der Indexwert für das erste Page- oder Tab-Objekt einer Auflistung ist 0, der Wert für das zweite Page- oder Tab-Objekt ist 1 usw.

Für die Controls-Auflistung eines Objekts gibt die Add-Methode ein Steuerelement entsprechend der angegebenen ProgID zurück. Das AddControl-Ereignis tritt nach dem Hinzufügen des Steuerelements ein.

Die folgende Syntax gibt die Text-Eigenschaft eines zur Entwurfszeit hinzugefügten Steuerelements zurück:

userform1.thebox.text

Wenn Sie ein Steuerelement zur Laufzeit hinzufügen, müssen Sie in der Syntax das Ausrufezeichen verwenden, um auf Eigenschaften dieses Steuerelements zu verweisen. Soll beispielsweise die Text-Eigenschaft eines zur Laufzeit hinzugefügten Steuerelements zurückgegeben werden, verwenden Sie folgende Syntax:

userform1!thebox.text

Anmerkung Sie können die Name-Eigenschaft eines Steuerelements nur dann zur Laufzeit ändern, wenn Sie dieses Steuerelement zur Laufzeit mit der Add-Methode hinzugefügt haben.


 AddItem-Methode

AddItem-Methode

Bei einem einspaltigen Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox) wird mit der AddItem-Methode der Liste ein Element hinzugefügt. Bei einem mehrspaltigen Listenfeld- oder Kombinationsfeld-Steuerelement wird der Liste mit dieser Methode eine Zeile hinzugefügt.

Syntax

Variant = object.AddItem( [ item [, varIndex]])

Die Syntax der AddItem-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
item | Optional. Gibt das Element oder die Zeile an, die hinzugefügt werden soll. Der Wert des ersten Elements bzw. der ersten Zeile ist 0, der des zweiten Elements bzw. der zweiten Zeile 1 usw.
varIndex | Optional. Eine ganze Zahl, die die Position innerhalb des Objektes angibt, an der das neue Element oder die neue Zeile platziert werden soll.

Hinweise

Wenn Sie einen gültigen Wert für varIndex liefern, platziert die AddItem-Methode das Element oder die Zeile an dieser Position in der Liste. Wenn Sie varIndex übergehen, wird das Element oder die Zeile mit dieser Methode am Ende der Liste hinzugefügt.

Der Wert von varIndex darf nicht größer sein als der Wert der ListCount-Eigenschaft.

Bei einem mehrspaltigen Listen- oder Kombinationsfeld-Steuerelement fügt AddItem eine ganze Zeile ein, d. h. es wird ein Element für jede Spalte des Steuerelements eingefügt. Um einem Element Werte zuzuweisen, das sich hinter der ersten Spalte befindet, verwenden Sie die List- oder Column-Eigenschaft und geben die Zeile und die Spalte des Elements an.

Ist das Steuerelement an Daten gebunden, schlägt die AddItem-Methode fehl.

Anmerkung Mit der List-Eigenschaft können Sie einem Kombinationsfeld- (ComboBox) oder Listenfeld-Steuerelement (ListBox) mehr als eine Zeile gleichzeitig hinzufügen.


 Clear-Methode

Clear-Methode

Entfernt alle Objekte aus einem Objekt oder einer Auflistung.

Syntax

object.Clear

Die Syntax der Clear-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Bei einem Multiseiten-Steuerelement (MultiPage) oder einem Register-Steuerelement (TabStrip) löscht die Clear-Methode einzelne Seiten oder Registerkarten.

Bei einem Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox) entfernt Clear alle Einträge aus der Liste.

Bei einer Controls-Auflistung löscht Clear Steuerelemente, die zur Laufzeit mit der Add-Methode erstellt wurden. Wird Clear bei Steuerelementen verwendet, die zur Entwurfszeit erstellt wurden, wird ein Fehler ausgegeben.

Anmerkung Ist das Steuerelement an Daten gebunden, schlägt die Clear-Methode fehl.


Copy-Methode

Kopiert den Inhalt eines Objektes in die Zwischenablage.

Syntax

object.Copy

Die Syntax der Copy-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Der ursprüngliche Inhalt verbleibt im Objekt.

Der tatsächliche Inhalt, der kopiert wird, ist abhängig vom Objekt. Bei einem Page-Objekt kopiert die Copy-Methode beispielsweise das/die aktuell markierte/n Steuerelement/e. Bei einem Textfeld-Steuerelement (TextBox) oder einem Kombinationsfeld-Steuerelement (ComboBox) kopiert die Methode den aktuell markierten Text.

Wird die Copy-Methode bei einem Formular, einem Rahmen-Steuerelement (Frame) oder einem Page-Objekt verwendet, wird das aktuell aktive Steuerelement kopiert.


 Cut-Methode

Cut-Methode

Entfernt markierte Informationen aus einem Objekt und speichert diese in der Zwischenablage.

Syntax

object.Cut

Die Syntax der Cut-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Bei einem Kombinationsfeld-Steuerelement (ComboBox) oder einem Textfeld-Steuerelement (TextBox) entfernt die Cut-Methode den aktuell im Steuerelement markierten Text und speichert ihn in der Zwischenablage. Bei dieser Methode wird nicht vorausgesetzt, dass das Steuerelement den Fokus enthält.

Bei einem Page-Objekt, einem Rahmen-Steuerelement (Frame) oder einem Formular entfernt die Cut-Methode die aktuell markierten Steuerelemente und kopiert diese in die Zwischenablage. Mit dieser Methode können nur Steuerelemente entfernt werden, die zur Laufzeit erstellt wurden.


DropDown-Methode

Zeigt den Listenbereich in einem Kombinationsfeld-Steuerelement (ComboBox) an.

Syntax

object.DropDown

Die Syntax der DropDown-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Bemerkungen

Sie verwenden die DropDown-Methode, um eine Liste in einem Kombinationsfeld zu öffnen.


 GetFormat-Methode

GetFormat-Methode

Gibt einen ganzzahligen Wert zurück, der anzeigt, ob bei dem DataObject ein spezifisches Format verwendet wurde.

Syntax

Boolean = object.GetFormat( format)

Die Syntax der GetFormat-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
format | Erforderlich. Eine ganze Zahl oder eine Zeichenfolge, die ein spezifisches Format angibt, das im DataObject möglicherweise verwendet wurde. Wurde das angegebene Format im DataObject verwendet, gibt GetFormat den Wert True zurück.

Einstellungen

Die Einstellungen für format sind:

Wert | Beschreibung
1 | Textformat
Eine Zeichenfolge oder eine ganze Zahl außer 1 | Ein benutzerdefiniertes Format für das DataObject, das mit der SetText-Methode an das DataObject übergeben wurde.

Bemerkungen

Die GetFormat-Methode durchsucht die aktuelle Formatliste von DataObject nach einem Format. Wurde das Format im DataObject verwendet, gibt GetFormat den Wert True zurück; andernfalls gibt GetFormat den Wert False zurück.

Das DataObject unterstützt zur Zeit nur Textformate.


GetFromClipboard-Methode

Kopiert die Daten aus der Zwischenablage in ein DataObject.

Syntax

String = object.GetFromClipboard( )

Die Syntax der GetFromClipboard-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiger Objektname.

Bemerkungen

Das DataObject kann mehrere Datenelemente enthalten, wobei jedes Element jedoch in einem unterschiedlichen Format vorliegen muss. Beispielsweise kann das DataObject ein Textelement und ein Element mit einem benutzerdefinierten Format enthalten, jedoch nicht zwei Textelemente.


 GetText-Methode

GetText-Methode

Ruft eine Textzeichenfolge aus dem DataObject ab, bei der das angegebene Format verwendet wird.

Syntax

String = object.GetText( [ format])

Die Syntax der GetText-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
format | Optional. Eine Zeichenfolge oder eine ganze Zahl, die das Format der Daten angibt, die aus dem DataObject abgerufen werden sollen.

Einstellungen

Die Einstellungen für format sind:

Wert | Beschreibung
1 | Textformat
Eine Zeichenfolge oder eine beliebige ganze Zahl außer 1 | Ein benutzerdefiniertes Format für das DataObject, das mit der SetText-Methode an das DataObject übergeben wurde.

Bemerkungen

Das DataObject unterstützt zwar verschiedene Formate, es darf jedoch nur jeweils ein Datenelement des gleichen Formats verwendet werden. Beispielsweise kann das DataObject ein Textelement und ein Element mit einem benutzerdefinierten Format enthalten, jedoch nicht zwei Textelemente.

Wird kein Format angegeben, fordert die GetText-Methode die im Textformat vorliegenden Informationen aus dem DataObject an.


 Item-Methode

Item-Methode

Gibt ein Element aus einer Auflistung entweder nach Position oder nach Name zurück.

Syntax

Set Object = object.Item( collectionindex)

Die Syntax der Item-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
collectionindex | Erforderlich. Die Position oder der Indexwert des Elements innerhalb der Auflistung.

Einstellungen

Der collectionindex kann entweder eine Zeichenfolge oder eine ganze Zahl sein. Handelt es sich um eine Zeichenfolge, muss es der Name eines gültigen Elements sein. Handelt es sich um eine ganze Zahl, ist der Minimalwert 0, und der Maximalwert berechnet sich aus der Gesamtzahl der Elemente in einer Auflistung minus 1.

Bemerkungen

Wird ein ungültiger Indexwert oder Name angegeben, tritt ein Fehler auf.


Move-Methode

Verschiebt ein Formular bzw. ein Steuerelement oder verschiebt alle Steuerelemente in der Controls-Auflistung.

Syntax

Für ein Formular oder ein Steuerelement
object.Move( [Left [, Top [, Width [, Height [, Layout]]]]])

Für die Controls-Auflistung
object.Move( X, Y)

Die Syntax der Move-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
Left | Optional. Ein Wert einfacher Genauigkeit, in Punkt, der die horizontale Koordinate für den linken Rand des Objektes angibt.
Top | Optional. Ein Wert einfacher Genauigkeit, in Punkt, der die vertikale Koordinate für den oberen Rand des Objektes angibt.
Width | Optional. Ein Wert einfacher Genauigkeit, in Punkt, der die Breite des Objektes angibt.
Height | Optional. Ein Wert einfacher Genauigkeit, in Punkt, der die Höhe des Objektes angibt.
Layout | Optional. Ein boolescher Wert, der angibt, ob das Layout-Ereignis für das übergeordnete Objekt des Steuerelements als Folge der Verschiebung ausgelöst wird. Als Standardwert gilt False.
X, Y | Erforderlich. Ein Wert einfacher Genauigkeit, in Punkt, der die Abweichung von der aktuellen horizontalen und vertikalen Position für jedes Steuerelement in der Controls-Auflistung angibt.

Einstellungen

Die Maximal- und Minimalwerte für die Argumente Left, Top, Width, Height, X und Y variieren von Anwendung zu Anwendung.

Hinweise

Bei einem Formular oder einem Steuerelement können Sie eine Markierung an eine bestimmte Position relativ zu den Rändern des Formulars oder des Steuerelements verschieben, das die Markierung enthält.

Sie können benannte Argumente verwenden oder die Argumente nach Positionen eingeben. Wenn Sie mit benannten Argumenten arbeiten, können Sie die Argumente in jeder beliebigen Reihenfolge aufführen. Andernfalls müssen Sie die Argumente in der angezeigten Reihenfolge eingeben, wobei Sie Kommas für die relative Position der Argumente verwenden, die Sie nicht angeben. Alle nicht spezifizierten Argumente bleiben unverändert.

Bei einer Controls-Auflistung können Sie alle in dieser Auflistung befindlichen Steuerelemente um eine bestimmte Distanz von ihren aktuellen Positionen in einem Rahmen-Steuerelement (Frame) oder einem Page-Objekt verschieben.


Paste-Methode

Fügt den Inhalt der Zwischenablage in ein Objekt ein.

Syntax

object.Paste

Die Syntax der Paste-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

In ein Kombinationsfeld-Steuerelement (ComboBox) oder ein Textfeld-Steuerelement (TextBox) eingefügte Daten werden als Text behandelt.


PutInClipboard-Methode

Verschiebt Daten aus einem DataObject in die Zwischenablage.

Syntax

object.PutInClipboard

Die Syntax der PutInClipboard-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Bemerkungen

Mit der PutInClipboard-Methode wird der Inhalt der Zwischenablage durch den Inhalt des DataObject ersetzt, der im Textformat vorliegt.


RedoAction-Methode

Kehrt den Effekt der letzten Rückgängig-Aktion um.

Syntax

Boolean = object.RedoAction

Die Syntax der RedoAction-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Mit Wiederholen (Redo) wird die letzte Rückgängig-Aktion umgekehrt, wobei es sich hierbei nicht notwendigerweise um die letzte unternommene Aktion handelt. Es können jedoch nicht alle Aktionen rückgängig gemacht werden.

RedoAction gibt True zurück, wenn der Befehl erfolgreich ausgeführt werden konnte.


 Remove-Methode

Remove-Methode

Entfernt ein Element aus einer Auflistung oder ein Steuerelement aus einem Rahmen-Steuerelement (Frame) bzw. einem Page-Objekt.

Syntax

object.Remove( collectionindex)

Die Syntax der Remove-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
collectionindex | Erforderlich. Die Position oder der Indexwert des Elements innerhalb der Auflistung. Es werden numerische ebenso wie Werte vom Typ Zeichenfolge akzeptiert. Handelt es sich bei dem Wert um eine Zahl, ist der Minimalwert 0, und der Maximalwert berechnet sich aus der Gesamtanzahl der Elemente in einer Auflistung minus 1. Handelt es sich bei dem Wert um eine Zeichenfolge, muss diese dem Namen eines gültigen Elements entsprechen.


 RemoveItem-Methode

RemoveItem-Methode

Entfernt eine Zeile aus einer Liste in einem Listenfeld oder einem Kombinationsfeld.

Syntax

Boolean = object.RemoveItem( index)

Die Syntax der RemoveItem-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
index | Erforderlich. Gibt die Zeile an, die gelöscht werden soll. Der Wert der ersten Zeile ist 0, der der zweiten 1 usw.

Mit dieser Methode kann keine Zeile aus einer Liste entfernt werden, wenn das Listenfeld-Steuerelement (ListBox) an Daten gebunden ist, (d. h., wenn mit der RowSource-Eigenschaft eine Datenquelle für das Listenfeld-Steuerelement angegeben wird).


Repaint-Methode

Aktualisiert die Anzeige durch erneutes Anzeigen des Rahmens oder der Seite.

Syntax

Boolean = object.Repaint

Die Syntax der Repaint-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die Repaint-Methode ist nützlich, wenn sich der Inhalt oder die Darstellungsweise eines Objektes signifikant geändert hat und Sie nicht warten möchten, bis das System den Bereich automatisch neu anzeigt.


Scroll-Methode

Verschiebt den Objektinhalt mit Hilfe der Bildlaufleiste eines Objekts.

Syntax

object.Scroll( [ ActionX [, ActionY]])

Die Syntax der Scroll-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
ActionX | Optional. Bezeichnet die Aktion, die in horizontaler Richtung ausgeführt werden soll.
ActionY | Optional. Bezeichnet die Aktion, die in vertikaler Richtung ausgeführt werden soll.

Einstellungen

Die Einstellungen für ActionX und ActionY sind:

Wert | Beschreibung
0 | Kein Bildlauf in die angegebene Richtung.
1 | Bildlauf nach oben bei einer vertikalen bzw. nach links bei einer horizontalen Bildlaufleiste. Dieser Bildlauf ist gleichbedeutend mit dem Drücken der NACH-OBEN- oder NACH-LINKS-TASTE auf der Tastatur zum Bewegen des Bildlauffeldes in der Bildlaufleiste.
2 | Bildlauf nach unten bei einer vertikalen bzw. nach rechts bei einer horizontalen Bildlaufleiste. Dieser Bildlauf ist gleichbedeutend mit dem Drücken der NACH-UNTEN- oder NACH-RECHTS-TASTE auf der Tastatur zum Bewegen des Bildlauffeldes in der Bildlaufleiste.
3 | Bildlauf um eine Bildschirmseite nach oben bei einer vertikalen bzw. um eine Bildschirmseite nach links bei einer horizontalen Bildlaufleiste. Dieser Bildlauf ist gleichbedeutend mit dem Drücken der BILD-AUF-TASTE auf der Tastatur zum Bewegen des Bildlauffeldes in der Bildlaufleiste.
4 | Bildlauf um eine Bildschirmseite nach unten bei einer vertikalen bzw. um eine Bildschirmseite nach rechts bei einer horizontalen Bildlaufleiste. Dieser Bildlauf ist gleichbedeutend mit dem Drücken der BILD-AB-TASTE auf der Tastatur zum Bewegen des Bildlauffeldes in der Bildlaufleiste.
5 | Bildlauf bis zur obersten Position auf der vertikalen Bildlaufleiste bzw. bis zur äußersten linken Position auf der horizontalen Bildlaufleiste.
6 | Bildlauf bis zur untersten Position auf der vertikalen Bildlaufleiste bzw. bis zur äußersten rechten Position auf der horizontalen Bildlaufleiste.

Hinweise

Die Scroll-Methode kann bei Bildlaufleisten angewendet werden, die sich an einem Formular, einem Rahmen-Steuerelement (Frame) oder einem Page-Objekt befinden, das jeweils größer als der verfügbare Anzeigebereich ist. Diese Methode kann nicht bei einem Bildlaufleisten-Steuerelement (ScrollBar) oder bei Bildlaufleisten angewendet werden, die an einem Textfeld-Steuerelement (TextBox) angezeigt werden.


 SetDefaultTabOrder-Methode

SetDefaultTabOrder-Methode

Legt die TabIndex-Eigenschaft jedes Steuerelements in einem Rahmen oder auf einer Seite fest, wobei eine standardmäßige Aktivierreihenfolge, d. h. von oben nach unten bzw. von links nach rechts, verwendet wird.

Syntax

object.SetDefaultTabOrder

Die Syntax der SetDefaultTabOrder-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.


 SetFocus-Methode

SetFocus-Methode

Verschiebt den Fokus auf diese Instanz eines Objektes.

Syntax

object.SetFocus

Die Syntax der SetFocus-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Bemerkungen

Falls das Festlegen des Fokus fehlschlägt, kehrt der Fokus zum vorherigen Objekt zurück, und es wird ein Fehler erzeugt.

Gemäß dem Standard wird, wenn der Fokus auf ein Steuerelement festgelegt wird, das Fenster dieses Steuerelements nicht aktiviert, und das Steuerelement wird auch nicht vor alle anderen Objekte gesetzt.

Die SetFocus-Methode ist gültig für ein leeres Rahmen-Steuerelement (Frame) sowie für einen Frame-Objekt, das andere Steuerelemente enthält. Ein leeres Frame-Objekt erhält den Fokus automatisch, und alle nachfolgenden Tastaturereignisse beziehen sich auf das Frame-Objekt. Bei einem Frame-Objekt, das andere Steuerelemente enthält, wird der Fokus auf das erste Steuerelement im Frame-Objekt festgelegt, und nachfolgende Tastaturereignisse beziehen sich auf das Steuerelement, das den Fokus enthält.


 SetText-Methode

SetText-Methode

Kopiert eine Textzeichenfolge auf das DataObject, wobei ein festgelegtes Format verwendet wird.

Syntax

object.SetText( StoreData [, format])

Die Syntax der SetText-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
StoreData | Erforderlich. Definiert die Daten, die in einem DataObject gespeichert werden sollen.
format | Optional. Eine ganze Zahl oder eine Zeichenfolge, mit der das Format von StoreData angegeben wird. Beim Abrufen von Daten aus dem DataObject bezeichnet das Format die speziellen Daten, die abgerufen werden sollen.

Einstellungen

Die Einstellungen für format sind:

Wert | Beschreibung
1 | Textformat.
Eine Zeichenfolge oder ein beliebiger ganzzahliger Wert außer 1 | Ein benutzerdefiniertes DataObject-Format.

Bemerkungen

Das DataObject speichert Daten entsprechend ihrem Format. Liefert der Benutzer eine Zeichenfolge, speichert das DataObject den Text in dem angegebenen Format.

Enthält das DataObject bereits Daten des gleichen Formats wie die neuen Daten, werden die bereits im DataObject vorhandenen Daten durch die neuen Daten ersetzt. Verfügen die neuen Daten über ein neues Format, werden sowohl die neuen Daten als auch das neue Format dem DataObject hinzugefügt, wobei die bereits vorhandenen Daten ebenfalls erhalten bleiben.

Wurde kein Format angegeben, weist die SetText-Methode der Textzeichenfolge das Textformat zu. Wurde ein neues Format angegeben, registriert das DataObject das neue Format im System.


StartDrag-Methode

Initiiert eine Drag&Drop-Operation für ein DataObject.

Syntax

DropEffect=Object.StartDrag([Effect as DropEffect])

Die Syntax der StartDrag-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
Object | Erforderlich. Ein gültiges Objekt.
Effect | Optional. Der Effekt der Drop-Operation (Ablegen) auf das Zielsteuerelement.

Einstellungen

Die Einstellungen für Effect sind:

Wert | Beschreibung
0 | Die Quelle der Drag&Drop-Operation wird nicht auf das Ziel kopiert oder verschoben.
1 | Die Quelle der Drag&Drop-Operation wird auf das Ziel kopiert.
2 | Die Quelle der Drag&Drop-Operation wird auf das Ziel verschoben.
3 | Die Quelle der Drag&Drop-Operation wird auf das Ziel kopiert oder verschoben.

Bemerkungen

Die Drag-Aktion (Ziehen) beginnt an der aktuellen Position des Mauszeigers basierend auf dem aktuellen Tastaturstatus und endet, wenn der Benutzer die Maustaste loslässt. Der Effekt der Drag&Drop-Operation ist abhängig von dem für das Drop-Ziel (Ablegen) gewählten Effekt.

Beispielsweise umfasst das MouseMove-Ereignis eines Steuerelements möglicherweise die StartDrag-Methode. Wenn der Benutzer auf ein Steuerelement klickt und die Maus bewegt, ändert sich der Mauszeiger, um anzuzeigen, welcher Effect, d. h. welche Wirkungsweise für das Drop-Ziel (Ablegen) gültig ist.


UndoAction-Methode

Kehrt die zuletzt vorgenommene Aktion um, auf die der Befehl Rückgängig angewendet werden kann.

Syntax

Boolean = object.UndoAction

Die Syntax der UndoAction-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Es können nicht alle Benutzeraktionen rückgängig gemacht werden. Wenn eine Aktion nicht rückgängig gemacht werden kann, ist der Befehl Rückgängig nach der Aktion nicht verfügbar.

Sie müssen diese Methode anwenden, bevor ein Formular oder ein Steuerelement aktualisiert wird. Möglicherweise möchten Sie diese Methode in das PropertyChange-Ereignis eines Formulars einschließen.


 ZOrder-Methode

ZOrder-Methode

Platziert das Objekt in der Z-Reihenfolge im Vordergrund oder im Hintergrund.

Syntax

object.ZOrder( [ zPosition])

Die Syntax der ZOrder-Methode setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
zPosition | Optional. Die Position des Steuerelements, im Vordergrund oder im Hintergrund, der Z-Reihenfolge des Containers.

Einstellungen

Die Einstellungen für zPosition sind:

Wert | Beschreibung
0 | Platziert das Objekt in der Z-Reihenfolge im Vordergrund. Das Steuerelement wird vor den anderen Steuerelementen angezeigt (Standard).
1 | Platziert das Objekt in der Z-Reihenfolge im Hintergrund. Das Steuerelement wird unter anderen Steuerelementen angezeigt.

Bemerkungen

Die Z-Reihenfolge bestimmt, wie Fenster und Steuerelemente in der Ansicht des Benutzers gestapelt werden. Elemente, die sich in der Z-Reihenfolge hinten befinden, werden von Elementen überlagert, die sich weiter vorne befinden; Elemente, die sich in der Z-Reihenfolge vorne befinden, überlagern andere Elementen, die sich in der Reihenfolge weiter hinten befinden. Wenn das Argument zPosition nicht angegeben wird, wird das Objekt im Vordergrund platziert.

Im Entwurfsmodus legen Sie die Z-Reihenfolge mit den Befehlen In den Vordergrund bzw. In den Hintergrund fest. In den Vordergrund ist gleichbedeutend mit der Verwendung der ZOrder-Methode, wenn das Objekt an den Anfang der Z-Reihenfolge positioniert wird. In den Hintergrund ist gleichbedeutend mit der Verwendung der ZOrder-Methode, wenn das Objekt an das Ende der Z-Reihenfolge positioniert wird.

Diese Methode hat keinen Einfluss auf den Inhalt oder die Reihenfolge von Steuerelementen in der Controls-Auflistung.

Anmerkung Schichtbefehle wie In den Hintergrund oder In den Vordergrund können nicht mit den Befehlen Rückgängig oder Wiederholen rückgängig gemacht bzw. wiederholt werden. Wenn Sie beispielsweise ein Objekt markieren und im Kontextmenü auf Eine Ebene nach hinten klicken, können Sie diese Aktion nicht mit Rückgängig oder Wiederholen rückgängig machen bzw. wiederholen.


 Accelerator-Eigenschaft

Accelerator-Eigenschaft

Legt die Zugriffstaste für ein Steuerelement fest oder ruft diese ab.

Syntax

object.Accelerator [= String]

Die Syntax der Accelerator-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Das Zeichen, das als Zugriffstaste verwendet werden soll.

Bemerkungen

Um eine Zugriffstaste festzulegen, geben Sie als Wert für die Accelerator-Eigenschaft ein einzelnes Zeichen ein. Sie können die Accelerator-Eigenschaft auf der Registerkarte des Steuerelements oder mittels Code festlegen. Enthält der Wert dieser Eigenschaft mehr als ein Zeichen, wird das erste Zeichen in der Zeichenfolge zum Wert der Accelerator-Eigenschaft.

Wenn eine Zugriffstaste verwendet wird, erfolgt kein visuelles Feedback (im Gegensatz zu Fokus), um anzuzeigen, dass das Steuerelement das Click-Ereignis ausgelöst hat. Handelt es sich beispielsweise um eine Zugriffstaste für ein Befehlsschaltflächen-Steuerelement (CommandButton), sieht die Schaltfläche für den Benutzer auf der Benutzeroberfläche nicht wie eine gedrückte Taste aus. Die Schaltfläche erhält jedoch den Fokus, wenn der Anwender die Zugriffstaste drückt.


ActiveControl-Eigenschaft

Identifiziert das Steuerelement, das den Fokus hat, und lässt seine Bearbeitung zu.

Syntax

object.ActiveControl

Die Syntax der ActiveControl-Eigenschaft besteht aus den folgenden Bestandteilen:

Bestandteil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die ActiveControl-Eigenschaft ist schreibgeschützt und wird festgelegt, wenn Sie ein Steuerelement der Oberfläche auswählen. Sie können ActiveControl als Ersatz für den Namen des Steuerelements verwenden, wenn Sie Eigenschaften festlegen oder Methoden aufrufen.


Alignment-Eigenschaft

Legt die Position eines Steuerelements relativ zu seinem Titel fest.

Syntax

object.Alignment [= 0,1]

Die Syntax der Alignment-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Einstellungen

Die Einstellungen für die Alignment-Eigenschaft sind:

Wert | Beschreibung
0 | Platziert den Titel am linken Rand des Steuerelements.
1 | Platziert den Titel am rechten Rand des Steuerelements (Standard).

Bemerkungen

Der Titeltext eines Steuerelements ist linksbündig ausgerichtet.


AutoSize-Eigenschaft

Gibt an, ob die Größe eines Objekts automatisch so angepasst wird, dass sein gesamter Inhalt angezeigt werden kann.

Syntax

object.AutoSize [= Boolean]

Die Syntax der AutoSize-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob die Größe des Steuerelements geändert wird.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Die Größe des Steuerelements wird automatisch angepasst, damit der gesamte Inhalt angezeigt werden kann.
False | Hält die Größe des Objekts konstant. Eventuelle Inhalte, die den Eintragsbereich des Steuerelements übersteigen, werden abgeschnitten (Standard).

Bemerkungen

Bei Steuerelementen mit Titel legt die AutoSize-Eigenschaft fest, ob die Größe des Objekts automatisch so angepasst wird, dass der gesamte Titel angezeigt wird.

Bei Steuerelementen ohne Titel legt diese Eigenschaft fest, ob das Steuerelement automatisch so eingestellt wird, dass die im Steuerelement gespeicherten Daten angezeigt werden können. Wenn Sie beispielsweise für ein Kombinationsfeld-Steuerelement (ComboBox) die AutoSize-Eigenschaft auf True festlegen, wird die Breite der Anzeige automatisch so eingestellt, dass sie der Länge des aktuellen Textes entspricht.

Wird bei einem einzeiligen Textfeld-Steuerelement (TextBox) die AutoSize-Eigenschaft auf True festgelegt, wird die Breite der Anzeige automatisch so eingestellt, dass sie der Länge des Textes im Textfeld entspricht.

Bei einem mehrzeiligen Textfeld-Steuerelement (TextBox), das keinen Text enthält, bewirkt das Festlegen der AutoSize-Eigenschaft auf True, dass der Text automatisch im Spaltenformat angezeigt wird. Die Breite der Textspalte wird so eingestellt, dass sie dem breitesten Buchstaben der entsprechenden Schriftgröße Platz bietet. Die Höhe der Textspalte wird so eingestellt, dass der gesamte Text des Textfeld-Steuerelements (TextBox) angezeigt werden kann.

Bei einem mehrzeiligen Textfeld-Steuerelement (TextBox), das Text enthält, bewirkt die Einstellung der AutoSize-Eigenschaft auf True, dass das Textfeld-Steuerelement (TextBox) automatisch vertikal so vergrößert wird, dass der gesamte Text angezeigt werden kann. Die Breite des Textfeld-Steuerelements (TextBox) ändert sich nicht.

Anmerkung Wenn Sie die Größe eines Steuerelements manuell ändern, während die AutoSize-Eigenschaft auf True festgelegt ist, setzt die manuelle Änderung die im Vorfeld mit Hilfe von AutoSize festgelegte Größe außer Kraft.


 AutoTab-Eigenschaft

AutoTab-Eigenschaft

Gibt an, ob automatisch ein Tabulatorsprung erfolgt, wenn ein Benutzer die maximal zulässige Anzahl an Zeichen in ein Textfeld-Steuerelement (TextBox) oder in den Textfeldbereich eines Kombinationsfeld-Steuerelements (ComboBox) eingegeben hat.

Syntax

object.AutoTab [= Boolean]

Die Syntax der AutoTab-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob automatisch ein Tabulatorsprung erfolgt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Tabulatorsprung erfolgt.
False | Tabulatorsprung erfolgt nicht (Standard).

Hinweise

Mit der MaxLength-Eigenschaft wird die maximal zulässige Anzahl an Zeichen in einem Textfeld-Steuerelement (TextBox) oder in dem Textfeldbereich eines Kombinationsfeld-Steuerelements (ComboBox) festgelegt.

Die AutoTab-Eigenschaft für Textfeld-Steuerelemente (TextBox) oder Kombinationsfeld-Steuerelemente (ComboBox) kann in einem Formular festgelegt werden, indem eine festgelegte Anzahl von Zeichen eingegeben wird. Nachdem der Benutzer nun die maximal zulässige Anzahl an Zeichen eingegeben hat, springt der Fokus automatisch zum nächsten Steuerelement in der Aktivierreihenfolge. Wenn in einem Textfeld-Steuerelement (TextBox) beispielsweise die Warenbestandszahlen angezeigt werden, die immer fünf Zeichen lang sind, kann mit der MaxLength-Eigenschaft die maximal zulässige Anzahl an Zeichen festgelegt werden, die in das Textfeld-Steuerelement (TextBox) eingegeben werden können. Mit der AutoTab-Eigenschaft kann veranlasst werden, dass automatisch ein Tabulatorsprung zum nächsten Steuerelement in der Aktivierreihenfolge erfolgt, wenn der Benutzer fünf Zeichen eingegeben hat.


AutoWordSelect-Eigenschaft

Gibt an, ob als Basiseinheit beim Erweitern einer Markierung ein Wort oder ein einzelnes Zeichen verwendet wird.

Syntax

object.AutoWordSelect [= Boolean]

Die Syntax der AutoWordSelect-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt die Basiseinheit an, um die eine Markierung erweitert wird.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Als Basiseinheit wird ein Wort verwendet (Standard).
False | Als Basiseinheit wird ein Zeichen verwendet.

Bemerkungen

Mit der AutoWordSelect-Eigenschaft wird angegeben, wie die Markierung im Bearbeitungsbereich eines Textfeld-Steuerelements (TextBox) oder eines Kombinationsfeld-Steuerelements (ComboBox) erweitert oder verringert wird.

Wenn der Benutzer die Einfügemarke in der Mitte eines Wortes positioniert und die Markierung erweitert, während die AutoWordSelect-Eigenschaft auf True festgelegt ist, wird das gesamte Wort markiert.


 BackColor-Eigenschaft

BackColor-Eigenschaft

Legt die Hintergrundfarbe des Objekts fest.

Syntax

object.BackColor [= Long]

Die Syntax der BackColor-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein Wert oder eine Konstante, der bzw. die die Hintergrundfarbe eines Objekts bestimmt.

Einstellungen

Sie können jede beliebige ganze Zahl verwenden, die für eine gültige Farbe steht. Sie können eine Farbe jedoch auch angeben, indem Sie die RGB-Funktion mit den Farbkomponenten Rot, Grün und Blau verwenden. Der Wert jeder Farbkomponente entspricht einer ganzen Zahl im Bereich zwischen 0 und 255. Beispielsweise können Sie die Farbe Blaugrün mit der Ganzzahl 4966415 oder mit den Werten der RGB-Farbkomponenten 15, 200 und 75 angeben, wie im folgenden Beispiel gezeigt:

RGB(15,200,75)

Hinweise

Sie können die Hintergrundfarbe eines Objekts nur sehen, wenn die BackStyle-Eigenschaft auf 1 gesetzt ist.


 BackStyle-Eigenschaft

BackStyle-Eigenschaft

Gibt den Hintergrundstil für ein Objekt zurück oder legt diesen fest.

Syntax

object.BackStyle [=BackStyle]

Die Syntax der BackStyle-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
BackStyle | Optional. Gibt den Hintergrundstil des Steuerelements an.

Einstellungen

Die Einstellungen für BackStyle sind:

Wert | Beschreibung
0 | Der Hintergrund ist transparent.
1 | Der Hintergrund ist nicht transparent (Standard).

Bemerkungen

Mit der BackStyle-Eigenschaft bestimmen Sie, ob ein Steuerelement transparent ist. Wenn die BackStyle-Eigenschaft auf 1 festgelegt wurde, ist das Steuerelement nicht transparent, und Sie können nicht sehen, was sich auf dem Formular hinter dem Steuerelement befindet. Wenn die BackStyle-Eigenschaft auf 0 festgelegt wurde, können Sie durch das Steuerelement hindurchsehen und alles betrachten, was sich auf dem Formular hinter dem Steuerelement befindet. Die BackColor-Eigenschaft ist nur gültig, wenn die BackStyle-Eigenschaft auf 1 festgelegt wurde.

Anmerkung Die BackStyle-Eigenschaft wirkt sich nicht auf die Transparenz von Bitmapgrafiken aus. Wenn Sie eine Bitmapgrafik transparent formatieren möchten, müssen Sie einen Grafik-Editor wie beispielsweise Paintbrush verwenden. Es können jedoch nicht bei allen Steuerelementen transparente Bitmapgrafiken verwendet werden.


 Die Eigenschaften Bold, Italic, Size, StrikeThrough, Underline, Weight

Die Eigenschaften Bold, Italic, Size, StrikeThrough, Underline, Weight

Mit diesen Eigenschaften werden die visuellen Attribute von Text auf einem gedruckten oder auf einem am Bildschirm angezeigten Formular angegeben.

Syntax

object.Bold [= Boolean]

object.Italic [= Boolean]

object.Size [= Currency]

object.StrikeThrough [= Boolean]

object.Underline [= Boolean]

object.Weight [= Integer]

Die Syntax der Eigenschaften Bold, Italic, Size, StrikeThrough, Underline und Weight setzt sich jeweils folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiger Objektname.
Boolean | Optional. Gibt den Schriftstil an.
Currency | Optional. Eine Zahl, mit der die Schriftgröße angegeben wird.
Integer | Optional. Gibt den Schriftstil an.

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Der Text verfügt über das angegebene Attribut (d. h. über fett, kursiv, oder durchgestrichen formatierte Zeichen bzw. eine bestimmte Schriftgröße oder Zeichenstärke).
False | Der Text verfügt nicht über das angegebene Attribut (Standard).

Für die Weight-Eigenschaft können Werte zwischen 0 und 1000 angegeben werden. Bei Angabe von Null wählt das System die geeignetste Zeichenstärke aus. Ein Wert zwischen 1 und 1000 gibt eine spezifische Stärke vor, wobei 1 für den hellsten Typ und 1000 für den dunkelsten Typ steht.

Bemerkungen

Mit diesen Eigenschaften werden die visuellen Charakteristika von Text definiert. Die Bold-Eigenschaft bestimmt, ob Text normal oder fett formatiert ist. Die Italic-Eigenschaft legt fest, ob Text normal oder kursiv formatiert ist. Die Size-Eigenschaft bestimmt die Höhe des angezeigten Textes in Punkt. Die Underline-Eigenschaft gibt an, ob Text unterstrichen ist. Die StrikeThrough-Eigenschaft legt fest, ob Text durchgestrichen ist. Die Weight-Eigenschaft bestimmt die Helligkeit bzw. Dunkelheit der Schrift.

Das Erscheinungsbild der Schriftart auf dem Bildschirm und beim Druck unterscheidet sich möglicherweise, und zwar abhängig von Ihrem Computer und dem verwendeten Drucker. Wenn Sie eine Schriftart auswählen, die systemseitig nicht mit dem angegebenen Attribut angezeigt werden kann oder die nicht installiert ist, ersetzt Windows diese durch eine ähnliche Schriftart. Als Ersatzschriftart wird eine Schriftart gewählt, die der ursprünglich angeforderten Schriftart so ähnlich wie möglich ist.

Wenn Sie den Wert der Bold-Eigenschaft ändern, ändert sich auch der Wert von Weight. Legen Sie Bold auf True fest, wird Weight auf 700 festgelegt; legen Sie Bold auf False fest, wird Weight auf 400 festgelegt. Umgekehrt gilt, wenn Weight auf einen beliebigen Wert über 550 festgelegt wird, wird Bold auf True festgelegt, wird Weight auf 550 oder einen niedrigeren Wert festgelegt, wird Bold auf False festgelegt.

Die Standardpunktgröße für die Schriftart wird vom Betriebssystem bestimmt.


 BorderColor-Eigenschaft

BorderColor-Eigenschaft

Legt die Farbe des Rahmens eines Objekts fest.

Syntax

object.BorderColor [= Long]

Die Syntax der BorderColor-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein Wert, der die Farbe des Rahmens eines Objekts bestimmt.

Einstellungen

Sie können jede beliebige ganze Zahl verwenden, die für eine gültige Farbe steht. Sie können eine Farbe jedoch auch angeben, indem Sie die RGB-Funktion mit den Farbkomponenten Rot, Grün und Blau verwenden. Der Wert jeder Farbkomponente entspricht einer ganzen Zahl im Bereich zwischen 0 und 255. Beispielsweise können Sie die Farbe Blaugrün mit der Ganzzahl 4966415 oder mit den Werten der Rot-, Grün- und Blau-Farbkomponenten 15, 200 und 75 angeben, wie im folgenden Beispiel gezeigt:

RGB(15,200,75)

Hinweise

Damit die BorderColor-Eigenschaft verwendet werden kann, muss die BorderStyle-Eigenschaft auf einen anderen Wert als 0 festgelegt werden.

Die BorderStyle-Eigenschaft greift auf BorderColor zurück, um die Farben für die Objektrahmen zu definieren. Die SpecialEffect-Eigenschaft verwendet ausschließlich die Systemfarben, um die entsprechenden Rahmenfarben zu definieren. Bei Systemen, die unter Windows betrieben werden, können Sie die Einstellungen für die Systemfarben ändern, indem Sie in der Systemsteuerung auf das Symbol Anzeige klicken. Unter Windows NT 3.51 ändern Sie die Einstellungen für die Systemfarben, indem Sie in der Systemsteuerung auf das Symbol Farben klicken.


BorderStyle-Eigenschaft

Legt die Art des Rahmens fest, der für ein Steuerelement oder ein Formular verwendet wird.

Syntax

object.BorderStyle [=BorderStyle]

Die Syntax der BorderStyle-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
BorderStyle | Optional. Gibt den Stil des verwendeten Rahmens an.

Einstellungen

Die Einstellungen für BorderStyle sind:

Wert | Beschreibung
0 | Das Steuerelement verfügt nicht über eine sichtbare Rahmenlinie.
1 | Das Steuerelement verfügt über einen aus einer Linie bestehenden Rahmen (Standard).

Der Standardwert für ein Steuerelement vom Typ Kombinationsfeld (ComboBox), Rahmen (Frame), Bezeichnungsfeld (Label), Listenfeld (ListBox) oder Textfeld (TextBox) ist 0 (Kein). Der Standardwert für ein Anzeige-Steuerelement (Image) ist 1 (Einfach).

Bemerkungen

Bei einem Rahmen-Steuerelement (Frame) wird die BorderStyle-Eigenschaft ignoriert, wenn die SpecialEffect-Eigenschaft auf Kein festgelegt ist.

Sie können entweder die BorderStyle-Eigenschaft oder die SpecialEffect-Eigenschaft zum Angeben des Rahmens eines Steuerelements verwenden, jedoch nicht beide. Wenn Sie für eine dieser Eigenschaften einen anderen Wert als Null angeben, setzt das System den Wert der anderen Eigenschaft auf Null. Wenn Sie beispielsweise die BorderStyle-Eigenschaft auf 1 festlegen, setzt das System die SpecialEffect-Eigenschaft auf Null (Flat). Wenn Sie für die SpecialEffect-Eigenschaft einen anderen Wert als Null angeben, setzt das System BorderStyle auf Null.

Die BorderStyle-Eigenschaft greift auf BorderColor zurück, um die Farben der Rahmen zu definieren. Um die BorderColor-Eigenschaft verwenden zu können, muss die BorderStyle-Eigenschaft auf einen anderen Wert als 0 festgelegt werden.


 BoundColumn-Eigenschaft

BoundColumn-Eigenschaft

Bezeichnet die Datenquelle in einem mehrspaltigen Kombinationsfeld-Steuerelement (ComboBox) oder Listenfeld-Steuerelement (ListBox).

Syntax

object.BoundColumn [= Variant]

Die Syntax der BoundColumn-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Gibt an, wie der BoundColumn-Wert ausgewählt wird.

Einstellungen

Die Einstellungen für Variant sind:

Wert | Beschreibung
0 | Weist dem Steuerelement den Wert der ListIndex-Eigenschaft zu.
1 oder größer | Weist dem Steuerelement den Wert der angegebenen Spalte zu. Spalten werden von 1 aufsteigend nummeriert, wenn diese Eigenschaft verwendet wird (Standard).

Bemerkungen

Wenn der Benutzer eine Zeile in einem mehrspaltigen Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox) auswählt, bezeichnet die BoundColumn-Eigenschaft, welches Element aus dieser Zeile als Wert des Steuerelements gespeichert werden soll. Wenn jede Zeile beispielsweise 8 Elemente enthält und der Wert der BoundControl-Eigenschaft gleich 3 ist, speichert das System die Informationen in der dritten Spalte der aktuell markierten Zeile als Wert des Objekts.

Sie können für die Benutzer einen Datensatz anzeigen, jedoch unterschiedliche, hiermit verknüpfte Werte für das Objekt speichern, indem Sie die BoundColumn- und die TextColumn-Eigenschaften verwenden. Mit der TextColumn-Eigenschaft wird die Spalte bezeichnet, deren Daten in einem Kombinationsfeld-Steuerelement (ComboBox) oder Listenfeld-Steuerelement (ListBox) angezeigt werden. Die BoundColumn-Eigenschaft bezeichnet die Spalte mit den hiermit verknüpften Daten, die für das Steuerelement gespeichert wurden. Beispielsweise können Sie ein mehrspaltiges Listenfeld-Steuerelement (ListBox) einrichten, das die Namen der Feiertage in einer Spalte und die Daten der Feiertage in einer zweiten Spalte enthält. Wenn den Benutzern die Namen der Feiertage angezeigt werden sollen, geben Sie die erste Spalte als TextColumn an. Um die Daten der Feiertage zu speichern, geben Sie die zweite Spalte als BoundColumn an.

Ist das Steuerelement an eine Datenquelle gebunden, wird der Wert in der mit BoundColumn angegebenen Spalte in der Datenquelle gespeichert, die mit der ControlSource-Eigenschaft bezeichnet wird.

Der Wert von ListIndex ruft die Nummer der markierten Spalte ab. Wenn Sie beispielsweise wissen möchten, in welcher Zeile sich das markierte Element befinden, legen Sie die BoundControl-Eigenschaft auf 0 fest, um die Nummer der markierten Zeile als Wert des Steuerelements zuzuweisen. Wenn Sie auf eine Liste Bezug nehmen, deren Inhalt sich möglicherweise geändert haben kann, vergewissern Sie sich, dass Sie den aktuellen Wert abrufen, anstatt sich auf einen vorher gespeicherten Wert zu verlassen.

Bei den Eigenschaften Column, List und ListIndex wird jeweils eine auf Null basierende Nummerierung verwendet. Dies bedeutet, dass der Wert des ersten Elements (Spalte oder Zeile) immer Null ist, der Wert des zweiten Elements 1 usw. Wenn also die BoundControl-Eigenschaft auf 3 festgelegt ist, greifen Sie mit dem Ausdruck Column(2) auf den Wert zu, der in dieser Spalte gespeichert ist.


 Cancel-Eigenschaft

Cancel-Eigenschaft

Gibt einen Wert zurück, der anzeigt, ob ein Befehlsschaltflächen-Steuerelement (CommandButton) auf einem Formular als Schaltfläche Abbrechen verwendet wird, oder legt diesen Wert fest.

Syntax

object.Cancel [= Boolean]

Die Syntax der Cancel-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob es sich bei dem Objekt um die Schaltfläche Abbrechen handelt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Befehlsschaltflächen-Steuerelement (CommandButton) ist die Schaltfläche Abbrechen.
False | Das Befehlsschaltflächen-Steuerelement (CommandButton) ist nicht die Schaltfläche Abbrechen (Standard).

Bemerkungen

Ein Befehlsschaltflächen-Steuerelement (CommandButton) oder ein Objekt, das sich wie eine Befehlsschaltfläche verhält, kann als Standardbefehlsschaltfläche festgelegt werden. Bei OLE-Container-Steuerelementen steht die Cancel-Eigenschaft nur für die Objekte zur Verfügung, die sich spezifisch wie Befehlsschaltflächen verhalten.

Auf einem Formular kann sich jeweils immer nur ein Befehlsschaltflächen-Steuerelement (CommandButton) als Schaltfläche Abbrechen befinden. Wenn die Cancel-Eigenschaft für eine Befehlsschaltfläche auf True festgelegt wird, wird die Eigenschaft für alle anderen Objekte auf dem Formular auf False festgelegt. Wenn die Cancel-Eigenschaft eines Befehlsschaltflächen-Steuerelements (CommandButton) auf True festgelegt wurde und das Formular aktiv ist, kann der Benutzer die Befehlsschaltfläche betätigen, indem er entweder darauf klickt oder ESC drückt oder die EINGABETASTE betätigt, wenn die Schaltfläche den Fokus besitzt.

Ein typischer Verwendungszweck der Cancel-Eigenschaft ist, dem Benutzer die Möglichkeit zu geben, noch nicht festgelegte Änderungen abzubrechen und das Formular in seinem vorherigen Zustand wiederherzustellen.

Sie sollten in Betracht ziehen, die Schaltfläche Abbrechen zur Standardschaltfläche auf Formularen zu machen, auf denen Operationen möglich sind, die nicht mehr rückgängig gemacht werden können (wie beispielsweise ein Löschvorgang). Hierzu legen Sie sowohl die Cancel-Eigenschaft als auch die Default-Eigenschaft auf True fest.


CanPaste-Eigenschaft

Gibt an, ob die Zwischenablage Daten enthält, die vom Objekt unterstützt werden.

Syntax

object.CanPaste

Die Syntax der CanPaste-Eigenschaft besteht aus folgenden Bestandteilen:

Bestandteil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Zurückgegebene Werte

Die CanPaste-Eigenschaft gibt folgende Werte zurück:

Wert | Beschreibung
True | Das Objekt kann Informationen empfangen, die aus der Zwischenablage eingefügt werden.
False | Das Objekt kann keine Informationen empfangen, die aus der Zwischenablage eingefügt werden.

Hinweise

CanPaste ist schreibgeschützt.

Wenn die Daten in der Zwischenablage ein Format aufweisen, das vom Objekt nicht unterstützt wird, hat die CanPaste-Eigenschaft den Wert False. Wenn Sie zum Beispiel eine Bitmap in ein Objekt einfügen möchten, das nur Text unterstützt, hat CanPaste den Wert False.


CanRedo-Eigenschaft

Zeigt an, ob der letzte Befehl Rückgängig widerrufen werden kann.

Syntax

object.CanRedo

Die CanRedo-Eigenschaft besteht aus folgenden Bestandteilen:

Bestandteil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Zurückgegebene Werte

Die CanRedo-Eigenschaft gibt folgende Werte zurück:

Wert | Beschreibung
True | Der letzte Befehl Rückgängig ist umkehrbar.
False | Der letzte Befehl Rückgängig ist nicht umkehrbar.

Hinweise

CanRedo ist schreibgeschützt.

Der Befehl Wiederholen nimmt einen Befehl Rückgängig zurück, es wird jedoch nicht notwendigerweise die letzte Aktion wiederholt, die der Benutzer ausgeführt hat.


CanUndo-Eigenschaft

Zeigt an, ob die letzte Benutzeraktion rückgängig gemacht werden kann.

Syntax

object.CanUndo

Die Syntax der CanUndo-Eigenschaft besteht aus folgenden Bestandteilen:

Bestandteil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Rückgabewerte

Die Syntax für die CanUndo-Eigenschaft hat folgende Rückgabewerte:

Wert | Beschreibung
True | Die letzte Benutzeraktion kann rückgängig gemacht werden.
False | Die letzte Benutzeraktion kann nicht rückgängig gemacht werden

Hinweise

CanUndo ist schreibgeschützt.

Viele Benutzeraktionen können mit dem Befehl Rückgängig rückgängig gemacht werden. Die CanUndo-Eigenschaft zeigt an, ob die letzte Benutzeraktion rückgängig gemacht werden kann.


Caption-Eigenschaft

Ein erläuternder Text, der an einem Objekt angezeigt wird, um dieses zu bezeichnen oder zu beschreiben.

Syntax

object.Caption [= String]

Die Syntax der Caption-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Ein Ausdruck vom Typ String, der als der Text ausgewertet wird, der in der Titelzeile angezeigt wird.

Einstellungen

Die Standardeinstellung für ein Steuerelement ist ein eindeutiger Name, der auf dem Typ des Steuerelements basiert. Beispielsweise ist "Befehlsschaltfläche1" die Standardtitelzeile für die erste Befehlsschaltfläche auf einem Formular.

Hinweise

Der Text bezeichnet oder beschreibt das Objekt, mit dem er verknüpft ist. Für Schaltflächen und Bezeichnungsfelder gibt die Caption-Eigenschaft den Text an, der im Steuerelement angezeigt wird. Für Page- und Tab-Objekte gibt sie den Text an, der auf der Registerkarte angezeigt wird. Für das Explorer-Objekt gibt sie den Text an, der in dessen Titelleiste angezeigt wird.

Ist die Titelzeile eines Steuerelements zu lang, wird sie abgeschnitten. Wenn die Titelzeile des Formulars zu lang für die Titelleiste ist, wird der Titel mit einer Auslassung (…) angezeigt.

Mit der ForeColor-Eigenschaft des Steuerelements wird die Farbe des Textes in der Titelzeile bestimmt.

Tipp Ist für ein Steuerelement sowohl die Caption- als auch die AutoSize-Eigenschaft aktiviert, wird, wenn AutoSize auf True festgelegt wird, die Größe des Steuerelements automatisch so angepasst, dass die gesamte Titelzeile angezeigt werden kann.


 Die Eigenschaften ClientHeight, ClientLeft, ClientTop und ClientWidth

Die Eigenschaften ClientHeight, ClientLeft, ClientTop und ClientWidth

Mit diesen Eigenschaften werden die Abmessungen und die Position der Anzeige eines Register-Steuerelements (TabStrip) definiert.

Syntax

object.ClientHeight [ =Single]

object.ClientLeft [ =Single]

object.ClientTop [ =Single]

object.ClientWidth [ =Single]

Die Syntax der Eigenschaften ClientHeight, ClientLeft, ClientTop und ClientWidth setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Gibt für die Eigenschaften ClientHeight und ClientWidth die Höhe bzw. Breite der Anzeige in Punkt an. Für die Eigenschaften ClientLeft und ClientTop gibt dieser Wert den Abstand vom oberen bzw. linken Rand des Containers des Register-Steuerelements (TabStrip) an.

Bemerkungen

Während der Laufzeit speichern die Eigenschaften ClientLeft, ClientTop, ClientHeight und ClientWidth automatisch die Koordinaten und Abmessungen des internen Bereichs des Register-Steuerelements (TabStrip), der gemeinsam mit Objekten im Register-Steuerelement genutzt wird.


 Column-Eigenschaft

Column-Eigenschaft

Gibt ein oder mehrere Elemente in einem Listenfeld-Steuerelement (ListBox) oder einem Kombinationsfeld-Steuerelement (ComboBox) an.

Syntax

object.Column( column, row ) [= Variant]

Die Syntax der Column-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
column | Optional. Eine ganze Zahl im Bereich zwischen 0 und der Zahl, die sich aus der Gesamtzahl der Spalten minus 1 berechnet.
row | Optional. Eine ganze Zahl im Bereich zwischen 0 und der Zahl, die sich aus der Gesamtzahl der Zeilen minus 1 berechnet.
Variant | Optional. Gibt einen einzelnen Wert, eine Spalte mit Werten oder einen zweidimensionales Array an, der, die oder das in ein Listenfeld-Steuerelement (ListBox) oder ein Kombinationsfeld-Steuerelement (ComboBox) geladen werden soll.

Einstellungen

Wenn Werte sowohl aus Spalten als auch aus Zeilen angegeben werden, liest oder schreibt die Column-Eigenschaft ein spezifisches Element.

Wenn nur der Wert aus der Spalte angegeben wird, liest oder schreibt die Column-Eigenschaft die angegebene Spalte in der aktuellen Zeile des Objekts. Beispielsweise liest oder schreibt MyListBox.Column(3) die dritte Spalte in MyListBox.

Die Column-Eigenschaft gibt das Argument Variant basierend auf der Cursorposition zurück. Basiert der Wert für Variant auf einem integrierten Cursor (beispielsweise wenn die AddItem-Methode verwendet wird), wird ein Wert vom Typ String zurückgegeben. Basiert der Wert für Variant auf einem externen Cursor, übernimmt Variant nicht die mit den Daten verbundenen Formatierungen.

Bemerkungen

Sie können die Column-Eigenschaft verwenden, um den Inhalt eines Kombinationsfeld-Steuerelements (ComboBox) oder eines Listenfeld-Steuerelements (ListBox) einem anderen Steuerelement, z. B. einem Textfeld (TextBox), zuzuweisen. Beispielsweise können Sie die ControlSource-Eigenschaft eines Textfeld-Steuerelements (TextBox) auf den Wert in der zweiten Spalte eines Listenfeld-Steuerelements (ListBox) festlegen.

Trifft der Benutzer keine Auswahl, wenn Sie einen Bezug zu einer Spalte in einem Kombinationsfeld-Steuerelement (ComboBox) oder einem Listenfeld-Steuerelement (ListBox) hergestellt haben, wird die Column-Eigenschaft auf Null festgelegt. Sie können das Formular auf diese Bedingung hin prüfen, indem Sie die IsNull-Funktion verwenden.

Sie können die Column-Eigenschaft auch verwenden, um einen zweidimensionalen Array mit Werten vollständig in ein Steuerelement zu kopieren. Mit dieser Syntax können Sie schnell eine Liste mit Auswahlmöglichkeiten laden, anstatt jedes Element der Liste mit Hilfe von AddItem einzeln zu laden.

Anmerkung Beim Kopieren von Daten aus einem zweidimensionalen Array stellt die Column-Eigenschaft den Inhalt des Arrays im Steuerelement so um, dass der Inhalt von ListBox1.Column(X, Y) der gleiche wie der von MyArray(Y, X) ist. Sie können auch die List-Eigenschaft verwenden, wenn Sie einen Array ohne Umstellung kopieren möchten.


 ColumnCount-Eigenschaft

ColumnCount-Eigenschaft

Gibt die Anzahl der Spalten an, die in einem Listenfeld-Steuerelement (ListBox) oder einem Kombinationsfeld-Steuerelement (ComboBox) angezeigt werden.

Syntax

object.ColumnCount [= Long]

Die Syntax der ColumnCount-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Gibt die Anzahl der Spalten an, die angezeigt werden sollen.

Bemerkungen

Wenn Sie die ColumnCount-Eigenschaft für ein Listenfeld-Steuerelement (ListBox) auf einem Belegschaftsformular auf 3 festlegen, können sich in einer Spalte die Nachnamen befinden, in einer weiteren die Vornamen und in der dritten die ID-Nummern der Belegschaftsmitglieder.

Wenn Sie die ColumnCount-Eigenschaft auf 0 festlegen, werden keine Spalten angezeigt, legen Sie sie auf -1 fest, werden alle verfügbaren Spalten angezeigt. Bei einer ungebundenen Datenquelle ist die Spaltenanzahl auf 10 Spalten (0 bis 9) begrenzt.

Sie können die ColumnWidths-Eigenschaft verwenden, um die Breite der Spalten festzulegen, die in einem Steuerelement angezeigt werden.


ColumnHeads-Eigenschaft

Zeigt eine einzelne Zeile mit Spaltenüberschriften für Listenfelder, Kombinationsfelder und Objekte an, bei denen Spaltenüberschriften verwendet werden können.

Syntax

object.ColumnHeads [= Boolean]

Die Syntax der ColumnHeads-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob Spaltenüberschriften angezeigt werden.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Spaltenüberschriften werden angezeigt.
False | Spaltenüberschriften werden nicht angezeigt (Standard).

Überschriften in Kombinationsfeld-Steuerelementen (ComboBox) werden nur dann angezeigt, wenn die Liste geöffnet wird.

Bemerkungen

Wenn das System vorgibt, dass die Datenelemente der ersten Zeile als Spaltenüberschriften verwendet werden sollen, können diese nicht markiert werden.


 ColumnWidths-Eigenschaft

ColumnWidths-Eigenschaft

Gibt die Breite jeder Spalte in einem mehrspaltigen Kombinationsfeld-Steuerelement (ComboBox) oder Listenfeld-Steuerelement (ListBox) an.

Syntax

object.ColumnWidths [= String]

Die Syntax der ColumnWidths-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Legt die Spaltenbreite in Punkt fest. Die Einstellung -1 oder ein leeres Feld resultieren in einer berechneten Breite. Mit der Breite 0 wird die Spalte ausgeblendet. Um eine andere Maßeinheit anzugeben, geben Sie die Maßeinheit zusammen mit dem Wert ein. Mit einem Wert größer Null wird die Breite der Spalte explizit angegeben.

Einstellungen

Zum Trennen der Spalteneinträge verwenden Sie Semikolons (;) als Listentrennzeichen. Oder verwenden Sie das Listentrennzeichen, das in den Ländereinstellungen der Windows-Systemsteuerung angegeben ist.

Beliebige oder alle Einstellungen für die ColumnWidths-Eigenschaft können leer bleiben. Sie erzeugen eine leere Einstellung, indem Sie ein Listentrennzeichen ohne voranstehenden Wert eingeben.

Wenn Sie auf der Eigenschaftenseite -1 angeben, ist der in der Eigenschaftenseite angezeigte Wert leer.

Zur Berechnung der Spaltenbreite wird, wenn der Wert der ColumnWidths-Eigenschaft -1 beträgt oder leer ist, die verfügbare Breite des Steuerelements zu gleichen Teilen unter allen Spalten der Liste aufgeteilt. Wenn die Summe der angegebenen Spaltenbreiten die Breite des Steuerelements übersteigt, wird die Liste innerhalb des Steuerelements links ausgerichtet, und eine oder mehrere der außen rechts befindlichen Spalten werden nicht angezeigt. Die Benutzer können in der Liste mit Hilfe der horizontalen Bildlaufleiste blättern und so die rechts außen befindlichen Spalten anzeigen.

Die minimal berechnete Spaltenbreite beträgt 72 Punkt (1 Zoll). Um noch schmalere Spalten zu erzeugen, müssen Sie die Breite explizit angeben.

Sofern nicht anders angegeben, werden die Spaltenbreiten in Punkt gemessen. Wenn Sie eine andere Maßeinheit verwenden möchten, geben Sie die gewünschte Maßeinheit zusammen mit dem Wert ein. Im folgenden Beispiel werden Spaltenbreiten in verschiedenen Maßeinheiten angegeben, und es wird erläutert, wie die verschiedenen Einstellungen in ein dreispaltiges Listenfeld der Breite 4 Zoll (10,16 cm) passen.

Einstellung | Effekt
90;72;90 | Die erste Spalte ist 90 Punkt (1,25 Zoll) breit, die zweite 72 Punkt (1 Zoll) und die dritte 90 Punkt.
6 cm;0;6 cm | Die erste Spalte ist 6 Zentimeter breit, die zweite ist ausgeblendet, die dritte ist wiederum 6 Zentimeter breit. Da die dritte Spalte nur teilweise sichtbar ist, wird die horizontale Bildlaufleiste angezeigt.
1,5 in;0;2,5 in | Die erste Spalte ist 1,5 Zoll breit, die zweite ist ausgeblendet, die dritte ist wiederum 2,5 Zoll breit.
2 in;;2 in | Die erste Spalte ist 2 Zoll breit, die zweite 1 Zoll (Standard), die dritte ist wiederum 2 Zoll breit. Da von der dritten Spalte nur die Hälfte sichtbar ist, wird eine horizontale Bildlaufleiste angezeigt.
(Leer) | Alle drei Spalten haben die gleiche Breite (1,33 Zoll).

Bemerkungen

In einem Kombinationsfeld-Steuerelement (ComboBox) zeigt das System die Spalte im Textfeldbereich des Steuerelements an, die mit der TextColumn-Eigenschaft angegeben wird. Wird die TextColumn-Eigenschaft auf -1 festgelegt, wird die erste Spalte angezeigt, die über einen ColumnWidths-Wert größer 0 verfügt.


 ControlTipText-Eigenschaft

ControlTipText-Eigenschaft

Gibt den Text an, der angezeigt wird, wenn der Benutzer ohne zu klicken mit dem Mauszeiger kurz auf ein Steuerelement zeigt.

Syntax

object.ControlTipText [= String]

Die Syntax der ControlTipText-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Gibt den Text an, der angezeigt wird, wenn der Benutzer mit dem Mauszeiger auf ein Steuerelement zeigt.

Bemerkungen

Mit der ControlTipText-Eigenschaft können Sie dem Benutzer in einem aktiven Formular Tipps zu einem Steuerelement geben. Die Eigenschaft kann während der Entwurfszeit festgelegt werden, der Text wird jedoch nur während der Laufzeit am Steuerelement angezeigt.

Der Standardwert für eine ControlTipText-Eigenschaft ist eine leere Zeichenfolge. Wird der Wert für die ControlTipText-Eigenschaft auf eine leere Zeichenfolge festgelegt, ist für dieses Steuerelement kein Tipp verfügbar.


 Count-Eigenschaft

Count-Eigenschaft

Gibt die Anzahl der Objekte in einer Auflistung zurück.

Syntax

object.Count

Die Syntax der Count-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Bemerkungen

Die Count-Eigenschaft ist schreibgeschützt.

Beachten Sie, dass der Indexwert für die erste Seite oder Registerkarte einer Auflistung 0 ist, der Wert für die zweite Seite oder Registerkarte 1 usw. Wenn beispielsweise ein Multiseiten-Steuerelement (MultiPage) zwei Seiten enthält, sind die Indizes der Seiten 0 und 1, und der Wert von Count ist 2.


CurLine-Eigenschaft

Bestimmt die aktuelle Zeile eines Steuerelements.

Syntax

object.CurLine [= Long]

Die Syntax der CurLine-Eigenschaft besteht aus folgenden Bestandteilen:

Bestandteil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Bestimmt die aktuelle Zeile eines Steuerelements.

Hinweise

Die aktuelle Zeile eines Steuerelements ist die Zeile, in der sich die Einfügemarke befindet. Die Nummer der ersten Zeile ist 0.

Die CurLine-Eigenschaft ist gültig, wenn das Steuerelement den Fokus hat.


 CurTargetX-Eigenschaft

CurTargetX-Eigenschaft

Ruft die bevorzugte horizontale Position der Einfügemarke in einem mehrzeiligen Steuerelement vom Typ Textfeld (TextBox) oder Kombinationsfeld (ComboBox) ab.

Syntax

object.CurTargetX

Die Syntax der CurTargetX-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Rückgabewerte

Die CurTargetX-Eigenschaft ruft die bevorzugte Position, gemessen in Himetric-Einheiten, ab. Ein Himetric ist gleich 0,0001 Meter.

Bemerkungen

Die Zielposition ist relativ zum linken Rand des Steuerelements. Ist die Länge einer Zeile geringer als der Wert der CurTargetX-Eigenschaft, können Sie die Einfügemarke am Ende der Zeile positionieren. Der Wert der CurTargetX-Eigenschaft ändert sich, wenn der Benutzer die Einfügemarke positioniert oder wenn die CurX-Eigenschaft festgelegt wird. CurTargetX ist schreibgeschützt.

Der Rückgabewert ist gültig, wenn das Objekt den Fokus hat.

Sie können die Eigenschaften CurTargetX und CurX verwenden, um die Einfügemarke zu verschieben, wenn der Benutzer im Inhalt eines mehrzeiligen Textfeld-Steuerelements (TextBox) oder Kombinationsfeld-Steuerelements (ComboBox) blättert. Verschiebt der Benutzer beim Blättern im Inhalt des Objektes die Einfügemarke in eine andere Textzeile, gibt CurTargetX die bevorzugte Position der Einfügemarke an. CurX wird auf diesen Wert festgelegt, wenn die Textzeile länger als der Wert von CurTargetX ist. Andernfalls wird CurX auf das Ende der Textzeile festgelegt.


 CurX-Eigenschaft

CurX-Eigenschaft

Gibt die aktuelle horizontale Position der Einfügemarke in einem mehrzeiligen Steuerelement vom Typ Textfeld (TextBox) oder Kombinationsfeld (ComboBox) an.

Syntax

object.CurX [= Long]

Die Syntax der CurX-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Gibt die aktuelle Position gemessen in Himetrics an. Ein Himetric ist gleich 0,0001 Meter.

Bemerkungen

Die CurX-Eigenschaft kann bei mehrzeiligen Steuerelementen vom Typ Textfeld (TextBox) oder Kombinationsfeld (ComboBox) verwendet werden. Der Rückgabewert ist gültig, wenn das Objekt den Fokus hat.

Sie können die Eigenschaften CurTargetX und CurX verwenden, um die Einfügemarke zu positionieren, wenn der Benutzer im Inhalt eines mehrzeiligen Textfeld-Steuerelements (TextBox) oder Kombinationsfeld-Steuerelements (ComboBox) blättert. Verschiebt der Benutzer beim Blättern im Inhalt des Objektes die Einfügemarke in eine andere Textzeile, gibt CurTargetX die bevorzugte Position der Einfügemarke an. CurX wird auf diesen Wert festgelegt, wenn die Textzeile länger als der Wert von CurTargetX ist. Andernfalls wird CurX auf das Ende der Textzeile festgelegt.


 Cycle-Eigenschaft

Cycle-Eigenschaft

Gibt die Aktion an, die erfolgt, wenn der Benutzer das letzte Steuerelement in einem Rahmen-Steuerelement (Frame) oder auf einem Page-Objekt verlässt.

Syntax

object.Cycle [=Cycle]

Die Syntax der Cycle-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Cycle | Optional. Gibt an, ob das Rundschalten Steuerelemente umfasst, die in einem Rahmen-Steuerelement (Frame) oder Multiseiten-Steuerelement (MultiPage) verschachtelt sind.

Einstellungen

Die Einstellungen für Cycle sind:

Wert | Beschreibung
0 | Ermöglicht ein Rundschalten durch die Steuerelemente auf dem Formular und die Steuerelemente in den Rahmen- (Frame) und Multiseiten-Steuerelementen (MultiPage), die aktuell auf dem Formular angezeigt werden.
2 | Ermöglicht ein Rundschalten durch die Steuerelemente auf dem Formular, im Rahmen- (Frame) oder Multiseiten-Steuerelement (MultiPage). Der Fokus bleibt innerhalb des Formulars, des Rahmen- (Frame) oder Multiseiten-Steuerelements (MultiPage), bis er explizit auf ein Steuerelement außerhalb des Formulars, des Rahmen- (Frame) oder Multiseiten-Steuerelements (MultiPage) gesetzt wird.

Wenn Sie einen Wert für die Cycle-Eigenschaft angeben, der keine ganze Zahl ist, wird dieser zur nächsten ganzen Zahl aufgerundet.

Hinweise

Die Aktivierreihenfolge bezeichnet die Reihenfolge, in der Steuerelemente den Fokus erhalten, wenn sich der Benutzer per TAB-TASTE durch ein Formular oder ein Unterformular bewegt. Die Cycle-Eigenschaft bestimmt die Aktion, die vollzogen wird, wenn ein Benutzer auf dem letzten Steuerelement in der Aktivierreihenfolge die TAB-TASTE betätigt.

Mit der Einstellung 0 wird der Fokus zum ersten Steuerelement des nächsten Rahmen- (Frame) oder Multiseiten-Steuerelements (MultiPage) auf dem Formular verschoben, wenn der Benutzer auf dem letzten Steuerelement in der Aktivierreihenfolge die TAB-TASTE betätigt.

Mit der Einstellung 2 wird der Fokus zum ersten Steuerelement im gleichen Formular, Rahmen- (Frame) oder Multiseiten-Steuerelement (MultiPage) verschoben, wenn der Benutzer auf dem letzten Steuerelement in der Aktivierreihenfolge die TAB-TASTE drückt.


 Default-Eigenschaft

Default-Eigenschaft

Legt das standardmäßige Befehlsschaltflächen-Steuerelement (CommandButton) auf einem Formular fest.

Syntax

object.Default [= Boolean]

Die Syntax der Default-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Legt fest, ob es sich bei der Befehlsschaltfläche um die standardmäßige Befehlsschaltfläche handelt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Befehlsschaltflächen-Steuerelement (CommandButton) ist die standardmäßige Schaltfläche.
False | Das Befehlsschaltflächen-Steuerelement (CommandButton) ist nicht die standardmäßige Schaltfläche (Standard).

Bemerkungen

Ein Befehlsschaltflächen-Steuerelement (CommandButton) oder ein Objekt, das sich wie eine Befehlsschaltfläche verhält, kann als standardmäßige Befehlsschaltfläche festgelegt werden. Auf einem Formular kann jeweils immer nur ein Objekt als standardmäßige Befehlsschaltfläche definiert werden. Wenn die Default-Eigenschaft für ein Objekt auf True festgelegt wird, wird diese Eigenschaft für alle anderen Objekte auf dem Formular automatisch auf False festgelegt.

Zum Auswählen der standardmäßigen Befehlsschaltfläche auf einem aktiven Formular kann der Benutzer auf die Schaltfläche klicken, oder er kann die EINGABETASTE drücken, wenn kein anderes Befehlsschaltflächen-Steuerelement (CommandButton) den Fokus hat.

Die Default-Eigenschaft wird für OLE-Container-Steuerelemente zur Verfügung gestellt, die speziell als Befehlsschaltflächen-Steuerelemente (CommandButton) agieren.

Tipp Sie sollten in Betracht ziehen, die Schaltfläche Abbrechen zur Standardschaltfläche auf Formularen zu machen, auf denen Operationen möglich sind, die nicht mehr rückgängig gemacht werden können (wie beispielsweise ein Löschvorgang). Hierzu legen Sie sowohl die Default-Eigenschaft als auch die Cancel-Eigenschaft auf True fest.


Delay-Eigenschaft

Legt die Verzögerung bei einem Drehfeld-Steuerelement (SpinButton) oder einem Bildlaufleisten-Steuerelement (ScrollBar) fest.

Syntax

object.Delay [= Long]

Die Syntax der Delay-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Die Verzögerung in Millisekunden zwischen Ereignissen.

Bemerkungen

Die Delay-Eigenschaft beeinflusst die Zeitspanne zwischen aufeinander folgenden SpinUp-, SpinDown- und Change-Ereignissen, die erzeugt werden, wenn der Benutzer auf ein Drehfeld-Steuerelement (SpinButton) oder ein Bildlaufleisten-Steuerelement (ScrollBar) klickt und die Maustaste gedrückt hält. Das erste Ereignis tritt unverzüglich ein. Die Verzögerung bis zum zweiten Eintreten des Ereignisses ist der für die Delay-Eigenschaft angegebene Wert multipliziert mit 5. Diese anfängliche Verzögerung vereinfacht die Generierung eines einzelnen Ereignisses anstelle eines Ereignisstroms.

Nach der anfänglichen Verzögerung ist das Intervall zwischen den Ereignissen gleich dem für die Delay-Eigenschaft angegebenen Wert.

Der Standardwert für Delay beträgt 50 Millisekunden. Dies bedeutet, dass das Objekt das erste Ereignis nach 250 Millisekunden (5 Mal der angegebene Wert) und alle nachfolgenden Ereignisse nach jeweils 50 Millisekunden initiiert.


DragBehavior-Eigenschaft

Gibt an, ob das System die Drag/Drop-Funktion für ein Textfeld-Steuerelement (TextBox) oder ein Kombinationsfeld-Steuerelement (ComboBox) aktiviert.

Syntax

object.DragBehavior [=DragBehavior]

Die Syntax der DragBehavior-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
DragBehavior | Optional. Gibt an, ob die Drag/Drop-Funktion aktiviert ist.

Einstellungen

Die Einstellungen für DragBehavior sind:

Wert | Beschreibung
0 | Drag/Drop-Aktion nicht zulässig (Standard).
1 | Drag/Drop-Aktion zulässig.

Bemerkungen

Ist die DragBehavior-Eigenschaft aktiviert, kann markierter Text in einem Textfeld-Steuerelement (TextBox) oder Kombinationsfeld-Steuerelement (ComboBox) per Drag&Drop bearbeitet werden. Ist die DragBehavior-Eigenschaft deaktiviert, wird Text in einem Textfeld-Steuerelement (TextBox) oder einem Kombinationsfeld-Steuerelement (ComboBox) durch Ziehen mit der Maus markiert.

Im Dropdown-Bereich eines Kombinationsfeld-Steuerelements (ComboBox) werden Drag/Drop-Prozesse ebenso wenig unterstützt wie das Markieren von Listenelementen innerhalb des Textes.

Die DragBehavior-Eigenschaft hat keine Auswirkungen auf ein Kombinationsfeld-Steuerelement (ComboBox), dessen Style-Eigenschaft auf 2 festgelegt wurde.

Anmerkung Sie können die Effekte der EnterFieldBehavior-Eigenschaft und der DragBehavior-Eigenschaft kombinieren, um so eine große Anzahl an Textfeldstilen zu erstellen.


DropButtonStyle-Eigenschaft

Gibt das Symbol an, das auf der Schaltfläche Dropdown in einem Kombinationsfeld-Steuerelement (ComboBox) angezeigt wird.

Syntax

object.DropButtonStyle [=DropButtonStyle]

Die Syntax der DropButtonStyle-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
DropButtonStyle | Optional. Die Darstellung auf der Schaltfläche Dropdown.

Einstellungen

Die Einstellungen für DropButtonStyle sind:

Wert | Beschreibung
0 | Zeigt eine einfache Schaltfläche ohne Symbol an.
1 | Zeigt einen nach unten weisenden Pfeil an (Standard).
2 | Zeigt eine Ellipse (…) an.
3 | Zeigt eine horizontale Linie ähnlich einem Unterstrich an.

Bemerkungen

Die empfohlene Einstellung für das Anzeigen von Elementen in einer Liste ist 1.


 Enabled-Eigenschaft

Enabled-Eigenschaft

Gibt an, ob ein Steuerelement den Fokus erhalten und auf benutzerseitig generierte Ereignisse reagieren kann.

Syntax

object.Enabled [= Boolean]

Die Syntax der Enabled-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Objekt auf benutzerseitig generierte Ereignisse reagieren kann.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Steuerelement kann den Fokus erhalten und auf benutzerseitig generierte Ereignisse reagieren, und es kann via Code darauf zugegriffen werden (Standard).
False | Der Benutzer kann das Steuerelement nicht per Mausklick, Tastenkombinationen, Zugriffstasten oder Abkürzungstasten aktivieren oder deaktivieren. Auf das Steuerelement kann jedoch via Code zugegriffen werden.

Bemerkungen

Verwenden Sie die Enabled-Eigenschaft, um Steuerelemente zu aktivieren oder zu deaktivieren. Ein deaktiviertes Steuerelement ist im Gegensatz zu aktivierten Steuerelementen abgeblendet dargestellt. Außerdem ist, wenn sich im Steuerelement eine Bitmapgrafik befindet, diese Bitmapgrafik immer abgeblendet, wenn das Steuerelement abgeblendet ist. Wenn für ein Anzeige-Steuerelement (Image) die Enabled-Eigenschaft auf False festgelegt wurde, initiiert das Steuerelement zwar keine Ereignisse, wird jedoch auch nicht abgeblendet dargestellt.

Die Enabled- und Locked-Eigenschaften können kombiniert werden, um die folgende Effekte zu erzielen:

  • Sind die Eigenschaften Enabled und Locked beide auf True festgelegt, kann das Steuerelement den Fokus erhalten und wird auf dem Formular normal dargestellt (nicht abgeblendet). Der Benutzer kann Daten im Steuerelement zwar kopieren, jedoch nicht bearbeiten.

  • Sind die Eigenschaften Enabled und Locked beide auf False festgelegt, kann das Steuerelement den Fokus erhalten und wird auf dem Formular normal dargestellt. Der Benutzer kann Daten im Steuerelement kopieren und bearbeiten.

  • Ist die Enabled-Eigenschaft auf False und die Locked-Eigenschaft auf True festgelegt, kann das Steuerelement nicht den Fokus erhalten und wird auf dem Formular abgeblendet dargestellt. Der Benutzer kann Daten im Steuerelement weder kopieren noch bearbeiten.

  • Sind die Eigenschaften Enabled und Locked beide auf False festgelegt, kann das Steuerelement nicht den Fokus erhalten und wird auf dem Formular abgeblendet dargestellt. Der Benutzer kann Daten im Steuerelement weder kopieren noch bearbeiten.

Sie können die Einstellungen für die Eigenschaften Enabled und TabStop kombinieren, um zu verhindern, dass ein Benutzer eine Befehlsschaltfläche mit der TAB-TASTE aktiviert, wobei diese durch Klicken mit der Maus noch immer aktivierbar ist. Legen Sie die TabStop-Eigenschaft auf False fest, bedeutet dies, dass die Befehlsschaltfläche nicht Teil der Aktivierreihenfolge ist. Ist die Enabled-Eigenschaft jedoch auf True festgelegt, kann der Benutzer die Befehlsschaltfläche noch immer per Mausklick aktivieren, solange die TakeFocusOnClick-Eigenschaft auf True festgelegt ist.

Begibt sich der Benutzer per TAB-TASTE in ein aktiviertes Multiseiten- (MultiPage) oder Register-Steuerelement (TabStrip), erhält die erste Seite oder die erste Registerkarte im Steuerelement den Fokus. Ist die erste Seite oder die erste Registerkarte eines Multiseiten- (MultiPage) oder Register-Steuerelements (TabStrip) deaktiviert, erhält die erste aktivierte Seite oder das erste aktivierte Register den Fokus. Sind alle Seiten oder Register in einem Multiseiten- (MultiPage) oder Register-Steuerelement (TabStrip) deaktiviert, ist das Steuerelement deaktiviert und kann daher den Fokus nicht erhalten.

Wenn ein Rahmen-Steuerelement (Frame) deaktiviert ist, sind alle hierin enthaltenen Steuerelemente deaktiviert.

Durch Klicken auf ein deaktiviertes Listenfeld-Steuerelement (ListBox) wird nicht das Click-Ereignis ausgelöst.


 EnterFieldBehavior-Eigenschaft

EnterFieldBehavior-Eigenschaft

Gibt das Markierungsverhalten an, wenn in ein Textfeld-Steuerelement (TextBox) oder ein Kombinationsfeld-Steuerelement (ComboBox) gewechselt wird.

Syntax

object.EnterFieldBehavior [=EnterFieldBehavior]

Die Syntax der EnterFieldBehavior-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
EnterFieldBehavior | Optional. Das gewünschte Markierungsverhalten.

Einstellungen

Die Einstellungen für EnterFieldBehavior sind:

Wert | Beschreibung
0 | Markiert den gesamten Inhalt des Bearbeitungsbereichs beim Wechsel zum Steuerelement (Standard).
1 | Lässt die Markierung unverändert. Visuell wird hierbei die Markierung verwendet, die beim letzten Mal wirksam war, als das Steuerelement aktiviert war.

Bemerkungen

Mit der EnterFieldBehavior-Eigenschaft wird die Art und Weise gesteuert, wie Text markiert wird, wenn der Benutzer mit Hilfe der TAB-TASTE zu einem Steuerelement wechselt, und nicht die, die auftritt, wenn das Steuerelement den Fokus als Ergebnis der SetFocus-Methode erhält. Gemäß der SetFocus-Methode wird der Inhalt des Steuerelements nicht markiert, und die Einfügemarke wird hinter dem letzten Zeichen im Bearbeitungsbereich des Steuerelements angezeigt.

Anmerkung Sie können die Effekte der EnterFieldBehavior-Eigenschaft und der DragBehavior-Eigenschaft kombinieren, um so eine große Anzahl an Textfeldstilen zu erstellen.


 EnterKeyBehavior-Eigenschaft

EnterKeyBehavior-Eigenschaft

Definiert den Effekt, der sich durch das Drücken der EINGABETASTE in einem Textfeld-Steuerelement (TextBox) ergibt.

Syntax

object.EnterKeyBehavior [= Boolean]

Die Syntax der EnterKeyBehavior-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt den Effekt an, der sich durch Drücken der EINGABETASTE ergibt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Durch Drücken der EINGABETASTE wird eine neue Zeile erzeugt.
False | Durch Drücken der EINGABETASTE wird der Fokus auf das nächste Objekt in der Aktivierreihenfolge verschoben (Standard).

Bemerkungen

Die Eigenschaften EnterKeyBehavior und MultiLine sind eng miteinander verbunden. Die oben aufgeführten Werte sind nur gültig, wenn die MultiLine-Eigenschaft auf True festgelegt ist. Ist die MultiLine-Eigenschaft auf False festgelegt, wird der Fokus durch Drücken der EINGABETASTE immer zum nächsten Steuerelement in der Aktivierreihenfolge verschoben, ungeachtet des Wertes für die EnterKeyBehavior-Eigenschaft.

Der Effekt der Tastenkombination STRG+EINGABETASTE ist ebenfalls vom Wert der MultiLine-Eigenschaft abhängig. Wurde MultiLine auf True festgelegt, wird mit der Tastenkombination STRG+EINGABETASTE eine neue Zeile erstellt, ungeachtet des Wertes von EnterKeyBehavior. Wurde die MultiLine-Eigenschaft auf False festgelegt, hat das Drücken von STRG-EINGABETASTE keinen Effekt.


 ForeColor-Eigenschaft

ForeColor-Eigenschaft

Gibt die Vordergrundfarbe des Objektes an.

Syntax

object.ForeColor [= Long]

Die Syntax der ForeColor-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein Wert oder eine Konstante, der bzw. die die Vordergrundfarbe eines Objektes bestimmt.

Einstellungen

Sie können jede beliebige ganze Zahl verwenden, die für eine gültige Farbe steht. Sie können eine Farbe jedoch auch angeben, indem Sie die RGB-Funktion mit den Farbkomponenten Rot, Grün und Blau verwenden. Der Wert jeder Farbkomponente entspricht einer ganzen Zahl im Bereich zwischen 0 und 255. Beispielsweise können Sie die Farbe Blaugrün mit der Ganzzahl 4966415 oder mit den roten, grünen und blauen Farbkomponenten 15, 200 und 75 angeben, wie im folgenden Beispiel gezeigt:

RGB(15,200,75)

Hinweise

Verwenden Sie die ForeColor-Eigenschaft für Steuerelemente auf Formularen, um diese einfacher lesbar zu machen oder um auf deren besondere Bedeutung hinzuweisen. Wenn beispielsweise ein Textfeld die Anzahl der am Lager befindlichen Einheiten wiedergibt, können Sie die Farbe des Textes ändern, wenn der Wert unter den Nachbestellwert fällt.

Bei einem Bildlaufleisten-Steuerelement (ScrollBar) oder einem Drehfeld-Steuerelement (SpinButton) legt die ForeColor-Eigenschaft die Farbe der Pfeile fest. Bei einem Rahmen-Steuerelement (Frame) ändert die ForeColor-Eigenschaft die Farbe der Titelzeile. Bei einem Font-Objekt bestimmt ForeColor die Farbe des Textes.


 GroupName-Eigenschaft

GroupName-Eigenschaft

Erstellt eine Gruppe mit sich gegenseitig ausschließenden Optionsfeld-Steuerelementen (OptionButton).

Syntax

object.GroupName [= String]

Die Syntax der GroupName-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Optionsfeld-Steuerelement (OptionButton).
String | Optional. Der Name der Gruppe, die das Optionsfeld-Steuerelement (OptionButton) beinhaltet. Verwenden Sie die gleiche Einstellung für alle Optionsfelder in der Gruppe. Die Standardeinstellung ist eine leere Zeichenfolge.

Bemerkungen

Zum Erstellen einer Gruppe von sich gegenseitig ausschließenden Optionsfeld-Steuerelementen (OptionButton) können Sie die Schaltflächen auf dem Formular in ein Rahmen-Steuerelement (Frame) setzen, oder Sie können die GroupName-Eigenschaft verwenden. Die GroupName-Eigenschaft ist aus folgenden Gründen effizienter:

  • Sie müssen nicht für jede Gruppe ein Rahmen-Steuerelement (Frame) einfügen. Wenn Sie keine Rahmen-Steuerelemente (Frame) verwenden, reduzieren Sie die Anzahl der Steuerelemente auf dem Formular, verbessern auf diese Weise das Leistungsverhalten des Formulars und verringern dessen Größe.

  • Sie gewinnen einen höhere Entwurfsflexibilität. Wenn Sie zum Erstellen der Gruppe ein Rahmen-Steuerelement (Frame) verwenden, müssen sich alle Schaltflächen innerhalb des Rahmens befinden. Wenn Sie mehr als eine Gruppe erstellen möchten, benötigen Sie für jede Gruppe ein Rahmen-Steuerelement (Frame). Wenn Sie jedoch die GroupName-Eigenschaft zum Erstellen der Gruppe verwenden, kann die Gruppe Optionsfelder an beliebiger Position auf dem Formular beinhalten. Möchten Sie mehr als eine Gruppe erstellen, geben Sie für jede Gruppe einen eindeutigen Namen an; Sie können die einzelnen Steuerelemente noch immer an beliebiger Stelle auf dem Formular platzieren.

  • Sie können Schaltflächen mit transparenten Hintergründen erstellen, wodurch sich möglicherweise das Erscheinungsbild Ihres Formulars verbessern lässt. Ein Rahmen-Steuerelement (Frame) ist kein transparentes Steuerelement.

Ungeachtet mit welcher Methode Sie Schaltflächengruppen erstellen, werden, wenn Sie auf eine Schaltfläche in einer Gruppe klicken, alle anderen Schaltflächen der Gruppe auf False festgelegt. Alle Optionsfelder mit der gleichen GroupName-Eigenschaft innerhalb eines einzelnen Containers schließen sich gegenseitig aus. Sie können den gleichen Gruppennamen in zwei Containern verwenden, wobei hiermit jedoch zwei Gruppen (eine in jedem Container) anstelle von einer erstellt werden, die beide Container umfasst.

Nehmen wir beispielsweise an, Ihr Formular umfasst einige Optionsfelder und ein Multiseiten-Steuerelement (MultiPage), in dem sich ebenfalls Optionsfelder befinden. Die Optionsfelder auf dem Multiseiten-Steuerelement (MultiPage) bilden die eine Gruppe und die Optionsfelder auf dem Formular die andere. Die beiden Gruppen haben keine Auswirkungen aufeinander. Wenn Sie die Einstellung einer Schaltfläche im Multiseiten-Steuerelement (MultiPage) ändern, hat dies keinen Einfluss auf die Schaltflächen auf dem Formular.


 Die Eigenschaften Height und Width

Die Eigenschaften Height und Width

Geben die Höhe oder Breite eines Objektes in Punkt an.

Syntax

object.Height [= Single]

object.Width [= Single]

Die Syntax der Eigenschaften Height und Width setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Ein numerischer Ausdruck, der die Abmessungen eines Objektes angibt.

Bemerkungen

Die Eigenschaften Height und Width werden automatisch aktualisiert, wenn Sie ein Steuerelement verschieben oder dessen Größe ändern. Wenn Sie für die Eigenschaften Left oder Top eine Einstellung angeben, die kleiner als Null ist, wird dieser Wert zum Berechnen der Höhe oder Breite eines Steuerelements herangezogen, wobei in diesem Fall jedoch ein Teil des Steuerelements auf dem Formular nicht sichtbar ist.

Wenn Sie ein Steuerelement aus einem Bereich des Formulars in einen anderen verschieben, ändern sich die Einstellungen für Height oder Width nur dann, wenn Sie die Größe des Steuerelements während des Verschiebens ändern. Die Einstellungen der Eigenschaften Left und Top des Steuerelements ändern sich jedoch, um die neue Position des Steuerelements im Hinblick auf die Ränder des Formulars wiederzugeben, auf dem es sich befindet.

Der den Eigenschaften Height oder Width zugewiesene Wert muss größer oder gleich Null sein. Bei den meisten Systemen liegt der empfohlene Wertebereich zwischen 0 und +32.767. Abhängig von der Systemkonfiguration können Sie möglicherweise jedoch auch mit höheren Werten arbeiten.

Bei den meisten Systemen liegt der empfohlene Wertebereich für die Eigenschaften Left und Top zwischen -32.767 und +32.767. Abhängig von der Systemkonfiguration können Sie möglicherweise jedoch auch mit anderen Werten arbeiten. Bei einem Kombinationsfeld-Steuerelement (ComboBox) beziehen sich die Werte der Eigenschaften Left und Top auf den Textbereich des Steuerelements und nicht auf den Listenbereich. Wenn Sie ein Steuerelement verschieben oder dessen Größe ändern, wird die neue Einstellung der Left-Eigenschaft automatisch in der Eigenschaftenseite eingetragen. Wenn Sie ein Formular drucken, wird die horizontale oder vertikale Position des Steuerelements von den Einstellungen für dessen Left- oder Top-Eigenschaften festgelegt.


 HideSelection-Eigenschaft

HideSelection-Eigenschaft

Gibt an, ob markierter Text markiert bleibt, wenn ein Steuerelement nicht den Fokus hat.

Syntax

object.HideSelection [= Boolean]

Die Syntax der HideSelection-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob markierter Text markiert bleibt, auch wenn ein Steuerelement nicht den Fokus hat.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Markierter Text wird erst dann markiert dargestellt, wenn das Steuerelement den Fokus hat (Standard).
False | Markierter Text wird immer markiert dargestellt.

Bemerkungen

Sie können die HideSelection-Eigenschaft verwenden, um markierten Text weiterhin markiert darzustellen, wenn ein anderes Formular oder ein anderes Dialogfeld den Fokus erhält, wie beispielsweise bei einer Rechtschreibprüfung.


 IMEMode-Eigenschaft

IMEMode-Eigenschaft

Gibt den Standard-Ausführungsmodus des Eingabemethodeneditors (IME) für ein Steuerelement vor. Diese Eigenschaft betrifft nur Anwendungen, die für asiatische Sprachen geschrieben wurden, und wird in anderen Anwendungen ignoriert.

Syntax

object.IMEMode [= fmIMEMode]

Die Syntax der IMEMode-Eigenschaft besteht aus folgenden Bestandteilen:

Bestandteil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
fmIMEMode | Optional. Der Modus des Eingabemethodeneditors (IME).

Einstellungen

Die Einstellungen für den fmIMEMode sind:

Wert | Beschreibung
0 | Keine Steuerung des IME (Standard).
1 | IME ein.
2 | IME aus. Englischer Modus.
3 | IME aus. Benutzer kann IME nicht über die Tastatur aktivieren.
4 | IME an, Hiragana-Modus in voller Breite.
5 | IME an, Katakana-Modus in voller Breite.
6 | IME an, Katakana-Modus in halber Breite.
7 | IME an, alphanumerischer Modus in voller Breite.
8 | IME an, alphanumerischer Modus in halber Breite.
9 | IME an, Hangul-Modus in voller Breite.
10 | IME an, Hangul-Modus in halber Breite.

Die Einstellung 0 zeigt an, dass der Modus des IME nicht geändert wird, wenn das Steuerelement zur Laufzeit den Fokus erhält. Für alle anderen Werte entspricht der Modus des IME dem von der IMEMode-Eigenschaft festgelegten Wert, wenn das Steuerelement zur Laufzeit den Fokus erhält.


Index-Eigenschaft

Die Position eines Register-Objektes (Tab) innerhalb einer Register-Auflistung oder eines Seiten-Objektes (Page) in einer Seiten-Auflistung

Syntax

object.Index [= Integer]

Die Syntax der Index-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Integer | Optional. Die Indexzahl des aktuell ausgewählten Register-Objektes (Tab).

Bemerkungen

Die Index-Eigenschaft gibt die Reihenfolge an, in der die Registerkarten angezeigt werden Wenn sich der Wert der Index-Eigenschaft ändert, ändert sich für den Betrachter die Reihenfolge der Seiten in einem Multiseiten-Steuerelement (MultiPage) oder der Registerkarten in einem Register-Steuerelement (TabStrip). Der Indexwert für die erste Seite oder Registerkarte ist 0, der Wert für die zweite Seite oder Registerkarte 1 usw.

In einem Multiseiten-Steuerelement (MultiPage) bezieht sich die Index-Eigenschaft ebenso auf eine Seite wie auf das Register der Seite. Bei einem Register-Steuerelement (TabStrip) bezieht sich die Index-Eigenschaft nur auf das Register.


 Die Eigenschaften InsideHeight und InsideWidth

Die Eigenschaften InsideHeight und InsideWidth

Die InsideHeight-Eigenschaft gibt die Höhe des Clientbereichs innerhalb eines Rahmen-Steuerelements (Frame) in Punkt an. Die InsideWidth-Eigenschaft gibt die Breite des Clientbereichs innerhalb eines Rahmen-Steuerelements (Frame) in Punkt an.

Syntax

object.InsideHeight

object.InsideWidth

Die Syntax der Eigenschaften InsideHeight und InsideWidth setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Hinweise

Die Eigenschaften InsideHeight und InsideWidth sind schreibgeschützt.


IntegralHeight-Eigenschaft

Gibt an, ob in einem Listenfeld-Steuerelement (ListBox) oder einem Textfeld-Steuerelement (TextBox) in der Liste vollständige Textzeilen oder nur Teilzeilen anzeigt werden.

Syntax

object.IntegralHeight [= Boolean]

Die Syntax der IntegralHeight-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob Textzeilen in einer Liste nur teilweise angezeigt werden.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Die Größe der Liste wird automatisch angepasst, damit nur vollständige Einträge angezeigt werden (Standard).
False | Die Größe der Liste wird nicht automatisch angepasst, auch wenn ein Eintrag zu lang ist, um vollständig angezeigt zu werden.

Bemerkungen

Die IntegralHeight-Eigenschaft bezieht sich auf die Höhe der Liste, vergleichbar mit der AutoSize-Eigenschaft, die sich auf die Breite der Liste bezieht.

Wenn die IntegralHeight-Eigenschaft auf True festgelegt wurde, wird die Größe des Listenfeldes erforderlichenfalls automatisch geändert, damit ganze Zeilen angezeigt werden können. Wurde die Eigenschaft auf False festgelegt, behält die Liste ihre festgelegte Größe bei; wenn Einträge größer sind als der in der Liste verfügbare Raum, wird nicht der gesamte Eintrag angezeigt.


KeepScrollBarsVisible-Eigenschaft

Gibt an, ob Bildlaufleisten auch dann sichtbar bleiben, wenn sie nicht benötigt werden.

Syntax

object.KeepScrollBarsVisible [=ScrollBars]

Die Syntax der KeepScrollBarsVisible-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
ScrollBars | Optional. Gibt an, ob Bildlaufleisten angezeigt werden.

Einstellungen

Die Einstellungen für ScrollBars sind:

Wert | Beschreibung
0 | Es werden keine Bildlaufleisten angezeigt.
1 | Es wird eine horizontale Bildlaufleiste angezeigt.
2 | Es wird eine vertikale Bildlaufleiste angezeigt.
3 | Es werden sowohl eine horizontale als auch eine vertikale Bildlaufleiste angezeigt (Standard).

Hinweise

Wenn der sichtbare Bereich groß genug ist, um alle Steuerelemente auf einem Objekt wie beispielsweise einem Page-Objekt anzuzeigen, werden keine Bildlaufleisten benötigt. Mit der KeepScrollBarsVisible-Eigenschaft wird festgelegt, ob die Bildlaufleisten sichtbar bleiben, obwohl sie nicht erforderlich sind.

Wenn Bildlaufleisten sichtbar sind, obwohl sie nicht benötigt werden, werden sie in ihrer normalen Größe angezeigt, und das Bildlauffeld füllt die gesamte Breite oder Höhe der Bildlaufleiste.

Wenn die KeepScrollBarsVisible-Eigenschaft auf True festgelegt wurde, ist jede Bildlaufleiste auf einem Formular oder einer Seite immer sichtbar, ungeachtet dessen, ob der Inhalt des Objektes innerhalb der Objektbegrenzungen ausreichend Platz findet oder nicht.


LargeChange-Eigenschaft

Gibt die Strecke an, um die der Objektinhalt verschoben wird, wenn der Benutzer zwischen das Bildlauffeld und den Bildlaufpfeil klickt.

Syntax

object.LargeChange [= Long]

Die Syntax der LargeChange-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Eine ganze Zahl, die das Ausmaß der Änderung an der Value-Eigenschaft angibt.

Bemerkungen

Die LargeChange-Eigenschaft bezieht sich nur auf das Bildlaufleisten-Steuerelement (ScrollBar). Sie bezieht sich nicht auf die Bildlaufleisten in anderen Steuerelementen, wie beispielsweise in einem Textfeld-Steuerelement (TextBox) oder einem Dropdown-Kombinationsfeld-Steuerelement (ComboBox).

Der Wert der LargeChange-Eigenschaft ist das Ausmaß, um das sich die Value-Eigenschaft des Bildlaufleisten-Steuerelements (ScrollBar) ändert, wenn der Benutzer in den Bereich zwischen Bildlauffeld und Bildlaufpfeil klickt. Die Verschiebung erfolgt immer in Richtung der Stelle, an die der Benutzer klickt. Wenn Sie beispielsweise in einer horizontalen Bildlaufleiste links des Bildlauffeldes klicken, wird das Bildlauffeld nach links verschoben. Klicken Sie in einer vertikalen Bildlaufleiste oberhalb des Bildlauffeldes, wird das Bildlauffeld nach oben verschoben.

Für die LargeChange-Eigenschaft gelten keine Einheiten. Jede ganze Zahl ist eine gültige Einstellung für LargeChange. Der empfohlene Wertbereich liegt zwischen -32.767 und +32.767, und der Wert muss innerhalb der Werte für die Eigenschaften Max und Min des Bildlaufleisten-Steuerelements (ScrollBar) liegen.


 Die Eigenschaften Left und Top

Die Eigenschaften Left und Top

Geben den Abstand zwischen einem Steuerelement und dem linken und oberen Rand des Formulars an, auf dem es sich befindet.

Syntax

object.Left [= Single]

object.Top [= Single]

Die Syntax der Eigenschaften Left und Top setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Ein numerischer Ausdruck, der die Koordinaten eines Objektes angibt.

Einstellungen

Wenn die Einstellungen der Eigenschaften Left oder Top auf 0 festgelegt werden, wird der Rand des Steuerelements an den linken oder oberen Rand des Containers gesetzt, in dem es sich befindet.

Bemerkungen

Bei den meisten Systemen liegt der empfohlene Wertebereich für die Eigenschaften Left und Top zwischen -32.767 und +32.767. Abhängig von der Systemkonfiguration können Sie möglicherweise jedoch auch mit anderen Werten arbeiten. Bei einem Kombinationsfeld-Steuerelement (ComboBox) beziehen sich die Werte der Eigenschaften Left und Top auf den Textbereich des Steuerelements und nicht auf den Listenbereich. Wenn Sie ein Steuerelement verschieben oder dessen Größe ändern, wird die neue Einstellung der Left-Eigenschaft automatisch in der Eigenschaftenseite eingetragen. Wenn Sie ein Formular drucken, wird die horizontale oder vertikale Position des Steuerelements von den Einstellungen für dessen Left- oder Top-Eigenschaften festgelegt.

Die Eigenschaften Height und Width werden automatisch aktualisiert, wenn Sie ein Steuerelement verschieben oder dessen Größe ändern. Wenn Sie für die Eigenschaften Left oder Top einen Wert angeben, der kleiner als Null ist, wird dieser Wert zum Berechnen der Höhe oder Breite eines Steuerelements herangezogen, wobei in diesem Fall jedoch ein Teil des Steuerelements auf dem Formular nicht sichtbar ist.

Wenn Sie ein Steuerelement aus einem Bereich des Formulars in einen anderen verschieben, ändern sich die Einstellungen für Height oder Width nur dann, wenn Sie die Größe des Steuerelements während des Verschiebens ändern. Die Einstellungen der Eigenschaften Left und Top des Steuerelements ändern sich jedoch, um die neue Position des Steuerelements im Hinblick auf die Ränder des Formulars wiederzugeben, auf dem es sich befindet.

Der den Eigenschaften Height oder Width zugewiesene Wert muss größer oder gleich Null sein. Bei den meisten Systemen liegt der empfohlene Wertebereich zwischen 0 und +32.767. Abhängig von der Systemkonfiguration können Sie möglicherweise jedoch auch mit höheren Werten arbeiten.


LineCount-Eigenschaft

Gibt die Anzahl der Textzeilen in einem Textfeld-Steuerelement (TextBox) oder einem Kombinationsfeld-Steuerelement (ComboBox) zurück.

Syntax

object.LineCount

Die Syntax der LineCount-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Bemerkungen

Die LineCount-Eigenschaft ist schreibgeschützt.

Anmerkung Ein Kombinationsfeld-Steuerelement (ComboBox) verfügt nur über eine einzige Zeile.


 List-Eigenschaft

List-Eigenschaft

Gibt die Listeneinträge in einem Listenfeld-Steuerelement (ListBox) oder einem Kombinationsfeld-Steuerelement (ComboBox) zurück oder legt diese fest.

Syntax

object.List( row, column ) [= Variant]

Die Syntax der List-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Row | Erforderlich. Eine ganze Zahl im Bereich zwischen 0 und der Zahl, die sich aus der Anzahl der Einträge in der Liste -1 berechnet.
Column | Erforderlich. Eine ganze Zahl im Bereich zwischen 0 und der Zahl, die sich aus der Anzahl der Spalten -1 berechnet.
Variant | Optional. Der Inhalt des angegebenen Eintrags im Listenfeld- (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox).

Einstellungen

Die Nummerierung von Zeilen und Spalten beginnt mit Null. Dies bedeutet, dass die Zeilennummer der ersten Zeile in der Liste Null und die Spaltennummer der ersten Spalte in der Liste ebenfalls Null ist. Die Nummer der zweiten Zeile oder Spalte ist 1 usw.

Bemerkungen

Die List-Eigenschaft kann zusammen mit den Eigenschaften ListCount und ListIndex verwendet werden. Verwenden Sie die List-Eigenschaft, um auf Listeneinträge zuzugreifen. Bei einer Liste handelt es sich um einen Array vom Typ Variant; jedes Element in der Liste verfügt über eine Zeilennummer und eine Spaltennummer.

Anfänglich enthalten Kombinationsfeld-Steuerelemente (ComboBox) und Listenfeld-Steuerelemente (ListBox) leere Listen.

Anmerkung Zur Angabe der Einträge, die in einem Kombinationsfeld-Steuerelement (ComboBox) oder einem Listenfeld-Steuerelement (ListBox) angezeigt werden sollen, verwenden Sie die AddItem-Methode. Zum Entfernen von Einträgen verwenden Sie die RemoveItem-Methode.

Sie können die List-Eigenschaft auch verwenden, um einen gesamten zweidimensionalen Array mit Werten in ein Steuerelement zu kopieren. Zum Laden eines eindimensionalen Arrays oder eines einzelnen Eintrags verwenden Sie AddItem.


ListCount-Eigenschaft

Gibt die Anzahl der Listeneinträge in einem Steuerelement zurück.

Syntax

object.ListCount

Die Syntax der ListCount-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Bemerkungen

Die ListCount-Eigenschaft ist schreibgeschützt. ListCount steht für die Anzahl der Zeilen, in denen Sie blättern können. ListCount ist immer größer als der größte Wert für die ListIndex-Eigenschaft, da Indexnummern mit 0 und die Zählung der Einträge mit 1 beginnen. Wenn kein Element markiert ist, ist der Wert von ListCount gleich 0 und der von ListIndex gleich -1.


 ListIndex-Eigenschaft

ListIndex-Eigenschaft

Bezeichnet den aktuell ausgewählten Eintrag in einem Listenfeld-Steuerelement (ListBox) oder einem Kombinationsfeld-Steuerelement (ComboBox).

Syntax

object.ListIndex [= Variant]

Die Syntax der ListIndex-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Das aktuell ausgewählte Element in einem Steuerelement.

Bemerkungen

Die ListIndex-Eigenschaft enthält einen Index der in einer Liste markierten Zeile. Die Werte für ListIndex rangieren zwischen -1 und der Zahl, die aus der Gesamtzahl der Zeilen in der Liste -1 berechnet wird (also ListCount -1). Wurden keine Zeilen ausgewählt, gibt ListIndex -1 zurück. Markiert der Benutzer einen Zeile in einem Listenfeld- (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox), legt das System den Wert von ListIndex fest. Der ListIndex-Wert für die erste Zeile in einer Liste ist 0, der Wert für die zweite Zeile ist 1 usw.

Anmerkung Wenn Sie die MultiSelect-Eigenschaft zum Erstellen eines Listenfeld-Steuerelements (ListBox) verwenden, in dem gleichzeitig mehrere Auswahlmöglichkeiten bestehen, bezeichnet die Selected-Eigenschaft des Listenfeld-Steuerelements (ListBox) die markierten Zeilen (anstelle der ListIndex-Eigenschaft). Die Selected-Eigenschaft ist ein Array mit der gleichen Anzahl von Werten wie es Zeilen im Listenfeld-Steuerelement (ListBox) gibt. Für jede Zeile im Listenfeld ist der Wert für Selected gleich True, wenn eine Zeile markiert ist, und False, wenn die Zeile nicht markiert ist. In einem Listenfeld-Steuerelement (ListBox), in dem gleichzeitig mehrere Auswahlmöglichkeiten bestehen, gibt ListIndex den Index der Zeile zurück, die den Fokus hat, ungeachtet, ob diese Zeile aktuell markiert ist.

Der Wert der ListIndex-Eigenschaft kann auch abgerufen werden, indem Sie die BoundColumn-Eigenschaft für ein Listenfeld oder ein Kombinationsfeld auf 0 festlegen. Wenn der Wert von BoundColumn gleich 0 ist, enthält die zu Grunde liegende Datenquelle, an die das Kombinationsfeld oder das Listenfeld gebunden ist, den gleichen ListIndex-Wert wie ListIndex.


ListRows-Eigenschaft

Gibt die maximale Anzahl von in der Liste angezeigten Zeilen an.

Syntax

object.ListRows [= Long]

Die Syntax der ListRows-Eigenschaft besteht aus folgenden Bestandteilen:

Bestandteil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Eine ganze Zahl, die für die maximale Anzahl von Zeilen steht. Der Standardwert ist 8.

Hinweise

Wenn die Anzahl von in der Liste enthaltenen Elementen den Wert der ListRows-Eigenschaft übersteigt, wird am rechten Rand des Listenfeldes des Kombinationsfeldes eine Bildlaufleiste angezeigt.


ListStyle-Eigenschaft

Gibt die visuelle Darstellung einer Liste in einem Listenfeld-Steuerelement oder einem Kombinationsfeld-Steuerelement (ComboBox) an.

Syntax

object.ListStyle [=ListStyle]

Die Syntax der ListStyle-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
ListStyle | Optional. Die visuelle Darstellungsweise der Liste.

Einstellungen

Die Einstellungen für ListStyle sind:

Wert | Beschreibung
0 | Die Liste sieht wie ein reguläres Listenfeld aus, wobei der Hintergrund der Einträge hervorgehoben wird.
1 | Bei einer Mehrfachauswahlliste werden Optionsfelder oder Kontrollkästchen angezeigt (Standard). Wenn der Benutzer ein Element aus der Gruppe wählt, wird das mit diesem Element verbundene Optionsfeld aktiviert, und die Optionsfelder für die anderen Elemente in der Gruppe werden deaktiviert.

Bemerkungen

Mit der ListStyle-Eigenschaft können Sie die visuelle Darstellungsweise eines Listenfeld-Steuerelements (ListBox) oder eines Kombinationsfeld-Steuerelements (ComboBox) ändern. Durch Angabe einer anderen Einstellung als 0 können Sie den Inhalt jedes der beiden Steuerelemente als eine Gruppe einzelner Elemente darstellen, wobei jedes Element einen visuellen Hinweis darauf enthält, ob es ausgewählt ist.

Wenn das Steuerelement nur eine einzige Auswahl unterstützt (die MultiSelect-Eigenschaft wurde auf 0 festgelegt), kann der Benutzer eine Schaltfläche in der Gruppe aktivieren. Unterstützt das Steuerelement Mehrfachauswahl, kann der Benutzer zwei oder mehr Schaltflächen in der Gruppe aktivieren.


ListWidth-Eigenschaft

Gibt die Breite der Liste in einem Kombinationsfeld-Steuerelement (ComboBox) an.

Syntax

object.ListWidth [= Variant]

Die Syntax der ListWidths-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Die Breite der Liste. Durch Angabe von 0 wird die Liste ebenso breit wie das Kombinationsfeld-Steuerelement (ComboBox). Als Standardwert gilt der Wert, mit dem die Liste ebenso breit wie der Textbereich des Steuerelements ist.

Bemerkungen

Wenn Sie eine mehrspaltige Liste anzeigen möchten, geben Sie einen Wert an, mit dem das Listenfeld breit genug ist, um alle Spalten aufzunehmen.

Tipp Stellen Sie beim Entwerfen von Kombinationsfeldern sicher, dass Sie genügend Platz für die Anzeige Ihrer Daten und einer vertikalen Bildlaufleiste vorsehen.


 Locked-Eigenschaft

Locked-Eigenschaft

Gibt an, ob ein Steuerelement bearbeitet werden kann.

Syntax

object.Locked [= Boolean]

Die Syntax der Locked-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob ein Steuerelement bearbeitet werden kann.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Der Wert kann nicht bearbeitet werden.
False | Der Wert kann bearbeitet werden (Standard).

Bemerkungen

Wenn ein Steuerelement geschützt und aktiviert ist, kann es trotzdem Ereignisse auslösen und den Fokus erhalten.

Die Enabled- und Locked-Eigenschaften arbeiten zusammen, um folgende Effekte zu erzielen:

  • Sind die Eigenschaften Enabled und Locked beide auf True festgelegt, kann das Steuerelement den Fokus erhalten und wird auf dem Formular normal angezeigt (nicht abgeblendet). Der Benutzer kann Daten im Steuerelement zwar kopieren, jedoch nicht bearbeiten.

  • Ist die Enabled-Eigenschaft auf True und die Locked-Eigenschaft auf False festgelegt, kann das Steuerelement den Fokus erhalten und wird auf dem Formular normal angezeigt. Der Benutzer kann Daten im Steuerelement kopieren und bearbeiten.

  • Ist die Enabled-Eigenschaft auf False und die Locked-Eigenschaft auf True festgelegt, kann das Steuerelement nicht den Fokus erhalten und wird auf dem Formular abgeblendet angezeigt. Der Benutzer kann Daten im Steuerelement weder kopieren noch bearbeiten.

  • Sind die Eigenschaften Enabled und Locked beide auf False festgelegt, kann das Steuerelement nicht den Fokus erhalten und wird auf dem Formular abgeblendet dargestellt. Der Benutzer kann Daten im Steuerelement weder kopieren noch bearbeiten.


 MatchEntry-Eigenschaft

MatchEntry-Eigenschaft

Gibt einen Wert zurück, der angibt, wie die jeweiligen Listen in einem Listenfeld-Steuerelement (ListBox) oder ein Kombinationsfeld-Steuerelement (ComboBox) durchsucht werden, während der Benutzer eine Eingabe macht, oder legt diesen Wert fest.

Syntax

object.MatchEntry [=MatchEntry]

Die Syntax der MatchEntry-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
MatchEntry | Optional. Die Regel, die zum Vergleichen von mit der Eingabe übereinstimmenden Einträgen verwendet wird.

Einstellungen

Die Einstellungen für MatchEntry sind:

Wert | Beschreibung
0 | Grundlegender Vergleich. Im Steuerelement wird nach dem nächsten Eintrag gesucht, der mit dem eingegebenen Zeichen beginnt. Bei wiederholter Eingabe des gleichen Buchstabens wird durch alle Einträge rundgeschaltet, die mit diesem Buchstaben beginnen.
1 | Erweiterter Vergleich. Bei Eingabe jedes Zeichens wird im Steuerelement nach einem Eintrag gesucht, der mit allen eingegebenen Zeichen übereinstimmt (Standard).
2 | Kein Vergleich.

Bemerkungen

Mit der MatchEntry-Eigenschaft werden Einträge aus der TextColumn-Eigenschaft eines Listenfeld-Steuerelements (ListBox) oder eines Kombinationsfeld-Steuerelements (ComboBox) gesucht.

Im Steuerelement wird die von der TextColumn-Eigenschaft bezeichnete Spalte nach einem Eintrag durchsucht, der mit der Eingabe übereinstimmt, die der Benutzer gemacht hat. Wenn eine Übereinstimmung gefunden wird, wird die Zeile markiert, in der sich die Übereinstimmung befindet, der Inhalt der Spalte wird angezeigt, und der Inhalt ihrer BoundColumn-Eigenschaft wird zum Wert des Steuerelements. Ist die Übereinstimmung unzweideutig, wird durch Auffinden der Übereinstimmung das Click-Ereignis ausgelöst.

Das Steuerelement löst das Click-Ereignis aus, sobald der Benutzer eine Abfolge von Zeichen eingibt, die exakt einem Eintrag in der Liste entspricht. Während der Benutzer die Eingabe macht, wird die Eingabe mit der aktuellen Zeile in der Liste und mit der nächsten Zeile in der Liste verglichen. Entspricht die Eingabe nur der aktuellen Zeile, ist die Übereinstimmung unzweideutig.

In Microsoft Forms gilt dies ungeachtet der Tatsache, ob eine Liste sortiert ist. Dies bedeutet, dass das Steuerelement das erste Vorkommen findet, das mit der Eingabe übereinstimmt, und zwar basierend auf der Reihenfolge der Einträge in der Liste. Beispielsweise wird durch die Eingabe von entweder "abc" oder "bc" das Click-Ereignis für die folgende Liste ausgelöst:

abcde
bcdef
abcxyz
bchij

Beachten Sie, dass in beiden Fällen der verglichene Eintrag nicht eindeutig ist; trotzdem ist der Unterschied zum nachfolgenden Eintrag ausreichend, damit das Steuerelement die Übereinstimmung als unzweideutig interpretiert und das Click-Ereignis auslöst.


MatchFound-Eigenschaft

Gibt an, ob der vom Benutzer in ein Kombinationsfeld-Steuerelement (ComboBox) eingegebene Text mit einem beliebigen Eintrag in der Liste übereinstimmt.

Syntax

object.MatchFound

Die Syntax der MatchFound-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Rückgabewerte

Die von der MatchFound-Eigenschaft zurückgegebenen Werte sind:

Wert | Beschreibung
True | Der Inhalt der Value-Eigenschaft stimmt mit einem der Datensätze in der Liste überein.
False | Der Inhalt der Value-Eigenschaft stimmt nicht mit einem der Datensätze in der Liste überein (Standard).

Hinweise

Die MatchFound-Eigenschaft ist schreibgeschützt. Sie ist nicht anwendbar, wenn die MatchEntry-Eigenschaft auf 2 festgelegt wurde.


 MatchRequired-Eigenschaft

MatchRequired-Eigenschaft

Gibt an, ob der in den Textbereich eines Kombinationsfeld-Steuerelements (ComboBox) eingegebene Wert mit einem Eintrag im bestehenden Listenbereich des Steuerelements übereinstimmen muss. Wenn der Benutzer einen nicht übereinstimmenden Wert eingibt, kann er das Steuerelement nicht verlassen, bis er einen übereinstimmenden Wert eingegeben hat.

Syntax

object.MatchRequired [= Boolean]

Die Syntax der MatchRequired-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob der eingegebene Text mit einem vorhandenen Eintrag in der Liste übereinstimmen muss.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Der eingegebene Text muss mit einem vorhandenen Listeneintrag übereinstimmen.
False | Der eingegebene Text kann sich von allen vorhandenen Listeneinträgen unterscheiden (Standard).

Bemerkungen

Wurde die MatchRequired-Eigenschaft auf True festgelegt, kann der Benutzer das Kombinationsfeld-Steuerelement (ComboBox) erst verlassen, wenn er eine Eingabe gemacht hat, die mit einem Eintrag in der vorhandenen Liste übereinstimmt. Mit MatchRequired wird die Integrität der Liste durch die Forderung aufrechterhalten, dass der Benutzer einen bereits vorhandenen Eintrag wählt.

Anmerkung Diese Eigenschaft wird nicht von allen Containern unterstützt.


Die Eigenschaften Max und Min

Geben die gültigen Maximal- und Minimalwerte für die Value-Eigenschaft eines Bildlaufleisten-Steuerelements (ScrollBar) oder eines Drehfeld-Steuerelements (SpinButton) an.

Syntax

object.Max [= Long]

object.Min [= Long]

Die Syntax der Eigenschaften Max und Min setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein numerischer Ausdruck, der die Einstellung der Maximal- und Minimalwerte der Value-Eigenschaft angibt.

Bemerkungen

Durch das Klicken auf ein Drehfeld-Steuerelement (SpinButton) oder durch das Verschieben des Bildlauffeldes in einem Bildlaufleisten-Steuerelement (ScrollBar) ändert sich der Wert der Value-Eigenschaft des Steuerelements.

Der Wert der Max-Eigenschaft entspricht der untersten Position in einem vertikalen Bildlaufleisten-Steuerelement (ScrollBar) bzw. der äußersten rechten Position in einem horizontalen Bildlaufleisten-Steuerelement (ScrollBar). Der Wert der Min-Eigenschaft entspricht der obersten Position in einem vertikalen Bildlaufleisten-Steuerelement (ScrollBar) bzw. der äußersten linken Position in einem horizontalen Bildlaufleisten-Steuerelement (ScrollBar).

Als gültige Einstellung für diese Eigenschaft kann jede ganze Zahl verwendet werden. Der empfohlene Wertebereich liegt zwischen -32.767 und +32.767. Als Standardwert gilt 1.

Anmerkung Die Eigenschaften Min und Max beziehen sich auf Positionen im Bildlaufleisten-Steuerelement (ScrollBar), nicht auf relative Werte. Dies bedeutet, dass der Wert von Max geringer als der Wert von Min sein kann. In diesem Fall führt die Verschiebung in Richtung der Max-Position (unten) zu einer Verringerung des Wertes der Value-Eigenschaft, die Verschiebung in Richtung der Min-Position (oben) führt zu einer Erhöhung von Value.


MaxLength-Eigenschaft

Gibt die maximale Anzahl Zeichen an, die ein Benutzer in ein Textfeld-Steuerelement (TextBox) oder ein Kombinationsfeld-Steuerelement (ComboBox) eingeben kann.

Syntax

object.MaxLength [= Long]

Die Syntax der MaxLength-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Eine ganze Zahl, die die maximal zulässige Anzahl Zeichen angibt.

Bemerkungen

Mit der Einstellung der MaxLength-Eigenschaft auf 0 wird angegeben, dass es keine Beschränkung als die gibt, die aufgrund der Speicherkapazität existiert.


MouseIcon-Eigenschaft

Weist einem Objekt ein benutzerdefiniertes Symbol zu.

Syntax

object.MouseIcon = LoadPicture( pathname )

Die Syntax der MouseIcon-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Pathname | Erforderlich. Ein Ausdruck vom Typ String, mit dem der Pfad und der Name der Datei angegeben werden, die das benutzerdefinierte Symbol enthält.

Bemerkungen

Die MouseIcon-Eigenschaft ist gültig, wenn die MousePointer-Eigenschaft auf 99 festgelegt ist. Das Maussymbol eines Objektes ist die Grafik, die angezeigt wird, wenn der Benutzer die Maus über dieses Objekt bewegt.

Um dem Mauszeiger ein Symbol zuzuweisen, können Sie entweder der MouseIcon-Eigenschaft eine Grafik zuweisen, oder Sie können mit Hilfe der LoadPicture-Funktion eine Grafik aus einer Datei laden.


MousePointer-Eigenschaft

Gibt den Zeigertyp an, der angezeigt wird, wenn der Benutzer die Maus auf einem bestimmten Objekt positioniert.

Syntax

object.MousePointer [=MousePointer]

Die Syntax der MousePointer-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
MousePointer | Optional. Die gewünschte Form des Mauszeigers.

Einstellungen

Die Einstellungen für MousePointer sind:

Wert | Beschreibung
0 | Standardzeiger. Die Abbildung wird vom Objekt bestimmt (Standard).
1 | Pfeil.
2 | Fadenkreuz.
3 | I-Cursor.
6 | Nach Nordosten und Südwesten zeigender Doppelpfeil.
7 | Nach Norden und Süden zeigender Doppelpfeil.
8 | Nach Nordwesten und Südosten zeigender Doppelpfeil.
9 | Nach Westen und Osten zeigender Doppelpfeil.
10 | Aufwärtspfeil.
11 | Sanduhr.
12 | "Verbotszeichen" (Kreis mit diagonaler Linie) auf dem Objekt, das gezogen wird. Zeigt ein ungültiges Ziel zum Ablegen des gezogenen Objektes an.
13 | Pfeil mit Sanduhr.
14 | Pfeil mit Fragezeichen.
15 | Mauszeiger zum Verändern der Größe in alle Richtungen (Pfeile zeigen nach Norden, Süden, Osten und Westen).
99 | Verwendet das Symbol, das mit der MouseIcon-Eigenschaft angegeben wird.

Bemerkungen

Sie verwenden Sie MousePointer-Eigenschaft, wenn Sie Änderungen in der Funktionalität anzeigen möchten, während der Mauszeiger über die Steuerelemente auf einem Formular bewegt wird. Beispielsweise ist die Einstellung "Sanduhr" (11) nützlich, um anzuzeigen, dass der Benutzer warten muss, bis ein Verfahren oder eine Operation beendet ist.

Einige Symbole variieren abhängig von den Systemeinstellungen, wie beispielsweise die Symbole, die mit dem Desktop zusammenhängen.


 MultiLine-Eigenschaft

MultiLine-Eigenschaft

Gibt an, ob ein Steuerelement mehrzeiligen Text aufnehmen und anzeigen kann.

Syntax

object.MultiLine [= Boolean]

Die Syntax der MultiLine-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob ein Steuerelement mehr als eine Zeile Text aufnehmen kann.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Der Text wird über mehrere Zeilen anzeigt (Standard).
False | Der Text wird nicht über mehrere Zeilen anzeigt.

Bemerkungen

Ein mehrzeiliges Textfeld-Steuerelement (TextBox) ermöglicht absolute Zeilenumbrüche und passt die Zeilenzahl an die im Steuerelement enthaltene Textmenge an. Falls erforderlich, kann ein mehrzeiliges Steuerelement auch mit vertikalen Bildlaufleisten versehen sein.

Ein einzeiliges Textfeld-Steuerelement (TextBox) ermöglicht keine absoluten Zeilenumbrüche, und es werden keine vertikalen Bildlaufleisten verwendet.

Bei Steuerelementen, die die MultiLine-Eigenschaft ebenso unterstützen wie die WordWrap-Eigenschaft, wird WordWrap ignoriert, wenn MultiLine auf False festgelegt wurde.

Bei einzeiligen Steuerelementen wird der Wert der WordWrap-Eigenschaft ignoriert.

Anmerkung Wenn Sie die MultiLine-Eigenschaft in einem mehrzeiligen Textfeld-Steuerelement (TextBox) auf False ändern, werden alle Zeichen im Textfeld-Steuerelement in einer Zeile zusammengefasst, einschließlich der nichtdruckbaren Zeichen (wie beispielsweise Absatzmarken und Zeilenschaltungen).

Die Eigenschaften EnterKeyBehavior und MultiLine sind eng miteinander verbunden. Die Einstellungen True und False für die EnterKeyBehavior-Eigenschaft sind nur gültig, wenn MultiLine auf True festgelegt wurde. Steht die MultiLine-Eigenschaft auf False, wird der Fokus durch Drücken der EINGABETASTE immer zum nächsten Steuerelement in der Aktivierreihenfolge verschoben, ungeachtet des Wertes für die EnterKeyBehavior-Eigenschaft.

Der Effekt der Tastenkombination STRG+EINGABETASTE ist ebenfalls vom Wert der MultiLine-Eigenschaft abhängig. Wurde MultiLine auf True festgelegt, wird mit der Tastenkombination STRG+EINGABETASTE eine neue Zeile erstellt, ungeachtet des Wertes von EnterKeyBehavior. Wurde die MultiLine-Eigenschaft auf False festgelegt, hat das Drücken von STRG-EINGABETASTE keinen Effekt.

Die Eigenschaften TabKeyBehavior und MultiLine sind ebenfalls eng miteinander verbunden. Die oben aufgeführten Werte sind nur gültig, wenn die MultiLine-Eigenschaft auf True festgelegt ist. Steht die MultiLine-Eigenschaft auf False, wird der Fokus durch Drücken der TABULATORTASTE immer zum nächsten Steuerelement in der Aktivierreihenfolge verschoben, ungeachtet des Wertes für die TabKeyBehavior-Eigenschaft.

Der Effekt der Tastenkombination STRG+TAB ist ebenfalls vom Wert der MultiLine-Eigenschaft abhängig. Wurde MultiLine auf True festgelegt, wird mit der Tastenkombination STRG+TAB eine neue Zeile erstellt, ungeachtet des Wertes von TabKeyBehavior. Wurde die MultiLine-Eigenschaft auf False festgelegt, hat das Drücken von STRG-TAB keinen Effekt.


MultiRow-Eigenschaft

Gibt an, ob ein Steuerelement über mehr als eine Reihe Registerkarten verfügt.

Syntax

object.MultiRow [= Boolean]

Die Syntax der MultiRow-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob ein Steuerelement über mehr als eine Reihe Registerkarten verfügt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Ermöglicht mehr als eine Reihe Registerkarten.
False | Beschränkt die Registerkarten auf eine Reihe (Standard).

Bemerkungen

Die Breite und die Anzahl der Registerkarten bestimmt die Anzahl der Reihen. Wenn Sie die Größe des Steuerelements ändern, ändert sich auch die Anzahl der Reihen. Dies ermöglicht es dem Entwickler, die Größe des Steuerelements zu ändern und gleichzeitig sicherzustellen, dass die Registerkarten erforderlichenfalls in einer zweiten Reihe angezeigt werden, um so in das Steuerelement zu passen. Ist die MultiRow-Eigenschaft auf False festgelegt, wird abgeschnitten, wenn die Breite der Registerkarten die Breite des Steuerelements überschreitet.

Wenn MultiRow auf False festgelegt wurde und Registerkarten abgeschnitten werden, wird eine kleine Bildlaufleiste auf dem Register-Steuerelement (TabStrip) angezeigt, mit der Sie zu den anderen Registerkarten und Seiten blättern können.


 MultiSelect-Eigenschaft

MultiSelect-Eigenschaft

Gibt an, ob das Objekt Mehrfachauswahl gestattet.

Syntax

object.MultiSelect [=MultiSelect]

Die Syntax der MultiSelect-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
MultiSelect | Optional. Der Auswahlmodus, der bei diesem Steuerelement verwendet wird.

Einstellungen

Die Einstellungen für MultiSelect sind:

Wert | Beschreibung
0 | Es kann nur ein Element ausgewählt werden (Standard).
1 | Durch Drücken der LEERTASTE oder durch Klicken mit der Maus wird ein Element in der Liste markiert bzw. dessen Markierung aufgehoben.
2 | Durch Drücken der UMSCHALTTASTE und Klicken mit der Maus oder durch Drücken der UMSCHALTTASTE und einer der Pfeiltasten wird die Markierung vom vorher markierten Element bis zum aktuellen Element erweitert. Durch Drücken von STRG und Klicken mit der Maus wird ein Element markiert bzw. die Markierung des Elements aufgehoben.

Hinweise

Wenn die MultiSelect-Eigenschaft auf Extended oder Simple festgelegt wurde, müssen Sie die Selected-Eigenschaft des Listenfeld-Steuerelements (ListBox) verwenden, um die ausgewählten Elemente zu ermitteln. Daneben ist die Value-Eigenschaft des Steuerelements immer Null.

Die ListIndex-Eigenschaft gibt die Indexzahl der Zeile zurück, die den Tastaturfokus hat.


 Name-Eigenschaft

Name-Eigenschaft

Gibt den Namen eines Steuerelements bzw. eines Objektes oder den Namen einer Schriftart an, die mit einem Font-Objekt verknüpft ist.

Syntax

Für Schriftart
Font.Name [= String]

Für alle anderen Steuerelemente oder Objekte
object.Name [= String]

Die Syntax der Name-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Der Name, den Sie der Schriftart oder dem Steuerelement zuweisen möchten.

Einstellungen

Die Richtlinien für das Zuweisen einer Zeichenfolge zur Name-Eigenschaft, wie beispielsweise die maximale Länge des Namens, sind innerhalb der einzelnen Anwendungen unterschiedlich.

Hinweise

Bei Objekten besteht der Standardwert für Name aus dem Klassennamen des Objektes, gefolgt von einer ganzen Zahl. Beispielsweise ist der Standardname für das erste Textfeld-Steuerelement (TextBox), das Sie in einem Formular erstellen, "Textfeld1". Der Standardname für das zweite Textfeld-Steuerelement (TextBox) ist "Textfeld2".

Sie können die Name-Eigenschaft für ein Steuerelement auf der Registerkarte des Steuerelements oder bei Steuerelementen, die zur Laufzeit hinzugefügt wurden, mit Hilfe von Programmanweisungen festlegen. Wenn Sie ein Steuerelement zur Entwurfszeit hinzufügen, können Sie dessen Name-Eigenschaft nicht zur Laufzeit ändern.

Jedes Steuerelement, das dem Formular zur Entwurfszeit hinzugefügt wurde, muss einen eindeutigen Namen besitzen.

Bei Font-Objekten bezeichnet Name eine bestimmte Schriftart, die im Textbereich eines Steuerelements, eines Objektes oder eines Formulars verwendet werden soll. Das Erscheinungsbild der Schriftart auf dem Bildschirm und beim Druck ist möglicherweise je nach verwendetem Computer und Drucker unterschiedlich. Wenn Sie eine Schriftart auswählen, die von Ihrem System nicht angezeigt werden kann oder die nicht installiert ist, ersetzt Windows diese durch eine ähnliche Schriftart.


Object-Eigenschaft

Überschreibt eine Standardeigenschaft oder -Methode, wenn ein neues Steuerelement über eine Eigenschaft oder Methode gleichen Namens verfügt.

Syntax

object.Object[.property |.method]

Die Syntax der Object-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Der Name eines Objektes, das Sie der Microsoft Forms-Werkzeugsammlung hinzugefügt haben.
property | Optional. Eine Eigenschaft, die über den gleichen Namen verfügt wie eine standardmäßige Microsoft Forms-Eigenschaft.
method | Optional. Eine Methode, die über den gleichen Namen verfügt wie eine standardmäßige Microsoft Forms-Methode.

Bemerkungen

Die Objekt-Eigenschaft ist schreibgeschützt.

Wenn Sie der Microsoft Forms-Werkzeugsammlung ein neues Objekt hinzufügen, ist es möglich, dass das neu hinzugefügte Objekt über eine Eigenschaft oder Methode gleichen Namens wie eine standardmäßige Microsoft Forms-Eigenschaft oder -Methode verfügt. Mit Hilfe der Object-Eigenschaft können Sie die Eigenschaft oder Methode des neu hinzugefügten Objektes anstelle der Standardeigenschaft oder -methode verwenden.


Orientation-Eigenschaft

Gibt an, ob das Drehfeld-Steuerelement (SpinButton) oder das Bildlaufleisten-Steuerelement (ScrollBar) vertikal oder horizontal ausgerichtet ist.

Syntax

object.Orientation [=Orientation]

Die Syntax der Orientation-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Orientation | Optional. Die Ausrichtung des Steuerelements.

Einstellungen

Die Einstellungen für Orientation sind:

Wert | Beschreibung
-1 | Bestimmt automatisch die Ausrichtung basierend auf den Abmessungen des Steuerelements (Standard).
0 | Das Steuerelement wird vertikal wiedergegeben.
1 | Das Steuerelement wird horizontal wiedergegeben.

Bemerkungen

Wenn Sie eine automatische Ausrichtung angeben, bestimmen die Höhe und Breite des Steuerelements, ob es horizontal oder vertikal angezeigt wird. Ist ein Steuerelement beispielsweise breiter als hoch, wird es horizontal dargestellt; ist es schmaler als breit, wird es vertikal angezeigt.


 Parent-Eigenschaft

Parent-Eigenschaft

Gibt den Namen eines Formulars, eines Objektes oder einer Auflistung zurück, das bzw. die ein bestimmtes Steuerelement, Objekt oder eine bestimmte Auflistung enthält.

Syntax

object.Parent

Die Syntax der Parent-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Bemerkungen

Die Parent-Eigenschaft ist schreibgeschützt.

Verwenden Sie die Parent-Eigenschaft, um auf die Eigenschaften, Methoden oder Steuerelemente des dem Objekt übergeordneten Objektes zuzugreifen.

Diese Eigenschaft ist hilfreich in Anwendungen, in denen Sie Objekte als Argumente übergeben. Beispielsweise könnten Sie eine Steuervariable an eine allgemeine Prozedur in einem Modul übergeben und die Parent-Eigenschaft für den Zugriff auf deren übergeordnetes Formular verwenden.


 PasswordChar-Eigenschaft

PasswordChar-Eigenschaft

Gibt an, ob Platzhalterzeichen anstelle der tatsächlich in ein Textfeld-Steuerelement (TextBox) eingegebenen Zeichen angezeigt werden sollen.

Syntax

object.PasswordChar [= String]

Die Syntax der PasswordChar-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Ein Ausdruck vom Typ String, der die Platzhalterzeichen angibt.

Bemerkungen

Sie können die PasswordChar-Eigenschaft zum Schützen sensibler Daten wie beispielsweise Kennwörter oder Sicherheitscodes verwenden. Der Wert der PasswordChar-Eigenschaft ist das Zeichen (normalerweise ein Stern (*)), das in einem Steuerelement anstelle der tatsächlich vom Benutzer eingegebenen Zeichen angezeigt wird. Wenn Sie kein Zeichen angeben, zeigt das Steuerelement die vom Benutzer eingegebenen Zeichen an.


 Picture-Eigenschaft

Picture-Eigenschaft

Gibt die Bitmapgrafik an, die auf einem Objekt anzeigt werden soll.

Syntax

object.Picture = LoadPicture( pathname )

Die Syntax der Picture-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
pathname | Erforderlich. Der vollständige Pfad der Grafikdatei.

Bemerkungen

Sie müssen die Registerkarte des Steuerelements verwenden, um der Picture-Eigenschaft eine Bitmap zuzuweisen. Sie können für das Zuweisen einer Bitmap zur Picture-Eigenschaft nicht die LoadPicture-Funktion verwenden.

Zum Entfernen einer einem Steuerelement zugewiesenen Grafik klicken Sie auf den Wert der Picture-Eigenschaft auf der Registerkarte und drücken ENTF. Durch Drücken der RÜCKTASTE lässt sich die Grafik nicht entfernen.

Anmerkung Verwenden Sie bei Steuerelementen mit Titelzeilen die PicturePosition-Eigenschaft, um anzugeben, wo auf dem Objekt die Grafik angezeigt werden soll. Verwenden Sie die PictureSizeMode-Eigenschaft, um festzulegen, wie die Grafik das Objekt ausfüllen soll.

Transparente Grafiken wirken manchmal etwas verschwommen. Falls Ihnen diese Darstellungsweise nicht gefällt, zeigen Sie die Grafik auf einem Steuerelement an, das undurchsichtige Grafiken unterstützt. Anzeige- (Image) und Multiseiten-Steuerelemente (MultiPage) unterstützen undurchsichtige Grafiken.


 PictureAlignment-Eigenschaft

PictureAlignment-Eigenschaft

Gibt die Position einer Hintergrundgrafik an.

Syntax

object.PictureAlignment [=PictureAlignment]

Die Syntax der PictureAlignment-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
PictureAlignment | Optional. Die Position, an der sich die Grafik am Objekt ausrichtet.

Einstellungen

Die Einstellungen für PictureAlignment sind:

Wert | Beschreibung
0 | Die obere linke Ecke.
1 | Die obere rechte Ecke.
2 | Die Mitte.
3 | Die untere linke Ecke.
4 | Die untere rechte Ecke.

Bemerkungen

Die PictureAlignment-Eigenschaft bezeichnet, welche Ecke der Grafik mit der entsprechenden Ecke des Steuerelements oder des Containers übereinstimmt, in dem die Grafik verwendet wird.

Legen Sie beispielsweise die PictureAlignment-Eigenschaft auf 0 fest, bedeutet dies, dass die obere linke Ecke der Grafik mit der oberen linken Ecke des Steuerelements oder des Containers übereinstimmt. Legen Sie die PictureAlignment-Eigenschaft auf 2 fest, wird die Grafik in der Mitte, relativ zur Höhe und Breite des Steuerelements oder des Containers, positioniert.

Wenn Sie eine Grafik auf einem Steuerelement oder einem Container kachelartig nebeneinander positionieren, wirkt sich die Einstellung von PictureAlignment auf das Kachelmuster aus. Wurde PictureAlignment beispielsweise auf 0 festgelegt, wird die erste Kopie der Grafik in der oberen linken Ecke des Steuerelements oder des Containers platziert, und alle weiteren Kopien werden in jeder Zeile kachelartig von links nach rechts angeordnet. Wurde PictureAlignment auf 2 festgelegt, wird die erste Kopie der Grafik in der Mitte des Steuerelements oder des Containers und weitere Kopien auf der linken und rechten Seite positioniert, um die Zeile zu vervollständigen. Anschließend werden weitere Zeilen hinzugefügt, die das Steuerelement oder den Container auffüllen.

Anmerkung Durch Festlegen der PictureSizeMode-Eigenschaft auf 2 wird die PictureAlignment-Eigenschaft überschrieben. Wurde PictureSizeMode auf 2 festgelegt, füllt die Grafik das gesamte Steuerelement oder den gesamten Container aus.


PicturePosition-Eigenschaft

Legt die Position der Grafik relativ zu ihrem Titel fest.

Syntax

object.PicturePosition [=PicturePosition]

Die Syntax der PicturePosition-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
PicturePosition | Optional. Gibt an, wie sich die Grafik an dem entsprechenden Container ausrichtet.

Einstellungen

Die Einstellungen für PicturePosition sind:

Wert | Beschreibung
0 | Die Grafik wird links des Titels angezeigt. Der Titel wird am oberen Rand der Grafik ausgerichtet.
1 | Die Grafik wird links des Titels angezeigt. Der Titel wird relativ zur Grafik zentriert.
2 | Die Grafik wird links des Titels angezeigt. Der Titel wird am unteren Rand der Grafik ausgerichtet.
3 | Die Grafik wird rechts des Titels angezeigt. Der Titel wird am oberen Rand der Grafik ausgerichtet.
4 | Die Grafik wird rechts des Titels angezeigt. Der Titel wird relativ zur Grafik zentriert.
5 | Die Grafik wird rechts des Titels angezeigt. Der Titel wird am unteren Rand der Grafik ausgerichtet.
6 | Die Grafik wird oberhalb des Titels angezeigt. Der Titel wird am linken Rand der Grafik ausgerichtet.
7 | Die Grafik wird oberhalb des Titels angezeigt. Der Titel wird unterhalb der Grafik zentriert (Standard).
8 | Die Grafik wird oberhalb des Titels angezeigt. Der Titel wird am rechten Rand der Grafik ausgerichtet.
9 | Die Grafik wird unterhalb des Titels angezeigt. Der Titel wird am linken Rand der Grafik ausgerichtet.
10 | Die Grafik wird unterhalb des Titels angezeigt. Der Titel wird über der Grafik zentriert.
11 | Die Grafik wird unterhalb des Titels angezeigt. Der Titel wird am rechten Rand der Grafik ausgerichtet.
12 | Die Grafik wird in der Mitte des Steuerelements angezeigt. Der Titel wird horizontal und vertikal auf der Grafik zentriert.

Bemerkungen

Die Grafik und der Titel werden als Einheit auf dem Steuerelement zentriert. Wenn kein Titel vorhanden ist, wird die Grafik relativ zur Mitte des Steuerelements positioniert.

Diese Eigenschaft wird ignoriert, wenn mit der Picture-Eigenschaft keine Grafik angegeben wird.


 PictureSizeMode-Eigenschaft

PictureSizeMode-Eigenschaft

Gibt an, wie die Hintergrundgrafik auf einem Steuerelement, einem Formular oder einer Seite angezeigt werden soll.

Syntax

object.PictureSizeMode [=PictureSizeMode]

Die Syntax der PictureSizeMode-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
PictureSizeMode | Optional. Die Aktion, die durchgeführt werden muss, wenn die Grafik und das Formular oder die Seite, auf der bzw. dem sie sich befindet, nicht die gleiche Größe haben.

Einstellungen

Die Einstellungen für PictureSizeMode sind:

Wert | Beschreibung
0 | Schneidet jeden Teil der Grafik zu, der größer als das Formular oder die Seite ist (Standard).
1 | Dehnt die Grafik, um das Formular oder die Seite auszufüllen. Mit dieser Einstellung wird die Grafik entweder in horizontaler oder in vertikaler Richtung verzerrt.
3 | Vergrößert die Grafik, verzerrt sie jedoch weder in horizontaler noch in vertikaler Richtung.

Bemerkungen

Die PictureSizeModeClip-Einstellung gibt an, dass die Grafik in ihrer Originalgröße und -skalierung angezeigt werden soll. Wenn das Formular oder die Seite kleiner als die Grafik ist, wird mit dieser Einstellung nur der Teil der Grafik angezeigt, der in das Formular oder auf die Seite passt.

Die Einstellungen 1 und 3 vergrößern die Grafik, Einstellung 1 verursacht jedoch Verzerrungen. Mit der Einstellung 1 wird die Grafik horizontal und vertikal vergrößert, bis die entsprechenden Ränder des Containers oder des Steuerelements erreicht sind. Mit der Einstellung 3 wird die Grafik vergrößert, bis die horizontalen und vertikalen Ränder des Containers oder des Steuerelements erreicht sind. Werden die horizontalen Ränder zuerst erreicht, bleibt jeder eventuell noch vorhandene Abstand zu den vertikalen Rändern leer. Werden die vertikalen Ränder zuerst erreicht, bleibt jeder eventuell noch vorhandene Abstand zu den horizontalen Rändern leer.

Anmerkung Durch Festlegen auf der PictureSizeMode-Eigenschaft auf 2 wird die PictureAlignment-Eigenschaft überschrieben. Wurde PictureSizeMode auf 2 festgelegt, füllt die Grafik das gesamte Steuerelement oder den gesamten Container aus.


PictureTiling-Eigenschaft

Mit dieser Eigenschaft können Sie eine Grafik in einem Formular oder auf einer Seite kachelartig positionieren.

Syntax

object.PictureTiling [= Boolean]

Die Syntax der PictureTiling-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob die Grafik auf dem Hintergrund wiederholt wird.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Die Grafik wird auf dem Hintergrund wiederholt und kachelartig angeordnet.
False | Die Grafik wird auf dem Hintergrund nicht wiederholt und kachelartig angeordnet (Standard).

Bemerkungen

Wenn eine Grafik kleiner ist als das Formular oder die Seite, auf dem bzw. der sie sich befindet, können Sie die Grafik wiederholen und kachelartig auf einem Formular oder einer Seite anordnen.

Das Kachelmuster ist hierbei abhängig von den aktuellen Einstellungen der Eigenschaften PictureAlignment und PictureSizeMode. Wenn PictureAlignment beispielsweise auf 0 festgelegt wurde, beginnt das Kachelmuster in der oberen linken Ecke, wobei die Grafik quer über das Formular oder die Seite und nach unten über die gesamte Höhe des Formulars oder der Seite wiederholt wird. Wurde PictureSizeMode auf 0 festgelegt, wird die letzte "Kachel" im Kachelmuster zugeschnitten, wenn sie nicht vollständig in das Formular oder auf die Seite passt.


ProportionalThumb-Eigenschaft

Gibt an, ob sich die Größe des Bildlauffeldes proportional zum Bildlaufbereich verhält oder ob es sich um einen festgelegten Wert handelt.

Syntax

object.ProportionalThumb [= Boolean]

Die Syntax der ProportionalThumb-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Bildlauffeld eine proportionale oder eine feste Größe besitzt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Die Größe des Bildlauffeldes ist proportional zum Bildlaufbereich (Standard).
False | Das Bildlauffeld besitzt eine festgelegte Größe.

Bemerkungen

Die Größe eines proportionalen Bildlauffeldes stellt grafisch den Prozentanteil des Objektes dar, das im Fenster sichtbar ist. Sind beispielsweise 75 Prozent eines Objekts sichtbar, nimmt das Bildlauffeld auch drei Viertel des bildlauffähigen Bereichs auf der Bildlaufleiste ein.

Wenn das Bildlauffeld eine feste Größe besitzt, bestimmt das System die Größe basierend auf der Höhe und Breite der Bildlaufleiste.


RowSource-Eigenschaft

Gibt die Datenquelle für die Liste eines Kombinationsfeld-Steuerelements (ComboBox) oder Listenfeld-Steuerelements (ListBox) an.

Syntax

object.RowSource [= String]

Die Syntax der RowSource-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Die Datenquelle für die Liste in einem Kombinationsfeld- (ComboBox) oder Listenfeld-Steuerelement (ListBox).

Bemerkungen

Für die RowSource-Eigenschaft können auch Bereiche aus Microsoft Excel-Tabellen verwendet werden.


ScrollBars-Eigenschaft

Gibt an, ob ein Steuerelement, ein Formular oder eine Seite über vertikale oder horizontale Bildlaufleisten oder über beides verfügt.

Syntax

object.ScrollBars [=ScrollBars]

Die Syntax der ScrollBars-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
ScrollBars | Optional. Die Position, an der Bildlaufleisten angezeigt werden sollen.

Einstellungen

Die Einstellungen für ScrollBars sind:

Wert | Beschreibung
0 | Es werden keine Bildlaufleisten angezeigt (Standard).
1 | Es wird eine horizontale Bildlaufleiste angezeigt.
2 | Es wird eine vertikale Bildlaufleiste angezeigt.
3 | Es werden sowohl eine horizontale als auch eine vertikale Bildlaufleiste angezeigt.

Bemerkungen

Wenn die KeepScrollBarsVisible-Eigenschaft auf True festgelegt wurde, ist jede Bildlaufleiste auf einem Formular oder einer Seite immer sichtbar, ungeachtet, ob der Inhalt des Objektes innerhalb der Objektränder ausreichend Platz findet oder nicht.

Wenn die Bildlaufleiste sichtbar ist, ist die Größe von deren Bildlauffeld auf den sichtbaren Bereich der Bildlaufleiste beschränkt. Darüber hinaus wird auch die Bildposition den Anforderungen entsprechend angepasst, um die gesamte Bildlaufleiste sichtbar zu halten. Der Bereich einer Bildlaufleiste ändert sich, wenn sich der Wert der ScrollBars-Eigenschaft ändert, wenn sich die Bildlaufgröße ändert oder wenn sich die Größe des sichtbaren Bereichs ändert.

Wenn eine Bildlaufleiste nicht sichtbar ist, können Sie deren Bildlaufposition auf einen beliebigen Wert festlegen. Negative Werte und Werte, die größer als die Bildlaufgröße sind, sind beide gültig.

Bei einem einzeiligen Steuerelement können Sie die horizontale Bildlaufleiste unter Verwendung der Eigenschaften ScrollBars und AutoSize anzeigen. Bildlaufleisten werden entsprechend den folgenden Regeln ausgeblendet oder eingeblendet:

  1. Wenn die ScrollBars-Eigenschaft auf ScrollBarsNone festgelegt wurde, sind keine Bildlaufleisten sichtbar.

  2. Wenn die ScrollBars-Eigenschaft auf 1 oder 3 festgelegt wurde, wird im Steuerelement eine horizontale Bildlaufleiste angezeigt, wenn der Text länger als der Bearbeitungsbereich ist und wenn im Steuerelement ausreichend Platz vorhanden ist, um die Bildlaufleiste unterhalb des Bearbeitungsbereichs anzuzeigen.

  3. Wurde die AutoSize-Eigenschaft auf True festgelegt, wird das Steuerelement automatisch vergrößert, damit eine Bildlaufleiste angezeigt werden kann, sofern das Steuerelement nicht bereits seine maximale Größe erreicht hat bzw. bald erreichen wird.

Bei einem mehrzeiligen Textfeld-Steuerelement (TextBox) können Sie Bildlaufleisten unter Verwendung der Eigenschaften ScrollBars, WordWrap und AutoSize anzeigen. Bildlaufleisten werden entsprechend den folgenden Regeln ausgeblendet oder eingeblendet:

  1. Wenn die ScrollBars-Eigenschaft auf 0 festgelegt wurde, wird keine Bildlaufleiste angezeigt.

  2. Wenn die ScrollBars-Eigenschaft auf 2 oder 3 festgelegt wurde, wird im Steuerelement eine vertikale Bildlaufleiste angezeigt, wenn der Text länger als der Bearbeitungsbereich ist und wenn im Steuerelement ausreichend Platz vorhanden ist, um die Bildlaufleiste am rechten Rand des Bearbeitungsbereichs anzuzeigen.

  3. Wenn die WordWrap-Eigenschaft auf True festgelegt wurde, wird in einem mehrzeiligen Steuerelement keine horizontale Bildlaufleiste angezeigt. Bei den meisten mehrzeiligen Steuerelementen wird keine horizontale Bildlaufleiste verwendet.

  4. In einem mehrzeiligen Steuerelement kann eine horizontale Bildlaufleiste angezeigt werden, wenn die folgenden Bedingungen gleichzeitig eintreten:
    • Im Bearbeitungsbereich befindet sich ein Wort, das länger als die Breite des Bearbeitungsbereichs ist.

    • Im Steuerelement sind die horizontalen Bildlaufleisten aktiviert.

    • Im Steuerelement steht ausreichend Platz für eine Bildlaufleiste unterhalb des Bearbeitungsbereichs zur Verfügung.

    • Die WordWrap-Eigenschaft wurde auf False festgelegt.


 Die Eigenschaften ScrollHeight und ScrollWidth

Die Eigenschaften ScrollHeight und ScrollWidth

Geben die Höhe des gesamten Bereichs, der im Steuerelement, im Formular oder auf der Seite mit Hilfe der Bildlaufleisten angezeigt werden kann, in Punkt (pt.) an.

Syntax

object.ScrollHeight [= Single]

object.ScrollWidth [= Single]

Die Syntax der Eigenschaften ScrollHeight und ScrollWidth setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Die Höhe oder Breite des bildlauffähigen Bereichs.


 Die Eigenschaften "ScrollLeft" und "ScrollTop"

Die Eigenschaften "ScrollLeft" und "ScrollTop"

Geben Sie den Abstand des linken oder oberen Randes des sichtbaren Formulars vom linken oder oberen Rand des logischen Formulars, der Seite oder des Steuerelements in Punkt (pt.) an.

Syntax

object.ScrollLeft [= Single]

object.ScrollTop [= Single]

Die Syntax der Eigenschaften ScrollLeft und ScrollTop setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Der Abstand vom Rand des Formulars.

Bemerkungen

Als Minimalwert gilt Null; der Maximalwert ist die Differenz zwischen dem Wert der ScrollWidth-Eigenschaft und dem Wert der Width-Eigenschaft für das Formular oder die Seite.


 Selected-Eigenschaft

Selected-Eigenschaft

Gibt den Markierungsstatus von Elementen in einem Listenfeld-Steuerelement (ListBox) zurück oder legt diesen fest.

Syntax

object.Selected( index ) [= Boolean]

Die Syntax der Selected-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Index | Erforderlich. Eine ganze Zahl im Bereich zwischen 0 und der Zahl, die sich aus der Anzahl der Elemente in der Liste minus 1 berechnet.
Boolean | Optional. Gibt an, ob ein Element markiert ist.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Element ist markiert.
False | Das Element ist nicht markiert.

Bemerkungen

Die Selected-Eigenschaft ist nützlich, wenn Benutzer eine Mehrfachauswahl treffen können. Sie können mit dieser Eigenschaft die markierten Zeilen in einem Mehrfachauswahl-Listenfeld bestimmen. Darüber hinaus können Sie die Eigenschaft verwenden, um Zeilen in einer Liste aus Code zu markieren oder die Markierung aufzuheben.

Der Standardwert für diese Eigenschaft basiert auf dem aktuellen Markierungsstatus des Listenfeld-Steuerelements (ListBox).

Bei Einfachauswahl-Listenfeldern wird die Verwendung der Eigenschaften Value oder ListIndex für das Abrufen und Festlegen der Markierung empfohlen. In diesem Fall gibt ListIndex den Index des markierten Elements zurück. Bei Mehrfachauswahl-Listenfeldern gibt ListIndex jedoch den Index der Zeile zurück, die sich innerhalb des Fokus-Rechtecks befindet, unabhängig davon, ob die Zeile aktuell markiert ist.

Wenn die MultiSelect-Eigenschaft eines Listenfeld-Steuerelements (ListBox) auf Keine festgelegt wurde, kann die Selected-Eigenschaft nur für eine Zeile auf True festgelegt werden.

Wenn ein Wert eingegeben wird, der sich außerhalb des Indexbereichs befindet, wird keine Fehlermeldung erzeugt, es wird jedoch auch keine Eigenschaft für ein Element in der Liste festgelegt.


SelectedItem-Eigenschaft

Gibt das aktuell ausgewählte Tab- oder Page-Objekt zurück.

Syntax

object.SelectedItem

Die Syntax der SelectedItem-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Registerkarten- (TabStrip) oder Multiseiten-Steuerelement (MultiPage).

Bemerkungen

Die SelectedItem-Eigenschaft ist schreibgeschützt. Verwenden Sie die SelectedItem-Eigenschaft, um auf das aktuell ausgewählte Tab- oder Page-Objekt programmgesteuert zuzugreifen. Sie können SelectedItem beispielsweise verwenden, um den Eigenschaften eines Tab- oder Page-Objektes Werte zuzuweisen.


SelectionMargin-Eigenschaft

Gibt an, ob der Benutzer eine Textzeile markieren kann, indem er auf den Bereich links des Textes klickt.

Syntax

object.SelectionMargin [= Boolean]

Die Syntax der SelectionMargin-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob durch Klicken auf den Rand eine Textzeile markiert werden kann.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Durch Klicken auf den Rand wird Text markiert (Standard).
False | Durch Klicken auf den Rand wird kein Text markiert.

Bemerkungen

Wenn die SelectionMargin-Eigenschaft auf True festgelegt wurde, nimmt der entsprechende Randbereich zum Markieren einen schmalen Streifen entlang des linken Randes des Bearbeitungsbereichs des Steuerelements ein. Ist die Eigenschaft auf False festgelegt, kann der gesamte Bearbeitungsbereich zum Speichern von Text verwendet werden.

Ist die SelectionMargin-Eigenschaft auf True festgelegt, wenn ein Steuerelement gedruckt wird, wird der entsprechende Randbereich zum Markieren ebenfalls gedruckt.


 SelLength-Eigenschaft

SelLength-Eigenschaft

Die Anzahl der markierten Zeichen in einem Textfeld-Steuerelement (TextBox) oder im Textbereich eines Kombinationsfeld-Steuerelements (ComboBox).

Syntax

object.SelLength [= Long]

Die Syntax der SelLength-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein numerischer Ausdruck, der die Anzahl der markierten Zeichen angibt. Für die Eigenschaften SelLength und SelStart liegt der gültige Einstellbereich zwischen 0 und der Gesamtzahl der Zeichen im Bearbeitungsbereich eines Kombinationsfeld-Steuerelements (ComboBox) oder eines Textfeld-Steuerelements (TextBox).

Bemerkungen

Die SelLength-Eigenschaft ist immer gültig, auch wenn das Steuerelement nicht den Fokus besitzt. Wird SelLength auf einen Wert unter Null festgelegt, wird eine Fehlermeldung ausgelöst. Beim Versuch, SelLength auf einen Wert festzulegen, der größer als die Anzahl der verfügbaren Zeichen in einem Steuerelement ist, wird der Wert eingesetzt, der der Anzahl der Zeichen im Steuerelement entspricht.

Anmerkung Wird der Wert der SelStart-Eigenschaft geändert, wird jede bestehende Markierung im Steuerelement aufgehoben, eine Einfügemarke im Text positioniert und SelLength auf Null festgelegt.

Der Standardwert Null bedeutet, dass aktuell kein Text markiert ist.


 SelStart-Eigenschaft

SelStart-Eigenschaft

Zeigt den Anfangspunkt von markiertem Text oder die Position der Einfügemarke an, wenn kein Text markiert ist.

Syntax

object.SelStart [= Long]

Die Syntax der SelStart-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Ein numerischer Ausdruck, der den Anfangspunkt des markierten Textes angibt. Für die Eigenschaften SelLength und SelStart liegt der gültige Einstellbereich zwischen 0 und der Gesamtzahl der Zeichen im Bearbeitungsbereich eines Kombinationsfeld-Steuerelements (ComboBox) oder eines Textfeld-Steuerelements (TextBox). Als Standardwert gilt Null.

Bemerkungen

Die SelStart-Eigenschaft ist immer gültig, auch wenn das Steuerelement nicht den Fokus hat. Wird SelStart auf einen Wert unter Null festgelegt, wird eine Fehlermeldung erzeugt. Beim Versuch, SelStart auf einen Wert einzustellen, der größer als die Anzahl der verfügbaren Zeichen in einem Steuerelement ist, wird der Wert eingesetzt, der der Anzahl der Zeichen im Steuerelement entspricht.

Wird der Wert der SelStart-Eigenschaft geändert, wird jede bereits vorhandene Markierung im Steuerelement aufgehoben, es wird eine Einfügemarke im Text positioniert, und die SelLength-Eigenschaft wird auf Null festgelegt.


 SelText-Eigenschaft

SelText-Eigenschaft

Gibt den markierten Text in einem Steuerelement zurück oder legt diesen fest.

Syntax

object.SelText [= String]

Die Syntax der SelText-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Ein Ausdruck vom Typ String, der den markierten Text enthält.

Bemerkungen

Wenn im Bearbeitungsbereich eines Steuerelements keine Zeichen markiert sind, gibt die SelText-Eigenschaft eine Nullzeichenfolge zurück. Diese Eigenschaft ist gültig, ungeachtet, ob das Steuerelement den Fokus hat.


ShowDropButtonWhen-Eigenschaft

Gibt an, wann die Dropdownschaltfläche für ein Kombinationsfeld-Steuerelement (ComboBox) angezeigt werden soll.

Syntax

object.ShowDropButtonWhen [=ShowDropButtonWhen]

Die Syntax der ShowDropButtonWhen-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
ShowDropButtonWhen | Optional. Die Umstände, unter denen die Dropdownschaltfläche angezeigt wird.

Einstellungen

Die Einstellungen für ShowDropButtonWhen sind:

Wert | Beschreibung
0 | Die Dropdownschaltfläche wird unter keinen Umständen angezeigt.
1 | Die Dropdownschaltfläche wird angezeigt, wenn das Steuerelement den Fokus hat.
2 | Die Dropdownschaltfläche wird immer angezeigt.

Bei einem Kombinationsfeld-Steuerelement (ComboBox) ist der Standardwert 2.


SmallChange-Eigenschaft

Gibt das Maß an, um das der Objektinhalt verschoben wird, wenn der Benutzer auf einen der Bildlaufpfeile in einem Bildlaufleisten-Steuerelement (ScrollBar) klickt, oder das Maß, um das ein Wert geändert wird, wenn der Benutzer auf einen der Pfeile in einem Drehfeld-Steuerelement (SpinButton) klickt.

Syntax

object.SmallChange [= Long]

Die Syntax der SmallChange-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Eine ganze Zahl, die das Ausmaß der Änderung an der Value-Eigenschaft angibt.

Bemerkungen

Für die SmallChange-Eigenschaft gelten keine Einheiten.

Als gültige Einstellung für diese Eigenschaft kann jede ganze Zahl verwendet werden. Der empfohlene Wertebereich liegt zwischen –32.767 und +32.767. Als Standardwert gilt 1.


 SpecialEffect-Eigenschaft

SpecialEffect-Eigenschaft

Gibt die visuelle Darstellungsweise eines Objektes an.

Syntax

object.SpecialEffect [=SpecialEffect]

Die Syntax der SpecialEffect-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
SpecialEffect | Optional. Die gewünschte visuelle Darstellungsweise eines Objektes mit Ausnahme von Kontrollkästchen-Steuerelementen (CheckBox), Optionsfeld-Steuerelementen (OptionButton) oder Umschaltfeld-Steuerelementen (ToggleButton).

Einstellungen

Die Einstellungen für SpecialEffect sind:

Wert | Beschreibung
0 | Objekt erscheint flach und wird vom umgebenden Formular durch einen Rahmen, eine andere Farbe oder beides abgehoben. Standard für das Anzeige-Steuerelement (Image) und das Bezeichnungsfeld-Steuerelement (Label), gültig für alle Steuerelemente.
1 | Objekt verfügt links oben über ein Highlight sowie rechts unten über einen Schatten. Nicht gültig für Kontrollkästchen-Steuerelemente (CheckBox) und Optionsfeld-Steuerelemente (OptionButton).
2 | Objekt verfügt oben links über einen Schatten sowie rechts unten über ein Highlight. Das Steuerelement und dessen Rahmen wirken wie in das Formular eingraviert. Standard für Kontrollkästchen-Steuerelemente (CheckBox) und Optionsfeld-Steuerelemente (OptionButton), gültig für alle Steuerelemente (Standard).
3 | Der Rahmen wirkt wie um den Rand des Steuerelements herum graviert. Nicht gültig für Kontrollkästchen-Steuerelemente (CheckBox) und Optionsfeld-Steuerelemente (OptionButton).
6 | Objekt verfügt rechts unten über eine gewölbte Kante und wirkt links oben flach. Nicht gültig für Kontrollkästchen-Steuerelemente (CheckBox) und Optionsfeld-Steuerelemente (OptionButton).

Bei einem Rahmen-Steuerelement (Frame) ist der Standardwert 2.

Beachten Sie, dass nur 0 und 2 gültige Werte für Kontrollkästchen-Steuerelemente, (CheckBox), Optionsfeld-Steuerelemente (OptionButton) und Umschaltfeld-Steuerelemente (ToggleButton) sind. Für alle anderen Steuerelemente sind alle aufgeführten Werte gültig.

Bemerkungen

Sie können entweder die SpecialEffect-Eigenschaft oder die BorderStyle-Eigenschaft zum Festlegen der Ränder eines Steuerelements verwenden, jedoch nicht beide. Wenn Sie für eine dieser Eigenschaften einen anderen Wert als Null angeben, setzt das System den Wert der anderen Eigenschaft auf Null. Wenn Sie beispielsweise die SpecialEffect-Eigenschaft auf 1 festlegen, setzt das System die BorderStyle-Eigenschaft auf 0.

Bei einem Rahmen-Steuerelement (Frame) wird die BorderStyle-Eigenschaft ignoriert, wenn die SpecialEffect-Eigenschaft auf 0 festgelegt ist.

Bei der SpecialEffect-Eigenschaft werden ausschließlich die Systemfarben verwendet, um die entsprechenden Rahmenfarben zu definieren.

Anmerkung Für das Umschaltfeld-Steuerelement (ToggleButton) existiert die SpecialEffect-Eigenschaft zwar, ist jedoch deaktiviert. Für diese Eigenschaft können Sie bei einem Umschaltfeld-Steuerelement (ToggleButton) weder einen Wert festlegen noch abrufen.


Style-Eigenschaft

Gibt für ein Kombinationsfeld-Steuerelement (ComboBox) an, wie der Benutzer den Wert des Steuerelements wählen oder festlegen kann. Bezeichnet für ein Multiseiten-Steuerelement (MultiPage) und ein Register-Steuerelement (TabStrip) den Stil der Registerkarten im Steuerelement.

Syntax

object.Style [=Style]

Die Syntax der Style-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Style | Optional. Gibt an, wie der Benutzer den Wert eines Kombinationsfeld-Steuerelements (ComboBox) festlegt.

Einstellungen

Die Einstellungen für das Kombinationsfeld-Steuerelement (ComboBox) sind:

Wert | Beschreibung
0 | Das Kombinationsfeld-Steuerelement (ComboBox) verhält sich wie ein Dropdown-Kombinationsfeld. Der Benutzer kann einen Wert in den Bearbeitungsbereich eingeben, oder er kann einen Wert aus der Dropdownliste wählen (Standard).
2 | Das Kombinationsfeld-Steuerelement (ComboBox) verhält sich wie ein Listenfeld. Der Benutzer muss einen Wert aus der Liste wählen.

Die Einstellungen für das Multiseiten-Steuerelement (MultiPage) und das Register-Steuerelement (TabStrip) sind:

Wert | Beschreibung
0 | Es werden Register auf der Registerleiste angezeigt (Standard).
1 | Es werden Schaltflächen auf der Registerleiste angezeigt.
2 | Die Registerleiste wird nicht angezeigt.


 Die Eigenschaften TabFixedHeight und TabFixedWidth

Die Eigenschaften TabFixedHeight und TabFixedWidth

Legt eine feste Höhe oder Breite für die Registerkarten in Punkt fest oder gibt diese Werte zurück.

Syntax

object.TabFixedHeight [= Single]

object.TabFixedWidth [= Single]

Die Syntax der Eigenschaften TabFixedHeight und TabFixedWidth setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Single | Optional. Die Höhe oder Breite in Punkt der Registerkarten in einem Register-Steuerelement (TabStrip) oder einem Multiseiten-Steuerelement (MultiPage).

Einstellungen

Ist der Wert 0, wird die Breite der Registerkarten automatisch so angepasst, dass jede Registerkarte breit genug ist, um ihren jeweiligen Inhalt aufzunehmen, und jede Registerreihe läuft über die volle Breite des Steuerelements.

Ist der Wert größer als 0, verfügen alle Registerkarten über eine identische Breite wie von dieser Eigenschaft angegeben.

Bemerkungen

Die minimale Größe beträgt 4 Punkt.


 TabIndex-Eigenschaft

TabIndex-Eigenschaft

Gibt die Position eines einzelnen Objektes in der Aktivierreihenfolge des Formulars an.

Syntax

object.TabIndex [= Integer]

Die Syntax der TabIndex-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Integer | Optional. Eine ganze Zahl im Bereich zwischen 0 und der Anzahl der Steuerelemente im Formular, die über die TabIndex-Eigenschaft verfügen, -1. Wird für TabIndex ein Wert angegeben, der geringer als Null ist, wird eine Fehlermeldung erzeugt. Wenn Sie für TabIndex einen Wert angeben, der größer als der größte tatsächliche Indexwert ist, setzt das System diesen Wert auf den maximal zulässigen Wert zurück.

Bemerkungen

Der Indexwert des ersten Objektes in der Aktivierreihenfolge ist Null.


 TabKeyBehavior-Eigenschaft

TabKeyBehavior-Eigenschaft

Legt fest, ob im Bearbeitungsbereich Tabulatorsprünge zulässig sind.

Syntax

object.TabKeyBehavior [= Boolean]

Die Syntax der TabKeyBehavior-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt den Effekt an, der sich durch Drücken der TAB-TASTE ergibt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Durch Drücken der TAB-TASTE wird im Bearbeitungsbereich ein Tabulator eingefügt.
False | Durch Drücken der TAB-TASTE wird der Fokus auf das nächste Objekt in der Aktivierreihenfolge verschoben (Standard).

Bemerkungen

Die Eigenschaften TabKeyBehavior und MultiLine sind eng miteinander verbunden. Die oben aufgeführten Werte sind nur gültig, wenn die MultiLine-Eigenschaft auf True festgelegt ist. Steht die MultiLine-Eigenschaft auf False, wird der Fokus durch Drücken der TAB-TASTE immer zum nächsten Steuerelement in der Aktivierreihenfolge verschoben, ungeachtet des Wertes für die TabKeyBehavior-Eigenschaft.

Der Effekt der Tastenkombination STRG+TAB ist ebenfalls vom Wert der MultiLine-Eigenschaft abhängig. Wurde MultiLine auf True festgelegt, wird mit der Tastenkombination STRG+TAB eine neue Zeile erstellt, ungeachtet des Wertes von TabKeyBehavior. Wurde die MultiLine-Eigenschaft auf False festgelegt, hat das Drücken von STRG+TAB keinen Effekt.


TabOrientation-Eigenschaft

Gibt die Position der Register in einem Multiseiten-Steuerelement (MultiPage) oder einem Register-Steuerelement (TabStrip) an.

Syntax

object.TabOrientation [=TabOrientation]

Die Syntax der TabOrientation-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
TabOrientation | Optional. Gibt an, an welcher Position die Register angezeigt werden.

Einstellungen

Die Einstellungen für TabOrientation sind:

Wert | Beschreibung
0 | Die Register werden am oberen Rand des Steuerelements angezeigt (Standard).
1 | Die Register werden am unteren Rand des Steuerelements angezeigt.
2 | Die Register werden am linken Rand des Steuerelements angezeigt.
3 | Die Register werden am rechten Rand des Steuerelements angezeigt.

Bemerkungen

Wenn Sie TrueType-Schriftarten verwenden, wird der Text gedreht, wenn die TabOrientation-Eigenschaft auf die Werte 2 oder 3 festgelegt wird. Wenn Sie Bitmapschriftarten verwenden, wird der Text nicht gedreht.


 TabStop-Eigenschaft

TabStop-Eigenschaft

Gibt an, ob ein Objekt den Fokus erhalten kann, wenn der Benutzer mit Hilfe der TAB-TASTE zu dem Objekt wechselt.

Syntax

object.TabStop [= Boolean]

Die Syntax der TabStop-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Objekt mittels TAB-TASTE aktiviert werden kann.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Legt das Objekt als TabStop fest (Standard).
False | Wenn der Benutzer mit der TAB-TASTE zu den einzelnen Steuerelementen wechselt, wird dieses Objekt übergangen, obwohl es noch immer seinen Platz in der eigentlichen Aktivierreihenfolge einnimmt, wie von der TabIndex-Eigenschaft festgelegt.

Bemerkungen

Sie können die Einstellungen der Eigenschaften Enabled und TabStop kombinieren, um zu verhindern, dass ein Benutzer eine Befehlsschaltfläche mit der TAB-TASTE aktiviert, während diese durch Klicken mit der Maus noch immer aktivierbar ist. Legen Sie die TabStop-Eigenschaft auf False fest, bedeutet dies, dass die Befehlsschaltfläche nicht Teil der Aktivierreihenfolge ist. Ist die Enabled-Eigenschaft jedoch auf True festgelegt, kann der Benutzer die Befehlsschaltfläche noch immer per Mausklick aktivieren, solange die TakeFocusOnClick-Eigenschaft auf True festgelegt ist.

Begibt sich der Benutzer per TAB-TASTE in ein aktiviertes Multiseiten- (MultiPage) oder Register-Steuerelement (TabStrip), erhält die erste Seite oder die erste Registerkarte im Steuerelement den Fokus. Ist die erste Seite oder die erste Registerkarte eines Multiseiten- (MultiPage) oder Register-Steuerelements (TabStrip) deaktiviert, erhält die erste aktivierte Seite oder die erste aktivierte Registerkarte den Fokus. Sind alle Seiten oder Registerkarten in einem Multiseiten- (MultiPage) oder Register-Steuerelement (TabStrip) deaktiviert, ist das Steuerelement deaktiviert und kann daher den Fokus nicht erhalten.


Tag-Eigenschaft

Speichert zusätzliche Informationen zu einem Objekt.

Syntax

object.Tag [= String]

Die Syntax der Tag-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Ein Ausdruck vom Typ String, der das Objekt bezeichnet. Als Standard gilt eine Nullzeichenfolge("").

Bemerkungen

Verwenden Sie die Tag-Eigenschaft, um einem Objekt einen Identifikationsstring zuzuweisen, ohne andere Eigenschafteneinstellungen oder Attribute zu beeinflussen.

Beispielsweise können Sie die Tag-Eigenschaft verwenden, um die Identität eines Formulars oder eines Steuerelements zu prüfen, das als Variable an eine Prozedur übergeben wird.


 TakeFocusOnClick-Eigenschaft

TakeFocusOnClick-Eigenschaft

Gibt an, ob ein Steuerelement den Fokus erhält, wenn darauf geklickt wird.

Syntax

object.TakeFocusOnClick [= Boolean]

Die Syntax der TakeFocusOnClick-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob ein Steuerelement den Fokus erhält, wenn darauf geklickt wird.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Die Schaltfläche erhält den Fokus, wenn darauf geklickt wird (Standard).
False | Die Schaltfläche erhält den Fokus nicht, wenn darauf geklickt wird.

Bemerkungen

Mit der TakeFocusOnClick-Eigenschaft wird lediglich definiert, was passiert, wenn der Benutzer auf ein Steuerelement klickt. Wenn der Benutzer mit der TAB-TASTE zu einem Steuerelement wechselt, erhält das Steuerelement den Fokus, ungeachtet des Wertes von TakeFocusOnClick.

Verwenden Sie diese Eigenschaft, um Aktionen zu Ende zu führen, die ein Steuerelement beeinflussen, ohne dass das Steuerelement notwendigerweise den Fokus abgibt. Nehmen wir beispielsweise an, ein Formular enthält ein Textfeld-Steuerelement (TextBox) und ein Befehlsschaltflächen-Steuerelement (CommandButton), das den Text auf korrekte Rechtschreibung überprüft. Sie möchten nun gerne den Text im Textfeld-Steuerelement (TextBox) auswählen können, dann auf die Befehlsschaltfläche (CommandButton) klicken und die Rechtschreibprüfung ausführen, ohne den Fokus vom Textfeld-Steuerelement (TextBox) wegnehmen zu müssen. Dies erreichen Sie, indem Sie die TakeFocusOnClick-Eigenschaft der Befehlsschaltfläche (CommandButton) auf False festlegen.


Text-Eigenschaft

Gibt den Text in einem Textfeld-Steuerelement (TextBox) zurück oder legt diesen fest. Markiert eine andere Zeile in einem Kombinationsfeld-Steuerelement (ComboBox) oder einem Listenfeld-Steuerelement (ListBox).

Syntax

object.Text [= String]

Die Syntax der Text-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
String | Optional. Ein Ausdruck vom Typ String, mit dem ein Text festgelegt wird. Als Standard gilt eine Nullzeichenfolge ("").

Bemerkungen

Bei einem Textfeld-Steuerelement (TextBox) wird jeder Wert, den Sie der Text-Eigenschaft zuweisen, auch der Value-Eigenschaft zugewiesen.

Bei einem Kombinationsfeld-Steuerelement (ComboBox) können Sie die Text-Eigenschaft verwenden, um den Wert eines Steuerelements zu aktualisieren. Wenn der Wert der Text-Eigenschaft einem vorhandenen Listeneintrag entspricht, wird der Wert der ListIndex-Eigenschaft (der Index der aktuellen Zeile) auf die Zeile eingestellt, die dem Wert von Text entspricht. Entspricht der Wert der Text-Eigenschaft nicht einem Eintrag in einer Zeile, wird ListIndex auf -1 festgelegt.

Bei einem Listenfeld-Steuerelement (ListBox) muss der Wert von Text einem vorhandenen Listeneintrag entsprechen. Wenn ein Wert angegeben wird, der nicht einem vorhandenen Listeneintrag entspricht, wird eine Fehlermeldung erzeugt.

Wenn sich die Text-Eigenschaft eines Kombinationsfeld-Steuerelements (ComboBox) ändert (beispielsweise, wenn ein Benutzer einen Eingabe in ein Steuerelement macht), wird der neue Text mit der von TextColumn angegebenen Datenspalte verglichen.

Sie können die Text-Eigenschaft nicht verwenden, um den Wert eines Eintrags in einem Kombinationsfeld-Steuerelement (ComboBox) oder einem Listenfeld-Steuerelement (ListBox) zu ändern; für diesen Zweck stehen die Eigenschaften Column oder List zur Verfügung.

Die Farbe des Textes wird von der ForeColor-Eigenschaft bestimmt.


TextAlign-Eigenschaft

Gibt an, wie Text in einem Steuerelement ausgerichtet wird.

Syntax

object.TextAlign [=TextAlign]

Die Syntax der TextAlign-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
TextAlign | Optional. Gibt an, wie Text in einem Steuerelement ausgerichtet wird.

Einstellungen

Die Einstellungen für TextAlign sind:

Wert | Beschreibung
1 | Richtet das erste Zeichen eines angezeigten Textes am linken Rand des Anzeige- oder Bearbeitungsbereichs des Steuerelements aus (Standard).
2 | Zentriert den Text im Anzeige- oder Bearbeitungsbereich eines Steuerelements.
3 | Richtet das letzte Zeichen eines angezeigten Textes am rechten Rand des Anzeige- oder Bearbeitungsbereichs des Steuerelements aus.

Bemerkungen

Bei einem Kombinationsfeld-Steuerelement (ComboBox) betrifft die TextAlign-Eigenschaft nur den Bearbeitungsbereich; diese Eigenschaft hat keine Auswirkungen auf die Ausrichtung des Listentextes. Bei eigenständigen Bezeichnungsfeldern bestimmt TextAlign die Ausrichtung des Titels.


TextColumn-Eigenschaft

Bezeichnet die Spalte in einem Kombinationsfeld-Steuerelement (ComboBox) oder einem Listenfeld-Steuerelement (ListBox), die für den Benutzer sichtbar sein soll.

Syntax

object.TextColumn [= Variant]

Die Syntax der TextColumn-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Die Spalte, die angezeigt werden soll.

Einstellungen

Die Werte für die TextColumn-Eigenschaft rangieren von –1 bis zur Anzahl der Spalten in der Liste. Der Wert von TextColumn für die erste Spalte ist 1, für die zweite 2 usw. Wird die TextColumn-Eigenschaft auf 0 festgelegt, werden die ListIndex-Werte angezeigt. Wird die TextColumn-Eigenschaft auf –1 festgelegt, wird die erste Spalte angezeigt, die über einen ColumnWidths-Wert größer 0 verfügt.

Hinweise

Wenn der Benutzer in einem Kombinationsfeld-Steuerelement (ComboBox) oder einem Listenfeld-Steuerelement (ListBox) eine Zeile markiert, wird die Zeile, auf die mit TextColumn Bezug genommen wird, in der Text-Eigenschaft gespeichert. Beispielsweise könnten Sie ein mehrspaltiges Listenfeld-Steuerelement (ListBox) einrichten, das die Namen der Feiertage in einer Spalte und die Daten der Feiertage in einer zweiten Spalte enthält. Wenn den Benutzern die Namen der Feiertage angezeigt werden sollen, geben Sie die erste Spalte als TextColumn an. Um die Daten der Feiertage zu speichern, geben Sie die zweite Spalte als BoundColumn-Eigenschaft an.

Wenn sich die Text-Eigenschaft eines Kombinationsfeld-Steuerelements (ComboBox) ändert (beispielsweise, wenn ein Benutzer eine Eingabe in ein Steuerelement macht), wird der neue Text mit der von TextColumn angegebenen Datenspalte verglichen.


TextLength-Eigenschaft

Gibt die Länge des Textes in Zeichen zurück, der sich im Bearbeitungsbereich eines Textfeld-Steuerelements (TextBox) oder eines Kombinationsfeld-Steuerelements (ComboBox) befindet.

Syntax

object.TextLength

Die Syntax der TextLength-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.

Bemerkungen

Die TextLength-Eigenschaft ist schreibgeschützt. Bei einem mehrzeiligen Textfeld-Steuerelement (TextBox) umfasst TextLength auch LF- (Zeilenvorschub) und CR- (Wagenrücklauf) Zeichen.


TopIndex-Eigenschaft

Legt das Element fest, das an oberster Position in der Liste angezeigt wird oder gibt dieses zurück.

Syntax

object.TopIndex [= Variant]

Die Syntax der TopIndex-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Die Nummer des Listeneintrags, der an oberster Position angezeigt wird. Als Standard gilt 0 oder der erste Eintrag in der Liste.

Einstellungen

Gibt den Wert –1 zurück, wenn die Liste leer ist oder nicht angezeigt wird.


 TripleState-Eigenschaft

TripleState-Eigenschaft

Legt fest, ob der Benutzer von der Benutzerschnittstelle aus den Null-Zustand für ein Kontrollkästchen-Steuerelement (CheckBox) oder ein Umschaltfeld-Steuerelement (ToggleButton) festlegen kann.

Syntax

object.TripleState [= Boolean]

Die Syntax der TripleState-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob ein Steuerelement den Null-Zustand unterstützt.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Die Schaltfläche verfügt über drei Click-Zustände.
False | Die Schaltfläche unterstützt nur True und False (Standard).

Hinweise

Für das Optionsfeld-Steuerelement (OptionButton) existiert die TripleState-Eigenschaft zwar, hat aber keinen Einfluss auf die Aktion des Steuerelements. Ungeachtet des Wertes von TripleState können Sie das Steuerelement über die Benutzerschnittstelle nicht auf Null setzen.

Wenn die TripleState-Eigenschaft True ist, kann der Benutzer unter den Werten Null, True und False wählen. Der Null-Wert wird als grau schattierte Schaltfläche angezeigt.

Wenn TripleState auf False festgelegt wurde, kann der Benutzer nur zwischen True und False wählen.

Ein Steuerelement, das auf Null festgelegt wurde, kann nicht das Click-Ereignis auslösen.

Ungeachtet der Einstellung der Eigenschaft kann der Null-Wert jederzeit programmgesteuert einem Optionsfeld-Steuerelement (OptionButton), Kontrollkästchen-Steuerelement (CheckBox) oder Umschaltfeld-Steuerelement (ToggleButton) zugewiesen werden, wodurch das Steuerelement grau schattiert dargestellt wird.


 Value-Eigenschaft

Value-Eigenschaft

Gibt den Status oder den Inhalt eines gegebenen Steuerelements an.

Syntax

object.Value [= Variant]

Die Syntax der Value-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Variant | Optional. Gibt den Status oder den Inhalt des Steuerelements an.

Einstellungen

Steuerelement | Beschreibung
Kontrollkästchen- Steuerelement (CheckBox) | Eine ganze Zahl, die angibt, ob das Element aktiviert ist.
 | Null Gibt an, dass sich das Element im Null-Zustand befindet, also weder aktiviert noch deaktiviert ist.
 | –1 True. Gibt an, dass das Element aktiviert ist.
 | 0 False. Gibt an, dass das Element deaktiviert ist.
Optionsschaltflächen- Steuerelement (OptionButton) | Siehe Kontrollkästchen-Steuerelement (CheckBox)
Umschaltfeld- Steuerelement (ToggleButton) | Siehe Kontrollkästchen-Steuerelement (CheckBox)
Bildlaufleisten- Steuerelement (ScrollBar) | Eine ganze Zahl zwischen den für die Eigenschaften Max und Min angegebenen Werten.
Drehfeld-Steuerelement (SpinButton) | Siehe Bildlaufleisten-Steuerelement (ScrollBar)
Kombinationsfeld- Steuerelement, Listenfeld- Steuerelement (ListBox) | Der Wert der BoundColumn-Eigenschaft für die aktuell markierten Zeilen.
Befehlsschaltflächen- Steuerelement (CommandButton) | Immer False.
Multiseiten- Steuerelement (MultiPage) | Eine ganze Zahl, die die aktuell aktive Seite angibt.
 | 0 gibt die erste Seite an. Der Maximalwert ist gleich der Gesamtzahl Seiten -1.
Textfeld- Steuerelement (TextBox) | Der Text im Bearbeitungsbereich.

Bemerkungen

Bei einem Befehlsschaltflächen-Steuerelement (CommandButton) wird das Click-Ereignis der Schaltfläche ausgelöst, wenn der Wert der Value-Eigenschaft in einem Makro oder einer Prozedur auf True festgelegt wird.

Bei einem Kombinationsfeld-Steuerelement (ComboBox) ändert sich der Wert der BoundColumn-Eigenschaft nicht, wenn sich der Inhalt von Wert ändert. Zum Hinzufügen oder Löschen von Einträgen in einem Kombinationsfeld-Steuerelement (ComboBox) können Sie die AddItem-Methode oder die RemoveItem-Methode verwenden.

Bei einem Textfeld-Steuerelement (TextBox) wird jeder Wert, den Sie der Text-Eigenschaft zuweisen, auch der Value-Eigenschaft zugewiesen.

Die Value-Eigenschaft kann in einem Mehrfachauswahl-Listenfeld (ListBox) nicht verwendet werden.


VerticalScrollBarSide-Eigenschaft

Gibt an, ob eine vertikale Bildlaufleiste am linken oder am rechten Rand eines Fensterrahmens angezeigt wird.

Syntax

object.VerticalScrollBarSide [= VerticalScrollBarSide]

Die Syntax für die VerticalScrollBarSide-Eigenschaft besteht aus den folgenden Bestandteilen:

Bestandteil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
VerticalScrollBarSide | Optional. Die Position der Bildlaufleiste.

Einstellungen

Wert | Beschreibung
0 | Position der Bildlaufleiste am rechten Rand (Standard).
1 | Position der Bildlaufleiste am linken Rand.


 Visible-Eigenschaft

Visible-Eigenschaft

Gibt an, ob ein Objekt sichtbar oder ausgeblendet ist.

Syntax

object.Visible [= Boolean]

Die Syntax der Visible-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Objekt sichtbar oder ausgeblendet ist.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Das Objekt ist sichtbar (Standard).
False | Das Objekt ist ausgeblendet.

Bemerkungen

Verwenden Sie die Visible-Eigenschaft, um den Zugriff auf Informationen zu steuern, ohne dass diese angezeigt werden müssen. Beispielsweise könnten Sie den Wert eines Steuerelements auf einem ausgeblendeten Formular als Kriterium für eine Abfrage verwenden.

Zur Entwurfszeit sind alle Steuerelemente sichtbar.


WordWrap-Eigenschaft

Gibt an, ob der Inhalt eines Steuerelements automatisch am Ende einer Zeile umbrochen werden soll.

Syntax

object.WordWrap [= Boolean]

Die Syntax der WordWrap-Eigenschaft setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Boolean | Optional. Gibt an, ob das Steuerelement vergrößert wird, damit der gesamte Text hineinpasst.

Einstellungen

Die Einstellungen für Boolean sind:

Wert | Beschreibung
True | Der Text wird umbrochen (Standard).
False | Der Text wird nicht umbrochen.

Bemerkungen

Bei Steuerelementen, die die MultiLine-Eigenschaft ebenso unterstützen wie die WordWrap-Eigenschaft, wird WordWrap ignoriert, wenn MultiLine auf False festgelegt wurde.


Zoom-Eigenschaft

Gibt an, um wieviel die Größe eines angezeigten Objekts geändert wird.

Syntax

object.Zoom [= Integer]

Die Zoom-Eigenschaft-Syntax besteht aus folgenden Bestandteilen:

Teil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Integer | Der Prozentsatz, um den das angezeigte Bild vergrößert oder verkleinert wird.

Hinweise

Der Wert der Zoom-Eigenschaft gibt den Prozentsatz der Vergrößerung oder Verkleinerung an, der auf ein angezeigtes Bild angewendet werden soll. Gültige Werte reichen von 10 bis 400. Der angegebene Wert entspricht dem Prozentsatz der Originalgröße des Objekts. Die Einstellung 400 bedeutet daher, dass das Bild vierfach (oder um 400 Prozent) vergrößert werden soll, wohingegen die Einstellung 10 bedeutet, dass das Bild auf ein Zehntel (oder 10 Prozent) seiner ursprünglichen Größe verkleinert werden soll.


Microsoft Outlook-Objekte

Application-Objekt

Links colleciton (Link-Objekt)

Legende

Gelbes Feld Objekt und Auflistung
Blaues Feld Nur Objekt


Microsoft Outlook-Konstanten

Wenn Sie Microsoft Outlook automatisieren und ein Automatisierungsobjekt in einer Anwendung verwenden, die Visual Basic für Applikationen unterstützt, können Sie integrierte Konstanten verwenden, um Werte von Eigenschaften und Argumenten anzugeben.

Wenn Sie Microsoft Outlook mit VBScript automatisieren, müssen Sie jedoch die numerischen Werte der jeweiligen Konstante verwenden. Im Folgenden werden die integrierten konstanten Aufzählungen von Microsoft Outlook aufgelistet. Klicken Sie auf den Namen der Aufzählung, um ihre Konstanten und deren Werte anzuzeigen.

OlActionCopyLike

OlActionReplyStyle

OlActionResponseStyle

OlActionShowOn

OlAttachmentType

OlBusyStatus

OlDaysOfWeek

OlDefaultFolders

OlDisplayType

OlEditorType

OlFlagStatus

OlFolderDisplayMode

OlFormRegistry

OlGender

OlImportance

OlInspectorClose

OlItemType

OlJournalRecipientType

OlMailingAddress

OlMailRecipientType

OlMeetingRecipientType

OlMeetingStatus

 OlNetMeetingType

OlNoteColor

OlObjectClass

OlOutlookBarViewType

OlPane

OlRecurrenceState

OlMeetingResponse

OlRecurrenceType

OlRemoteStatus

OlResponseStatus

OlSaveAsType

OlSensitivity

OlSortOrder

OlSyncState

OlTaskDelegationStatus

OlTaskOwnership

OlTaskRecipientType

OlTaskResponse

OlTaskStatus

OlTrackingStatus

OlUserPropertyType

OlWindowState


Programmtechnische OLE-Bezeichner

Sie können einen programmtechnischen OLE-Bezeichner (manchmal auch ProgID genannt) verwenden, um ein Automatisierungsobjekt zu erstellen. In den folgenden Tabellen werden die programmtechnischen OLE-Bezeichner für ActiveX-Steuerelemente, Microsoft Office-Anwendungen und Microsoft Office-Webkomponenten genannt.

ActiveX-Steuerelemente

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office-Webkomponenten

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

ActiveX-Steuerelemente

Um die in der folgenden Tabelle genannten ActiveX-Steuerelemente zu erstellen, verwenden Sie den jeweiligen programmtechnischen OLE-Bezeichner.

Zu erstellendes Steuerelement | Bezeichner
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

Um die in der folgenden Tabelle genannten Microsoft Access-Objekte zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Access erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
Application | Access.Application, Access.Application.9
CurrentData | Access.CodeData, Access.CurrentData
CurrentProject | Access.CodeProject, Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

Um die in der folgenden Tabelle genannten Microsoft Excel-Objekte zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Excel erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner | Kommentare
Application | Excel.Application, Excel.Application.9 |
Workbook | Excel.AddIn |
Workbook | Excel.Chart, Excel.Chart.8 | Gibt eine Arbeitsmappe mit zwei Arbeitsblättern zurück, eines für das Diagramm und eines für die Daten. Das Diagrammarbeitsblatt ist das aktive Arbeitsblatt.
Workbook | Excel.Sheet, Excel.Sheet.8 | Gibt eine Arbeitsmappe mit einem Arbeitsblatt zurück.

Microsoft Graph

Um die in der folgenden Tabelle genannten Microsoft Graph-Objekte zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Graph erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
Application | MSGraph.Application, MSGraph.Application.8
Chart | MSGraph.Chart, MSGraph.Chart.8

Microsoft Office-Webkomponenten

Um die in der folgenden Tabelle genannten Objekte für Microsoft Office-Webkomponenten zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Microsoft Office-Webkomponenten erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
ChartSpace | OWC.Chart, OWC.Chart.9
DataSourceControl | OWC.DataSourceControl, OWC.DataSourceControl.9
ExpandControl | OWC.ExpandControl, OWC.ExpandControl.9
PivotTable | OWC.PivotTable, OWC.PivotTable.9
RecordNavigationControl | OWC.RecordNavigationControl, OWC.RecordNavigationControl.9
Spreadsheet | OWC.Spreadsheet, OWC.Spreadsheet.9

Microsoft Outlook

Um das in der folgenden Tabelle genannte Microsoft Outlook-Objekt zu erstellen, verwenden Sie einen der programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Outlook erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
Application | Outlook.Application, Outlook.Application.9

Microsoft PowerPoint

Um das in der folgenden Tabelle genannte Microsoft PowerPoint-Objekt zu erstellen, verwenden Sie einen der programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von PowerPoint erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
Application | PowerPoint.Application, PowerPoint.Application.9

Microsoft Word

Um die in der folgenden Tabelle genannten Microsoft Word-Objekte zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Word erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
Application | Word.Application, Word.Application.9
Document | Word.Document, Word.Document.9, Word.Template.8
Global | Word.Global


Activate-Ereignis

Tritt ein, wenn ein Explorer oder Inspektor aufgrund einer Benutzerhandlung durch Programmcode zum aktiven Fenster wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_Activate()

object Ein Ausdruck, der den Wert eines Explorer- oder Inspector-Objekts annimmt.


AttachmentAdd-Ereignis

Tritt ein, wenn einem Element eine Anlage hinzugefügt wurde.

Syntax

Sub Item_AttachmentAdd(NewAttachment as Attachment)

NewAttachment Erforderlich. Die Anlage, die dem Element hinzugefügt wurde.


AttachmentRead-Ereignis

Tritt ein, wenn eine Anlage in einem Element zum Lesen geöffnet wurde.

Syntax

Sub Item_AttachmentRead(Attachment as Attachment)

Attachment Erforderlich. Die geöffnete Anlage.


BeforeAttachmentSave-Ereignis

Tritt kurz vor dem Speichern einer Anlage ein.

Syntax 1

Function Item_BeforeAttachmentSave(byVal Attachment)

Syntax 2

Sub object_BeforeAttachmentSave(Attachment as Attachment, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts in der Liste "Betrifft" annimmt.

Attachment Erforderlich. Die zu speichernde Anlage.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird der Speichervorgang nicht abgeschlossen und die Anlage nicht geändert.

Hinweise

Verwenden Sie Syntax 1 in VBScript. Wenn Sie den Rückgabewert dieser Funktion auf False setzen, wird der Speichervorgang abgebrochen und die Anlage nicht gespeichert.

Verwenden Sie Syntax 2 bei der Bearbeitung des BeforeAttachmentSave-Ereignisses in Microsoft Visual Basic oder Microsoft Visual Basic für Applikationen.


BeforeCheckNames-Ereignis

Tritt ein, bevor Microsoft Outlook die Namen in der Empfängerauflistung eines Elements auflöst.

Syntax 1

Function Item_BeforeCheckNames()

Syntax 2

Sub object_BeforeCheckNames(Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts in der Liste "Betrifft" annimmt.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird der Vorgang abgebrochen, und die Namen in der Empfängerauflistung werden nicht aufgelöst.

Hinweise

Verwenden Sie Syntax 1 in VBScript. Wenn Sie den Rückgabewert dieser Funktion auf False einstellen, wird der Vorgang abgebrochen, und die Namen in der Empfängerauflistung werden nicht bestätigt.

Verwenden Sie Syntax 2 zur Behandlung des BeforeCheckNames-Ereignisses in Microsoft Visual Basic oder Microsoft Visual Basic für Applikationen.


BeforeFolderSwitch-Ereignis

Tritt ein, bevor der Explorer aufgrund einer Benutzerhandlung oder des Programmcodes in einen neuen Ordner wechselt. Dieses Ereignis ist in VBScript nicht verfügbar.

Anmerkung Wenn der neue Ordner sich in einem Namensraum befindet, der keine Automatisierung (wie das Dateisystem) unterstützt, hat NewFolder den Wert Nothing.

Syntax

Sub object_BeforeFolderSwitch(NewFolder as Object, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Explorer-Objekts annimmt.

NewFolder Erforderlich. Das MAPIFolder-Objekt, in das der Explorer wechselt.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird die Navigation abgebrochen und der aktuelle Ordner nicht verändert.


 BeforeGroupAdd-Ereignis

BeforeGroupAdd-Ereignis

Tritt ein, bevor eine Gruppe als Ergebnis einer Benutzerhandlung oder durch Programmcode der Outlook-Leiste hinzugefügt wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_BeforeGroupAdd(Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts der OutlookBarGroups-Auflistung annimmt.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird die Gruppe der Outlook-Leiste nicht hinzugefügt.


 BeforeGroupRemove-Ereignis

BeforeGroupRemove-Ereignis

Tritt ein, bevor als Ergebnis einer Benutzerhandlung oder durch Programmcode eine neue Gruppe von der Outlook-Leiste entfernt wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_BeforeGroupRemove(Group as OutlookBarGroup, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts der OutlookBarGroups-Auflistung annimmt.

Group Erforderlich. Die OutlookBarGroup, die entfernt wird.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird die Gruppe nicht aus der Outlook-Leiste entfernt.


 BeforeGroupSwitch-Ereignis

BeforeGroupSwitch-Ereignis

Tritt ein, bevor eine Gruppe auf der Outlook-Leiste als Ergebnis einer Benutzerhandlung oder durch Programmcode geöffnet wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_BeforeGroupSwitch(Group as OutlookBarGroup, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines OutlookBarPane-Objekts annimmt.

Group Erforderlich. Die OutlookBarGroup wird geöffnet.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur das Argument auf True setzt, wird die Änderung abgebrochen, und die aktuelle Gruppe bleibt geöffnet.


 BeforeNavigate-Ereignis

BeforeNavigate-Ereignis

Tritt ein, wenn der Benutzer auf eine Verknüpfung auf der Outlook-Leiste klickt, um zu einem anderen Ordner zu navigieren. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_BeforeNavigate(Shortcut as OutlookBarShortcut, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines OutlookBarPane-Objekts annimmt.

Shortcut Erforderlich. Die Verknüpfung, auf die der Benutzer geklickt hat.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird der aktuelle Ordner nicht geändert.


 BeforeShortcutAdd-Ereignis

BeforeShortcutAdd-Ereignis

Tritt ein, bevor einer Gruppe auf der Outlook-Leiste als Ergebnis einer Benutzerhandlung oder durch Programmcode eine neue Verknüpfung hinzugefügt wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_BeforeShortcutAdd(Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts der OutlookBarShortcuts-Auflistung annimmt.

NewShortcut Erforderlich. Der OutlookBarShortcut, der hinzugefügt wird.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird die Verknüpfung nicht der Gruppe hinzugefügt.


 BeforeShortcutRemove-Ereignis

BeforeShortcutRemove-Ereignis

Tritt ein, bevor als Ergebnis einer Benutzerhandlung oder durch Programmcode eine Verknüpfung aus einer Gruppe auf der Outlook-Leiste entfernt wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_BeforeShortcutRemove(Shortcut as OutlookBarShortcut, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts der OutlookBarShortcuts-Auflistung annimmt.

Shortcut Erforderlich. Der OutlookBarShortcut, der entfernt wird.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur das Argument auf True setzt, wird die Verknüpfung nicht aus der Gruppe entfernt.


 BeforeViewSwitch-Ereignis

BeforeViewSwitch-Ereignis

Tritt ein, bevor der Explorer als Ergebnis einer Benutzerhandlung oder durch Programmcode zu einer neuen Ansicht wechselt. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_BeforeViewSwitch(NewView as String, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Explorer-Objekts annimmt.

NewView Erforderlich. Der Name der Ansicht, in die der Explorer wechselt.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur das Argument auf True setzt, wird der Wechsel abgebrochen und die aktuelle Ansicht nicht geändert.


 Close-Ereignis

Close-Ereignis

Tritt ein, wenn das einem Inspektor zugeordnete Outlook-Element geschlossen wird.

Syntax 1

Function Item_Close()

Syntax 2

Sub object_Close(Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts in der Liste "Betrifft" annimmt.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur das Argument auf True setzt, wird der Schließvorgang nicht beendet, und der Inspektor bleibt geöffnet.

Hinweise

Verwenden Sie Syntax 1 in VBScript. Wenn Sie den Rückgabewert dieser Funktion auf False setzen, wird der Schließvorgang nicht vollständig ausgeführt, und der Inspektor bleibt geöffnet.

Verwenden Sie Syntax 2 zur Behandlung des Close-Ereignisses in Visual Basic oder Visual Basic für Applikationen.


 CustomAction-Ereignis

CustomAction-Ereignis

Tritt ein, wenn eine benutzerdefinierte Aktion eines Outlook-Elements ausgeführt wird. Das Action-Objekt und das durch die benutzerdefinierte Aktion neu erstellte Element werden an das Ereignis übergeben.

Syntax 1

Function Item_CustomAction()

Syntax 2

Sub object_CustomAction(Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts in der Liste "Betrifft" annimmt.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird die benutzerdefinierte Aktion nicht beendet.

Hinweise

Verwenden Sie Syntax 1 in VBScript. Wenn Sie den Rückgabewert dieser Funktion auf False setzen, wird die benutzerdefinierte Aktion nicht vollständig ausgeführt.

Verwenden Sie Syntax 2 zur Behandlung des CustomAction-Ereignisses in Visual Basic oder Visual Basic für Applikationen.


 CustomPropertyChange-Ereignis

CustomPropertyChange-Ereignis

Tritt ein, wenn eine benutzerdefinierte Eigenschaft eines Outlook-Elements geändert wird. Der Name der Eigenschaft wird an die Prozedur übergeben, damit Sie feststellen können, welche benutzerdefinierte Eigenschaft geändert wurde.

Syntax

Sub Item_CustomPropertyChange(Name As String)

Name Erforderlich. Der Name der benutzerdefinierten Eigenschaft, die geändert wurde.


Deactivate-Ereignis

Tritt ein, wenn ein Explorer oder Inspektor als Ergebnis einer Benutzerhandlung oder durch Programmcode nicht mehr das aktive Fenster ist. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_Deactivate()

object Ein Ausdruck, der den Wert eines Explorer- oder Inspektor-Objekts annimmt.


 FolderAdd-Ereignis

FolderAdd-Ereignis

Tritt ein, wenn der angegebenen Folders-Auflistung ein Ordner hinzugefügt wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_FolderAdd(Folder as MAPIFolder)

object Ein Ausdruck, der den Wert eines Objekts der Folders-Auflistung annimmt.

Folder Erforderlich. Der MAPIFolder, der der Auflistung hinzugefügt wurde.


 FolderChange-Ereignis

FolderChange-Ereignis

Tritt ein, wenn in der angegebenen Folders-Auflistung ein Ordner verändert wurde. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_FolderChange(Folder as MAPIFolder)

object Ein Ausdruck, der den Wert eines Objekts der Ordner-Auflistung annimmt.

Folder Erforderlich. Der MAPIFolder, der geändert wurde.


 FolderRemove-Ereignis

FolderRemove-Ereignis

Tritt ein, wenn aus der angegebenen Folders-Auflistung ein Ordner entfernt wurde. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_FolderRemove()

object Ein Ausdruck, der den Wert eines Objekts der Folders-Auflistung annimmt.


FolderSwitch-Ereignis

Tritt ein, wenn der Explorer als Ergebnis einer Benutzerhandlung oder durch Programmcode zu einem neuen Ordner navigiert. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_FolderSwitch()

object Ein Ausdruck, der den Wert eines Explorer-Objekts annimmt.


 Forward-Ereignis

Forward-Ereignis

Tritt ein, wenn der Benutzer die Forward-Aktion für ein Outlook-Element auswählt.

Syntax 1

Function Item_Forward(byVal Forward)

Syntax 2

Sub object_Forward(ByVal Forward as Object, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts in der Liste "Betrifft" annimmt.

Forward Das neue Element, das weitergeleitet wird.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur das Argument auf True setzt, wird die Weiterleitung nicht beendet und das neue Objekt nicht angezeigt.

Hinweise

Verwenden Sie Syntax 1 in VBScript. Wenn Sie den Rückgabewert dieser Funktion auf False setzen, wird die Weiterleitung nicht vollständig ausgeführt und das neue Element nicht angezeigt.

Verwenden Sie Syntax 2 zur Behandlung des Forward- Ereignisses in Visual Basic oder Visual Basic für Applikationen.


 GroupAdd-Ereignis

GroupAdd-Ereignis

Tritt ein, wenn der Outlook-Leiste eine neue Gruppe hinzugefügt wurde. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub objOutlookBarStorage_GroupAdd(NewGroup as OutlookBarGroup)

object Ein Ausdruck, der den Wert eines OutlookBarStorage-Objekts annimmt.

NewGroup Erforderlich. Die OutlookBarGroup, die hinzugefügt wurde.


 ItemAdd-Ereignis

ItemAdd-Ereignis

Tritt ein, wenn der angegebenen Auflistung ein Element hinzugefügt wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_ItemAdd(Item as Object)

object Ein Ausdruck, der den Wert eines Objekts der Items-Auflistung annimmt.

Item Erforderlich. Das hinzugefügte Element.


 ItemChange-Ereignis

ItemChange-Ereignis

Tritt ein, wenn ein Element in der angegebenen Auflistung geändert wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_ItemChange(Item as Object)

object Ein Ausdruck, der den Wert eines Objekts der Items-Auflistung annimmt.

Item Erforderlich. Das geänderte Element.


 ItemRemove-Ereignis

ItemRemove-Ereignis

Tritt ein, wenn ein Element aus der angegebenen Auflistung entfernt wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_ItemRemove()

object Ein Ausdruck, der den Wert eines Objekts der Items-Auflistung annimmt.


ItemSend-Ereignis

Tritt ein, wenn ein Element entweder vom Benutzer mit einem Inspektor gesendet wird (bevor der Inspektor geschlossen wird, jedoch nachdem der Benutzer auf die Schaltfläche Klicken geklickt hat) oder wenn in einem Programm die Send-Methode verwendet wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_ItemSend(Item as Object, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Application-Objekts annimmt.

Item Erforderlich. Das gesendete Element.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird der Vorgang des Sendens nicht abgeschlossen, und der Inspektor bleibt geöffnet.


 NewExplorer-Ereignis

NewExplorer-Ereignis

Tritt ein, wenn ein neues Explorer-Fenster geöffnet wird, entweder als Ergebnis einer Benutzereingabe oder durch den Programmcode. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_NewExplorer(Explorer as Explorer)

object Ein Ausdruck, der den Wert des Objekts einer Explorers-Auflistung annimmt.

Explorer Erforderlich. Der Explorer, der geöffnet wurde.

Hinweise

Das Ereignis tritt ein, nachdem das neue Explorer-Objekt erstellt wurde, jedoch bevor das Explorer-Fenster angezeigt wird.


 NewInspector-Ereignis

NewInspector-Ereignis

Tritt ein, wenn als Ergebnis einer Benutzerhandlung oder durch Programmcode ein neues Inspektor-Fenster geöffnet wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_NewInspector(Inspector as Inspector)

object Ein Ausdruck, der den Wert eines Objekts der Inspectors-Auflistung annimmt.

Inspector Erforderlich. Der geöffnete Inspektor.

Hinweise

Dieses Ereignis tritt ein, nachdem das neue Inspector-Objekt erstellt wurde, jedoch bevor das Inspektor-Fenster angezeigt wird.


NewMail-Ereignis

Tritt ein, wenn mindestens eine neue Nachricht im Posteingang eingegangen ist. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_NewMail()

object Ein Ausdruck, der den Wert eines Application-Objekts annimmt.


OnError-Ereignis

Tritt ein, wenn beim Synchronisieren der Ordner eines Benutzers mit dem angegebenen Synchronisationsprofil in Microsoft Outlook ein Fehler auftritt. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_OnError(Code as Long, Description as String)

object Ein Ausdruck, der den Wert eines SyncObject-Objekts annimmt.

Code Ein eindeutiger Wert, der den Fehler angibt.

Description Erforderlich. Eine Beschreibung des Fehlers in Form eines Textes.


 Open-Ereignis

Open-Ereignis

Tritt ein, wenn ein Outlook-Element in einem Inspektor geöffnet wird. Wenn dieses Ereignis eintritt, wird das Inspector-Objekt initialisiert, aber noch nicht angezeigt. Das Open-Ereignis unterscheidet sich von dem Read-Ereignis dadurch, dass das Read-Ereignis immer dann eintritt, wenn der Benutzer das Element in einer Ansicht auswählt, in der eine Bearbeitung in der Zelle möglich ist, und wenn das Element in einem Inspektor geöffnet wird.

Syntax 1

Function Item_Open()

Syntax 2

Sub object_Open(Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts in der Liste "Betrifft" annimmt.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird der Vorgang des Öffnens nicht abgeschlossen und der Inspektor nicht angezeigt.

Hinweise

Verwenden Sie Syntax 1 in VBScript. Wenn Sie den Rückgabewert dieser Funktion auf False einstellen, wird der Vorgang des Öffnens nicht abgeschlossen und der Inspektor nicht angezeigt.

Verwenden Sie Syntax 2 zur Behandlung des Open-Ereignisses in Visual Basic oder Visual Basic für Applikationen.


OptionsPagesAdd-Ereignis

Tritt immer dann ein, wenn das Dialogfeld Optionen (erreichbar über das Menü Extras) oder das Dialogfeld Eigenschaften eines Ordners geöffnet wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax 1

Sub object_OptionsPagesAdd(Pages as PropertyPages)

Syntax 2

Sub object_OptionsPagesAdd(Pages as PropertyPages, Folder as MAPIFolder)

object Ein Ausdruck, der den Wert eines Application-Objekts oder eines NameSpace-Objekts annimmt.

Pages Erforderlich. Die Auflistung von Eigenschaftenseiten, die dem Dialogfeld hinzugefügt wurden. Diese Auflistung enthält nur benutzerdefinierte Eigenschaftenseiten. Standard-Eigenschaftenseiten von Microsoft Outlook sind nicht enthalten.

Folder Erforderlich. Das MAPIFolder-Objekt, für das das Dialogfeld Eigenschaften geöffnet wird.

Hinweise

Ihr Programm verwendet dieses Ereignis zum Hinzufügen einer neuen Eigenschaftenseite. Wenn es sich bei object um ein Application-Objekt handelt, wird Syntax 1 angewendet und die Eigenschaftenseite dem Dialogfeld Optionen hinzugefügt. Wenn object ein NameSpace-Objekt ist, wird Syntax 2 angewendet und die Eigenschaftenseite dem Dialogfeld Eigenschaften hinzugefügt. Wenn das Ereignis ausgelöst wird, enthält das Objekt der PropertyPages-Auflistung, das durch Pages identifiziert wird, die Eigenschaftenseiten, welche vor Aufrufen des Ereignishandlers hinzugefügt wurden. Um der Auflistung die Eigenschaftenseite hinzuzufügen, verwenden Sie die Add-Methode der PropertyPages-Auflistung, bevor Sie den Ereignishandler beenden.


Progress-Ereignis

Tritt in regelmäßigen Abständen ein, wenn die Ordner eines Benutzers in Microsoft Outlook mit Hilfe des festgelegten Synchronisationsprofils synchronisiert werden. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_Progress(State as Long, Description as String, Value as Long, Max as Long)

object Ein Ausdruck, der den Wert eines SyncObject-Objekts annimmt.

State Erforderlich. Ein Wert, der den aktuellen Status des Synchronisationsvorgangs angibt. Dieser Wert entspricht einer der folgenden OlSyncState-Konstanten: olSyncStarted(1) oder olSyncStopped(0).

Description Erforderlich. Eine Textbeschreibung des aktuellen Status des Synchronisationsvorgangs.

Value Erforderlich. Gibt den aktuellen Wert des Synchronisationsvorgangs an (beispielsweise die Anzahl der synchronisierten Elemente).

Max Erforderlich. Der Maximalwert für Value. Das Verhältnis von Value zu Max stellt dar, wieviel Prozent des Synchronisationsvorgangs abgeschlossen sind.


 PropertyChange-Ereignis

PropertyChange-Ereignis

Tritt ein, wenn eine Standardeigenschaft (z. B. Betreff oder An) eines Outlook-Elements geändert wird. Der Name der Eigenschaft wird an das Ereignis übergeben, so dass Sie feststellen können, welche Eigenschaft geändert wurde.

Syntax

Sub Item_PropertyChange(Name Als Zeichenfolge)

Name Erforderlich. Der Name der Eigenschaft, die geändert wurde.


Quit-Ereignis

Tritt ein, wenn Microsoft Outlook geschlossen wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_Quit()

object Ein Ausdruck, der den Wert eines Application-Objekts annimmt.


 Read-Ereignis

Read-Ereignis

Tritt ein, wenn ein vorhandenes Outlook-Element vom Benutzer zum Bearbeiten geöffnet wird. Das Read-Ereignis unterscheidet sich vom Open-Ereignis insofern, dass das Read-Ereignis immer dann eintritt, wenn der Benutzer das Element in einer Ansicht auswählt, die ein Bearbeiten in der Zelle ermöglicht, und wenn das Element in einem Inspektor geöffnet wird.

Syntax

Sub Item_Read()


 Reminder-Ereignis

Reminder-Ereignis

Tritt unmittelbar vor dem Anzeigen einer Erinnerung ein.

Syntax

Sub object_Reminder(Item as Object)

object Ein Ausdruck, der den Wert eines Application-Objekts annimmt.

Item Das AppointmentItem-, MailItem- oder TaskItem-Element, das zur Erinnerung gehört. Wenn der zur Erinnerung gehörende Termin eine Terminserie ist, ist Item das spezielle Auftreten des Termins, für das die Erinnerung angezeigt wird, und nicht der Mastertemin.


 Reply-Ereignis

Reply-Ereignis

Tritt ein, wenn der Benutzer die Reply-Aktion für ein Outlook-Element auswählt.

Syntax 1

Function Item_Reply(byVal Response)

Syntax 2

Sub object_Reply(ByVal Response as Object, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts in der Liste "Betrifft" annimmt.

Response Erforderlich. Das neue Element, das als Antwort auf die ursprüngliche Nachricht gesendet wird.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird die Antwortoperation nicht abgeschlossen und das neue Element nicht angezeigt.

Hinweise

Verwenden Sie Syntax 1 in VBScript. Wenn Sie den Rückgabewert dieser Funktion auf False setzen, wird die Antwortoperation nicht vollständig ausgeführt und das neue Element nicht angezeigt.

Verwenden Sie Syntax 2 zur Behandlung des Reply-Ereignisses in Visual Basic oder Visual Basic für Applikationen.


 ReplyAll-Ereignis

ReplyAll-Ereignis

Tritt ein, wenn der Benutzer die ReplyAll-Aktion für ein Outlook-Element auswählt.

Syntax 1

Function Item_ReplyAll(byVal Response)

Syntax 2

Sub object_ReplyAll(ByVal Response as Object, Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts in der Liste "Betrifft" annimmt.

Response Das neue Element, das als Antwort auf die ursprüngliche Nachricht gesendet wird.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird die Reply All-Operation nicht abgeschlossen und das neue Element nicht angezeigt.

Hinweise

Verwenden Sie Syntax 1 in VBScript. Wenn Sie den Rückgabewert dieser Funktion auf False setzen, wird die Reply All-Aktion nicht vollständig ausgeführt und das neue Element nicht angezeigt.

Verwenden Sie Syntax 2 zur Behandlung des ReplyAll-Ereignisses in Visual Basic oder Visual Basic für Applikationen.


SelectionChange-Ereignis

Tritt ein, wenn die aktuell ausgewählte Ansicht geändert wird. Das Ändern einer anderen Auswahl (wie beispielsweise des ausgewählten Ordners) löst dieses Ereignis nicht aus. Außerdem tritt dieses Ereignis nicht ein, wenn der aktuelle Ordner ein Ordner des Dateisystems ist oder wenn Outlook Heute angezeigt wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_SelectionChange()

object Ein Ausdruck, der den Wert eines Explorer-Objekts annimmt.


 Send-Ereignis

Send-Ereignis

Tritt ein, wenn der Benutzer die Send-Aktion für ein Outlook-Element auswählt.

Syntax 1

Function Item_Send()

Syntax 2

Sub object_Send(Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts in der Liste "Betrifft" annimmt.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn die Ereignisprozedur dieses Argument auf True setzt, wird der Vorgang des Sendens nicht abgeschlossen, und der Inspektor bleibt geöffnet.

Hinweise

Verwenden Sie Syntax 1 in VBScript. Wenn Sie den Rückgabewert dieser Funktion auf False setzen, wird der Vorgang des Sendens nicht vollständig ausgeführt, und der Inspektor bleibt geöffnet.

Verwenden Sie Syntax 2 zur Behandlung des Send-Ereignisses in Visual Basic oder Visual Basic für Applikationen.


 ShortcutAdd-Ereignis

ShortcutAdd-Ereignis

Tritt ein, wenn eine neue Verknüpfung zu einer Gruppe der Outlook-Leiste hinzugefügt wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_ShortcutAdd(NewShortcut as OutlookBarShortcut)

object Ein Ausdruck, der den Wert eines Objekts der OutlookBarShortcuts-Auflistung annimmt.

NewShortcut Erforderlich. Die Verknüpfung, die hinzugefügt wird.


Startup-Ereignis

Tritt ein, wenn Microsoft Outlook gestartet wird, jedoch erst, nachdem alle Add-In-Programme geladen worden sind. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_Startup()

object Ein Ausdruck, der den Wert eines Application-Objekts annimmt.

Hinweise

Ein Makro von Outlook Visual Basic für Applikationen kann diese Ereignisprozedur verwenden, um sich beim Start von Outlook selbst zu initialisieren.


SyncEnd-Ereignis

Tritt ein, nachdem Microsoft Outlook die Synchronisation eines Benutzerordners unter Verwendung des festgelegten Synchronisationsprofils abgeschlossen hat. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_SyncEnd()

object Ein Ausdruck, der den Wert eines SyncObject-Objekts annimmt.


SyncStart-Ereignis

Tritt ein, wenn Microsoft Outlook mit der Synchronisation eines Benutzerordners unter Verwendung des festgelegten Synchronisationsprofils beginnt. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_SyncStart()

object Ein Ausdruck, der den Wert eines SyncObject-Objekts annimmt.


ViewSwitch-Ereignis

Tritt ein, wenn die Ansicht im Explorer infolge einer Benutzeraktion oder durch einen Programmcode geändert wird. Dieses Ereignis ist in VBScript nicht verfügbar.

Syntax

Sub object_ViewSwitch()

object Ein Ausdruck, der den Wert eines Explorer-Objekts annimmt.


Write-Ereignis

Tritt ein, wenn ein Outlook-Element gespeichert wird, entweder direkt (beispielsweise beim Verwenden der Methoden Save oder SaveAs) oder indirekt (beispielsweise als Reaktion auf eine Eingabeaufforderung, wenn der Inspektor des Elements geschlossen wird).

Syntax 1

Function Item_Write()

Syntax 2

Sub object_Write(Cancel as Boolean)

object Ein Ausdruck, der den Wert eines Objekts in der Liste "Betrifft" annimmt.

Cancel Optional. False, wenn das Ereignis eintritt. Wenn dieses Argument von der Ereignisprozedur auf True gesetzt wird, wird der Speichervorgang nicht vollständig durchgeführt.

Hinweise

Verwenden Sie Syntax 1 in VBScript. Wenn Sie den Rückgabewert dieser Funktion auf False setzen, wird der Speichervorgang nicht vollständig durchgeführt.

Verwenden Sie Syntax 2 zur Behandlung des Write-Ereignisses in Visual Basic oder Visual Basic für Applikationen.


Activate-Methode

Aktiviert ein Explorer- oder Inspektor-Fenster, indem es im Vordergrund angezeigt wird und Fokus für die Tastatureingabe setzt.

Syntax

object.Activate

object Erforderlich. Ein Ausdruck, der ein Explorer- oder Inspector-Objekt zurückgibt.


ActiveExplorer-Methode

Gibt das oberste Explorer-Objekt auf dem Desktop zurück. Wenn kein Explorer aktiv ist, wird Nothing zurückgegeben. Verwenden Sie diese Methode, um das Explorer-Objekt zurückzugeben, das der Benutzer wahrscheinlich anzeigt. Diese Methode ist darüber hinaus nützlich, um festzustellen, ob kein aktiver Explorer vorhanden ist, damit ein neuer geöffnet werden kann.

Syntax

objApplication.ActiveExplorer

objApplication Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.


ActiveInspector-Methode

Gibt das oberste Inspector-Objekt auf dem Desktop zurück. Wenn kein Inspektor aktiv ist, wird Nothing zurückgegeben. Verwenden Sie diese Methode, um auf das Inspector-Objekt zuzugreifen, das der Benutzer wahrscheinlich aufruft.

Syntax

objApplication.ActiveInspector

objApplication Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.

Das Inspector-Objekt und Microsoft Word als E-Mail-Editor des Benutzers

Der standardmäßige E-Mail-Editor des Benutzers ist Microsoft Word. Wenn das Nachrichtenformat des bearbeiteten Elements nur Text oder HTML ist, generiert die ActiveInspector-Methode einen Fehler und gibt Nothing zurück.


ActiveWindow-Methode

Gibt ein Objekt zurück, das das oberste Microsoft Outlook-Fenster auf dem Desktop darstellt, entweder ein Explorer- oder ein Inspector-Objekt. Wenn kein Outlook-Explorer oder -Inspektor geöffnet ist, wird Nothing zurückgegeben.

Syntax

object.ActiveWindow

object Erforderlich. Ein Ausdruck, der einApplication-Objekt zurückgibt.


 Add-Methode

Add-Methode

Fügt einer Auflistung ein Objekt hinzu. Wählen Sie eine der folgenden Auflistungen, um eine detaillierte Beschreibung der Add-Methode für die jeweilige Auflistung zu erhalten.

Actions

AddressEntries

Attachments

Explorers

Folders

Inspectors

Items

Links

OutlookBarGroups

OutlookBarShortcuts

Pages

PropertyPages

Recipients

UserProperties


AddMembers-Methode

Fügt einer Verteilerliste neue Mitglieder hinzu.

Syntax

object.AddMembers(Recipients)

object Erforderlich. Ein Ausdruck, der ein DistListItem-Objekt zurückgibt.

Recipients Erforderliche Recipients. Mitglieder, die der Verteilerliste hinzugefügt werden sollen.


AddStore-Methode

Fügt dem aktuellen Profil eine persönliche Ordner-Datei (.pst) hinzu.

Syntax

object.AddStore(Store)

object Erforderlich. Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.

Store Variant erforderlich. Der Pfad der .pst-Datei, die dem Profil hinzugefügt werden soll. Wenn die .pst-Datei nicht existiert, wird sie von Microsoft Outlook erstellt.


Apply-Methode

Übernimmt die Änderungen, die auf einer benutzerdefinierten Eigenschaftenseite gemacht wurden.

Syntax

object.Apply

object Erforderlich. Ein Ausdruck, der ein PropertyPage-Objekt zurückgibt.

Hinweise

Da es sich bei PropertyPage um ein abstraktes Objekt handelt, das in Ihrer Anwendung implementiert wird (und nicht von Microsoft Outlook selbst), ist die Anwendung der Apply-Methode einer Ereignisprozedur in Ihrem Programmcode vergleichbar. Das bedeutet, der Code zur Ausführung der Methode wird auf die gleiche Weise verfasst wie der einer Ereignisprozedur. Outlook ruft die Apply-Methode auf, um Ihr Programm zu benachrichtigen, wenn der Benutzer in dem Dialogfeld mit der benutzerdefinierten Eigenschaftenseite eine Aktion vorgenommen hat. Als Reaktion auf diese Aktion muss Ihr Programm die vom Benutzer geänderten Eigenschaftswerte übernehmen.


Assign-Methode

Weist eine Aufgabe zu und gibt ein TaskItem-Objekt zurück, das sie darstellt. Diese Methode ermöglicht, dass eine Aufgabe einem anderen Benutzer zugewiesen (delegiert) werden kann. Sie müssen eine Aufgabe erstellen, bevor Sie sie zuweisen können, und Sie müssen eine Aufgabe zuweisen, bevor Sie sie senden können. Eine zugewiesene Aufgabe wird als TaskRequestItem-Objekt gesendet.

Syntax

objTaskItem.Assign

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


CancelResponseState-Methode

Setzt eine ungesendete Antwort auf Aufgabenanfrage auf eine einfache Aufgabe zurück. Nachdem Sie eine Aufgabenanfrage erhalten und darauf geantwortet haben, können Sie diese Methode verwenden, um die Aufgabe vor dem Senden in den vor der Antwort gültigen Zustand zurückzuwandeln.

Syntax

objTaskItem.CancelResponseState

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


ClearConversationIndex-Methode

Löscht den Index des Diskussionsfadens einer Unterhaltung für die E-Mail-Nachricht oder die öffentliche Nachricht.

Syntax

object.ClearConversationIndex

object Erforderlich. Ein Ausdruck, der ein MailItem- oder PostItem-Objekt zurückgibt.


ClearRecurrencePattern-Methode

Entfernt die Serieneinstellungen und stellt das einmalige Vorkommen eines Termins oder einer Aufgabe wieder her.

Syntax

object.ClearRecurrencePattern

object Erforderlich. Ein Ausdruck, der ein AppointmentItem- oder TaskItem-Objekt zurückgibt.


 Close-Methode

Close-Methode

Die Close-Methode schließt bei einem Explorer-Objekt den Explorer. Informationen werden nicht gespeichert.

Die Close-Methode schließt bei einem Inspektor- oder Outlook-Item-Objekt den Inspektor oder das Element und speichert optional Änderungen am angezeigten Outlook-Element.

Syntax 1

objExplorer.Close

objExplorer Erforderlich. Ein Ausdruck, der ein Explorer-Objekt zurückgibt.

Syntax 2

Object.Close(SaveMode)

Object Erforderlich. Ein Ausdruck, der ein Inspektor- oder Outlook-Elementobjekt zurückgibt.

SaveMode Erforderlicher Wert vom Typ Long. Das Verhalten beim Schließen. Die folgenden OlInspectorClose-Konstanten sind möglich : olDiscard(1) (Verwerfen aller Änderungen ohne Nachfrage), olPromptForSave(2) (Eingabeaufforderung, alle Änderungen zu speichern oder zu verwerfen) oder olSave(0) (Speichern aller Änderungen ohne Nachfrage). Wenn das in Inspektor angezeigte Element nicht geändert wurde, hat dieses Argument keine Auswirkung.


 Copy-Methode

Copy-Methode

Erstellt und gibt eine Kopie des Objektes zurück. Diese Methode wird von allen Outlook-Elementen unterstützt.

Syntax

object.Copy

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Anwendungsbereiche" aufgeführt ist.


CopyTo-Methode

Kopiert den aktuellen Ordner in seiner Gesamtheit in den Zielordner. Gibt ein MAPIFolder-Objekt zurück, das das neue Exemplar darstellt.

Syntax

objMAPIFolder.CopyTo(DestFldr)

objMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt (aktueller Ordner) zurückgibt.

DestFldr Erforderlich. Ein MAPIFolder-Objekt. (Der Zielordner für den kopierten Ordner).


 CreateItem-Methode

CreateItem-Methode

Erstellt ein neues Outlook-Element und gibt es zurück. Die CreateItem-Methode kann nur Outlook-Standardelemente erstellen. Um neue Elemente zu erstellen, die ein benutzerdefiniertes Formular verwenden, verwenden Sie für die Items-Auflistung die Add-Methode.

Syntax

objApplication.CreateItem(ItemType)

objApplication Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.

ItemType Erforderlicher Wert vom Typ Long. Der Typ des Outlook-Elements des neuen Elements. Folgende OlItemType-Konstanten sind möglich: olAppointmentItem(1), olContactItem(2), olJournalItem(4), olMailItem(0), olNoteItem(5), olPostItem(6) oder olTaskItem(3).


 CreateItemFromTemplate-Methode

CreateItemFromTemplate-Methode

Erstellt ein neues OutlookElement aus einer Outlook-Vorlage (.oft) und gibt das neue Element zurück.

Syntax

objApplication.CreateItemFromTemplate(TemplatePath, [InFolder])

objApplication Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.

TemplatePath Erforderlicher Wert vom Typ String. Der Pfad und der Dateiname der Outlook-Vorlage für das neue Element.

InFolder Optionaler Wert vom Typ Variant. Der Ordner, in dem das Element erstellt werden soll. Wenn dieses Argument ausgelassen wird, wird der Standardordner für den Elementtyp verwendet.


CreateObject-Methode

Erstellt ein Automatisierungsobjekt der angegebenen Klasse. Wenn die Anwendung bereits ausgeführt wird, erstellt CreateObject eine neue Instanz.

Diese Methode wird zur Verfügung gestellt, damit andere Anwendungen mit VBScript automatisiert werden können. Sie sollte nicht verwendet werden, um Outlook mit VBScript zu automatisieren.

Anmerkung Die CreateObject-Methoden, die im Beispielcode dieser Hilfedatei verwendet werden (klicken Sie dazu auf "Beispiel"), werden von Microsoft Visual Basic (VB) oder Microsoft Visual Basic für Applikationen zur Verfügung gestellt. Diese Beispiele verwenden nicht die gleiche CreateObject-Methode, die als Bestandteil des Objektmodells von Outlook implementiert ist.

Syntax

objApplication.CreateObject(ObjectName)

objApplication Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.

ObjectName Erforderlicher Wert vom Typ String. Der Klassenname des Objekts, das erstellt werden soll. Informationen über zulässige Klassennamen finden Sie unter OLE-Ressource-ID.


CreateRecipient-Methode

Erstellt und gibt ein Recipient-Objekt zurück. Diese Methode wird in der Regel verwendet, um ein Recipient-Objekt zu erstellen, das mit der GetSharedDefaultFolder-Methode verwendet werden soll (um beispielsweise den Ordner einer Person zu öffnen, die den Ordner für eine Stellvertretung freigegeben hat). Sie kann auch verwendet werden, um einen bestimmten Namen in einem Adressbuch zu überprüfen.

Syntax

objNameSpace.CreateRecipient(RecipientName)

objNameSpace Erforderlich. Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.

RecipientName Erforderlicher Wert vom Typ String. Der Anzeigename des Empfängers.


 Delete-Methode

Delete-Methode

Löscht das Objekt aus der Auflistung.

Syntax

object.Delete

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Anwendungsbereiche" aufgeführt ist.


 Details-Methode

Details-Methode

Die Details-Methode zeigt ein gebundenes Dialogfeld an, das detaillierte Informationen über ein AddressEntry-Objekt zur Verfügung stellt. Sie müssen eine Fehlerbehandlungsroutine verwenden, um Laufzeitfehler zu verarbeiten, wenn der Benutzer die Schaltfläche Abbrechen im Dialogfeld betätigt. Die Details-Methode stoppt die Ausführung des Codes, während das Dialogfeld angezeigt wird.

Anmerkung Die Details-Methode führt zu einem Fehler, wenn die Name-Eigenschaft leer ist.

Syntax

objAddressEntry.Details([ZNrF])

objAddressEntry Erforderliches AddressEntry-Objekt.

ZNrF Optionaler Wert vom Typ Long. Die Zugriffsnummer des übergeordneten Fensters für das Dialogfeld Details. Der Wert Null (Standardwert) gibt ein gebundenes Dialogfeld an.


 Display-Methode

Display-Methode

Bei einem MAPIFolder-Objekt zeigt die Display-Methode ein neues Explorer-Objekt für den Ordner an.

Bei Outlook-Elementen zeigt die Display-Methode ein neues Inspector-Objekt für das Element an.

Anmerkung Die Display-Methode wird für Explorer- und Inspektor-Fenster unterstützt, um die Abwärtskompatibilität zu gewährleisten. Verwenden Sie die Activate-Methode, Wenn Sie ein Explorer- und Inspektor-Fenster aktivieren möchten.

Syntax 1

Object.Display

Object Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.

Syntax 2

object.Display([Modal])

Object Erforderlich. Ein Ausdruck, der ein Outlook-Elementobjekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.

Modal Optionaler Wert vom Typ Boolean. True, um den Inspektor auf gebunden festzulegen. Der Standardwert ist False.


 Execute-Methode

Execute-Methode

Führt eine Aktion für ein Element aus. Gibt das Outlook-Element zurück, das von der Aktion erstellt wurde.

Syntax

objAction.Execute

objAction Erforderlich. Ein Ausdruck, der ein Action-Objekt zurückgibt.


 Find-Methode

Find-Methode

Items-Auflistungsobjekt: Übernimmt den Filter für die Items-Auflistung und gibt das erste Item-Objekt zurück, das dem Filter entspricht.

UserProperties-Auflistungsobjekt: Sucht und gibt ein UserProperty-Objekt für den betreffenden Eigenschaftennamen zurück (sofern vorhanden).

Syntax 1

Object.Find(Filter)

Object Erforderlich. Ein Ausdruck, der ein Items-Objekt zurückgibt.

Syntax 2

Object.Find(Name, Custom)

Object Erforderlich. Ein Ausdruck, der ein UserProperties-Objekt zurückgibt.

Filter Erforderlicher Wert vom Typ String. Ein Ausdruck, der den Wert True oder False annimmt.

Filter ist ein Ausdruck vom Typ String, der mindestens eine Filterbedingung enthält, die durch die logischen Operatoren And, Not und Or verknüpft sind.

Eine Filterbedingung ist ein einfacher Ausdruck, der den Wert True oder False annimmt; Beispiel: [CompanyName] = "Microsoft".

Beachten Sie, dass Eigenschaftennamen in dem Ausdruck verwendet werden können. Die Darstellung erfolgt zwischen eckigen Klammern. Mit Ausnahme dieser Eigenschaftennamen in Klammern sind in dem Ausdruck nur Wörter zulässig; Variablen und Konstanten werden nicht als Teil des Ausdrucks gewertet. Variablen und Konstanten können jedoch bei der Formulierung des Ausdrucks verwendet werden. Im Beispiel zur Restrict-Methode finden Sie eine Darstellung der Verwendung von Variablen beim Formulieren des Ausdrucks.

Die im Filterausdruck zulässigen Vergleichsoperatoren umfassen: >, <, >=, <=, = und <>.

Die zulässigen logischen Operatoren sind: And, Not und Or.

Name Erforderlicher Wert vom Typ String. Der Anzeigename der abgefragten Eigenschaft.

Custom Optionaler Wert vom Typ Boolean. True, wenn es sich bei der abgefragten Eigenschaft um eine Benutzereigenschaft (benutzerdefiniert) handelt. False, wenn es sich um eine Systemeigenschaft handelt. Der Standardwert ist True.

Anmerkung Wenn Sie benutzerdefinierte Felder als Teil einer Find- oder Restrict-Bedingung verwenden, müssen die benutzerdefinierten Felder in dem Ordner vorliegen, da sonst der Code einen Fehler erzeugt, der darauf hinweist, dass das Feld nicht bekannt ist. Sie können ein Feld zu einem Ordner hinzufügen, indem Sie die Feldauswahl anzeigen und auf Neu klicken.

Hinweise

In der Items-Auflistung kann Find bei den folgenden Eigenschaften nicht verwendet werden und führt zu einem Fehler:

Body

Categories

Children

Class

Companies

CompanyLastFirstNoSpace

CompanyLastFirstSpaceOnly

ContactNames

Contacts

ConversationIndex

DLName

Email1EntryID

Email2EntryID

Email3EntryID

EntryID

HTMLBody

IsOnlineMeeting

LastFirstAndSuffix

LastFirstNoSpace

 LastFirstNoSpaceCompany

LastFirstSpaceOnly

LastFirstSpaceOnlyCompany

MemberCount

NetMeetingAlias

NetMeetingAutoStart

NetMeetingOrganizerAlias

NetMeetingServer

NetMeetingType

RecurrenceState

ReplyRecipients

ReceivedByEntryID

ReceivedOnBehalfOfEntryID

ResponseState

Saved

Sent

Submitted

VotingOptions


 FindNext-Methode

FindNext-Methode

Nachdem die Find-Methode ausgeführt wurde, sucht diese Methode das nächste Outlook-Element in einer Auflistung und gibt dieses zurück. Der Suchvorgang beginnt an der aktuellen Position, die dem Ausdruck entspricht, der zuvor mit Find festgelegt wurde.

Syntax

objItems.FindNext

objItems Erforderlich. Ein Ausdruck, der ein Items-Auflistungsobjekt zurückgibt.


Forward-Methode

Führt die Forward-Aktion für ein Element aus. Gibt das resultierende Exemplar als neues Objekt zurück.

Syntax

Object.Forward

Object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt aus der Liste "Betrifft" zurückgibt.


ForwardAsVcal-Methode

Leitet das AppointmentItem als vCal (virtuelles Kalenderelement) weiter. Die ForwardAsVcal-Methode gibt ein MailItem mit der vCal-Datei als Anlage zurück.

Syntax

Set objMailItem = objAppointmentItem.ForwardAsVcal

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


ForwardAsVcard-Methode

Leitet das ContactItem als vCard weiter (vCard ist der Internetstandard zum Erstellen und Freigeben von virtuellen Visitenkarten). Die ForwardAsVcard-Methode gibt ein MailItem mit der vCard-Datei als Anlage zurück.

Syntax

Set objMailItem = objContactItem.ForwardAsVcard

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


FreeBusy-Methode

Gibt die Frei/Belegt-Informationen für den Empfänger zurück. Standardmäßig wird eine Zeichenfolge zurückgegeben, die einen Monat mit Frei/Belegt-Informationen darstellt, welche mit dem Automatisierungsformat von Microsoft Schedule+ kompatibel sind (d. h., die Zeichenfolge enthält ein Zeichen für jede MinProZeichen-Minute für bis zu einem Monat mit Informationen ab dem angegebenen Start-Datum).

Wenn das optionale Argument Complete Format ausgelassen wird oder False ist, dann wird "Frei" durch das Zeichen 0 und alle anderen Zustände durch das Zeichen 1 dargestellt.

Wenn CompleteFormat auf True steht, wird eine der oben angegebenen Zeichenfolgen derselben Länge zurückgegeben; die Zeichen entsprechen jetzt jedoch den OlBusyStatus-Konstanten: olBusy (2), olFree (0), olOutOfOffice (3) oder olTentative (1).

Syntax

objRecipient.FreeBusy(Start, MinPerChar, [CompleteFormat])

objRecipient Erforderlich. Ein Ausdruck, der ein Recipient-Objekt zurückgibt.

Start Erforderlicher Wert vom Typ Date. Das Startdatum für den zurückgegebenen Zeitraum der Frei/Belegt-Informationen.

MinPerChar Erforderlicher Wert vom Typ Long. Die Anzahl der Minuten pro Zeichen, die in der zurückgegebenen Frei/Belegt-Zeichenfolge dargestellt werden.

CompleteFormat Optionaler Wert vom Typ Boolean. True, wenn die zurückgegebene Zeichenfolge nicht nur Frei/Belegt-Informationen enthalten soll, sondern auch Werte für alle Zeichen gemäß den OlBusyStatus-Konstanten: olBusy (2), olFree (0), olOutOfOffice (3) und olTentative (1).


GetAssociatedAppointment-Methode

Gibt ein AppointmentItem-Objekt zurück, das den Termin darstellt, der einer Besprechungsanfrage zugeordnet ist.

Syntax

objMeetingItem.GetAssociatedAppointment(AddToCalender)

objMeetingItem Erforderlich. Ein Ausdruck, der ein MeetingItem-Objekt zurückgibt.

AddToCalender Erforderlicher Wert vom Typ Boolean. True, um die Besprechung dem Standardordner Kalender hinzuzufügen.


GetAssociatedTask-Methode

Gibt ein TaskItem-Objekt zurück, das die angefragte Aufgabe darstellt.

Anmerkung Die GetAssociatedTask-Methode funktioniert nicht, wenn TaskItem nicht vor dem Aufruf der Methode verarbeitet wurde. Für die Verarbeitung der Aufgabe gibt es zwei Möglichkeiten.

  • Sie können die Display-Methode aufrufen, bevor Sie GetAssociatedTask aufrufen.

oder

  • Sie können die erweiterten E-Mail-Optionen von Outlook so festlegen, dass Anfragen und Antworten beim Eintreffen bearbeitet werden. Diese Option befindet sich im Menü Extras unter Optionen. Klicken Sie auf E-Mail-Optionen, dann auf Erweiterte E-Mail-Optionen, und aktivieren Sie dann Anfragen und Antworten beim Eintreffen bearbeiten.

Syntax

objTaskRequestItem.GetAssociatedTask(AddToTaskList)

objTaskRequestItem Erforderlich. Ein Ausdruck, der ein TaskRequestItem-Objekt zurückgibt.

AddToTaskList Erforderlicher Wert vom Typ Boolean. True, wenn die Aufgabe zum Standardordner Aufgaben hinzugefügt wird.


 GetDefaultFolder-Methode

GetDefaultFolder-Methode

Gibt ein MAPIFolder-Objekt zurück, das den Standardordner des angefragten Typs für das aktuelle Profil darstellt (beispielsweise den Standardordner Kalender des gerade angemeldeten Benutzers).

Anmerkung Wenn Sie einen bestimmten Ordner zurückgeben möchten, der kein Standardordner ist, verwenden Sie die Folders-Auflistung.

Syntax

objNameSpace.GetDefaultFolder(FolderTypeEnum)

objNameSpace Erforderlich. Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.

FolderTypeEnum Erforderlicher Wert vom Typ Long. Der Typ des Standardordners, der zurückgegeben werden soll. Folgende OlDefaultFolders-Konstanten sind möglich: olFolderCalendar(9), olFolderContacts(10), olFolderDeletedItems(3), olFolderDrafts(16), olFolderInbox(6), olFolderJournal(11), olFolderAnmerkungs(12), olFolderOutbox(4), olFolderSentMail(5) oder olFolderTasks(13).


GetExplorer-Methode

Gibt ein Explorer-Objekt zurück, das einen neuen, inaktiven Explorer darstellt, der zu Beginn den angegebenen Ordner als aktuellen Ordner verwendet. Diese Methode ist nützlich, um ein neues Explorer-Objekt zurückzugeben, in dem der Ordner angezeigt wird, im Gegensatz zur ActiveExplorer-Methode und zum Festlegen der CurrentFolder-Eigenschaft.

Die Display-Methode kann verwendet werden, um den Explorer zu aktivieren oder anzuzeigen.

Die GetExplorer-Methode verwendet ein optionales Argument einer OlFolderDisplayMode-Konstante.

Standardmäßig wird der neue Explorer im Normal-Modus (olFolderDisplayNormal) angezeigt, bei dem alle Oberflächenelemente angezeigt werden: Ein Nachrichtenfenster auf der rechten Seite, eine Outlook-Leiste auf der linken Seite und darüber eine Ordnerleiste, in der der Benutzer ein Fenster zum Navigieren in den Ordnern öffnen kann. Eine Ausnahme dieser Regel besteht, wenn Sie GetExplorer für Ordner aufrufen, die für eine Stellvertretung freigegeben sind und sich standardmäßig im No-Navigation-Modus befinden. Sie können weitere Einschränkungen für den Standardmodus vornehmen; Sie können die Einschränkungen jedoch nicht verringern, indem Sie OlFolderDisplayMode ändern.

Der Explorer kann auch im Folder-Only-Modus (olFolderDisplayFolderOnly) angezeigt werden, in dem der Explorer ohne Ordnerliste und Outlook-Leiste angezeigt wird; die Dropdownliste und die Navigationsbefehle stehen jedoch weiterhin zur Verfügung.

Der Modus mit den meisten Einschränkungen, den Sie verwenden können, ist der No-Navigation-Modus (olFolderDisplayNoNavigation). In diesem Modus wird der Explorer ohne Ordnerliste und ohne Dropdownliste für Ordner angezeigt; alle Optionen von Menüs/Befehlen zum Wechseln von Ordnern sind deaktiviert. Normalerweise ist der Benutzer nicht in der Lage, in diesem Explorer-Fenster zu einem anderen Ordner zu wechseln. Standardmäßig wird ein Ordner für eine Stellvertretung (freigegebener Ordner) im No-Navigation-Modus angezeigt.

Syntax

objMAPIFolder.GetExplorer([DisplayMode])

objMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.

DisplayMode Optionaler Wert vom Typ Long. Der Anzeigemodus für den Ordner. Folgende OlFolderDisplayMode-Konstanten sind möglich: olFolderDisplayFolderOnly(1), olFolderDisplayNoNavigation(2) oder olFolderDisplayNormal(0). Der Standardwert ist olFolderDisplayNormal(0).


 GetFirst-Methode

GetFirst-Methode

Die GetFirst-Methode gibt das erste Objekt in der Auflistung zurück. Wenn kein erstes Objekt vorhanden ist, wird Nothing zurückgegeben, beispielsweise, wenn sich keine Objekte in der Auflistung befinden.

Anmerkung: Damit die GetFirst-, GetLast-, GetNext- und GetPrevious-Methoden in einer großen Auflistung einwandfrei funktionieren, rufen Sie GetFirst auf, bevor Sie GetNext für diese Auflistung verwenden, und GetLast, bevor Sie GetPrevious aufrufen. Um sicherzustellen, dass die Aufrufe immer für die gleiche Auflistung erfolgen, erstellen Sie eine explizite Variable, die sich auf diese Auflistung bezieht, bevor Sie in eine Schleife eintreten.

Syntax

Set object. objCollection.GetFirst()

object Erforderlich. Stellt bei erfolgreicher Rückgabe das erste Objekt in der Auflistung dar.

objCollection Erforderlich. Das Auflistungsobjekt.


GetFolderFromID-Methode

Gibt ein MAPIFolder-Objekt zurück, das durch die angegebene EntryID (sofern gültig) bezeichnet wird. Diese Methode dient dazu, den Übergang von MAPI- und OLE/Messaging-Anwendungen nach Outlook zu erleichtern.

Syntax

objNameSpace .GetFolderFromID(EntryIDFolder, [StoreID])

objNameSpace Erforderlich. Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.

EntryIDFolder Erforderlicher Wert vom Typ String. Die EntryID des Ordners.

StoreID Optionaler Wert vom Typ String. Die StoreID des Ordners.


GetFreeBusy-Methode

Die GetFreeBusy-Methode gibt eine Zeichenfolge zurück, die die Verfügbarkeit eines einzelnen Benutzers für einen Zeitraum von 30 Tagen ab dem Startdatum, beginnend um Mitternacht des angegebenen Datums, darstellt.

Anmerkung: Wenn ein Adresseintrag eine Verteilerliste darstellt, kann der Status der einzelnen Mitglieder mit der GetFreeBusy-Methode nicht zurückgeliefert werden. Eine Besprechungsanfrage sollte nur an einen einzelnen Messagingbenutzer gesendet werden. Sie können feststellen, ob sich ein Messagingbenutzer in einer Verteilerliste befindet, indem Sie die DisplayType-Eigenschaft auf olDistList(1) oder olPrivateDistList(5) überprüfen.

Syntax

strAvail = objAddressEntry.GetFreeBusy(StartDate, Interval, [CompleteFormat])

strAvail Erforderlicher Wert vom Typ String. Enthält bei erfolgreicher Rückgabe eine Zeichenfolge, die die Verfügbarkeit des Benutzers kennzeichnet.

objAddressEntry Erforderlich. Das AddressEntry-Objekt.

StartDate Erforderlicher Wert vom Typ Date. Gibt das Datum an.

Interval Erforderlicher Wert vom Typ Long. Gibt die Länge der Zeitintervalle in Minuten an. Standardwert ist 30 Minuten.

CompleteFormat Optionaler Wert vom Typ Boolean.


 GetItemFromID-Methode

GetItemFromID-Methode

Gibt ein Outlook-Element zurück, das durch die angegebene EntryID (sofern gültig) bezeichnet wird. Diese Methode dient dazu, den Übergang von MAPI- und OLE/Messaging-Anwendungen nach Outlook zu erleichtern.

Syntax

objNameSpace.GetItemFromID(EntryIDItem, [StoreID])

objNameSpace Erforderlich. Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.

EntryIDItem Erforderlicher Wert vom Typ String. Die EntryID des Elements.

StoreID Optionaler Wert vom Typ String. Die StoreID des Ordners.

Hinweise

StoreID muss in der Regel beim Abrufen eines Elements auf der Grundlage seiner MAPI-IDs zur Verfügung gestellt werden.


 GetLast-Methode

GetLast-Methode

Die GetLast-Methode gibt das letzte Objekt in einer Auflistung zurück. Wenn kein letztes Objekt vorhanden ist, wird Nothing zurückgegeben, beispielsweise, wenn die Auflistung leer ist.

Anmerkung: Damit die GetFirst-, GetLast-, GetNext- und GetPrevious-Methoden in einer großen Auflistung einwandfrei funktionieren, rufen Sie GetFirst auf, bevor Sie GetNext für diese Auflistung verwenden, und GetLast, bevor Sie GetPrevious aufrufen. Um sicherzustellen, dass die Aufrufe immer für die gleiche Auflistung erfolgen, erstellen Sie eine explizite Variable, die sich auf diese Auflistung bezieht, bevor Sie in eine Schleife eintreten.

Syntax

Set object = objCollection.GetLast()

object Erforderlich. Stellt bei erfolgreicher Rückgabe das letzte Objekt in der Auflistung dar.

objCollection Erforderlich. Das Auflistungsobjekt.


GetMember-Methode

Gibt ein Recipient-Objekt zurück, das ein Mitglied einer Verteilerliste darstellt.

Syntax

object.GetMember(Index)

object Erforderlich. Ein Ausdruck, der ein DistListItem-Objekt zurückgibt.

Index Long erforderlich. Die Indexnummer des abzurufenden Mitglieds.


GetNameSpace-Methode

Gibt ein NameSpace-Objekt des angegebenen Typs zurück.

Syntax

objApplication.GetNameSpace(Type)

objApplication Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.

Type Erforderlicher Wert vom Typ String. Der Typ des Namespace, der zurückgegeben werden soll.

Hinweise

Als einziger Namespacetyp wird "MAPI" unterstützt.


 GetNext-Methode

GetNext-Methode

Die GetNext-Methode gibt das nächste Objekt in einer Auflistung zurück. Wenn kein nächstes Objekt vorhanden ist, wird Nothing zurückgegeben, beispielsweise, wenn Sie sich bereits am Ende der Auflistung befinden.

Anmerkung: Damit die GetFirst-, GetLast-, GetNext- und GetPrevious-Methoden in einer großen Auflistung einwandfrei funktionieren, rufen Sie GetFirst auf, bevor Sie GetNext für diese Auflistung verwenden, und GetLast, bevor Sie GetPrevious aufrufen. Um sicherzustellen, dass die Aufrufe immer für die gleiche Auflistung erfolgen, erstellen Sie eine explizite Variable, die sich auf diese Auflistung bezieht, bevor Sie in eine Schleife eintreten.

Syntax

Set object = objCollection.GetNext()

object Erforderlich. Stellt bei erfolgreicher Rückgabe das nächste Objekt in der Auflistung dar.

objCollection Erforderlich. Das Auflistungsobjekt.


GetOccurrence-Methode

Die GetOccurrence-Methode gibt eine bestimmte Instanz eines AppointmentItem-Objekts am angegebenen Datum zurück.

Anmerkung Die GetOccurrence-Methode erzeugt einen Fehler, wenn kein Termin dieser Serie an dem angegebenen Datum existiert.

Syntax

Set objAppointmentItem = objRecurrencePattern.GetOccurrence(Date_Time)

objAppointmentItem Erforderlich. Ein AppointmentItem-Objekt.

objRecurrencePattern Erforderlich. Ein RecurrencePattern-Objekt.

Date_Time Erforderlicher Wert vom Typ Date, der die lokale Zeit darstellt.


GetPageInfo-Methode

Gibt Informationen über eine benutzerdefinierte Eigenschaftsseite zurück.

Syntax

object.GetPageInfo(HelpFile, HelpContext)

object Erforderlich. Ein Ausdruck, der ein PropertyPage-Objekt zurückgibt.

HelpFile String erforderlich. Gibt die zur Eigenschaftsseite gehörende Hilfedatei an.

HelpContext Long erforderlich. Gibt die Kontext-ID des zur Eigenschaftsseite gehörenden Hilfethemas an.


 GetPrevious-Methode

GetPrevious-Methode

Die GetPrevious-Methode gibt das vorherige Objekt in einer Auflistung zurück. Wenn kein vorheriges Objekt vorhanden ist, wird Nothing zurückgegeben, beispielsweise, wenn Sie sich bereits am Anfang der Auflistung befinden.

Anmerkung: Damit die GetFirst-, GetLast-, GetNext- und GetPrevious-Methoden in einer großen Auflistung einwandfrei funktionieren, rufen Sie GetFirst auf, bevor Sie GetNext für diese Auflistung verwenden, und GetLast, bevor Sie GetPrevious aufrufen. Um sicherzustellen, dass die Aufrufe immer für die gleiche Auflistung erfolgen, erstellen Sie eine explizite Variable, die sich auf diese Auflistung bezieht, bevor Sie in eine Schleife eintreten.

Syntax

Set object = objCollection.GetPrevious()

object Erforderlich. Stellt bei erfolgreicher Rückgabe das vorherige Objekt in der Auflistung dar.

objCollection Erforderlich. Das Auflistungsobjekt.


GetRecipientFromID-Methode

Gibt ein Recipient-Objekt zurück, das durch die angegebene EntryID (sofern gültig) bezeichnet wird. Diese Methode dient dazu, den Übergang von MAPI- und OLE/Messaging-Anwendungen nach Outlook zu erleichtern.

Syntax

objNameSpace.GetRecipientFromID(EntryID)

objNameSpace Erforderlich. Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.

EntryID Erforderlicher Wert vom Typ String. Die EntryID des Empfängers.


GetRecurrencePattern-Methode

Gibt ein RecurrencePattern-Objekt zurück, das die Serienattribute eines Termins oder einer Aufgabe darstellt. Wenn kein Serienmuster vorhanden ist, wird ein neues, leeres RecurrencePattern-Objekt zurückgegeben.

Syntax

object.GetRecurrencePattern

object Erforderlich. Ein Ausdruck, der ein AppointmentItem- oder TaskItem-Objekt zurückgibt.


GetSharedDefaultFolder-Methode

Gibt ein MAPIFolder-Objekt zurück, das den angegebenen Standardordner für den angegebenen Benutzer darstellt. Diese Methode ist besonders nützlich bei Stellvertretungen, bei denen ein Benutzer für mindestens einen Standardordner (z. B. den freigegebenen Ordner Kalender) Stellvertreterzugriff für einen anderen Benutzer erteilt hat.

Syntax

objNameSpace.GetSharedDefaultFolder(RecipientObject, FolderTypeEnum)

objNameSpace Erforderlich. Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.

RecipientObject Erforderliches Recipient-Objekt. Der Besitzer des Ordners. Die Auflösung des Recipient-Objekts muss erfolgt sein.

FolderTypeEnum Erforderlicher Wert vom Typ Long. Der Typ des Ordners. Folgende OlDefaultFolders-Konstanten sind möglich: olFolderCalendar(9), olFolderContacts(10), olFolderDeletedItems(3), olFolderDrafts(16), olFolderInbox(6), olFolderJournal(11), olFolderNotes(12), olFolderOutbox(4), olFolderSentMail(5) oder olFolderTasks(13).


 HideFormPage-Methode

HideFormPage-Methode

Verhindert die Anzeige einer Formularseite im Inspektor.

Syntax

objInspector.HideFormPage(PageName)

objInspector Erforderlich. Ein Ausdruck, der ein Inspector-Objekt zurückgibt.

PageName Erforderlicher Wert vom Typ String. Der Anzeigename der Seite, die nicht angezeigt werden soll.


 IsPaneVisible-Methode

IsPaneVisible-Methode

Stellt fest, ob ein bestimmtes Explorerfenster sichtbar ist. Verwenden Sie diese Methode beispielsweise, um festzustellen, ob die Ordnerliste gegenwärtig im Explorer angezeigt wird. Gibt True zurück, wenn der angegebene Fensterbereich im Explorer angezeigt wird.

Anmerkung Sie können die Visible-Eigenschaft des OutlookBarPane-Objekts auch verwenden, um festzustellen, ob die Outlook-Leiste eingeblendet ist.

Syntax

object.IsPaneVisible(Pane)

object Erforderlich. Ein Ausdruck, der ein Explorer-Objekt zurückgibt.

Pane Erforderlich. Eine der folgenden olPanes-Konstanten ist erforderlich: olOutlookBar(1), olFolderList(2) oder olPreview(3).


IsWordMail-Methode

Legt fest, ob die einem Inspektor zugeordnete E-Mail-Nachricht in einem Inspector-Objekt von Outlook oder in Microsoft Word angezeigt wird. Gibt True zurück, wenn die E-Mail-Nachricht in Microsoft Word angezeigt wird (d. h., wenn Word Mail verwendet wird). Die OlEditorType-Konstante ist olEditorWord(4).

Syntax

objInspector.IsWordMail

objInspector Erforderlich. Ein Ausdruck, der ein Inspector-Objekt zurückgibt.


 Item-Methode

Item-Methode

Gibt ein Objekt aus einer Auflistung zurück. In der folgenden Tabelle sind die unterstützten Auflistungen sowie die zurückgegebenen Objekttypen aufgeführt.

Auflistung | Zurückgegebenes Objekt
Actions | Action
AddressEntries | AddressEntry
AddressLists | AddressList
Attachments | Attachment
Exceptions | Exception
Explorers | Explorer
Folders | MAPIFolder
Inspectors | Inspector
Items | Outlook-Element
Links | Link
OutlookBarGroups | OutlookBarGroup
OutlookBarShortcuts | OutlookBarShortcut
Pages | Page
Panes | Pane
PropertyPages | PropertyPage
Selection | Outlook-Element
SyncObjects | SyncObject
Recipients | Recipient
UserProperties | UserProperty

Syntax

Objekt.Item(Index)

Objekt Erforderlich. Ein Ausdruck, der ein gültiges Auflistungsobjekt zurückgibt.

Index Erforderlicher Wert vom Typ Variant. Entweder die Indexnummer des Objekts oder ein Wert, der mit der Standardeigenschaft eines Objekts in der Auflistung übereinstimmt.


 Logoff-Methode

Logoff-Methode

Meldet den Benutzer von der aktuellen MAPI-Sitzung ab.

Syntax

objNameSpace.Logoff

objNameSpace Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.


 Logon-Methode

Logon-Methode

Meldet den Benutzer bei MAPI an und eröffnet die MAPI-Sitzung.

Syntax

objNameSpace.Logon([Profile,] [Password,] ]ShowDialog,] [NewSession])

objNameSpace Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.

Profile Optionaler Wert vom Typ String. Der Profilname, der für die Sitzung verwendet werden soll.

Password Optionaler Wert vom Typ String. Das Kennwort (sofern vorhanden), das dem Profil zugeordnet ist.

ShowDialog Optionaler Wert vom Typ Boolean. True, um das MAPI-Anmeldedialogfeld anzuzeigen.

NewSession Optionaler Wert vom Typ Boolean. True, um eine neue Sitzung zu erstellen (eine bestehende Sitzung wird nicht verwendet). In Outlook können nicht mehrere Sitzungen erstellt werden.


MarkComplete-Methode

Markiert die Aufgabe als abgeschlossen. Legt PercentComplete auf "100%", Complete auf True und DateCompleted auf das aktuelle Datum fest.

Syntax

objTaskItem.MarkComplete

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


 Move-Methode

Move-Methode

Verschiebt ein Outlook-Element in einen neuen Ordner.

Syntax

object.Move(DestFldr)

object Erforderlich. Ein Ausdruck, der ein Objekt eines Outlook-Elements zurückgibt, das in der "Betrifft"-Liste aufgeführt ist.

DestFldr Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt. Der Zielordner.


MoveTo-Methode

Verschiebt einen Ordner in den angegebenen Zielordner.

Syntax

objMAPIFolder.MoveTo(Zielordner)

objMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt. Der Ordner, der verschoben wird.

Zielordner Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt. Der Zielordner für den Ordner, der verschoben wird.


OnStatusChange - Methode

Zeigt Microsoft Outlook an, dass eine Seite mit benutzerdefinierten Eigenschaften geändert wurde.

Syntax

object.OnStatusChange

object Erforderlich. Ein Ausdruck, der ein PropertyPageSite-Objekt zurückgibt.


 PickFolder-Methode

PickFolder-Methode

Die PickFolder-Methode zeigt das Dialogfeld Ordner auswählen an. Dabei handelt es sich um ein gebundenes Dialogfeld, d. h., dass die Codeausführung angehalten wird, bis der Benutzer entweder einen Ordner auswählt oder das Dialogfeld schließt. Gibt ein MAPIFolder-Objekt zurück, das dem Ordner entspricht, den der Benutzer im Dialogfeld auswählt. Gibt Nothing zurück, wenn das Dialogfeld ohne Auswahl des Benutzers geschlossen wird.

Syntax

objNameSpace.PickFolder

objNameSpace Erforderlich. Ein NameSpace-Objekt.


Post-Methode

Sendet (veröffentlicht) das PostItem-Objekt. Die Post-Methode, die analog zur Send-Methode für das MailItem-Objekt funktioniert, wird verwendet, um die öffentliche Nachricht in dem Öffentlichen Zielordner zu veröffentlichen, anstatt es per E-Mail zu senden.

Syntax

objPostItem.Post

objPostItem Erforderlich. Ein Ausdruck, der ein PostItem-Objekt zurückgibt.


 PrintOut-Methode

PrintOut-Methode

Druckt das Outlook-Element mit allen Standardeinstellungen.

Anmerkung Die PrintOut-Methode ist die einzige Outlook-Methode, die zum Drucken verwendet werden kann.

Syntax

object.PrintOut

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


 PublishForm-Methode

PublishForm-Methode

Speichert die Definition des FormDescription-Objekts in der angegebenen Formularregistrierung(Bibliothek).

Die Registrierung von Formularen erfolgt in einer von drei möglichen Klassen: Ordner, Global oder Persönlich. Die Ordner-Formularregistrierung enthält mehrere Formulare, auf die nur von diesem bestimmten Ordner aus, egal ob öffentlich oder persönlich, zugegriffen werden kann. Die Globale Formularregistrierung enthält Formulare, die für das gesamte Unternehmen freigegeben wurden und auf die jede Person zugreifen kann. Die Persönliche Formularregistrierung enthält Formulare, auf die nur der aktuelle Benutzer des Speichers zugreifen kann.

Anmerkung Die Name-Eigenschaft muss festgelegt worden sein, bevor Sie die PublishForm-Methode verwenden können.

Syntax

objFormDescription.PublishForm(Registry, [Folder])

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.

Registry Erforderlicher Wert vom Typ Long. Die Formularklasse. Die folgenden OlFormRegistry -Konstanten sind möglich: olDefaultRegistry(0), olFolderRegistry(3), olOrganizationRegistry(4) oder olPersonalRegistry(2). Verwenden Sie olDefaultRegistry, um Elemente ohne Rücksicht auf deren Formularklasse zu verarbeiten.

Folder Optionaler Wert (Ausnahme: Verwendung in Zusammenhang mit olFolderRegistry). Ausdruck, der ein MAPIFolder-Objekt zurückgibt. Wird nur bei der Ordner-Formularregistrierung verwendet. Das Ordnerobjekt, von dem aus der Zugriff auf die Formulare erfolgen muss.


 Quit-Methode

Quit-Methode

Schließt alle aktuell geöffneten Fenster. Die zugeordnete Outlook-Sitzung wird vollständig beendet: der Benutzer wird vom Messaging-System abgemeldet, und alle Änderungen von Elementen, die noch nicht gespeichert wurden, werden verworfen.

Syntax

objApplication.Quit

objApplication Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.


 Remove-Methode

Remove-Methode

Entfernt das Objekt aus der Auflistung.

Syntax

object.Remove(Index)

object Erforderlich. Ein Ausdruck, der ein Auflistungs-Objekt in der Liste "Betrifft" zurückgibt.

Index Erforderlicher Wert vom Typ Long. Der Index des Objekts innerhalb der Auflistung.


RemoveMembers-Methode

Entfernt Mitglieder aus der Verteilerliste.

Syntax

object.RemoveMembers(Recipients)

object Erforderlich. Ein Ausdruck, der ein DistListItem-Objekt zurückgibt.

Recipients Recipients erforderlich. Die von der Verteilerliste zu entfernenden Mitglieder.


Reply-Methode

Erstellt aus der ursprünglichen Nachricht eine Antwort, die an den ursprünglichen Absender voradressiert ist. Gibt die Antwort als MailItem-Objekt zurück.

Syntax

object.Reply

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt wird.


ReplyAll-Methode

Erstellt aus der ursprünglichen Nachricht eine Antwort an alle ursprünglichen Empfänger. Gibt die Antwort als MailItem-Objekt zurück.

Syntax

object.ReplyAll

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt wird.


ResetColumns-Methode

Die ResetColumns-Methode löscht die Eigenschaften, die mit der SetColumns-Methode zwischengespeichert wurden. Auf alle Eigenschaften kann weiterhin zugegriffen werden, nachdem die ResetColumns-Methode aufgerufen wurde. SetColumns sollte erneut verwendet werden, um die neuen Eigenschaften zu speichern. ResetColumns hat keine Funktion, wenn SetColumns vorher nicht aufgerufen wurde.

Syntax

objItems.ResetColumns()

objItems Erforderlich. Ein Items-Auflistungsobjekt.


Resolve-Methode

Versucht, ein Recipient-Objekt im Adressbuch aufzulösen. Gibt True zurück, wenn das Objekt aufgelöst wurde, False, wenn nicht.

Syntax

objRecipient.Resolve

objRecipient Erforderlich. Ein Ausdruck, der ein Recipient-Objekt zurückgibt.


ResolveAll-Methode

Versucht, alle Recipient-Objekte in der Recipients-Auflistung im Adressbuch aufzulösen. Gibt True zurück, wenn alle Objekt aufgelöst wurden, False, wenn mindestens ein Objekt nicht aufgelöst werden konnte.

Syntax

objRecipient.ResolveAll

objRecipient Erforderlich. Ein Ausdruck, der ein Recipient-Objekt zurückgibt.


Respond-Methode

Beantwortet eine Besprechungsanfrage für ein AppointmentItem-Objekt oder eine Aufgabenanfrage für ein TaskItem-Objekt.

Syntax

object.Respond(IResponse, [fNoUI], [fAdditionalTextDialog])

object Erforderlich. Ein Ausdruck, der ein AppointmentItem- oder ein TaskItem-Objekt zurückgibt.

IResponse Erforderlicher Wert vom Typ Long. Die Antwort auf die Anfrage.

Bei TaskItem sind die folgenden OlTaskResponse -Konstanten möglich: olTaskAccept (2), olTaskAssign(1), olTaskDecline(3) oder olTaskSimple(0).

Bei AppointmentItem sind die folgenden OlMeetingResponse-Konstanten möglich: olMeetingAccepted(3), olMeetingDeclined(4) oder olMeetingTentative(2).

fNoUI Optional bei AppointmentItem, erforderlich bei TaskItem. Wert vom Typ Boolean. True, um kein Dialogfeld anzuzeigen; die Antwort wird automatisch gesendet. False, um das Dialogfeld zum Antworten anzuzeigen.

fAdditionalTextDialog Optional bei AppointmentItem, erforderlich bei TaskItem. Wert vom Typ Boolean. False, damit keine Eingabeaufforderung an den Benutzer erfolgt; die Antwort wird im Inspektor zur Bearbeitung angezeigt. True, damit eine Aufforderung an den Benutzer erfolgt, die Antwort mit oder ohne Kommentar zu senden. Dieses Argument ist nur zulässig, wenn fNoUI False ist.

Anmerkung Die folgende Tabelle zeigt die möglichen Werte für die optionalen Parameter fNoUI und fAdditionalTextDialog sowie die jeweiligen Ergebnisse:

fKeinDF, fWeitererTextDialog | Ergebnis
True, True | Bei AppointmentItem und TaskItem: Das Antwortelement wird ohne Benutzeroberfläche zurückgesendet. Um die Antwort zu senden, müssen Sie die Send-Methode aufrufen.
True, False | Bei AppointmentItem und TaskItem: Gleiches Ergebnis wie bei True, True.
False, True | Bei AppointmentItem: Eingabeaufforderung an den Benutzer, die Antwort zu senden oder vor dem Senden zu bearbeiten. Bei TaskItem: Wenn die Display-Methode aufgerufen wurde, wird eine Eingabeaufforderung angezeigt. Andernfalls wird das Element ohne Abfrage gesendet; kein resultierendes Element.
False, False | Bei AppointmentItem: Das neue Antwortelement wird in der Benutzeroberfläche angezeigt; keine Eingabeaufforderung. Bei TaskItem: Keine Aktion.


 Restrict-Methode

Restrict-Methode

Wendet einen Filter auf eine Items-Auflistung an und gibt eine neue Auflistung zurück, die alle Elemente aus der ursprünglichen Auflistung enthält, die dem Filter entsprechen. Diese Methode ist eine Alternative zur Find-Methode oder zur FindNext-Methode, um bestimmte Elemente in einer Auflistung zu durchlaufen. Find oder FindNext sind schneller als Filtern, wenn nur wenige Elemente vorhanden sind. Restrict ist nützlich, sofern keine Bedenken hinsichtlich der Leistung bestehen.

Anmerkung Wenn Sie benutzerdefinierte Felder als Teil einer Find- oder Restrict-Bedingung verwenden, müssen die benutzerdefinierten Felder in dem Ordner existieren, da sonst der Code einen Fehler erzeugt, der darauf hinweist, dass das Feld nicht bekannt ist. Sie können ein Feld zu einem Ordner hinzufügen, indem Sie die Feldauswahl anzeigen und auf Neu klicken.

Syntax

objItems.Restrict(Filter)

objItems Erforderlich. Ein Ausdruck, der ein Items-Auflistungsobjekt zurückgibt.

Filter Erforderlicher Wert vom Typ String. Ein Filterausdruck, der angewendet werden soll. Einzelheiten finden Sie bei der Find-Methode.

Hinweise

Diese Methode kann bei den folgenden Eigenschaften nicht verwendet werden und führt zu einem Fehler:

Body

Categories

Children

Class

Companies

CompanyLastFirstNoSpace

CompanyLastFirstSpaceOnly

ContactNames

Contacts

ConversationIndex

DLName

Email1EntryID

Email2EntryID

Email3EntryID

EntryID

HTMLBody

IsOnlineMeeting

LastFirstAndSuffix

LastFirstNoSpace

 LastFirstNoSpaceCompany

LastFirstSpaceOnly

LastFirstSpaceOnlyCompany

MemberCount

NetMeetingAlias

NetMeetingAutoStart

NetMeetingOrganizerAlias

NetMeetingServer

NetMeetingType

RecurrenceState

ReplyRecipients

ReceivedByEntryID

ReceivedOnBehalfOfEntryID

ResponseState

Saved

Sent

Submitted

VotingOptions


 Save-Methode

Save-Methode

Speichert das Outlook-Element in dem aktuellen Ordner oder, wenn es sich um ein neues Element handelt, in dem Outlook-Standardordner für den Elementtyp.

Syntax

object.Save

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


 SaveAs-Methode

SaveAs-Methode

Speichert das Outlook-Element in dem angegebenen Pfad und in dem Format des angegebenen Dateityps. Wenn kein Dateityp angegeben wurde, wird das MSG-Format verwendet.

Syntax

object.SaveAs(Path, [Type])

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.

Path Erforderlicher Wert vom Typ String. Der Pfad, in dem das Element gespeichert werden soll.

Type Optionaler Wert vom Typ Variant. Der Dateityp, der gespeichert werden soll. Die folgenden OlSaveAsType -Konstanten sind möglich: olDoc(4), olHTML(5), olMSG(3), olRTF(1), olTemplate(2), olTXT(0), olVCal(7) oder olVCard(6).


SaveAsFile-Methode

Speichert die Anlage unter dem angegebenen Pfad.

Syntax

objAttachment.SaveAsFile(Path)

objAttachment Erforderlich. Ein Ausdruck, der ein Attachment-Objekt zurückgibt.

Path Erforderlicher Wert vom Typ String. Die Stelle, an der die Anlage gespeichert werden soll.


Send-Methode

Sendet den Termin, das Besprechungselement, die E-Mail-Nachricht oder die Aufgabe.

Syntax

object.Send

object Erforderlich. Ein Ausdruck, der ein AppointmentItem-, MeetingItem-, MailItem- oder TaskItem-Objekt zurückgibt.


 SetColumns-Methode

SetColumns-Methode

Die SetColumns-Methode ermöglicht dem Benutzer, bestimmte Eigenschaften zwischenzuspeichern, um auf diese Eigenschaften des Elements in äußerst kurzer Zeit zuzugreifen. Die SetColumns-Methode ist nützlich, um die Items-Auflistung zu durchlaufen. Wenn Sie diese Methode nicht verwenden, muss Outlook jedes Element öffnen, um auf die Eigenschaft zuzugreifen. Mit der SetColumns-Methode überprüft Outlook nur die Eigenschaften, die zwischengespeichert wurden. Eigenschaften, die nicht zwischengespeichert wurden, werden leer zurückgegeben.

Syntax

objItems.SetColumns(Columns)

objItems Erforderlich. Ein Items-Auflistungsobjekt.

Columns Erforderlicher String-Wert, der die Namen der Eigenschaften enthält, die zwischengespeichert werden sollen, wobei die Namen durch Kommas voneinander getrennt sind.

Hinweise

Bei der Items-Auflistung kann SetColumns für alle Eigenschaften, die ein Objekt zurückgeben, sowie bei den folgenden Eigenschaften nicht verwendet werden und führt zu einem Fehler:

Body

Categories

Children

Class

Companies

Contacts

DLName

EntryID

HTMLBody

MemberCount

RecurrenceState

ReplyRecipients

ResponseState

Saved

Sent

Submitted

VotingOptions


 SetCurrentFormPage-Methode

SetCurrentFormPage-Methode

Zeigt die angegebene Formularseite im Inspektor an.

Syntax

objInspector.SetCurrentFormPage(PageName)

objInspector Erforderlich. Ein Ausdruck, der ein Inspector-Objekt zurückgibt.

PageName Erforderlicher Wert vom Typ String. Der Anzeigename der Formularseite.


 ShowFormPage-Methode

ShowFormPage-Methode

Zeigt eine Formularseite im Inspektor an.

Syntax

objInspector.ShowFormPage(Seitenname)

objInspector Erforderlich. Ein Ausdruck, der ein Inspector-Objekt zurückgibt.

Seitenname Erforderlicher Wert vom Typ String. Der Anzeigename der Seite, die angezeigt werden soll.


 ShowPane-Methode

ShowPane-Methode

Blendet ein bestimmtes Fenster im Explorer ein oder aus.

Anmerkung Sie können auch die Visible-Eigenschaft des OutlookBarPane-Objekts verwenden, um die Outlook-Leiste ein- oder auszublenden.

Syntax

object.ShowPane(Pane, Visible)

object Erforderlich. Ein Ausdruck, der ein Explorer-Objekt zurückgibt.

Pane Erforderlich. Muss eine der folgenden olPanes-Konstanten sein: olOutlookBar(1), olFolderList(2), or olPreview(3).

Visible Erforderlich. True, um das Fenster einzublenden, False, um das Fenster auszublenden.


SkipRecurrence-Methode

Löscht die aktuelle Instanz einer Serienaufgabe und legt die Serie auf die nächste Instanz dieser Aufgabe fest.

Syntax

objTaskItem.SkipRecurrence

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


 Sort-Methode

Sort-Methode

Sortiert die Auflistung der Elemente nach der angegebenen Eigenschaft. Der Index für die Auflistung wird nach Abschluss dieser Methode auf 1 zurückgesetzt.

Bei Items:

Syntax 1

objItems.Sort(Property, [Descending])

objItems Erforderlich. Ein Ausdruck, der ein Items-Auflistungsobjekt zurückgibt.

Property Erforderlicher Wert vom Typ String. Der Name der Eigenschaft, nach der sortiert werden soll. Der Name kann in Klammern eingeschlossen sein (zum Beispiel: "[CompanyName]"). Es darf sich dabei nicht um ein benutzerdefiniertes Feld handeln und nicht um eine mehrwertige Eigenschaft, wie z. B. eine Kategorie, handeln.

Descending Optionaler Wert vom Typ Boolean. True, um in absteigender Reihenfolge zu sortieren. Der Standardwert ist False (aufsteigend).

Bei einer AddressEntries-Auflistung:

Syntax 2

obAddressEntries.Sort([Property], [Descending])

objAddressEntries Erforderlich. Ein Ausdruck, der ein AddressEntries-Auflistungsobjekt zurückgibt.

Property Optionaler Wert vom Typ String. Der Name der Eigenschaft, nach der sortiert werden soll. Der Name kann in Klammern eingeschlossen sein (zum Beispiel: "[Name]").

Descending Optionaler Wert vom Typ Long. Folgende OlSortOrder -Konstanten sind möglich:

olAscending(1), olDescending(2) oder olSortNone(0).

Hinweise

Bei der Items-Auflistung kann Sort bei den folgenden Eigenschaften nicht verwendet werden und führt zu einem Fehler:

Categories

Children

Class

Companies

CompanyLastFirstNoSpace

CompanyLastFirstSpaceOnly

Contacts

DLName

IsOnlineMeeting

LastFirstAndSuffix

LastFirstNoSpace

 LastFirstNoSpaceCompany

LastFirstSpaceOnly

LastFirstSpaceOnlyCompany

MemberCount

NetMeetingAlias

NetMeetingAutoStart

NetMeetingOrganizerAlias

NetMeetingServer

NetMeetingType

RecurrenceState

ResponseState

Saved

Sort wirkt sich lediglich auf die Reihenfolge der Objekte in einer Auflistung aus. Es hat keinen Einfluss auf die Reihenfolge von Objekten in einer Explorer-Ansicht.


Start-Methode

Beginnt die Synchronisierung eines Benutzerordners unter Verwendung des angegebenen Synchronisationsprofils.

Syntax

object.Start

object Erforderlich. Ein Ausdruck, der ein SyncObject-Objekt zurückgibt.


StartTimer-Methode

Startet die Zeitmessung für den Journaleintrag. Diese Methode ermöglicht die programmgesteuerte Kontrolle der Zeitmessungsfunktion. Die Duration-, End- und Start-Eigenschaften werden automatisch aktualisiert, wenn die Zeitmessung angehalten wird.

Syntax

objJournalItem.StartTimer

objJournalItem Erforderlich. Ein Ausdruck, der ein JournalItem-Objekt zurückgibt.


StatusReport-Methode

Sendet einen Statusbericht mit dem aktuellen Status der Aufgabe an alle CC-Empfänger (Empfänger, die von der StatusUpdateRecipients-Eigenschaft zurückgegeben werden).

Syntax

objTaskItem.StatusReport

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


Stop-Methode

Beendet abrupt die Synchronisierung eines Benutzerordners mit dem vorgegebenen Synchronisationsprofil. Diese Methode macht die bisher durchgeführte Synchronisierung nicht rückgängig.

Syntax

object.End

object Erforderlich. Ein Ausdruck, der ein SyncObject-Objekt zurückgibt.


StopTimer-Methode

Stoppt die Zeitmessung für den Journaleintrag. Diese Methode ermöglicht die programmgesteuerte Kontrolle der Zeitmessungsfunktion. Die Duration-, End- und Start-Eigenschaften werden automatisch aktualisiert, wenn die Zeitmessung angehalten wird.

Syntax

objJournalItem.StopTimer

objJournalItem Erforderlich. Ein Ausdruck, der ein JournalItem-Objekt zurückgibt.


Update-Methode

Die Update-Methode veröffentlicht eine Änderung eines AddressEntry-Objekts im Nachrichtensystem.

Neue Einträge oder Änderungen an vorhandenen Einträgen werden solange nicht dauerhaft in der Auflistung übernommen, bis die Update-Methode aufgerufen wurde, wobei der Parameter makePermanent als True festgelegt ist.

Um den Zwischenspeicher zu löschen und die Werte aus dem Adressbuch anschließend erneut zu laden, rufen Sie Update auf, wobei der Parameter makePermanent als False und der Parameter refreshObject als True festgelegt ist.

Syntax

objAddressEntry.Update([makePermanent], [refreshObject])

objAddressEntry Erforderlich. Das AddressEntry-Objekt.

makePermanent Optionaler Wert vom Typ Boolean. Der Wert True kennzeichnet, dass der Zwischenspeicher für die Eigenschaften gelöscht wird und alle Änderungen in das zugrunde liegende Adressbuch übernommen werden. Der Wert False kennzeichnet, dass der Zwischenspeicher für die Eigenschaften gelöscht wird, aber keine dauerhafte Speicherung erfolgt. Der Standardwert ist True.

refreshObject Optionaler Wert vom Typ Boolean. Der Wert True kennzeichnet, dass der Zwischenspeicher für die Eigenschaften erneut mit den Werten in dem zugrunde liegenden Adressbuch gefüllt wird. Der Wert False kennzeichnet, dass der Zwischenspeicher für die Eigenschaften nicht neu gefüllt wird. Der Standardwert ist False.


 Action-Objekt

Action-Objekt

Stellt eine spezielle Aktion (beispielsweise die Reaktion auf Abstimmungsoptionen) dar, die für ein Element ausgeführt werden kann. Das Action-Objekt ist Bestandteil der Actions-Auflistung.

Verwenden des Action-Objekts

Verwenden Sie Actions(Index), wobei Index den Namen einer verfügbaren Aktion darstellt, um ein einzelnes Action-Objekt zurückzugeben.

Das folgende Beispiel für Visual Basic für Applikationen verwendet die Reply-Aktion eines bestimmten Elements, um eine Antwort zu senden.

Set myOlApp = CreateObject("Outlook.Application")
myItem = CreateItem(olMailItem)
Set myReply = myItem.Actions("Reply").Execute

Das folgende Beispiel für Visual Basic für Applikationen dient dem gleichen Zweck, verwendet jedoch ein anderes Verfahren zur Beantwortung.

Set myOlApp = CreateObject("Outlook.Application")
myItem = CreateItem(olMailItem)
myItem.Actions("Reply").ReplyStyle = _
    olIncludeOriginalText
Set myReply = myItem.Actions("Reply").Execute


 Actions-Objekt (Auflistung)

Actions-Objekt (Auflistung)

Eine Auflistung von Action-Objekten, die alle speziellen Aktionen darstellt, die für ein Outlook-Element ausgeführt werden können.

Verwenden der Actions-Auflistung

Verwenden Sie die Actions-Eigenschaft, um die Actions-Auflistung für ein beliebiges Outlook-Elementobjekt zurückzugeben.

Verwenden Sie Actions(Index), wobei Index den Namen einer verfügbaren Aktion darstellt, um ein einzelnes Action-Objekt zurückzugeben.

Das folgende Beispiel für Visual Basic für Applikationen verwendet die Reply-Aktion eines bestimmten Elements, um eine Antwort zu senden.

Set myOlApp = CreateObject("Outlook.Application")
myItem = CreateItem(olMailItem)
Set myReply = myItem.Actions("Reply").Execute


 AddressEntries-Objekt (Auflistung)

AddressEntries-Objekt (Auflistung)

Die AddressEntries-Auflistung ist eine Auflistung von Adressen in einem AddressList-Objekt. Die Auflistung kann keine oder mehrere AddressEntry-Objekte enthalten und den Zugriff auf die Einträge im Adressbuchcontainer eines Transportdienstes ermöglichen.

Verwenden der AddressEntries-Auflistung

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myAddressList = myNameSpace.AddressLists("Personal Address Book
Set myAddressEntries = myAddressList.AddressEntries

Sie können in der AddressEntries-Auflistung auch direkt einen Index verwenden, um ein AddressEntry-Objekt zurückzugeben.

Set myAddressEntry = myAddressList.AddressEntries(index)


AddressEntry-Objekt

Das AddressEntry-Objekt ist eine Adresse in einer AddressEntries-Auflistung. Jedes AddressEntry-Objekt in der Auflistung enthält Informationen, die eine Person oder einen Prozess darstellen, an die das Nachrichtensystem Nachrichten übermitteln kann.

Verwenden des AddressEntry-Objekts

Set myAddressEntry = myRecipient.AddressEntry

Verwenden Sie AddressEntries(Index), wobei Index die Indexnummer eines Adresseintrags oder ein Wert, der mit der Standardeigenschaft eines Adresseintrags übereinstimmt, um ein einzelnes AddressEntry-Objekt zurückzugeben.

Set myAddressEntry = myAddressEntries.Item(index)


 AddressList-Objekt

AddressList-Objekt

Das AddressList-Objekt ist ein Adressbuch, das mehrere AddressEntry-Objekte enthält. Das Persönliche Adressbuch ist beispielsweise ein AddressList-Objekt.

Das AddressList-Objekt unterstützt eine Liste von Adresseinträgen, an die das Nachrichtensystem Nachrichten übertragen kann. Ein AddressList-Objekt stellt einen Adressbuchcontainer dar, der in der Adressbuchhierarchie des Transportdienstes für die aktuelle Sitzung zur Verfügung steht. Die gesamte Hierarchie wird über die übergeordnete AddressLists-Auflistung zur Verfügung gestellt.

Verwenden des AddressList-Objekts

Set myAddressList = Application.Session.AddressLists("Personal Address Book")


 AddressLists-Objekt (Auflistung)

AddressLists-Objekt (Auflistung)

Die AddressLists-Auflistung enthält mehrere AddressList-Objekte. Die AddressLists-Auflistung ermöglicht den Zugriff auf die Basis der Adressbuchhierarchie des Transportdienstes für die aktuelle Sitzung.

Verwenden der AddressLists-Auflistung

Set myAddressLists = myNameSpace.AddressLists


 Application-Objekt

Application-Objekt

Stellt die gesamte Microsoft Outlook-Anwendung dar. Dies ist das einzige Objekt in der Hierarchie, das durch die CreateObject-Methode oder die systeminterne GetObject-Funktion von Visual Basic zurückgegeben werden kann.

Das Outlook Application-Objekt dient mehreren Zwecken:

  • Als Stammobjekt ermöglicht es den Zugriff auf andere Objekte in der Outlook-Hierarchie.

  • Es ermöglicht den direkten Zugriff auf ein neues Element, das mit CreateItem erstellt wurde, ohne die Objekthierarchie zu durchlaufen.

  • Es ermöglicht den Zugriff auf die aktiven Objekte der Benutzeroberfläche (den Explorer und den Inspektor)

Verwenden des Application-Objekts

Wenn Sie die Automatisierung verwenden, um Microsoft Outlook aus einer anderen Anwendung zu steuern, verwenden Sie die CreateObject-Methode, um ein Outlook Application-Objekt zu erstellen.

Das folgende Beispiel für Visual Basic für Applikationen startet Microsoft Outlook (sofern es nicht schon ausgeführt wird) und öffnet den Standardposteingang.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder= _
    myNameSpace.GetDefaultFolder(olFolderInbox)
myFolder.Display

Das folgende Beispiel für Visual Basic für Applikationen verwendet das Application-Objekt, um einen neuen Kontakt zu erstellen und zu öffnen.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
myItem.Display


AppointmentItem-Objekt

Stellt einen Termin im Ordner Kalender dar. Ein AppointmentItem-Objekt kann eine Besprechung, einen einmaligen Termin bzw. einen Serientermin oder eine Serienbesprechung darstellen.

Verwenden des AppointmentItem-Objekts

Verwenden Sie die CreateItem-Methode, um ein AppointmentItem-Objekt zu erstellen, das einen neuen Termin darstellt.

Das folgende Beispiel für Visual Basic für Applikationen gibt einen neuen Termin zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olAppointmentItem)

Verwenden Sie Items(Index), wobei Index den Index eines Termins darstellt oder den Wert, der der Standardeigenschaft eines Termins entspricht, um ein einzelnes AppointmentItem-Objekt aus einem Ordner Kalender zurückzugeben.

Sie können darüber hinaus ein AppointmentItem-Objekt aus einem MeetingItem-Objekt zurückgeben, indem Sie die GetAssociatedAppointment-Methode verwenden.


 Attachment-Objekt

Attachment-Objekt

Stellt ein Dokument oder eine Verknüpfung zu einem Dokument dar, das/die in einem Outlook-Element enthalten ist.

Verwenden des Attachment-Objekts

Verwenden Sie Attachments(Index), wobei Index die Indexzahl darstellt, um ein einzelnes Attachment-Objekt zurückzugeben.

Verwenden Sie die Add-Methode, um eine Anlage zu einem Element hinzuzufügen.

Das folgende Beispiel für Visual Basic für Applikationen erstellt eine neue E-Mail-Nachricht, fügt die Datei Q496.xls als Anlage (nicht als Verknüpfung) an, und gibt der Anlage einen beschreibenden Titel.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myAttachments = myItem.Attachments
myAttachments.Add "C:\My Documents\Q496.xls", _
    olByValue, 1, "4th Quarter 1996 Results Chart"


 Attachments-Objekt (Auflistung)

Attachments-Objekt (Auflistung)

Eine Auflistung von Attachment-Objekten, die die Anlagen in einem Outlook-Element darstellen.

Verwenden der Attachments-Auflistung

Verwenden Sie die Attachments-Eigenschaft, um die Attachments-Auflistung für ein beliebiges Outlook-Element mit Ausnahme von Notizen zurückzugeben.

Verwenden Sie die Add-Methode, um eine Anlage zu einem Element hinzuzufügen.

Um übereinstimmende Ergebnisse zu erzielen, speichern Sie ein Element jedesmal bevor Sie Objekte in der Attachments-Auflistung des Elements hinzufügen oder entfernen.

Das folgende Beispiel für Visual Basic für Applikationen erstellt eine neue E-Mail-Nachricht, fügt die Datei Q496.xls als Anlage (nicht als Verknüpfung) an und gibt der Anlage einen beschreibenden Titel.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
myItem.Save
Set myAttachments = myItem.Attachments
myAttachments.Add "C:\My Documents\Q496.xls", _
    olByValue, 1, "4th Quarter 1996 Results Chart"

Verwenden Sie Attachments(Index), wobei Index die Indexzahl darstellt, um ein einzelnes Attachment-Objekt zurückzugeben.


ContactItem-Objekt

Stellt einen Kontakt in einem Kontakteordner dar. Ein Kontakt kann eine beliebige Person, zu der Sie persönlichen oder geschäftlichen Kontakt haben, darstellen.

Verwenden des ContactItem-Objekts

Verwenden Sie die CreateItem-Methode, um ein ContactItem-Objekt zu erstellen, das einen neuen Kontakt darstellt.

Das folgende Beispiel für Visual Basic für Applikationen gibt einen neuen Kontakt zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)

Das folgende VBScript-Beispiel gibt einen neuen Kontakt zurück.

Set myItem = Application.CreateItem(olContactItem)

Verwenden Sie Items(Index), wobei Index den Index eines Kontaktes darstellt oder einen Wert, der der Standardeigenschaft eines Kontaktes entspricht, um ein einzelnes ContactItem-Objekt aus einem Ordner Kontakte zurückzugeben.


DistListItem-Objekt

Stellt eine Verteilerliste in einem Kontakteordner dar. Eine Verteilerliste kann mehrere Empfänger enthalten. Nachrichten werden an jeden gesendet, der in der Liste aufgeführt ist.

Verwenden des DistListItem-Objekts

Mit der CreateItem-Methode können Sie ein DistListItem-Objekt erstellen, das eine neue Verteilerliste darstellt. Im folgenden Beispiel für Microsoft Visual Basic für Applikationen wird eine neue Verteilerliste erstellt und angezeigt.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olDistributionListItem)
myItem.Display

Mit Items(index) können Sie ein einzelnes DistListItem-Objekt in einem Kontakteordner zurückgeben (d. h., einem Ordner, dessen Standardelementtyp olContactItem ist, was dem Wert 2 entspricht). index ist dabei die Indexnummer eines Elements in einem Kontakteordner oder ein Wert, der mit der Standardeigenschaft eines Elements in diesem Ordner übereinstimmt. Im folgenden Beispiel für Visual Basic für Applikationen wird der aktuelle Ordner als Kontakteordner festgelegt und eine bestehende Verteilerliste "Project Team" im Ordner angezeigt.

Set myOlApp = CreateObject("Outlook.Application")
Set myNamespace = myOlApp.GetNamespace("MAPI")
Set myFolder = myNamespace.GetDefaultFolder(olFolderContacts)
myFolder.Display
Set myItem = myFolder.Items("Project Team")
myItem.Display


 DocumentItem-Objekt

DocumentItem-Objekt

Ein DocumentItem-Objekt ist ein beliebiges Dokument, bei dem es sich nicht um ein Outlook-Element handelt, das als Element in einem Outlook-Ordner vorhanden ist. In der Regel ist dies ein Office-Dokument; es kann aber auch ein beliebiger Dokumenttyp sein oder eine ausführbare Datei.


Exception-Objekt

Das Exception-Objekt enthält Informationen über eine Instanz eines AppointmentItem-Objekts, das eine Ausnahme einer sich wiederholenden Serie bildet. Im Gegensatz zu den anderen Outlook-Objekten handelt es sich bei dem Exception-Objekt um ein schreibgeschütztes Objekt. Das bedeutet, dass Sie kein Exception-Objekt erstellen können; das Objekt wird vielmehr erstellt, wenn eine Eigenschaft eines AppointmentItem geändert wird. Wenn Sie beispielsweise die Start-Eigenschaft eines AppointmentItem ändern, wird eine Exception in AppointmentItem.RecurrencePattern.Exceptions erstellt.

Anmerkung Die Exceptions-Auflistung befindet sich im RecurrencePattern und nicht im eigentlichen AppointmentItem.

Der Zugriff auf das Exception-Objekt kann aus dem RecurrencePattern-Objekt über die Exceptions-Auflistung erfolgen.

Verwenden des Exception-Objekts

In Visual Basic für Applikationen:

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderCalendar)
Set myItems = myFolder.Items
Set myApptItem = myItems("Daily Meeting")
Set myRecurrencePattern = myApptItem.GetRecurrencePattern
Set myException = myRecurrencePattern.Exceptions.Item(1)

In VBScript:

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(9)
Set myItems = myFolder.Items
Set myApptItem = myItems("Daily Meeting")
Set myRecurrencePattern = myApptItem.GetRecurrencePattern
Set myException = myRecurrencePattern.Exceptions.Item(1)


 Exceptions-Objekt (Auflistung)

Exceptions-Objekt (Auflistung)

Die Exceptions-Auflistung ist eine Gruppe von Exception-Objekten. Wenn Sie über ein sich wiederholendes AppointmentItem verfügen, definiert das RecurrencePattern-Objekt die Wiederholung dieser Termine. Die Exceptions-Auflistung enthält die Gruppe der Exception-Objekte, die Ausnahmen für diese Terminserie bilden.

Exception-Objekte werden immer dann zur Exceptions-Auflistung hinzugefügt, wenn eine Eigenschaft in dem entsprechenden AppointmentItem-Objekt geändert wird.

Verwenden der Exceptions-Auflistung

Set myExceptions = myRecurrencePattern.Exceptions


Explorer-Objekt

Stellt das Fenster dar, in dem der Inhalt eines Ordners angezeigt wird.

Verwenden des Explorer-Objekts

Verwenden Sie die Item-Methode der Explorers-Auflistung, um das Objekt zurückzugeben, das einen bestimmten Explorer darstellt.

Verwenden Sie die ActiveExplorer-Methode, um das Objekt zurückzugeben, das den aktuell aktiven Explorer (sofern vorhanden) darstellt.

Verwenden Sie die GetExplorer-Methode, um das Explorer-Objekt zurückzugeben, das einem Ordner zugeordnet ist.

Verwenden Sie die Display-Methode eines MapiFolder-Objekts, um einen Ordner in dem zugeordneten Explorer anzuzeigen.


 Explorers-Objekt (Auflistung)

Explorers-Objekt (Auflistung)

Die Explorers-Auflistung enthält eine Gruppe von Explorer-Objekten, die alle Explorer darstellen. Ein Explorer muss nicht angezeigt sein, um in die Auflistung aufgenommen zu werden.

Verwenden der Explorers-Auflistung

Mit der Explorers-Eigenschaft können Sie die Explorers-Auflistung aus dem Application-Objekt zurückgeben. Im folgenden Beispiel wird gezeigt, wie Sie die Explorers-Auflistung in Microsoft Visual Basic oder Microsoft Visual Basic für Applikationen abrufen können.

Dim myOlApp as New Outlook.Application
Set myExplorers = myOLApp.Explorers

Im folgenden Beispiel wird gezeigt, wie Sie die Explorers-Auflistung in VBScript abrufen können.

Set myExplorers= Application.Explorers


 Folders-Objekt (Auflistung)

Folders-Objekt (Auflistung)

Eine Auflistung von MAPIFolder-Objekten, die alle verfügbaren Outlook-Ordner in einer bestimmten Teilmenge auf einer Ebene des Ordnerbaums darstellen.

Verwenden der Folders-Auflistung

Verwenden Sie die Folders-Eigenschaft, um die Folders-Auflistung aus einem NameSpace-Objekt oder einem anderen MAPIFolder-Objekt zurückzugeben.

Verwenden Sie Folders(Index), wobei Index den Namen oder die Indexzahl darstellt, um ein einzelnes MAPIFolder-Objekt zurückzugeben. Ordnernamen unterscheiden Groß-/Kleinschreibung.

Das folgende Beispiel für Visual Basic für Applikationen gibt den Ordner mit dem Namen "Old Contacts" aus myFolder zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(olFolderContacts)
Set myNewFolder = myFolder.Folders("Old Contacts")

Das folgende Beispiel für Visual Basic für Applikationen gibt den ersten Ordner in myFolder zurück.

Set myNewFolder = myFolder.Folders(1)


 FormDescription-Objekt

FormDescription-Objekt

Enthält die allgemeinen Eigenschaften eines Outlook-Formulars. Die Eigenschaften eines Outlook-Formulars werden im Entwurfsmodus auf der Seite Eigenschaften eines Formulars angezeigt.

Um die Seite Eigenschaften im Entwurfsmodus anzuzeigen, öffnen Sie das Outlook-Element, wählen Sie Formulare aus dem Menü Extras, klicken Sie auf Dieses Formular entwerfen und dann im Fenster des Elements auf die Registerkarte Eigenschaften.

Verwenden des FormDescription-Objekts

Verwenden Sie die FormDescription-Eigenschaft, um das FormDescription-Objekt zurückzugeben, das einem Outlook-Element zugeordnet ist.


 Inspector-Objekt

Inspector-Objekt

Stellt das Fenster dar, in dem ein Outlook-Element angezeigt wird.

Verwenden des Inspector-Objekts

Verwenden Sie die ActiveInspector-Methode, um das Objekt zurückzugeben, das den aktuell aktiven Inspektor (sofern vorhanden) darstellt.

Verwenden Sie die GetInspector-Eigenschaft, um das Inspector-Objekt zurückzugeben, das einem Element zugeordnet ist.

Verwenden Sie die Display-Methode, um ein Element in dem zugeordneten Inspektor anzuzeigen.

Das Inspector-Objekt und Microsoft Word als E-Mail-Editor des Benutzers

Wenn der Benutzer Microsoft Word als Standard-E-Mail-Editor verwendet und das Nachrichtenformat des bearbeiteten Elements Nur Text oder HTML ist, wird kein Inspector-Objekt mit dem Element verknüpft.


 Inspectors-Objekt (Auflistung)

Inspectors-Objekt (Auflistung)

Die Inspectors -Auflistung enthält eine Gruppe von Inspector-Objekten, die alle Inspektoren darstellen. Ein Inspektor muss nicht angezeigt sein, um in die Auflistung aufgenommen zu werden.

Verwenden der Inspectors-Auflistung

Mit der Inspectors-Eigenschaft können Sie die Inspectors-Auflistung vom Application-Objekt zurückgeben lassen. Im folgenden Beispiel wird gezeigt, wie Sie die Inspectors-Auflistung in Microsoft Visual Basic oder Microsoft Visual Basic für Applikationen abrufen können.

Dim myOlApp as New Outlook.Application
Set myInspectors = myOLApp.Inspectors

Im folgenden Beispiel wird gezeigt, wie Sie die Inspectors-Auflistung in VBScript abrufen.

Set myInspectors= Application.Inspectors


 Items-Objekt (Auflistung)

Items-Objekt (Auflistung)

Eine Auflistung von Outlook-Elementobjekten in einem Ordner.

Verwenden der Items-Auflistung

Verwenden Sie die Items-Eigenschaft, um die Items-Auflistung eines MAPIFolder-Objekts zurückzugeben.

Verwenden Sie Items(Index), wobei Index den Namen oder die Indexzahl darstellt, um ein einzelnes Outlook-Element zurückzugeben.

Das folgende Beispiel für Visual Basic für Applikationen gibt das Element mit dem Betreff "Need your advice" in myFolder zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(olFolderInbox)
Set myItem = myFolder.Items("Need your advice")

Das folgende Beispiel für Visual Basic für Applikationen gibt das erste Element in myFolder zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(olFolderInbox)
Set myItem = myFolder.Items(1)

Das folgende VBScript-Beispiel gibt das erste Element in myFolder zurück.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(6)
Set myItem = myFolder.Items(1)


JournalItem-Objekt

Stellt einen Journaleintrag in einem Ordner Journal dar. Ein Journaleintrag stellt eine Aufzeichnung aller über Outlook erfolgten Transaktionen in einem bestimmten Zeitraum dar.

Verwenden des JournalItem-Objekts

Verwenden Sie die CreateItem-Methode, um ein JournalItem-Objekt zu erstellen, das einen neuen Journaleintrag darstellt. Das folgende Beispiel gibt einen neuen Journaleintrag zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olJournalItem)

Verwenden Sie Items(Index), wobei Index den Index eines Journaleintrags darstellt oder einen Wert, der der Standardeigenschaft eines Journaleintrags entspricht, um ein einzelnes JournalItem-Objekt aus einem Ordner Journal zurückzugeben.


 Link-Objekt

Link-Objekt

Stellt ein Element dar, das mit einem anderen Microsoft Outlook-Element verknüpft ist. Jedem Element ist eine Links -Auflistung zugewiesen, die alle mit diesem Element verknüpften Elemente darstellt.

Anmerkung In Outlook 2000 können lediglich Kontakte mit anderen Elementen verknüpft werden.

Verwenden des Link-Objekts

Mit der Item-Methode können Sie das Link-Objekt aus einer Links-Auflistung abrufen. Da die Name-Eigenschaft die Standardeigenschaft des Link-Objekts ist, können Sie das verknüpfte Element nach dem Namen identifizieren.

Set myLink = myLinks.Item("Microsoft Corporation")


 Links-Objekt (Auflistung)

Links-Objekt (Auflistung)

Die Links -Auflistung enthält eine Menge von Link-Objekten, die sämtliche mit einem bestimmten Microsoft Outlook-Element verknüpften Elemente darstellen.

Verwenden des Objekts der Links-Auflistung

Mit der Links-Eigenschaft können Sie das Objekt der Links-Auflistung für das Element-Objekt zurückgeben.

Set myLinks = myItem.Links


MailItem-Objekt

Stellt eine E-Mail-Nachricht in einem Ordner Posteingang dar.

Verwenden des MailItem-Objekts

Verwenden Sie die CreateItem-Methode, um ein MailItem-Objekt zu erstellen, das eine neue E-Mail-Nachricht darstellt. Das folgende Beispiel erstellt eine neue E-Mail-Nachricht und zeigt sie an.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
myItem.Display

Verwenden Sie Items(Index), wobei Index den Index einer E-Mail-Nachricht darstellt oder einen Wert, der der Standardeigenschaft einer Nachricht entspricht, um ein einzelnes MailItem-Objekt aus einem Ordner Posteingang zurückzugeben. Das folgende Beispiel legt den aktuellen Ordner als Posteingang fest und zeigt die zweite E-Mail-Nachricht in dem Ordner an.

Set myOlApp = CreateObject("Outlook.Application")
Set myNamespace = myOlApp.GetNamespace("MAPI")
Set myFolder =_ myNamespace.GetDefaultFolder(olFolderInbox)
myFolder.Display
Set myItem = myFolder.Items(2)
myItem.Display


 MAPIFolder-Objekt

MAPIFolder-Objekt

Stellt einen Outlook-Ordner dar. Ein MAPIFolder-Objekt kann andere MAPIFolder-Objekte sowie Outlook-Elemente enthalten. Sie können in zusammenhängenden Ordnern navigieren, indem Sie eine Kombination der Folders(Index)-Eigenschaft, die einen Ordner innerhalb eines Namensraums oder einen anderen Ordner zurückgibt, und der Parent-Eigenschaft verwenden, die das darin enthaltene Objekt zurückgibt.

Verwenden des MAPIFolder-Objekts

Verwenden Sie Folders(Index), wobei Index den Namen oder die Indexzahl darstellt, um ein einzelnes MAPIFolder-Objekt aus einem NameSpace-Objekt oder einem anderen MAPIFolder-Objekt zurückzugeben.

Innerhalb eines Outlook-Datenspeichers gibt es mehrere Ordner, die die Standardfunktionalität von Outlook unterstützen. Verwenden Sie GetDefaultFolder(Index), wobei Index eine der OlDefaultFolders-Konstanten darstellt, um einen der Outlook-Standardordner im NameSpace-Objekt von Outlook zurückzugeben. Die OlDefaultFolders-Konstanten sind olFolderCalendar (9), olFolderContacts (10), olFolderDeletedItems (3), olFolderDrafts (16), olFolderInbox (6), olFolderJournal (11), olFolderNotes (12), olFolderOutbox (4), olFolderSentMail (5) und olFolderTasks (13).

Verwenden Sie die Add-Methode, um einen Ordner zu der Folders-Auflistung hinzuzufügen. Die Add-Methode verfügt über ein optionales Argument, das verwendet werden kann, um den Typ der Elemente anzugeben, die in diesem Ordner gespeichert werden können. Standardmäßig erben die Ordner, die innerhalb eines anderen Ordners erstellt wurden, den Typ des übergeordneten Ordners.

Hinweise

Ordner im Outlook-Datenspeicher können mit einem Typ versehen werden. Der Ordner Kalender enthält beispielsweise nur AppointmentItem-Objekte und der Ordner Kontakte nur ContactItem- und DistListItem-Objekte.

Beachten Sie, dass beim Speichern von Elementen eines bestimmten Typs die Elemente direkt in dem entsprechenden Standardordner gespeichert werden. Wenn die GetAssociatedAppointment-Methode beispielsweise auf ein MeetingItem im Ordner Posteingang angewendet wird, wird der zurückgelieferte Termin im Standardordner Kalender gespeichert.


 MeetingItem-Objekt

MeetingItem-Objekt

Stellt ein Element in einem Ordner Posteingang dar. Ein MeetingItem-Objekt stellt eine Änderung im Ordner Kalender des Empfängers dar, das von einer anderen Person initiiert wurde oder als Ergebnis einer Gruppenaktion erfolgte.

Verwenden des MeetingItem-Objekts

Im Gegensatz zu anderen Outlook-Objekten können Sie dieses Objekt nicht erstellen. Es wird automatisch erstellt, wenn Sie die MeetingStatus-Eigenschaft eines AppointmentItem-Objekts auf olMeeting festlegen und es an mindestens einen Benutzer senden. Die Benutzer erhalten das Objekt als MeetingItem in ihrem Posteingang.

Das folgende Beispiel verwendet die CreateItem-Methode, um einen Termin zu erstellen. Es wird in ein MeetingItem mit einem erforderlichen und einem optionalen Teilnehmer umgewandelt, wenn es im Posteingang der einzelnen Empfänger eingeht.

Set myItem = myOlApp.CreateItem(olAppointmentItem)
myItem.MeetingStatus = olMeeting
myItem.Subject = "Strategy Meeting"
myItem.Location = "Conference Room B"
myItem.Start = #9/24/97 1:30:00 PM#
myItem.Duration = 90
Set myRequiredAttendee = myItem.Recipients.Add("Nate _
    Sun")
myRequiredAttendee.Type = olRequired
Set myOptionalAttendee = myItem.Recipients.Add("Kevin _
    Kennedy")
myOptionalAttendee.Type = olOptional
Set myResourceAttendee = _
    myItem.Recipients.Add("Conference Room B")
myResourceAttendee.Type = olResource
myItem.Send

Verwenden Sie die GetAssociatedAppointment-Methode, um das AppointmentItem-Objekt, das einem MeetingItem-Objekt zugeordnet ist, zurückzugeben und direkt mit dem AppointmentItem-Objekt zu arbeiten, um die Anfrage zu beantworten.


NameSpace-Objekt

Stellt ein abstraktes Stammobjekt für eine beliebige Datenquelle dar. Das Objekt selbst stellt Methoden zum An- und Abmelden zur Verfügung, um auf Speicherobjekte direkt über die ID, direkt auf bestimmte spezielle Standardordner und auf Datenquellen, für die andere Benutzer zuständig sind, zuzugreifen.

Verwenden des NameSpace-Objekts

Verwenden Sie GetNameSpace("MAPI"), um das Outlook-NameSpace-Objekt aus dem Application-Objekt zurückzugeben.

Hinweise

Die einzige unterstützte Datenquelle ist "MAPI". Sie ermöglicht den Zugriff auf alle Outlook-Daten, die in den Nachrichtenspeichern der Benutzer gespeichert sind.


 NoteItem-Objekt

NoteItem-Objekt

Stellt eine Notiz in einem Ordner Notizen dar.

Ein NoteItem kann nicht angepasst werden. Wenn Sie eine neue Notiz öffnen, werden Sie feststellen, dass der Entwurfsmodus nicht zur Verfügung steht.

Die Subject-Eigenschaft eines NoteItem-Objekts ist schreibgeschützt, da sie aus dem Text der Notiz berechnet wird. Für die Body-Eigenschaft eines NoteItem-Objekts ist nur das RTF-Format möglich, so dass Eigenschaften, die HTML- und Word-Inhalten entsprechen, nicht eingesetzt werden können. Obwohl die GetInspector-Eigenschaft mit Notizen funktioniert, da Notizen nicht angepasst werden können, sind einige Inspector-Eigenschaften und -Methoden bei NoteItem-Objekten nicht anwendbar.

Verwenden des NoteItem-Objekts

Verwenden Sie die CreateItem-Methode, um ein NoteItem-Objekt zu erstellen, das eine neue Notiz darstellt. Das folgende Beispiel von Microsoft Visual Basic gibt eine neue Notiz zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olNoteItem)

Im folgenden Beispiel wird gezeigt, wie ein NoteItem-Objekt mit VBScript erstellt wird.

Set myItem = Application.CreateItem(5)

Verwenden Sie Items(Index), wobei Index die Indexzahl einer Notiz oder einen Wert darstellt, der der Standardeigenschaft einer Notiz entspricht, um ein einzelnes NoteItem-Objekt aus einem Ordner Notizen zurückzugeben.


 OutlookBarGroup-Objekt

OutlookBarGroup-Objekt

Stellt eine Gruppe von Verknüpfungen auf der Outlook-Leiste eines Explorer-Fensters dar.

Verwenden des OutlookBarGroup-Objekts

Mit der Item-Methode können Sie das OutlookBarGroup-Objekt aus einem Objekt der OutlookBarGroups-Auflistung abrufen. Da die Name-Eigenschaft die Standardeigenschaft des OutlookBarGroup-Objekts ist, können Sie die Gruppe mit dem Namen identifizieren.

Set myOlBarGroup = myOutlookBarGroups.Item("Other Shortcuts")


 OutlookBarGroups-Objekt (Auflistung)

OutlookBarGroups-Objekt (Auflistung)

Die OutlookBarGroups -Auflistung enthält eine Menge von OutlookBarGroup-Objekten, die alle Gruppen auf der Outlook-Leiste darstellen.

Verwenden des Objekts der OutlookBarGroups-Auflistung

Mit der Groups-Eigenschaft können Sie das Objekt der OutlookBarGroups-Auflistung aus dem OutlookBarStorage-Objekt zurückgeben.

Set myGroups = myOutlookBarStorage.Groups


 OutlookBarPane-Objekt

OutlookBarPane-Objekt

Stellt den Fensterausschnitt der Outlook-Leiste in einem Explorer-Fenster dar. Die Outlook-Leiste enthält in Gruppen angeordnete Verknüpfungen zu Ordnern von Microsoft Outlook und des Dateisystems.

Verwenden des OutlookBarPane-Objekts

Mit der Item-Methode können Sie das OutlookBarPane-Objekt von einem Objekt der Panes-Auflistung abrufen. Da die Name-Eigenschaft die Standardeigenschaft des OutlookBarPane-Objekts ist, können Sie den Fensterausschnitt der Outlook-Leiste mit dem Namen identifizieren.

Set myOlBarPane = myPanes.Item("OutlookBar")


 OutlookBarShortcut-Objekt

OutlookBarShortcut-Objekt

Stellt eine Verknüpfung in einer Gruppe auf der Outlook-Leiste eines Explorer-Fensters dar.

Verwenden des OutlookBarShortcut-Objekts

Mit der Item-Methode können Sie das OutlookBarShortcut-Objekt aus einem OutlookBarShortcuts-Auflistungs-Objekt abrufen. Da die Name-Eigenschaft die Standardeigenschaft des OutlookBarShortcut-Objekts ist, können Sie die Verknüpfung mit dem Namen identifizieren.

Set myOlBarShortcut = myOutlookBarShortcuts.Item("Calendar")


 OutlookBarShortcuts-Objekt (Auflistung)

OutlookBarShortcuts-Objekt (Auflistung)

Die OutlookBarShortcuts-Auflistung enthält eine Menge von OutlookBarShortcut-Objekten, die sämtliche Verknüpfungen in einer Gruppe der Outlook-Leiste darstellen.

Verwenden des Objekts der OutlookBarShortcuts-Auflistung

Mit der Shortcuts-Eigenschaft können Sie das Objekt der OutlookBarShortcuts-Auflistung aus dem OutlookBarGroup-Objekt zurückgeben.

Set myShortcuts = myOutlookBarGroup.Shortcuts


 OutlookBarStorage-Objekt

OutlookBarStorage-Objekt

Stellt den Speicherort für Objekte im Fensterausschnitt der Outlook-Leiste dar.

Verwenden des OutlookBarStorage-Objekts

Verwenden Sie die Contents-Eigenschaft eines OutlookBarPane-Objekts, um das OutlookBarStorage-Objekt für den Fensterausschnitt abzurufen.

Set myOLBarStorage = myPanes.Item("OutlookBar").Contents

Verwenden Sie die Groups-Eigenschaft, um das Objekt der OutlookBarGroups-Auflistung für die Outlook-Leiste abzurufen.


 Pages-Auflistungsobjekt

Pages-Auflistungsobjekt

Eine Auflistung von Seiten, die die Seiten eines Inspektors darstellt. Jedes Inspector-Objekt verfügt über eine Pages-Auflistung, die leer ist (Zähler = 0), wenn das Outlook-Element bisher noch nicht angepasst wurde.

Verwenden der Pages-Auflistung

Verwenden Sie die ModifiedFormPages-Eigenschaft, um die Pages-Auflistung aus einem Inspector-Objekt zurückzugeben. Das folgende Beispiel gibt die Pages-Auflistung für den aktiven Inspektor zurück.

Set myPages = myItem.GetInspector.ModifiedFormPages

Verwenden Sie die Add-Methode, um eine benutzerdefinierte Seite zu erstellen (Sie können bis zu 5 benutzerdefinierte Seiten hinzufügen). Verwenden Sie das Name-Argument der Add-Methode, um den Anzeigenamen der zurückgegebenen Seite festzulegen. Zusätzlich zum Hinzufügen von benutzerdefinierten Seiten können Sie das Name-Argument verwenden, um die Hauptseite eines Inspector-Objekts zum Bearbeiten zurückzugeben.

Das folgende Beispiel gibt eine benutzerdefinierte Seite mit einem Standardnamen (wie z. B. "Custom1") zurück.

Set myPage = myPages.Add

Das folgende Beispiel gibt eine benutzerdefinierte Seite mit dem Namen "My Page" zurück.

Set myPage = myPages.Add("My Page")

Das folgende Beispiel gibt die Seite "Message" zurück, wenn der Inspektor eine E-Mail-Nachricht enthält.

Set myPage = myPages.Add("Message")

Das folgende Beispiel gibt die Seite "General" zurück, wenn der Inspektor einen Kontakt enthält.

Set myPage = myPages.Add("General")

Verwenden Sie ModifiedFormPages(Index), wobei Index den Namen oder die Indexzahl darstellt, um eine einzelne Seite aus einer Pages-Auflistung zurückzugeben.


 Panes-Objekt (Auflistung)

Panes-Objekt (Auflistung)

Das Objekt der Panes-Auflistung enthält die Fensterausschnitte, die vom angegebenen Explorer angezeigt werden.

Verwenden des Objekts der Panes-Auflistung

Verwenden Sie die Panes-Eigenschaft, um das Objekt der Panes-Auflistung aus einem Explorer-Objekt zurückzugeben.

Set myPanes = myExplorer.Panes

Verwenden Sie die Item-Methode, um einen bestimmten Fensterausschnitt abzurufen. Zum Abrufen eines OutlookBarPane-Objekts, das die Outlook-Leiste darstellt, wenden Sie die folgende Methode an:

Set myOLBarPane = myExplorer.Panes.Item("OutlookBar")

In Microsoft Outlook 2000 kann über das Objekt der Panes-Auflistung lediglich auf den Fensterausschnitt der Outlook-Leiste zugegriffen werden.


 PostItem-Objekt

PostItem-Objekt

Stellt eine öffentliche Nachricht in einem Öffentlichen Ordner dar, die andere Personen anzeigen können. Im Gegensatz zu einem MailItem-Objekt wird ein PostItem-Objekt nicht an einen Empfänger gesendet. Sie verwenden die Post-Methode, die sich analog zur Send-Methode für das MailItem-Objekt verhält, um das PostItem im Öffentlichen Zielordner zu veröffentlichen, anstatt es per E-Mail zu senden.

Verwenden des PostItem-Objekts

Verwenden Sie die CreateItem-Methode, um ein PostItem-Objekt zu erstellen, das eine neue öffentliche Nachricht darstellt. Das folgende Beispiel gibt eine neue öffentliche Nachricht zurück.

Set myItem = myOlApp.CreateItem(olPostItem)

Verwenden Sie Items(Index), wobei Index den Index einer öffentlichen Nachricht darstellt oder den Wert, der der Standardeigenschaft einer öfffentlichen Nachricht entspricht, um ein einzelnes PostItem-Objekt aus einem Öffentlichen Ordner zurückzugeben.


PropertyPage-Objekt

Stellt eine benutzerdefinierte Eigenschaftenseite im Dialogfeld Optionen von Microsoft Outlook oder dem Dialogfeld des Ordners Eigenschaften dar. Mit diesem Objekt von Microsoft Outlook kann eine benutzerdefinierte Eigenschaftenseite mit der Schaltfläche Übernehmen im Dialogfeld verwendet werden.

Verwenden des PropertyPage-Objekts

Das PropertyPage-Objekt ist ein abstraktes Objekt. Das bedeutet, dass das PropertyPage-Objekt in der Microsoft Outlook 9.0-Objektbibliothek keinen Code zur Implementation enthält. Es dient stattdessen als Vorlage für die Implementation des Objekts in Microsoft Visual Basic. Es verfügt über eine Reihe vordefinierter Schnittstellen, mit deren Hilfe Outlook die Änderung Ihrer benutzerdefinierten Eigenschaftenseite erkennen sowie das Programm benachrichtigen kann, wenn der Benutzer auf die Schaltflächen Übernehmen oder OK geklickt hat. (Wenn Ihre benutzerdefinierte Eigenschaftenseite die Schaltfläche Übernehmen nicht benötigt, ist eine Implementation des PropertyPage-Objekts nicht erforderlich.)

Eine benutzerdefinierte Eigenschaftenseite ist ein ActiveX-Steuerelement, das von Outlook im Dialogfeld Optionen oder im Dialogfeld des Ordners Eigenschaften angezeigt wird, sobald der Benutzer auf die Registerkarte der benutzerdefinierten Eigenschaftenseite klickt. Damit das PropertyPage-Objekt angewendet werden kann, muss das Modul, in dem sich der Code zur Implementation befindet, die folgende Anweisung enthalten.

Implements Outlook.PropertyPage

Das Modul muss auch Prozeduren enthalten, die die Eigenschaften und Methoden des PropertyPage-Objekts implementieren. Um beispielsweise die Dirty-Eigenschaft zu implementieren, wird im Modul eine Prozedur ähnlich der folgenden aufgeführt.

Private Property Get PropertyPage_Dirty() As Boolean
    PropertyPage_Dirty = gblDirty
End Property

Um eine Methode des PropertyPage-Objekts zu implementieren, muss das Modul eine Anweisung ähnlich der folgenden enthalten.

Private Sub PropertyPage_Apply()
    ' Code to set properties according to the user's
    ' selections goes here.
End Sub


 PropertyPages-Objekt (Auflistung)

PropertyPages-Objekt (Auflistung)

Das Objekt der PropertyPages-Auflistung enthält die benutzerdefinierten Eigenschaftenseiten, die dem Dialogfeld Optionen von Microsoft Outlook oder dem Dialogfeld Eigenschaften des Ordners hinzugefügt wurden.

Verwenden des Objekts der PropertyPages-Auflistung

Sie erhalten ein Objekt der PropertyPages-Auflistung als Parameter des OptionsPagesAdd-Ereignisses. Mit der Add-Methode können Sie dieser Auflistung ein PropertyPage-Objekt hinzufügen.

Anmerkung Wenn das OptionsPagesAdd-Ereignis von mehreren Programmen behandelt wird, kann die Reihenfolge, in der die Programme das Ereignis erhalten (und damit die Reihenfolge, in der Seiten zur PropertyPages-Auflistung hinzugefügt werden) nicht mit Sicherheit bestimmt werden.


PropertyPageSite-Objekt

Stellt den Container einer benutzerdefinierten Eigenschaftenseite dar.

Verwenden des PropertyPageSite-Objekts

Verwenden Sie die Parent-Eigenschaft des ActiveX-Steuerelements, die das PropertyPage-Objekt implementiert, das dem PropertyPageSite-Objekt zugeordnet ist, um das PropertyPageSite-Objekt zurückzugeben. Der Deklarationsabschnitt des Moduls, der das PropertyPage-Objekt implementiert, muss eine Deklaration ähnlich der folgenden enthalten.

Private myPropertyPageSite As Outlook.PropertyPageSite

Das Objekt wird dann von der Parent-Eigenschaft zurückgegeben.

Set myPropertyPageSite = Parent

Mit der OnStatusChange-Methode benachrichtigen Sie Microsoft Outlook, dass die Eigenschaftenseite geändert wurde.


Recipient-Objekt

Stellt einen Benutzer oder eine Ressource in Outlook dar, in der Regel die Adresse einer E-Mail-Nachricht.

Verwenden des Recipient-Objekts

Verwenden Sie Recipients(Index), wobei Index den Namen oder die Indexzahl darstellt, um ein einzelnes Recipient-Objekt zurückzugeben.

Verwenden Sie die Add-Methode, um ein neues Recipient-Objekt zu erstellen und es zu der Recipients-Auflistung hinzuzufügen. Die Type-Eigenschaft eines neuen Recipient-Objekts wird auf den Standardwert des entsprechenden AppointmentItem-, JournalItem-, MailItem-, MeetingItem- oder TaskItem-Objekts festgelegt und muss zurückgesetzt werden, um einen anderen Empfängertyp zu kennzeichnen.

Das folgende Beispiel für Visual Basic für Applikationen erstellt ein neues MailItem-Objekt und fügt "Jon Grande" als Standardempfänger ("To") hinzu.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myRecipient = myItem.Recipients.Add ("Jon Grande")

Das folgende Beispiel für Visual Basic für Applikationen erstellt das gleiche MailItem-Objekt wie das vorherige Beispiel und ändert anschließend den Typ des Recipient-Objekts vom Standardwert ("To") in "CC".

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myRecipient = myItem.Recipients.Add ("Jon Grande")
myRecipient.Type = olCC


 Recipients-Auflistungsobjekt

Recipients-Auflistungsobjekt

Die Recipients-Auflistung stellt die Standardauflistung von Recipient-Objekten dar.

Verwenden der Recipients-Auflistung

Verwenden Sie die Recipients-Eigenschaft, um die Recipients-Auflistung eines AppointmentItem-, JournalItem-, MailItem-, MeetingItem- oder TaskItem-Objekts zurückzugeben.

Verwenden Sie die Add-Methode, um ein neues Recipient-Objekt zu erstellen und es zu der Recipients-Auflistung hinzuzufügen. Die Type-Eigenschaft eines neuen Recipient-Objekts wird auf den Standardwert des entsprechenden AppointmentItem-, JournalItem-, MailItem- oder TaskItem-Objekts festgelegt und muss zurückgesetzt werden, um einen anderen Empfängertyp zu kennzeichnen.

Das folgende Beispiel erstellt ein neues MailItem-Objekt und fügt "Jon Grande" als Standardempfänger ("To") hinzu.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myRecipient = myItem.Recipients.Add ("Jon Grande")

Das folgende Beispiel erstellt das gleiche MailItem-Objekt wie das vorherige Beispiel und ändert anschließend den Typ des Recipient-Objekts vom Standardwert ("To") in "CC".

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myRecipient = myItem.Recipients.Add ("Jon Grande")
myRecipient.Type = olCC

Verwenden Sie Recipients(Index), wobei Index den Namen oder die Indexzahl darstellt, um ein einzelnes Recipient-Objekt zurückzugeben.


 RecurrencePattern-Objekt

RecurrencePattern-Objekt

Stellt das Serienmuster von Serienterminen und -aufgaben für das entsprechende AppointmentItem- und TaskItem-Objekt dar.

Verwenden des RecurrencePattern-Objekts

Verwenden Sie die GetRecurrencePattern-Methode, um das RecurrencePattern-Objekt, das einem AppointmentItem- oder TaskItem-Objekt zugeordnet ist, zurückzugeben.

Hinweise

Der Aufruf von GetRecurrencePattern oder ClearRecurrencePattern besitzt den Nebeneffekt, dass die IsRecurring-Eigenschaft des Elements entsprechend festgelegt wird. Diese Eigenschaft kann ggf. verwendet werden, um die Items- Auflistung effizient zu filtern.

Der Typ des Serienmusters wird durch die RecurrenceType-Eigenschaft gekennzeichnet. Die RecurrenceType-Eigenschaft sollten Sie als erste Eigenschaft festlegen.

Die folgenden Eigenschaften sind für alle Serienmuster zulässig: EndTime, Occurrences, StartDate, StartTime oder Type.

Die folgende Tabelle zeigt die Eigenschaften, die für die unterschiedlichen Serientypen zulässig sind. Nicht alle aufgeführten Eigenschaften sind für einen bestimmten Typ erforderlich. Wenn das Element gespeichert wird, und die Eigenschaft den Null-Wert oder einen ungültigen Wert enthält, erfolgt ein Fehler. Monatliche und jährliche Muster sind nur für einen einzelnen Tag zulässig. Wöchentliche Muster sind nur als Or-Operation von DayOfWeekMask zulässig.

Wert | Serientyp | Eigenschaften | Beispiel
0 | olRecursDaily | Interval | Alle N Tage
 |  | DayOfWeekMask | Jeden Dienstag, Mittwoch und Donnerstag
2 | olRecursMonthly | Interval | Alle N Monate
 |  | DayOfMonth | Der N-te Tag im Monat
3 | olRecursMonthNth | Interval | Alle N Monate
 |  | Instance | Der N-te Dienstag
 |  | DayOfWeekMask | Jeden Dienstag und Mittwoch
1 | olRecursWeekly | Interval | Alle N Wochen
 |  | DayOfWeekMask | Jeden Dienstag, Mittwoch und Donnerstag
5 | olRecursYearly | DayOfMonth | Der N-te Tag im Monat
 |  | MonthOfYear | Februar
6 | olRecursYearN-te | Instance | Der N-te Dienstag
 |  | DayOfWeekMask | Dienstag, Mittwoch, Donnerstag
 |  | MonthOfYear | Februar


 RemoteItem-Objekt

RemoteItem-Objekt

Stellt ein Remote-Element in einem Ordner Posteingang dar. Das RemoteItem-Objekt ist dem MailItem-Objekt ähnlich, es enthält jedoch nur Betreff, Empfangsdatum und -uhrzeit, Absender, Größe und die ersten 256 Zeichen des Nachrichtentextes. Es wird verwendet, damit eine Person, die remote verbunden ist, über genügend Informationen verfügt, um zu entscheiden, ob die entsprechende E-Mail-Nachricht gedownloadet werden soll oder nicht.

Verwenden des RemoteItem-Objekts

Im Gegensatz zu anderen Outlook-Objekten kann dieses Objekt nicht erstellt werden. Remote-Elemente werden von Outlook automatisch erstellt, wenn Sie eine RAS-Verbindung verwenden. Jedes RemoteItem, das auf dem lokalen System erstellt wird, entspricht einem bereits vorhandenen MailItem auf dem Remote-System.

Hinweise

Das RemoteItem-Objekt erbt eine Anzahl von Eigenschaften, Methoden und Ereignissen die wegen der Art des Objekts keine Funktion haben. Der Objektkatalog zeigt diese Eigenschaften, Methoden und Ereignisse als dem RemoteItem-Objekt zugehörig an, aber der Versuch, diese zu verwenden, bleibt ohne Auswirkungen.

Die Methoden, die für das RemoteItem-Objekt ohne Funktion sind, sind Close, Copy, Display, Move und Save.

Die Eigenschaften, die für das RemoteItem-Objekt ohne Funktion sind, sind BillingInformation, Body, Categories, Companies und Mileage.

Die Ereignisse, die für das RemoteItem-Objekt ohne Funktion sind, sind Open, Close, Forward, Reply, ReplyAll und Send.


ReportItem-Objekt

Stellt einen Nachrichtenübermittlungsbericht in einem Ordner Posteingang dar. Das ReportItem-Objekt ist dem MailItem-Objekt ähnlich, und es enthält einen Bericht (normalerweise einen Unzustellbarkeitsbericht) oder eine Fehlermeldung von dem E-Mail-Transportsystem.

Verwenden des ReportItem-Objekts

Im Gegensatz zu anderen Outlook-Objekten, kann dieses Objekt nicht erstellt werden. Berichtselemente werden automatisch erstellt, wenn ein beliebiger Bericht oder Fehler vom E-Mail-Transportsystem erhalten wird.


 Selection-Auflistung

Selection-Auflistung

Die Selection-Auflistung enthält eine Anzahl von Microsoft Outlook-Elementen, die die gegenwärtig in einem Explorer ausgewählten Elemente darstellen.

Verwenden des Objekts der Selection-Auflistung

Verwenden Sie die Selection-Eigenschaft, um das Objekt der Selection-Auflistung aus dem Explorer-Objekt zurückzugeben.

Set mySelectedItems = myExplorer.Selection


 SyncObject-Objekt

SyncObject-Objekt

Stellt ein Synchronisationsprofil für den Benutzer dar. Mit einem Synchronisationsprofil können Benutzer verschiedene Synchronisationsszenarien mit der Angabe der betreffenden Ordner und Filter konfigurieren.

Verwenden des SyncObject-Objekts

Verwenden Sie die Item-Methode, um das SyncObject-Objekt aus einem Objekt der SyncObjects-Auflistung abzurufen. Da die Name-Eigenschaft die Standardeigenschaft des SyncObject-Objekts ist, können Sie die Gruppe mit dem Namen identifizieren.

Set mySyncObject = mySyncObjects.Item("Daily")

Hinweise

Das SyncObject-Objekt ist schreibgeschützt. Sie können weder seine Eigenschaften verändern noch neue Eigenschaften erstellen.


 SyncObjects-Auflistung

SyncObjects-Auflistung

Die SyncObjects-Auflistung enthält eine Reihe von SyncObject-Objekten, die die Synchronisationsprofile für einen Benutzer darstellen.

Verwenden des Objekts der SyncObjects-Auflistung

Mit der SyncObjects-Eigenschaft können Sie das Objekt einer SyncObjects-Auflistung aus einem NameSpace-Objekt zurückgeben.

Set mySyncObjects = Application.GetNameSpace("MAPI").SyncObjects

Hinweise

Das Objekt der SyncObjects-Auflistung ist schreibgeschützt. Sie können der Auflistung kein Element hinzufügen.


TaskItem-Objekt

Stellt eine Aufgabe (eine zugewiesene, delegierte oder selbst gestellte Aufgabe, die in einem bestimmten Zeitraum erledigt werden muss) in einem Ordner Aufgaben dar.

Verwenden des TaskItem-Objekts

Verwenden Sie die CreateItem-Methode, um ein TaskItem-Objekt zu erstellen, das eine neue Aufgabe darstellt.

Das folgende Beispiel für Visual Basic für Applikationen gibt eine neue Aufgabe zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olTaskItem)

Im folgenden Beispiel wird das Erstellen einer Aufgabe mit VBScript erläutert.

Set myItem = Application.CreateItem(3)

Verwenden Sie Items(Index), wobei Index den Index einer Aufgabe oder einen Wert darstellt, der der Standardeigenschaft einer Aufgabe entspricht, um ein einzelnes TaskItem-Objekt aus einem Ordner Aufgaben zurückzugeben.


TaskRequestAcceptItem-Objekt

Stellt ein Element in einem Ordner Posteingang dar.

Ein TaskRequestAcceptItem-Objekt stellt eine Antwort auf ein TaskRequestItem dar, das von dem auslösenden Benutzer gesendet wurde. Wenn der stellvertretende Benutzer die Aufgabe übernimmt, wird die ResponseState-Eigenschaft als olTaskAccept(2) festgelegt. Das dazugehörende TaskItem wird von der Person, die eine Stellvertretung ernannt hat, als TaskRequestAcceptItem-Objekt empfangen.

Verwenden des TaskRequestAcceptItem-Objekts

Im Gegensatz zu anderen Outlook-Objekten können Sie dieses Objekt nicht erstellen.

Verwenden Sie die GetAssociatedTask-Methode, um das TaskItem-Objekt, das diesem TaskRequestAcceptItem zugeordnet ist, zurückzugeben. Arbeiten Sie direkt mit dem TaskItem-Objekt.


TaskRequestDeclineItem-Objekt

Stellt ein Element in einem Ordner Posteingang dar.

Ein TaskRequestDeclineItem-Objekt stellt eine Antwort auf ein TaskRequestItem dar, das von dem auslösenden Benutzer gesendet wurde. Wenn der stellvertretende Benutzer die Aufgabe ablehnt, wird die ResponseState-Eigenschaft als olTaskDecline(3) festgelegt. Das dazugehörende TaskItem wird von der Person, die eine Stellvertretung ernannt hat, als TaskRequestDeclineItem-Objekt empfangen.

Verwenden des TaskRequestDeclineItem-Objekts

Im Gegensatz zu anderen Outlook-Objekten können Sie dieses Objekt nicht erstellen.

Verwenden Sie die GetAssociatedTask-Methode, um das TaskItem-Objekt, das diesem TaskRequestDeclineItem zugeordnet ist, zurückzugeben. Arbeiten Sie direkt mit dem TaskItem-Objekt.


 TaskRequestItem-Objekt

TaskRequestItem-Objekt

Stellt ein Element in einem Ordner Posteingang dar. Ein TaskRequestItem-Objekt stellt eine Änderung in der Aufgabenliste des Empfängers dar, die von einer anderen Person oder als Ergebnis einer Gruppenaktion initiiert wurde.

Verwenden des TaskRequestItem-Objekts

Im Gegensatz zu anderen Outlook-Objekten können Sie dieses Objekt nicht erstellen. Wenn der Absender die Assign- und Send-Methoden für ein TaskItem-Objekt anwendet, um die entsprechende Aufgabe einem anderen Benutzer zuzuweisen (delegieren), wird das TaskRequestItem-Objekt erstellt, wenn das Element im Posteingang des Empfängers eingeht.

Das folgende Beispiel für Visual Basic für Applikationen erstellt eine einfache Aufgabe, weist sie einem anderen Benutzer zu und sendet sie. Wenn die Aufgabenanfrage im Posteingang des Empfängers eingeht, tritt dies als TaskRequestItem ein.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olTaskItem)
myItem.Assign
Set myDelegate = myItem.Recipients.Add("April LaMonte")
myItem.Subject = "Prepare Agenda For Meeting"
myItem.DueDate = #9/20/97#
myItem.Send

Das folgende Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(3)
myItem.Assign
Set myDelegate = myItem.Recipients.Add("April LaMonte")
myItem.Subject = "Prepare Agenda For Meeting"
myItem.DueDate = #9/20/97#
myItem.Send

Verwenden Sie die GetAssociatedTask-Methode, um das TaskRequestItem-Objekt zurückzugeben und direkt mit dem TaskItem-Objekt zu arbeiten, um die Anfrage zu beantworten.


TaskRequestUpdateItem-Objekt

Stellt ein Element in einem Ordner Posteingang dar.

Ein TaskRequestUpdateItem-Objekt stellt eine Antwort auf ein TaskRequestItem dar, das von dem auslösenden Benutzer gesendet wurde. Wenn der stellvertretende Benutzer die Aufgabe aktualisiert, indem er Eigenschaften, wie z. B. DueDate oder Status, ändert und anschließend sendet, wird das TaskItem von der Person, die eine Stellvertretung ernannt hat, als TaskRequestUpdateItem-Objekt empfangen.

Verwenden des TaskRequestUpdateItem-Objekts

Im Gegensatz zu anderen Outlook-Objekten können Sie dieses Objekt nicht erstellen.

Verwenden Sie die GetAssociatedTask-Methode, um das TaskItem-Objekt, das diesem TaskRequestUpdateItem zugeordnet ist, zurückzugeben. Arbeiten Sie direkt mit dem TaskItem-Objekt.


 UserProperties-Auflistungsobjekt

UserProperties-Auflistungsobjekt

Eine Auflistung von UserProperty-Objekten, die die benutzerdefinierten Eigenschaften eines Outlook-Elements darstellen.

Verwenden des UserProperties-Objekts

Verwenden Sie die UserProperties-Eigenschaft, um die UserProperties-Auflistung für ein Outlook-Element zurückzugeben.

Verwenden Sie die Add-Methode, um ein neues UserProperty-Objekt für ein Element zu erstellen und es zu der UserProperties-Auflistung hinzuzufügen. Bei der Add-Methode können Sie einen Namen und den Typ für die neue Eigenschaft angeben. Das folgende Beispiel fügt eine benutzerdefinierte Texteigenschaft mit dem Namen "MyPropName" zu myItem hinzu.

Set myProp = myItem.UserProperties.Add("MyPropName", olText)

Verwenden Sie UserProperties(Index), wobei Index einen Namen oder eine Indexzahl darstellt, um ein einzelnes UserProperty-Objekt zurückzugeben.

Hinweise

Wenn Sie eine benutzerdefinierte Eigenschaft erstellen, wird im Ordner ein Feld hinzugefügt, das das Element enthält (dabei wird derselbe Name wie der Name der Eigenschaft verwendet). Das Feld kann in Ordneransichten als Spalte verwendet werden.


 UserProperty-Objekt

UserProperty-Objekt

Stellt eine benutzerdefinierte Eigenschaft eines Outlook-Elements dar.

Verwenden des UserProperty-Objekts

Verwenden Sie UserProperties(Index), wobei Index einen Namen oder eine Indexzahl darstellt, um ein einzelnes UserProperty-Objekt zurückzugeben.

Verwenden Sie die Add-Methode, um ein neues UserProperty-Objekt für ein Element zu erstellen und es zur UserProperties-Auflistung hinzuzufügen. Bei der Add-Methode können Sie einen Namen und den Typ für die neue Eigenschaft angeben. Das folgende Beispiel fügt eine benutzerdefinierte Texteigenschaft mit dem Namen "MyPropName" zu myItem hinzu.

Set myProp = myItem.UserProperties.Add("MyPropName", olText)

Hinweise

Wenn Sie eine benutzerdefinierte Eigenschaft erstellen, wird im Ordner ein Feld hinzugefügt, das das Element enthält (dabei wird derselbe Name wie der Name der Eigenschaft verwendet). Das Feld kann in Ordneransichten als Spalte verwendet werden.


Account-Eigenschaft

Gibt das Konto für den Kontakt zurück oder legt dieses fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Account

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Actions-Eigenschaft

Actions-Eigenschaft

Gibt eine Actions-Auflistung zurück, die alle verfügbaren Aktionen für das Outlook-Element darstellt.

Schreibgeschützt.

Syntax

object.Actions

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


ActualWork-Eigenschaft

Gibt den Ist-Aufwand (in Minuten) für die Bearbeitung einer Aufgabe zurück oder legt diesen fest.

Entspricht dem Textfeld Ist-Aufwand: auf der Seite Details für ein TaskItem.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.ActualWork

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


Address-Eigenschaft

Gibt die E-Mail-Adresse des Empfängers zurück oder legt diese fest.

Anmerkung Die Address-Eigenschaft muss festgelegt worden sein, bevor die Details-Methode aufgerufen wird.

String-Wert mit Lese/Schreibzugriff.

Syntax

objRecipient.Address

objRecipient Erforderlich. Ein Ausdruck, der ein Recipient-Objekt zurückgibt.


 AddressEntries-Eigenschaft

AddressEntries-Eigenschaft

Gibt die AddressEntries-Auflistung für dieses Objekt zurück.

Schreibgeschützt.

Syntax

objAddressList.AddressEntries

objAddressList Erforderlich. Ein Ausdruck, der ein AddressList-Objekt zurückgibt.


AddressEntry-Eigenschaft

Gibt das AddressEntry-Objekt zurück, das dem aufgelösten Empfänger entspricht. Beim Zugriff auf die AddressEntry-Eigenschaft wird die Auflösung eines nichtaufgelösten Empfängernamens erzwungen. Wenn der Name nicht aufgelöst werden kann, wird ein Fehler gemeldet. Wenn der Empfänger aufgelöst wurde, nimmt die Resolved-Eigenschaft den Wert True an.

Schreibgeschützt.

Syntax

objRecipient.AddressEntry

objRecipient Erforderlich. Ein Ausdruck, der ein Recipient-Objekt zurückgibt.


 AddressLists-Eigenschaft

AddressLists-Eigenschaft

Gibt eine Auflistung der Adressbücher zurück, die für diese Sitzung verfügbar sind. Die AddressLists-Auflistung stellt den Stamm der Adressbuchhierarchie für die aktuelle Sitzung dar. Ein bestimmtes AddressList-Objekt stellt ein verfügbares Adressbuch dar. Die Art des Zugriffs, den Sie erhalten, hängt von den Zugriffsberechtigungen ab, die Ihnen von dem jeweiligen Adressbuchdienst erteilt wurden.

Schreibgeschützt.

Syntax

objNameSpace.AddressLists

objNameSpace Erforderlich. Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.


AllDayEvent-Eigenschaft

True, wenn es sich bei dem Termin um ein ganztägiges Ereignis handelt (im Gegensatz zu einem Termin an einem bestimmten Zeitpunkt).

Entspricht dem Kontrollkästchen Ganztägiges Ereignis auf der Seite Termin eines AppointmentItem.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.AllDayEvent

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


AlternateRecipientAllowed-Eigenschaft

True, wenn die E-Mail-Nachricht weitergeleitet werden kann.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.AlternateRecipientAllowed

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


Anniversary-Eigenschaft

Gibt den Jahrestag für den Kontakt zurück oder legt diesen fest.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Anniversary

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


AnswerWizard-Eigenschaft

Gibt das AnswerWizard-Objekt der Anwendung zurück.

Schreibgeschützter AnswerWizard

Syntax

object.AnswerWizard()

object Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.


Application-Eigenschaft

Gibt ein Application-Objekt zurück, das die übergeordnete Anwendung (Microsoft Outlook) für ein Objekt darstellt.

Schreibgeschützt.

Syntax

object.Application

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt.


AppointmentItem-Eigenschaft

Gibt das AppointmentItem-Objekt zurück, bei dem es sich um eine Ausnahme handelt. Für gelöschte Termine nicht zulässig.

Schreibgeschützt.

Syntax

objException.AppointmentItem

objException Erforderlich. Ein Ausdruck, der ein Exception-Objekt zurückgibt.


Assistant-Eigenschaft

Gibt ein Assistant-Objekt zurück, das den Microsoft Office-Assistenten darstellt.

Schreibgeschützt.


AssistantName-Eigenschaft

Gibt den Namen der Person, die als Sekretär(in) für den Kontakt fungiert, zurück oder legt diesen fest.

Entspricht dem Feld Assistent: auf der Seite Details eines ContactItem.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.AssistantName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


AssistantTelephoneNumber-Eigenschaft

Gibt die Telefonnummer der Person, die als Sekretär(in) für den Kontakt fungiert, zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.AssistantTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Attachments-Eigenschaft

Attachments-Eigenschaft

Gibt ein Attachments-Objekt zurück, das alle Anlagen für das Element darstellt.

Schreibgeschützt.

Syntax

object.Attachments

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


AutoForwarded-Eigenschaft

True, wenn die E-Mail-Nachricht automatisch weitergeleitet wurde.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.AutoForwarded

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


AutoResponse-Eigenschaft

Gibt den Text einer automatischen Antwort an einen Recipient zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objRecipient.AutoResponse

objRecipient Erforderlich. Ein Ausdruck, der ein Recipient-Objekt zurückgibt.


BCC-Eigenschaft

Gibt die Anzeigeliste der BCC-Namen für ein MailItem zurück. Diese Eigenschaft enthält nur die Anzeigenamen. Die Recipients-Auflistung sollte verwendet werden, um die BCC-Empfänger zu ändern.

String-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.BCC

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


 BillingInformation-Eigenschaft

BillingInformation-Eigenschaft

Gibt die Abrechnungsinformationen, die dem Outlook-Element zugeordnet sind, zurück oder legt diese fest. Es handelt sich um ein unformatiertes Textfeld.

String-Wert mit Lese/Schreibzugriff.

Syntax

object.BillingInformation

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt, das sich in der Liste "Betrifft" befindet, zurückgibt.


Birthday-Eigenschaft

Gibt den Geburtstag eines Kontaktes zurück oder legt diesen fest.

Entspricht dem Feld Geburtstag: auf der Seite Details für ein ContactItem.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Birthday

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Body-Eigenschaft

Body-Eigenschaft

Gibt den unverschlüsselten Nachrichtentext eines Outlook-Elements zurück oder legt diesen fest.

Anmerkung Die EditorType-Eigenschaft ändert sich nicht, wenn Sie nur auf die Body-Eigenschaft des Elements zugreifen (wie z. B. MsgBox myItem.Body). Wenn Sie jedoch die Body-Eigenschaft zurücksetzen (wie z. B. myItem.Body = "Dies ist ein neuer Nachrichtentext"), nimmt EditorType wieder den Wert für den Standardeditor des Benutzers an.

String-Wert mit Lese/Schreibzugriff.

Syntax

object.Body

object Erforderlich. Ein Ausdruck, der ein Outlook-Element zurückgibt, das in der Liste "Betrifft" enthalten ist.


Business2TelephoneNumber-Eigenschaft

Gibt die zweite geschäftliche Telefonnummer eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Business2TelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


BusinessAddress-Eigenschaft

Gibt die gesamte, nicht analysierte Geschäftsadresse eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.BusinessAddress

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


BusinessAddressCity-Eigenschaft

Gibt den Stadtnamen der Geschäftsadresse eines Kontaktes zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.BusinessAddressCity

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der BusinessAddress-Eigenschaft abgeleitet, kann aber unabhängig davon geändert oder eingegeben werden, wenn sie falsch analysiert wurde. Beachten Sie, dass alle solchen Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der BusinessAddress-Eigenschaft überschrieben werden.


BusinessAddressCountry-Eigenschaft

Gibt die Landeskennzahl der Geschäftsadresse eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.BusinessAddressCountry

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der BusinessAddress-Eigenschaft abgeleitet, kann aber unabhängig davon geändert oder eingegeben werden, wenn sie falsch analysiert wurde. Beachten Sie, dass alle solchen Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der BusinessAddress-Eigenschaft überschrieben werden.


BusinessAddressPostalCode-Eigenschaft

Gibt die Postleitzahl der Geschäftsadresse eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.BusinessAddressPostalCode

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der BusinessAddress-Eigenschaft abgeleitet, kann aber unabhängig davon geändert oder eingegeben werden, wenn sie falsch analysiert wurde. Beachten Sie, dass alle solchen Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der BusinessAddress-Eigenschaft überschrieben werden.


BusinessAddressPostOfficeBox-Eigenschaft

Gibt die Postfachnummer der Geschäftsadresse eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.BusinessAddressPostOfficeBox

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der BusinessAddress-Eigenschaft abgeleitet, kann aber unabhängig davon geändert oder eingegeben werden, wenn sie falsch analysiert wurde. Beachten Sie, dass alle solchen Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der BusinessAddress-Eigenschaft überschrieben werden.


BusinessAddressState-Eigenschaft

Gibt die Region der Geschäftsadresse eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.BusinessAddressState

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der BusinessAddress-Eigenschaft abgeleitet, kann aber unabhängig davon geändert oder eingegeben werden, wenn sie falsch analysiert wurde. Beachten Sie, dass alle solchen Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der BusinessAddress-Eigenschaft überschrieben werden.


BusinessAddressStreet-Eigenschaft

Gibt die Straße der Geschäftsadresse eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.BusinessAddressStreet

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der BusinessAddress-Eigenschaft abgeleitet, kann aber unabhängig davon geändert oder eingegeben werden, wenn sie falsch analysiert wurde. Beachten Sie, dass alle solchen Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der BusinessAddress-Eigenschaft überschrieben werden.


BusinessFaxNumber-Eigenschaft

Gibt die geschäftliche Faxnummer eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.BusinessFaxNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


BusinessHomePage-Eigenschaft

Gibt den URL der geschäftlichen Webseite eines Kontaktes zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.BusinessHomePage

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


BusinessTelephoneNumber-Eigenschaft

Gibt die erste geschäftliche Telefonnummer eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.BusinessTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


BusyStatus-Eigenschaft

Gibt den Belegtstatus eines Benutzers für den Termin zurück oder legt diesen fest. Die folgenden OlBusyStatus -Konstanten sind möglich: olBusy(2), olFree(0), olOutOfOffice(3) oder olTentative(1).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.BusyStatus

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


CallbackTelephoneNumber-Eigenschaft

Gibt die Rückruftelefonnummer eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.CallbackTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Caption-Eigenschaft

Gibt den Fenstertitel (Text der Titelleiste) eines Explorer- oder Inspektor-Fensters zurück.

Scheibgeschützter String.

Syntax

object.Caption

object Erforderlich. Ein Ausdruck, der ein Explorer oder Inspector-Objekt zurückgibt.


CardData-Eigenschaft

Gibt den Text der Kartendaten für die Aufgabe zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.CardData

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


CarTelephoneNumber-Eigenschaft

Gibt die Autotelefonnummer eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.CarTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Categories-Eigenschaft

Categories-Eigenschaft

Gibt die einem Outlook-Element zugewiesenen Kategorien zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

object.Categories

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt wird.


Category-Eigenschaft

Gibt die einer Formularbeschreibung zugeordnete Kategorie zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.Category

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


CategorySub-Eigenschaft

Gibt die einer Formularbeschreibung zugeordnete Unterkategorie zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.CategorySub

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


CC-Eigenschaft

Gibt die Anzeigeliste der CC-Namen für ein MailItem zurück. Diese Eigenschaft enthält nur die Anzeigenamen. Die Recipients-Auflistung sollte verwendet werden, um die CC-Empfänger zu ändern.

String-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.CC

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


Children-Eigenschaft

Gibt die Namen der Kinder des Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Children

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Class-Eigenschaft

Class-Eigenschaft

Gibt die OlObjectClass-Konstante für dieses Objekt zurück. Dabei handelt es sich um einen numerischen Wert, der die Klasse des Objekts bezeichnet.

Schreibgeschützt.

Syntax

object.Class

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt.


Color-Eigenschaft

Gibt die Farbe der Notiz zurück oder legt diese fest. Die folgenden OlNoteColor-Konstanten sind möglich: olBlue(0), olGreen(1), olPink(2), olWhite(4) oder olYellow(3).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objNoteItem.Color

objNoteItem Erforderlich. Ein Ausdruck, der ein NoteItem-Objekt zurückgibt.


COMAddIns-Eigenschaft

Gibt eine COMAddIns-Auflistung zurück, die alle derzeit in Microsoft Outlook geladenen COM (Component Object Model)-Add-Ins zurückgibt.

Schreibgeschützt

Syntax

obApplication.COMAddIns

objApplication Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.


 CommandBars-Eigenschaft

CommandBars-Eigenschaft

Gibt eine CommandBars-Auflistung zurück, die alle Menüs und Symbolleisten im Explorer oder im Inspector darstellt.

Schreibgeschützter Wert.

Syntax

object.CommandBars

object Erforderlich. Ein Ausdruck, der ein Explorer- oder Inspector-Objekt zurückgibt.


Comment-Eigenschaft

Gibt den Text eines Kommentars zurück, der einer Formularbeschreibung zugeordnet ist, oder legt ihn fest. String-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.Comment

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


 Companies-Eigenschaft

Companies-Eigenschaft

Gibt die Namen der Firmen, die einem Outlook-Element zugeordnet sind, zurück oder legt diese fest. Es handelt sich um ein unformatiertes Textfeld.

String-Wert mit Lese/Schreibzugriff.

Syntax

object.Companies

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt.


CompanyAndFullName-Eigenschaft

Gibt den zusammengesetzten Firmennamen und den vollständigen Namen eines Kontaktes zurück.

Schreibgeschützter String.

Syntax

objContactItem.CompanyAndFullName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


CompanyLastFirstNoSpace-Eigenschaft

Gibt den Firmennamen für den Kontakt und dahinter die zusammengesetzten Nachnamen, Vornamen und weitere Vornamen zurück, wobei sich zwischen den Nach- und Vornamen kein Leerzeichen befindet. Diese Eigenschaft wird aus den CompanyName-, LastName-, FirstName- und MiddleName-Eigenschaften abgeleitet.

Schreibgeschützter String.

Anmerkung: Die LastName-, FirstName- und MiddleName-Eigenschaften werden aus der FullName-Eigenschaft abgeleitet.

Syntax

objContactItem.CompanyLastFirstNoSpace

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


CompanyLastFirstSpaceOnly-Eigenschaft

Gibt den Firmennamen für den Kontakt und dahinter die zusammengesetzten Nachnamen, Vornamen und weitere Vornamen zurück, wobei sich zwischen den Nach- und Vornamen Leerzeichen befinden. Diese Eigenschaft wird aus den CompanyName-, LastName-, FirstName- und MiddleName-Eigenschaften abgeleitet.

Schreibgeschützter String.

Anmerkung: Die LastName-, FirstName- und MiddleName-Eigenschaften werden aus der FullName-Eigenschaft abgeleitet.

Syntax

objContactItem.CompanyLastFirstSpaceOnly

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


CompanyMainTelephoneNumber-Eigenschaft

Gibt die Haupttelefonnummer der Firma eines Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.CompanyMainTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


CompanyName-Eigenschaft

Gibt den Firmennamen eines Kontaktes zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.CompanyName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Complete-Eigenschaft

True, wenn die Aufgabe abgeschlossen ist.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.Complete

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


ComputerNetworkName-Eigenschaft

Gibt den Namen des Computernetzwerkes eines Kontaktes zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.ComputerNetworkName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


ConferenceServerAllowExternal-Eigenschaft

Zur späteren Verwendung vorbehalten.


ConferenceServerPassword-Eigenschaft

Zur späteren Verwendung vorbehalten.


 ContactName-Eigenschaft

ContactName-Eigenschaft

Gibt den Namen der Person, an die sich gewendet werden soll, um Informationen über das benutzerdefinierte Formular für dieses FormDescription-Objekt zu erhalten, zurück oder legt diesen fest.

Entspricht dem Feld Kontakt auf der Seite Eigenschaften eines Formulars im Entwurfsmodus.

String-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.ContactName

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


ContactNames-Eigenschaft

Gibt die Kontaktnamen zurück, die dem Journaleintrag zugeordnet sind. Diese Eigenschaft enthält nur die Anzeigenamen der Kontakte. Verwenden Sie die Recipients-Auflistung, um den Inhalt dieser Zeichenfolge zu ändern.

Schreibgeschützter String.

objJournalItem.ContactNames

objJournalItem Erforderlich. Ein Ausdruck, der ein JournalItem oder ein TaskItem-Objekt zurückgibt.


Contacts-Eigenschaft

Gibt die Kontaktnamen zurück, die der Aufgabe zugeordnet sind. Diese Eigenschaft enthält nur die Anzeigenamen der Kontakte. Verwenden Sie die Recipients-Auflistung, um den Inhalt dieser Zeichenfolge zu ändern.

Schreibgeschützter String.

Syntax

objTaskItem.Contacts

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


 Contents-Eigenschaft

Contents-Eigenschaft

Gibt das OutlookBarStorage-Objekt für den angegebenen Fensterausschnitt der Outlook-Leiste zurück.

Schreibgeschützt

Syntax

objPane.Contents

objPane Erforderlich. Ein Ausdruck, der ein OutlookBarPane-Objekt zurückgibt.


 ConversationIndex-Eigenschaft

ConversationIndex-Eigenschaft

Gibt den Index des Leitfadens der Unterhaltung eines Elements zurück.

Schreibgeschützter String.

Syntax

object.ConversationIndex

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt, das sich in der Liste "Betrifft" befindet, zurückgibt.


 ConversationTopic-Eigenschaft

ConversationTopic-Eigenschaft

Gibt das Thema des Leitfadens der Unterhaltung eines Elements zurück.

Schreibgeschützter String.

Syntax

object.ConversationTopic

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt, das sich in der Liste "Betrifft" befindet, zurückgibt.


 CopyLike-Eigenschaft

CopyLike-Eigenschaft

Gibt den Vererbungsstil für Eigenschaften, der für die Aktion verwendet werden soll, zurück oder legt diesen fest. Der Vererbungsstil wird verwendet, wenn die Aktion ausgeführt wird, um zu steuern, wie Eigenschaften in das neue Element kopiert werden, das von der Aktion erstellt wurde. Folgende OlActionCopyLike-Konstanten sind möglich: olForward(2), olReply(0), olReplyAll(1), olReplyFolder(3) oder olRespond(4).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objAction.Copy

objAction Erforderlich. Ein Ausdruck, der ein Action-Objekt zurückgibt.


 Count-Eigenschaft

Count-Eigenschaft

Gibt die Anzahl der Objekte in der Auflistung zurück.

Schreibgeschützter Long.

Syntax

collobject.Count

collobject Erforderlich. Ein Ausdruck, der eine Outlook-Auflistung zurückgibt.


 CreationTime-Eigenschaft

CreationTime-Eigenschaft

Gibt die Erstellzeit für das Outlook-Element zurück. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_CREATION_TIME.

Schreibgeschützter Date-Wert.

Syntax

object.CreationTime

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


CurrentFolder-Eigenschaft

Gibt ein MAPIFolder-Objekt, das den aktuellen Ordner in der Anzeige des Explorers repräsentiert, zurück oder legt dieses fest. Verwenden Sie diese Eigenschaft, um den Ordner zu ändern, der für den Benutzer angezeigt wird.

MAPIFolder-Wert mit Lese/Schreibzugriff.

Syntax

objExplorer.CurrentFolder

objExplorer Erforderlich. Ein Ausdruck, der ein Explorer-Objekt zurückgibt.


 CurrentGroup-Eigenschaften

CurrentGroup-Eigenschaften

Gibt die Gruppe zurück oder legt diese fest, die im angegebenen Bereich der Outlook-Leiste geöffnet ist.

OutlookBarGroup-Wert mit Lese/Schreibzugriff.

Syntax

objPane.CurrentGroup

objPane Erforderlich. Ein Ausdruck, der ein OutlookBarPane-Objekt zurückgibt.

Hinweise

Verwenden Sie das Set-Schlüsselwort, um die Eigenschaft, wie in diesem Beispiel gezeigt, festzulegen.

Set myOlPane.CurrentGroup = myOlGroup

Das Setzen dieser Eigenschaft löst das BeforeGroupSwitch-Ereignis aus.


 CurrentItem-Eigenschaft

CurrentItem-Eigenschaft

Gibt das aktuelle Element zurück, das im Inspektor angezeigt wird.

Anmerkung Wenn kein aktuell geöffnetes Element vorhanden ist, wird ein Fehlerwert zurückgeliefert.

Schreibgeschützt.

Syntax

objInspector.CurrentItem

objInspector Erforderlich. Ein Ausdruck, der ein Inspector-Objekt zurückgibt.


CurrentUser-Eigenschaft

Gibt den aktuell angemeldeten Benutzer als Recipient-Objekt zurück. Schreibgeschützt.

Syntax

objNameSpace.CurrentUser

objNameSpace Erforderlich. Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.


 CurrentView-Eigenschaft

CurrentView-Eigenschaft

Gibt die Ansicht des Explorers zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objExplorer.CurrentView

objExplorer Erforderlich. Ein Ausdruck, der ein Explorer-Objekt zurückgibt.

Hinweise

Beim Setzen dieser Eigenschaft treten zwei Ereignisse ein: BeforeViewSwitch tritt ein, bevor sich die eigentliche Änderung der Ansicht vollzieht, und kann dazu verwendet werden, die Änderung abzubrechen. ViewSwitch tritt ein, nachdem die Änderung wirksam wurde.


CustomerID-Eigenschaft

Gibt die Kunden-ID des Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.CustomerID

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


DateCompleted-Eigenschaft

Gibt das Abschlussdatum der Aufgabe zurück oder legt dieses fest.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.DateCompleted

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


DayOfMonth-Eigenschaft

Gibt den Tag im Monat, an dem der Serientermin oder die Serienaufgabe auftritt, zurück oder legt diesen fest.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.DayOfMonth

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.


DayOfWeekMask-Eigenschaft

Gibt die Maske für die Wochentage, an denen der Serientermin oder die Serienaufgabe auftritt, zurück oder legt diese fest. Monatliche und jährliche Muster sind nur für einen einzigen Tag zulässig. Wöchentliche Muster sind nur zulässig als Or-Bedingung von DayOfWeekMask. Die folgenden OlDaysOfWeek-Konstanten oder eine beliebige Summe davon sind möglich: olSunday(1), olMonday(2), olTuesday(4), olWednesday(8), olThursday(16), olFriday(32) oder olSaturday(64).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.DayOfWeekMask

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.


 DefaultItemType-Eigenschaft

DefaultItemType-Eigenschaft

Gibt den Standardelementtyp von Outlook zurück, der sich in dem Ordner befindet. Folgende OlItemType-Konstanten sind möglich: olAppointmentItem(1), olContactItem(2), olJournalItem(4), olMailItem(0), olNoteItem(5), olPostItem(6) oder olTaskItem(3).

Schreibgeschützter Long-Wert.

Syntax

objMAPIFolder.DefaultElementtyp

objMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.


 DefaultMessageClass-Eigenschaft

DefaultMessageClass-Eigenschaft

Gibt die Standardnachrichtenklasse für die Elemente in dem Ordner zurück.

Schreibgeschützter String.

Syntax

objMAPIFolder.DefaultMessageClass

objMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.


DeferredDeliveryTime-Eigenschaft

Gibt Datum und Uhrzeit zurück oder legt diese fest, zu der die E-Mail-Nachricht übermittelt werden soll. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_DEFERRED_DELIVERY_TIME.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.DeferredDeliveryTime

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


DelegationState-Eigenschaft

Gibt den Stellvertretungsstatus der Aufgabe zurück. Folgende OlTaskDelegationState-Konstanten sind möglich: olTaskDelegationAccepted(2), olTaskDelegationDeclined(3), olTaskDelegationUnknown(1) oder olTaskNotDelegated(0).

Schreibgeschützter Long-Wert.

Syntax

objTaskItem.DelegationState

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


Delegator-Eigenschaft

Gibt den Anzeigenamen der Person, die für die Aufgabe eine Stellvertretung ernannt hat, zurück.

Schreibgeschützter String.

Syntax

objTaskItem.Delegator

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


DeleteAfterSubmit-Eigenschaft

True, wenn keine Kopie der E-Mail-Nachricht beim Senden gespeichert wird. False, wenn eine Kopie gespeichert wird.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.DeleteAfterSubmit

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


Deleted-Eigenschaft

Kennzeichnet, dass der Termin zu einer Ausnahme wurde, da er aus dem Serienmuster entfernt wurde. Die Deleted-Eigenschaft nimmt den Wert True an, wenn das Terminelement gelöscht wurde.

Schreibgeschützter Boolean-Wert.

Syntax

objException.Deleted

objException Erforderlich. Ein Ausdruck, der ein Exception-Objekt zurückgibt.


Department-Eigenschaft

Gibt den Abteilungsnamen des Kontaktes zurück oder legt diesen fest.

Entspricht dem Feld Abteilung auf der Seite Details eines ContactItem.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Department

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Description-Eigenschaft

Gibt die Beschreibung des Ordners zurück oder legt diese fest. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_COMMENT.

Entspricht dem Feld Beschreibung im Dialogfeld Eigenschaften für den Ordner.

String-Wert mit Lese/Schreibzugriff.

Syntax

objMAPIFolder.Description

objMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.


Dirty-Eigenschaft

Gibt True zurück, wenn der Inhalt einer benutzerdefinierten Eigenschaftenseite verändert wurde. Das ActiveX-Steuerelement, das das PropertyPage-Objekt implementiert, legt den Wert dieser Eigenschaften fest, und Microsoft Outlook fragt diese als Reaktion auf das OnStatusChange-Ereignis eines PropertyPageSite-Objekts ab.

Schreibgeschützter Boolean-Wert.

Syntax

objPropertyPage.Dirty

objPropertyPage Erforderlich. Ein Ausdruck, der ein PropertyPage-Objekt zurückgibt.


DisplayName-Eigenschaft

Bei einem Attachment-Objekt:

Gibt den Namen zurück oder legt den Namen fest, bei dem es sich nicht um den tatsächlichen Dateinamen handeln muss, der unter dem Symbol angezeigt wird, das die eingebettete Anlage darstellt. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_DISPLAY_NAME.

Bei einem FormDescription-Objekt:

Gibt den Namen des Formulars zurück bzw. legt den Namen fest, der im Dialogfeld Formular wählen angezeigt wird. Wenn die Eigenschaften FormDescription.Name und FormDescription.DisplayName beide leer sind, wirkt sich das Festlegen einer Eigenschaft auf die andere aus. Wenn eine Eigenschaft bereits festgelegt wurde, ändert das Festlegen der anderen Eigenschaft den Wert nicht.

String-Wert mit Lese/Schreibzugriff.

Syntax

object.DisplayName

object Erforderlich. Ein Ausdruck, der ein Attachment- oder FormDescription-Objekt zurückgibt .


DisplayType-Eigenschaft

Gibt die OlDisplayType-Konstante zurück, die den Typ des Empfängers beschreibt: olAgent(3), olDistList(1), olForum(2), olOrganization(4), olPrivateDistList(5), olRemoteUser(6), olUser(0).

Sie können die DisplayType-Eigenschaft verwenden, um Empfänger zu filtern. Die DisplayType-Eigenschaft entspricht der MAPI-Eigenschaft PR_DISPLAY_TYPE.

Schreibgeschützt.

Syntax

object.DisplayType

object Erforderlich. Ein Ausdruck, der ein AddressEntry-oder ein Recipient-Objekt zurückgibt.


DLName-Eigenschaft

Gibt den Anzeigenamen einer Verteilerliste zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objDistListItem.DLName

objDistListItem Erforderlich. Ein Ausdruck, der ein DistListItem-Objekt zurückgibt.


 DocPosted-Eigenschaft

DocPosted-Eigenschaft

True, wenn das aufgezeichnete Element als Bestandteil der aufgezeichneten Sitzung veröffentlicht wurde.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objJournalItem.DocPosted

objJournalItem Erforderlich. Ein Ausdruck, der ein JournalItem-Objekt zurückgibt.


 DocPrinted-Eigenschaft

DocPrinted-Eigenschaft

True, wenn das aufgezeichnete Element als Bestandteil der aufgezeichneten Sitzung gedruckt wurde.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objJournalItem.DocPrinted

objJournalItem Erforderlich. Ein Ausdruck, der ein JournalItem-Objekt zurückgibt.


 DocRouted-Eigenschaft

DocRouted-Eigenschaft

True, wenn das aufgezeichnete Element als Bestandteil der aufgezeichneten Sitzung übermittelt wurde.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objJournalItem.DocRouted

objJournalItem Erforderlich. Ein Ausdruck, der ein JournalItem-Objekt zurückgibt.


 DocSaved-Eigenschaft

DocSaved-Eigenschaft

True, wenn das aufgezeichnete Element als Bestandteil der aufgezeichneten Sitzung gespeichert wurde.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objJournalItem.DocSaved

objJournalItem Erforderlich. Ein Ausdruck, der ein JournalItem-Objekt zurückgibt.


DueDate-Eigenschaft

Gibt das Fälligkeitsdatum einer Aufgabe zurück oder legt dieses fest.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.DueDate

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


Duration-Eigenschaft

Gibt die Dauer (in Minuten) des Termins, des Journaleintrags oder des Serienmusters zurück oder legt diese fest. Bei Serien ist diese Eigenschaft nur für Termine zulässig.

Long-Wert mit Lese/Schreibzugriff.

Syntax

object.Duration

object Erforderlich. Ein Ausdruck, der ein AppointmentItem-, RecurrencePattern- oder JournalItem-Objekt zurückgibt.


 EditorType-Eigenschaft

EditorType-Eigenschaft

Gibt die OlEditorType-Konstante für dieses Element zurück: olEditorHTML(2), olEditorRTF(3), olEditorText(1) oder olEditorWord(4).

Anmerkung Die EditorType-Eigenschaft ändert sich nicht, wenn Sie nur auf die Body-Eigenschaft des Elements zugreifen (wie z. B. MsgBox myItem.Body). Wenn Sie jedoch die Body-Eigenschaft zurücksetzen (wie z. B. myItem.Body = "Dies ist ein neuer Nachrichtentext"), nimmt EditorType wieder den Wert für den Standardeditor des Benutzers an.

Schreibgeschützt.

Syntax

objInspector.EditorType

objInspector Erforderlich. Ein Ausdruck, der ein Inspector-Objekt zurückgibt.


Email1Address-Eigenschaft

Gibt die E-Mail-Adresse des ersten E-Mail-Eintrags für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Email1Address

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email1AddressType-Eigenschaft

Gibt den Adresstyp (wie z. B. EX oder SMTP) des ersten E-Mail-Eintrags für den Kontakt zurück oder legt diesen fest. Es handelt sich um ein unformatiertes Textfeld, es muss jedoch dem tatsächlichen Typ eines vorhandenen Nachrichtentransportdienstes entsprechen.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Email1AddressType

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email1DisplayName-Eigenschaft

Gibt den Anzeigenamen der ersten E-Mail-Adresse für den Kontakt zurück. Diese Eigenschaft wird standardmäßig auf den Wert der FullName-Eigenschaft festgelegt.

Schreibgeschützter String.

Syntax

objContactItem.Email1DisplayName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email1EntryID-Eigenschaft

Gibt die Eintrags-ID der ersten E-Mail-Adresse für den Kontakt zurück.

Schreibgeschützter String.

Syntax

objContactItem.Email1EntryID

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email2Address-Eigenschaft

Gibt die E-Mail-Adresse des zweiten E-Mail-Eintrags für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Email2Address

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email2AddressType-Eigenschaft

Gibt den Adresstyp (wie z. B. EX oder SMTP) des zweiten E-Mail-Eintrags für den Kontakt zurück oder legt diesen fest. Es handelt sich um ein unformatiertes Textfeld, es muss jedoch dem tatsächlichen Typ eines vorhandenen Nachrichtentransportdienstes entsprechen.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Email2AddressType

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email2DisplayName-Eigenschaft

Gibt den Anzeigenamen der zweiten E-Mail-Adresse für den Kontakt zurück. Diese Eigenschaft wird standardmäßig auf den Wert der FullName-Eigenschaft festgelegt.

Schreibgeschützter String.

Syntax

objContactItem.Email2DisplayName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email2EntryID-Eigenschaft

Gibt die Eintrags-ID der zweiten E-Mail-Adresse für den Kontakt zurück.

Schreibgeschützter String.

Syntax

objContactItem.Email2EntryID

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email3Address-Eigenschaft

Gibt die E-Mail-Adresse des dritten E-Mail-Eintrags für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Email3Address

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email3AddressType-Eigenschaft

Gibt den Adresstyp (wie z. B. EX oder SMTP) des dritten E-Mail-Eintrags für den Kontakt zurück oder legt diesen fest. Es handelt sich um ein unformatiertes Textfeld, es muss jedoch dem tatsächlichen Typ eines vorhandenen Nachrichtentransportdienstes entsprechen.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Email3AddressType

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email3DisplayName-Eigenschaft

Gibt den Anzeigenamen der dritten E-Mail-Adresse für den Kontakt zurück. Diese Eigenschaft wird standardmäßig auf den Wert der FullName-Eigenschaft festgelegt.

Schreibgeschützter String.

Syntax

objContactItem.Email3DisplayName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Email3EntryID-Eigenschaft

Gibt die Eintrags-ID der dritten E-Mail-Adresse für den Kontakt zurück.

Schreibgeschützter String.

Syntax

objContactItem.Email3EntryID

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Enabled-Eigenschaft

True, wenn die Aktion in der Anwendung aktiviert ist.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objAction.Enabled

objAction Erforderlich. Ein Ausdruck, der ein Action-Objekt zurückgibt.


End-Eigenschaft

Gibt das geplante Enddatum und die geplante Endzeit eines Termins oder Journaleintrags zurück oder legt diese fest.

Date-Wert mit Lese/Schreibzugriff.

Syntax

object.End

object Erforderlich. Ein Ausdruck, der ein AppointmentItem- oder ein JournalItem-Objekt zurückgibt.


EndTime-Eigenschaft

Gibt die geplante Endzeit für ein Serienmuster zurück oder legt diese fest. Diese Eigenschaft ist nur für Termine zulässig.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.End

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.


 EntryID-Eigenschaft

EntryID-Eigenschaft

Gibt die eindeutige Eintrags-ID des Objekts zurück. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_ENTRYID. MAPI-Systeme weisen eine dauerhafte, eindeutige ID-Zeichenfolge zu, wenn ein Objekt erstellt wird, die sich von einer MAPI-Sitzung zur anderen nicht ändert. Die EntryID-Eigenschaft wird für ein Outlook-Element erst dann festgelegt, wenn es gespeichert oder gesendet wird. Darüber hinaus ändert sich die EntryID, wenn ein Element in einen anderen Ordner verschoben wird.

Schreibgeschützter String.

Syntax

object.EntryID

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


Exceptions-Eigenschaft

Gibt die Exceptions-Auflistung für eine bestimmte Serie sich wiederholender Termine zurück.

Schreibgeschützt.

Syntax

objRecurrencePattern.Exceptions

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.


 ExpiryTime-Eigenschaft

ExpiryTime-Eigenschaft

Gibt Datum und Uhrzeit zurück oder legt diese fest, zu der das Element ungültig wird und gelöscht werden kann.

Date-Wert mit Lese/Schreibzugriff.

Syntax

object.ExpiryTime

object Erforderlich. Ein Ausdruck, der ein MailItem-, MeetingItem- oder PostItem-Objekt zurückgibt.


 Explorers-Eigenschaft

Explorers-Eigenschaft

Gibt eine Explorers -Auflistung zurück, die die Explorer-Objekte enthält, die alle geöffneten Explorer darstellen.

Schreibgeschützt

Syntax

objApplication.Explorers

objApplication Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.


FileAs-Eigenschaft

Gibt die Standard-Stichwortzeichenfolge zurück, die dem Kontakt beim Speichern zugeordnet wird, oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.FileAs

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


FileName-Eigenschaft

Gibt den Dateinamen der Anlage zurück. Verwenden Sie diese Eigenschaft in Verbindung mit der PathName-Eigenschaft.

Schreibgeschützter String.

Syntax

objAttachment.FileName

objAttachment Erforderlich. Ein Ausdruck, der ein Attachment-Objekt zurückgibt.


FirstName-Eigenschaft

Gibt den Vornamen für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.FirstName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Bemerkungen

Dieser Eigenschaft wird von der FullName-Eigenschaft abgeleitet. Sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der FullName-Eigenschaft überschrieben werden.


FlagDueBy-Eigenschaft

Gibt das Datum zurück oder legt dieses fest, an dem diese E-Mail-Nachricht fällig wird. Diese Eigenschaft ist nur zulässig, wenn die FlagStatus-Eigenschaft für die Nachricht ebenfalls festgelegt wurde. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_REPLY_TIME.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.FlagDueBy

objContactItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


FlagRequest-Eigenschaft

Gibt die angeforderte Aktion für die E-Mail-Nachricht zurück oder legt diese fest. Es handelt sich um ein unformatiertes Textfeld. Diese Eigenschaft ist nur zulässig, wenn die FlagStatus-Eigenschaft für die Nachricht ebenfalls festgelegt wurde.

String-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.FlagRequest

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


FlagStatus-Eigenschaft

Gibt den Kennzeichnungsstatus für die E-Mail-Nachricht zurück oder legt diesen fest. Folgende OlFlagStatus-Konstanten sind möglich: olFlagComplete(1), olFlagMarked(2) oder olNoFlag(0).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.FlagStatus

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


Folders-Eigenschaft

Gibt die Folders-Auflistung zurück, die alle Ordner darstellt, die in dem angegebenen Ordner oder Namensraum enthalten sind. Bei dem NameSpace-Objekt handelt es sich um die Basis aller Ordner des jeweiligen Namensraumes.

Schreibgeschützt.

Syntax

object.Folders

object Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt oder NameSpace-Objekt zurückgibt.


 FormDescription-Eigenschaft

FormDescription-Eigenschaft

Gibt das FormDescription-Objekt zurück, das die Formularbeschreibung für das Outlook-Element darstellt.

Schreibgeschützt.

Syntax

object.FormDescription

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


Formula-Eigenschaft

Gibt die Formel für die Benutzereigenschaft zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objUserProperty.Formula

objUserProperty Erforderlich. Ein Ausdruck, der ein UserProperty-Objekt zurückgibt.


FTPSite-Eigenschaft

Gibt den Eintrag für die FTP-Site des Kontaktes zurück.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.FTPSite

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


FullName-Eigenschaft

Gibt den vollständigen, nicht zerlegten Namen für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.FullName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird in die FirstName-, LastName-, MiddleName- und Suffix-Eigenschaften zerlegt, die geändert oder unabhängig eingegeben werden können, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für die FirstName-, LastName-, MiddleName- oder Suffix-Eigenschaften von allen nachfolgenden Änderungen oder Eingaben der FullName-Eigenschaft überschrieben werden.


FullNameAndCompany-Eigenschaft

Gibt den vollständigen Namen und die Firma des Kontaktes zurück, indem die Werte der FullName- und CompanyName-Eigenschaften zusammengesetzt werden.

Schreibgeschützter String.

Syntax

objContactItem.FullNameAndCompany

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Gender-Eigenschaft

Gibt das Geschlecht des Kontaktes zurück oder legt dieses fest. Folgende OlGender-Konstanten sind möglich: olFemale (1), olMale (2) oder olUnspecified (0).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Gender

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 GetInspector-Eigenschaft

GetInspector-Eigenschaft

Gibt ein Inspector-Objekt zurück, das einen Inspektor darstellt, der initialisiert wurde, so dass das angegebene Element enthalten ist. Diese Eigenschaft eignet sich zum Zurückgeben eines neuen Inspector-Objekts, in dem das Element angezeigt wird, im Gegensatz zum Verwenden der ActiveInspector-Methode und dem Festlegen der CurrentItem-Eigenschaft.

Schreibgeschützter Inspector-Wert.

Syntax

object.GetInspector

object Erforderlich. Ein Ausdruck, der ein Elementobjekt zurückgibt, das sich in der Liste "Betrifft" befindet.

Das Inspector-Objekt und Microsoft Word als E-Mail-Editor des Benutzers

Wenn Microsoft Word als Standard-E-Mail-Editor verwendet wird und das Nachrichtenformat des bearbeiteten Elements Nur Text oder HTML ist, generiert GetInspector einen Fehler und gibt Nothing zurück.


GovernmentIDNumber-Eigenschaft

Gibt die Regierungsnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.GovernmentIDNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Groups-Eigenschaft

Groups-Eigenschaft

Gibt die in einer Outlook-Leiste enthaltene Menge von Gruppen zurück.

Schreibgeschützter OutlookBarGroups-Wert

Syntax

objOLBarStorage.Groups

objOLBarStorage Erforderlich. Ein Ausdruck, der ein OutlookBarStorage-Objekt zurückgibt.


HasAttachment-Eigenschaft

True, wenn dem Remote-Element eine Anlage zugeordnet ist. Der Standardwert ist True.

Schreibgeschützter Boolean-Wert.

Syntax

objRemoteItem.HasAttachment

objRemoteItem Erforderlich. Ein Ausdruck, der ein RemoteItem-Objekt zurückgibt.


Height-Eigenschaft

Gibt die Höhe (in Pixel) des Explorer-, Inspektor- oder des Notizen-Fensters zurück oder legt diese fest.

Long-Wert mit Lese/Schreibzugriff.

Syntax

object.Height

object Erforderlich. Ein Ausdruck, der ein Explorer, Inspector oder NoteItem-Objekt zurückgibt.


 Hidden-Eigenschaft

Hidden-Eigenschaft

Die Hidden-Eigenschaft entspricht dem Kontrollkästchen Formular nur für Antworten auf der Seite Eigenschaften des Formulars im Entwurfsmodus.

Wenn diese Eigenschaft als True festgelegt wird, wird das benutzerdefinierte Formular ausgeblendet. Es wird weder im Menü noch im Dialogfeld Formular wählen angezeigt und nur dann verwendet, wenn es von einem anderen benutzerdefinierten Formular als Antwortformular festgelegt wurde.

Der Standardwert ist False.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.Hidden

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


Hobby-Eigenschaft

Gibt das Hobby für den Kontakt zurück oder legt dieses fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Hobby

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Home2TelephoneNumber-Eigenschaft

Gibt die zweite private Telefonnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Home2TelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


HomeAddress-Eigenschaft

Gibt den vollständigen, nichtzerlegten Text der Privatadresse für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.HomeAddress

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


HomeAddressCity-Eigenschaft

Gibt die Stadt der Privatadresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.HomeAddressCity

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der HomeAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der HomeAddress-Eigenschaft überschrieben werden.


HomeAddressCountry-Eigenschaft

Gibt den Staat der Privatadresse für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.HomeAddressCountry

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der HomeAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der HomeAddress-Eigenschaft überschrieben werden.


HomeAddressPostalCode-Eigenschaft

Gibt die Postleitzahl der Privatadresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.HomeAddressPostalCode

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der HomeAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der HomeAddress-Eigenschaft überschrieben werden.


HomeAddressPostOfficeBox-Eigenschaft

Gibt die Postfachzahl der Privatadresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.HomeAddressPostOfficeBox

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der HomeAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der HomeAddress-Eigenschaft überschrieben werden.


HomeAddressState-Eigenschaft

Gibt die Region der Privatadresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.HomeAddressState

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der HomeAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der HomeAddress-Eigenschaft überschrieben werden.


HomeAddressStreet-Eigenschaft

Gibt die Straße der Privatadresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.HomeAddressStreet

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der HomeAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der HomeAddress-Eigenschaft überschrieben werden.


HomeFaxNumber-Eigenschaft

Gibt die private Faxnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.HomeFaxNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


HomeTelephoneNumber-Eigenschaft

Gibt die erste privateTelefonnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.HomeTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 HTMLBody-Eigenschaft

HTMLBody-Eigenschaft

Legt den HTML-Text des Elements fest. Bei der HTMLBody-Eigenschaft sollte es sich um eine Zeichenfolge mit HTML-Syntax handeln.

Beim Festlegen der HTMLBody-Eigenschaft wird die EditorType-Eigenschaft für den Inspector des Elements auf olEditorHTML(2) festgelegt.

Beim Festlegen der HTMLBody-Eigenschaft wird die Body-Eigenschaft immer unmittelbar aktualisiert.

Durch das Festlegen der Body-Eigenschaft wird der Inhalt der HTMLBody-Eigenschaft bei HTML-fähigen Speichern gelöscht (Nur-Internet-Modus).

Anmerkung Die EditorType-Eigenschaft ändert sich nicht, wenn Sie nur auf die Body-Eigenschaft des Elements zugreifen (wie z. B. MsgBox myItem.Body). Wenn Sie jedoch die Body-Eigenschaft zurücksetzen (wie z. B. myItem.Body = "This is a new body"), nimmt EditorType wieder den Wert für den Standardeditor des Benutzers an.

String-Wert mit Lese/Schreibzugriff.

Syntax

object.HTMLBody

object Erforderlich. Ein Ausdruck, der ein PostItem- oder MailItem-Objekt zurückgibt.


 HTMLEditor-Eigenschaft

HTMLEditor-Eigenschaft

Gibt das HTML-Dokumentobjektmodell der angezeigten Nachricht zurück. Das HTML-Dokumentobjektmodell wird durch den Internet Explorer definiert und ist identisch mit dem Modell für dynamischen HTML-Code. Dieses Objekt kann nur temporär gelten und sollte nicht für eine spätere Nutzung gespeichert werden.

Die HTMLEditor-Eigenschaft ist nur gültig, wenn die EditorType-Eigenschaft des dem Element zugeordneten Inspector auf olEditorHTML(2) festgelegt ist.

Schreibgeschützt.

Syntax

objInspector.HTMLEditor

objInspector Erforderlich. Ein Ausdruck, der ein Inspector-Objekt zurückgibt.


Icon-Eigenschaft

Gibt den Dateinamen des Symbols, das für das Formular angezeigt werden soll, zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.Icon

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


 ID-Eigenschaft

ID-Eigenschaft

Gibt den eindeutigen Bezeichner für das Objekt zurück. Der Transportdienst weist eine dauerhafte, eindeutige ID-Eigenschaft vom Typ String zu, wenn ein einzelnes Mitgliedsobjekt erstellt wird. Diese IDs ändern sich nicht von einer Sitzung zur anderen.

Schreibgeschützter String.

Syntax

object.ID

object Erforderlich. Ein Ausdruck, der ein AddressEntry- oder AddressList-Objekt zurückgibt.


 Importance-Eigenschaft

Importance-Eigenschaft

Gibt die relative Wichtigkeit für das Outlook-Element zurück oder legt diese fest. Die folgenden OlImportance-Konstanten sind möglich: olImportanceHigh(2), olImportanceLow(0) oder olImportanceNormal(1). Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_IMPORTANCE.

Long-Wert mit Lese/Schreibzugriff.

Syntax

object.Importance

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


IncludeRecurrences-Eigenschaft

True, wenn die Items-Auflistung Serienmuster umfassen soll. Diese Eigenschaft hat nur dann Auswirkungen, wenn die Items-Auflistung Termine enthält und nicht nach einer anderen Eigenschaft als Start in aufsteigender Reihenfolge sortiert ist. Der Standardwert ist False.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objItems.IncludeRecurrences

objItems Erforderlich. Ein Ausdruck, der eine Items-Auflistung zurückgibt.

Hinweise

Verwenden Sie diese Eigenschaft, wenn Sie alle Termine für ein bestimmtes Datum abrufen möchten und Serientermine normalerweise nicht angezeigt werden, da sie keinem bestimmten Datum zugeordnet sind. Wenn die Auflistung Serientermine ohne Enddatum enthält und die Eigenschaft als True festgelegt wird, kann die Auflistung unendlich viele Termine enthalten. Überprüfen Sie dies daher auf jeden Fall in einer Schleife.


 Index-Eigenschaft

Index-Eigenschaft

Gibt die Position des Objekts innerhalb einer Auflistung zurück. Die Index-Eigenschaft ist nur während der aktuellen Sitzung gültig und kann sich ändern, wenn Objekte zu der Auflistung hinzugefügt und daraus gelöscht werden. Das erste Objekt in der Auflistung verfügt über den Index-Wert 1.

Schreibgeschützter Long-Wert.

Syntax

object.Index

object Erforderlich. Ein Ausdruck, der ein AddressList-, Attachment- oder Recipient-Objekt zurückgibt.


Initials-Eigenschaft

Gibt die Initialen für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Initials

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Inspectors-Eigenschaft

Inspectors-Eigenschaft

Gibt eine Inspectors-Auflistung zurück, die das Inspector-Objekt enthält, das alle geöffneten Inspektoren darstellt.

Schreibgeschützt.

Syntax

objApplication.Inspectors

objApplication Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.


Instance-Eigenschaft

Gibt die Zahl, für die ein Serienmuster in einem bestimmten Zeitraum gültig ist, zurück oder legt diese fest. Diese Eigenschaft gilt nur für Serien vom Typ olRecursMonthNth(3) und olRecursYearNth(6) und ermöglicht die Definition eines Serienmusters, das nur für das n-te Vorkommen gilt, wie z. B. ein Muster der Form "der zweite Sonntag im März". Die Zahl wird numerisch festgelegt: 1 für das erste, 2 für das zweite und so weiter bis 5 für das letzte Vorkommen. Werte größer als 5 führen zu Fehlern, wenn das Muster gespeichert wird.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.Instance

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.


InternetFreeBusyAddress-Eigenschaft

Die InternetFreeBusyAddress-Eigenschaft bezieht sich auf das Lesen und Veröffentlichen der Frei/Belegt-Zuordnung von Ereignissen im Kalender eines Benutzers. Die Zuordnung wird abgerufen, wenn ein Benutzer eine Besprechung plant. Diese Eigenschaft entspricht einem Feld in der Seite Details für einen Nur-Internet-Kontakt. Dieses Feld kann die URL-Adresse für Frei/Belegt-Informationen des Benutzers im vCard-Standardformat für Frei/Belegt-Informationen enthalten.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.InternetFreeBusyAddress

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Anmerkung Diese Eigenschaft betrifft ausschließlich Nur-Internet-Benutzer.


Interval-Eigenschaft

Gibt die Anzahl der Einheiten eines bestimmten Serientyps zwischen den einzelnen Vorkommen zurück oder legt diese fest. Wenn Sie beispielsweise die Interval-Eigenschaft auf 2 festlegen und die RecurrenceType-Eigenschaft auf "Weekly", wiederholt sich das Muster alle zwei Wochen.

Anmerkung Vor dem Festlegen von PatternEndDate muss die Interval-Eigenschaft festgelegt werden. Darüber hinaus ist die Interval-Eigenschaft für jährliche Serienmuster nicht zulässig.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.Interval

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.


ISDNNumber-Eigenschaft

Gibt die ISDN-Nummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.ISDNNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


IsOnlineMeeting-Eigenschaft

Diese Eigenschaft entspricht dem Kontrollkästchen Dies ist eine Onlinebesprechung auf der Seite Termin und dem entsprechenden Kontrollkästchen Onlinebesprechung läuft über auf der Seite Online eines Besprechungselements.

True, wenn es sich um eine Onlinebesprechung handelt.

Boolean-Wert.

Syntax

objAppointmentItem.IsOnlineMeeting

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


IsReadOnly-Eigenschaft

Kennzeichnet, dass das AddressList-Objekt nicht geändert werden kann. Die IsReadOnly-Eigenschaft bezieht sich auf das Hinzufügen und Löschen von Einträgen im Adressbuchcontainer, der vom AddressList-Objekt dargestellt wird. Die Eigenschaft ist True, wenn keine Einträge hinzugefügt oder gelöscht werden können. Die Eigenschaft ist False, wenn der Container geändert werden kann, d. h., wenn Adresseinträge zum Container hinzugefügt bzw. daraus gelöscht werden können.

IsReadOnly bezieht sich auf Adressbucheinträge in Zusammenhang mit dem Adressbuchcontainer. Es erfolgt kein Hinweis darauf, ob der Inhalt der einzelnen Einträge geändert werden kann.

Schreibgeschützter Boolean-Wert.

Syntax

objAddressList.IsReadOnly

objAddressList Erforderlich. Ein Ausdruck, der ein AddressList-Objekt zurückgibt.


IsRecurring-Eigenschaft

True, wenn es sich bei dem Termin oder bei der Aufgabe um einen sich wiederholenden Termin bzw. Aufgabe handelt. Wenn die GetRecurrencePattern-Methode mit einem AppointmentItem- oder TaskItem-Objekt verwendet wird, wird diese Eigenschaft auf True festgelegt.

Schreibgeschützter Boolean-Wert.

Syntax

object.IsRecurring

object Erforderlich. Ein Ausdruck, der ein TaskItem- oder AppointmentItem-Objekt zurückgibt.


Item-Eigenschaft

Gibt das Microsoft Outlook-Element zurück, das von einem Link-Objekt dargestellt wird.

Schreibgeschützter Object-Wert.

Syntax

objLink.Item

objLink Erforderlich. Ein Ausdruck, der ein Link-Objekt zurückgibt.


 Items-Eigenschaft

Items-Eigenschaft

Gibt die Auflistung der Outlook-Elemente in dem Ordner zurück.

Schreibgeschützte Elemente.

Syntax

objMAPIFolder.Items

objMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.


JobTitle-Eigenschaft

Gibt die Position für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.JobTitle

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Journal-Eigenschaft

True, wenn die Transaktion des Kontaktes im Journal aufgezeichnet wird. Der Standardwert ist False.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Journal

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Language-Eigenschaft

Gibt die Sprache für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Language

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


LanguageSettings-Eigenschaft

Gibt ein LanguageSettings-Objekt für die Anwendung zurück, die die sprachspezifischen Attribute von Microsoft Outlook enthält.

Schreibgeschützter LanguageSettings-Wert.

Syntax

object.LanguageSettings()

object Erforderlich. Ein Ausdruck, der ein Application-Objekt zurückgibt.


LastFirstAndSuffix-Eigenschaft

Gibt den Nachnamen, den Vornamen, weitere Vornamen und den Titel des Kontaktes zurück. Zwischen den Nachnamen und den Vornamen befindet sich ein Komma und zwischen allen Namen und dem Titel ein Leerzeichen. Diese Eigenschaft wird von den LastName-, FirstName-, MiddleName- und Suffix-Eigenschaften abgeleitet.

Schreibgeschützter String.

Anmerkung: Die LastName-, FirstName-, MiddleName- und Suffix-Eigenschaften werden aus der FullName-Eigenschaft abgeleitet.

Syntax

objContactItem.LastFirstAndSuffix

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


LastFirstNoSpace-Eigenschaft

Gibt die zusammengesetzten Nachnamen, Vornamen und weitere Vornamen des Kontaktes zurück, wobei sich zwischen dem Nachnamen und dem Vornamen kein Leerzeichen befindet. Diese Eigenschaft wird von den LastName-, FirstName-, und MiddleName-Eigenschaften abgeleitet.

Schreibgeschützter String.

Anmerkung: Die LastName-, FirstName-, MiddleName- und Suffix-Eigenschaften werden aus der FullName-Eigenschaft abgeleitet.

Syntax

objContactItem.LastFirstNoSpace

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


LastFirstNoSpaceCompany-Eigenschaft

Gibt die zusammengesetzten Nachnamen, Vornamen und weitere Vornamen des Kontaktes zurück, wobei sich zwischen dem Nachnamen und dem Vornamen kein Leerzeichen befindet. Der Firmenname des Kontaktes wird nach den weiteren Vornamen eingefügt. Diese Eigenschaft wird von den LastName-, FirstName-, MiddleName- und CompanyName-Eigenschaften abgeleitet.

Schreibgeschützter String.

Anmerkung: Die LastName-, FirstName-, MiddleName- und Suffix-Eigenschaften werden aus der FullName-Eigenschaft abgeleitet.

Syntax

objContactItem.LastFirstNoSpaceCompany

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


LastFirstSpaceOnly-Eigenschaft

Gibt die zusammengesetzten Nachnamen, Vornamen und weitere Vornamen des Kontaktes zurück, wobei sich zwischen den Namen Leerzeichen befinden. Diese Eigenschaft wird von den LastName-, FirstName- und MiddleName-Eigenschaften abgeleitet.

Schreibgeschützter String.

Anmerkung: Die LastName-, FirstName-, MiddleName- und Suffix-Eigenschaften werden aus der FullName-Eigenschaft abgeleitet.

Syntax

objContactItem.LastFirstSpaceOnly

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


LastFirstSpaceOnlyCompany-Eigenschaft

Gibt die zusammengesetzten Nachnamen, Vornamen und weitere Vornamen des Kontaktes zurück, wobei sich zwischen den Namen Leerzeichen befinden. Der Firmenname des Kontaktes wird nach den weiteren Vornamen eingefügt. Diese Eigenschaft wird von den LastName-, FirstName-, MiddleName- und CompanyName-Eigenschaften abgeleitet.

Schreibgeschützter String.

Anmerkung: Die LastName-, FirstName-, MiddleName- und Suffix-Eigenschaften werden aus der FullName-Eigenschaft abgeleitet.

Syntax

objContactItem.LastFirstSpaceOnlyCompany

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 LastModificationTime-Eigenschaft

LastModificationTime-Eigenschaft

Gibt die Zeit zurück, zu der das Outlook-Element zuletzt geändert wurde. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_LAST_MODIFICATION_TIME.

Schreibgeschützter Date-Wert.

Syntax

object.LastModificationTime

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


LastName-Eigenschaft

Gibt den Nachnamen für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.LastName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der FullName-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft durch alle nachfolgenden Änderungen und Eingaben von FullName überschrieben werden.


LastNameAndFirstName-Eigenschaft

Gibt den zusammengesetzten Nachnamen und Vornamen für den Kontakt zurück.

Schreibgeschützter String.

Syntax

objContactItem.LastNameAndFirstName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaften werden von den FirstName- und LastName-Eigenschaften für den Kontakt abgeleitet, die ihrerseits von der FullName-Eigenschaft abgeleitet werden.


Left-Eigenschaft

Gibt den Abstand (in Pixel) des linken vertikalen Rands eines Explorer-, Inspektor- oder Notizen-Fensters vom linken Fensterrand zurück oder legt diesen fest.

Long-Wert mit Lese/Schreibzugriff.

Syntax

object.Left

object Erforderlich. Ein Ausdruck, der ein Explorer-, Inspector- oder NoteItem-Objekt zurückgibt.


Links-Eigenschaft

Gibt eine Auflistung von Link-Objekten zurück, die die Kontakte darstellen, mit denen das Element verknüpft ist.

Schreibgeschützter Links-Wert.

Syntax

objOutlookItem.Links

objOutlookItem Erforderlich. Ein Ausdruck, der ein Microsoft Outlook-Elementobjekt zurückgibt.


Location-Eigenschaft

Gibt das Büro (z. B. Gebäude 1 Raum 1 oder Konferenzsaal 123) für den Termin zurück oder legt dieses fest. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_OFFICE_LOCATION.

String-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.Location

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


Locked-Eigenschaft

True, wenn das Formular nicht geändert werden kann.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

object.Locked

object Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


MailingAddress-Eigenschaft

Gibt die vollständige, unzerlegte Postanschrift für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.MailingAddress

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft reproduziert die Eigenschaft, die durch die SelectedMailingAddress-Eigenschaft gekennzeichnet wird. Für diese Eigenschaft sind die folgenden OlMailingAddress-Konstanten möglich: olBusiness(2), olHome(1), olNone(0) oder olOther(3). Diese Eigenschaft kann geändert oder unabhängig eingegeben werden. Alle Änderungen oder Eingaben für diese Eigenschaft werden von allen nachfolgenden Änderungen oder Eingaben der durch SelectedMailingAddress gekennzeichneten Eigenschaft überschrieben.


MailingAddressCity-Eigenschaft

Gibt den Stadtnamen der ausgewählten Postanschrift des Kontaktes zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.MailingAddressCity

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft reproduziert die Eigenschaft, die durch die SelectedMailingAddress-Eigenschaft gekennzeichnet wird. Für diese Eigenschaft sind die folgenden OlMailingAddress-Konstanten möglich: olBusiness(2), olHome(1), olNone(0) oder olOther(3). Diese Eigenschaft kann geändert oder unabhängig eingegeben werden. Alle Änderungen oder Eingaben für diese Eigenschaft werden von allen nachfolgenden Änderungen oder Eingaben der durch SelectedMailingAddress gekennzeichneten Eigenschaft überschrieben.


MailingAddressCountry-Eigenschaft

Gibt die Landeskennzahl der ausgewählten Postanschrift des Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.MailingAddressCountry

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft reproduziert die Eigenschaft, die durch die SelectedMailingAddress-Eigenschaft gekennzeichnet wird. Für diese Eigenschaft sind die folgenden OlMailingAddress-Konstanten möglich: olBusiness(2), olHome(1), olNone(0) oder olOther(3). Diese Eigenschaft kann geändert oder unabhängig eingegeben werden. Alle Änderungen oder Eingaben für diese Eigenschaft werden von allen nachfolgenden Änderungen oder Eingaben der durch SelectedMailingAddress gekennzeichneten Eigenschaft überschrieben.


MailingAddressPostalCode-Eigenschaft

Gibt die Postleitzahl der ausgewählten Postanschrift des Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.MailingAddressPostalCode

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft reproduziert die Eigenschaft, die durch die SelectedMailingAddress-Eigenschaft gekennzeichnet wird. Für diese Eigenschaft sind die folgenden OlMailingAddress-Konstanten möglich: olBusiness(2), olHome(1), olNone(0) oder olOther(3). Diese Eigenschaft kann geändert oder unabhängig eingegeben werden. Alle Änderungen oder Eingaben für diese Eigenschaft werden von allen nachfolgenden Änderungen oder Eingaben der durch SelectedMailingAddress gekennzeichneten Eigenschaft überschrieben.


MailingAddressPostOfficeBox-Eigenschaft

Gibt die Postfachzahl der ausgewählten Postanschrift des Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.MailingAddressPostOfficeBox

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft reproduziert die Eigenschaft, die durch die SelectedMailingAddress-Eigenschaft gekennzeichnet wird. Für diese Eigenschaft sind die folgenden OlMailingAddress-Konstanten möglich: olBusiness(2), olHome(1), olNone(0) oder olOther(3). Diese Eigenschaft kann geändert oder unabhängig eingegeben werden. Alle Änderungen oder Eingaben für diese Eigenschaft werden von allen nachfolgenden Änderungen oder Eingaben der durch SelectedMailingAddress gekennzeichneten Eigenschaft überschrieben.


MailingAddressState-Eigenschaft

Gibt die Region der ausgewählten Postanschrift des Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.MailingAddressState

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft reproduziert die Eigenschaft, die durch die SelectedMailingAddress-Eigenschaft gekennzeichnet wird. Für diese Eigenschaft sind die folgenden OlMailingAddress-Konstanten möglich: olBusiness(2), olHome(1), olNone(0) oder olOther(3). Diese Eigenschaft kann geändert oder unabhängig eingegeben werden. Alle Änderungen oder Eingaben für diese Eigenschaft werden von allen nachfolgenden Änderungen oder Eingaben der durch SelectedMailingAddress gekennzeichneten Eigenschaft überschrieben.


MailingAddressStreet-Eigenschaft

Gibt die Straße der ausgewählten Postanschrift des Kontaktes zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.MailingAddressStreet

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft reproduziert die Eigenschaft, die durch die SelectedMailingAddress-Eigenschaft gekennzeichnet wird. Für diese Eigenschaft sind die folgenden OlMailingAddress-Konstanten möglich: olBusiness(2), olHome(1), olNone(0) oder olOther(3). Diese Eigenschaft kann geändert oder unabhängig eingegeben werden. Alle Änderungen oder Eingaben für diese Eigenschaft werden von allen nachfolgenden Änderungen oder Eingaben der durch SelectedMailingAddress gekennzeichneten Eigenschaft überschrieben.


Manager-Eigenschaft

Gibt ein AddressEntry-Objekt zurück, das den Vorgesetzten des Benutzers, der diesem Adresseintrag entspricht, bezeichnet. Wenn der Vorgesetzte des Benutzers im Nachrichtensystem nicht zur Verfügung steht, gibt die Manager-Eigenschaft den Wert Nothing zurück.

Schreibgeschützt.

Syntax

objAddressEntry.Manager

objAddressEntry Erforderlich. Ein Ausdruck, der ein AddressEntry-Objekt zurückgibt.


ManagerName-Eigenschaft

Gibt den Namen des Vorgesetzten für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.ManagerName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


MeetingResponseStatus-Eigenschaft

Gibt den Gesamtantwortstatus auf die Besprechungsanfrage für den Empfänger zurück. Die folgenden OlResponseStatus-Konstanten sind möglich: olResponseAccepted(3), olResponseDeclined(4), olResponseNone(0), olResponseNotResponded(5), olResponseOrganized(1) oder olResponseTentative(2).

Schreibgeschützter Long-Wert.

Syntax

objRecipient.MeetingResponseStatus

objRecipient Erforderlich. Ein Ausdruck, der ein Recipient-Objekt zurückgibt.


MeetingStatus-Eigenschaft

Gibt den Besprechungsstatus des Termins zurück oder legt diesen fest. Verwenden Sie diese Eigenschaft, um für den Termin ein MeetingItem-Objekt zur Verfügung zu stellen. Die folgenden OlMeetingStatus-Konstanten sind möglich: olMeeting(1), olMeetingCanceled(5), olMeetingReceived(3) oder olNonMeeting(0).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.MeetingStatus

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


MemberCount-Eigenschaft

Gibt die Anzahl von Mitgliedern in einer Verteilerliste zurück.

Schreibgeschützter Long-Wert.

Syntax

objDistListItem.MemberCount)

objDistListItem Erforderlich. Ein Ausdruck, der ein DistListItem-Objekt zurückgibt.

Hinweise

Der zurückgegebene Wert stellt alle Mitglieder der Verteilerliste einschließlich der Mitgliederverteilerlisten dar. Jede Mitgliederverteilerliste wird als einzelnes Mitglied gezählt. Das bedeutet, dass MemberCount keine Aggregatsumme der Empfänger in der Verteilerliste und der Empfänger in der Mitgliederverteilerliste ist. Wenn zum Beispiel eine Verteilerliste 10 Empfänger und eine Verteilerliste mit 15 Empfängern enthält, wird von MemberCount 11 zurückgegeben.


 Members-Eigenschaft

Members-Eigenschaft

Gibt eine AddressEntries- Auflistung zurück, die die Mitglieder einer Verteilerliste in einem Adressbuch darstellt.

Eine Verteilerliste ist ein AddressEntry-Objekt, dessen DisplayType-Eigenschaft auf olDistList (1) oder olPrivateDistList (5) festgelegt ist.

Die Members-Eigenschaft gibt Nothing zurück, wenn es sich bei dem AddressEntry nicht um eine Verteilerliste handelt.

Schreibgeschützter AddressEntries-Wert.

Syntax

objAddressEntry.Members

objAddressEntry Erforderlich. Ein Ausdruck, der ein AddressEntry-Objekt zurückgibt.


 MessageClass-Eigenschaft

MessageClass-Eigenschaft

Gibt die Nachrichtenklasse für das Outlook-Element oder die Action zurück oder legt diese fest. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_MESSAGE_CLASS. Die MessageClass-Eigenschaft verknüpft das Element mit dem Formular, auf dem es basiert. Wenn ein Element ausgewählt wird, verwendet Outlook die Nachrichtenklasse, um das Formular zu finden und auf dessen Eigenschaften, wie z. B. Antwortbefehle, zuzugreifen.

String-Wert mit Lese/Schreibzugriff.

Syntax

object.MessageClass

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


MiddleName-Eigenschaft

Gibt die weiteren Vornamen für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.MiddleName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der FullName-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft durch alle nachfolgenden Änderungen und Eingaben von FullName überschrieben werden.


 Mileage-Eigenschaft

Mileage-Eigenschaft

Gibt die Reisekilometer für ein Element zurück oder legt diese fest. Dabei handelt es sich um ein unformatiertes Feld, das verwendet werden kann, um Entfernungsinformationen, die dem Element zugeordnet sind (beispielsweise 100 km zur Wahrnehmung eines Termins, für eine Kontaktaufnahme oder für die Erledigung einer Aufgabe), für eine Kostenerstattung zu dokumentieren.

String-Wert mit Lese/Schreibzugriff.

Syntax

object.Mileage

object Erforderlich. Ein Ausdruck, der ein Outlook-Elementobjekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


MiniIcon-Eigenschaft

Gibt den Dateinamen des Miniatursymbols, das für das Formular angezeigt wird, zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.MiniIcon

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


MobileTelephoneNumber-Eigenschaft

Gibt die Funktelefonnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.MobileTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 ModifiedFormPages-Eigenschaft

ModifiedFormPages-Eigenschaft

Gibt die Pages-Auflistung zurück, die alle Seiten für das Element im Inspektor darstellt. Die Hauptseite und bis zu fünf benutzerdefinierte Seiten können mit Hilfe der Add-Methode erhalten werden.

Schreibgeschützt.

Syntax

objInspector.ModifiedFormPages

objInspector Erforderlich. Ein Ausdruck, der ein Inspector-Objekt zurückgibt.


MonthOfYear-Eigenschaft

Gibt den Monat im Jahr für dieses Serienmuster zurück oder legt diesen fest. Eine Zahl von 1 bis 12 ist möglich. Wenn Sie diese Eigenschaft beispielsweise auf 5 und die RecurrenceType-Eigenschaft auf olRecursYearly(5) festlegen, wiederholt sich dieses Serienmuster jeden Mai.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.MonthOfYear

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.

Anmerkung Diese Eigenschaft ist nur für Serienmuster zulässig, deren RecurrenceType-Eigenschaft auf olRecursYearly(5) oder olRecursYearNth(6) festgelegt wurde.


 Name-Eigenschaft

Name-Eigenschaft

Gibt den Anzeigenamen für das Element zurück oder legt diesen fest. Die Name-Eigenschaft bildet ebenfalls die Überschrift eines Formulars.

Schreibgeschützter Wert vom Typ String für Application-, AddressList-, Link-, Recipient-, OutlookBarGroup-, OutlookBarPane-, OutlookBarShortcut-, SyncObject- und UserProperty-Objekte.

String-Wert mit Lese/Schreibzugriff für Action-, AddressEntry-, FormDescription- und MAPIFolder-Objekte.

Syntax

object.Name

object Erforderlich. Ein Ausdruck, der ein in der Liste "Betrifft" aufgeführtes Outlook-Objekt zurückgibt.

Anmerkung Die Name-Eigenschaft muss festgelegt worden sein, bevor Sie die PublishForm-Methode verwenden oder die Details-Methode aufrufen können.


NetMeetingAlias-Eigenschaft

Kennzeichnet die NetMeeting-ID oder den NetMeeting-Alias des Benutzers.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.NetMeetingAlias

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


NetMeetingAutoStart-Eigenschaft

Diese Eigenschaft entspricht dem Kontrollkästchen NetMeeting automatisch 15 Minuten vor der geplanten Besprechung starten auf der Seite Online eines Onlinebesprechungselementes. True, wenn diese Onlinebesprechung automatisch startet.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.NetMeetingAutoStart

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


 NetMeetingDocPathName-Eigenschaft

NetMeetingDocPathName-Eigenschaft

Gibt den vollständigen Pfad zum Microsoft Office-Dokument, der für eine Onlinebesprechung in NetMeeting angegeben wurde, zurück oder legt ihn fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.NetMeetingDocPathName

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


NetMeetingOrganizerAlias-Eigenschaft

Diese Eigenschaft entspricht dem Feld E-Mail-Adresse für die Besprechungsorganisation auf der Seite Online eines Onlinebesprechungselementes. Enthält den Alias der Besprechungsplanung, wenn es sich um eine Onlinebesprechung handelt.

String-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.NetMeetingOrganizerAlias

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


NetMeetingServer-Eigenschaft

Diese Eigenschaft entspricht dem Feld Verzeichnisserver auf der Seite Online eines Onlinebesprechungselementes. Enthält den Namen des NetMeeting-Servers, der für die Onlinebesprechung verwendet wird.

String-Wert mit Lese/Schreibzugriff.

Syntax

object.NetMeetingServer

object Erforderlich. Ein Ausdruck, der ein AppointmentItem- oder ContactItem-Objekt zurückgibt.


NetMeetingType-Eigenschaft

Diese Eigenschaft entspricht dem Dropdownlistenfeld für den NetMeeting-Typ auf der Seite Online eines Onlinebesprechungselementes. Die folgenden OlNetMeetingType-Konstanten sind möglich: olChat(2), olNetMeeting(0) oder olNetShow(1).

String-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.NetMeetingType

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


NetShowURL-Eigenschaft

Gibt den URL für eine Onlinebesprechung in Microsoft NetShow zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.NetShowURL

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


NickName-Eigenschaft

Gibt den Spitznamen für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Nickname

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 NoAging-Eigenschaft

NoAging-Eigenschaft

True, damit das Outlook-Element nicht altert.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

object.NoAging

object Erforderlich. Ein Ausdruck, der das Objekt eines Outlook-Elements zurückgibt, das in der Liste "Betrifft" aufgeführt wird.


NoEndDate-Eigenschaft

True, wenn das Serienmuster über kein Enddatum verfügt.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.NoEndDate

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.

Hinweise

Diese Eigenschaft muss mit anderen Eigenschaften abgestimmt werden, wenn ein Serienmuster eingerichtet wird. Wenn die PatternEndDate-Eigenschaft oder die Occurrences-Eigenschaft festgelegt wird, wird das Muster als endlich betrachtet und die NoEndDate-Eigenschaft hat den Wert False. Wenn weder PatternEndDate noch Occurrences festgelegt werden, wird das Muster als unendlich betrachtet und NoEndDate hat den Wert True.


 Number-Eigenschaft

Number-Eigenschaft

Gibt die Formularnummer zurück oder legt diese fest.

Entspricht im Entwurfsmodus dem Feld Formularnummer: auf der Seite Eigenschaften des Formulars.

String-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.Number

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


Occurrences-Eigenschaft

Gibt die Anzahl des Auftretens des Serienmusters zurück oder legt diese fest. Diese Eigenschaft ermöglicht die Definition eines Serienmusters, das nur für die angegebene Anzahl aufeinander folgender Vorkommen gültig ist. Sie können diese Eigenschaft beispielsweise für eine Schulungsmaßnahme, die an den nächsten zehn Dienstagen abends stattfindet, auf 10 festlegen.

Entspricht dem Kontrollkästchen Endet nach: und dem Textfeld Terminen im Dialogfeld Terminserie, das angezeigt wird, wenn Sie in einer Besprechungsanfrage auf Serie… klicken.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.Occurrences

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.

Hinweise

Diese Eigenschaft muss mit anderen Eigenschaften abgestimmt werden, wenn ein Serienmuster eingerichtet wird. Wenn die PatternEndDate-Eigenschaft oder die Occurrences-Eigenschaft festgelegt wird, wird das Muster als endlich betrachtet und die NoEndDate-Eigenschaft hat den Wert False. Wenn weder PatternEndDate noch Occurrences festgelegt werden, wird das Muster als unendlich betrachtet und NoEndDate hat den Wert True.


OfficeLocation-Eigenschaft

Gibt das Büro (z. B. Gebäude 1 Raum 1 oder Konferenzsaal 123) für den Kontakt zurück oder legt dieses fest. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_OFFICE_LOCATION.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OfficeLocation

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


OneOff-Eigenschaft

True, wenn das Formular nach einmaliger Verwendung verworfen wird. False, wenn das Formular als benutzerdefiniertes Formular behalten wird.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.OneOff

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


OptionalAttendees-Eigenschaft

Gibt die Anzeigenamen der optionalen Teilnehmer für den Termin zurück. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_DISPLAY_CC.

Wenn Sie auf der Seite Teilnehmerverfügbarkeit einer Besprechungsanfrage auf die Schaltfläche Weitere einladen… klicken, wird das Dialogfeld Teilnehmer und Ressourcen auswählen angezeigt. Wenn Sie einen Namen eingeben oder aus der Liste auswählen und dann auf die Schaltfläche Optional klicken, handelt es sich bei dem Teilnehmer um einen optionalen Teilnehmer.

Schreibgeschützter String.

Syntax

objAppointmentItem.OptionalAttendees

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


Ordinal-Eigenschaft

Gibt die Position in der Ansicht (Ordnungszahl) für die Aufgabe zurück oder legt diese fest.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.Ordinal

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


OrganizationalIDNumber-Eigenschaft

Gibt die Organisationsnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OrganizationalIDNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Organizer-Eigenschaft

Gibt den Namen des Planers eines Termins zurück.

Schreibgeschützter String.

Syntax

objAppointmentItem.Organizer

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


OriginalDate-Eigenschaft

Gibt das ursprüngliche Datum und die ursprüngliche Uhrzeit eines AppointmentItem zurück, bevor es geändert wurde. Diese Eigenschaft gibt das ursprüngliche Datum auch dann zurück, wenn das AppointmentItem gelöscht wurde; die ursprüngliche Uhrzeit wird jedoch nicht zurückgegeben, wenn ein Löschvorgang erfolgte.

Schreibgeschützter Date/Time-Wert.

Syntax

objException.OriginalDate

objException Erforderlich. Ein Ausdruck, der ein Exception-Objekt zurückgibt.


OriginatorDeliveryReportRequested-Eigenschaft

Legt einen Wert vom Typ Boolean fest, der festlegt, ob der Absender des Besprechungselementes oder der E-Mail-Nachricht einen Übermittlungsbericht erhält. Jeder Transportdienst, der die Nachricht verarbeitet, sendet eine einzelne Übermittlungsbestätigung, die die Namen und Adressen aller Empfänger enthält, an die die Nachricht übermittelt wurde. Beachten Sie, dass die Übermittlung nicht garantiert, dass die Nachricht gelesen wurde. Die OriginatorDeliveryReportRequested-Eigenschaft entspricht der MAPI-Eigenschaft PR_ORIGINATOR_DELIVERY_REPORT_REQUESTED.

True, wenn der Absender eine Übermittlungsbestätigung für die Nachricht erhalten möchte.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

object.OriginatorDeliveryReportRequested

object Erforderlich. Ein Ausdruck, der ein MailItem- oder MeetingItem-Objekt zurückgibt.


OtherAddress-Eigenschaft

Gibt die benutzerdefinierte Adresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OtherAddress

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft enthält die vollständige, nicht analysierte benutzerdefinierte Adresse für den Kontakt.


OtherAddressCity-Eigenschaft

Gibt die Stadt der benutzerdefinierten Adresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OtherAddressCity

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der OtherAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der OtherAddress überschrieben werden.


OtherAddressCountry-Eigenschaft

Gibt den Staat der benutzerdefinierten Adresse für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OtherAddressCountry

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der OtherAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der OtherAddress überschrieben werden.


OtherAddressPostalCode-Eigenschaft

Gibt die Postleitzahl der benutzerdefinierten Adresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OtherAddressPostalCode

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der OtherAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der OtherAddress überschrieben werden.


OtherAddressPostOfficeBox-Eigenschaft

Gibt die Postfachzahl der benutzerdefinierten Adresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OtherAddressPostOfficeBox

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der OtherAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der OtherAddress überschrieben werden.


OtherAddressState-Eigenschaft

Gibt die Region der benutzerdefinierten Adresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OtherAddressState

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der OtherAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der OtherAddress überschrieben werden.


OtherAddressStreet-Eigenschaft

Gibt die Straße der benutzerdefinierten Adresse für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OtherAddressStreet

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Hinweise

Diese Eigenschaft wird von der OtherAddress-Eigenschaft abgeleitet, sie kann jedoch geändert oder unabhängig eingegeben werden, falls die Analyse nicht richtig erfolgte. Beachten Sie, dass alle Änderungen oder Eingaben für diese Eigenschaft von allen nachfolgenden Änderungen oder Eingaben der OtherAddress überschrieben werden.


OtherFaxNumber-Eigenschaft

Gibt die benutzerdefinierte Faxnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OtherFaxNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


OtherTelephoneNumber-Eigenschaft

Gibt die benutzerdefinierte Telefonnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.OtherTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 OutlookInternalVersion-Eigenschaft

OutlookInternalVersion-Eigenschaft

Gibt die Versionsnummer der Outlook-Anwendung für ein Outlook-Element zurück.

Schreibgeschützter Long-Wert.

Syntax

object.OutlookInternalVersion

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


 OutlookVersion-Eigenschaft

OutlookVersion-Eigenschaft

Gibt die übergeordnete und untergeordnete Versionsnummer der Outlook-Anwendung für ein Outlook-Element zurück.

Schreibgeschützter String.

Syntax

object.OutlookVersion

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


Owner-Eigenschaft

Gibt den für die Aufgabe Zuständigen zurück oder legt diesen fest. Es handelt sich um ein unfomatiertes Textfeld. Wenn diese Eigenschaft auf eine andere Person als den aktuellen Benutzer festgelegt wird, führt dies nicht zum Ernennen einer Stellvertretung für die Aufgabe.

String-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.Owner

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


Ownership-Eigenschaft

Gibt den Zuständigkeitsstatus der Aufgabe zurück. Die folgenden OlTaskOwnership-Konstanten sind möglich: olDelegatedTask(1), olNewTask(0) oder olOwnTask(2).

Schreibgeschützter Long-Wert.

Syntax

objTaskItem.Ownership

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


PagerNumber-Eigenschaft

Gibt die Funkrufnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.PagerNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Panes-Eigenschaft

Panes-Eigenschaft

Gibt die Panes -Auflistung zurück, die die vom angegebenen Explorer angezeigten Fensterausschnitte darstellt.

Schreibgeschützter Panes-Wert.

Syntax

objExplorer.Panes

objExplorer Erforderlich. Ein Ausdruck, der ein Explorer-Objekt zurückgibt.


Parent-Eigenschaft

Gibt das übergeordnete Objekt des angegebenen Objekts zurück.

Schreibgeschützt.

Syntax

object.Parent

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt.


Password-Eigenschaft

Gibt das Kennwort zum Ändern des Formulars zurück oder legt dieses fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.Password

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


PathName-Eigenschaft

Gibt den vollständigen Pfad zu der verknüpften Dateianlage zurück. Diese Eigenschaft ist nur für verknüpfte Dateien zulässig.

Schreibgeschützter String.

Syntax

objAttachment.PathName

objAttachment Erforderlich. Ein Ausdruck, der ein Attachment-Objekt zurückgibt.


PatternEndDate-Eigenschaft

Gibt das Enddatum des Serienmusters zurück oder legt dieses fest.

Schreibgeschützter Date-Wert.

Syntax

objRecurrencePattern.PatternEndDate

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.

Beispiel:

Set myRecPatt = myApptItem.GetRecurrencePattern
myRecPatt.PatternEndDate = #9/13/98#

Hinweise

Diese Eigenschaft ist optional, muss jedoch mit den anderen Eigenschaften abgestimmt werden, wenn ein Serienmuster eingerichtet wird. Wenn diese Eigenschaft oder die Occurrences-Eigenschaft festgelegt wird, wird das Muster als endlich betrachtet, und die NoEndDate-Eigenschaft hat den Wert False. Wenn weder PatternEndDate noch Occurrences festgelegt werden, wird das Muster als unendlich betrachtet, und NoEndDate hat den Wert True. Die Interval-Eigenschaft muss vor dem Festlegen von PatternEndDate festgelegt werden.


PatternStartDate-Eigenschaft

Gibt das Anfangsdatum des Serienmusters zurück oder legt dieses fest.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.PatternStartDate

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.

Beispiel:

Set myRecPatt = myApptItem.GetRecurrencePattern
myRecPatt.PatternStartDate = #7/20/98#


PercentComplete-Eigenschaft

Gibt den prozentualen Wert für die Erledigung der Aufgabe zum aktuellen Datum und zur aktuellen Uhrzeit zurück oder legt diesen fest.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.PercentComplete

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


PersonalHomePage-Eigenschaft

Gibt den URL der persönlichen Webseite für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.PersonalHomePage

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Position-Eigenschaft

Position-Eigenschaft

Gibt die Position der Anlage im Text des Elements zurück oder legt diese fest.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objAttachment.Position

objAttachment Erforderlich. Ein Ausdruck, der ein Attachment-Objekt zurückgibt.


Prefix-Eigenschaft

Gibt das Präfix (beispielsweise "Re"), das dem Betreff des Elements vorangestellt werden soll, wenn die Aktion ausgeführt wird, zurück oder legt dieses fest. Beachten Sie, dass Outlook zu dem Wert der Prefix-Eigenschaft automatisch einen Doppelpunkt (:) hinzufügt, wenn der Betreff des Elements festgelegt wird.

String-Wert mit Lese/Schreibzugriff.

Syntax

objAction.Prefix

objAction Erforderlich. Ein Ausdruck, der ein Action-Objekt zurückgibt.


PrimaryTelephoneNumber-Eigenschaft

Gibt die Haupttelefonnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.PrimaryTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


ProductCode-Eigenschaft

Gibt den global eindeutigen Bezeichner (GUID = globally unique identifier) von Microsoft Outlook zurück.

Schreibgeschützter String.

Syntax

object.ProductCode()

object Erforderlich. Ein Ausdruck, der das Application-Objekt zurückgibt.


Profession-Eigenschaft

Gibt den Beruf für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Profession

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


RadioTelephoneNumber-Eigenschaft

Gibt die zweite Mobilfunknummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.RadioTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


ReadReceiptRequested-Eigenschaft

True, wenn vom Absender eine Lesebestätigung angefordert wurde. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_READ_RECEIPT_REQUESTED.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.ReadReceiptRequested

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


ReceivedByEntryID-Eigenschaft

Gibt die EntryID des tatsächlichen Empfängers zurück, wie sie vom Transportdienst festgelegt wurde, der die E-Mail-Nachricht übermittelt hat. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_RECEIVED_BY_ENTRYID.

Schreibgeschützter String.

Syntax

objMailItem.ReceivedByEntryID

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


ReceivedByName-Eigenschaft

Gibt den Anzeigenamen des tatsächlichen Empfängers der E-Mail-Nachricht zurück. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_RECEIVED_BY_NAME.

Schreibgeschützter String.

Syntax

objMailItem.ReceivedByName

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


ReceivedOnBehalfOfEntryID-Eigenschaft

Gibt die EntryID des stellvertretenden Benutzers, der den Empfänger der E-Mail-Nachricht darstellen soll, zurück. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_RCVD_REPRESENTING_ENTRYID.

Schreibgeschützter String.

Syntax

objMailItem.ReceivedOnBehalfOfEntryID

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


ReceivedOnBehalfOfName-Eigenschaft

Gibt den Anzeigenamen des stellvertretenden Benutzers, der den Empfänger der E-Mail-Nachricht darstellen soll, zurück. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_RCVD_REPRESENTING_NAME.

Schreibgeschützter String.

Syntax

objMailItem.ReceivedOnBehalfOfName

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


ReceivedTime-Eigenschaft

Gibt Datum und Uhrzeit zurück, zu dem die E-Mail-Nachricht, das Besprechungselement oder die öffentliche Nachricht empfangen wurde.

Schreibgeschützter Date-Wert.

Syntax

object.ReceivedTime

object Erforderlich. Ein Ausdruck, der ein MailItem-, MeetingItem- oder PostItem-Objekt zurückgibt.


RecipientReassignmentProhibited-Eigenschaft

True, wenn der Empfänger die E-Mail-Nachricht nicht weiterleiten kann.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.RecipientReassignmentProhibited

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


 Recipients-Eigenschaft

Recipients-Eigenschaft

Gibt eine Recipients-Auflistung zurück, die alle Empfänger des Outlook-Elements darstellt.

Schreibgeschützt.

Syntax

object.Recipients

object Erforderlich. Ein Ausdruck, der ein AppointmentItem-, JournalItem, MailItem, MeetingItem oder TaskItem-Objekt zurückgibt.


RecurrenceState-Eigenschaft

Gibt die Recurrence-Eigenschaft des Objekts zurück. Die folgenden OlRecurrenceState-Konstanten sind möglich: olApptException(3), olApptMaster(1), olApptNotRecurring(0), olApptOccurrence(2).

Schreibgeschützt.

Syntax

objAppointmentItem.RecurrenceState

obAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


RecurrenceType-Eigenschaft

Gibt die Auftrittshäufigkeit eines Serienmusters zurück oder legt diese fest. Die folgenden OlRecurrenceType-Konstanten sind möglich: olRecursDaily(0), olRecursWeekly(1), olRecursMonthly(2), olRecursMonthNth(3), olRecursYearly(5) oder olRecursYearNth(6). Verwenden Sie die Interval-Eigenschaft, um die Anzahl der Einheiten eines bestimmten Serientyps zwischen den einzelnen Vorkommen im Muster anzugeben.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.RecurrenceType

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.


ReferredBy-Eigenschaft

Gibt den Namenseintrag, der den Kontakt empfohlen hat, zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.ReferredBy

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Regenerate-Eigenschaft

True, wenn die Aufgabe nach dem Durchlaufen des Serienmusters neu erstellt werden soll. Diese Eigenschaft wird verwendet, um die Neuerstellung der Aufgabe zu steuern, nachdem jedes Vorkommen einer Serienaufgabe abgeschlossen wurde.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

obRecurrencePattern.Regenerate

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.


ReminderMinutesBeforeStart-Eigenschaft

Gibt den Zeitraum in Minuten, zu dem vor dem Beginn eines Termins eine Erinnerung erfolgen soll, zurück oder legt diesen fest.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.ReminderMinutesBeforeStart

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


ReminderOverrideDefault-Eigenschaft

True, wenn die Erinnerung für den Termin, das E-Mail-Element oder die Aufgabe die Einstellungen der Standarderinnerung überschreibt.

Anmerkung Sie müssen die ReminderOverrideDefault-Eigenschaft festlegen, um die ReminderPlaySound- und die ReminderSoundFile-Eigenschaften zu bestätigen.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

object.ReminderOverrideDefault

object Erforderlich. Ein Ausdruck, der ein AppointmentItem-, MailItem- oder TaskItem-Objekt zurückgibt.


ReminderPlaySound-Eigenschaft

True, wenn die Erinnerung eine Audiodatei abspielt, sobald der Termin oder die Aufgabe auftritt.

Anmerkung Diese Eigenschaft ist nur gültig, wenn die ReminderOverrideDefault-Eigenschaft auf True festgelegt wurde.

Die ReminderPlaySound-Eigenschaft muss festgelegt werden, um die ReminderSoundFile-Eigenschaft zu bestätigen.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

object.ReminderPlaySound

object Erforderlich. Ein Ausdruck, der ein AppointmentItem-, MailItem- oder TaskItem-Objekt zurückgibt.


ReminderSet-Eigenschaft

True, wenn für diesen Termin, dieses E-Mail-Element oder diese Aufgabe eine Erinnerung festgelegt wurde.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

object.ReminderSet

object Erforderlich. Ein Ausdruck, der ein AppointmentItem-, MailItem- oder TaskItem-Objekt zurückgibt.


ReminderSoundFile-Eigenschaft

Gibt den Pfad und den Dateinamen der Audiodatei, die abgespielt werden soll, wenn die Erinnerung für den Termin, die E-Mail-Nachricht oder die Aufgabe erfolgt, zurück oder legt diese fest. Diese Eigenschaft ist nur gültig, wenn die ReminderOverrideDefault- und ReminderPlaySound-Eigenschaften auf True festgelegt wurden.

String-Wert mit Lese/Schreibzugriff.

Syntax

object.ReminderSoundFile

object Erforderlich. Ein Ausdruck, der ein AppointmentItem-, MailItem- oder TaskItem-Objekt zurückgibt.


 ReminderTime-Eigenschaft

ReminderTime-Eigenschaft

Gibt Datum und Uhrzeit, zu der die Erinnerung für dieses Element erfolgen soll, zurück oder legt diese fest.

Date-Wert mit Lese/Schreibzugriff.

Syntax

object.ReminderTime

object Erforderlich. Ein Ausdruck, der ein MailItem-, MeetingItem- oder TaskItem-Objekt zurückgibt.


RemoteMessageClass-Eigenschaft

Gibt die Nachrichtenklasse für das Remote-Element zurück.

Schreibgeschützter String.

Syntax

objRemoteItem.RemoteMessageClass

objRemoteItem Erforderlich. Ein Ausdruck, der ein RemoteItem-Objekt zurückgibt.


RemoteStatus-Eigenschaft

Gibt den Remote-Status der E-Mail-Nachricht zurück oder legt diesen fest. Die folgenden OlRemoteStatus -Konstanten sind möglich: olMarkedForCopy(3), olMarkedForDelete(4), olMarkedForDownload(2), olRemoteStatusNone(0) oder olUnMarked(1).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.RemoteStatus

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


ReplyRecipientNames-Eigenschaft

Gibt die durch Semikolons getrennte Liste der Antwortempfänger für die E-Mail-Nachricht zurück. Diese Eigenschaft enthält nur die Anzeigenamen der Antwortempfänger. Die Liste der Antwortempfänger sollte mit der ReplyRecipients-Auflistung festgelegt werden.

Schreibgeschützter String.

Syntax

objMailItem.ReplyRecipientNames

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


ReplyRecipients-Eigenschaft

Gibt eine Recipients-Auflistung zurück, die alle Antwortempfänger-Objekte der E-Mail-Nachricht darstellt.

Schreibgeschützter Recipients-Wert.

Syntax

objMailItem.ReplyRecipients

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


ReplyStyle-Eigenschaft

Gibt den Textformatierungsstil der Antwort für die Aktion zurück oder legt diesen fest. Die folgenden OlActionReplyStyle-Konstanten sind möglich: olEmbedOriginalItem(1), olIncludeOriginalText(2), olIndentOriginalText(3), olLinkOriginalItem(4), olOmitOriginalText(0), olReplyTickOriginalText(1000) oder olUserPreference(5).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objAction.ReplyStyle

objAction Erforderlich. Ein Ausdruck, der ein Action-Objekt zurückgibt.


ReplyTime-Eigenschaft

Gibt die Uhrzeit der Antwort für den Termin zurück oder legt diese fest.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.ReplyTime

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


 RequiredAttendees-Eigenschaft

RequiredAttendees-Eigenschaft

Gibt die duch Semikolons getrennte Zeichenfolge der Namen der erforderlichen Teilnehmer für den Besprechungstermin zurück. Diese Eigenschaft enthält nur die Anzeigenamen der erforderlichen Teilnehmer. Die Liste der Teilnehmer sollte mit der Recipients-Auflistung festgelegt werden.

String-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.RequiredAttendees

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


Resolved-Eigenschaft

True, wenn der Empfänger im Adressbuch bestätigt wurde.

Schreibgeschützter Boolean-Wert.

Syntax

objRecipient.Resolved

objRecipient Erforderlich. Ein Ausdruck, der ein Recipient-Objekt zurückgibt.


 Resources-Eigenschaft

Resources-Eigenschaft

Gibt die durch Semikola getrennte Zeichenfolge der Ressourcennamen für die Besprechung zurück. Diese Eigenschaft enthält nur die Anzeigenamen. Die Recipients-Auflistung sollte verwendet werden, um die Ressourcenempfänger zu ändern. Ressourcen werden als BCC-Empfänger zu der Auflistung hinzugefügt.

String-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.Resources

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


ResponseRequested-Eigenschaft

True, wenn der Absender eine Antwort auf die Besprechungsanfrage für den Termin erhalten möchte.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.ResponseRequested

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


ResponseState-Eigenschaft

Gibt den Gesamtantwortstatus auf die Aufgabenanfrage zurück oder legt diese fest. Die folgenden OlTaskResponse-Konstanten sind möglich: olTaskAccept(2), olTaskAssign(1), olTaskDecline(3) oder olTaskSimple(0).

Schreibgeschützter Long-Wert.

Syntax

objTaskItem.ResponseState

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


ResponseStatus-Eigenschaft

Gibt für den aktuellen Benutzer den Gesamtstatus der Besprechung für den Termin zurück oder legt diesen fest. Die folgenden OlResponseStatus-Konstanten sind möglich: olResponseAccepted(3), olResponseDeclined(4), olResponseNone(0), olResponseNotResponded(5), olResponseOrganized(1) oder olResponseTentative(2).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objAppointmentItem.ResponseStatus

objAppointmentItem Erforderlich. Ein Ausdruck, der ein AppointmentItem-Objekt zurückgibt.


ResponseStyle-Eigenschaft

Gibt den Antwortstil, der beim Ausführen der Aktion verwendet werden soll, zurück oder legt diesen fest. Die folgenden OlActionResponseStyle-Konstanten sind möglich: olOpen(0), olPrompt(2) oder olSend(1).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objAction.ResponseStyle

objAction Erforderlich. Ein Ausdruck, der ein Action-Objekt zurückgibt.


Role-Eigenschaft

Gibt die unformatierte Zeichenfolge, die dem Zuständigen einer Aufgabe als Berechtigungsstufe für die Aufgabe zugewiesen wurde, zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.Role

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


 Saved-Eigenschaft

Saved-Eigenschaft

True, wenn das Outlook-Element nach dem letzten Speichern nicht geändert wurde.

Schreibgeschützter Boolean-Wert.

Syntax

object.Saved

object Erforderlich. Ein Ausdruck, der ein in der Liste "Betrifft" enthaltenes Outlook-Elementobjekt zurückgibt.


SaveSentMessageFolder-Eigenschaft

Gibt das MAPIFolder-Objekt, das den Ordner darstellt, in dem eine Kopie der E-Mail-Nachricht nach dem Senden gespeichert wird, zurück oder legt diese fest.

Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.SaveSentMessageFolder

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


SchedulePlusPriority-Eigenschaft

Gibt die Microsoft Schedule+-Priorität für die Aufgabe zurück oder legt diese fest. Mögliche Werte sind: 1 bis 9, A bis Z oder A1 bis Z9. Der Wert 1 hat die höchste Priorität.

String-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.SchedulePlusPriority

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


ScriptText-Eigenschaft

Gibt eine Zeichenkette zurück, die den vollständigen VBScript-Code im Skripteditor des Formulars enthält.

Schreibgeschützter String.

Syntax

objFormDescription.ScriptText

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


SelectedMailingAddress-Eigenschaft

Gibt den Typ der Postanschrift für den Kontakt zurück oder legt diesen fest. Die folgenden OlMailingAddress-Konstanten sind möglich: olBusiness(2), olHome(1), olNone(0) oder olOther(3).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.SelectedMailingAddress

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Selection-Eigenschaft

Selection-Eigenschaft

Gibt eine Auflistung bestehend aus den Elementen zurück, die in der aktuellen Ansicht markiert sind.

Schreibgeschützter Items-Wert.

Syntax

objExplorer.Selection

objExplorer Erforderlich. Ein Ausdruck, der ein Explorer-Objekt zurückgibt.

Hinweise

Wenn der aktuelle Ordner ein Ordner des Dateisystems ist oder momentan Outlook Heute angezeigt wird, gibt diese Eigenschaft eine leere Auflistung zurück.


SenderName-Eigenschaft

Gibt den Anzeigenamen des Absenders der E-Mail-Nachricht, des Besprechungselements oder der öffentlichen Nachricht zurück. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_SENDER_NAME.

Schreibgeschützter String.

Syntax

object.SenderName

object Erforderlich. Ein Ausdruck, der ein MailItem-, MeetingItem- oder PostItem-Objekt zurückgibt.


 Sensitivity-Eigenschaft

Sensitivity-Eigenschaft

Gibt die Vertraulichkeit für das Outlook-Element zurück oder legt diese fest. Die folgenden OlSensitivity-Konstanten sind möglich: olConfidential(3), olNormal(0), olPersonal(1) oder olPrivate(2). Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_SENSITIVITY.

Schreibgeschützter Long-Wert für RemoteItem- und ReportItem-Objekte. Für alle anderen Objekte Long-Wert mit Lese/Schreibzugriff.

Syntax

object.Sensitivity

object Erforderlich. Ein Ausdruck, der ein in der Liste "Betrifft" enthaltenes Outlook-Elementobjekt zurückgibt.


 Sent-Eigenschaft

Sent-Eigenschaft

Gibt einen Wert vom Typ Boolean zurück, der kennzeichnet, ob eine Nachricht gesendet wurde. True, wenn gesendet, False, wenn nicht gesendet.

In der Regel gibt es drei verschiedene Arten von Nachrichten: gesendet, veröffentlicht und gespeichert. Gesendete Nachrichten sind normale E-Mail-Nachrichten oder Besprechungselemente, die an einen Empfänger oder einen Öffentlichen Ordner gesendet wurden. Veröffentlichte Nachrichten werden in einem Öffentlichen Ordner erstellt. Gespeicherte Nachrichten werden erstellt und gespeichert, ohne sie zu senden oder zu veröffentlichen.

Schreibgeschützter Boolean-Wert.

Syntax

object.Sent

object Erforderlich. Ein Ausdruck, der ein MeetingItem- oder MailItem-Objekt zurückgibt.


SentOn-Eigenschaft

Gibt Datum und Uhrzeit zurück, zu der die E-Mail-Nachricht, das Besprechungselement oder die öffentliche Nachricht gesendet wurde. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_CLIENT_SUBMIT_TIME. Wenn Sie ein Element für eine Besprechungsanfrage mit der Send-Methode des Objekts senden, legt der Transportdienst die ReceivedTime- und SentOn-Eigenschaften fest.

Schreibgeschützter Date/Time-Wert.

Syntax

object.SentOn

object Erforderlich. Ein Ausdruck, der ein MailItem-, MeetingItem- oder PostItem-Objekt zurückgibt.


SentOnBehalfOfName-Eigenschaft

Gibt den Anzeigenamen für den beabsichtigten Absender der E-Mail-Nachricht zurück. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_SENT_REPRESENTING_NAME.

String-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.SentOnBehalfOfName

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


 Session-Eigenschaft

Session-Eigenschaft

Gibt das NameSpace-Objekt für die aktuelle Sitzung zurück.

Schreibgeschützt.

Syntax

object.Session

object Erforderlich. Ein Ausdruck, der das Objekt zurückgibt, für das die Session-Eigenschaft gilt.


 Shortcuts-Eigenschaften

Shortcuts-Eigenschaften

Gibt die Auflistung der Verknüpfungen zurück, die in der angegebenen Gruppe der Outlook-Leiste enthalten sind.

Schreibgeschützter OutlookBarShortcuts-Wert.

Syntax

objOutlookBarGroup.Shortcuts

objOutlookBarGroup Erforderlich. Ein Ausdruck, der ein OutlookBarGroup-Objekt zurückgibt.


ShowOn-Eigenschaft

Gibt die Stelle, an der die Aktion angezeigt wird, zurück oder legt diese fest. Die folgenden OlActionShowOn-Konstanten sind möglich: olDontShow, olMenu oder olMenuAndToolbar.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objAction.ShowOn

objAction Erforderlich. Ein Ausdruck, der ein Action-Objekt zurückgibt.


 Size-Eigenschaft

Size-Eigenschaft

Gibt die Größe (in Bytes) des Outlook-Elements zurück.

Schreibgeschützter Long-Wert.

Syntax

object.Size

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


Spouse-Eigenschaft

Gibt den Eintrag des Partnernamens für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Spouse

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Start-Eigenschaft

Gibt Anfangsdatum und -uhrzeit für den Termin oder den Journaleintrag zurück oder legt diese fest.

Date-Wert mit Lese/Schreibzugriff.

Syntax

object.Start

object Erforderlich. Ein Ausdruck, der ein AppointmentItem- oder JournalItem-Objekt zurückgibt.


StartDate-Eigenschaft

Gibt Anfangsdatum und -uhrzeit für die Aufgabe zurück oder legt diese fest.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.StartDate

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


StartTime-Eigenschaft

Gibt die Anfangszeit für ein bestimmtes Vorkommen des Serienmusters zurück oder legt diese fest. Diese Eigenschaft ist nur für Termine zulässig.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objRecurrencePattern.StartTime

objRecurrencePattern Erforderlich. Ein Ausdruck, der ein RecurrencePattern-Objekt zurückgibt.


Status-Eigenschaft

Gibt den Status für die Aufgabe zurück oder legt diesen fest. Die folgenden OlTaskStatus-Konstanten sind möglich: olTaskComplete(2), olTaskDeferred(4), olTaskInProgress(1), olTaskNotStarted(0) oder olTaskWaiting(3).

Entspricht dem Feld Status: für ein TaskItem.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.Status

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


StatusOnCompletionRecipients-Eigenschaft

Gibt die durch Semikola getrennte Zeichenfolge der Anzeigenamen der Empfänger, denen der Status nach Abschluss der Aufgabe gemeldet wird, zurück. Diese Eigenschaft wird aus der Recipients-Eigenschaft abgeleitet. Die von der StatusOnCompletionRecipients-Eigenschaft zurückgegebenen Empfänger entsprechen den BCC-Empfängern in der Recipients-Auflistung.

Schreibgeschützter String.

Syntax

objTaskItem.StatusOnCompletionRecipients

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


StatusUpdateRecipients-Eigenschaft

Gibt die durch Semikola getrennte Zeichenfolge der Anzeigenamen für die Empfänger zurück, die Statusaktualisierungen für die Aufgabe erhalten. Diese Eigenschaft wird aus der Recipients-Eigenschaft abgeleitet. Die von der StatusUpdateRecipients-Eigenschaft zurückgegebenen Empfänger entsprechen den CC-Empfängern in der Recipients-Auflistung.

Schreibgeschützter String.

Syntax

objTaskItem.StatusUpdateRecipients

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


StoreID-Eigenschaft

Gibt die Speicher-ID für den Ordner zurück oder legt diese fest.

Schreibgeschützter String.

Syntax

objMAPIFolder.StoreID

objMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.


 Subject-Eigenschaft

Subject-Eigenschaft

Gibt den Betreff für das Outlook-Element zurück oder legt diesen fest. Diese Eigenschaft entspricht der MAPI-Eigenschaft PR_SUBJECT. Die Subject-Eigenschaft ist die Standardeigenschaft für Outlook-Elemente.

String-Wert mit Lese/Schreibzugriff.

Anmerkung Bei einem NoteItem-Objekt handelt es sich bei der Subject-Eigenschaft um eine schreibgeschützte Zeichenfolge, die aus dem Text der Notiz abgeleitet wird.

Syntax

object.Subject

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Anwendungsbereich" aufgeführt ist.


 Submitted-Eigenschaft

Submitted-Eigenschaft

Gibt einen Wert vom Typ Boolean zurück, der kennzeichnet, ob das Element eingereicht wurde. True, wenn das Element eingereicht wurde. Eine Nachricht wird immer erstellt und in einen Ordner, normalerweise dem POSTAUSGANG, eingereicht.

Schreibgeschützter Boolean-Wert.

Syntax

object.Submitted

object Erforderlich. Ein Ausdruck, der ein MeetingItem- oder MailItem-Objekt zurückgibt.


Suffix-Eigenschaft

Gibt das Suffix (wie z. B. Prof., III oder Dr.) für den Kontakt zurück oder legt dieses fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Suffix

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.

Anmerkung: Die LastName-, FirstName-, MiddleName- und Suffix-Eigenschaften werden von der FullName-Eigenschaft abgeleitet.


 SyncObjects-Eigenschaft

SyncObjects-Eigenschaft

Gibt die Auflistung zurück, die alle Synchronisationsprofile enthält.

Schreibgeschützter SyncObjects-Wert.

Syntax

objNameSpace.SyncObjects

olNameSpace Erforderlich. Ein Ausdruck, der ein NameSpace-Objekt zurückgibt.


 Target-Eigenschaft

Target-Eigenschaft

Gibt das Ziel einer angegebenen Verknüpfung in einer Gruppe der Outlook-Leiste zurück.

Schreibgeschützter Variant-Wert.

Syntax

objOutlookBarShortcut.Target

objOutlookBarShortcut Erforderlich. Ein Ausdruck, der ein OutlookBarShortcut-Objekt zurückgibt.

Hinweise

Der Rückgabetyp hängt vom Verknüpfungstyp ab. Wenn die Verknüpfung einen Microsoft Outlook-Ordner darstellt, ist der Rückgabetyp MAPIFolder. Wenn die Verknüpfung einen Systemdateiordner darstellt, ist der Rückgabetyp Object. Wenn die Verknüpfung einen Systemdateipfad oder einen URL darstellt, ist der Rückgabetyp String.


TeamTask-Eigenschaft

True, wenn es sich bei der Aufgabe um eine Teamaufgabe handelt.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.TeamTask

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


TelexNumber-Eigenschaft

Gibt die Telexnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.TelexNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Template-Eigenschaft

Gibt den Namen der Vorlage für das Formular zurück oder legt diesen fest.

Anmerkung Diese Eigenschaft verweist auf eine Microsoft Word .DOT-Vorlagendatei und kann daher für Formulare mit UseWordMail = True angewendet werden.

String-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.Template

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


Title-Eigenschaft

Gibt den Titel für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.Title

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


To-Eigenschaft

Gibt die durch Semikola getrennte Liste der Anzeigenamen der An-Empfänger für das Outlook-Element zurück oder legt diese fest. Diese Eigenschaft enthält nur die Anzeigenamen. Die To-Eigenschaft entspricht der MAPI-Eigenschaft PR_DISPLAY_TO. Die Recipients-Auflistung sollte verwendet werden, um diese Eigenschaft zu ändern.

String-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.To

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


Top-Eigenschaft

Gibt den Abstand (in Pixel) des oberen horizontalen Randes eines Explorer-, Inspektor- oder Notizen-Fensters vom Bildschirmrand zurück oder legt diesen fest.

Long-Wert mit Lese/Schreibzugriff.

Syntax

object.Top

object Erforderlich. Ein Ausdruck, der ein Explorer-, Inspector- oder NoteItem-Objekt zurückgibt.


TotalWork-Eigenschaft

Gibt den Gesamtaufwand für die Aufgabe zurück oder legt diesen fest.

Entspricht dem Feld Gesamtaufwand: auf der Seite Details eines TaskItem-Objekts.

Long-Wert mit Lese/Schreibzugriff.

Syntax

objTaskItem.TotalWork

objTaskItem Erforderlich. Ein Ausdruck, der ein TaskItem-Objekt zurückgibt.


TrackingStatus-Eigenschaft

Gibt den Übermittlungsstatus für den Empfänger zurück oder legt diesen fest. Die folgenden OlTrackingStatus-Konstanten sind möglich: olTrackingDelivered(1), olTrackingNone(0), olTrackingNotDelivered(2), olTrackingNotRead(3), olTrackingRead(6), olTrackingRecallFailure(4), olTrackingRecallSuccess(5) oder olTrackingReplied(7).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objRecipient.TrackingStatus

objRecipient Erforderlich. Ein Ausdruck, der ein Recipient-Objekt zurückgibt.


TrackingStatusTime-Eigenschaft

Gibt Datum und Uhrzeit des Übermittlungsstatus für den Empfänger zurück oder legt diese fest.

Date-Wert mit Lese/Schreibzugriff.

Syntax

objRecipient.TrackingStatusTime

objRecipient Erforderlich. Ein Ausdruck, der ein Recipient-Objekt zurückgibt.


TransferSize-Eigenschaft

Gibt die Übertragungsgröße (in Bytes) für das Remote-Element zurück.

Schreibgeschützter Long-Wert.

Syntax

objRemoteItem.TransferSize

objRemoteItem Erforderlich. Ein Ausdruck, der ein RemoteItem-Objekt zurückgibt.


TransferTime-Eigenschaft

Gibt die Übertragungsdauer (in Sekunden) für das Remote-Element zurück.

Schreibgeschützter Long-Wert.

Syntax

objRemoteItem.TransferTime

objRemoteItem Erforderlich. Ein Ausdruck, der ein RemoteItem-Objekt zurückgibt.


TTYTDDTelephoneNumber-Eigenschaft

Gibt die Texttelefonnummer für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.TTYTDDTelephoneNumber

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


Type-Eigenschaft

Gibt den Typ des Objekts, wie in der folgenden Tabelle gezeigt, zurück oder legt diesen fest.

Objekt | Typ
AddressEntry | Der Eintragstyp für diese Adresse, wie z. B. Internetadresse, MacMail-Adresse oder Microsoft Mail-Adresse. String-Wert mit Lese/Schreibzugriff.
Attachment | Die folgenden OlAttachmentType-Konstanten sind möglich: olByReference(4), olByValue(1), olEmbeddedItem(5) oder olOLE(6). Schreibgeschützter Long-Wert.
JournalItem | Ein unformatiertes Textfeld, das normalerweise den Anzeigenamen der Anwendung, mit der das Journalelement erstellt wurde, enthält (z. B. "MSWord"). String-Wert mit Lese/Schreibzugriff.
Link | Element des Typs, den das Link-Objekt darstellt. Schreibgeschützter Long-Wert.
NameSpace | Als einziger Typ wird "MAPI" unterstützt. Schreibgeschützter String-Wert.
Recipient (eines JournalItem) | Die OlJournalRecipientType-Konstante: olAssociatedContact(1). Long-Wert mit Lese/Schreibzugriff.
Recipient (eines MailItem) | Die folgenden OlMailRecipientType-Konstanten sind möglich: olBCC(3), olCC(2), olOriginator(0) oder olTo(1). Long-Wert mit Lese/Schreibzugriff.
Recipient (eines MeetingItem) | Die folgenden OlMeetingRecipientType-Konstanten sind möglich: olOptional(2), olOrganizer(0), olRequired(1) oder olResource(3). Long-Wert mit Lese/Schreibzugriff.
Recipient (eines TaskItem) | Die folgenden OlTaskRecipientType-Konstanten sind möglich: olFinalStatus(3) oder olUpdate(2). Long-Wert mit Lese/Schreibzugriff.
UserProperty | Die folgenden OlUserPropertyType-Konstanten sind möglich: olCombination(19), olCurrency(14), olDateTime(5), olDuration(7), olFormula(18), olKeywords(11), olNumber(3), olPercent(12), olText(1) oder olYesNo(6). Schreibgeschützter Long-Wert.


 UnRead-Eigenschaft

UnRead-Eigenschaft

True, wenn das Outlook-Element nicht geöffnet (gelesen) wurde.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

object.UnRead

object Erforderlich. Ein Ausdruck, der ein in der Liste "Betrifft" aufgeführtes Outlook-Objekt zurückgibt.


 UnReadItemCount-Eigenschaft

UnReadItemCount-Eigenschaft

Gibt die Anzahl ungelesener Elemente in dem Ordner zurück.

Schreibgeschützter Long-Wert.

Syntax

objMAPIFolder.UnReadItemCount

objMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.


User1-Eigenschaft

Gibt den ersten Microsoft Schedule+-Benutzer für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.User1

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


User2-Eigenschaft

Gibt den zweiten Microsoft Schedule+-Benutzer für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.User2

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


User3-Eigenschaft

Gibt den dritten Microsoft Schedule+-Benutzer für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.User3

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


User4-Eigenschaft

Gibt den vierten Microsoft Schedule+-Benutzer für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.User4

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


UserCertificate-Eigenschaft

Gibt die Zeichenfolge, die das Authentifizierungzertifikat des Benutzers für den Kontakt enthält, zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.UserCertificate

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 UserProperties-Eigenschaft

UserProperties-Eigenschaft

Gibt die UserProperties-Auflistung zurück, die alle Benutzereigenschaften für das Outlook-Element darstellt.

Schreibgeschützt.

Syntax

object.UserProperties

object Erforderlich. Ein Ausdruck, der ein Outlook-Objekt zurückgibt, das in der Liste "Betrifft" aufgeführt ist.


UseWordMail-Eigenschaft

True, damit Microsoft Word als Standardeditor für das Formular verwendet wird.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.UseWordMail

objFormDescription Erforderlich. Ein Ausdruck, der ein FormDescription-Objekt zurückgibt.


ValidationFormula-Eigenschaft

Gibt die Formel zur Gültigkeitsprüfung der Benutzereigenschaft zurück oder legt diese fest. Bei dieser Eigenschaft handelt es sich nur um eine beschreibende Zeichenfolge, die keine Gültigkeitsprüfung durchführt.

String-Wert mit Lese/Schreibzugriff.

Syntax

objUserProperty.ValidationFormula

objUserProperty Erforderlich. Ein Ausdruck, der ein UserProperty-Objekt zurückgibt.


ValidationText-Eigenschaft

Gibt den Text für die Gültigkeitsprüfung der Benutzereigenschaft zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objUserProperty.ValidationText

objUserProperty Erforderlich. Ein Ausdruck, der ein UserProperty-Objekt zurückgibt.


Value-Eigenschaft

Gibt den Wert der Benutzereigenschaft zurück oder legt diesen fest.

Variant-Wert mit Lese/Schreibzugriff.

Syntax

objUserProperty.Value

objUserProperty Erforderlich. Ein Ausdruck, der ein UserProperty-Objekt zurückgibt.


Version-Eigenschaft

Gibt die Versionsnummer zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objFormDescription.Version

objFormDescription Erforderlich. Ein Ausdruck, der ein Application-Objekt oder ein FormDescription-Objekt zurückgibt.


 ViewType-Eigenschaft

ViewType-Eigenschaft

Gibt die Symbolansicht zurück, die von der vordefinierten Gruppe der Outlook-Leiste angezeigt wird, oder legt diese fest. Einer der folgenden OlOutlookBarViewtypes-Werte ist möglich: olLargeIcon(1) oder olSmallIcont(2).

Long-Wert mit Lese/Schreibzugriff.

Syntax

objOutlookBarGroup.ViewType

objOutlookBarGroup Erforderlich. Ein Ausdruck, der ein OutlookBarGroup-Objekt zurückgibt.


 Visible-Eigenschaft

Visible-Eigenschaft

Gibt den Status der Anzeige des Fensterausschnitts der Outlook-Leiste zurück oder legt diesen fest. True zum Anzeigen, False zum Ausblenden des Ausschnitts.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

objPane.Visible

objPane Erforderlich. Ein Ausdruck, der ein OutlookBarPane-Objekt zurückgibt.

Hinweise

Sie können auch die ShowPane-Methode oder die IsPaneVisible-Methode des übergeordneten Explorer-Objekts verwenden, um diesen Wert festzulegen oder abzurufen.


VotingOptions-Eigenschaft

Gibt die Zeichenfolge mit Trennzeichen, die die Abstimmungsoptionen für die E-Mail-Nachricht enthält, zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.VotingOptions

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


VotingResponse-Eigenschaft

Gibt die Abstimmungsantwort für die E-Mail-Nachricht zurück oder legt diese fest. Diese Eigenschaft wird normalerweise auf einen der Werte festgelegt, die von der VotingOptions-Eigenschaft für eine Antwort auf die ursprüngliche Nachricht zurückgegeben werden.

String-Wert mit Lese/Schreibzugriff.

Syntax

objMailItem.VotingResponse

objMailItem Erforderlich. Ein Ausdruck, der ein MailItem-Objekt zurückgibt.


WebPage-Eigenschaft

Gibt den URL der Webseite für den Kontakt zurück oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.WebPage

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


WebViewAllowNavigation-Eigenschaft

Gibt den Navigationsmodus der Webansicht für einen Ordner zurück oder legt diesen fest. Bei True wird das Navigieren mit Hilfe der Schaltflächen Vorwärts und Zurück zugelassen.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

olMAPIFolder.WebViewAllowNavigation

olMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.

Hinweise

Wird diese Eigenschaft auf True gesetzt, zeigt Microsoft Outlook die Webseite mit Microsoft Websteuerung an. Dabei kann die Webseite langsamer ausgeführt werden, als wenn die Eigenschaft auf False gesetzt ist.


WebViewOn-Eigenschaft

Gibt den Status der Webansicht für einen Ordner zurück oder legt diesen fest. Bei True wird die durch die WebViewURL-Eigenschaft angegebene Webseite angezeigt.

Boolean-Wert mit Lese/Schreibzugriff.

Syntax

olMAPIFolder.WebViewOn

olMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.

Hinweise

Wenn WebViewURL leer ist, ist der Wert für diese Eigenschaft immer False.


WebViewURL-Eigenschaft

Gibt den URL der Webseite zurück, die einem Ordner zugewiesen ist, oder legt diesen fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

olMAPIFolder.WebViewURL

olMAPIFolder Erforderlich. Ein Ausdruck, der ein MAPIFolder-Objekt zurückgibt.


Width-Eigenschaft

Gibt die Breite (in Pixel) für ein Explorer-, Inspector- oder Notizen-Fenster zurück oder legt diese fest.

Long-Wert mit Lese/Schreibzugriff.

Syntax

object.Width

object Erforderlich. Ein Ausdruck, der ein Explorer-, Inspector- oder NoteItem-Objekt zurückgibt.


WindowState-Eigenschaft

Gibt den Fenster-Status eines Explorer- oder Inspector-Fensters zurück oder legt diesen fest. Einer der folgenden OlWindowState-Werte ist möglich: olMaximized(1), olMinimized(2) oder olNormal(3).

Long-Wert mit Lese/Schreibzugriff.

Syntax

object.WindowState

object Erforderlich. Ein Ausdruck, der ein Explorer- oder Inspector-Objekt zurückgibt.


WordEditor-Eigenschaft

Gibt das Word-Dokumentobjektmodell der angezeigten Nachricht zurück. Dieses Objekt kann nur temporär gelten und sollte nicht für eine spätere Nutzung gespeichert werden. Die WordEditor-Eigenschaft ist nur dann gültig, wenn IsWordMail True zurückgibt und EditorType olEditorWord(4) ist.

Schreibgeschützt.

Syntax

objInspector.WordEditor

objInspector Erforderlich. Ein Ausdruck, der ein Inspector-Objekt zurückgibt.


YomiCompanyName-Eigenschaft

Gibt die phonetische Darstellung des Firmennamens in Japanisch (Yomigana) für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.YomiCompanyName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


YomiFirstName-Eigenschaft

Gibt die phonetische Darstellung des Vornamens in Japanisch (Yomigana) für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.YomiFirstName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


YomiLastName-Eigenschaft

Gibt die phonetische Darstellung des Nachnamens in Japanisch (Yomigana) für den Kontakt zurück oder legt diese fest.

String-Wert mit Lese/Schreibzugriff.

Syntax

objContactItem.YomiLastName

objContactItem Erforderlich. Ein Ausdruck, der ein ContactItem-Objekt zurückgibt.


 Schritt 2: Erstellen eines Outlook-Elements in einem Öffentlichen Ordner

Schritt 2: Erstellen eines Outlook-Elements in einem Öffentlichen Ordner

  1. Wenn der Öffentliche Ordner, den Sie verwenden möchten, nicht existiert, können Sie ihn erstellen.

    Vorgehensweise

  2. Wählen Sie in der Ordnerliste oder auf der Outlook-Leiste den Öffentlichen Ordner aus, dem Sie das neue Element hinzufügen möchten.

  3. Zeigen Sie im Menü Datei auf Neu, und klicken Sie anschließend auf das Element, das Sie erstellen möchten.

Tipp Damit andere Personen den Öffentlichen Ordner schnell ihrem Ordner Öffentliche Ordner hinzufügen können, können Sie eine Verknüpfung per E-Mail-Nachricht senden.

Klicken Sie auf [image] , um mit Schritt 3 fortzufahren.


 Schritt 1: Erstellen eines Öffentlichen Ordners

Schritt 1: Erstellen eines Öffentlichen Ordners

Zum Erstellen eines Öffentlichen Ordners müssen Sie über die notwendigen Rechte zum Erstellen von Ordnern in einem bereits vorhandenen Öffentlichen Ordner verfügen. Wenden Sie sich an Ihren Systemadministrator, um Informationen darüber zu erhalten, wie Sie die entsprechenden Rechte erhalten.

  1. Wählen Sie Neu aus dem Menü Datei, und klicken Sie anschließend auf Ordner. (STRG+UMSCHALT+E)

  2. Geben Sie im Feld Name einen Namen für den Ordner ein.

  3. Klicken Sie im Feld Ordner enthält auf den Elementtyp, den der Ordner enthalten soll. Ein Ordner kann nur einen Elementtyp enthalten.

  4. Klicken Sie im Feld Ordner soll angelegt werden unter auf den Öffentlichen Ordner, in dem der neue Öffentliche Ordner angelegt werden soll.

  5. Wenn Sie in Ihrer Outlook-Leiste keine Verknüpfung für den Öffentlichen Ordner erstellen möchten, klicken Sie im Feld Verknüpfung zur Outlook-Leiste hinzufügen? auf Nein.

Anmerkung Um schnell einen Öffentlichen Ordner mit bereits vorhandenen Elementen zu erstellen, können Sie einen Persönlichen Ordner in einen Öffentlichen Ordner kopieren.

Klicken Sie auf [image] , um mit Schritt 2 fortzufahren.


Context-Eigenschaft

Diese Eigenschaft gibt eine leere Zeichenfolge in Microsoft Outlook zurück und wird nicht anderweitig unterstützt.


Controls-Auflistung

Enthält alle in einem Objekt enthaltenen Steuerelemente.

Hinweise

Jedes Steuerelement in einer Controls-Auflistung verfügt über einen eindeutigen Index, dessen Wert entweder eine ganze Zahl oder eine Zeichenfolge sein kann. Der Indexwert des ersten Steuerelements in einer Auflistung beträgt 0, der Wert für das zweite Steuerelement beträgt 1 usw. Dieser Wert gibt an, in welcher Reihenfolge die Steuerelemente der Auflistung hinzugefügt wurden.

Wenn der Index aus einer Zeichenfolge besteht, stellt dieser den Namen des Steuerelements dar. Die Name-Eigenschaft eines Steuerelements gibt ebenfalls den Namen eines Steuerelements an.

Mit der Controls-Auflistung können Sie einzelne Steuerelemente abzählen oder zählen und ihre Eigenschaften festlegen. So können Sie zum Beispiel die Controls-Auflistung einer Seite abzählen und die Height-Eigenschaft jedes Steuerelements auf einen bestimmten Wert festlegen.

Anmerkung Die For Each...Next-Schleife eignet sich gut zum Abzählen einer Auflistung.


Pages-Auflistung

Eine Pages-Auflistung enthält alle Seiten eines Multiseiten-Steuerelements (MultiPage).

Hinweise

Jede Pages-Auflistung verfügt über Funktionen zur Verwaltung der Anzahl der Seiten einer Auflistung und zur Bestimmung der aktuell verwendeten Seite.

Der Standardwert der Pages-Auflistung bestimmt die aktuelle Page einer Auflistung.

Sie können auf eine Page über ihren Indexwert verweisen. Der Indexwert richtet sich nach der Rangfolge einer Page innerhalb der Auflistung. Der Index der ersten Page in einer Auflistung beträgt 0, der Index der zweiten Page beträgt 1 usw.


Tabs-Auflistung

Eine Tabs-Auflistung enthält alle Registerkarten (Tabs) eines Register-Steuerelements (TabStrip).

Hinweise

Jede Tabs-Auflistung verfügt über Funktionen zur Verwaltung der Zahl der Tabs in der Auflistung sowie zur Bestimmung des gerade verwendeten Tabs.

Der Standardwert der Tabs-Auflistung bestimmt den aktuellen Tab einer Auflistung.

Sie können einen Tab über seinen Indexwert bestimmen. Der Indexwert richtet sich nach der Rangfolge eines Tabs innerhalb der Auflistung. Der Index des ersten Tabs in einer Auflistung beträgt 0, der Index des zweiten Tabs beträgt 1 usw.


Automatisieren von Office-Formularen aus VBScript

In Microsoft Outlook wird das Office-Formular zur Darstellung von Dokumenten aus Microsoft Office verwendet, die in einem Ordner abgelegt oder an einen Benutzer gesendet werden. Die Seiten und Steuerelemente auf dem Formular können zwar nicht geändert werden, Sie können dem Formular aber VBScript-Code hinzufügen.

Mit der GetObject-Anweisung können Sie in VBScript auf ein eingebettetes Office-Dokument eines Outlook Office-Formulars zugreifen.

Im folgenden Beispiel für VBScript-Code wird der Satz "This is from VBScript!" in das eingebettete Microsoft Word-Dokument eines Microsoft Word Office-Formulars eingefügt. Da sich der Code in der Open-Ereignisprozedur befindet, wird er bei Öffnen des Elements automatisch ausgeführt. Wenn Sie dieses einfache Beispiel erweitern, können Sie damit nützliche Ergebnisse erzielen und zum Beispiel eine formatierte Terminliste einfügen.

Sub Item_Open()
   Set objWord = GetObject(, "Word.Application")
   ' Use Word methods to insert some sample text
   objWord.Selection.TypeText "This is from VBScript!"
End Sub


Dateiformate von Formularen

Microsoft Outlook unterstützt Formulare, die in vier Dateiformaten gespeichert werden können.

Das Format für Outlook-Formularvorlagen (.oft) wird im Allgemeinen verwendet, um eine Sicherungskopie bei der Erstellung des Formulars anzulegen oder um ein Formular von einem Computer auf einen anderen zu verschieben, ohne es zu veröffentlichen. Sie können die CreateItemFromTemplate-Methode verwenden, um diese Formulardatei in einem Programm zu öffnen.

Das Nachrichtenformat (.msg) wird oft verwendet, um Mail-Nachrichten oder andere Elemente als Dateien zu speichern.

Das CFG- und das FDM-Format werden bei Formularen eingesetzt, die für Microsoft Exchange Client erstellt wurden. Wenn sie im Modus Unternehmen oder Arbeitsgruppe angewendet werden, kann Outlook diese Formulare mit Hilfe des Dialogfeldes Formulare verwalten installieren. Outlook unterstützt diese Formulare lediglich aus Gründen der Abwärtskompatibilität. Sie können diese Formulare nicht mit Hilfe von Outlook modifizieren.


Verwenden von Ereignissen mit Automation

Um einen Ereignishandler für Microsoft Outlook Objekte in Microsoft Visual Basic oder Microsoft Visual Basic für Applikationen in einer anderen Anwendung zu erstellen, müssen Sie folgende vier Schritte durchführen:

  1. Setzen Sie einen Verweis auf die Microsoft Outlook 9.0-Objektbibliothek.

  2. Deklarieren Sie eine Objektvariable, um auf die Ereignisse zu reagieren.

  3. Verfassen Sie die spezifischen Ereignisprozeduren.

  4. Initialisieren Sie das deklarierte Objekt.

Informieren Sie sich über das Arbeiten mit Ereignissen in Visual Basic für Applikationen.

Setzen eines Verweises auf die Outlook 9.0-Objektbibliothek

Bevor Sie ein Outlook-Objekt in Code für Visual Basic oder Visual Basic für Applikationen verwenden können, müssen Sie zuerst im Dialogfeld Verweise einen Verweis auf das Outlook 9.0-Objektmodell setzen. Weitere Informationen über die Verwendung dieses Dialogfelds erhalten Sie in der Onlinehilfe Ihrer Programmierumgebung.

Deklarieren der Objektvariable

Nachdem Sie einen Verweis auf die Objektmodell-Bibliothek gesetzt haben, müssen Sie die Variablen deklarieren, die auf die zu verwendenden Objekte verweisen. Sie können die Variable in dem Modul deklarieren, in dem das Objekt verwendet wird (d. h., in dem Modul, das die Ereignishandler-Prozedur enthält), im Allgemeinen deklarieren Sie es jedoch in einem Klassenmodul, so dass es von jedem Modul in Ihrem Programm verwendet werden kann.

Um zum Beispiel eine Objektvariable für das Application-Objekt in einem Klassenmodul zu deklarieren, verwenden Sie Code wie den folgenden.

Public WithEvents myOlApp As Outlook.Application

Sie müssen mit dem WithEvents-Schlüsselwort festzulegen, dass die Objektvariable verwendet wird, um auf Ereignisse zu reagieren, die vom Objekt ausgelöst werden.

Schreiben der Ereignisprozedur

Nachdem ein neues Objekt mit Ereignissen deklariert worden ist, wird es in der Objekt-Liste im Codefenster des Klassenmoduls angezeigt, und Sie können die Ereignisprozedur des Objekts aus der Liste Prozeduren/Ereignisse auswählen. Wenn Sie zum Beispiel das ItemSend-Ereignis für ein als myOlApp deklariertes Application-Objekt auswählen, wird die folgende, leere Prozedur im Codefenster angezeigt.

Private Sub myOlApp_ItemSend(Item as Object, Cancel as Boolean)

End Sub

Initialisieren des deklarierten Objekts

Bevor die Prozedur lauffähig ist, müssen Sie das deklarierte Objekt (in diesem Beispiel myOlApp) mit dem Application-Objekt verbinden. Wenn Sie das Objekt in einem Klassenmodul mit dem Namen EventClassModule deklariert haben, dann können Sie den folgenden Code in jedem Modul verwenden.

Dim myClass as New EventClassModule

Sub Register_Event_Handler()

    Set myClass.myOlApp = CreateObject("Outlook.Application")

End Sub

Wenn die Register_Event_Handler-Prozedur ausgeführt wird, zeigt das myOlApp-Objekt im Formular oder Klassenmodul auf das Outlook-Application-Objekt und die Ereignisprozedur wird nach Eintritt des Ereignisses abgearbeitet.


Arbeiten mit EntryIDs und StoreIDs

Wenn Sie mit Microsoft Outlook eine komplexere Lösung erstellen, die das Verknüpfen von Elementen in Ordnern sowie das Verwenden von Querverweisen beinhaltet, besteht eine Möglichkeit darin, die MAPI-basierten Bezeichner (IDs) jedes Elements zu verwenden. Wenn Sie die IDs eines Elements kennen und den Ordner, in dem das Element gespeichert ist, können Sie mit der GetItemFromID-Methode direkt auf das Element verweisen.

Jedes Element von Outlook verfügt über ein Feld mit dem Namen EntryID. Hierbei handelt es sich um ein Feld für eine eindeutige ID, das vom Messaging-Speichersystem zur Verwendung mit den MAPI-Ordnern erzeugt wird, in denen das Element gespeichert ist. Beachten Sie, dass einem Element bei seiner Erstellung in einem Ordner eine neue EntryID zugewiesen wird. Das heißt, dass sich das Feld EntryID verändert, wenn ein Element in einen anderen Ordner verschoben oder ein Element exportiert und dann importiert wird (selbst dann, wenn es in denselben Ordner importiert wird).

Jeder Ordner verfügt über ein ID-Feld mit dem Namen StoreID, dessen Wert für alle Ordner in einem bestimmten Nachrichtenspeicher gleich ist. Jeder Ordner hat auch ein eindeutiges EntryID-Feld.

Wenn Sie die GetItemFromID-Methode verwenden, um ein Element anhand seiner IDs abzurufen, sollten Sie sowohl die EntryID des Elements als auch die StoreID des Ordners angeben. Wenn Sie die StoreID nicht angeben, wird die Suche anhand der GetItemFromID-Methode im Standard-Nachrichtenspeicher ausgeführt.

Im folgenden Beispiel von Microsoft Visual Basic/Visual Basic für Applikationen wird die Verwendung der GetItemFromID-Methode erläutert. Der Code ruft die StoreID aus dem Standardordner Kontakte ab, füllt ein Array (MyEntryID) mit den EntryIDs sämtlicher Kontakte im Ordner und ruft abschließend ein bestimmtes Kontaktelement auf.

Sub OutlookEntryID()
   Dim ol As Outlook.Application
   ' If there are more than 500 contacts, change the following line:
   Dim MyEntryID(500) As String
   Dim StoreID As String
   Dim EntryID As String
   Set ol = New Outlook.Application
   Set olns = ol.GetNamespace("MAPI")
   Set objFolder = olns.GetDefaultFolder(olFolderContacts)
   ' Get the StoreID, which is a property of the folder.
   StoreID = objFolder.StoreID
   ' Set objAllContacts equal to the collection of all contacts.
   Set AllContacts = objFolder.Items
   I = 0
   ' Loop to get all of the EntryIDs for the contacts.
   For Each Item In AllContacts
      I = I + 1
      MyEntryID(I) = Item.EntryID
   Next
   ' Randomly choose the 2nd contact to retrieve..
   Set Item = olns.GetItemFromID(MyEntryID(2), StoreID)
   Item.Display
End Sub


OlActionCopyLike-Konstanten

Konstante | Wert
olReply | 0
olReplyAll | 1
olForward | 2
olReplyFolder | 3
olRespond | 4


OlActionReplyStyle-Konstanten

Konstante | Wert
olEmbedOriginalItem | 1
olIncludeOriginalText | 2
olIndentOriginalText | 3
olLinkOriginalItem | 4
olOmitOriginalText | 0
olReplyTickOriginalText | 1000
olUserPreference | 5


OlActionResponseStyle-Konstanten

Konstante | Wert
olOpen | 0
olPrompt | 2
olSend | 1


OlActionShowOn-Konstanten

Konstante | Wert
olDontShow | 0
olMenu | 1
olMenuAndToolbar | 2


OlAttachmentType-Konstanten

Konstante | Wert
olByReference | 4
olByValue | 1
olEmbeddedItem | 5
olOLE | 6


OlBusyStatus-Konstanten

Konstante | Wert
olBusy | 2
olFree | 0
olOutOfOffice | 3
olTentative | 1


OlDaysOfWeek-Konstanten

Konstante | Wert
olFriday | 32
olMonday | 2
olSaturday | 64
olSunday | 1
olThursday | 16
olTuesday | 4
olWednesday | 8


OlDefaultFolders-Konstanten

Konstante | Wert
olFolderCalendar | 9
olFolderContacts | 10
olFolderDeletedItems | 3
olFolderDrafts | 16
olFolderInbox | 6
olFolderJournal | 11
olFolderNotes | 12
olFolderOutbox | 4
olFolderSentMail | 5
olFolderTasks | 13


OlDisplayType-Konstanten

Konstante | Wert
olAgent | 3
olDistList | 1
olForum | 2
olOrganization | 4
olPrivateDistList | 5
olRemoteUser | 6
olUser | 0


OlEditorType-Konstanten

Konstante | Wert
olEditorHTML | 2
olEditorRTF | 3
olEditorText | 1
olEditorWord | 4


OlFlagStatus-Konstanten

Konstante | Wert
olFlagComplete | 1
olFlagMarked | 2
olNoFlag | 0


OlFolderDisplayMode-Konstanten

Konstante | Wert
olFolderDisplayFolderOnly | 1
olFolderDisplayNoNavigation | 2
olFolderDisplayNormal | 0


OlFormRegistry-Konstanten

Konstante | Wert
olDefaultRegistry | 0
olFolderRegistry | 3
olOrganizationRegistry | 4
olPersonalRegistry | 2


OlGender-Konstanten

Konstante | Wert
olFemale | 1
olMale | 2
olUnspecified | 0


OlImportance-Konstanten

Konstante | Wert
olImportanceHigh | 2
olImportanceLow | 0
olImportanceNormal | 1


OlInspectorClose-Konstanten

Konstante | Wert
olDiscard | 1
olPromptForSave | 2
olSave | 0


OlItemType-Konstanten

Konstante | Wert
olAppointmentItem | 1
olContactItem | 2
olDistributionListItem | 7
olJournalItem | 4
olMailItem | 0
olNoteItem | 5
olPostItem | 6
olTaskItem | 3


OlJournalRecipientType-Konstanten

Konstante | Wert
olAssociatedContact | 1


OlMailingAddress-Konstanten

Konstante | Wert
olBusiness | 2
olHome | 1
olNone | 0
olOther | 3


OlMailRecipientType-Konstanten

Konstante | Wert
olBCC | 3
olCC | 2
olOriginator | 0
olTo | 1


OlMeetingRecipientType-Konstanten

Konstante | Wert
olOptional | 2
olOrganizer | 0
olRequired | 1
olResource | 3


OlMeetingResponse-Konstanten

Konstante | Wert
olMeetingAccepted | 3
olMeetingDeclined | 4
olMeetingTentative | 2


OlMeetingStatus-Konstanten

Konstante | Wert
olMeeting | 1
olMeetingCanceled | 5
olMeetingReceived | 3
olNonMeeting | 0


OlNetMeetingType-Konstanten

Konstante | Wert
olChat | 2
olNetMeeting | 0
olNetShow | 1


OlNoteColor-Konstanten

Konstante | Wert
olBlue | 0
olGreen | 1
olPink | 2
olWhite | 4
olYellow | 3


OlObjectClass-Konstanten

Konstante | Wert
olAction | 32
olActions | 33
olAddressEntries | 21
olAddressEntry | 8
olAddressList | 7
olAddressLists | 20
olApplication | 0
olAppointment | 26
olAttachment | 5
olAttachments | 18
olContact | 40
olDistributionList | 69
olDocument | 41
olException | 30
olExceptions | 29
olExplorer | 34
olExplorers | 60
olFolder | 2
olFolders | 15
olFormDescription | 37
olInspector | 35
olInspectors | 61
olItems | 16
olJournal | 42
olLink | 75
olLinks | 76
olMail | 43
olMeetingCancellation | 54
olMeetingRequest | 53
olMeetingResponseNegative | 55
olMeetingResponsePositive | 56
olMeetingResponseTentative | 57
olNamespace | 1
olNote | 44
olOutlookBarGroup | 66
olOutlookBarGroups | 65
olOutlookBarPane | 63
olOutlookBarShortcut | 68
olOutlookBarShortcuts | 67
olOutlookBarStorage | 64
olOutlookPropertyPageSite | 70
olPages | 36
olPanes | 62
olPost | 45
olPropertyPages | 71
olRecipient | 4
olRecipients | 17
olRecurrencePattern | 28
olRemote | 47
olReport | 46
olSelection | 74
olSyncObject | 72
olSyncObjects | 73
olTask | 48
olTaskRequest | 49
olTaskRequestAccept | 51
olTaskRequestDecline | 52
olTaskRequestUpdate | 50
olUserProperties | 38
olUserProperty | 39


OlOutlookBarViewType-Konstanten

Konstante | Wert
olLargeIcon | 0
olSmallIcon | 1


OlPane-Konstanten

Konstante | Wert
olOutlookBar | 1
olFolderList | 2
olPreview | 3


OlRecurrenceState-Konstanten

Konstante | Wert
olApptException | 3
olApptMaster | 1
olApptNotRecurring | 0
olApptOccurrence | 2


OlRecurrenceType-Konstanten

Konstante | Wert
olRecursDaily | 0
olRecursMonthly | 2
olRecursMonthNth | 3
olRecursWeekly | 1
olRecursYearly | 5
olRecursYearNth | 6


OlRemoteStatus-Konstanten

Konstante | Wert
olMarkedForCopy | 3
olMarkedForDelete | 4
olMarkedForDownload | 2
olRemoteStatusNone | 0
olUnMarked | 1


OlResponseStatus-Konstanten

Konstante | Wert
olResponseAccepted | 3
olResponseDeclined | 4
olResponseNone | 0
olResponseNotResponded | 5
olResponseOrganized | 1
olResponseTentative | 2


OlSaveAsType-Konstanten

Konstante | Wert
olDoc | 4
olHTML | 5
olMSG | 3
olRTF | 1
olTemplate | 2
olTXT | 0
olVCal | 7
olVCard | 6


OlSensitivity-Konstanten

Konstante | Wert
olConfidential | 3
olNormal | 0
olPersonal | 1
olPrivate | 2


OlSortOrder-Konstanten

Konstante | Wert
olAscending | 1
olDescending | 2
olSortNone | 0


OlSyncState-Konstanten

Konstante | Wert
olSyncStarted | 1
olSyncStopped | 0


OlTaskDelegationStatus-Konstanten

Konstante | Wert
olTaskDelegationAccepted | 2
olTaskDelegationDeclined | 3
olTaskDelegationUnknown | 1
olTaskNotDelegated | 0


OlTaskOwnership-Konstanten

Konstante | Wert
olDelegatedTask | 1
olNewTask | 0
olOwnTask | 2


OlTaskRecipientType-Konstanten

Konstante | Wert
olFinalStatus | 3
olUpdate | 2


OlTaskResponse-Konstanten

Konstante | Wert
olTaskAccept | 2
olTaskAssign | 1
olTaskDecline | 3
olTaskSimple | 0


OlTaskStatus-Konstanten

Konstante | Wert
olTaskComplete | 2
olTaskDeferred | 4
olTaskInProgress | 1
olTaskNotStarted | 0
olTaskWaiting | 3


OlTrackingStatus-Konstanten

Konstante | Wert
olTrackingDelivered | 1
olTrackingNone | 0
olTrackingNotDelivered | 2
olTrackingNotRead | 3
olTrackingRead | 6
olTrackingRecallFailure | 4
olTrackingRecallSuccess | 5
olTrackingReplied | 7


OlUserPropertyType-Konstanten

Konstante | Wert
olCombination | 19
olCurrency | 14
olDateTime | 5
olDuration | 7
olFormula | 18
olKeywords | 11
olNumber | 3
olPercent | 12
olText | 1
olYesNo | 6


OlWindowState-Konstanten

Konstante | Wert
olMaximized | 0
olMinimized | 1
olNormal | 2


 Standardfelder in einem Element der Verteilerliste

Standardfelder in einem Element der Verteilerliste

Feld

Bearbeiten in der Ansicht |  | Art und Bedeutung der Daten
Geändert | Nein | Datum/Uhrzeit. Gibt an, wann die Verteilerliste zuletzt geändert wurde.
Größe | Nein | Zahl. Die Menge an Bytes, die das Element der Verteilerliste benötigt.
In Ordner | Nein | Text. Der Name des Ordners, der das Element der Verteilerliste enthält.
Interne Outlook-Version | Nein | Nur zur Verwendung durch den Verwalter
Kategorien | Ja | Text. Ein Feld, mit dem zusammengehörige Elemente gruppiert und gesucht werden. Die einzelnen Kategorien werden durch Kommata getrennt.
Nachrichtenklasse | Nein | Bestimmt die Nachrichtenklasse für den Elementtyp. Um weitere Informationen zu den Standard-Nachrichtenklassen von Outlook zu erhalten, klicken Sie auf
Name der Verteilerliste | Ja | Text. Der Name der Verteilerliste.
Outlook-Version | Nein | Text. Die Version von Outlook, mit der das Element der Verteilerliste erstellt wurde.
Symbol | Ja | Interner Datentyp
Vertraulichkeit | Nein | Die folgenden Einstellungen stehen zur Auswahl: 0 Normal 1 Persönlich 2 Privat 3 Vertraulich


Item-Ereignisse

Die folgenden Ereignisse werden von allen Item-Objekten in Outlook außer dem NoteItem-Objekt generiert.

AttachmentAdd

AttachmentRead

BeforeAttachmentSave

BeforeCheckNames

Close Event

CustomAction

CustomPropertyChange

Forward

Open

PropertyChange

Read

Reply

ReplyAll

Send

Write


Beispiel zum Activate-Ereignis

In diesem Codebeispiel wird mit Hilfe der Eigenschaft WindowState das oberste Explorer-Fenster maximiert, sobald das Activate-Ereignis eintritt. Bevor Microsoft Outlook die Ereignisprozedur aufrufen kann, muss sich der Beispielcode in einem Klassenmodul befinden und die Initialize_handler-Routine aufgerufen worden sein.

Dim myOlApp As Outlook.Application
Public WithEvents myOlExp As Outlook.Explorer

Public Sub Initialize_handler()
    Set myOlExp = myOlApp.ActiveExplorer
End Sub

Private Sub myOlExp_Activate()
    If myOlExp.WindowState = olNormalWindow Then _
        myOlExp.WindowState = olMaximized
End Sub


Beispiel zum AttachmentAdd-Ereignis

In diesem VBScript-Beispiel wird die Größe des Elements nach Hinzufügen einer eingebetteten Anlage überprüft und eine Warnung angezeigt, wenn die Größe 500.000 Bytes überschreitet.

Sub Item_AttachmentAdd(ByVal NewAttachment)
    If NewAttachment.Type = 1 Then
        Item.Save
        If Item.Size > 500000 Then
            MsgBox "Warning: Item size is now " & Item.Size & " bytes."
        End If
    End If
End Sub


Beispiel zum AttachmentRead-Ereignis

In diesem VBScript-Beispiel wird der Benutzer daran erinnert, Änderungen am Original einer eingebetteten Datei ebenfalls zu speichern.

Sub Item_AttachmentRead(ByVal ReadAttachment)
    If ReadAttachment.Type = 1 then
        MsgBox "If you change this file, save your changes to the original as well."
    End If
End Sub


Beispiel zum BeforeAttachmentSave-Ereignis

In diesem VBScript-Beispiel wird der Benutzer benachrichtigt, dass die Anlage nicht gespeichert werden darf. Zum Abbruch des Speichervorgangs wird False zurückgegeben.

Function Item_BeforeAttachmentSave(ByVal SaveAttachment)
    MsgBox "You are not allowed to save " & SaveAttachment.Name
    Item_BeforeAttachmentSave = False
End Function


Beispiel zum BeforeCheckNames-Ereignis

In diesem VBScript-Beispiel wird der Benutzer gefragt, ob Namen bestätigt werden sollen, und False zurückgegeben, wenn die Antwort Nein lautet.

Function Item_BeforeCheckNames()
    If MsgBox ("Do you want to resolve names now?",4) = 7 Then
        Item_BeforeCheckNames = False
    End If
End Function


Beispiel zum BeforeFolderSwitch-Ereignis

In diesem Beispiel wird ein Benutzer daran gehindert, in den Ordner Off Limits zu wechseln. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As Outlook.Application
Public WithEvents myOlExp As Outlook.Explorer

Public Sub Initialize_handler()
    Set myOlExp = myOlApp.ActiveExplorer
End Sub

Private Sub myOlExp_BeforeFolderSwitch(ByVal NewFolder As Object, Cancel As Boolean)
    If NewFolder.Name = "Off Limits" Then
        MsgBox "You do not have permission to access this folder."
        Cancel = True
    End If
End Sub


Beispiel zum BeforeGroupAdd-Ereignis

In diesem Beispiel wird verhindert, dass der Benutzer der Outlook-Leiste eine Gruppe hinzufügt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Dim WithEvents myOlGroups As Outlook.OutlookBarGroups
Dim myOlBar As Outlook.OutlookBarPane

Sub Initialize_handler()
    Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
    Set myOlGroups = myOlBar.Contents.Groups
End Sub

Private Sub myOlGroups_BeforeGroupAdd(Cancel As Boolean)
    Cancel = True
End Sub


Beispiel zum BeforeGroupRemove-Ereignis

In diesem Beispiel wird verhindert, dass der Benutzer eine Gruppe von der Outlook-Leiste entfernt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Dim WithEvents myOlGroups As Outlook.OutlookBarGroups
Dim myOlBar As Outlook.OutlookBarPane

Sub Initialize_handler()
    Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
    Set myOlGroups = myOlBar.Contents.Groups
End Sub

Private Sub myOlGroups_BeforeGroupRemove(Cancel As Boolean)
    Cancel = True
End Sub


Beispiel zum BeforeGroupSwitch-Ereignis

In diesem Beispiel wird verhindert, dass der Benutzer eine auf der Outlook-Leiste befindliche Gruppe mit dem Namen Other Shortcuts öffnet. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Public WithEvents myOlPane As Outlook.OutlookBarPane

Public Sub Initialize_handler()
    Set myOlPane = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
End Sub

Private Sub myOlPane_BeforeGroupSwitch(ByVal ToGroup As Outlook.OutlookBarGroup, Cancel As Boolean)
    If ToGroup.Name = "Other Shortcuts" Then Cancel = True
End Sub


Beispiel zum BeforeNavigate-Ereignis

In diesem Beispiel wird verhindert, dass der Benutzer die Outlook-Leiste verwendet, um den Ordner Notes zu öffnen. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Public WithEvents myOlPane As Outlook.OutlookBarPane

Public Sub Initialize_handler()
    Set myOlPane = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
End Sub
Private Sub myOlPane_BeforeNavigate(ByVal Shortcut As Outlook.OutlookBarShortcut, Cancel As Boolean)
    If Shortcut.Name = "Notes" Then
        MsgBox "You cannot view the Notes folder."
        Cancel = True
    End If
End Sub


Beispiel zum BeforeShortcutAdd-Ereignis

Im folgenden Beispiel wird verhindert, dass ein Benutzer der ersten Gruppe der Outlook-Leiste eine Verknüpfung hinzufügt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Dim WithEvents myOlShortcuts As Outlook.OutlookBarShortcuts
Dim myOlBar As Outlook.OutlookBarPane

Sub Initialize_handler()
    Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
    Set myOlShortcuts = myOlBar.Contents.Groups.Item(1).Shortcuts
End Sub

Private Sub myOlShortcuts_BeforeShortcutAdd(Cancel As Boolean)
    MsgBox "You are not allowed to add a shortcut to this group."
    Cancel = True
End Sub


Beispiel zum BeforeShortcutRemove-Ereignis

Im folgenden Beispiel wird verhindert, dass ein Benutzer eine Verknüpfung aus der ersten Gruppe der Outlook-Leiste entfernt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Dim WithEvents myOlShortcuts As Outlook.OutlookBarShortcuts
Dim myOlBar As Outlook.OutlookBarPane

Sub Initialize_handler()
    Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
    Set myOlShortcuts = myOlBar.Contents.Groups.Item(1).Shortcuts
End Sub

Private Sub myOlShortcuts_BeforeShortcutRemove(Cancel As Boolean)
    MsgBox "You are not allowed to remove a shortcut from this group."
    Cancel = True
End Sub


Beispiel zum BeforeViewSwitch-Ereignis

In diesem Beispiel wird bestätigt, dass der Benutzer die Ansicht wechseln möchte und der Wechsel abgebrochen wird, wenn der Benutzer mit Nein antwortet. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As Outlook.Application
Public WithEvents myOlExp As Outlook.Explorer

Public Sub Initialize_handler()
    Set myOlExp = myOlApp.ActiveExplorer
End Sub

Private Sub myOlExp_BeforeViewSwitch(ByVal NewView As Variant, Cancel As Boolean)
    Dim Prompt As String
    Prompt = "Are you sure you want to switch to the " & NewView & " view?"
    If MsgBox(Prompt, vbYesNo + vbQuestion) = vbNo Then Cancel = True
End Sub


 Beispiel zum Close-Ereignis

Beispiel zum Close-Ereignis

Dieses Beispiel wartet auf das Close-Ereignis und verwendet die Save-Methode, um das Element, ohne den Benutzer zu fragen, zu speichern, wenn für das Element die Saved-Eigenschaft noch nicht festgelegt wurde.

Function Item_Close()
    If not Item.Saved Then
        Item.Save
    End If
End Function


Beispiel zum CustomAction-Ereignis

Dieses Beispiel verwendet das CustomAction-Ereignis, um eine Eigenschaft für das Reaktionselement festzulegen.

Function Item_CustomAction(ByVal myAction, ByVal myResponse)
    Select Case myAction.Name
        Case "Action1"
            myResponse.Subject = "Changed by VB Script"
        Case Else
    End Select
End Function


 Beispiel zum CustomPropertyChange-Ereignis

Beispiel zum CustomPropertyChange-Ereignis

In diesem VBScript-Beispiel wird das CustomPropertyChange-Ereignis verwendet, um eine Kontrolle zu ermöglichen, wenn das boolesche Feld auf True gesetzt ist.

Erstellen Sie für dieses Beispiel zwei benutzerdefinierte Felder auf der zweiten Seite von einem Formular. Das erste, boolesche Feld heißt "RespondBy". Das zweite Feld heißt "DateToRespond".

Informieren Sie sich über das Erstellen neuer Felder.

Sub Item_CustomPropertyChange(ByVal myPropName)
    Select Case myPropName
        Case "RespondBy"
            Set myPages = Item.GetInspector.ModifiedFormPages
            Set myCtrl = myPages("P.2").Controls("DateToRespond")
            If Item.UserProperties("RespondBy").Value Then
                myCtrl.Enabled = True
                myCtrl.Backcolor = 65535	'Yellow
            Else
                myCtrl.Enabled = False
                myCtrl.Backcolor = 0	'Black
            End If
        Case Else
    End Select
End Sub


Beispiel zum Deactivate-Ereignis

In diesem Beispiel wird die WindowState-Eigenschaft zum Minimieren des obersten Explorer-Fensters verwendet, wenn dieses nicht aktiv ist. Der Beispielscode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As Outlook.Application
Public WithEvents myOlExp As Outlook.Explorer

Public Sub Initialize_handler()
    Set myOlExp = myOlApp.ActiveExplorer
End Sub

Private Sub myOlExp_Deactivate()
    myOlExp.WindowState = olMinimized
End Sub


Beispiel zum FolderAdd-Ereignis

In diesem Beispiel wird ein neuer Ordner angezeigt, der im Posteingang des Benutzers erstellt wurde.

Dim myOlApp As New Outlook.Application
Public WithEvents myOlFolders As Outlook.Folders

Public Sub Initialize_handler()
    Set myOlFolders = myOlApp.GetNamespace("MAPI").GetDefaultFolder(olFolderInbox).Folders
End Sub

Private Sub myOlFolders_FolderAdd(ByVal Folder As Outlook.MAPIFolder)
    Folder.Display
End Sub


Beispiel zum FolderChange-Ereignis

In diesem Beispiel wird der Benutzer aufgefordert, einen leeren Ordner aus dem Ordner Deleted Items zu entfernen. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myolapp As New Outlook.Application
Dim WithEvents myFolders As Outlook.Folders

Sub Initialize_handler()
    Set myNS = myolapp.GetNamespace("MAPI")
    Set myFolders = myNS.GetDefaultFolder(olFolderDeletedItems).Folders
End Sub

Private Sub myFolders_FolderChange(ByVal Folder As Outlook.MAPIFolder)
    If Folder.Items.Count = 0 Then
        MyPrompt = Folder.Name & " is empty. Do you want to delete it?"
        If MsgBox(MyPrompt, vbYesNo + vbQuestion) = vbYes Then
            Folder.Delete
        End If
    End If
End Sub


Beispiel zum FolderRemove-Ereignis

In diesem Beispiel wird ein Kombinationsfeld auf einem Formularblatt mit den Namen der Ordner im Ordner Deleted Items ausgefüllt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myolapp As New Outlook.Application
Dim WithEvents myFolders As Outlook.Folders

Sub Initialize_handler()
    Set myNS = myolapp.GetNamespace("MAPI")
    Set myFolders = myNS.GetDefaultFolder(olFolderDeletedItems).Folders
End Sub

Private Sub myFolders_FolderRemove()
    Form1.Combo1.Clear
    For x = 1 To myFolders.Count
        Form1.Combo1.AddItem (myFolders.Item(x).Name)
    Next x
End Sub


Beispiel zum FolderSwitch-Ereignis

In diesem Beispiel wird eine Menüleiste abhängig vom sichtbaren Ordner angezeigt bzw. ausgeblendet. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As Outlook.Application
Public WithEvents myOlExp As Outlook.Explorer

Public Sub Initialize_handler()
    Set myOlExp = myOlApp.ActiveExplorer
End Sub

Private Sub myOlExp_FolderSwitch()
    Select Case MyOlExp.CurrentFolder.Name
        Case "Sales Contacts"
            MyToolsMenu.Visible = True
        Case Else
            MyToolsMenu.Visible = False
    End Select
End Sub


 Beispiel zum Forward-Ereignis

Beispiel zum Forward-Ereignis

Dieses Beispiel verwendet das Forward-Ereignis, um das Weiterleiten für ein Element zu deaktivieren, indem der Rückgabewert auf False festgelegt wird, und zeigt eine Meldung, dass das Element nicht weitergeleitet werden kann.

Function Item_Forward(ByVal myForwardItem)
    MsgBox "You may not forward this message!"
    Item_Forward = False
End Function


Beispiel zum GroupAdd-Ereignis

In diesem Beispiel wird einer Gruppe bei ihrer Erstellung eine Verknüpfung hinzugefügt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Dim WithEvents myOlGroups As Outlook.OutlookBarGroups
Dim myOlBar As Outlook.OutlookBarPane

Sub Initialize_handler()
    Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
    Set myOlGroups = myOlBar.Contents.Groups
End Sub

Private Sub myOlGroups_GroupAdd(ByVal NewGroup As Outlook.OutlookBarGroup)
    Dim myFolder As Outlook.MAPIFolder
    Set myFolder = myOlApp.GetNamespace("MAPI").GetDefaultFolder(olFolderCalendar)
    NewGroup.Shortcuts.Add myFolder, "Calendar"
End Sub


Beispiel zum ItemAdd-Ereignis

In diesem Beispiel wird beim Einfügen eines neuen Kontakts in den Kontaktordner das Kontaktelement an eine Mail-Nachricht angefügt und an eine Verteilerliste mit der Bezeichnung "Sales Team" gesendet. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Routine Initialize_handler muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As Outlook.Application
Public WithEvents myOlItems As Outlook.Items

Public Sub Initialize_handler()
    Set myOlItems = myOlApp.GetNamespace("MAPI").GetDefaultFolder(olFolderContacts).Items
End Sub

Private Sub myOlItems_ItemAdd(ByVal Item As Object)
    Dim myOlMItem As Outlook.MailItem
    Dim myOlAtts As Outlook.Attachments
    Set myOlMItem = myOlApp.CreateItem(olMailItem)
    myOlMItem.Save
    Set myOlAtts = myOlMItem.Attachments
    ' Add new contact to attachments in mail message
    myOlAtts.Add Item, olByValue
    myOlMItem.To = "Sales Team"
    myOlMItem.Subject = "New contact"
    myOlMItem.Send
End Sub


Beispiel zum ItemChange-Ereignis

In diesem Beispiel wird die Start-Eigenschaft des AppointmentItem-Objekts verwendet, um festzustellen, ob ein Termin außerhalb der regulären Geschäftszeiten liegt. Wenn dies der Fall ist und die Sensitivity-Eigenschaft des AppointmentItem-Objekts nicht bereits auf olPrivate eingestellt ist, wird Ihnen in diesem Beispiel vorgeschlagen, den Termin als privat zu kennzeichnen.

Dim myOlApp As New Outlook.Application
Public WithEvents myOlItems As Outlook.Items

Public Sub Initialize_handler()
    Set myOlItems = myOlApp.GetNamespace("MAPI").GetDefaultFolder(olFolderCalendar).Items
End Sub

Private Sub myOlItems_ItemChange(ByVal Item As Object)
    If Format(Item.Start, "h") >= "17" And Item.Sensitivity <> olPrivate Then
        Prompt = "Appointment occurs after hours. Mark it private?"
        If MsgBox(Prompt, vbYesNo + vbQuestion) = vbYes Then
            Item.Sensitivity = olPrivate
            Item.Display
        End If
    End If
End Sub


Beispiel zum ItemRemove-Ereignis

In diesem Beispiel wird optional eine Benachrichtigung an eine Arbeitsgruppe gesendet, wenn ein Benutzer einen Kontakt aus dem Standardordner Kontakte entfernt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As Outlook.Application
Public WithEvents myOlItems As Outlook.Items

Public Sub Initialize_handler()
    Set myOlItems = myOlApp.GetNamespace("MAPI").GetDefaultFolder(olFolderContacts).Items
End Sub

Private Sub myOlItems_ItemRemove()
    Dim myOlMItem As Outlook.MailItem
    If MsgBox("Do you want to notify the Sales Team?", vbYesNo + vbQuestion) = vbYes Then
        Set myOlMItem = myOlApp.CreateItem(olMailItem)
        myOlMItem.To = "Sales Team"
        myOlMItem.Subject = "Remove Contact"
        myOlMItem.Body = "Please remove the following contact from your list:"
        myOlMItem.Display
    End If
End Sub


Beispiel zum ItemSend-Ereignis

Im folgenden Beispiel wird gezeigt, wie das ItemSend-Ereignis als Reaktion auf eine Benutzereingabe abgebrochen wird.

Private Sub myOlApp_ItemSend(ByVal Item As Object, Cancel As Boolean)
    Prompt$ = "Are you sure you want to send " & Item.Subject & "?"
    If MsgBox(Prompt$, vbYesNo + vbQuestion, "Sample") = vbNo Then
        Cancel = True
    End If
End Sub


Beispiel zum NewExplorer-Ereignis

In diesem Beispiel wird das aktuell aktive Explorer-Fenster minimiert, wenn ein neuer Explorer angezeigt werden soll. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Public WithEvents myOlExplorers As Outlook.Explorers

Public Sub Initialize_handler()
    Set myOlExplorers = myOlApp.Explorers
End Sub

Private Sub myOlExplorers_NewExplorer(ByVal Explorer As Outlook.Explorer)
    If TypeName(myOlApp.ActiveExplorer) <> "Nothing" Then
        myOlApp.ActiveExplorer.WindowState = olMinimized
    End If
End Sub


Beispiel zum NewInspector-Ereignis

In diesem Beispiel werden die Symbolleiste Format und die Symbolleiste Standard eines geöffneten Inspektors angezeigt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Public WithEvents myOlInspectors As Outlook.Inspectors

Public Sub Initialize_handler()
    Set myOlInspectors = myOlApp.Inspectors
End Sub

Private Sub myOlInspectors_NewInspector(ByVal Inspector As Outlook.Inspector)
    Inspector.CommandBars.Item("Standard").Visible = True
    Inspector.CommandBars.Item("Formatting").Visible = True
End Sub


Beispiel zum NewMail-Ereignis

In diesem Beispiel wird der Ordner Posteingang angezeigt, wenn eine oder mehrere neue Nachrichten eingegangen sind. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim WithEvents myOlApp As Outlook.Application

Sub Initialize_handler()
    Set myOlApp = CreateObject("Outlook.application")
End Sub

Private Sub myOlApp_NewMail()
    Dim myExplorers As Outlook.Explorers
    Dim myFolder As Outlook.MAPIFolder
    Set myExplorers = myOlApp.Explorers
    Set myFolder = myOlApp.GetNamespace("MAPI").GetDefaultFolder(olFolderInbox)
    If myExplorers.Count <> 0 Then
        For x = 1 To myExplorers.Count
            On Error GoTo skipif
            If myExplorers.Item(x).CurrentFolder.Name = "Inbox" Then
                myExplorers.Item(x).Display
                myExplorers.Item(x).Activate
                Exit Sub
            End If
skipif:
        Next x
     End If
     On Error GoTo 0
     myFolder.Display
End Sub


Beispiel zum OnError-Ereignis

In diesem Beispiel wird ein Meldungsfeld mit einer Beschreibung des Synchronisationsfehlers angezeigt. Außerdem werden die Attribute von Steuerelementen auf einem Formular eingestellt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Dim WithEvents mySync As Outlook.SyncObject
Dim myForm As New Form1

Sub Initialize_handler()
    Set mySync = myOlApp.Session.SyncObjects.Item(1)
End Sub

Private Sub mySync_OnError(ByVal Code As Long, ByVal Description As String)
    Form1.Label1.Caption = "Synchronization failed."
    mySync.Stop
    Form1.Command1.Enabled = False
    Form1.Command2.Enabled = False
    MsgBox "Unexpected sync error" & Str(Code) & ": " & Description
End Sub


 Beispiel zum Open-Ereignis

Beispiel zum Open-Ereignis

In diesem Beispiel von VBScript wird das Open-Ereignis dazu verwendet, die Seite "All Fields" immer dann anzuzeigen, wenn das Element geöffnet wird.

Function Item_Open()
    Item.GetInspector.SetCurrentFormPage "All Fields"
End Function

In diesem Beispiel von VBScript wird mit der Unread-Eigenschaft festgestellt, ob das Element bereits gelesen wurde. Wenn dies der Fall ist, wird angefragt, ob der Benutzer das Element öffnen möchte. Wenn die Anwort des Benutzers Nein lautet, wird der Rückgabewert auf False gesetzt, um zu verhindern, dass das Element geöffnet wird.

Function Item_Open()
    If Item.Unread = False Then
        myMsg = "Do you want to open this message again?"
        If MsgBox myMsg,4) = 6 Then
            Item_Open = True
        Else
            Item_Open = False
        End If
    End If
End Function


Beispiel zum OptionsPagesAdd-Ereignis

In diesem Beispiel wird dem Dialogfeld Optionen von Microsoft Outlook eine neue Eigenschaftenseite hinzugefügt. Der Beispielcode muss sich in einem Klassenmodul eines Common Object Model (COM)-Add-Ins befinden.

Implements IDTExtensibility2
Private WithEvents OutlApp As Outlook.Application

Private Sub IDTExtensibility2_OnConnection(ByVal Application As Object, ByVal ConnectMode As AddInDesignerObjects.ext_ConnectMode, ByVal AddInInst As Object, custom() As Variant)
    Set OutlApp = Application
End Sub

Private Sub OutlApp_OptionsPagesAdd(ByVal Pages As Outlook.PropertyPages)
    Dim myPage As Object
    Set myPage = CreateObject("PPE.CustomPage")
    Pages.Add myPage
End Sub


Beispiel zum Progress-Ereignis

In diesem Beispiel wird eine Beschriftung in einem Formular aktualisiert, um den Verlauf der Synchronisation anzuzeigen. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As New Outlook.Application
Dim WithEvents mySync As Outlook.SyncObject
Dim myForm As New Form1

Sub Initialize_handler()
    Set mySync = myOlApp.Session.SyncObjects.Item(1)
End Sub

Private Sub mySync_Progress(ByVal State As Outlook.OlSyncState, ByVal Description As String, ByVal Value As Long, ByVal Max As Long)
    If State = olSyncStarted then
        Cap = "Synchronization started: "
    Else
        Cap = "Synchronization stopped: "
    End If
    Cap = Cap & Str(State / Max * 100) & "% " & Description
    Form1.Label1.Caption = Cap
End Sub


 Beispiel zum PropertyChange-Ereignis

Beispiel zum PropertyChange-Ereignis

Dieses Beispiel verwendet das PropertyChange-Ereignis, um das Festlegen einer Erinnerung für ein Element zu deaktivieren.

Sub Item_PropertyChange(ByVal myPropertyName)
    Select Case myPropertyName
        Case "ReminderSet"
            MsgBox "You may not set a reminder on this item!"
            Item.ReminderSet = False
        Case Else
    End Select
End Sub


Beispiel zum Quit-Ereignis

In diesem Beispiel wird beim Beenden von Microsoft Outlook eine Endmeldung angezeigt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim WithEvents myOlApp As Outlook.Application

Sub Initialize_handler()
    Set myOlApp = CreateObject("Outlook.application")
End Sub

Private Sub myOlApp_Quit()
    MsgBox "Goodbye, " & Application.GetNamespace("MAPI").CurrentUser
End Sub


 Beispiel zum Read-Ereignis

Beispiel zum Read-Ereignis

Dieses VBScript-Beispiel verwendet das Read-Ereignis, um einen Zähler zu erhöhen, der aufzeichnet, wie oft ein Element gelesen wurde.

Sub Item_Read()
    Set myProperty = Item.UserProperties("ReadCount")
    myProperty.Value = myProperty.Value + 1
    Item.Save
End Sub


Beispiel zum Reminder-Ereignis

In diesem Beispiel von Microsoft Visual Basic/Visual Basic für Applikationen wird das Element geprüft, das die Erinnerung erzeugt, um festzustellen, ob es sich um ein Mail-Element handelt. Wenn dies der Fall ist, wird in diesem Beispiel anhand der ReplyAll-Methode ein neues Mail-Element erstellt und angezeigt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim WithEvents myolapp As Outlook.Application

Sub Initialize_handler()
    Set myolapp = CreateObject("Outlook.application")
End Sub

Private Sub myolapp_Reminder(ByVal Item As Object)
    Dim myReplyItem As Outlook.MailItem
    If TypeName(Item) = "MailItem" Then
        Set myReplyItem = Item.ReplyAll
        myReplyItem.Display
    End If
End Sub


 Beispiel zum ReplyAll-Ereignis

Beispiel zum ReplyAll-Ereignis

Dieses VBScript-Beispiel verwendet das ReplyAll-Ereignis und fragt den Benutzer, ob er eine Antwort an alle ursprünglichen Empfänger eines Elementes senden möchte. Abhängig von der Antwort des Benutzers wird die Aktion fortgeführt oder beendet.

Function Item_ReplyAll(ByVal myResponse)
    myMsg = "Do you really want to reply to all original recipients?"
myResult = MsgBox(myMsg, 289, "Flame Protector")
    If myResult = 1 Then
        Item_ReplyAll = True
    Else
        Item_ReplyAll = False
    End If
End Function


 Beispiel zum Reply-Ereignis

Beispiel zum Reply-Ereignis

Dieses VBScript-Beispiel verwendet das Reply-Ereignis und legt den Ordner SentMessage für das Antwortelement auf den Ordner fest, in dem sich das ursprüngliche Element befindet.

Function Item_Reply(ByVal myResponse)
    Set myResponse.SaveSentMessageFolder = Item.Parent
End Function


Beispiel zum SelectionChange-Ereignis

In diesem Beispiel wird der Titel eines Formulars mit der Bezeichnung Form1 geändert, um die Anzahl der im obersten Explorer-Fenster ausgewählten Elemente anzeigen zu lassen. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim myOlApp As Outlook.Application
Public WithEvents myOlExp As Outlook.Explorer

Public Sub Initialize_handler()
    Set myOlExp = myOlApp.ActiveExplorer
End Sub

Private Sub myOlExp_SelectionChange()
    Form1.Caption = myOlExp.Selection.Count & " items selected."
End Sub


 Beispiel zum Send-Ereignis

Beispiel zum Send-Ereignis

Dieses VBScript-Beispiel verwendet das Send-Ereignis und sendet ein Element, das automatisch nach einer Woche verfällt.

Function Item_Send()
    Item.ExpiryTime = Date + 7
End Function


Beispiel zum ShortcutAdd-Ereignis

Dieses Beispiel ändert den Namen einer Kalender-Verknüpfung, wenn diese zur ersten Gruppe in der Outlook-Leiste hinzugefügt wird. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor die Ereignisprozedur von Microsoft Outlook aufgerufen werden kann.

Dim myOlApp As New Outlook.Application
Dim WithEvents myOlSCuts As Outlook.OutlookBarShortcuts
Dim myOlBar As Outlook.OutlookBarPane

Sub Initialize_handler()
    Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
    Set myOlSCuts = myOlBar.Contents.Groups.Item(1).Shortcuts
End Sub

Private Sub myOlSCuts_ShortcutAdd(ByVal NewShortcut As Outlook.OutlookBarShortcut)
    Dim myNS As Outlook.NameSpace
    Set myNS = myOlApp.GetNamespace("MAPI")
    If NewShortcut.Target.Name = "Calendar" Then
        NewShortcut.Name = myNS.CurrentUser & "'s Schedule"
    End If
End Sub


Beispiel zum Startup-Ereignis

In diesem Beispiel für Microsoft Outlook Visual Basic für Applikationen wird das Outlook Explorer-Fenster beim Start von Outlook maximiert.

Private Sub Application_Startup()
    Application.ActiveExplorer.WindowState = olMaximized
End Sub


Beispiel zum SyncEnd-Ereignis

In diesem Beispiel wird eine Beschriftung auf einem Formular aktualisiert, um anzuzeigen, dass die Synchronisation abgeschlossen wurde und dass die Funktionen der Schaltflächen auf dem Formular geändert wurden. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor die Ereignisprozedur von Microsoft Outlook aufgerufen werden kann.

Dim myOlApp As New Outlook.Application
Dim WithEvents mySync As Outlook.SyncObject
Dim myForm As New Form1

Sub Initialize_handler()
    Set mySync = myOlApp.Session.SyncObjects.Item(1)
End Sub

Private Sub mySync_SyncEnd()
    Form1.Label1.Caption = "Synchronization complete."
    Form1.Command1.Enabled = True
    Form1.Command2.Enabled = False
End Sub


Beispiel zum SyncStart-Ereignis

In diesem Beispiel wird die Beschriftung eines Formulars aktualisiert, um den Beginn der Synchonisation anzuzeigen. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor die Ereignisprozedur von Microsoft Outlook aufgerufen werden kann.

Dim myOlApp As New Outlook.Application
Dim WithEvents mySync As Outlook.SyncObject
Dim myForm As New Form1

Sub Initialize_handler()
    Set mySync = myOlApp.Session.SyncObjects.Item(1)
End Sub

Private Sub mySync_SyncStart()
    Form1.Label1.Caption = "Synchronization started"
End Sub


Beispiel zum ViewSwitch-Ereignis

In diesem Beispiel wird das sichtbare Vorschaufenster ausgeblendet, wenn der Benutzer in der Ansicht AutoVorschau zu den Nachrichten wechselt. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handler-Routine muss aufgerufen werden, bevor die Ereignisprozedur von Microsoft Outlook aufgerufen werden kann.

Dim myolapp As New Outlook.Application
Dim WithEvents myOlExpl As Outlook.Explorer

Sub Initialize_handler()
    Set myOlExpl = myolapp.ActiveExplorer
End Sub

Private Sub myOlExpl_ViewSwitch()
    If myOlExpl.CurrentView = "Messages with AutoPreview" And myOlExpl.IsPaneVisible(olPreview) = True Then
        myOlExpl.ShowPane olPreview, False
    End If
End Sub


 Beispiel zum Write-Ereignis

Beispiel zum Write-Ereignis

Dieses VBScript-Beispiel verwendet das Write-Ereignis und warnt den Benutzer, dass das Element gespeichert werden soll und ein vorhandenes Element überschreibt. Abhängig von der Antwort des Benutzers wird die Aktion fortgeführt oder beendet.

Function Item_Write()
    myMsg = "The item is about to be saved. Do you wish to overwrite the existing item?"
    myResult = MsgBox(myMsg, 289, "Save")
    If myResult = 1 Then
        Item_Write = True
    Else
        Item_Write = False
    End If
End Function


Neuigkeiten für Microsoft Outlook 98-Entwickler

Die folgenden Tabellen enthalten die neuen Methoden, Objekte und Eigenschaften in der Objektbibliothek von Microsoft Outlook 98.

Neue Methoden

Add (AddressEntries) | Details
ForwardAsVcal | ForwardAsVcard
GetFirst | GetFreeBusy
GetLast | GetNext
GetOccurrence | GetPrevious
PickFolder | ResetColumns
SetColumns | Update

Neue Objekte

AddressEntries-Auflistung | AddressEntry
AddressLists-Auflistung | AddressList
DocumentItem | Exception
Exceptions-Auflistung | MeetingItem (vorher MeetingRequestItem)
TaskRequestAcceptItem | TaskRequestDeclineItem
TaskRequestUpdateItem |

Neue Eigenschaften

AddressEntries | AddressEntry
AddressLists | AppointmentItem
Class | CompanyLastFirstNoSpace
CompanyLastFirstSpaceOnly | Deleted
DisplayType | EditorType
Exceptions | HTMLBody
HTMLEditor | Id
Index | InternetFreeBusyAddress
IsOnlineMeeting | IsReadOnly
Manager | Members
LastFirstAndSuffix | LastFirstNoSpace
LastFirstNoSpaceCompany | LastFirstSpaceOnly
LastFirstSpaceOnlyCompany | NetMeetingAlias
NetMeetingAutoStart | NetMeetingOrganizerAlias
NetMeetingServer | NetMeetingType
OriginalDate | RecurrenceState
ScriptText | Sent
Session | Submitted
WordEditor |


Hilfethema nicht verfügbar

Klicken Sie bitte auf die Schaltfläche Zurück, um zum ursprünglichen Thema zurückzukehren, oder klicken Sie auf Hilfethemen, um das Inhaltsverzeichnis anzuzeigen.


Hilfethema nicht verfügbar

Das Hilfethema kann nicht angezeigt werden, da die Microsoft Office Visual Basic-Hilfe nicht gefunden bzw. nicht installiert wurde oder entfernt wurde.

So installieren Sie die Microsoft Office Visual Basic-Hilfe

  1. Doppelklicken Sie in der Systemsteuerung auf Software.

  2. Klicken Sie auf der Registerkarte Installieren/Deinstallieren auf die installierte Version von Microsoft Office 2000 und dann auf Hinzufügen/Entfernen.

  3. Klicken Sie auf Features hinzufügen/entfernen, und blenden Sie dann in der Liste der Komponenten Office Tools ein.

  4. Klicken Sie auf das Symbol neben Visual Basic-Hilfe, um die Installationsoptionen anzuzeigen.

  5. Klicken Sie auf Vom Arbeitsplatz starten oder Vom Netzwerk starten und dann auf Update durchführen.


Neue Ereignisse (alphabetisch)

In der folgenden Tabelle werden Ereignisse, die zu vorhandenen Objekten in Microsoft Outlook 2000 hinzugefügt worden sind, in alphabetischer Ordnung aufgeführt.

Ereignis | Objekte
Activate | Explorer, Inspector
AttachmentAdd | Alle Outlook-Elemente
AttachmentRead | Alle Outlook-Elemente
BeforeAttachmentSave | Alle Outlook-Elemente
BeforeCheckNames | Alle Outlook-Elemente
BeforeFolderSwitch | Explorer
BeforeViewSwitch | Explorer
Deactivate | Explorer, Inspector
FolderAdd | Folders
FolderChange | Folders
FolderRemove | Folders
FolderSwitch | Explorer
ItemAdd | Items
ItemChange | Items
ItemRemove | Items
ItemSend | Application
NewMail | Application
OptionsPagesAdd | Application, NameSpace
Reminder | Application
SelectionChange | Explorer
ViewSwitch | Explorer


Neue Ereignisse (nach Objekt)

In der folgenden Tabelle werden Ereignisse, die zu vorhandenen Objekten in Microsoft Outlook 2000 hinzugefügt worden sind, nach Objektnamen geordnet aufgeführt.

Objekt | Ereignisse
Alle Outlook-Elemente | AttachmentAdd AttachmentRead BeforeAttachmentSave BeforeCheckNames
Application | ItemSend NewMail OptionsPagesAdd Reminder
Explorer | Activate BeforeFolderSwitch BeforeViewSwitch Deactivate FolderSwitch SelectionChange ViewSwitch
Folders | FolderAdd FolderChange FolderRemove
Inspector | Activate Deactivate
Items | ItemAdd ItemChange ItemRemove
NameSpace | OptionsPagesAdd


Neue Methoden (alphabetisch)

In der folgenden Tabelle werden Methoden, die zu vorhandenen Objekten in Microsoft Outlook 2000 hinzugefügt worden sind, in alphabetischer Ordnung aufgelistet.

Methode | Objekte
Activate | Explorer, Inspektor
ActiveWindow | Anwendung
IsPaneVisible | Explorer
ShowPane | Explorer


Neue Methoden (nach Objekt)

In der folgenden Tabelle werden Methoden, die zu vorhandenen Objekten in Microsoft Outlook 2000 hinzugefügt worden sind, nach Objektnamen geordnet aufgelistet.

Objekt | Methoden
Anwendung | ActiveWindow
Explorer | Activate IsPaneVisible ShowPane
Inspektor | Activate


 Neue Objekte

Neue Objekte

In der folgenden Tabelle werden Objekte, die zum Microsoft Outlook 2000-Objektmodell hinzugefügt wurden, aufgeführt.

Objekt | Beschreibung
AnswerWizard | Stellt den Hilfe-Assistenten dar.
COMAddIns-Auflistung | Enthält COMAddIn-Objekte, die alle in Outlook geladenen COM-Add-Ins darstellen.
DistListItem | Stellt eine Verteilerliste in einem Kontakteordner dar.
Explorer-Auflistung | Enthält Explorer-Objekte, die alle Explorer-Fenster darstellen.
Inspectors-Auflistung | Enthält Inspector-Objekte, die alle Inspektor-Fenster darstellen.
LanguageSettings | Enthält Informationen über die in Outlook verwendeten Spracheinstellungen.
Link | Stellt ein Element dar, das mit einem anderen Outlook-Element verknüpft ist.
Links-Auflistung | Enthält Link-Objekte, die alle mit einem bestimmten Element verknüpften Elemente darstellen.
OutlookBarGroup | Stellt eine Gruppe von Verknüpfungen auf der Outlook-Leiste dar.
OutlookBarGroups-Auflistung | Enthält OutlookBarGroup-Objekte, die alle Verknüpfungsgruppen auf der Outlook-Leiste darstellen.
OutlookBarPane | Stellt die Outlook-Leiste dar.
OutlookBarShortcut | Stellt eine Verknüpfung auf der Outlook-Leiste dar.
OutlookBarShortcuts-Auflistung | Enthält OutlookBarShortcut-Objekte, die alle Verknüpfungen in einer Gruppe der Outlook-Leiste darstellen.
OutlookBarStorage | Stellt den Speicher für Objekte in der Outlook-Leiste dar.
Panes | Enthält Objekte, die Fensterausschnitte in einem Explorer darstellen.
PropertyPage | Stellt eine benutzerdefinierte Seite dar, die dem Outlook-Dialogfeld Optionen oder dem Dialogfeld Eigenschaften eines Ordners hinzugefügt wurde.
PropertyPages-Auflistung | Enthält PropertyPage-Objekte, die alle zu einem Dialogfeld hinzugefügten benutzerdefinierten Seiten darstellen.
PropertyPageSite | Stellt den Container einer benutzerdefinierten Eigenschaftenseite dar.
Selection-Auflistung | Enthält eine Gruppe von Outlook-Elementen, die diejenigen Elemente darstellen, die gerade in einem Explorer gewählt worden sind.
SyncObject | Stellt ein Synchronisationsprofil für einen Benutzer dar.
SyncObjects-Auflistung | Enthält SyncObject-Objekte, die das Synchonisationsprofil für einen Benutzer darstellen.


Neue Eigenschaften (alphabetisch)

Eigenschaften, die zu vorhandenen Objekten in Microsoft Outlook 2000 hinzugefügt worden sind, werden in der folgenden Tabelle in alphabetischer Ordnung aufgeführt .

Eigenschaft | Objekte
AnswerWizard | Application
Caption | Explorer, Inspector
COMAddIns | Application
CurrentView | Explorer
Explorers | Application
Height , Width | Explorer, Inspector
Inspectors | Application
LanguageSettings | Application
Left , Top | Explorer, Inspector
Links | Alle Outlook-Elemente
NetMeetingDocPathName | AppointmentItem
NetShowURL | AppointmentItem
Panes | Explorer
Selection | Explorer
SyncObjects | NameSpace
WebViewAllowNavigation | MAPIFolder
WebViewOn | MAPIFolder
WebViewURL | MAPIFolder
WindowState | Explorer, Inspector


Neue Eigenschaften (nach Objekt)

In der folgenden Tabelle werden Eigenschaften, die zu vorhandenen Objekten in Microsoft Outlook 2000 hinzugefügt worden sind, nach Objektnamen geordnet aufgeführt.

Objekt | Eigenschaften
Alle Outlook-Elemente | Links
Application | AnswerWizard COMAddIns Explorers Inspectors LanguageSettings
AppointmentItem | NetMeetingDocPathName NetShowURL
Explorer | Caption CurrentView Height, Width Left, Top Panes Selection WindowState
Inspector | Caption Height, Width Left, Top WindowState
MAPIFolder | WebViewAllowNavigation olproWebViewOn WebViewURL
NameSpace | SyncObjects


 Outlook-Elementobjekte

Outlook-Elementobjekte

Outlook-Elemente sind

  • AppointmentItem

  • ContactItem

  • DistListItem

  • DocumentItem

  • JournalItem

  • MailItem

  • MeetingItem

  • NoteItem

  • PostItem

  • RemoteItem

  • ReportItem

  • TaskItem

  • TaskRequestAcceptItem

  • TaskRequestDeclineItem

  • TaskRequestItem

  • TaskRequestUpdateItem


Beispiel zur Activate-Methode

In diesem Beispiel reagiert Microsoft Visual Basic/Visual Basic für Applikationen auf das Ereignis NewMail, indem das Explorer-Fenster aktiviert wird. Der Beispielcode muss sich in einem Klassenmodul befinden, und die Initialize_handlers-Routine muss aufgerufen werden, bevor die Ereignisprozedur von Microsoft Outlook aufgerufen werden kann.

Public WithEvents myOlApp As Outlook.Application
Public WithEvents myOlExp As Outlook.Explorer

Public Sub Initialize_handlers()
    Set myOlApp = CreateObject("Outlook.Application")
    Set myOlExp = myOlApp.ActiveExplorer
End Sub

Private Sub myOlApp_NewMail()
    myOlExp.Activate
End Sub


Beispiel zur ActiveExplorer-Methode

In diesem Beispiel für Visual Basic für Applikationen wird ActiveExplorer verwendet, um zu zeigen, wie Sie ein Explorer-Objekt erhalten können. Sie erhalten vorzugsweise den aktiven Explorer des Benutzers, es wird jedoch ein neuer für myFolder erstellt, wenn kein Explorer auf dem Desktop existiert.

Set myOlApp = CreateObject("Outlook.Application")
Set myExplorer = myOlApp.ActiveExplorer
If TypeName(myExplorer) = "Nothing" Then
    Set myExplorer = myFolder.GetExplorer
End If


 Beispiel zur ActiveInspector-Methode

Beispiel zur ActiveInspector-Methode

In diesem Beispiel für Visual Basic für Applikationen wird die ActiveInspector-Methode verwendet, um zu zeigen, wie Sie das zu diesem Zeitpunkt aktive Inspector-Objekt erhalten und wie Sie den Namen des Elements, das der Inspektor anzeigt, aufrufen können.

Set myOlApp = CreateObject("Outlook.Application")
Set myInspector = myOlApp.ActiveInspector
MsgBox "The active item is " & myInspector.CurrentItem.Subject

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie Sie die gleiche Aufgabe unter Verwendung von VBScript ausführen.

Set myInspector = Application.ActiveInspector
MsgBox "The active item is " & myInspector.CurrentItem.Subject


Beispiel zur ActiveWindow-Methode

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird gezeigt, wie das oberste Microsoft Outlook-Fenster minimiert wird, wenn es sich dabei um ein Inspektor-Fenster handelt.

Dim myOlApp As New Outlook.Application
If TypeName(myOlApp.ActiveWindow) = "Inspector" Then
    myOlApp.ActiveWindow.WindowState = olMinimized
End If

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

If TypeName(Application.ActiveWindow) = "Inspector" Then
    Application.ActiveWindow.WindowState = 1
End If


 Add-Methode (Actions-Auflistung)

Add-Methode (Actions-Auflistung)

Erstellt eine neue Aktion in der Actions-Auflistung und gibt die neue Aktion als Action-Objekt zurück.

Syntax

objActions.Add

objActions Erforderlich. Ein Ausdruck, der ein Actions-Auflistungsobjekt zurückgibt.


Beispiel zur Add-Methode (Actions-Auflistung)

In diesem Beispiel für Visual Basic für Applikationen wird eine neue E-Mail-Nachricht erstellt und dieser eine Aktion unter Verwendung der Add-Methode hinzugefügt.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myAction = myItem.Actions.Add

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(0)
Set myAction = myItem.Actions.Add


 Add-Methode (AddressEntries-Auflistung)

Add-Methode (AddressEntries-Auflistung)

Erstellt einen neuen Adresseintrag in einer AddressEntries-Auflistung und gibt die neue Adresse als AddressEntry-Objekt zurück.

Anmerkung Neue Einträge oder Änderungen an vorhandenen Einträgen werden erst dann dauerhaft in die Auflistung übernommen, wenn die Update-Methode aufgerufen wurde.

Syntax

objAddressEntries.Add(Type, [Name], [Address])

objAddressEntries Erforderlich. Ein Ausdruck, der ein AddressEntries-Auflistungsobjekt zurückgibt.

Type Erforderlicher Wert vom Typ String. Der Typ des Adresseintrags.

Name Optionaler Wert vom Typ String. Anzeigename für den Adresseintrag.

Address Optionaler Wert vom Typ String. Die E-Mail-Adresse des Adresseintrags.


Beispiel zur Add-Methode (AddressEntries-Auflistung)

In diesem Beispiel für VBScript wird das Click-Ereignis einer Befehlsschaltfläche verwendet. Der Name im Feld "An" des Formulars und der Vorgesetzte dieser Person befinden sich im Globalen Adressbuch. Beide Einträge werden mit Hilfe der Add-Methode zum Persönlichen Adressbuch des Absenders hinzugefügt.

Sub CommandButton1_Click()
    myName = Item.To
    Set myNameSpace = Application.GetNameSpace("MAPI")
    Set myGAddressList = myNameSpace.AddressLists("Global Address List")
    Set myGEntries = myGAddressList.AddressEntries
    Set myGEntry = myGEntries(myName)
    myManager = myGEntry.Manager
    Set myGEntry2 = myGEntries(myManager)
    Set myPAddressList = myNameSpace.AddressLists("Personal Address Book")
    Set myPEntries = myPAddressList.AddressEntries
    'Add a new AddressEntry object to the personal
    'address collection with the name, address, and
    'manager of the name in your To field.
    Set myPEntry = myPEntries.Add("Microsoft Mail Address", myName)
    myPEntry.Address = myGEntry.Address
    myPEntry.Manager = myGentry.Manager
    'Update to persist the collection.
    myPEntry.Update
    'Now add the manager's info. to
    'the Personal address collection.
    Set myPEntry2 = myPEntries.Add("Microsoft Mail Address", myManager)
    myPEntry2.Address = myGEntry2.Address
    myPEntry2.Manager = myGentry2.Manager
    myPEntry2.Update
End Sub


 Add-Methode (Attachments-Auflistung)

Add-Methode (Attachments-Auflistung)

Erstellt eine neue Anlage in einer Attachments-Auflistung und gibt die neue Anlage als Attachment-Objekt zurück.

Syntax

objAttachments.Add(Source, [Type], [Position], [DisplayName])

objAttachments Erforderlich. Ein Ausdruck, der ein Objekt der Attachments-Auflistung zurückgibt.

Source Erforderlicher Wert vom Typ Variant. Die Datei (mit vollständigem Pfad- und Dateinamen) oder das Element, das die Anlage bildet.

Type Optionaler Wert vom Typ Long. Der Typ der Anlage. Folgende OlAttachmentType-Konstanten sind möglich: olByReference(4), olByValue(1) oder olEmbeddedItem(5).

Position Optionaler Wert vom Typ Long. Die Position der Anlage im Nachrichtentext.

DisplayName Optionaler Wert vom Typ String. Der Anzeigename der Anlage. Wird ignoriert, es sei denn, als Type ist olByValue eingestellt.

Hinweise

Die folgende Tabelle beschreibt den Zweck jeder OlAttachmentType-Konstante.

Konstante | Zweck
olByReference | Erstellen einer Verknüpfung zu einer externen Datei
olByValue | Einbetten einer Anlage in das Element
olEmbeddedItem | Erstellen einer Verknüpfung zu einem Outlook-Element

Wenn eine Anlage zur Attachments-Auflistung eines Elements hinzugefügt wird, wird die Eigenschaft Type der Anlage bis zum Speichern des Elements immer als olOLE(6) zurückgegeben.

Um einheitliche Ergebnisse zu gewährleisten, sollten Sie ein Element immer speichern, bevor Sie Objekte zur Attachments-Auflistung des Elements hinzufügen oder aus ihr entfernen.


Beispiel zur Add-Methode (Attachments-Auflistung)

In diesem Beispiel für Visual Basic für Applikationen wird CreateItem verwendet, um eine neue E-Mail-Nachricht zu erstellen. Anschließend wird mit Hilfe der Eigenschaft Attachments ein Microsoft Excel-Arbeitsblatt als Anlage (nicht als Verknüpfung) angefügt und der Anlage eine beschreibende Überschrift gegeben.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myAttachments = myItem.Attachments
myAttachments.Add "C:\My Documents\Q496.xls", _
    olByValue, 1, "4th Quarter 1996 Results Chart"

In diesem Beispiel für Visual Basic für Applikationen wird eine neue E-Mail-Nachricht erstellt, an die ein Microsoft Word-Dokument von einem Server durch Verknüpfen angefügt wird.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myAttachments = myItem.Attachments
Set myAttachment = myAttachments.Add _
"\\MYSVR1\Reports\Q496Report.doc", _
    olByReference

In diesem Beispiel für Visual Basic für Applikationen wird eine neue E-Mail-Nachricht erstellt und der erste Kontakt im Standardordner mit Kontakten angefügt.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(olFolderContacts)
Set myFirstContact = myFolder.Items(1)
Set myItem = myOlApp.CreateItem(olMailItem)
Set myAttachments = myItem.Attachments
myAttachments.Add myFirstContact

Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(10)
Set myFirstContact = myFolder.Items(1)
Set myItem = Application.CreateItem(0)
Set myAttachments = myItem.Attachments
myAttachments.Add myFirstContact


 Add-Methode (Explorers-Auflistung)

Add-Methode (Explorers-Auflistung)

Erstellt ein neues Explorer-Fenster und gibt das resultierende Explorer-Objekt zurück.

Syntax

object.Add(Folder[, DisplayMode])

object Erforderlich. Ein Ausdruck, der ein Objekt der Explorers-Auflistung zurückgibt.

Folder Erforderlich. Das MAPIFolder-Objekt, das nach der Erstellung im Explorer-Fenster angezeigt wird.

DisplayMode Optionaler Wert vom Typ Long. Der Anzeigemodus des Ordners. Folgende OlFolderDisplayMode-Konstanten sind möglich: olFolderDisplayFolderOnly(1), olFolderDisplayNoNavigation(2) oder olFolderDisplayNormal(0). Der Standardwert ist olFolderDisplayNormal(0).

Hinweise

Das Explorer-Fenster ist anfangs nicht sichtbar. Sie müssen den Display des Explorer-Objekts aufrufen, um es sichtbar zu machen.


Beispiel zur Add-Methode (Explorers-Auflistung)

Im folgenden Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird der Ordner Drafts in einem Explorer-Fenster ohne Outlook-Leiste oder Ordnerliste angezeigt.

Dim myOlApp As New Outlook.Application
Dim myExplorers As Outlook.Explorers
Dim myOlExpl As Outlook.Explorer
Dim myFolder As Outlook.MAPIFolder
Set myExplorers = myOlApp.Explorers
Set myFolder = myOlApp.GetNamespace("MAPI").GetDefaultFolder _
    (olFolderDrafts)
Set myOlExpl = myExplorers.Add _
    (myFolder, olFolderDisplayNoNavigation)
myOlExpl.Display

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myExplorers = Application.Explorers
Set myFolder = Application.GetNamespace("MAPI").GetDefaultFolder(16)
Set myOlExpl = myExplorers.Add(myFolder, 2)
myOlExpl.Display


 Add-Methode (Folders-Auflistung)

Add-Methode (Folders-Auflistung)

Erstellt in der Folders-Auflistung einen neuen Ordner und gibt den neuen Ordner als MAPIFolder-Objekt zurück.

Syntax

objFolders.Add(Name, [Type])

objFolders Erforderlich. Ein Ausdruck, der ein Folders-Objekt zurückgibt.

Name Erforderlicher Wert vom Typ String. Der Anzeigename für den neuen Ordner.

Type Optionaler Wert vom Typ Long. Der Outlook-Ordnertyp des neuen Ordners. Wenn kein Ordnertyp angegeben wird, verwendet der neue Ordner standardmäßig denselben Typ wie der Ordner, in dem er erstellt wurde. Folgende OlDefaultFolders-Konstanten sind möglich: olFolderCalendar(9), olFolderContacts(10), olFolderDrafts(16), olFolderInbox(6), olFolderJournal(11), olFolderNotes(12) oder olFolderTasks(13). (Die Konstanten olFolderDeletedItems(3), olFolderOutbox(6) und olFolderSentMail(5) können für dieses Argument nicht angegeben werden.)


Beispiel zur Add-Methode (Folders-Auflistung)

Dieses Beispiel für Visual Basic für Applikationen verwendet die Add-Methode, um den neuen Ordner mit dem Namen "My Contacts" zum aktuellen (Standard-)Kontaktordner hinzuzufügen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNamespace.GetDefaultFolder(olFolderContacts)
Set myNewFolder = myFolder.Folders.Add("My Contacts")

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNamespace.GetDefaultFolder(10)
Set myNewFolder = myFolder.Folders.Add("My Contacts")

Dieses Beispiel für Visual Basic für Applikationen verwendet die Add-Methode, um zwei neue Ordner zu dem Ordner Aufgaben hinzuzufügen. Der erste Ordner, "Notes Folder", enthält Notizelemente. Der zweite Ordner, "Contacts Folder", enthält Kontaktelemente. Wenn die Ordner bereits existieren, informiert ein Meldungsfeld den Benutzer.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNamespace.GetDefaultFolder(olFolderTasks)
On Error GoTo ErrorHandler
Set myNotesFolder = myFolder.Folders.Add ("Notes Folder", olFolderNotes)
On Error GoTo ErrorHandler
Set myContactFolder = myFolder.Folders.Add ("Contacts Folder", olFolderContacts)
Exit Sub
ErrorHandler:
    MsgBox "This folder already exists!"


 Add-Methode (Inspectors-Auflistung)

Add-Methode (Inspectors-Auflistung)

Erstellt ein neues Inspektor-Fenster und gibt das daraus resultierende Inspector-Objekt zurück.

Syntax

object.Add(Item)

object Erforderlich. Ein Ausdruck, der ein Objekt der Inspectors-Auflistung zurückgibt.

Item Erforderliches Item-Objekt. Das Element, das nach der Erstellung im Inspektor-Fenster angezeigt wird.

Hinweise

Diese Methode ist im wesentlichen mit der Eigenschaft GetInspector identisch.


Beispiel zur Add-Methode (Inspectors-Auflistung)

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird der Benutzer aufgefordert, den Namen eines Unternehmens einzugeben. Mit Hilfe der Restrict-Methode werden alle Kontakte mit diesem Namen im Kontaktordner gesucht, und jeder dieser Kontakte wird angezeigt.

Dim myOlApp As New Outlook.Application
Answer = InputBox("Enter the company name")
Set myFolder = myOlApp.GetNamespace("MAPI") _
    .GetDefaultFolder(olFolderContacts)
Set myItems = myFolder.Items.Restrict("[MessageClass] = 'IPM.Contact'")
Set myRestrictItems = myItems.Restrict("[CompanyName] = " & Answer)
For x = 1 To myRestrictItems.Count
    Set myInspector = myOlApp.Inspectors.Add(myRestrictItems.Item(x))
    myInspector.Display
Next x

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Answer = InputBox("Enter the company name")
Set myFolder = _
    Application.GetNamespace("MAPI").GetDefaultFolder(10)
Set myItems = myFolder.Items.Restrict("[MessageClass] = 'IPM.Contact'")
Set myRestrictItems = myItems.Restrict("[CompanyName] = " & Answer)
For x = 1 To myRestrictItems.Count
    Set myInspector = Application.Inspectors.Add(myRestrictItems.Item(x))
    myInspector.Display
Next


 Add-Methode (Items-Auflistung)

Add-Methode (Items-Auflistung)

Erstellt in der Items-Auflistung für den Ordner ein neues Outlook-Element und gibt das neue Element zurück. Wenn keine Angabe erfolgt, nimmt der Typ des Elements standardmäßig den Typ des Ordners an bzw. MailItem, wenn der übergeordnete Ordner über keinen Typ verfügt.

Syntax

objItems.Add([Type])

objItems Erforderlich. Ein Ausdruck, der ein Items-Auflistungsobjekt zurückgibt.

Type Optionaler Wert vom Typ Variant. Der Typ des Outlook-Elements für das neue Element. Folgende OlItemType-Konstanten sind möglich: olAppointmentItem(1), olContactItem(2), olJournalItem(4), olMailItem(0), olNoteItem(5), olPostItem(6) oder olTaskItem(3) oder jede andere gültige Nachrichtenklasse. Geben Sie die Nachrichtenklasse an, um benutzerdefinierte Formulare zu erstellen.


Beispiel zur Add-Methode (Items-Auflistung)

Dieses Beispiel für Visual Basic für Applikationen ruft den aktuellen Kontaktordner auf und fügt ihm ein neues ContactItem-Objekt hinzu.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = _
    myNamespace.GetDefaultFolder(olFolderContacts)
Set myItem = myFolder.Items.Add

In diesem Beispiel für Visual Basic für Applikationen wird ein benutzerdefiniertes Formular zum Standardaufgabenordner hinzugefügt.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = _
    myNamespace.GetDefaultFolder(olFolderTasks)
Set myItems = myFolder.Items
Set myItem = myItems.Add("IPM.Task.myTask")


 Add-Methode (Links-Auflistung)

Add-Methode (Links-Auflistung)

Verknüpft ein Element mit einem anderen Element, indem ein Link-Objekt zu der dem Element entsprechenden Links-Auflistung hinzugefügt wird.

Syntax

object.Add(Item)

object Erforderlich. Ein Ausdruck, der ein Objekt der Links-Auflistung zurückgibt.

Item Erforderlich. Das Element, das mit dem der Links-Auflistung zugehörigen Element verknüpft werden soll. Für Microsoft Outlook 2000 muss dies ein ContactItem-Objekt sein.


 Beispiel zur Add-Methode (Links-Auflistung)

Beispiel zur Add-Methode (Links-Auflistung)

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird ein neues Aufgaben-Element erstellt. Anschließend wird der Benutzer nach dem Namen eines Kontakts gefragt, der mit dem Element verknüpft werden soll. Wenn der Kontakt gefunden wird, wird er zur Links-Auflistung des Elements hinzugefügt.

Dim myOlApp As New Outlook.Application
Dim myNameSpace As Outlook.NameSpace
Dim myFolder As Outlook.MAPIFolder
Dim myTask As Outlook.TaskItem
Dim myContact As Outlook.ContactItem
Set myTask = myOlApp.CreateItem(olTaskItem)
Set myNameSpace = myOlApp.GetNamespace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderContacts)
tempstr = InputBox("Enter the name of the contact to link to this task")
If tempstr <> "" Then
    tempstr = "[Full Name] = """ & tempstr & """"
    Set myItems = myFolder.Items.Restrict("[MessageClass] = 'IPM.Contact'")
    Set myContact = myItems.Find(tempstr)
    myTask.Links.Add myContact
myTask.Display

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myTask = Application.CreateItem(3)
Set myNameSpace = Application.GetNamespace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(10)
tempstr = InputBox("Enter the name of the contact to link to this task")
If tempstr <> "" Then
    tempstr = "[Full Name] = """ & tempstr & """"
    Set myItems = myFolder.Items.Restrict("[MessageClass] = 'IPM.Contact'")
    Set myContact = myItems.Find(tempstr)
    myTask.Links.Add myContact
myTask.Display


Beispiel zur AddMembers-Methode

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird eine neue Verteilerliste erstellt, der der aktuelle Benutzer hinzugefügt wird.

Dim myOlApp As New Outlook.Application
Dim myNameSpace As Outlook.NameSpace
Dim myDistList As Outlook.DistListItem
Dim myTempItem As Outlook.MailItem
Dim myRecipients As Outlook.Recipients
Set myNameSpace = myOlApp.GetNamespace("MAPI")
Set myDistList = myOlApp.CreateItem(olDistributionListItem)
Set myTempItem = myOlApp.CreateItem(olMailItem)
Set myRecipients = myTempItem.Recipients
myDistList.DLName = _
    InputBox("Enter the name of the new distribution list")
myRecipients.Add myNameSpace.CurrentUser.Name
myDistList.AddMembers myRecipients
myDistList.Display

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNamespace("MAPI")
Set myDistList = Application.CreateItem(7)
Set myTempItem = Application.CreateItem(0)
Set myRecipients = myTempItem.Recipients
myDistList.DLName = _
    InputBox("Enter the name of the new distribution list")
myRecipients.Add myNameSpace.CurrentUser.Name
myDistList.AddMembers myRecipients
myDistList.Display


 Add-Methode (OutlookBarGroups-Auflistung)

Add-Methode (OutlookBarGroups-Auflistung)

Fügt eine neue, leere Gruppe auf der Outlook-Leiste hinzu und gibt die neue Gruppe als OutlookBarGroup-Objekt zurück.

Syntax

object.Add(Name[, Index])

object Erforderlich. Ein Ausdruck, der ein Objekt der OutlookBarGroups-Auflistung zurückgibt.

Name String erforderlich. Der Name der zu erstellenden Gruppe.

Index Optionaler Wert vom Typ Long. Die Position, an der die neue Gruppe auf der Outlook-Leiste eingefügt wird. Position 1 befindet sich auf der Leiste an oberster Stelle.


Beispiel zur Add-Methode (OutlookBarGroups-Auflistung)

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird der Outlook-Leiste eine Gruppe mit dem Namen "Marketing" als zweite Gruppe hinzugefügt.

Dim myOlApp As New Outlook.Application
Dim myolBar As Outlook.OutlookBarPane
Set myolBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
myolBar.Contents.Groups.Add "Marketing", 2

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript durchgeführt wird.

Set myolBar = Application.ActiveExplorer.Panes.Item("OutlookBar")
myolBar.Contents.Groups.Add "Marketing", 2


 Add-Methode (OutlookBarShortcuts-Auflistung)

Add-Methode (OutlookBarShortcuts-Auflistung)

Fügt einer Gruppe auf der Outlook-Leiste eine neue Verknüpfung hinzu und gibt die Verknüpfung als ein OutlookBarShortcut-Objekt zurück.

Syntax

object.Add(Target, Name[, Index])

object Erforderlich. Ein Ausdruck, der ein Objekt der OutlookBarShortcuts-Auflistung zurückgibt.

Target Variant erforderlich. Das Ziel der zu erstellenden Verknüpfung.

Name String erforderlich. Der Name der zu erstellenden Verknüpfung.

Index Optionaler Wert vom Typ Long. Die Position, an der die neue Verknüpfung in die Gruppe auf der Outlook-Leiste eingefügt wird. Position 0 befindet sich in der Gruppe an oberster Stelle.

Hinweise

Der Target-Typ ist abhängig vom Verknüpfungstyp. Wenn es sich um MAPIFolder handelt, stellt die Verknüpfung einen Microsoft Outlook-Ordner dar. Wenn es sich um String handelt, stellt die Verknüpfung einen Pfad zu einem Dateisystem oder einen URL dar.


Beispiel zur Add-Methode (OutlookBarShortcuts-Auflistung)

Im folgenden Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird eine Verknüpfung zur Microsoft-Homepage im Web eingefügt.

Dim myOlApp As New Outlook.Application
Dim myOlBar As Outlook.OutlookBarPane
Dim myolGroup As Outlook.OutlookBarGroup
Dim myOlShortcuts As Outlook.OutlookBarShortcuts
Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
Set myolGroup = myOlBar.Contents.Groups.Item(1)
Set myOlShortcuts = myolGroup.Shortcuts
myOlShortcuts.Add "http://www.microsoft.com", _
    "Microsoft Homepage", 3

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myOlBar = _
    Application.ActiveExplorer.Panes.Item("OutlookBar")
Set myolGroup = myOlBar.Contents.Groups.Item(1)
Set myOlShortcuts = myolGroup.Shortcuts
myOlShortcuts.Add "http://www.microsoft.com", _
    "Microsoft Homepage", 3


 Add-Methode (Pages-Auflistung)

Add-Methode (Pages-Auflistung)

Erstellt in der Pages-Auflistung eine Seite und gibt die neue Seite zurück. Die Pages-Auflistung ist zu Beginn leer. Pro Auflistung sind maximal 5 benutzerdefinierte Seiten zulässig.

Syntax

objPages.Add(Name)

objPages Erforderlich. Ein Ausdruck, der ein Pages-Auflistungsobjekt zurückgibt.

Name Erforderlicher Wert vom Typ String. Der Name der Seite.


Beispiel zur Add-Methode (Pages-Auflistung)

In diesem Beispiel für Visual Basic für Applikationen wird eine neue benutzerdefinierte Seite mit dem Namen "My Page" zurückgegeben. (Der gleiche Aufruf ohne Namensangabe gibt die nächste verfügbare Seite zurück, die angepasst werden kann, z. B.: "Custom1".)

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
Set myPages = myItem.GetInspector.ModifiedFormPages
Set myPage = myPages.Add("My Page")


 Add-Methode (PropertyPages-Auflistung)

Add-Methode (PropertyPages-Auflistung)

Fügt eine neue benutzerdefinierte Eigenschaftenseite zum Dialogfeld Optionen von Microsoft Outlook oder zum Dialogfeld Eigenschaften des Ordners hinzu.

Syntax

object.Add(Page[, Caption])

object Erforderlich. Ein Ausdruck, der ein Objekt der PropertyPages-Auflistung zurückgibt.

Page Variant erforderlich. Die Eigenschaftenseite, die zum Dialogfeld hinzugefügt wird.

Caption Optional. String. Die Beschriftung, die auf der Registerkarte Eigenschaftenseite angezeigt wird.

Hinweise

Page kann ein PropertyPage-Objekt oder ein String sein, der den programmtechnischen OLE-Bezeichner des ActiveX-Steuerelements enthält, das die benutzerdefinierte Eigenschaftenseite implementiert. Wenn es sich bei Page um ein PropertyPage-Objekt handelt, muss die Eigenschaftenseite in einer prozessinternen DLL implementiert werden. Wenn es sich um einen programmtechnischen Bezeichner handelt, kann die Eigenschaftenseite auch in einer selbständig ausführbaren Datei oder einem Microsoft Visual Basic für Applikationen-Programm implementiert werden.


Beispiel zur Add-Methode (PropertyPages-Auflistung)

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird dem Dialogfeld Optionen von Microsoft Outlook eine neue Eigenschaftenseite mit dem Namen "Project Settings" hinzugefügt. Der Beispielcode muss in ein Klassenmodul eingefügt werden, und die Routine Initialize_handler muss aufgerufen werden, bevor Microsoft Outlook die Ereignisprozedur aufrufen kann.

Dim WithEvents myOlApp As Outlook.Application
Dim myPropertyPage As Outlook.PropertyPage

Sub Initialize_handler()
    Set myOlApp = CreateObject("Outlook.application")
End Sub

Private Sub myOlApp_OptionsPagesAdd(ByVal Pages As Outlook.PropertyPages)
    Set myPropertyPage = ProjPage
    Pages.Add  "myPropertyPage.Page1", "Project Settings"
End Sub


 Add-Methode (Recipients-Auflistung)

Add-Methode (Recipients-Auflistung)

Erstellt einen neuen Empfänger in der Recipients-Auflistung, und gibt den neuen Empfänger als Recipient-Objekt zurück.

Syntax

objRecipients.Add(Name)

objRecipients Erforderlich. Ein Ausdruck, der ein Recipients-Auflistungsobjekt zurückgibt.

Name Erforderlicher Wert vom Typ String. Der Anzeigename des Empfängers.


Beispiel zur Add-Methode (Recipients-Auflistung)

In diesem Beispiel für Visual Basic für Applikationen wird eine neue E-Mail-Nachricht erstellt. Mit Hilfe der Add-Methode wird "Allison Klein" als An-Empfänger hinzugefügt und die Nachricht angezeigt.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myRecipient = myItem.Recipients.Add("Allison Klein")
myItem.Display

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript durchgeführt wird.

Set myItem = Application.CreateItem(0)
Set myRecipient = myItem.Recipients.Add("Allison Klein")
myItem.Display


Beispiel zur AddStore-Methode

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird dem Benutzerprofil ein neue persönliche Ordner-Datei (.pst) hinzugefügt.

Dim myOlApp As New Outlook.Application
Dim myNS As Outlook.NameSpace
Set myNS = myOlApp.GetNamespace("MAPI")
myNS.AddStore "c:\my documents\" & myNS.CurrentUser & ".pst"

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript durchgeführt wird.

Set myNS = Application.GetNamespace("MAPI")
myNS.AddStore "c:\my documents\" & myNS.CurrentUser & ".pst"


 Add-Methode (UserProperties-Auflistung)

Add-Methode (UserProperties-Auflistung)

Erstellt in der UserProperties-Auflistung eine neue Benutzereigenschaft und gibt die neue Eigenschaft als UserProperty-Objekt zurück.

Syntax

objUserProperties.Add(Name, Type, [AddToFolderFields], [DisplayFormat])

objUserProperties Erforderlich. Ein Ausdruck, der ein Objekt der UserProperties-Auflistung zurückgibt.

Name Erforderlicher Wert vom Typ String. Der Name der Eigenschaft.

Typ Erforderlicher Wert vom Typ Long. Der Typ der Eigenschaft. Die folgenden OlUserPropertyType-Konstanten sind möglich: olCombination(19), olCurrency(14), olDateTime(5), olDuration(7), olFormula(18), olKeywords(11), olNumber(3), olPercent(12), olText(1) oder olYesNo(6).

AddToFolderFields Optionaler Wert vom Typ Boolean. True, wenn die Eigenschaft zu den Ordnerfeldern hinzugefügt werden soll, andernfalls False. Der Standardwert ist True.

DisplayFormat Optionaler Wert vom Typ Long. Der Index des Formats der angegebenen OlUserPropertyType-Konstante. Weitere Informationen finden Sie im Abschnitt Hinweise.

Hinweise

Um den Index eines Formats nachzuschlagen, der im Argument DisplayFormat angegeben werden soll, führen Sie die folgenden Schritte durch.

  1. Öffnen Sie im Entwurfsmodus ein neues Element.

  2. Klicken Sie auf eine leere Seite. Wenn die Feldauswahl nicht angezeigt wird, klicken Sie in der Symbolleiste auf die Schaltfläche Feldauswahl.

  3. Klicken Sie in der Feldauswahl auf die Schaltfläche Neu.

  4. Wählen Sie im Dialogfeld Neues Feld im Feld Typ den entsprechenden Feldtyp, und suchen Sie dann das gewünschte Format im Feld Format. Der Index des Formats entspricht der Position in dieser Liste. Die erste Benutzereigenschaft hat den Index 1.


Beispiel zur Add-Methode (UserProperties-Auflistung)

In diesem Beispiel für Visual Basic für Applikationen wird ein neues ContactItem-Objekt erstellt und "LastDateSpokenWith" als Benutzereigenschaft hinzugefügt.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
Set myUserProperty = myItem.UserProperties _
    .Add("LastDateSpokenWith", olDateTime)

In diesem Beispiel für Visual Basic für Applikationen wird ein neues ContactItem-Objekt erstellt und "Notes" als Benutzereigenschaft hinzugefügt . Der Wert wird festgelegt, indem auf den Index der neuen Eigenschaft zugegriffen wird.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
Set myUserProperty = myItem.UserProperties _
    .Add("Notes", olText)
myItem.UserProperties(1).Value = "Neighbor"


Beispiel zur Apply-Methode

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen werden zwei globale Variablen festgelegt, um Werte aus Steuerelementen in einem Formular wiederzugeben. Danach wird eine globale Variable festgelegt, die die Eigenschaft Dirty auf False setzt.

Private Sub PropertyPage_Apply()
    globWorkGroup = Form1.Text1.Text
    globUserType = Form1.Combo1.Text
    globDirty = False
End Sub


Beispiel zur Assign-Methode

In diesem Beispiel für Visual Basic für Applikationen wird CreateItem verwendet, um eine einfache Aufgabe zu erstellen und sie als Aufgabenanfrage an einen anderen Benutzer zu delegieren.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olTaskItem)
myItem.Assign
Set myDelegate = myItem.Recipients.Add("April LaMonte")
myItem.Subject = "Prepare Agenda For Meeting"
myItem.DueDate = #9/20/97#
myItem.Send

Wenn Sie VBScript verwenden, können Sie kein Application-Objekt erstellen, und Sie können keine unbenannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript durchgeführt wird.

Set myItem = Application.CreateItem(3)
myItem.Assign
Set myDelegate = myItem.Recipients.Add("April LaMonte")
myItem.Subject = "Prepare Agenda For Meeting"
myItem.DueDate = #9/20/97#
myItem.Send


Beispiel zur Close-Methode

In diesem Beispiel für Visual Basic für Applikationen wird CreateItemverwendet , um eine E-Mail-Nachricht zu öffnen. Anschließend wird zur Ankündigung einer Änderung ein Empfänger hinzugefügt. Mit Hilfe der Close-Methode wird das Element geschlossen und der Benutzer aufgefordert, die Änderungen zu speichern.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
myItem.Recipients.Add "David Goodhand"
myItem.Close olPromptForSave

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(0)
myItem.Recipients.Add "David Goodhand"
myItem.Close 2


Beispiel zur CopyTo-Methode

In diesem Beispiel für Visual Basic für Applikationen wird die CopyTo-Methode verwendet, um den aktuellen Ordner, in diesem Fall den Standardkontaktordner, in den Standardposteingang zu kopieren.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myInboxFolder = myNameSpace.GetDefaultFolder(olFolderInbox)
Set myCurrentFolder = myNameSpace.GetDefaultFolder(olFolderContacts)
Set myNewFolder = myCurrentFolder.CopyTo(myInboxFolder)

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myInboxFolder = myNameSpace.GetDefaultFolder(6)
Set myCurrentFolder = myNameSpace.GetDefaultFolder(10)
Set myNewFolder = myCurrentFolder.CopyTo(myInboxFolder)


Beispiel zur Copy-Methode

In diesem Beispiel für Visual Basic für Applikationen wird eine E-Mail-Nachricht erstellt und für Subject "Speeches" festgelegt. Anschließend wird die Nachricht mit Hilfe der Copy-Methode kopiert und die Kopie in einen Nachrichtenordner mit dem Namen "Saved Mail" verschoben, der im Ordner Aufgaben neu erstellt wurde.

Set myOlApp = CreateObject("Outlook.Application")
Set myNamespace = myOlApp.GetNamespace("MAPI")
Set myFolder = myNamespace.GetDefaultFolder(olFolderInbox)
Set myNewFolder = myFolder.Folders.Add("Saved Mail", olFolderDrafts)
Set myItem = myOlApp.CreateItem(olMailItem)
myItem.Subject = "Speeches"
Set myCopiedItem = myItem.Copy
myCopiedItem.Move myNewFolder

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNamespace = Application.GetNamespace("MAPI")
Set myFolder = myNamespace.GetDefaultFolder(6)
Set myNewFolder = myFolder.Folders.Add("Saved Mail", 16)
Set myItem = Application.CreateItem(0)
myItem.Subject = "Speeches"
Set myCopiedItem = myItem.Copy
myCopiedItem.Move myNewFolder


Beispiel zur CreateItemFromTemplate-Methode

In diesem Beispiel für Visual Basic für Applikationen wird CreateItemFromTemplate verwendet, um mit Hilfe einer Outlook-Vorlage ein neues Element zu erstellen und es anschließend anzuzeigen.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItemFromTemplate _
    ("C:\Program Files\Microsoft Office\Templates\Outlook\While You Were Out.oft")
myItem.Display

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItemFromTemplate _
    ("C:\Program Files\Microsoft Office\Templates\Outlook\While You Were Out.oft")
myItem.Display


 Beispiel zur CreateItem-Methode

Beispiel zur CreateItem-Methode

In diesem Beispiel für Visual Basic für Applikationen wird die CreateItem-Methode verwendet, um einen neuen Kontakt im Standardkontaktordner zu erstellen und das neue Element anschließend anzuzeigen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderContacts)
Set myItem = myOlApp.CreateItem(olContactItem)
myItem.Display

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(10)
Set myItem = Application.CreateItem(2)
myItem.Display


 Beispiel zur CreateObject-Methode

Beispiel zur CreateObject-Methode

Dieses VBScript-Beispiel verwendet das Open-Ereignis des Elements, um auf Microsoft Internet Explorer zuzugreifen und die Webseite von Microsoft anzuzeigen.

Sub Item_Open()
   Set Web = CreateObject("InternetExplorer.Application")
   Web.Visible = TRUE
   Web.Navigate "www.microsoft.com"
End Sub

Dieses VBScript-Beispiel verwendet das Click-Ereignis für ein Befehlsschaltflächen-Steuerelement eines Elements, um auf Microsoft Word zuzugreifen und ein Dokument mit dem Namen "Resume.doc", das sich im Stammverzeichnis befindet, zu öffnen.

Sub CommandButton1_Click()
    Set Word = CreateObject("Word.Application")
    Word.Visible = TRUE
    Word.Documents.Open("C:\Resume.doc")
End Sub


Beispiel zur CreateRecipient-Methode

In diesem Beispiel für Visual Basic für Applikationen wird die CreateRecipient-Methode verwendet, um den Standardkalender für den Benutzer "Eric Lang" zu erhalten.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myRecipient = myNameSpace.CreateRecipient("Eric Lang")
Set hisCalendar = myNameSpace.GetSharedDefaultFolder _
    (myRecipient, olFolderCalendar)

Bei der Verwendung von VBScript erstellen Sie weder das Application-Objekt, noch können Sie benannte Konstanten verwenden. Dieses Beispiel veranschaulicht, wie Sie dieselbe Aufgabe unter Verwendung von VBScript erledigen können.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myRecipient = myNameSpace.CreateRecipient("Eric Lang")
Set hisCalendar = myNameSpace.GetSharedDefaultFolder _
    (myRecipient, 9)


Beispiel zur Delete-Methode

In diesem Beispiel für Visual Basic für Applikationen wird erst die GetFirst-Methode verwendet, um den ersten Ordner im Ordner Tasks zu suchen, und dann die Delete-Methode, um den Ordner zu löschen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderTasks)
Set myOldFolder = myFolder.Folders.GetFirst
myOldFolder.Delete

Bei der Verwendung von VBScript erstellen Sie weder das Application-Objekt, noch können Sie benannte Konstanten verwenden. Dieses Beispiel veranschaulicht, wie Sie dieselbe Aufgabe unter Verwendung von VBScript erledigen können.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(13)
Set myOldFolder = myFolder.Folders.GetFirst
myOldFolder.Delete


Beispiel zur Details-Methode

In diesem Beispiel für Visual Basic für Applikationen wird die Add-Methode verwendet, um dem Persönlichen Adressbuch einen neuen AddressEntry hinzuzufügen. Der Name "John Q. Public" ist erforderlich, um Fehler zu vermeiden.

Wenn dieser Eintrag bereits vorhanden ist, springt der Code zu DialogBox:. Die Details-Methode zeigt ein Dialogfeld, das die Informationen für diesen Eintrag anzeigt.

Set myOlApp = CreateObject("Outlook.Application")
    Set myNamespace = myOlApp.GetNamespace("MAPI")
    Set myAddrList = myNamespace.AddressLists("Personal Address Book")
    Set myAddrEntries = myAddrList.AddressEntries
    Set myEntry = myAddrEntries.Add("Microsoft Mail Address")
    myEntry.Name = "John Q. Public"
    On Error GoTo DialogBox
    myEntry.Address = "someone@microsoft.com"
    myEntry.Update
DialogBox:
    myEntry.Details


 Beispiel zur Display-Methode

Beispiel zur Display-Methode

In diesem Beispiel für Visual Basic für Applikationen wird die Display-Methode verwendet, um den Standardposteingang anzuzeigen. Dieses Beispiel gibt keinen Fehler zurück, auch wenn sich keine Elemente im Posteingang befinden, da nicht die Anzeige eines bestimmten Elements angefordert wird.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderInbox)
myFolder.Display

Bei der Verwendung von VBScript erstellen Sie weder das Application-Objekt, noch können Sie benannte Konstanten verwenden. Dieses Beispiel veranschaulicht, wie Sie dieselbe Aufgabe unter Verwendung von VBScript erledigen können.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(6)
myFolder.Display

In diesem Beispiel für Visual Basic für Applikationen wird das erste Element im Posteingang angezeigt. Dieses Beispiel gibt einen Fehler zurück, wenn der Posteingang leer ist, da ein bestimmtes Element angezeigt werden soll. Wenn sich keine Elemente in dem Ordner befinden, wird ein Meldungsfeld angezeigt, das den Benutzer darüber informiert.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderInbox)
On Error GoTo ErrorHandler
myFolder.Items(1).Display
Exit Sub
ErrorHandler:
    MsgBox "There are no items to display! "


Beispiel zur Execute-Methode

In diesem Beispiel für Visual Basic für Applikationen wird die Execute-Methode verwendet, um alle Aktionen für die aktuelle Mail-Nachricht durchzusehen und die Aktion mit dem Namen "Reply to All" auszuführen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
On Error GoTo ErrorHandler
Set myItem = myOlApp.ActiveInspector.CurrentItem
For Each a In myItem.Actions
    If a.Name = "Reply to All" Then
        Set myItem2 = a.Execute
        Exit For
    End If
Next a
Exit Sub
ErrorHandler:
    MsgBox "There is no current item!"


Beispiel zur FindNext-Methode

In diesem Beispiel für Visual Basic für Applikationen wird die GetDefaultFolder-Methode verwendet, um das MAPIFolder-Objekt zurückzugeben, das den Standardkalender des aktuellen Benutzers darstellt. In diesem Fall werden die Find- und die FindNext-Methode verwendet, um alle Termine zu suchen, die am jeweiligen Tag vorkommen. Diese Termine werden dann in verschiedenen Meldungsfenstern angezeigt.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
tdystart = Format(Date, "Short Date") & " 12:00 AM"
tdyend = Format(Date, "Short Date") & " 11:59 PM"
Set myAppointments = myNameSpace.GetDefaultFolder _
    (olFolderCalendar).Items
Set currentAppointment = myAppointments.Find("[Start] >= """ & _
    tdystart & """ and [Start] <= """ & tdyend & """")
While TypeName(currentAppointment) <> "Nothing"
    MsgBox currentAppointment.Subject
    Set currentAppointment = myAppointments.FindNext
Wend


Beispiel zur Find-Methode

In diesem Beispiel für Visual Basic für Applikationen wird der Standardkalender geöffnet und die Find-Methode verwendet, um den ersten Termin mit dem Betreff "Golf w/ Jerry Wheeler" zu suchen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myCalendar = myNameSpace.GetDefaultFolder (olFolderCalendar)
Set myItem = myCalendar.Items.Find("[Subject] = _
    ""Golf w/ Jerry Wheeler""")

In diesem Beispiel für Visual Basic für Applikationen wird der Standardkontaktordner geöffnet und wird der erste Kontakt gesucht, der als "Jones" mit dem Vornamen "Brent" gespeichert ist.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myContacts = myNameSpace.GetDefaultFolder (olFolderContacts)
Set myItem = myContacts.Items.Find("[FileAs] = _
    ""Jones"" and [FirstName] = ""Brent""")

In diesem Beispiel für Visual Basic für Applikationen wird UserProperties verwendet, um für den betreffenden Kontakt eine benutzerdefinierte Eigenschaft mit dem Namen "LastDateContacted" zu suchen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myContacts = myNameSpace.GetDefaultFolder (olFolderContacts)
Set myContact = myContacts.Items.Find("[FileAs] = _
    ""Jones"" and [FirstName] = ""Brent""")
Set myProperty = _
    myContact.UserProperties.Find("LastDateContacted")
MsgBox "Last Date Contacted: " & myProperty.Value


 Beispiel zur Forward-Methode

Beispiel zur Forward-Methode

In diesem Beispiel für Visual Basic für Applikationen wird die GetDefaultFolder-Methode verwendet, um das MAPIFolder-Objekt zurückzugeben, das den Standardposteingang des aktuellen Benutzers darstellt. Es verwendet dann die Forward-Methode, um die erste Nachricht im Standardposteingang abzurufen und an Laura Jennings weiterzuleiten. Die Add-Methode wird verwendet, um Laura Jennings zu der Recipients-Auflistung hinzuzufügen, und die Send-Methode sendet das Element an alle Empfänger. Es wird davon ausgegangen, dass der Name im Adressbuch eindeutig aufgelöst werden kann.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderInbox)
Set myForward = myFolder.Items(1).Forward
myForward.Recipients.Add "Laura Jennings"
myForward.Send

Bei der Verwendung von VBScript erstellen Sie weder das Application-Objekt, noch können Sie benannte Konstanten verwenden. In diesem Beispiel wird veranschaulicht, wie Sie dieselbe Aufgabe unter Verwendung von VBScript ausführen können.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(6)
Set myForward = myFolder.Items(1).Forward
myForward.Recipients.Add "Laura Jennings"
myForward.Send


Beispiel zur GetAssociatedAppointment-Methode

In diesem Beispiel für Visual Basic für Applikationen wird ein MeetingItem im Standardposteingang gesucht, und der zugeordnete Termin wird dem Kalender hinzugefügt.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(olFolderInbox)
Set myMtgReq = myFolder.Items.Find _
    ("[MessageClass] = 'IPM.Schedule.Meeting.Request'")
If TypeName(myMtgReq) <> "Nothing" Then
   Set myAppt = myMtgReq.GetAssociatedAppointment(True)
End If

Bei der Verwendung von VBScript erstellen Sie weder das Application-Objekt, noch können Sie benannte Konstanten verwenden. Dieses Beispiel veranschaulicht, wie Sie dieselbe Aufgabe unter Verwendung von VBScript ausführen können.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(6)
Set myMtgReq = myFolder.Items.Find _
    ("[MessageClass] = 'IPM.Schedule.Meeting.Request'")
If TypeName(myMtgReq) <> "Nothing" Then
   Set myAppt = myMtgReq.GetAssociatedAppointment(True)
End If

Dieses Beispiel nimmt eine Besprechungsanfrage an und sendet die Antwort, ohne den Inspektor anzuzeigen.

Set myNewMeeting = myMtgReq.GetAssociatedAppointment(True)
myNewMeeting.Respond olResponseAccepted, True


Beispiel zur GetAssociatedTask-Methode

Dieses Beispiel nimmt ein TaskRequestItem an und sendet die Antwort, ohne den Inspektor anzuzeigen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myTasks = myNameSpace.GetDefaultFolder(olFolderInbox)
Set myTaskReqItem = myTasks.Items.Find _
    ("[Subject] = ""Meeting w/ Jerry Wheeler""")
'The task is displayed.
myTaskReqItem.Display
Set myNewTaskItem = myTaskReqItem.GetAssociatedTask(True)
myNewTaskItem.Respond olTaskAccept, True, True

Bei der Verwendung von VBScript erstellen Sie weder das Application-Objekt, noch können Sie benannte Konstanten verwenden. Dieses Beispiel veranschaulicht, wie Sie dieselbe Aufgabe unter Verwendung von VBScript ausführen können.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myTasks = myNameSpace.GetDefaultFolder(6)
Set myTaskReqItem = myTasks.Items.Find _
    ("[Subject] = ""Meeting w/ Jerry Wheeler""")
'The task is displayed.
myTaskReqItem.Display
Set myNewTaskItem = myTaskReqItem.GetAssociatedTask(True)
myNewTaskItem.Respond 2, True, True


Beispiel zur GetDefaultFolder-Methode

In diesem Beispiel für Visual Basic für Applikationen wird die GetDefaultFolder-Methode verwendet, um den Standardkalender des aktuellen Benutzers zu erhalten.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myCalendar = myNameSpace.GetDefaultFolder(olFolderCalendar)

Bei der Verwendung von VBScript erstellen Sie weder das Application-Objekt, noch können Sie benannte Konstanten verwenden. Dieses Beispiel veranschaulicht, wie Sie dieselbe Aufgabe unter Verwendung von VBScript ausführen können.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myCalendar = myNameSpace.GetDefaultFolder(9)

In diesem Beispiel für Visual Basic für Applikationen wird der erste Ordner in der Folders-Auflistung für Aufgaben zurückgegeben.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myTasks = myNameSpace.GetDefaultFolder(olFolderTasks)
Set myFolder = myTasks.Folders(1)


Beispiel zur GetExplorer-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die GetExplorer-Methode, um einen neuen, inaktiven Explorer für myFolder im Standardmodus olFolderDisplayNormal anzuzeigen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderInbox)
Set myExplorer = myFolder.GetExplorer
myExplorer.Display

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(6)
Set myExplorer = myFolder.GetExplorer
myExplorer.Display


 Beispiel zur GetFolderFromID-Methode

Beispiel zur GetFolderFromID-Methode

Dieses Beispiel in Visual Basic für Applikationen bestimmt die EntryID und die StoreID eines untergeordneten Ordners in der Folders-Auflistung für Aufgaben und ruft dann die GetFolderFromID-Methode mit diesen Werten auf, um denselben untergeordneten Ordner zu erhalten. Anschließend wird der Ordner angezeigt.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderTasks)
Set myOwnFolder = myFolder.Folders(1)
myEntryID = myOwnFolder.EntryID
myStoreID = myOwnFolder.StoreID
Set myNewFolder = myNameSpace.GetFolderFromID(myEntryID, myStoreID)
myNewFolder.Display

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(13)
Set myOwnFolder = myFolder.Folders(1)
myEntryID = myOwnFolder.EntryID
myStoreID = myOwnFolder.StoreID
Set myNewFolder = myNameSpace.GetFolderFromID(myEntryID, myStoreID)
myNewFolder.Display


Beispiel zur GetMember-Methode

In diesem Beispiel in Microsoft Visual Basic bzw. Visual Basic für Applikationen wird jede Verteilerliste im Standardkontaktordner durchsucht und festgestellt, ob der aktuelle Benutzer in der jeweiligen Liste enthalten ist.

Dim myOlApp As New Outlook.Application
Dim myNameSpace As Outlook.NameSpace
Dim myFolder As Outlook.MAPIFolder
Dim myDistList As Outlook.DistListItem
Set myNameSpace = myOlApp.GetNamespace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderContacts)
For x = 1 To myFolder.Items.Count
    If TypeName(myFolder.Items.Item(x)) = "DistListItem" Then
        Set myDistList = myFolder.Items.Item(x)
        For y = 1 To myDistList.MemberCount
            If myDistList.GetMember(y).Name = myNameSpace.CurrentUser.Name Then
                MsgBox "Your are a member of " & myDistList.DLName
            End If
        Next y
    End If
Next x

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNamespace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(10)
For x = 1 To myFolder.Items.Count
    If TypeName(myFolder.Items.Item(x)) = "DistListItem" Then
        Set myDistList = myFolder.Items.Item(x)
        For y = 1 To myDistList.MemberCount
            If myDistList.GetMember(y).Name = myNameSpace.CurrentUser.Name Then
                MsgBox "Your are a member of " & myDistList.DLName
            End If
        Next
    End If
Next


Beispiel zur GetNameSpace-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet GetNameSpace, um das MAPI-NameSpace-Objekt zu erhalten.

Set myOlApp = CreateObject ("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")

In VBScript wird kein Application-Objekt erstellt. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")


 Beispiel zur GetOccurrence-Methode

Beispiel zur GetOccurrence-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet CreateItem, um ein AppointmentItem-Objekt zu erstellen. Das RecurrencePattern wird für dieses Element mit Hilfe der GetRecurrencePattern-Methode bestimmt. Durch Festlegen der RecurrencePattern-Eigenschaften RecurrenceType, PatternStartDate und PatternEndDate werden die Termine zu einer sich wiederholenden Serie, die über einen Zeitraum von einem Jahr täglich auftreten.

Ein Exception-Objekt wird erstellt, wenn eine Instanz dieser Terminserie mit Hilfe der GetOccurrence-Methode bestimmt wird und die Eigenschaften für diese Instanz geändert werden. Diese Ausnahme in der Terminserie wird mit Hilfe der GetRecurrencePattern-Methode bestimmt, um auf die Exceptions-Auflistung, die dieser Serie zugeordnet ist, zuzugreifen. Meldungsfelder zeigen das ursprüngliche Subject und den ursprünglichen OriginalDate für diese Ausnahme der Terminserie sowie das aktuelle Datum, die aktuelle Uhrzeit und den aktuellen Betreff an.

Eine Beschreibung der Änderungen, die für dieses Beispiel in VBScript erforderlich sind, finden Sie in der Anmerkung am Ende des Beispiels.

Public Sub cmdExample()
    Set myOlApp = New Outlook.Application
    Set myApptItem = myOlApp.CreateItem(olAppointmentItem)
    myApptItem.Start = #2/2/98 3:00:00 PM#
    myApptItem.End = #2/2/98 4:00:00 PM#
    myApptItem.Subject = "Meet with Boss"

    'Get the recurrence pattern for this appointment
    'and set it so that this is a daily appointment
    'that begins on 2/2/98 and ends on 2/2/99
     'and save it.
    Set myRecurrPatt = myApptItem.GetRecurrencePattern
    myRecurrPatt.RecurrenceType = olRecursDaily
    myRecurrPatt.PatternStartDate = #2/2/98#
    myRecurrPatt.PatternEndDate = #2/2/99#
    myApptItem.Save

    'Access the items in the Calendar folder to locate
    'the master AppointmentItem for the new series.
    Set myNamespace = myOlApp.GetNamespace("MAPI")
    Set myFolder = myNamespace.GetDefaultFolder(olFolderCalendar)
    Set myItems = myFolder.Items
    Set myApptItem = myItems("Meet with Boss")

    'Get the recurrence pattern for this appointment
    'and obtain the occurrence for 3/12/98.
    myDate = #3/12/98 3:00:00 PM#
    Set myRecurrPatt = myApptItem.GetRecurrencePattern
    Set myOddApptItem = myRecurrPatt.GetOccurrence(myDate)

    'Save the existing subject. Change the subject and
    'starting time for this particular appointment
    'and save it.
    saveSubject = myOddApptItem.Subject
    myOddApptItem.Subject = "Meet NEW Boss"
    newDate = #3/12/98 3:30:00 PM#
    myOddApptItem.Start = newDate
    myOddApptItem.Save

    'Get the recurrence pattern for the master
    'AppointmentItem. Access the collection of
    'exceptions to the regular appointments.
    Set myRecurrPatt = myApptItem.GetRecurrencePattern
    Set myException = myRecurrPatt.Exceptions.Item(1)

    'Display the original date, time, and subject
    'for this exception.
    MsgBox myException.OriginalDate & ": " & saveSubject

    'Display the current date, time, and subject
    'for this exception.
    MsgBox myException.AppointmentItem.Start & ": " &
myException.AppointmentItem.Subject
End Sub

Anmerkung Damit dieses Beispiel einwandfrei in VBScript funktioniert, müssen nur einige einfache Änderungen im Code vorgenommen werden.

Sie brauchen die Anwendung nicht als Objekt abrufen, und Sie müssen die Werte der Konstanten verwenden. Damit ergeben sich folgende Änderungen:

Set myOlApp = New Outlook.Application
    Set myApptItem = myOlApp.CreateItem(olAppointmentItem)

wird zu:

Set myApptItem = Application.CreateItem(1)

und

myRecurrPatt.RecurrenceType = olRecursDaily

wird zu:

myRecurrPatt.RecurrenceType = 0

und

Set myFolder = myNamespace.GetDefaultFolder(olFolderCalendar)

wird zu:

Set myFolder = myNamespace.GetDefaultFolder(9)


Beispiel zur GetPageInfo-Methode

In diesem Beispiel in Microsoft Visual Basic bzw. Visual Basic für Applikationen wird der Name der Hilfedatei sowie die Kontext-ID des anzuzeigenden Themas zurückgegeben.

Private Sub PropertyPage_GetPageInfo(HelpFile As String, HelpContext As Long)
    HelpFile = "ProjPage.chm"
    HelpContext = IDH_PageInfo
End Sub


Beispiel zur GetRecurrencePattern-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet GetRecurrencePattern, um das RecurrencePattern für einen Termin zu erhalten.

Set myOlApp = CreateObject("Outlook.Application")
Set myAppt = myOlApp.CreateItem(olAppointmentItem)
Set myPattern = myAppt.GetRecurrencePattern

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myAppt = Application.CreateItem(1)
Set myPattern = myAppt.GetRecurrencePattern


Beispiel zur GetSharedDefaultFolder-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die GetSharedDefaultFolder-Methode, um das Recipient-Objekt aufzulösen, das "Kim Buhler" darstellt, und gibt dann den freigegebenen Standardkalender zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myRecipient = myNameSpace.CreateRecipient("Kim Buhler")
myRecipient.Resolve
If myRecipient.Resolved Then
    Set KimCalendarFolder = _
        myNameSpace.GetSharedDefaultFolder _
        (myRecipient, olFolderCalendar)
End If

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myRecipient = myNameSpace.CreateRecipient("Kim Buhler")
myRecipient.Resolve
If myRecipient.Resolved Then
    Set KimCalendarFolder = _
        myNameSpace.GetSharedDefaultFolder _
        (myRecipient, 9)
End If


Beispiel zur HideFormPage-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet HideFormPage, um die Seite "General" eines neu erstellten ContactItem-Objekts auszublenden, und zeigt das Element anschließend an.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
Set myPages = myItem.GetInspector.ModifiedFormPages
Set myPage = myPages.Add("General")
Set myInspector = myOlApp.ActiveInspector
myInspector.HideFormPage("General")
myItem.Display

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(2)
Set myPages = myItem.GetInspector.ModifiedFormPages
Set myPage = myPages.Add("General")
Set myInspector = Application.ActiveInspector
myInspector.HideFormPage("General")
myItem.Display


Beispiel zur IsPaneVisible-Methode

In diesem Beispiel in Microsoft Visual Basic/Visual Basic für Applikationen wird die IsPaneVisible-Methode verwendet, um festzustellen, ob die Outlook-Leiste eingeblendet ist. Wenn sie nicht sichtbar ist, wird die Leiste mit der ShowPane-Methode eingeblendet.

Dim myOlApp As New Outlook.Application
Set myOlExp = myOlApp.ActiveExplorer
If myOlExp.IsPaneVisible(olOutlookBar) = False Then
    myolexp.ShowPane olOutlookBar,True
End If

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myOlExp = Application.ActiveExplorer
If myOlExp.IsPaneVisible(1) = False Then
    myOlExp.ShowPane 1,True
End If


Beispiel zur Item-Methode

Dieses Beispiel in Visual Basic für Applikationen gibt das zweite MailItem-Objekt im Standardposteingang zurück. Dabei wird davon ausgegangen, dass bereits mindestens zwei MailItem-Objekte vorhanden sind.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(olFolderInbox)
Set mySecondItem = myFolder.Items.Item(2)

Dieses Beispiel in Visual Basic für Applikationen gibt die Aktion "Forward" aus einer Actions-Auflistung zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.ActiveInspector.CurrentItem
Set myAction = myItem.Actions.Item("Forward")

Dieses Beispiel gibt ein MAPIFolder-Objekt aus einer Folders-Auflistung zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolders = myNameSpace.Folders
Set myFolder = myFolders.Item("Public Folder")

Dieses Beispiel in Visual Basic für Applikationen gibt darüber hinaus ein MAPIFolder-Objekt aus einer Folders-Auflistung zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myFolders = _
    myOlApp.ActiveExplorer.CurrentFolder.Folders
Set myFolder = myFolders.Item("Project X")

Dieses Beispiel in Visual Basic für Applikationen erstellt einen Kontakt, gibt seine leere Pages-Auflistung zurück, fügt drei benutzerdefinierte Seiten hinzu und gibt dann die erste benutzerdefinierte Seite aus der Auflistung zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
Set myPages = myItem.GetInspector.ModifiedFormPages
myPages.Add "One"
myPages.Add "Two"
myPages.Add "Three"
Set myPage = myPages.Item("One")

Dieses Beispiel in Visual Basic für Applikationen erstellt eine E-Mail-Nachricht, fügt vier Recipient-Objekte hinzu, gibt den dritten Empfänger aus der neuerstellten Recipients-Auflistung zurück und legt ihn als BCC-Empfänger fest.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myRecipients = myItem.Recipients
myRecipients.Add("Rich Andrews")
myRecipients.Add("Robin Hjellin")
myRecipients.Add("Meng Phua")
myRecipients.Add("Kim Yoshida")
myRecipients.Item(3) = olBCC

Dieses Beispiel in Visual Basic für Applikationen gibt die Benutzereigenschaft "Gesamtkosten" aus der UserProperties-Auflistung "Mein Bestellformular" zurück.

Set myOlApp = CreateObject("Outlook.Application")
Set myItems = myOlApp.ActiveExplorer.CurrentItem.Items
Set myItem = myItems.Add("My Order Form")
Set myProperties = myItem.UserProperties
Set myProperty = myProperties.Item("Total Cost")


 Beispiel zur Logon-Methode

Beispiel zur Logon-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die Logon-Methode, um sich an einer neuen Sitzung anzumelden, wobei das Dialogfeld angezeigt wird, um den Profilnamen und das Kennwort zu bestätigen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
myNameSpace.Logon "myProfile", "myPassword", True, True


Beispiel zur MoveTo-Methode

Dieses Beispiel in Visual Basic für Applikationen fügt einen neuen Ordner zum Standardkontaktordner hinzu und verwendet dann die MoveTo-Methode, um ihn in den Standardposteingang zu verschieben.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderContacts)
Set myNewFolder = myFolder.Folders.Add("My Contacts")
myNewFolder.MoveTo myNameSpace.GetDefaultFolder(olFolderInbox)

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(10)
Set myNewFolder = myFolder.Folders.Add("My Contacts")
myNewFolder.MoveTo myNameSpace.GetDefaultFolder(6)


Beispiel zur Move-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet GetDefaultFolder, um das MAPIFolder-Objekt zurückzugeben, das den Standardordner darstellt. Es verwendet dann die Find- und FindNext-Methoden, um alle Nachrichten zu finden, die von Mike Nash gesendet wurden, und verwendet die Move-Methode, um alle E-Mail-Nachrichten von Mike Nash aus dem Standardposteingang in den Ordner "Personal Mail" zu verschieben.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myInbox = myNameSpace.GetDefaultFolder(olFolderInbox)
Set myItems = myInbox.Items
Set myDestFolder = myInbox.Folders("Personal Mail")
Set myItem = myItems.Find("[SenderName] = 'Mike Nash'")
While TypeName(myItem) <> "Nothing"
    myItem.Move myDestFolder
    Set myItem = myItems.FindNext
Wend

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myInbox = myNameSpace.GetDefaultFolder(6)
Set myItems = myInbox.Items
Set myDestFolder = myInbox.Folders("Personal Mail")
Set myItem = myItems.Find("[SenderName] = 'Mike Nash'")
While TypeName(myItem) <> "Nothing"
    myItem.Move myDestFolder
    Set myItem = myItems.FindNext
Wend


Beispiel zur OnStatusChange - Methode

Dieses Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen zeigt, wie die OnStatusChange-Methode aufgerufen wird, um Microsoft Outlook anzuzeigen, dass der Benutzer einen Wert auf einer benutzerdefinierten Eigenschaftenseite geändert hat.

Private Sub Option1_Click()
    Dim myPPSite As Outlook.PropertyPageSite
    Set myPPSite = Parent
    globNewUserType = globAdministrator
    If globUserType <> globNewUserType Then
        globDirty = True
    End If
    myPPSite.OnStatusChange
End Sub


Beispiel zur PublishForm-Methode

Dieses Beispiel in Visual Basic für Applikationen erstellt einen Kontakt, erhält dessen FormDescription-Objekt und speichert es in der Ordner-Formularregistrierung des Standardkontaktordners.

Anmerkung Die PublishForm-Methode gibt einen Fehler zurück, wenn der Titel für das Formular (Name) vorher nicht festgelegt wurde.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(olFolderContacts)
Set myItem = myOlApp.CreateItem(olContactItem)
Set myForm = myItem.FormDescription
myForm.Name = "My Contact"
myForm.PublishForm olFolderRegistry, myFolder

Dieses Beispiel in Visual Basic für Applikationen erstellt einen Termin, erhält dessen FormDescription-Objekt und speichert es in der persönlichen Formularregistrierung.

Um das Formular nach dessen Veröffentlichung anzuzeigen, wählen Sie Neu aus dem Menü Datei, dann Formular wählen und anschließend Bibliothek für persönliche Formulare im Feld Suchen in. Sie können in der Liste auf das neue Formular "Interview Scheduler" doppelklicken.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olAppointmentItem)
Set myForm = myItem.FormDescription
myForm.Name = "Interview Scheduler"
myForm.PublishForm olPersonalRegistry


Beispiel zur RemoveMembers - Methode

Dieses Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen findet alle Elemente der Verteilerliste im Standardkontaktordner und bestimmt, ob der aktuelle Benutzer ein Mitglied der Liste ist. Wenn dies der Fall ist, wird der aktuelle Benutzer aus der Verteilerliste entfernt.

Dim myOlApp As New Outlook.Application
Dim myNameSpace As Outlook.NameSpace
Dim myFolder As Outlook.MAPIFolder
Dim myDistList As Outlook.DistListItem
Dim tmpRecips As Outlook.Recipients
Set myNameSpace = myOlApp.GetNamespace("MAPI")
Set tmpRecips = myOlApp.CreateItem(olMailItem).Recipients
tmpRecips.Add myNameSpace.CurrentUser.Name
Set myFolder = myNameSpace.GetDefaultFolder(olFolderContacts)
For x = 1 To myFolder.Items.Count
    If TypeName(myFolder.Items.Item(x)) = _
            "DistListItem" Then
        Set myDistList = myFolder.Items.Item(x)
        For y = 1 To myDistList.MemberCount
            If myDistList.GetMember(y).Name = _
                    myNameSpace.CurrentUser.Name Then
                myDistList.RemoveMembers tmpRecips
                myDistList.Save
                Exit For
            End If
        Next y
    End If
Next x

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe mit Hilfe von VBScript bearbeitet wird.

Set myNameSpace = Application.GetNamespace("MAPI")
Set tmpRecips = Application.CreateItem(olMailItem).Recipients
tmpRecips.Add myNameSpace.CurrentUser.Name
Set myFolder = myNameSpace.GetDefaultFolder(10)
For x = 1 To myFolder.Items.Count
    If TypeName(myFolder.Items.Item(x)) = _
            "DistListItem" Then
        Set myDistList = myFolder.Items.Item(x)
        For y = 1 To myDistList.MemberCount
            If myDistList.GetMember(y).Name = _
                    myNameSpace.CurrentUser.Name Then
                myDistList.RemoveMembers tmpRecips
                myDistList.Save
                Exit For
            End If
        Next
    End If
Next


Beispiel zur Remove-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die Remove-Methode, um alle Anlagen aus einer weitergeleiteten Nachricht zu entfernen, bevor sie an John Y. Chen gesendet wird.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.ActiveInspector.CurrentItem.Forward
Set myAttachments = myItem.Attachments
While myAttachments.Count > 0
    myAttachments.Remove 1
Wend
myItem.Recipients.Add "John Y. Chen"
myItem.Send

In VBScript wird kein Application-Objekt erstellt. Dieses Beispiel zeigt, wie dieselbe Aufgabe mit Hilfe von VBScript bearbeitet wird.

Set myItem = Application.ActiveInspector.CurrentItem.Forward
Set myAttachments = myItem.Attachments
While myAttachments.Count > 0
    myAttachments.Remove 1
Wend
myItem.Recipients.Add "John Y. Chen"
myItem.Send


Beispiel zur ResolveAll-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die ResolveAll-Methode, um die Auflösung aller Empfänger zu erreichen, und zeigt für jeden nicht aufgelösten Empfänger ein Meldungsfeld an.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myRecipients = myItem.Recipients
myRecipients.Add("Aaron Con")
myRecipients.Add("Viki Parrott")
myRecipients.Add("Jeffrey Weems")
If Not myRecipients.ResolveAll Then
    For Each myRecipient In myRecipients
        If Not myRecipient.Resolved Then
            MsgBox myRecipient.Name
        End If
     Next
End If

In VBScript wird kein Application-Objekt und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe mit Hilfe von VBScript bearbeitet wird.

Set myItem = Application.CreateItem(0)
Set myRecipients = myItem.Recipients
myRecipients.Add("Aaron Con")
myRecipients.Add("Viki Parrott")
myRecipients.Add("Jeffrey Weems")
If Not myRecipients.ResolveAll Then
    For Each myRecipient In myRecipients
        If Not myRecipient.Resolved Then
            MsgBox myRecipient.Name
        End If
     Next
End If


 Beispiel zur Resolve-Methode

Beispiel zur Resolve-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die Resolve-Methode, um die Auflösung eines Empfängers zu erreichen, und zeigt das Element an, wenn dies nicht gelingt, damit der Benutzer ihn manuell auflösen kann.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myRecipient = myItem.Recipients.Add("Tim O'Brien")
If Not myRecipient.Resolve Then myItem.Display

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe mit Hilfe von VBScript bearbeitet wird.

Set myItem = Application.CreateItem(0)
Set myRecipient = myItem.Recipients.Add("Tim O'Brien")
If Not myRecipient.Resolve Then myItem.Display


Beispiel zur Respond-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die Find-Methode, um ein MeetingItem im Posteingang des Benutzers zu suchen. Wenn keine Besprechungselemente vorhanden sind, wird der Benutzer darüber informiert. Wenn ein Besprechungselement gefunden wird, wird die GetAssociatedAppointment-Methode aufgerufen, um das AppointmentItem abzurufen; die Respond-Methode ermöglicht, die Antwort zu übernehmen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNamespace = myOlApp.GetNamespace("MAPI")
Set myFolder = myNamespace.GetDefaultFolder(olFolderInbox)
Set myMtgReq = myFolder.Items.Find("[MessageClass] = 'IPM.Schedule.Meeting.Request'")
If TypeName(myMtgReq) <> "Nothing" Then
    Set myAppt = myMtgReq.GetAssociatedAppointment(True)
    myAppt.Respond olResponseAccepted, False, True
Else
    MsgBox "You have no meeting requests."
End If

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe mit Hilfe von VBScript bearbeitet wird.

Set myNamespace = Application.GetNamespace("MAPI")
Set myFolder = myNamespace.GetDefaultFolder(6)
Set myMtgReq = myFolder.Items.Find("[MessageClass] = 'IPM.Schedule.Meeting.Request'")
If TypeName(myMtgReq) <> "Nothing" Then
    Set myAppt = myMtgReq.GetAssociatedAppointment(True)
    myAppt.Respond olResponseAccepted, False, True
Else
    MsgBox "You have no meeting requests."
End If


Beispiel zur Restrict-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die Restrict-Methode, um alle Elemente im Posteingang zu erhalten, die sich mit Project X befassen, und verschiebt sie in den Ordner Project X.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder =  _
    myNameSpace.GetDefaultFolder(olFolderInbox)
Set myItems = myFolder.Items
Set myRestrictItems = myItems.Restrict _
    ("[Categories] = 'Project X'")
For Each myItem In myRestrictItems
    myItem.Move myFolder.Folders("Project X")
Next

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe mit Hilfe von VBScript bearbeitet wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(6)
Set myItems = myFolder.Items
Set myRestrictItems = myItems.Restrict _
    ("[Categories] = 'Project X'")
For Each myItem In myRestrictItems
    myItem.Move myFolder.Folders("Project X")
Next

Dieses Beispiel in Visual Basic für Applikationen verwendet die Restrict-Methode, um die Kontaktelemente in Abhängigkeit von der LastModificationTime-Eigenschaft zu filtern.

Public Sub ContactDateCheck()
   Set myOlApp = CreateObject("Outlook.Application")
   Set myNameSpace = myOlApp.GetNamespace("MAPI")
   Set myContacts = myNameSpace.GetDefaultFolder(olFolderContacts).Items
   Set myItems = myContacts.Restrict("[LastModificationTime] > '05/15/97'")
   For Each myItem In myItems
       MsgBox myItem.FullName & ": " & MyItem.LastModificationTime
   Next
End Sub

Das folgende Beispiel in Visual Basic für Applikationen entspricht dem obigen Beispiel mit der Ausnahme, dass es die Verwendung einer Variablen im Filter zeigt.

Public Sub ContactDateCheck()
   Set myOlApp = CreateObject("Outlook.Application")
   Set myNameSpace = myOlApp.GetNamespace("MAPI")
   Set myContacts = myNameSpace.GetDefaultFolder(olFolderContacts).Items
   DateStart = #6/11/97#
   DateToCheck$ = "[LastModificationTime] >= """ & DateStart & """"
   Set myRestrictItems = myContacts.Restrict(DateToCheck$)
   For Each myItem In myRestrictItems
      MsgBox myItem.FullName & ": " & MyItem.LastModificationTime
   Next
End Sub


 Beispiel zur SaveAsFile-Methode

Beispiel zur SaveAsFile-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die SaveAsFile-Methode, um die erste Anlage des aktuell geöffneten Elements als Datei im Ordner My Documents zu speichern, wobei der Anzeigename der Anlage als Dateiname verwendet wird.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.ActiveInspector.CurrentItem
Set myAttachments = myItem.Attachments
myAttachments.Item(1).SaveAsFile "C:\My Documents\" & _
    myAttachments.Item(1).DisplayName

In VBScript wird kein Application-Objekt verwendet. Dieses Beispiel zeigt, wie dieselbe Aufgabe mit Hilfe von VBScript bearbeitet wird.

Set myItem = Application.ActiveInspector.CurrentItem
Set myAttachments = myItem.Attachments
myAttachments.Item(1).SaveAsFile "C:\My Documents\" & _
    myAttachments.Item(1).DisplayName


 Beispiel zur SaveAs-Methode

Beispiel zur SaveAs-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die SaveAs-Methode, um das aktuell geöffnete Element als Textdatei im Ordner My Documents zu speichern, wobei der Betreff als Dateiname verwendet wird.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.ActiveInspector.CurrentItem
myItem.SaveAs "C:\My Documents\" & myItem.Subject & ".txt", olTXT

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe mit Hilfe von VBScript bearbeitet wird.

Set myItem = Application.ActiveInspector.CurrentItem
myItem.SaveAs "C:\My Documents\" & myItem.Subject & ".txt", 0


 Beispiel zur ShowFormPage-Methode

Beispiel zur ShowFormPage-Methode

Dieses Beispiel in Visual Basic für Applikationen verwendet die ShowFormPage-Methode, um die Seite "All Fields" des aktuell geöffneten Elements anzuzeigen. Wenn kein aktuell geöffnetes Element existiert, informiert ein Meldungsfeld den Benutzer entsprechend.

Set myOlApp = CreateObject("Outlook.Application")
Set myInspector = myOlApp.ActiveInspector
On Error GoTo ErrorHandler
myInspector.ShowFormPage("All Fields")
Set myItem = myInspector.CurrentItem
myItem.Display
Exit Sub
ErrorHandler:
    MsgBox "No current item to display!"


Beispiel zur ShowPane-Methode

Dieses Beispiel von Microsoft Visual Basic/Visual Basic für Applikationen verwendet die ShowPane- und die IsPaneVisible-Methode, um ein sichtbares Vorschaufenster auszublenden, oder um ein ausgeblendetes Vorschaufenster einzublenden.

Dim myOlApp As New Outlook.Application
Dim myOlExp As Outlook.Explorer
Set myOlExp = myOlApp.ActiveExplorer
myOlExp.ShowPane olPreview, _
    Not myOlExp.IsPaneVisible(olPreview)

In VBScript wird kein Application-Objekt erstellt. Dieses Beispiel zeigt, wie dieselbe Aufgabe mit Hilfe von VBScript bearbeitet wird.

Set myOlExp = Application.ActiveExplorer
myOlExp.ShowPane 3, Not myOlExp.IsPaneVisible(3)


Beispiel zur Sort-Methode

Das folgende Beispiel in Visual Basic für Applikationen verwendet die Sort-Methode, um die Items-Auflistung für den Standardkontaktordner nach der Eigenschaft "CompanyName" zu sortieren, und zeigt anschließend alle Firmennamen an.

Set myOlApp = CreateObject("Outlook.Application")
Set myNamespace = myOlApp.GetNamespace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(olFolderContacts)
Set myItems = myFolder.Items
myItems.Sort "[CompanyName]", False
For Each myItem in myItems
    MsgBox myItem.CompanyName
Next myItem

In VBScript wird kein Application-Objekt erstellt, und es können keine benannten Konstanten verwendet werden. Dieses Beispiel zeigt, wie dieselbe Aufgabe mit Hilfe von VBScript bearbeitet werden kann.

Set myNamespace = Application.GetNamespace("MAPI")
Set myFolder = _
    myNameSpace.GetDefaultFolder(10)
Set myItems = myFolder.Items
myItems.Sort "[CompanyName]", False
For Each myItem in myItems
    MsgBox myItem.CompanyName
Next


Beispiel zur Start-Methode

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird die Synchronisierung des zweiten Synchronisationsprofils des Benutzers gestartet, nachdem dieser auf eine Schaltfläche in einem Formular geklickt hat. Die mySyncObj-Variable wird als öffentliche Variable deklariert. Damit können andere Module auf sie verweisen.

Public mySyncObj As Outlook.SyncObject

Private Sub Command1_Click()
    Dim myOlApp As New Outlook.Application
    Dim mySyncs As Outlook.SyncObjects
    Set mySyncs = myOlApp.GetNamespace("MAPI").SyncObjects
    Set mySyncObj = mySyncs.Item(2)
    mySyncObj.Start
End Sub


Beispiel zur StatusReport-Methode

Dieses Beispiel für Visual Basic für Applikationen verwendet die StatusReport-Methode, um den Status der aktuell geöffneten Aufgabe zu berichten.

Set myOlApp = CreateObject("Outlook.Application")
Set myTask = myOlApp.ActiveInspector.CurrentItem
Set myReport = myTask.StatusReport
myReport.Send

Bei der Verwendung von VBScript wird kein Application-Objekt erstellt. In diesem Beispiel wird gezeigt, wie Sie dieselbe Aufgabe in VBScript bewältigen.

Set myTask = Application.ActiveInspector.CurrentItem
Set myReport = myTask.StatusReport
myReport.Send


Beispiel zur Stop-Methode

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird die Synchronisierung des zweiten Synchronisationsprofils des Benutzers unterbrochen, nachdem dieser auf die Schaltfläche in einem Formular geklickt hat. Die mySyncObj-Variable wird als öffentliche Variable erklärt. Damit können andere Module auf sie verweisen.

Public mySyncObj As Outlook.SyncObject

Private Sub Command2_Click()
    MsgBox "Synchronization stopped by user."
    mySyncObj.Stop
End Sub


Zusätzliche Kontrolle über Anlagen

Das Microsoft Outlook-Objektmodell wurde um neue Ereignisse ergänzt, durch die Ihr Programm erkennt, wenn Anlagen zu einem Element hinzugefügt oder in einem Element geöffnet werden, und wenn versucht wird, eine bestehende Anlage zu ändern.

Alle Elemente, die Anlagen unterstützen, rufen jetzt das AttachmentAdd-Ereignis auf, wenn eine Anlage zum Element hinzugefügt wird. Wenn ein Benutzer eine Anlage in einem Element öffnet, ruft das Element das AttachmentRead-Ereignis auf. Versucht der Benutzer, eine geöffnete Anlage zu speichern, ruft das Element das BeforeAttachmentSave-Ereignis auf. Der Ereignishandler kann die Standardaktion für dieses Ereignis abbrechen und so den Benutzer vom Ändern der Anlage abhalten.


Zusätzliche Kontrolle über den Explorer und Inspektor

Um das Automatisieren von Microsoft Outlook 2000 zu erleichtern, wurde das Outlook-Objektmodell um eine Anzahl neuer Objekte, Eigenschaften, Ereignisse und Methoden erweitert, die Programmen eine bessere Kontrolle über die Outlook-Benutzeroberfläche erlauben.

Durch die Objekte der Explorers- und Inspectors-Auflistung haben Sie Zugang zu jedem Explorer- oder Inspektor-Fenster, während gleichzeitig Ihr Programm durch das NewExplorer- und das NewInspector-Ereignis darüber informiert wird, dass ein neues Explorer- oder Inspektor-Fenster geöffnet wurde.

Den Explorer- und Inspector-Objekten wurden neue Eigenschaften, Methoden und Ereignisse hinzugefügt, damit Ihr Programm eine bessere Kontrolle über die Outlook-Benutzeroberfläche hat.

Mit zum Outlook-Objektmodell hinzugefügten neuen Objekten können Sie die Outlook-Leiste im Explorer-Fenster kontrollieren. Durch Verwenden dieser Objekte und ihrer Eigenschaften, Methoden und Ereignisse können Sie Gruppen und Verknüpfungen auf der Outlook-Leiste einfügen und entfernen, und Sie können die Navigationsmöglichkeiten des Benutzers unter Verwendung der Outlook-Leiste einschränken.

Outlook ermöglicht Ihnen das Hinzufügen von benutzerdefinierten Eigenschaftenseiten zum Outlook-Dialogfeld Optionen (zu erreichen über das Menü Extras im Explorer und Inspektor) und zum Dialogfeld Eigenschaften der Ordner.


Ereignisse auf Anwendungsebene

In früheren Versionen von Microsoft Outlook war die Anzeige von Ereignissen nur für individuelle Elemente vorgesehen. Outlook 2000 wurde um eine Vielzahl von Ereignissen erweitert, die Ihr Programm verwenden kann, um Veränderungen in Outlook-Fenstern oder im Nachrichtenspeicher festzustellen. Damit verfügt Ihr Programm über eine bessere Kontrolle von Outlook, und es ist einfacher, Outlook aus einer externen Anwendung heraus oder durch ein Add-In-Programm zu automatisieren.

Ihr Programm kann feststellen, ob eine neue E-Mail-Nachricht eingetroffen ist oder ein Element zu einem Ordner hinzugefügt wurde, aus einem Ordner entfernt oder in einem Ordner geändert wurde. Das Programm erkennt, ob ein Element versendet wurde, ob eine Erinnerung ausgelöst wurde, ob ein Explorer- oder ein Inspektor-Fenster geöffnet, aktiviert oder deaktiviert wurde. Außerdem kann es feststellen, ob der Benutzer in einem Explorer zu einer anderen Ansicht oder zu einem anderen Ordner gewechselt ist, ob die Outlook-Leiste verändert wurde usw. In einigen Fällen kann Ihr Programm das Ereignis abbrechen und damit die Ausführung der Standardaktion für dieses Ereignis durch Outlook verhindern.

Die folgenden neuen Ereignisse wurden Outlook hinzugefügt.

Ereignis | Beschreibung
Activate | Informiert Ihr Programm, dass ein Explorer- oder Inspektor-Fenster zum aktiven Fenster geworden ist.
BeforeFolderSwitch | Informiert Ihr Programm, dass der Benutzer versucht, den in einem Explorer angezeigten Ordner zu wechseln. Ihr Programm kann das Ereignis abbrechen, um die Änderung zu verhindern.
BeforeGroupAdd | Informiert Ihr Programm, dass der Benutzer versucht, eine Gruppe auf der Outlook-Leiste einzufügen. Ihr Programm kann das Ereignis abbrechen, um die Änderung zu verhindern.
BeforeGroupRemove | Informiert Ihr Programm, dass der Benutzer versucht, eine Gruppe von der Outlook-Leiste zu entfernen. Ihr Programm kann das Ereignis abbrechen, um die Änderung zu verhindern.
BeforeGroupSwitch | Informiert Ihr Programm, dass der Benutzer versucht, die auf der Outlook-Leiste angezeigte Gruppe zu wechseln. Ihr Programm kann das Ereignis abbrechen, um die Änderung zu verhindern.
BeforeShortcutAdd | Informiert Ihr Programm, dass der Benutzer versucht, eine Verknüpfung auf der Outlook-Leiste einzufügen. Ihr Programm kann das Ereignis abbrechen, um die Änderung zu verhindern.
BeforeShortcutRemove | Informiert Ihr Programm, dass der Benutzer versucht, eine Verknüpfung von der Outlook-Leiste zu entfernen. Ihr Programm kann das Ereignis abbrechen, um die Änderung zu verhindern.
BeforeViewSwitch | Informiert Ihr Programm, dass der Benutzer versucht, in einem Explorer-Fenster die Ansicht zu wechseln, in der der Inhalt eines Ordners angezeigt wird. Ihr Programm kann das Ereignis abbrechen, um die Änderung zu verhindern.
Deactivate | Informiert Ihr Programm, dass ein Explorer- oder Inspektor-Fenster nicht mehr das aktive Fenster ist.
FolderAdd | Informiert Ihr Programm, dass ein Ordner einer bestimmten Sammlung von Ordnern hinzugefügt wurde.
FolderChange | Informiert Ihr Programm, dass ein Ordner in einer bestimmten Sammlung von Ordnern geändert wurde.
FolderRemove | Informiert Ihr Programm, dass ein Ordner aus einer bestimmten Sammlung von Ordnern gelöscht wurde.
FolderSwitch | Informiert Ihr Programm, dass der Benutzer den in einem Explorer-Fenster angezeigten Ordner gewechselt hat.
GroupAdd | Informiert Ihr Programm, dass eine Gruppe auf der Outlook-Leiste eingefügt wurde.
ItemAdd | Informiert Ihr Programm, dass ein Element einer bestimmten Sammlung von Elementen hinzugefügt wurde.
ItemChange | Informiert Ihr Programm, dass ein Element in einer bestimmten Sammlung von Elementen verändert wurde.
ItemRemove | Informiert Ihr Programm, dass ein Element aus einer bestimmten Sammlung von Elementen gelöscht wurde.
ItemSend | Informiert Ihr Programm, dass der Benutzer versucht, ein Element zu versenden. Ihr Programm kann das Ereignis abbrechen, um das Versenden des Elements zu verhindern.
NewExplorer | Informiert Ihr Programm, dass ein neues Explorer-Fenster erstellt wurde.
NewInspector | Informiert Ihr Programm, dass ein neues Inspektor-Fenster erstellt wurde.
NewMail | Informiert Ihr Programm, dass neue Elemente an den Posteingang übermittelt wurden.
OnError | Informiert Ihr Programm, dass während der Ordnersynchronisation ein Fehler aufgetreten ist.
OptionsPagesAdd | Informiert Ihr Programm, dass einem Dialogfeld Eigenschaften oder Optionen neue Optionenseiten hinzugefügt wurden.
Progress | Informiert Ihr Programm über den Fortschritt der Ordnersynchronisation.
Reminder | Informiert Ihr Programm, dass die Anzeige einer Erinnerung bevorsteht.
SelectionChange | Informiert Ihr Programm, dass die Markierung von Elementen in einem Explorer-Fenster sich geändert hat.
ShortcutAdd | Informiert Ihr Programm, dass eine Verknüpfung auf der Outlook-Leiste eingefügt wurde.
SyncStart | Informiert Ihr Programm, dass Outlook begonnen hat, die Ordner des Benutzers zu sychronisieren.
SyncEnd | Informiert Ihr Programm, dass Outlook die Sychronisierung der Ordner des Benutzers beendet hat.
ViewSwitch | Informiert Ihr Programm, dass die in einem Explorer-Fenster zum Anzeigen der Inhalte eines Ordners bisher verwendete Ansicht gewechselt wurde.


Outlook-Vorlage für ein COM-Add-In

Der folgende Beispiel-Code zeigt die leeren Ereignisprozeduren, die für die Implementation eines COM-Add-Ins erforderlich sind.

Implements IDTExtensibility2

Private Sub IDTExtensibility2_OnAddInsUpdate(custom() As Variant)
' Occurs when the set of connected COM add-ins changes, that is when
' any other add-in is connected or disconnected.
' The custom argument is ignored.
End Sub

Private Sub IDTExtensibility2_OnBeginShutdown(custom() As Variant)
' If the COM add-in is connected, occurs when Outlook begins its
' shutdown routines.
' The custom argument is ignored.

End Sub

Private Sub IDTExtensibility2_OnConnection(ByVal Application As Object, ByVal ConnectMode As AddInDesignerObjects.ext_ConnectMode, ByVal AddInInst As Object, custom() As Variant)
' Occurs when the COM add-in is connected.
' The Application argument is the Outlook Application object.
' The ConnectMode argument specifies how the COM add-in was connected.
' It can be
'     ext_cm_AfterStartup     Add-in was connected after Outlook started,
'                             or the Connect property of the corresponding
'                             COMAddIn object was set to True
'     ext_cm_Startup          Add-in was connected on startup
' The AddInInst argument is the COMAddIn object that refers to the current
'     instance of the add-in itself.
' The custom argument is ignored.
End Sub

Private Sub IDTExtensibility2_OnDisconnection(ByVal RemoveMode As AddInDesignerObjects.ext_DisconnectMode, custom() As Variant)
' Occurs when the COM add-in is disconnected.
' The RemoveMode argument specifies how the COM add-in was disconnected.
' It can be
'     ext_dm_HostShutdown      Add-in was disconnected when Outlook was
'                              closed.
'     ext_dm_UserClosed        Add-in was disconnected when the user
'                              cleared the corresponding check box in the
'                              COM Add-ins dialog box, or the Connect
'                              property of the corresponding COMAddIn
'                              object was set to False.
' The custom argument is ignored.
End Sub

Private Sub IDTExtensibility2_OnStartupComplete(custom() As Variant)
' If the COM add-in connects at startup, occurs when Outlook completes
' its startup routines. This event does not occur if the COM add-in is not
' connected when Outlook loads, even when the user connects the add-in in
' the COM Add-ins dialog box.
' The custom argument is ignored.
End Sub


Unterstützung für COM-Add-Ins

Wie auch in anderen Microsoft Office 2000-Anwendungen ist es in Microsoft Outlook 2000 möglich, die Anwendung durch Verwenden von Component Object Model (COM)-Add-Ins zu verbessern und zu erweitern. Ein COM-Add-In ist eine Dynamic Link Library (DLL), die eigens registriert wird, so dass sie von einer Office 2000-Anwendung geladen werden kann. Ein COM-Add-In können Sie mit Microsoft Visual Basic ab Version 5.0 oder mit jeder in Office 2000 Developer enthaltenen Office 2000-Anwendung erstellen. Sie können COM-Add-Ins auch mit Microsoft Visual C++ oder Microsoft Visual J++ erstellen.

Die COMAddIns-Eigenschaft des Application-Objekts erlaubt Ihnen den Zugriff auf die in Outlook geladenen COM-Add-Ins.

Informieren Sie sich über das Anpassen von Outlook mit Hilfe von COM-Add-Ins.


Unterstützung für das Verknüpfen von Kontakten

Microsoft Outlook 2000 erlaubt Benutzern die Einrichtung von Verknüpfungen zwischen Kontaktelementen und anderen Elementen. Das Outlook-Objektmodell wurde erweitert, um Programmen den Zugriff auf diese Verknüpfungen zu ermöglichen. Allen Elementobjekten von Outlook ist ein Objekt der Links-Auflistung zugewiesen, das die Kontakte enthält, mit dem ein bestimmtes Element verknüpft ist. Um Elemente für die Auflistung zu erstellen, auf diese zuzugreifen und sie aus der Auflistung zu löschen, können Sie Standardmethoden und -eigenschaften für Auflistungen verwenden (Add, Count, Item und Remove).


Unterstützung für benutzerdefinierte Eigenschaftenseiten

Sie können Ihre eigenen Eigenschaftenseiten erstellen, um das Microsoft Outlook-Dialogfeld Optionen (verfügbar über das Menü Extras des Explorer- und Inspektor-Fensters) und das Dialogfeld Eigenschaften für alle Ordner anzupassen.

Eine benutzerdefinierte Eigenschaftenseite ist ein in einer Dynamic Link Library (DLL) gespeichertes ActiveX-Steuerelement, das das PropertyPage-Objekt implementiert und als ein COM-Add-In installiert ist. Dieses Objekt bildet die Schnittstelle, über die Outlook den Status der Eigenschaftenseite abfragt und an die Eigenschaftenseite die Information zurückgibt, dass der Benutzer auf die Schaltfläche Übernehmen oder OK geklickt hat.

Informieren Sie sich über das Hinzufügen von benutzerdefinierten Eigenschaftenseiten.


Unterstützung für die Ordnersynchronisation

Benutzer, die ihren Computer auf Reisen mitnehmen oder aus anderen Gründen Microsoft Outlook in Situationen verwenden wollen, in denen kein Zugang zum Netzwerk möglich ist, sind darauf angewiesen, ihre Offline-Ordner unter Verwendung verschiedener, von der Situation abhängiger Kriterien synchronisieren zu können. Beispielsweise möchte ein Benutzer vor der Abreise alle Offline-Ordner und das Adressbuch synchronisieren. Am Ziel der Reise stellt er über ein Modem eine Verbindung zum heimatlichen Büro her. Da die Datenübertragung sehr langsam ist, soll nur der Posteingang und Postausgang synchronisiert werden, damit Nachrichten gesendet und empfangen werden können.

Outlook 2000 unterstützt verschiedene Synchronisierungsprofile, so dass Benutzer wählen können, wie Outlook in einer bestimmten Situation jeweils synchronisiert werden soll. Das neue SyncObjects-Auflistungsobjekt repräsentiert alle Synchronisierungsprofile des jeweiligen Benutzers. Ihr Programm kann die Start- und Stop-Methode des SyncObject-Objekts in dieser Auflistung verwenden, um die Synchronisierung unter Verwendung eines bestimmten Profils zu beginnen und zu beenden. Der Fortschritt der Synchronisierung wird mit Hilfe der Ereignisse SyncStart, Progress, OnError und SyncEnd angezeigt.


Visual Basic für Applikationen unter Outlook

Microsoft Outlook 2000 ermöglicht es Ihnen, unter Verwendung von Visual Basic für Applikationen Makros zur Steuerung von Outlook zu schreiben. Sie verwenden denselben Visual Basic-Editor wie auch in den anderen Microsoft Office 2000-Anwendungen. Damit steht Ihnen eine umfangreiche und trotzdem einfach zu bedienende Umgebung zum Anpassen und Erweitern von Outlook zur Verfügung.

In Visual Basic für Applikationen erstellte Makros sind die ideale Lösung, wenn Sie Outlook anpassen wollen, aber keine benutzerdefinierten Formulare entwickeln müssen. Sie können auf einfache Weise eine Symbolleistenschaltfläche erstellen, über die ein Makro aktiviert wird, indem Sie die neuen Outlook 2000-Features zum benutzerdefinierten Anpassen von Symbolleisten verwenden.


Beispiel zur Application-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet die Application-Eigenschaft, um auf Outlook zuzugreifen, erstellt dann ein neues MailItem und zeigt dieses an.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = = myOlApp.CreateItem(olMailItem)
myItem.Display

Wenn Sie mit VBScript arbeiten, verwenden Sie zum Abrufen des Application-Objekts nicht die Application-Eigenschaft. Stattdessen verweisen Sie direkt auf das Application-Objekt. In diesem Beispiel wird gezeigt, wie Sie dieselbe Aufgabe mit VBScript ausführen.

Set myItem = Application.CreateItem(0)
myItem.Display


 Beispiel zur Body-Eigenschaft

Beispiel zur Body-Eigenschaft

Dieses VBScript-Beispiel verwendet das Open-Ereignis eines Elements, um dessen Body-Eigenschaft festzulegen.

Function Item_Open()
    Item.Body = "This is the message body."
End Function


Beispiel zur Color-Eigenschaft

Dieses Beispiel erstellt ein neues NoteItem und setzt die Farbe auf Blau.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olNoteItem)
myItem.Color = olBlue

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie Sie die gleiche Aufgabe unter Verwendung von VBScript ausführen.

Set myItem = Application.CreateItem(5)
myItem.Color = 0


Beispiel zur COMAddIns-Eigenschaft

In diesem Beispiel für Microsoft Visual Basic wird die Anzahl der gerade verbundenen COM-Add-Ins gezeigt.

Dim myOlApp As New Outlook.Application
Private Sub Command1_Click()
    MsgBox "There are " & _
        myOlApp.COMAddIns.Count & " COM add-ins."
End Sub

Wenn Sie VBScript verwenden, können Sie keine Variable für ein Application-Objekt deklarieren. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Sub Commandbutton1_Click()
    MsgBox "There are " & _
       Application.COMAddIns.Count & " COM add-ins."
End Sub


Beispiel zur Contents-Eigenschaft

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird eine Meldung gezeigt, in der die in der Outlook-Leiste enthaltenen Gruppen aufgelistet werden.

Dim myOlApp As New Outlook.Application
Dim myOlBar As Outlook.OutlookBarPane
Dim myOlGroups As Outlook.OutlookBarGroups
myMsg = "The groups in the Outlook Bar are:"
Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
Set myOlGroups = myOlBar.Contents.Groups
For x = 1 To myOlGroups.Count
    myMsg = myMsg & Chr(13) & myOlGroups.Item(x)
Next x
MsgBox myMsg

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

myMsg = "The groups in the Outlook Bar are:"
Set myOlBar = Application.ActiveExplorer.Panes.Item("OutlookBar")
Set myOlGroups = myOlBar.Contents.Groups
For x = 1 To myOlGroups.Count
    myMsg = myMsg & Chr(13) & myOlGroups.Item(x)
Next
MsgBox myMsg


Beispiel zur CurrentFolder-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet die CurrentFolder-Eigenschaft, um den angezeigten Ordner in den Ordner Calendar des Benutzers zu ändern.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myOlApp.ActiveExplorer.CurrentFolder = _
    myNameSpace.GetDefaultFolder(olFolderCalendar)

Wenn Sie ein VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie die gleichen Aufgaben mit VBScript ausgeführt werden können.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set Application.ActiveExplorer.CurrentFolder = _
    myNameSpace.GetDefaultFolder(9)


Beispiel zur CurrentGroup-Eigenschaft

Das folgende Beispiel zeigt, wie die Gruppe "My Shortcuts" der Outlook-Leiste geöffnet wird.

Dim myOlApp As New Outlook.Application
Dim myOlBar As Outlook.OutlookBarPane
Dim myOlGroup As Outlook.OutlookBarGroup
Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
Set myOlGroup = myOlBar.Contents.Groups.Item("My Shortcuts")
Set myOlBar.CurrentGroup = myOlGroup

Wenn Sie VBScript verwenden, können Sie kein Application-Objekt erstellen. Das folgende Beispiel zeigt, wie die gleiche Aufgabe in VBScript ausgeführt wird.

Set myOlBar = Application.ActiveExplorer.Panes.Item("OutlookBar")
Set myOlGroup = myOlBar.Contents.Groups.Item("My Shortcuts")
Set myOlBar.CurrentGroup = myOlGroup


 Beispiel zur CurrentItem-Eigenschaft

Beispiel zur CurrentItem-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet die CurrentItem-Eigenschaft, um das aktuelle Element zu erhalten, das der Benutzer anzeigt. Wenn kein aktuell geöffnetes Element vorhanden ist, wird ein Fehlerwert zurückgegeben.

Set myOlApp = CreateObject("Outlook.Application")
On Error Resume Next
Set myItem = myOlApp.ActiveInspector.CurrentItem


Beispiel zur CurrentUser-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet die CurrentUser-Eigenschaft, um den Namen des aktuell angemeldeten Benutzers zu erhalten, und zeigt dann ein Meldungsfeld mit dem Namen an.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
MsgBox myNameSpace.CurrentUser.Name

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt. Dieses Beispiel zeigt, wie die gleiche Aufgabe in VBScript ausgeführt wird.

Set myNameSpace = Application.GetNameSpace("MAPI")
MsgBox myNameSpace.CurrentUser.Name


Beispiel zur CurrentView-Eigenschaft

Im folgenden Beispiel wird die Ansicht "Messages" als aktuelle Ansicht im aktiven Explorer festgelegt.

Dim myOlApp As New Outlook.Application
Dim myOlExp As Outlook.Explorer
Set myOlExp = myOlApp.ActiveExplorer
myOlExp.CurrentView = "Messages"

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt. Das Beispiel zeigt, wie die gleiche Aufgabe in VBScript ausgeführt werden kann.

Application.ActiveExplorer.CurrentView = "Messages"


Beispiel zur Dirty-Eigenschaft

Dieses Beispiel in Visual Basic/Visual Basic für Applikationen gibt den Wert der Dirty-Eigenschaft als den Wert einer globalen Variablen zurück.

Private Property Get PropertyPage_Dirty() As Boolean
    PropertyPage_Dirty = globDirty
End Property


Beispiel zur DLName-Eigenschaft

Dieses Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen erstellt eine neue Verteilerliste und fordert den Benutzer zur Eingabe des Namens auf.

Dim myOlApp As New Outlook.Application
Dim myDistList As Outlook.DistListItem
Set myDistList = myOlApp.CreateItem(olDistributionListItem)
myDistList.DLName = InputBox("Type the name of the new distribution list.")
myDistList.Display

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. Dieses Beispiel zeigt, wie Sie die gleiche Aufgabe in VBScript ausführen können.

Set myDistList = Application.CreateItem(7)
myDistList.DLName = _
    InputBox("Type the name of the new distribution list.")
myDistList.Display


Beispiel zur Email1AddressType-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen legt "SMTP" als Adresstyp für den ersten E-Mail-Eintrag eines Kontaktes fest.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
myItem.Email1AddressType = "SMTP"

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(2)
myItem.Email1AddressType = "SMTP"


Beispiel zur Email1Address-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen legt "someone@microsoft.com" als E-Mail-Adresse für den ersten E-Mail-Eintrag eines Kontaktes fest.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
myItem.Email1Address = "someone@microsoft.com"

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(2)
myItem.Email1Address = "someone@microsoft.com"


Beispiel zur Email2AddressType-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen legt "SMTP" als Adresstyp für den zweiten E-Mail-Eintrag eines Kontaktes fest.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
myItem.Email2AddressType = "SMTP"

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(2)
myItem.Email2AddressType = "SMTP"


Beispiel zur Email2Address-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen legt "someone@microsoft.com" als E-Mail-Adresse für den zweiten E-Mail-Eintrag eines Kontaktes fest.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
myItem.Email2Address = "someone@microsoft.com"

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(2)
myItem.Email2Address = "someone@microsoft.com"


Beispiel zur Email3AddressType-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen legt "SMTP" als Adresstyp für den dritten E-Mail-Eintrag eines Kontaktes fest.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
myItem.Email3AddressType = "SMTP"

Wenn Sie VBScript vewenden, erstellen Sie keinApplication-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(2)
myItem.Email3AddressType = "SMTP"


Beispiel zur Email3Address-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen legt "someone@microsoft.com" als E-Mail-Adresse für den dritten E-Mail-Eintrag eines Kontaktes fest.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olContactItem)
myItem.Email3Address = " someone@microsoft.com "

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(2)
myItem.Email3Address = "someone@microsoft.com"


Beispiel zur EntryID-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet die EntryID-Eigenschaft, um die Eintrags-ID einer Nachricht mit der Eintrags-ID einer Nachricht, die von einem Suchvorgang zurückgegeben wurde, zu vergleichen, damit festgestellt wird, ob die beiden Objekte die gleiche Nachricht darstellen.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myContacts = myNameSpace.GetDefaultFolder (olFolderContacts)
Set myItem1 = myOlApp.CreateItem(olContactItem)
myItem1.FirstName = "Brent"
Set myItem2 = myContacts.Items.Find("[FileAs] = _
    ""Jones"" and [FirstName] = ""Brent""")
If myItem1.EntryID = myItem2.EntryID Then
    MsgBox "These two message objects refer to the same message."
End If


Beispiel zur Explorers-Eigenschaft

Im folgenden Beispiel für Microsoft Visual Basic wird die Anzahl von geöffneten Explorer-Fenstern angezeigt.

Dim myOlApp As New Outlook.Application
Private Sub Command1_Click()
    MsgBox "There are " & _
         myOlApp.Explorers.Count & " Explorers."
End Sub

Wenn Sie VBScript verwenden, deklarieren Sie kein Application-Objekt. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Sub CommandButton1_Click()
    MsgBox "There are " & _
        Application.Explorers.Count & " Explorers."
End Sub


Beispiel zur FreeBusy-Methode

Dieses Beispiel für Visual Basic für Applikationen verwendet die FreeBusy-Methode, um eine Zeichenfolge mit Frei/Belegt-Informationen mit einem Zeichen für jeden Tag zurückzugeben. Dieses Beispiel berücksichtigt die Möglichkeit, dass auf die Frei/Belegt-Informationen für diesen Empfänger nicht zugegriffen werden kann.

Public Sub cmdCreate_Click()
    Set myOlApp = CreateObject("Outlook.Application")
    Set myNameSpace = myOlApp.GetNameSpace("MAPI")
    Set myRecipient = myNameSpace.CreateRecipient("Paul Borm")
    On Error GoTo ErrorHandler
    myFBInfo = myRecipient.FreeBusy(#8/1/97#, 60 * 24)
    Exit Sub
    ErrorHandler: MsgBox "Cannot access information. "
End Sub

Dieses Beispiel für Visual Basic für Applikationen gibt eine Zeichenfolge mit Frei/Belegt-Informationen mit einem Zeichen für jede Stunde (vollständiges Format) zurück.

Set myRecipient = myNameSpace.CreateRecipient("Kevin Yim")
myFBInfo = myRecipient.FreeBusy(#8/1/97#, 60, True)


Beispiel zur GetInspector-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet die GetInspector-Eigenschaft, um einen neuen, inaktiven Inspektor für myItem zurückzugeben und das Element anzuzeigen.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olMailItem)
Set myInspector = myItem.GetInspector
myInspector.Display

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(0)
Set myInspector = myItem.GetInspector
myInspector.Display


Beispiel zur Groups-Eigenschaft

Im folgenden Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird die Anzahl der in der Outlook-Leiste enthaltenen Gruppen angezeigt.

Dim myOlApp As New Outlook.Application
Dim myOlBar As Outlook.OutlookBarPane
Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
myCount = myOlBar.Contents.Groups.Count
MsgBox "There are " & myCount & " groups in the Outlook Bar"

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung VBScript ausgeführt wird.

Set myOlBar = Application.ActiveExplorer.Panes.Item("OutlookBar")
myCount = myOlBar.Contents.Groups.Count
MsgBox "There are " & myCount & " groups in the Outlook Bar"


HelpContextID-Eigenschaft

Ordnet einem angegebenen Steuerelement ein bestimmtes Thema in einer benutzerdefinierten Microsoft Windows-Hilfedatei zu.

Syntax

object.HelpContextID [= Long]

Die Syntax der HelpContextID-Eigenschaft besteht aus folgenden Bestandteilen:

Bestandteil | Beschreibung
object | Erforderlich. Ein gültiges Objekt.
Long | Optional. Eine positive ganze Zahl, die für die Kontext-ID eines Themas in der dem Objekt zugeordneten Hilfedatei steht. Null bedeutet, dass dem Objekt kein Hilfethema zugeordnet ist (Standardeinstellung). Die Zahl muss eine gültige Kontext-ID in der angegebenen Hilfedatei sein.


 Beispiel zur HTMLBody-Eigenschaft

Beispiel zur HTMLBody-Eigenschaft

Dieses VBScript-Beispiel verwendet das Open-Ereignis, um auf die HTMLBody-Eigenschaft eines Elements zuzugreifen. Dadurch wird die EditorType-Eigenschaft für den Inspector des Elements auf olEditorHTML(2) festgelegt. Wenn die Body-Eigenschaft des Elements festgelegt wird, wird die EditorType-Eigenschaft in den Standardwert geändert. Wenn beispielsweise der Standard-Editor auf RTF festgelegt ist, wird EditorType auf olEditorRTF(3) festgelegt.

Wenn dieser Code im Skript-Editor eines Formulars im Entwurfsmodus eingefügt wird, geben die Meldungsfelder während der Laufzeit die Änderungen von EditorType wieder, sobald sich der Text des Formulars ändert. Das letzte Meldungsfeld verwendet die ScriptText-Eigenschaft, um den gesamten VBScript-Code im Skript-Editor anzuzeigen.

Function Item_Open()
    'Set the HTMLBody of the item.
    Item.HTMLBody = "<HTML><H2>My HTML page.</H2><BODY>My body.</BODY></HTML>"
    'Item displays HTML message.
    Item.Display
    'MsgBox shows EditorType is 2.
    MsgBox "HTMLBody EditorType is " & Item.GetInspector.EditorType
    'Access the Body and show
    'the text of the Body.
    MsgBox "This is the Body: " & Item.Body
    'After accessing, EditorType
    'is still 2.
    MsgBox "After accessing, the EditorType is " & Item.GetInspector.EditorType
    'Set the item's Body property.
    Item.Body = "Back to default body."
    'After setting, EditorType is
    'now back to the default.
    MsgBox "After setting, the EditorType is " & Item.GetInspector.EditorType
    'Access the items's
    'FormDescription object.
    Set myForm = Item.FormDescription
    'Display all the code
    'in the Script Editor.
    MsgBox myForm.ScriptText
End Function


Beispiel zur HTMLEditor-Eigenschaft

Das folgende VBScript-Beispiel verwendet das Click-Ereignis einer Befehlsschaltfläche mit dem Namen "CommandButton1", um die Auflistung aller HTML-Elemente zu demonstrieren.

Sub CommandButton1_Click()
    Dim i         'As Integer
    Dim strHTMLType    'As String
    Dim strHTMLText    'As String
    Dim NL        'As String

    NL = chr(10) & chr(13)

    Set myInspector = Item.GetInspector
    Set myIExplorer = myInspector.HTMLEditor
    If myIExplorer.ReadyState <> "complete" Then
'Test for complete loading of HTML doc
        For i = 0 To myIExplorer.All.Length - 1
            strHTMLType = TypeName(myIExplorer.All.Item(i))
            On Error Resume Next
'because not all elements support OuterHTML
            strHTMLText = ": " & NL &     myIExplorer.All.Item(i).outerHTML
            On Error GoTo 0
            MsgBox strHTMLType & strHTMLText
            strHTMLText = ""
        Next
    End If
End Sub


Beispiel zur IncludeRecurrences-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet IncludeRecurrences, um zu zeigen, wie eine bestimmte Instanz eines Serientermins zurückgegeben werden kann. In diesem Beispiel wird das fünfte Vorkommen der Terminserie mit dem Betreff "Weekly Meeting" zurückgegeben.

Set myOlApp = CreateObject("Outlook.Application")
Set myItems = myOlApp.ActiveExplorer.CurrentFolder.Items
Set myItems = myItems.Restrict("[Subject] = 'Weekly Meeting'")
myItems.Sort "[Start]"
myItems.IncludeRecurrences = True
MsgBox "The fifth instance of the recurring appointment _
    occurs on:" & myItems.Item(5).Start


Beispiel zur Inspectors-Eigenschaft

In diesem Microsoft Visual Basic-Beispiel werden zur Anzeige der Titel aller Inspector-Fenster die Inspectors-Eigenschaft, die Count-Eigenschaft und die Item-Methode des Inspectors-Objekts verwendet.

Dim myOlApp As New Outlook.Application
Private Sub Command1_Click()
    If myOlApp.Inspectors.Count > 0 Then
        For x = 0 To myOlApp.Inspectors.Count - 1
            MsgBox Inspectors.Item(x).Caption
        Next x
    Else
        MsgBox "There are no inspector windows open."
    End If
End Sub

Bei der Verwendung von VBScript wird keine Application-Objektvariable deklariert. In diesem Beispiel wird gezeigt, wie für dieselbe Aufgabe in VBScript vorzugehen ist.

Sub Commandbutton1_Click()
    If Application.Inspectors.Count > 0 Then
        For x = 0 To Application.Inspectors.Count - 1
            MsgBox Application.Inspectors.Item(x).Caption
        Next
    Else
        MsgBox "There are no inspector windows open."
    End If
End Sub


Beispiel zur Interval-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet GetRecurrencePattern, um das RecurrencePattern-Objekt für das neu erstellte AppointmentItem zu erhalten. Die RecurrenceType-, DayOfWeekMask-, PatternStartDate-, Interval-, PatternEndDate- und Subject-Eigenschaften werden festgelegt, der Termin gespeichert und anschließend mit dem Muster angezeigt: "Dieser Termin steht alle 3 Wochen montags vom 21.1.98 bis zum 5.10.09 in der Zeit von 14:30 bis 15:00 an".

Set myOlApp = New Outlook.Application
Set myApptItem = myOlApp.CreateItem(olAppointmentItem)
Set myRecurrPatt = myApptItem.GetRecurrencePattern

myRecurrPatt.RecurrenceType = olRecursWeekly
myRecurrPatt.DayOfWeekMask = olMonday
myRecurrPatt.PatternStartDate = #1/21/98 2:00:00 PM#
myRecurrPatt.Interval = 3
myRecurrPatt.PatternEndDate = #12/21/2001 5:00:00 PM#
myApptItem.Subject = "Important Appointment"
myApptItem.Save
myApptItem.Display

Bei der Verwendung von VBScript erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie für dieselbe Aufgabe in VBScript vorzugehen ist.

Set myApptItem = Application.CreateItem(1)
Set myRecurrPatt = myApptItem.GetRecurrencePattern
myRecurrPatt.RecurrenceType = 1
myRecurrPatt.DayOfWeekMask = 2
myRecurrPatt.PatternStartDate = #1/21/98 2:00:00 PM#
myRecurrPatt.Interval = 3
myRecurrPatt.PatternEndDate = #12/21/2001 5:00:00 PM#
myApptItem.Subject = "Important Appointment"
myApptItem.Save
myApptItem.Display


 Beispiel zur Items-Eigenschaft

Beispiel zur Items-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet die Items-Eigenschaft, um die Auflistung der MailItem-Objekte im Standardposteingang zu erhalten.

Set myOlApp = CreateObject("Outlook.Application")
Set myNameSpace = myOlApp.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(olFolderInbox)
Set myItems = myFolder.Items

Bei der Verwendung von VBScript wird kein Application-Objekt erstellt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie für dieselbe Aufgabe in VBScript vorzugehen ist.

Set myNameSpace = Application.GetNameSpace("MAPI")
Set myFolder = myNameSpace.GetDefaultFolder(6)
Set myItems = myFolder.Items


Beispiel zur Links-Eigenschaft

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen werden die Elemente im Ordner Aufgaben durchlaufen sowie die Anzahl von mit dem Element verknüpften Kontakten angezeigt, wenn eine Aufgabe nicht erledigt ist.

Dim myOlApp As New Outlook.Application
Dim myNSpace As Outlook.NameSpace
Dim myItems As Outlook.Items
Dim myItem As Outlook.TaskItem
Dim myLinks As Outlook.Links
Dim myLink As Outlook.Link
Set myNSpace = myOlApp.GetNamespace("MAPI")
Set myItems = myNSpace.GetDefaultFolder(olFolderTasks).Items
For x = 1 To myItems.Count
    If TypeName(myItems.Item(x)) = "TaskItem" Then
        Set myItem = myItems.Item(x)
        Set myLinks = myItem.Links
        Msg = myItem.Subject & " has " & myLinks.Count & " links."
        If myItem.Complete = False Then
            If MsgBox(Msg, vbOKCancel) = vbCancel Then Exit For
        End If
    End If
 Next x

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie die gleichen Aufgaben unter Verwendung von VBScript ausgeführt werden.

Set myNSpace = Application.GetNamespace("MAPI")
Set myItems = myNSpace.GetDefaultFolder(13).Items
For x = 1 To myItems.Count
    If TypeName(myItems.Item(x)) = "TaskItem" Then
        Set myItem = myItems.Item(x)
        Set myLinks = myItem.Links
        Msg = myItem.Subject & " has " & myLinks.Count & " links."
        If myItem.Complete = False Then
            If MsgBox(Msg, 1) = 2 Then Exit For
        End If
    End If
 Next


Beispiel zur MeetingStatus-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet CreateItem, um einen Termin zu erstellen, und MeetingStatus, um den Besprechungsstatus auf "Meeting" festzulegen und es in eine Besprechungsanfrage mit einem erforderlichen und einem optionalen Teilnehmer umzuwandeln.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olAppointmentItem)
myItem.MeetingStatus = olMeeting
myItem.Subject = "Strategy Meeting"
myItem.Location = "Conference Room B"
myItem.Start = #9/24/97 1:30:00 PM#
myItem.Duration = 90
Set myRequiredAttendee = myItem.Recipients.Add ("Nate Sun")
myRequiredAttendee.Type = olRequired
Set myOptionalAttendee = myItem.Recipients.Add ("Kevin Kennedy")
myOptionalAttendee.Type = olOptional
Set myResourceAttendee = myItem.Recipients.Add("Conference Room B")
myResourceAttendee.Type = olResource
myItem.Send

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myItem = Application.CreateItem(1)
myItem.MeetingStatus = 1
myItem.Subject = "Strategy Meeting"
myItem.Location = "Conference Room B"
myItem.Start = #9/24/97 1:30:00 PM#
myItem.Duration = 90
Set myRequiredAttendee = myItem.Recipients.Add ("Nate Sun")
myRequiredAttendee.Type = 1
Set myOptionalAttendee = myItem.Recipients.Add ("Kevin Kennedy")
myOptionalAttendee.Type = 2
Set myResourceAttendee = myItem.Recipients.Add("Conference Room B")
myResourceAttendee.Type = 3
myItem.Send


Beispiel zur MemberCount-Eigenschaft

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird der Standardkontaktordner durchlaufen. Wenn der Ordner eine Verteilerliste mit mehr als 20 Mitgliedern auffindet, wird das Element angezeigt.

Dim myOlApp As New Outlook.Application
Dim myOlFolder As Outlook.MAPIFolder
Dim myOlItems As Outlook.Items
Dim myOlDistList As Outlook.DistListItem
Set myOlFolder = myOlApp.GetNamespace("MAPI").GetDefaultFolder(olFolderContacts)
Set myOlItems = myOlFolder.Items
For x = 1 To myOlItems.Count
    If TypeName(myOlItems.Item(x)) = "DistListItem" Then
        Set myOlDistList = myOlItems.Item(x)
        If myOlDistList.MemberCount > 20 Then
            MsgBox myOlDistList.DLName & " has more than 20 members."
            myOlDistList.Display
        End If
    End If
Next x

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie die gleiche Aufgabe unter Verwendung von VBScript ausgeführt wird.

Set myOlFolder = _
    Application.GetNamespace("MAPI").GetDefaultFolder(10)
Set myOlItems = myOlFolder.Items
For x = 1 To myOlItems.Count
    If TypeName(myOlItems.Item(x)) = "DistListItem" Then
        Set myOlDistList = myOlItems.Item(x)
        If myOlDistList.MemberCount > 20 Then
            MsgBox myOlDistList.DLName & _
                " has more than 20 members."
            myOlDistList.Display
        End If
    End If
Next


Beispiel zur Members-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen verwendet die Members-Eigenschaft eines AddressEntry-Objekts, um alle Mitglieder in einem E-Mail-Alias im Globalen Adressbuch mit dem Namen "My Group" anzuzeigen. Um auf die Members-Eigenschaft zuzugreifen, muss der DisplayType von AddressEntry eine Verteilerliste sein.

Um dieses Beispiel zu verwenden, ersetzen Sie den Namen mit dem E-Mail-Alias, für den Sie die Mitglieder anzeigen möchten.

Sub DisplayMembersOfAlias()
    Set myOlApp = CreateObject("Outlook.Application")
    Set myNameSpace = myOlApp.GetNameSpace("MAPI")
    'Set myAddressList to
    'the Global Address List
    'within the AddressLists
    'collection.
    Set myAddressList = myNameSpace.AddressLists("Global Address List")
    'Set myAddressEntry
    'to the entry in the
    'AddressEntries
    'collection named
    '"My Group" which is
    'a distribution list.
    Set myAddressEntry = myAddressList.AddressEntries("My Group")
    'Display each member in the
    'alias.
    For Each memberEntry In myAddressEntry.Members
      MsgBox memberEntry
    Next
End Sub


Beispiel zur Panes-Eigenschaft

Dieses Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen fügt eine Gruppe mit dem Namen "Marketing" der zweiten Gruppe in der Outlook-Leiste hinzu.

Dim myOlApp As New Outlook.Application
Dim myolBar As Outlook.OutlookBarPane
Set myolBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
myolBar.Contents.Groups.Add "Marketing", 2

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt. Dieses Beispiel zeigt, wie die gleiche Aufgabe in VBScript ausgeführt wird.

Set myolBar = Application.ActiveExplorer.Panes.Item("OutlookBar")
myolBar.Contents.Groups.Add "Marketing", 2


Beispiel zur Regenerate-Eigenschaft

Dieses Beispiel für Visual Basic für Applikationen erstellt eine Aufgabe mit dem Namen "Oil Change", die alle drei Monate auftritt, und verwendet die Regenerate-Eigenschaft, um festzulegen, dass die Aufgabe nach jedem Vorkommen neu erstellt wird.

Set myOlApp = CreateObject("Outlook.Application")
Set myItem = myOlApp.CreateItem(olTaskItem)
Set myPattern = myItem.GetRecurrencePattern
myPattern.RecurrenceType = olRecursMonthly
myPattern.Regenerate = True
myPattern.Interval = 3
myItem.Subject = "Oil Change"
myItem.Save
myItem.Display

Bei der Verwendung von VBScript wird kein Application-Objekt erstellt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie für dieselbe Aufgabe mit VBScript vorzugehen ist.

Set myItem = Application.CreateItem(3)
Set myPattern = myItem.GetRecurrencePattern
myPattern.RecurrenceType = 2
myPattern.Regenerate = True
myPattern.Interval = 3
myItem.Subject = "Oil Change"
myItem.Save
myItem.Display


Beispiel zur Selection-Eigenschaft

Im folgenden Beispiel von Microsoft Visual Basic/Visual Basic für Applikationen werden die Count-Eigenschaft und die Item-Methode der Selection-Auflistung von der Selection-Eigenschaft zurückgegeben, um die Absender aller Nachrichten anzuzeigen, die im aktiven Explorer-Fenster markiert sind.

Dim myOlApp As New Outlook.Application
Dim myOlExp As Outlook.Explorer
Dim myOlSel As Outlook.Selection
Dim MsgTxt As String
MsgTxt = "You have selected items from" & Chr(13) & Chr(13)
Set myOlExp = myOlApp.ActiveExplorer
Set myOlSel = myOlExp.Selection
For x = 1 To myOlSel.Count
    MsgTxt = MsgTxt & myOlSel.Item(x).SenderName & Chr(13)
Next x
MsgBox MsgTxt

Bei der Verwendung von VBScript wird kein Application-Objekt erstellt. In diesem Beispiel wird gezeigt, wie für dieselbe Aufgabe in VBScript vorzugehen ist.

MsgTxt = "You have selected items from" & Chr(13) & Chr(13)
Set myOlSel = Application.ActiveExplorer.Selection
For x = 1 To myOlSel.Count
    MsgTxt = MsgTxt & myOlSel.Item(x).SenderName & Chr(13)
Next
MsgBox MsgTxt


Beispiel zur Shortcuts-Eigenschaft

Dieses Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen löscht alle leeren Gruppen in der Outlook-Leiste.

Dim myOlApp As New Outlook.Application
Dim myOlBar As Outlook.OutlookBarPane
Dim myOlGroup As Outlook.OutlookBarGroup
Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
For x = myOlBar.Contents.Groups.Count To 1 Step -1
    Set myOlGroup = myOlBar.Contents.Groups.Item(x)
    If myOlGroup.Shortcuts.Count = 0 Then
        myOlBar.Contents.Groups.Remove x
    End If
Next x

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt. Dieses Beispiel zeigt, wie die gleiche Aufgabe in VBScript ausgeführt wird.

Set myOlBar = Application.ActiveExplorer.Panes.Item("OutlookBar")
For x = myOlBar.Contents.Groups.Count To 1 Step -1
    Set myOlGroup = myOlBar.Contents.Groups.Item(x)
    If myOlGroup.Shortcuts.Count = 0 Then
        myOlBar.Contents.Groups.Remove x
    End If
Next


Beispiel zur SyncObjects-Eigenschaft

Dieses Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen beginnt die Synchronisation des zweiten Synchronisationsprofils des Benutzers als Reaktion auf das Klicken auf eine Schaltfläche in einem Formular durch den Benutzer.

Private Sub Command1_Click()
    Dim myOlApp As New Outlook.Application
    Dim mySyncs As Outlook.SyncObjects
    Set mySyncs = myOlApp.GetNamespace("MAPI").SyncObjects
    Set mySyncObj = mySyncs.Item(2)
    mySyncObj.Start
End Sub


Beispiel zur Target-Eigenschaft

Dieses Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen zeigt die Verknüpfungen in der ersten Gruppe der Outlook-Leiste an. Falls es eine Verknüpfung findet, die kein Outlook-Ordner ist, löscht es diese.

Dim myOlApp As New Outlook.Application
Dim myOlBar As Outlook.OutlookBarPane
Dim myolGroup As Outlook.OutlookBarGroup
Dim myOlShortcuts As Outlook.OutlookBarShortcuts
Dim myOlShortcut As Outlook.OutlookBarShortcut
Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
Set myolGroup = myOlBar.Contents.Groups.Item(1)
Set myOlShortcuts = myolGroup.Shortcuts
myTop = myOlShortcuts.Count
For x = myTop To 1 Step -1
    Set myOlShortcut = myOlShortcuts.Item(x)
    If TypeName(myOlShortcut.Target) <> "MAPIFolder" Then
        myOlShortcuts.Remove x
    End If
Next x

Wenn Sie VBScript verwenden, erstellen Sie kein Application-Objekt. Dieses Beispiel zeigt, wie die gleiche Aufgabe in VBScript ausgeführt wird.

Set myOlBar = _
    Application.ActiveExplorer.Panes.Item("OutlookBar")
Set myolGroup = myOlBar.Contents.Groups.Item(1)
Set myOlShortcuts = myolGroup.Shortcuts
myTop = myOlShortcuts.Count
For x = myTop To 1 Step -1
    Set myOlShortcut = myOlShortcuts.Item(x)
    If TypeName(myOlShortcut.Target) <> "MAPIFolder" Then
        myOlShortcuts.Remove x
    End If
Next


Beispiel zur ViewType-Eigenschaft

Im folgenden Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen wird in der ersten Gruppe der Outlook-Leiste zwischen dem Ansichtsmodus mit großen Symbolen und dem mit kleinen Symbolen umgeschaltet.

Dim myOlApp As New Outlook.Application
Dim myOlBar As Outlook.OutlookBarPane
Dim myOlGroup As Outlook.OutlookBarGroup
Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
Set myOlGroup = myOlBar.Contents.Groups.Item(1)
If myOlGroup.ViewType = olLargeIcon Then
    myOlGroup.ViewType = olSmallIcon
Else
    myOlGroup.ViewType = olLargeIcon
End If

Bei der Verwendung von VBScript wird kein Application-Objekt erstellt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie für dieselbe Aufgabe in VBScript vorzugehen ist.

Set myOlBar = Application.ActiveExplorer.Panes.Item("OutlookBar")
Set myOlGroup = myOlBar.Contents.Groups.Item(1)
If myOlGroup.ViewType = 0 Then
    myOlGroup.ViewType = 1
Else
    myOlGroup.ViewType = 0
End If


Beispiel zur Visible-Eigenschaft

In diesem Beispiel von Microsoft Visual Basic/Visual Basic für Applikationen wird zwischen dem Status Sichtbar und dem Status Ausgeblendet für die Outlook-Leiste gewechselt.

Dim myOlApp As New Outlook.Application
Dim myOlBar As Outlook.OutlookBarPane
Set myOlBar = myOlApp.ActiveExplorer.Panes.Item("OutlookBar")
myOlBar.Visible = Not myOlBar.Visible

Bei der Verwendung von VBScript wird das Application-Objekt nicht erstellt. In diesem Beispiel wird gezeigt, wie für dieselbe Aufgabe in VBScript vorzugehen ist.

Set myOlBar = Application.ActiveExplorer.Panes.Item("OutlookBar")
myOlBar.Visible = Not myOlBar.Visible


Beispiel zur WindowState-Eigenschaft

In diesem Beispiel für Microsoft Visual Basic/Visual Basic für Applikationen werden alle geöffneten Explorer-Fenster minimiert. Für das Abzählen der geöffneten Explorer-Fenster werden die Count-Eigenschaft und die Item-Methode der Explorers-Auflistung verwendet.

Dim myOlApp As New Outlook.Application
Dim myOlExp As Outlook.Explorer
Dim myOlExps As Outlook.Explorers
Set myOlExps = myOlApp.Explorers
For x = 1 To myOlExps.Count
    myOlExps.Item(x).WindowState = olMinimized
Next x

Bei der Verwendung von VBScript wird kein Application-Objekt erstellt, und Sie können keine benannten Konstanten verwenden. In diesem Beispiel wird gezeigt, wie für dieselbe Aufgabe in VBScript vorzugehen ist.

For x = 1 To Application.Explorers.Count
    Application.Explorers.Item(x).WindowState = 2
Next


Beispiel zur WordEditor-Eigenschaft

Im folgenden VBScript-Beispiel wird die Verwendung des Objektmodells von Word vorgeführt. Dem Nachrichtenbereich des Elements wird ein ausgefülltes Rechteck hinzugefügt.

Sub CommandButton1_Click()
    Set myInspector = Item.GetInspector
    Set WordDoc = myInspector.WordEditor
    Set Fill = WordDoc.Shapes.AddShape(1, 90, 90, 90, 50).Fill   'msoShapeRectangle=1
    Fill.ForeColor.RGB = RGB(128, 0, 0)
    Fill.BackColor.RGB = RGB(170, 170, 170)
    Fill.TwoColorGradient 4, 1   'msoGradientDiagonalDown=4
End Sub


Eine falsche Version eines Formulars wird verwendet

Wahrscheinlich haben Sie dieses Formular in mehr als nur einer Formularbibliothek veröffentlicht. Stellen Sie sicher, dass das Formular nur an einer Stelle veröffentlicht wurde. Weitere Informationen über das Veröffentlichen von Formularen erhalten Sie unter Speichern eines Formulars in einer Formularbibliothek.


Fehler: Ein Feld auf diesem Formular erfordert einen Wert.

Überprüfen Sie im Dialogfeld Eigenschaften des Steuerelements, ob für die Steuerelemente des Formulars die Gültigkeitsprüfung aktiviert ist.

Wenn der Fehler weiterhin auftritt, müssen Sie alle nicht verwendeten, benutzerdefinierten Felder löschen, die in dem Element vorhanden sind, und das unabhängig davon, ob sie in dem Formular angezeigt werden.


Ein durch ein Kennwort geschütztes Formular kann nicht geöffnet werden

Beachten Sie, dass bei Kennwörtern nach Groß- und Kleinschreibung unterschieden wird.

Wenn ein Formular durch ein Kennwort geschützt und dieses Kennwort nicht mehr bekannt ist, kann Microsoft Ihnen nicht bei der Umgehung des Kennwortschutzes helfen.


Das Standardformular für Nachrichten kann nicht geändert werden

Sie können ein benutzerdefiniertes Formular nicht als Standardformular für den Posteingang festlegen. Alle eingehenden Nachrichten verwenden entweder das Standardnachrichtenformular oder ein vom Absender festgelegtes Formular.


Die Eigenschaften Nachricht oder Notiz eines Elements können nicht gefunden werden

Das Nachrichten- oder Notizenfeld eines Formulars wird im Outlook-Objektmodell als Text-Eigenschaft bezeichnet.


Die Daten werden nicht mit dem Formular gespeichert

Vermutlich haben Sie einem Formular mit Hilfe der Steuerelement-Toolbox Steuerelemente hinzugefügt. Wenn Sie Steuerelemente aus der Steuerelement-Toolbox hinzufügen und in den Steuerelementen Daten gespeichert werden sollen, sollten Sie das Steuerelement an ein Feld binden. Die Daten werden in den Feldern und nicht in den Steuerelementen gespeichert. Wenn ein Steuerelement nicht an ein Feld gebunden ist, gehen die Daten verloren, sobald das Element gespeichert oder gesendet wird.

Anmerkung Wenn Sie mit der Maus ein Feld aus der Feldauswahl ziehen, wird das erzeugte Steuerelement automatisch an das Feld gebunden.


 Ein Nachricht-Steuerelement, das in einem Programm als schreibgeschützt definiert wurde, lässt sich immer noch ändern

Ein Nachricht-Steuerelement, das in einem Programm als schreibgeschützt definiert wurde, lässt sich immer noch ändern

Wenn Sie mit Microsoft Visual Basic während der Laufzeit die Schreibgeschützt-Eigenschaft eines Nachricht-Steuerelements ändern, so hat dies keinen Einfluss darauf, ob der Inhalt des Steuerelements vom Benutzer geändert werden kann oder nicht. Die Schreibgeschützt-Eigenschaft ist nur wirksam, wenn sie während der Entwurfszeit gesetzt wird.


 Eine Programmlösung kann auf anderen Computern nicht ausgeführt werden

Eine Programmlösung kann auf anderen Computern nicht ausgeführt werden

Halten Sie sich an die folgenden Ratschläge zur Problembehandlung, wenn Ihre Formulare oder Programmlösungen auf manchen Rechnern funktionieren, auf anderen jedoch nicht.

VBScript-Version: Wenn Ihre Lösung Formulare beinhaltet, die VBScript verwenden, sollten Sie sichergehen, dass alle Rechner die VBScript-Version verwenden, die auf dem Rechner verwendet wird, auf dem die Lösung entwickelt wurde. VBScript ist eine gemeinsam genutzte Komponente. Bei der Installation neuer Programme, wie z. B. der neuesten Version von Microsoft Internet Explorer, wird eventuell auch eine neuere Version von VBScript installiert. Unter http://www.microsoft.com/germany/scripting erhalten Sie aktuelle Informationen über die einzelnen Versionen von VBScript.

Steuerelemente: Wenn Ihre Lösung nicht standardisierte Steuerelemente verwendet, sollten Sie überprüfen, ob die Steuerelemente auf den Rechnern aller Benutzer korrekt installiert sind. Wenn Sie andere Steuerelemente als die von Microsoft Office installierten Steuerelemente von Forms 2.0 verwenden, sollten Sie den Benutzern ein Setup-Programm zur Verfügung stellen, das gewährleistet, dass sämtliche Steuerelemente korrekt installiert werden. Microsoft Visual Basic und Microsoft Office 2000 Developer enthalten Tools zum Erstellen benutzerdefinierter Setup-Programme.

Zugriffsberechtigungen oder Benutzerrechte: Stellen Sie sicher, dass jeder Benutzer, bei dem Probleme auftreten, über die korrekten Zugriffsberechtigungen oder Rechte verfügt, um auf einen Öffentlichen Ordner oder andere Ressourcen zuzugreifen, die von Ihrer Lösung verwendet werden.

Nachrichtenformulare: Wenn Ihre Lösung Formulare von einem Rechner zum anderen sendet, sollten Sie im Entwurfsmodus auf der Eigenschaftenseite des Formulars das Kontrollkästchen Element mit Beschreibung senden aktivieren. Andernfalls müssen Sie oder der Benutzer das Formular korrekt installieren, so dass es allen Benutzern zur Verfügung steht. Stellen Sie außerdem sicher, dass alle Benutzer mit der gleichen Konfiguration von Microsoft Outlook arbeiten (Unternehmen oder Arbeitsgruppe oder Nur via Internet). Gelegentlich spielt auch das Nachrichtenformat (Microsoft Rich Text, HTML, Nur Text, Microsoft Word) eine Rolle. Ist das Nachrichtenformat beim Empfang identisch mit dem gesendeten Format? Wurde das Format während des Übertragungsvorgangs möglicherweise umgewandelt?


Neue Elemente verwenden das benutzerdefinierte Formular nicht

Sie müssen das benutzerdefinierte Formular für den Ordner als Standardformular festlegen.


Ältere Elemente verwenden das benutzerdefinierte Formular nicht

Sie müssen das Feld Nachrichtenklasse aller älteren Elemente des Ordners ändern.


 Eine empfangene Nachricht oder ein Bereitstellungsformular erscheint beim Lesen nicht benutzerdefiniert

Eine empfangene Nachricht oder ein Bereitstellungsformular erscheint beim Lesen nicht benutzerdefiniert

Nachrichten und Bereitstellungsformulare können entweder im Modus Verfassen oder Lesen angezeigt werden. Sie können diese Funktion deaktivieren, so dass nur ein Modus für das Formular vorhanden ist. Sie können auch Verfassenlayout und Leseseite getrennt bearbeiten. Im Entwicklungsmodus befinden sich diese Optionen im Menü Formular.


Das Click-Ereignis eines Steuerelements wird nicht ausgelöst

Bei Steuerelementen, die an ein Feld gebunden sind, wird das Click-Ereignis nicht ausgelöst. Wenn Steuerelemente an ein Feld gebunden sind und sich der Wert des Feldes ändert, können Sie das PropertyChange- oder CustomPropertyChange-Ereignis verwenden.


Das Formular wird stets mit dem Element gespeichert

Wenn VBScript in einem Formular das Formular selbst ändert, speichert Microsoft Outlook die Formulardefinition möglicherweise zusammen mit dem Element und erzeugt dabei ein Einmal-Element.


Die Warnung vor Makroviren wird fortlaufend angezeigt

Das Element enthält VBScript-Code. Um zu verhindern, dass diese Warnung angezeigt wird, sollte sich der VBScript-Code in einem veröffentlichten Formular befinden. Veröffentlichte Formulare gelten als sicher, daher wird keine Warnung vor Makroviren angezeigt, wenn sich der Code in einem veröffentlichten Formular befindet.

Wenn Sie das Formular veröffentlicht haben, aber trotzdem weiterhin diese Warnung erhalten, so hat dies normalerweise eine der beiden folgenden Ursachen: Auf der Eigenschaftenseite des Formulars ist das Kontrollkästchen Element mit Beschreibung senden aktiviert. Oder das Element ist nun ein Einmal-Formular, und die Formulardefinition und eventueller VBScript-Code sind zu einem Bestandteil des Elements geworden. Weitere Informationen über Einmal-Formulare erhalten Sie unter Speichern eines Formulars mit dem Element (Einmal-Formulare).


 Info über das Nachrichtenfeld

Info über das Nachrichtenfeld

Mit dem Nachrichtenfeld können Sie:

  • Anlagen oder Verknüpfungen zu Dateien einfügen. Beispielsweise kann der Benutzer das Nachrichtenfeld in einem Kopieranfrageformular verwenden, um die Dateien als Anlage zu senden, die kopiert werden sollen. Wenn die Dateien zu groß sind, um über das Microsoft Exchange-System gesendet zu werden, kann der Benutzer auch Verknüpfungen zu den in der Anlage befindlichen Dateien einfügen. Darüber hinaus kann der Entwickler auch zur Entwurfszeit Dateien oder Verknüpfungen einfügen. So können Sie beispielsweise Verknüpfungen zu INFO-Dateien einfügen, in denen erläutert wird, wie ein Formular oder eine Anwendung zu verwenden ist.

  • Anlagen oder Verknüpfungen zu Elementen einfügen Auf diese Weise können Sie Nachrichten von anderen Benutzern in das Nachrichtenfeld einfügen.

  • Eine Verknüpfung zu einer Seite im World Wide Web einfügen. Auf den Computern der Empfänger muss ein Internetbrowser installiert sein, damit Verknüpfungen zu Webseiten eingefügt werden können.

  • Verknüpfte und eingebettete Objekte einfügen. Diese Objekte umfassen telefonische Nachrichten, Word-Dokumente, Microsoft Excel-Arbeitsmappen und PowerPoint-Präsentationen.

Regeln für die Verwendung des Nachrichtenfeldes:

  • Jedes Formular kann ein Nachrichten-Steuerelement (Message) pro Seite enthalten. Beispielsweise können in einem Formular die Verfassen-Seite wie auch die Lesen-Seite ein Nachrichten-Steuerelement (Message) enthalten.

  • Ein Nachrichten-Steuerelement (Message) kann nicht auf der Nachrichtenseite oder einer anderen Seite (beispielsweise auf einer der Seiten mit der Bezeichnung S.2 - S.6) der Verfassen-Seite oder der Lesen-Seite platziert werden.

  • Wenn im Formular nicht die Option Separates Lese-Layout für die Seite aktiviert ist, die das Nachrichten-Steuerelement (Message) enthält, kann das Formular nur ein Nachrichten-Steuerelement enthalten.

  • Das Nachrichten-Steuerelement (Message) wird automatisch an das Nachrichtenfeld gebunden.

  • Das Nachrichten-Steuerelement (Message) ist das einzige Standardsteuerelement in einem Formular, in das Sie oder die Benutzer Dateien, Elemente oder Objekte einfügen können.


Übersicht über Operatoren

Mit Operatoren können Sie die in Outlook enthaltenen Funktionen kombinieren und erweitern.

Arithmetische Operatoren

Logische Operatoren

Vergleichsoperatoren

Verkettungsoperatoren


 Testen und veröffentlichen Ihres Formulars

Testen und veröffentlichen Ihres Formulars

Wenn Ihr Formular fertig gestellt ist, sollten Sie es testen, um sicherzustellen, dass es Ihren Wünschen entsprechend funktioniert. Sie können das Formular im Ausführungsmodus testen, es dann in einem Ordner oder in Ihrer Bibliothek für persönliche Formulare veröffentlichen und anschließend öffnen, um zu sehen, ob und wie es funktioniert. Senden Sie das Formular an sich selbst, um die Antwort-Aktionen zu prüfen, und veröffentlichen Sie das Formular anschließend in einem Öffentlichen Ordner oder in der Bibliothek für organisatorische Formulare, damit es auch von anderen Personen verwendet werden kann. Sie können ein Formular auch speichern, um es in einer E-Mail-Nachricht zu senden oder als Vorlage zu verwenden.

Was möchten Sie tun?

Ein Formular im Ausführungsmodus testen

Ein Formular veröffentlichen


 So fügen Sie einer Liste zur Entwurfszeit Elemente hinzu

So fügen Sie einer Liste zur Entwurfszeit Elemente hinzu

  1. Ziehen Sie im Entwurfsmodus das Listenfeld-Steuerelement (ListBox) oder das Kombinationsfeld-Steuerelement (ComboBox) aus der Steuerelement-Werkzeugsammlung auf das Formular.

  2. Klicken Sie mit der rechten Maustaste auf das Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  3. Klicken Sie auf der Registerkarte Wert auf Feld auswählen, zeigen Sie auf den Feldersatz Benutzerdefiniert, und klicken Sie auf das benutzerdefinierte Feld, an das das Steuerelement gebunden werden soll.

  4. Geben Sie im Feld Mögliche Werte die Werte für die Einträge durch Semikola getrennt ein, die später in der Liste angezeigt werden sollen.


 Schritt 3: Erstellen und Verwenden einer benutzerdefinierten Ansicht in einem Öffentlichen Ordner

Schritt 3: Erstellen und Verwenden einer benutzerdefinierten Ansicht in einem Öffentlichen Ordner

Mit Hilfe benutzerdefinierter Ansichten können Sie Informationen in einem Öffentlichen Ordner genau so anordnen, wie das für Ihre Zwecke dienlich erscheint. Sie können festlegen, welche Ansicht zu Beginn angezeigt wird, wenn der Benutzer den Öffentlichen Ordner öffnet, und Sie können alle Standardansichten aus dem Öffentlichen Ordner entfernen und nur die benutzerdefinierten Ansichten anzeigen, die Sie selbst erstellt haben. Durch das Festlegen von Berechtigungen für einen Öffentlichen Ordner können Sie den Personenkreis bestimmen, dem der Zugriff auf den Ordner gestattet ist.

Was möchten Sie tun?

Die Standardansicht für einen Ordner ändern

Ausschließlich benutzerdefinierte Ansichten in einem Ordner anzeigen

Den Zugriff auf den Öffentlichen Ordner einschränken


 Beispiel für eine schnelle Arbeitsgruppenlösung

Beispiel für eine schnelle Arbeitsgruppenlösung

In diesem Beispiel wird eine Kundenliste einem Öffentlichen Ordner hinzugefügt, der gemeinsam von Vertriebsmitarbeitern genutzt wird. Die Ansicht wurde so angepasst, dass die Kontakte zur besseren Übersicht nach Kategorien gruppiert und nach der geschäftlichen Telefonnummer sortiert sind, so dass Telefonnummern mit der gleichen Vorwahl jeweils zusammen angezeigt werden. Das Vertriebspersonal kann einfach neue Kontakte hinzufügen oder bereits vorhandene Kontakte auswählen, die angerufen werden sollen.


 Ein Beispiel für ein benutzerdefiniertes Formular, das auf einem bereits vorhandenen Element basiert

Ein Beispiel für ein benutzerdefiniertes Formular, das auf einem bereits vorhandenen Element basiert

Im nachstehenden Beispiel hat der Ersteller des Formulars eine neue Seite mit Namen "Contact" in einer E-Mail-Nachricht erstellt und dieser einige Outlook-Felder zum Sammeln von Informationen hinzugefügt. Die Felder "First", "Last" und "Phone" sind benutzerdefinierte Felder und wurden erstellt, indem in der Feldauswahl auf Neu geklickt wurde. Das Formular ist für das Speichern in einem speziellen Ordner vordefiniert, so dass Kontakte automatisch einer Liste hinzugefügt und anschließend sortiert, kategorisiert und gefiltert werden können. Im Feld "Created" am Fuß des Formulars wird automatisch das Datum und die Uhrzeit eingefügt, wann der Kontakt gesendet wurde. Die Nachrichtenseite ist im Ausführungsmodus ausgeblendet, so dass der Benutzer das Formular nicht an eine andere Person senden kann. Wenn das Vertriebspersonal das Formular zum Aufzeichnen von Kontakten verwendet, werden diese an einen Ordner gesendet, dem eine Ansicht zugeordnet ist, in der Kontakte nach Kategorien gruppiert und anschließend nach dem Feld "Created" sortiert werden. Auf diese Weise hat der Vertriebsleiter sofortigen Zugriff auf die aktuellsten Kontaktinformationen.


 Erstellen einer schnellen Arbeitsgruppenlösung unter Verwendung von Öffentlichen Ordnern

Erstellen einer schnellen Arbeitsgruppenlösung unter Verwendung von Öffentlichen Ordnern

Mit der Verwendung von benutzerdefinierten Ansichten in einem Öffentlichen Ordner können Sie ein bereits vorhandenes Element, wie beispielsweise einen Kontakt, in ein Arbeitsgruppenformular umwandeln, aus dem jeder Benutzer des Öffentlichen Ordners Informationen abrufen oder dem jeder Informationen hinzufügen kann. Mit dieser Methode können Sie einen Termin, eine Aufgabe oder einen Kontakt in einem Öffentlichen Ordner erstellen, eine benutzerdefinierte Ansicht für die Daten in diesem Ordner vorsehen und dann denjenigen Personen, die den Ordner verwenden sollen, Zugriffsberechtigungen zuweisen.

Klicken Sie auf [image] , um ein Beispiel zu einem Arbeitsgruppenformular in einem Ordner anzuzeigen.

Klicken Sie auf einen der nachstehenden Schritte, um mit der gewünschten Arbeit zu beginnen:

Schritt 1: Erstellen eines Öffentlichen Ordners

Schritt 2: Erstellen eines Outlook-Elements in einem Öffentlichen Ordner

Schritt 3: Erstellen und Verwenden einer benutzerdefinierten Ansicht in einem Öffentlichen Ordner

Schritt 4: Erteilen von Berechtigungen für den Personenkreis, der den Ordner verwenden soll


Beispiel zur Abs-Funktion

Im folgenden Beispiel geben beide Funktionen 53 zurück.

ABS(-53)
ABS(53)


Beispiel zu den Accelerator-, Caption-Eigenschaften

Dieses Beispiel ändert die Accelerator- und Caption-Eigenschaft eines Befehlsschaltflächen-Steuerelements (CommandButton), wenn der Benutzer mit der Maus oder der Zugriffstaste auf die Schaltfläche klickt. Das Click-Ereignis enthält den Code, um die Accelerator- und Caption-Eigenschaft zu ändern.

Fügen Sie für dieses Beispiel den Code in den Skript-Editor eines Formulars ein, das ein Befehlsschaltflächen-Steuerelement (CommandButton) mit der Bezeichnung CommandButton1 besitzt. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird.

Dim CommandButton1

Sub Item_Open()
  Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton1
  CommandButton1.Accelerator  = "C"         'Set Accelerator key to ALT + C
End Sub

Sub CommandButton1_Click ()
  If CommandButton1.Caption = "OK" Then     'Check caption, then change it.
    CommandButton1.Caption = "Clicked"
    CommandButton1.Accelerator  = "C"         'Set Accelerator key to ALT + C
  Else
    CommandButton1.Caption = "OK"
    CommandButton1.Accelerator  = "O"         'Set Accelerator key to ALT + O
  End If
End Sub


Beispiel für den Aufruf von Steuerelementen über die Controls-Auflistung

Das folgende Beispiel ruft einzelne Steuerelemente über die Controls-Auflistung mit einer "For Each...Next"-Schleife auf. Wenn der Benutzer auf CommandButton1 klickt, werden die anderen Steuerelemente mit der Move-Methode in einer Spalte am linken Rand des Formulars positioniert.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular eine Befehlsschaltfläche (CommandButton) mit der Bezeichnung CommandButton1 und weitere Steuerelemente aufweist.

Dim CtrlHeight
Dim CtrlTop
Dim CtrlGap
Dim CommandButton1

Sub Item_Open()
  Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton1

  CtrlHeight = 20
  CtrlGap = 5

  CommandButton1.Caption = "Click to move controls"
  CommandButton1.AutoSize = True
  CommandButton1.Left = 120
  CommandButton1.Top = CtrlTop
End Sub

Sub CommandButton1_Click()
  Dim MyControl

  Set AllControls = Item.GetInspector.ModifiedFormPages("P.2").Controls

  CtrlTop = 5

  For i = 0 to AllControls.Count - 1
    Set MyControl = AllControls(i)
    If MyControl.Name = "CommandButton1" Then
    'Don't move or resize this control.
    Else
      'Move method using unnamed arguments (left, top, width, height)
      MyControl.Move 5, CtrlTop, ,CtrlHeight

      'Calculate top coordinate for next control
      CtrlTop = CtrlTop + CtrlHeight + CtrlGap
    End If
  Next

End Sub


Beispiel für den Zugriff auf eine Seite

Im folgenden Beispiel werden mehrere Möglichkeiten behandelt, um auf eine Seite eines Multiseiten-Steuerelements (MultiPage) zuzugreifen:

  • Verwenden der Pages-Auflistung mit einem numerischen Index.

  • Verwenden des Namens der entsprechenden Seite im Multiseiten-Steuerelement (Multipage).

  • Verwenden der SelectedItem-Eigenschaft.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Vergewissern Sie sich, dass das Formular ein Multiseiten-Steuerelement (Multipage) mit der Bezeichnung MultiPage1 und ein Befehlsschaltflächen -Steuerelement (CommandButton) mit der Bezeichnung CommandButton1 aufweist.

Sub CommandButton1_Click
  Dim PageName
  Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").MultiPage1

  For i = 0 To MultiPage1.Count - 1
    'Use index (numeric or string)
    MsgBox "MultiPage1.Pages(i).Caption = " & MultiPage1.Pages(i).Caption
    MsgBox "MultiPage1.Pages.Item(i).Caption = " & MultiPage1.Pages.Item(i).Caption

    'Use Page object without referring to Pages collection
    If i = 0 Then
      MsgBox "MultiPage1.Page1.Caption = " & MultiPage1.Page1.Caption
    ElseIf i = 1 Then
      MsgBox "MultiPage1.Page2.Caption = " & MultiPage1.Page2.Caption
    End If

    'Use SelectedItem Property
    MultiPage1.Value = i
    MsgBox "MultiPage1.SelectedItem.Caption = " & MultiPage1.SelectedItem.Caption
  Next
End Sub


Beispiel für den Zugriff auf eine Registerkarte

Im folgenden Beispiel wird mit folgenden Methoden auf eine Registerkarte eines Register-Steuerelements (TabStrip) zugegriffen:

  • Verwenden der Tabs-Auflistung mit einem numerischen Index.

  • Verwenden des Namens des entsprechenden Tab.

  • Verwenden der SelectedItem-Eigenschaft.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular ein Register mit der Bezeichnung TabStrip1 aufweist.

Sub Item_Open()
    Dim TabStrip1
    Dim TabName

     Set TabStrip1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("TabStrip1")
    For i = 0 To TabStrip1.Count - 1
        'Using index (numeric or string)
        MsgBox "TabStrip1.Tabs(i).Caption = " & TabStrip1.Tabs(i).Caption
        MsgBox "TabStrip1.Tabs.Item(i).Caption = " & TabStrip1.Tabs.Item(i).Caption

        'Use Tab object without referring to Tabs collection
        If i = 0 Then
            MsgBox "TabStrip1.Tab1. Caption = " & TabStrip1.Tab1.Caption
        ElseIf i = 1 Then
            MsgBox "TabStrip1.Tab2. Caption = " & TabStrip1.Tab2.Caption
        End If

        'Use SelectedItem Property
        TabStrip1.Value = i
        MsgBox " TabStrip1.SelectedItem.Caption = " & TabStrip1.SelectedItem.Caption
    Next
End Sub


 Beispiel für das Hinzufügen eines Steuerelements

Beispiel für das Hinzufügen eines Steuerelements

Das folgende Beispiel verwendet die Add-Methode, um einem Formular zur Laufzeit ein Steuerelement hinzuzufügen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) mit der Bezeichnung CommandButton1.
Dim Mycmd
Sub CommandButton1_Click()

   Set Mycmd = Item.GetInspector.ModifiedFormPages("P.2").Controls.Add("Forms.CommandButton.1") ', CommandButton2, Visible)
  Mycmd.Left = 18
  Mycmd.Top = 150
  Mycmd.Width = 175
  Mycmd.Height = 20
  Mycmd.Caption = "This is fun." & Mycmd.Name

End Sub


Beispiel für das Hinzufügen eines Steuerelements zu einem Multiseiten-Steuerelement ("Multipage")

Das folgende Beispiel verwendet die Add-, Clear- und Remove-Methoden, um in einer Page eines Multiseiten-Steuerelements (MultiPage) zur Laufzeit ein Steuerelement hinzuzufügen oder zu entfernen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Multiseiten-Steuerelement (MultiPage) mit der Bezeichnung MultiPage1.

  • Drei Befehlsschaltflächen-Steuerelemente CommandButton) mit der Bezeichnung CommandButton1 bis CommandButton3.
Dim MyTextBox
Dim MultiPage1

Sub Item_Open()
  Set MyPage = Item.GetInspector.ModifiedFormPages("P.2")
  Set MultiPage1 = MyPage.MultiPage1
  MyPage.CommandButton1.Caption = "Add control"
  MyPage.CommandButton2.Caption = "Clear controls"
  MyPage.CommandButton3.Caption = "Remove control"
End Sub

Sub CommandButton1_Click()
  Set MyTextBox = MultiPage1.Pages(0).Controls.Add("Forms.TextBox.1", "MyTextBox", 1)
End Sub

Sub CommandButton2_Click()
  MultiPage1.Pages(0).Controls.Clear
End Sub

Sub CommandButton3_Click()
  If MultiPage1.Pages(0).Controls.Count > 0  Then
    MultiPage1.Pages(0).Controls.Remove "MyTextBox"
  End If
End Sub


Beispiel zur Alignment-Eigenschaft

Das folgende Beispiel veranschaulicht die Alignment-Eigenschaft unter Verwendung mehrerer Optionsfeld-Steuerelemente (OptionButton). In diesem Beispiel kann der Benutzer auf ein Umschaltfeld-Steuerelement (ToggleButton) klicken, um die Ausrichtung zu ändern.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Zwei Optionsfeld-Steuerelemente (OptionButton) mit der Bezeichnung OptionButton1 und OptionButton2.

  • Ein Umschaltfeld-Steuerelement (ToggleBox) mit der Bezeichnung ToggleButton1.
Dim OptionButton1
Dim OptionButton2
Dim ToggleButton1

Sub Item_Open()
     Set OptionButton1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("OptionButton1")
     Set OptionButton2 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("OptionButton2")
     Set ToggleButton1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("ToggleButton1")

    OptionButton1.Alignment = 0 'fmAlignmentLeft
    OptionButton2.Alignment = 0 'fmAlignmentLeft

    OptionButton1.Caption = "Alignment with AutoSize"
    OptionButton2.Caption = "Choice 2"
    OptionButton1.AutoSize = True
    OptionButton2.AutoSize = True

    ToggleButton1.Caption = "Left Align"
    ToggleButton1.WordWrap = True
    ToggleButton1.Value = True
End Sub

Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
        ToggleButton1.Caption = "Left Align"
        OptionButton1.Alignment = 0 'fmAlignmentLeft
        OptionButton2.Alignment = 0 'fmAlignmentLeft
    Else
        ToggleButton1.Caption = "Right Align"
        OptionButton1.Alignment = 1 'fmAlignmentRight
        OptionButton2.Alignment = 1 'fmAlignmentRight
    End If
End Sub


Beispiel zur Asc-Funktion

Das folgende Beispiel gib den Zeichencode des ersten Buchstabens im Feld Subject zurück.

Feld "Subject" | Funktionsrückgabe
Internationaler Verkauf | 73
Marketingstrategie | 77

ASC([Subject])


Beispiel zur Atn-Funktion

Im folgenden Beispiel gibt die Atn-Funktion den Wert von Pi zurück.

ATN(1)*4


Beispiel zur AutoSize-Eigenschaft

Das folgende Beispiel veranschaulicht die Auswirkung der AutoSize-Eigenschaft mit einem einzeiligen Textfeld (TextBox) und einem mehrzeiligen Textfeld. Der Benutzer kann in beide Steuerelemente Text eingeben und AutoSize unabhängig vom Inhalt des Textfeldes aktivieren bzw. deaktivieren. Dieses Codebeispiel verwendet die Text-Eigenschaft.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Zwei Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1 und TextBox2.

  • Ein Umschaltfeld (ToggleButton) mit der Bezeichnung ToggleButton1.
Dim ToggleButton1
Dim TextBox1
Dim TextBox2

Sub Item_Open()
  Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").ToggleButton1
  Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").TextBox1
  Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").TextBox2

  TextBox1.Text = "Single-line TextBox. Type your text here."

  TextBox2.MultiLine = True
  TextBox2.Text = "Multi-line TextBox. Type your text here. Use SHIFT+ENTER to start a new line."

  ToggleButton1.Value = True
  ToggleButton1.Caption = "AutoSize On"
  TextBox1.AutoSize = True
  TextBox2.AutoSize = True
End Sub

Sub ToggleButton1_Click()
  If ToggleButton1.Value = True Then
    ToggleButton1.Caption = "AutoSize On"
    TextBox1.AutoSize = True
    TextBox2.AutoSize = True
  Else
    ToggleButton1.Caption = "AutoSize Off"
    TextBox1.AutoSize = False
    TextBox2.AutoSize = False
  End If
End Sub


Beispiel zu den Bold-, Italic-, Size-, StrikeThrough-, Underline-, Weight-Eigenschaften

Das folgende Beispiel veranschaulicht ein Font-Objekt und die Eigenschaften Bold, Italic, Size, StrikeThrough, Underline und Weight im Zusammenhang mit Schriften. Die Schrifteigenschaften eines Objekts lassen sich, wie dieses Beispiel zeigt, direkt oder mit Hilfe eines Alias manipulieren.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Bezeichnungsfeld (Label) mit der Bezeichnung Label1.

  • Vier Umschaltfeld-Steuerelemente (ToggleButton) mit der Bezeichnung ToggleButton1 bis ToggleButton4.

  • Ein zweites Bezeichnungsfeld und ein Textfeld (TextBox) mit der Bezeichnung Label2 und TextBox1.
Dim MyFont
Dim ToggleButton1
Dim ToggleButton2
Dim ToggleButton3
Dim ToggleButton4
Dim Label1
Dim Label2
Dim TextBox1

Sub Item_Open()
  Set MyPage = Item.GetInspector.ModifiedFormPages("P.2")
  Set ToggleButton1 = MyPage.ToggleButton1
  Set ToggleButton2 = MyPage.ToggleButton2
  Set ToggleButton3 = MyPage.ToggleButton3
  Set ToggleButton4 = MyPage.ToggleButton4
  Set Label1 = MyPage.Label1
  Set Label2 = MyPage.Label2
  Set TextBox1 = MyPage.TextBox1
  Set MyFont = Label1.Font

  ToggleButton1.Value = True
  ToggleButton1.Caption = "Bold On"

  Label1.AutoSize = True        'Set size of Label1
  Label1.AutoSize = False

  ToggleButton2.Value = False
  ToggleButton2.Caption = "Italic Off"

  ToggleButton3.Value = False
  ToggleButton3.Caption = "StrikeThrough Off"

  ToggleButton4.Value = False
  ToggleButton4.Caption = "Underline Off"

  Label2.Caption = "Font Weight"
  TextBox1.Text = Label1.Font.Weight
  TextBox1.Enabled = False

End Sub

Sub ToggleButton1_Click()
  If ToggleButton1.Value = True Then
    MyFont.Bold = True            'Using MyFont alias to control font
    ToggleButton1.Caption = "Bold On"
    MyFont.Size = 22              'Increase the font size
  Else
    MyFont.Bold = False
    ToggleButton1.Caption = "Bold Off"
    MyFont.Size = 8               'Return font size to initial size
  End If

  TextBox1.Text = CStr(MyFont.Weight)  'Bold and Weight are related
End Sub

Sub ToggleButton2_Click()
  If ToggleButton2.Value = True Then
    Label1.Font.Italic = True            'Using Label1.Font directly
    ToggleButton2.Caption = "Italic On"
  Else
    Label1.Font.Italic = False
    ToggleButton2.Caption = "Italic Off"
  End If
End Sub

Sub ToggleButton3_Click()
  If ToggleButton3.Value = True Then
    Label1.Font.Strikethrough = True            'Using Label1.Font directly
    ToggleButton3.Caption = "StrikeThrough On"
  Else
    Label1.Font.Strikethrough = False
    ToggleButton3.Caption = "StrikeThrough Off"
  End If
End Sub

Sub ToggleButton4_Click()
  If ToggleButton4.Value = True Then
    MyFont.Underline = True            'Using MyFont alias for Label1.Font
    ToggleButton4.Caption = "Underline On"
  Else
    Label1.Font.Underline = False
    ToggleButton4.Caption = "Underline Off"
  End If
End Sub


Beispiel für Rahmen- und Farberweiterungen

Das folgende Beispiel veranschaulicht die BorderStyle- und SpecialEffect-Eigenschaft, wobei alle verfügbaren Rahmen mit diesen Eigenschaften angezeigt werden. Dieses Beispiel erläutert außerdem, wie die Farbeinstellungen mit der BackColor-, BackStyle-, BorderColor- und ForeColor-Eigenschaft gesteuert werden.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Sechs Textfeld-Steuerelemente (TextBox) mit der Bezeichnung TextBox1 bis TextBox6.

  • Zwei Umschaltfeld-Steuerelemente (ToggleButton) mit der Bezeichnung ToggleButton1 und ToggleButton2.
Dim TextBox1
Dim TextBox2
Dim TextBox3
Dim TextBox4
Dim TextBox5
Dim TextBox6
Dim ToggleButton1
Dim ToggleButton2

Sub Item_Open()
Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").TextBox1
Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").TextBox2
Set TextBox3 = Item.GetInspector.ModifiedFormPages("P.2").TextBox3
Set TextBox4 = Item.GetInspector.ModifiedFormPages("P.2").TextBox4
Set TextBox5 = Item.GetInspector.ModifiedFormPages("P.2").TextBox5
Set TextBox6 = Item.GetInspector.ModifiedFormPages("P.2").TextBox6
Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").ToggleButton1
Set ToggleButton2 = Item.GetInspector.ModifiedFormPages("P.2").ToggleButton2

'Initialize each TextBox with a border style or special effect,
'and foreground and background colors

'TextBox1 initially uses a borderstyle
TextBox1.Text = "BorderStyle-Single"
TextBox1.BorderStyle = 1
TextBox1.BorderColor = RGB(255, 128, 128)   'Color - Salmon
TextBox1.ForeColor = RGB(255, 255, 0)       'Color - Yellow
TextBox1.BackColor = RGB(0, 128, 64)        'Color - Green #2

'TextBoxes 2 through 6 initially use special effects
TextBox2.Text = "Flat"
TextBox2.SpecialEffect = 0
TextBox2.ForeColor = RGB(64, 0, 0)          'Color - Brown
TextBox2.BackColor = RGB(0, 0, 255)         'Color - Blue

'Ensure the background style for TextBox2 is initially opaque.
TextBox2.BackStyle = 1

TextBox3.Text = "Etched"
TextBox3.SpecialEffect = 3
TextBox3.ForeColor = RGB(128, 0, 255)       'Color - Purple
TextBox3.BackColor = RGB(0, 255, 255)       'Color - Cyan

'Define BorderColor for later use (when borderstyle=fmBorderStyleSingle)
TextBox3.BorderColor = RGB(0, 0, 0)         'Color - Black

TextBox4.Text = "Bump"
TextBox4.SpecialEffect = 6
TextBox4.ForeColor = RGB(255, 0, 255)       'Color - Magenta
TextBox4.BackColor = RGB(0, 0, 100)         'Color - Navy blue

TextBox5.Text = "Raised"
TextBox5.SpecialEffect = 1
TextBox5.ForeColor = RGB(255, 0, 0)         'Color - Red
TextBox5.BackColor = RGB(128, 128, 128)     'Color - Gray

TextBox6.Text = "Sunken"
TextBox6.SpecialEffect = 2
TextBox6.ForeColor = RGB(0, 64, 0)          'Color - Olive
TextBox6.BackColor = RGB(0, 255, 0)         'Color - Green #1

ToggleButton1.Caption = "Swap styles"
ToggleButton2.Caption = "Transparent/Opaque background"
End Sub

Sub ToggleButton1_Click()

'Swap borders between TextBox1 and TextBox3
If ToggleButton1.Value = True Then
    'Change TextBox1 from BorderStyle to Etched
    TextBox1.Text = "Etched"
    TextBox1.SpecialEffect = 3

    'Change TextBox3 from Etched to BorderStyle
    TextBox3.Text = "BorderStyle-Single"
    TextBox3.BorderStyle = 1
Else
    'Change TextBox1 back to BorderStyle
    TextBox1.Text = "BorderStyle-Single"
    TextBox1.BorderStyle = 1

    'Change TextBox3 back to Etched
    TextBox3.Text = "Etched"
    TextBox3.SpecialEffect = 3
End If
End Sub

Sub ToggleButton2_Click()

'Set background to Opaque or Transparent
If ToggleButton2.Value = True Then
    'Change TextBox2 to a transparent background
    TextBox2.BackStyle = 0
Else
    'Change TextBox2 back to opaque background
    TextBox2.BackStyle = 1
End If

End Sub


Beispiel zur BoundColumn-Eigenschaft

Das folgende Beispiel veranschaulicht den Einfluss der BoundColumn-Eigenschaft auf ein Listenfeld (ListBox). Der Benutzer kann den Wert des Listenfeldes auf den Indexwert der angegebenen Zeile oder auf die im Listenfeld angegebene Datenspalte festlegen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Listenfeld mit der Bezeichnung ListBox1.

  • Ein Bezeichnungsfeld (Label) mit der Bezeichnung Label1.

  • Drei Optionsfeld-Steuerelemente (OptionButton) mit der Bezeichnung OptionButton1, OptionButton2 und OptionButton3.
Dim Listbox1
Dim OptionButton1
Dim OptionButton2
Dim OptionButton3
Dim Label1

Sub Item_Open
  Set Listbox1 = Item.GetInspector.ModifiedFormPages("P.2").Listbox1
  Set OptionButton1 = Item.GetInspector.ModifiedFormPages("P.2").OptionButton1
  Set OptionButton2 = Item.GetInspector.ModifiedFormPages("P.2").OptionButton2
  Set OptionButton3 = Item.GetInspector.ModifiedFormPages("P.2").OptionButton3
  Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Label1

  Listbox1.ColumnCount = 2
  Listbox1.AddItem "Item 1, Column 1"
  Listbox1.List(0, 1) = "Item 1, Column 2"
  Listbox1.AddItem "Item 2, Column 1"
  Listbox1.List(1, 1) = "Item 2, Column 2"
  Listbox1.Value  = "Item 1, Column 1"
  OptionButton1.Caption = "List Index"
  OptionButton2.Caption = "Column 1"
  OptionButton3.Caption = "Column 2"
  OptionButton2.Value = True
End Sub

Sub OptionButton1_Click
  Listbox1.BoundColumn = 0
  Label1.Caption = Listbox1.Value
End Sub

Sub OptionButton2_Click
  Listbox1.BoundColumn = 1
  Label1.Caption = Listbox1.Value
End Sub

Sub OptionButton3_Click
  Listbox1.BoundColumn = 2
  Label1.Caption = Listbox1.Value
End Sub

Sub Listbox1_Click
  Label1.Caption = Listbox1.Value
End Sub


Beispiel zu den UndoAction-, RedoAction-Methoden

Das folgende Beispiel veranschaulicht, wie Textbearbeitungen in einem Textfeld oder im Textbereich eines Kombinationsfeldes (ComboBox) rückgängig gemacht oder wiederholt werden. Dieses Beispiel überprüft, ob es möglich ist, den Vorgang rückgängig zu machen bzw. zu wiederholen und führt dann die entsprechende Aktion aus. In diesem Beispiel wird die CanUndo- und CanRedo-Eigenschaft und die UndoAction- und RedoAction-Methode verwendet.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Textfeld (TextBox) mit der Bezeichnung TextBox1.

  • Ein Kombinationsfeld mit der Bezeichnung ComboBox1.

  • Zwei Befehlsschaltflächen-Steuerelemente (CommandButton) mit der Bezeichnung CommandButton1 und CommandButton2.
Dim UserForm1

Sub CommandButton1_Click()
    If UserForm1.CanUndo = True Then
        UserForm1.UndoAction
        MsgBox "Undid IT"
    Else
        MsgBox "No undo performed."
    End If
End Sub

Sub CommandButton2_Click()
    If UserForm1.CanRedo = True Then
        UserForm1.RedoAction
        MsgBox "Redid IT"
    Else
        MsgBox "No redo performed."
    End If
End Sub

Sub Item_Open()
     Set UserForm1 = Item.GetInspector.ModifiedFormPages("P.2")
     Set TextBox1 = UserForm1.Controls("TextBox1")
     Set ComboBox1 = UserForm1.Controls("ComboBox1")
     Set CommandButton1 = UserForm1.Controls("CommandButton1")
     Set CommandButton2 = UserForm1.Controls("CommandButton2")

    TextBox1.Text = "Type your text here."

    ComboBox1.ColumnCount = 3
    ComboBox1.AddItem "Choice 1, column 1"
    ComboBox1.List(0, 1) = "Choice 1, column 2"
    ComboBox1.List(0, 2) = "Choice 1, column 3"

    CommandButton1.Caption = "Undo"
    CommandButton2.Caption = "Redo"
End Sub


Beispiel zur Choose-Funktion

In den folgenden Beispielen zeigt die Choose-Funktion benutzerdefinierte Werte für das Feld Importance an.

Feld "Importance" | Funktionsrückgabe
0 | Ignorieren
1 | Heute gelesen
2 | Gestern gelesen

Choose([Importance]+1, "Ignore", "Read Today", "Read Yesterday")


Beispiel zur Chr-Funktion

Das folgende Beispiel gibt das Zeichen für die folgenden Zeichencodes im Feld CharCode zurück.

Feld "CharCode" | Funktionsrückgabe
65 | A
97 | a
62 | >
37 | %

Chr([CharCode])


Beispiel zu den ClientHeight-, ClientLeft-, ClientTop-, ClientWidth-Eigenschaften

Das folgende Beispiel legt die Abmessungen eines Anzeige-Steuerelements (Image) auf die Größe des Clientbereichs eines Registers (TabStrip) fest, wenn der Benutzer auf eine Befehlsschaltfläche (CommandButton) klickt. Dieses Codebeispiel verwendet die folgenden Eigenschaften: Height, Left, Top, Width, ClientHeight, ClientLeft, ClientTop und ClientWidth.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Eine Befehlsschaltfläche mit der Bezeichnung CommandButton1.

  • Ein Register mit der Bezeichnung TabStrip1.

  • Ein Anzeige-Steuerelement (Image) mit der Bezeichnung Image1.
Dim CommandButton1
Dim Image1
Dim TabStrip1

Sub Item_Open
  Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton1
  Set Image1 = Item.GetInspector.ModifiedFormPages("P.2").Image1
  Set TabStrip1 = Item.GetInspector.ModifiedFormPages("P.2").TabStrip1

  CommandButton1.Caption = "Size Image to Tab Area"
  CommandButton1.WordWrap = True
  CommandButton1.AutoSize = True
End Sub

Sub CommandButton1_Click
  Image1.ZOrder (fmFront) 'Place Image in front of TabStrip

'Client Left and ClientTop are measured from the edge of the TabStrip,
'not from the edges of the form containing the TabStrip.
  Image1.Left = TabStrip1.Left + TabStrip1.ClientTop
  Image1.Top = TabStrip1.Top + TabStrip1.ClientTop
  Image1.Width = TabStrip1.ClientWidth
  Image1.Height = TabStrip1.ClientHeight
End Sub


Beispiel zur Column-Eigenschaft

'

Im folgenden Beispiel wird ein zweidimensionales Array mit Daten geladen und anschließend werden zwei Listenfeld-Steuerelemente (ListBox) mit der Column- und List-Eigenschaft geladen. Beachten Sie, dass die Column-Eigenschaft die Array-Elemente beim Laden vertauscht.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular zwei Listenfeld-Steuerelemente (ListBox) mit der Bezeichnung ListBox1 und ListBox2 aufweist.

Dim MyArray(6,3)

Sub Item_Open()
    Dim i

    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").ListBox1
    Set ListBox2 = Item.GetInspector.ModifiedFormPages("P.2").ListBox2

    ListBox1.ColumnCount = 3        'The 1st list box contains 3 data columns
    ListBox2.ColumnCount = 6        'The 2nd box contains 6 data columns

    'Load integer values into first column of MyArray
    For i = 0 To 5
        MyArray(i, 0) = i
    Next

    'Load columns 2 and three of MyArray
    MyArray(0, 1) = "Zero"
    MyArray(1, 1) = "One"
    MyArray(2, 1) = "Two"
    MyArray(3, 1) = "Three"
    MyArray(4, 1) = "Four"
    MyArray(5, 1) = "Five"

    MyArray(0, 2) = "Zero"
    MyArray(1, 2) = "Un ou Une"
    MyArray(2, 2) = "Deux"
    MyArray(3, 2) = "Trois"
    MyArray(4, 2) = "Quatre"
    MyArray(5, 2) = "Cinq"

    'Load data into ListBox1 and ListBox2
    ListBox1.List() = MyArray
    ListBox2.Column() = MyArray

End Sub


Beispiel zur ColumnWidths-Eigenschaft

Das folgende Beispiel verwendet die ColumnWidths-Eigenschaft, um die Spaltenbreite eines mehrspaltigen Listenfeldes (ListBox) zu ändern. In diesem Beispiel werden drei Textfeld-Steuerelemente (TextBox) zur Angabe der Breite für die einzelnen Spalten und das Exit-Ereignis zur Angabe der Maßeinheit der einzelnen Textfeld-Steuerelemente verwendet.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Listenfeld mit der Bezeichnung ListBox1.

  • Drei benutzerdefinierte Textfelder mit der Bezeichnung Text1, Text2 und Text3.

  • Drei Textfeld-Steuerelemente mit der Bezeichnung TextBox1, TextBox2 und TextBox3, die an die obigen benutzerdefinierten Textfelder gebunden sind.

  • Eine Befehlsschaltfläche (CommandButton) mit der Bezeichnung CommandButton1.

Versuchen Sie, den Wert 0 einzugeben, um eine Spalte auszublenden.

Dim MyArray(2, 3)
Dim ListBox1
Dim TextBox1
Dim TextBox2
Dim TextBox3
Dim CommandButton1

Sub Item_Open()
Dim i, j, Rows

Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").ListBox1
Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").TextBox1
Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").TextBox2
Set TextBox3 = Item.GetInspector.ModifiedFormPages("P.2").TextBox3
Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton1

ListBox1.ColumnCount = 3
Rows = 2

For j = 0 To ListBox1.ColumnCount - 1
    For i = 0 To Rows - 1
        MyArray(i, j) = "Row " & i & ", Column " & j
    Next
Next

ListBox1.List() = MyArray           'Load MyArray into ListBox1

TextBox1.Text = "1 in"              '1-inch columns initially
TextBox2.Text = "1 in"
TextBox3.Text = "1 in"

End Sub

Sub CommandButton1_Click()
    'ColumnWidths requires a value for each column separated by semicolons
    ListBox1.ColumnWidths = TextBox1.Text & ";" & TextBox2.Text & ";" & TextBox3.Text
End Sub

Sub Item_CustomPropertyChange(ByVal Name)
msgbox Name
Select Case Name
Case "Text1"
  'ColumnWidths accepts points (no units), inches or centimeters; make inches the default
    If Not (InStr(TextBox1.Text, "in") > 0 Or InStr(TextBox1.Text, "cm") > 0) Then
        TextBox1.Text = TextBox1.Text & " in"
    End If
Case "Text2"
    'ColumnWidths accepts points (no units), inches or centimeters; make inches the default
    If Not (InStr(TextBox2.Text, "in") > 0 Or InStr(TextBox2.Text, "cm") > 0) Then
        TextBox2.Text = TextBox2.Text & " in"
    End If
Case "Text3"
    'ColumnWidths accepts points (no units), inches or centimeters; make inches the default
    If Not (InStr(TextBox3.Text, "in") > 0 Or InStr(TextBox3.Text, "cm") > 0) Then
        TextBox3.Text = TextBox3.Text & " in"
    End If
End Select
End Sub


Beispiel zur ControlTipText-Eigenschaft

Das folgende Beispiel definiert die ControlTipText-Eigenschaft für drei Befehlsschaltflächen-Steuerelemente (CommandButton) und zwei Page-Objekte in einem Multiseiten-Steuerelement (MultiPage).

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Multiseiten-Steuerelement (MultiPage) mit der Bezeichnung MultiPage1.

  • Drei Befehlsschaltflächen-Steuerelemente (CommandButton) mit der Bezeichnung CommandButton1 bis CommandButton3.

Anmerkung Bei einer einzelnen Page eines Multiseiten-Steuerelements, wird ControlTipText aktiviert, wenn das Multiseiten-Steuerelement oder ein Steuerelement auf der aktuellen Seite des Multiseiten-Steuerelements den Fokus besitzt.

Sub Item_Open()
  Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").MultiPage1
  Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton1
  Set CommandButton2 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton2
  Set CommandButton3 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton3

  MultiPage1.Page1.ControlTipText = "Here in page 1"
  MultiPage1.Page2.ControlTipText = "Now in page 2"

  CommandButton1.ControlTipText = "And now here's"
  CommandButton2.ControlTipText = "a tip from"
  CommandButton3.ControlTipText = "your controls!"
End Sub


Beispiel zur Cos-Funktion

Im folgenden Beispiel gibt die Cos-Funktion den Kosinus des Feldes Angle zurück.

Cos([Angle])


 Beispiel zur Count-Eigenschaft

Beispiel zur Count-Eigenschaft

Das folgende Beispiel zeigt die Count-Eigenschaft der Controls-Auflistung für das Formular und die Count-Eigenschaft mit der Zahl der Seiten und Registerkarten der Multiseiten- und der Register-Steuerelemente (MultiPage, TabStrip) an.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Das Formular kann mit folgenden Einschränkungen eine beliebige Zahl an Steuerelementen aufweisen:

  • Die Namen von Multiseiten-Steuerelementen (MultiPage) müssen mit "MultiPage" beginnen.

  • Die Namen von Register-Steuerelementen (TabStrip) müssen mit "TabStrip" beginnen.

Anmerkung Im Entwurfsmodus können Sie einer Multiseite Seiten oder einem Register Registerkarten hinzufügen. Doppelklicken Sie auf das Steuerelement, klicken Sie mit der rechten Maustaste in den Registerkartenbereich des Steuerelements, und klicken Sie im Kontextmenü auf Neue Seite.

Sub Item_Open
    Dim Controls
    Dim MyControl

    Set Controls = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls
    MsgBox "Controls.Count = " & Controls.Count
    For i = 0 to Controls.Count -1
        Set MyControl = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls.Item(i)
        If (MyControl.Name = "MultiPage1") Then
            MsgBox MyControl.Name & ".Pages.Count = " & MyControl.Pages.Count
        ElseIf (MyControl.Name = "TabStrip1") Then
            MsgBox MyControl.Name & ".Tabs.Count = " & MyControl.Tabs.Count
        End If
    Next
End Sub


Beispiel für das Ausschneiden und Einfügen in Seiten

Das folgende Beispiel verwendet die Add-, Cut- und Paste-Methoden, um ein Steuerelement auf einer Page einer Multiseite (MultiPage) auszuschneiden und einzufügen. Das betreffende Steuerelement wird dem Formular dynamisch hinzugefügt.

In diesem Beispiel wird davon ausgegangen, dass der Benutzer das neue Steuerelement hinzufügt, ausschneidet und dann einfügt.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Drei Befehlsschaltflächen-Steuerelemente (CommandButton) mit der Bezeichnung CommandButton1 bis CommandButton3.

  • Eine Multiseite mit der Bezeichnung MultiPage1.
Dim CommandButton1
Dim CommandButton2
Dim CommandButton3
Dim MultiPage1
Dim MyTextBox

Sub CommandButton1_Click()
    Set MyTextBox = MultiPage1.Pages(MultiPage1.Value).Controls.Add("Forms.TextBox.1", "MyTextBox", 1)
    CommandButton2.Enabled = True
    CommandButton1.Enabled = False
End Sub

Sub CommandButton2_Click()
    MultiPage1.Pages(MultiPage1.Value).Controls.Cut
    CommandButton3.Enabled = True
    CommandButton2.Enabled = False
End Sub

Sub CommandButton3_Click()
    Dim MyPage
    Set MyPage = MultiPage1.Pages.Item(MultiPage1.Value)

    MyPage.Paste
    CommandButton3.Enabled = False
End Sub

Sub Item_Open()
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("CommandButton1")
    Set CommandButton2 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("CommandButton2")
    Set CommandButton3 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("CommandButton3")
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("MultiPage1")

    CommandButton1.Caption = "Add"
    CommandButton2.Caption = "Cut"
    CommandButton3.Caption = "Paste"

    CommandButton1.Enabled = True
    CommandButton2.Enabled = False
    CommandButton3.Enabled = False
End Sub


Beispiel für das Ausschneiden und Einfügen in Textfeldern

Das folgende Beispiel verwendet die Cut- und Paste-Methoden, um Text in einem Textfeld (TextBox) auszuschneiden und in einem anderen Textfeld einzufügen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Zwei Textfeld-Steuerelemente mit der Bezeichnung TextBox1 und TextBox2.

  • Eine Befehlsschaltfläche (CommandButton) mit der Bezeichnung CommandButton1.
Dim TextBox1
Dim TextBox2
Dim CommandButton1

Sub Item_Open()
    Set TextBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("TextBox1")
    Set TextBox2 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("TextBox2")
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("CommandButton1")

    TextBox1.Text = "From TextBox1!"
    TextBox2.Text = "Hello "

    CommandButton1.Caption = "Cut and Paste"
    CommandButton1.AutoSize = True
End Sub

Sub CommandButton1_Click()
    TextBox2.SelStart = 0
    TextBox2.SelLength = TextBox2.TextLength
    TextBox2.Cut

    TextBox1.SetFocus
    TextBox1.SelStart = 0

    TextBox1.Paste
    TextBox2.SelStart = 0
End Sub


Beispiel zur Cycle-Eigenschaft

Das folgende Beispiel definiert die Cycle-Eigenschaft für einen Rahmen (Frame) und zwei Page-Objekte eines Multiseiten-Steuerelements (MultiPage).

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Rahmen mit der Bezeichnung Frame1.

  • Ein Multiseiten-Steuerelement mit der Bezeichnung MultiPage1, die zwei Objekte mit der Bezeichnung Page1 und Page2 besitzt.

  • Zwei Befehlsschaltflächen-Steuerelemente (CommandButton) mit der Bezeichnung CommandButton1 und CommandButton2.

Positionieren Sie im Formular, im Rahmen und auf jeder Page des Multiseiten-Steuerelements mehrere Steuerelemente, um zu sehen, wie sich Cycle auf die Aktivierreihenfolge von Rahmen und das Multiseiten-Steuerelement auswirkt.

Der Benutzer sollte sich mit der Tabstopptaste in den Steuerelementen bewegen, um festzustellen, wie sich Cycle auf die Aktivierreihenfolge auswirkt. Durch Drücken von CommandButton1 wird die Aktivierreihenfolge um die Steuerelemente in den Rahmen- und Page-Objekten erweitert. Durch Drücken von CommandButton2 wird die Aktivierreihenfolge eingeschränkt.

Dim Frame1
Dim MultiPage1

Sub Item_Open()
  Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Frame1
  Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").MultiPage1
  RestrictCycles
End Sub

Sub RestrictCycles()
  'Limit tab order for the Frame and Page objects
  Frame1.Cycle = 2
  MultiPage1.Page1.Cycle = 2
  MultiPage1.Page2.Cycle = 2
End Sub

Sub CommandButton1_Click()
  'Extend tab order subforms (the Frame and Page objects)
  Frame1.Cycle = 0
  MultiPage1.Page1.Cycle = 0
  MultiPage1.Page2.Cycle = 0
End Sub

Sub CommandButton2_Click()
  RestrictCycles
End Sub


Beispiel zur DateAdd-Funktion

Im folgenden Beispiel wird das Datum des Feldes Received zugrunde gelegt und mit der DateAdd-Funktion das entsprechende Datum in einem Monat angezeigt.

DateAdd("m", 1, [Received])


Beispiel zur DateDiff-Funktion

Im folgenden Beispiel zeigt die DateDiff-Funktion die Anzahl der Tage zwischen dem Datum im Feld Received und dem aktuellen Systemdatum an.

DateDiff("d", Now(), [Received])


Beispiel zur Date-Funktion

Im folgenden Beispiel gibt die Date-Funktion das aktuelle Systemdatum zurück.

Date( )


Beispiel zur DatePart-Funktion

Im folgenden Beispiel wird unter Verwendung der DatePart-Funktion und des Feldes Received das Quartal angezeigt, in das das Datum fällt.

DatePart("q", [Received])


Beispiel zur DateSerial-Funktion

Im folgenden Beispiel gibt die DateSerial-Funktion das Datum für das angegebene Jahr, den angegebenen Monat und den angegebenen Tag zurück.

DateSerial(1969, 2, 12)


Beispiel zur DateValue-Funktion

Im folgenden Beispiel konvertiert die DateValue-Funktion eine Zeichenfolge in ein Datum.

DateValue("February 12, 1969")


Beispiel zur Day-Funktion

Im folgenden Beispiel gibt die Day-Funktion den Tag im Feld Received zurück.

Day([Received])


Beispiel zur DDB-Funktion

Unter Verwendung der geometrisch degressiven Abschreibungsmethode verdeutlicht dieses Beispiel den Einsatz der DDB-Funktion, um die Abschreibung eines Vermögenswertes über einen bestimmten Zeitraum zurückzugeben. Die folgenden Angaben gelten als Grundlage: Die Anschaffungskosten (InitCost), der Restwert am Ende der Nutzungsdauer des Vermögenswertes (SalvageVal), die Gesamtnutzungsdauer des Vermögenswertes in Jahren (LifeTime) und der Zeitraum, für den die Abschreibung berechnet wird (Depr) - ebenfalls in Jahren.

DDB([InitCost], [SalvageVal], [LifeTime], [Depr])


Beispiel zu den DragBehavior-, EnterFieldBehavior-Eigenschaften

Das folgende Beispiel verwendet die DragBehavior- und die EnterFieldBehavior-Eigenschaft, um die unterschiedlichen Auswirkungen zu veranschaulichen, die beim Aufruf eines Steuerelements und beim Ziehen der Informationen in ein anderes Steuerelement möglich sind.

Dieses Beispiel setzt zwei Textfeld-Steuerelemente (TextBox) ein. Sie können DragBehavior und EnterFieldBehavior für jedes Steuerelement festlegen und die Auswirkungen beim Ziehen der Steuerelemente beobachten.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Textfeld mit der Bezeichnung TextBox1.

  • Zwei Umschaltfeld-Steuerelemente (ToggleButton) mit der Bezeichnung ToggleButton1 und ToggleButton2. Diese Steuerelemente sind mit TextBox1 verknüpft.

  • Ein Textfeld mit der Bezeichnung TextBox2.

  • Zwei Umschaltfeld-Steuerelemente (ToggleButton) mit der Bezeichnung ToggleButton3 und ToggleButton4. Diese Steuerelemente sind mit TextBox2 verknüpft.
Dim TextBox1, TextBox2
Dim ToggleButton1, ToggleButton2, ToggleButton3, ToggleButton4

Sub Item_Open()
     set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
     set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")
     set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")
     set ToggleButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton2")
     set ToggleButton3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton3")
     set ToggleButton4 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton4")

    TextBox1.Text = "Once upon a time in a land ...,"
    ToggleButton1.Value = True
    ToggleButton1.Caption = "Drag Enabled"
    ToggleButton1.WordWrap = True
    TextBox1.DragBehavior = 1 'fmDragBehaviorEnabled

    ToggleButton2.Value = True
    ToggleButton2.Caption = "Recall Selection"
    ToggleButton2.WordWrap = True
    TextBox1.EnterFieldBehavior = 1 'fmEnterFieldBehaviorRecallSelection

    TextBox2.Text = "XXX, YYYY"
    ToggleButton3.Value = False
    ToggleButton3.Caption = "Drag Disabled"
    ToggleButton3.WordWrap = True
    TextBox2.DragBehavior = 0 'fmDragBehaviorDisabled

    ToggleButton4.Value = False
    ToggleButton4.Caption = "Select All"
    ToggleButton4.WordWrap = True
    TextBox2.EnterFieldBehavior = 0 'fmEnterFieldBehaviorSelectAll
End Sub

Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
       ToggleButton1.Caption = "Drag Enabled"
       TextBox1.DragBehavior = 1 'fmDragBehaviorEnabled
    Else
       ToggleButton1.Caption = "Drag Disabled"
       TextBox1.DragBehavior = 0 'fmDragBehaviorDisabled
    End If
End Sub

Sub ToggleButton2_Click()
    If ToggleButton2.Value = True Then
        ToggleButton2.Caption = "Recall Selection"
        TextBox1.EnterFieldBehavior = 1 'fmEnterFieldBehaviorRecallSelection
    Else
        ToggleButton2.Caption = "Select All"
        TextBox1.EnterFieldBehavior = 0 'fmEnterFieldBehaviorSelectAll
    End If
End Sub

Sub ToggleButton3_Click()
    If ToggleButton3.Value = True Then
       ToggleButton3.Caption = "Drag Enabled"
       TextBox2.DragBehavior = 1 'fmDragBehaviorEnabled
    Else
       ToggleButton3.Caption = "Drag Disabled"
       TextBox2.DragBehavior = 0 'fmDragBehaviorDisabled
    End If
End Sub

Sub ToggleButton4_Click()
    If ToggleButton4.Value = True Then
        ToggleButton4.Caption = "Recall Selection"
        TextBox2.EnterFieldBehavior = 1 'fmEnterFieldBehaviorRecallSelection
    Else
       ToggleButton4.Caption = "Select All"
       TextBox2.EnterFieldBehavior = 0 'fmEnterFieldBehaviorSelectAll
    End If
End Sub


Beispiel zu den DropButtonStyle-, ShowDropButtonWhen-Eigenschaften

Das folgende Beispiel veranschaulicht die unterschiedlichen Symbole, die für den Dropdown-Pfeil in einem Kombinationsfeld- oder Textfeld-Steuerelement (ComboBox, TextBox) zur Auswahl stehen. In diesem Beispiel wählt der Benutzer über ein Kombinationsfeld ein Format für den Dropdown-Pfeil aus. Darüber hinaus wird in diesem Beispiel die Locked-Eigenschaft eingesetzt. Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit der Bezeichnung ComboBox1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label1.

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1, das unter Label1 positioniert wird.
Dim TextBox1
Dim ComboBox1
Dim Label1

Sub ComboBox1_Click()
    ComboBox1.DropButtonStyle = ComboBox1.Value
    TextBox1.DropButtonStyle = ComboBox1.Value
End Sub

Sub Item_Open()
     Set TextBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("TextBox1")
     Set ComboBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("ComboBox1")
     Set Label1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("Label1")

    ComboBox1.ColumnCount = 2
    ComboBox1.BoundColumn = 2
    ComboBox1.TextColumn = 1

    ComboBox1.AddItem "Blank Button"
    ComboBox1.List(0, 1) = 0
    ComboBox1.AddItem "Down Arrow"
    ComboBox1.List(1, 1) = 1
    ComboBox1.AddItem "Ellipsis"
    ComboBox1.List(2, 1) = 2
    ComboBox1.AddItem "Underscore"
    ComboBox1.List(3, 1) = 3

    ComboBox1.Value = 0

    TextBox1.Text = "TextBox1"
    TextBox1.ShowDropButtonWhen = 2 'fmShowDropButtonWhenAlways
    TextBox1.Locked = True

    Label1.Caption = "TheDropButton also applies to a TextBox."
    Label1.AutoSize = True
    Label1.WordWrap = False
End Sub


Beispiel zur DropDown-Methode

Das folgende Beispiel verwendet die DropDown-Methode, um die Liste in einem Kombinationsfeld (ComboBox) anzuzeigen. Der Benutzer klickt auf die Befehlsschaltfläche (CommandButton), um die Liste eines Kombinationsfeldes anzuzeigen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Kombinationsfeld mit der Bezeichnung ComboBox1.

  • Eine Befehlsschaltfläche mit der Bezeichnung CommandButton1.
Dim ComboBox1

Sub CommandButton1_Click()
    ComboBox1.DropDown
End Sub

Sub Item_Open()
     Set ComboBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("ComboBox1")
    ComboBox1.AddItem "Turkey"
    ComboBox1.AddItem "Chicken"
    ComboBox1.AddItem "Duck"
    ComboBox1.AddItem "Goose"
    ComboBox1.AddItem "Grouse"
End Sub


Beispiel zu den Enabled-, Locked-Eigenschaften

Das folgende Beispiel veranschaulicht, wie sich die Enabled- und Locked-Eigenschaften gegenseitig ergänzen. Dieses Beispiel setzt für jede Eigenschaft unabhängig voneinander ein Kontrollkästchen-Steuerelement (CheckBox) ein, damit Sie die Einstellung einzeln und kombiniert überprüfen können. Darüber hinaus wird in diesem Beispiel ein zweites Textfeld-Steuerelement (TextBox) eingesetzt, damit Sie Informationen zwischen den Textfeld-Steuerelementen (TextBox) kopieren und einfügen und die von diesen Eigenschaften unterstützten Optionen überprüfen können.

Anmerkung Mit STRG+C kopieren Sie eine Auswahl in die Zwischenablage und mit STRG+V fügen Sie die Auswahl aus der Zwischenablage ein.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1.

  • Zwei Kontrollkästchen-Steuerelemente (CheckBox) mit der Bezeichnung CheckBox1 und CheckBox2.

  • Ein zweites Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox2.
Dim TextBox1
Dim TextBox2
Dim CheckBox1
Dim CheckBox2

Sub CheckBox1_Click()
    TextBox2.Text = "TextBox2"
    TextBox1.Enabled = CheckBox1.Value
End Sub

Sub CheckBox2_Click()
    TextBox2.Text = "TextBox2"
    TextBox1.Locked = CheckBox2.Value
End Sub

Sub Item_Open()
     Set TextBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("TextBox1")
     Set TextBox2 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("TextBox2")
     Set CheckBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("CheckBox1")
     Set CheckBox2 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("CheckBox2")

    TextBox1.Text = "TextBox1"
    TextBox1.Enabled = True
    TextBox1.Locked = False

    CheckBox1.Caption = "Enabled"
    CheckBox1.Value = True

    CheckBox2.Caption = "Locked"
    CheckBox2.Value = False

    TextBox2.Text = "TextBox2"
End Sub


Beispiel zur EnterKeyBehavior-Eigenschaft

Das folgende Beispiel verwendet die EnterKeyBehavior-Eigenschaft, um die Auswirkung der EINGABETASTE in einem Textfeld-Steuerelement (TextBox) zu steuern. In diesem Beispiel kann der Benutzer ein Textfeld mit einer oder mehreren Zeilen angeben.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1.

  • Zwei Umschaltfeld-Steuerelemente (ToggleButton) mit der Bezeichnung ToggleButton1 und ToggleButton2.
Dim TextBox1
Dim ToggleButton1
Dim ToggleButton2

Sub Item_Open()
    set TextBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("TextBox1")
    set ToggleButton1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("ToggleButton1")
    set ToggleButton2 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("ToggleButton2")
    TextBox1.EnterKeyBehavior = True
    ToggleButton1.Caption = "EnterKeyBehavior is True"
    ToggleButton1.Width = 70
    ToggleButton1.Value = True

    TextBox1.MultiLine = True
    ToggleButton2.Caption = "MultiLine is True"
    ToggleButton2.Width = 70
    ToggleButton2.Value = True

    TextBox1.Height = 100
    TextBox1.WordWrap = True
    TextBox1.Text = "Type your text here. If EnterKeyBehavior is True,"& _
    " press Enter to start a new line. Otherwise, press SHIFT+ENTER."
End Sub

Sub ToggleButton1_Click()
    If ToggleButton1.Value = True Then
        TextBox1.EnterKeyBehavior = True
        ToggleButton1.Caption = "EnterKeyBehavior is True"
    Else
        TextBox1.EnterKeyBehavior = False
        ToggleButton1.Caption = "EnterKeyBehavior is False"
    End If
End Sub

Sub ToggleButton2_Click()
    If ToggleButton2.Value = True Then
        TextBox1.MultiLine = True
        ToggleButton2.Caption = "MultiLine TextBox"
    Else
        TextBox1.MultiLine = False
        ToggleButton2.Caption = "Single-line TextBox"
    End If
End Sub


Beispiel zur Int-, Fix-Funktion

Die folgenden Beispiele verdeutlichen, wie die Int- und Fix-Funktion den ganzzahligen Teil von Zahlen zurückgibt. Bei negativen Zahlenargumenten gibt die Int-Funktion die erste negative ganze Zahl zurück, die kleiner oder gleich der Zahl ist; die Fix-Funktion gibt die erste negative ganze Zahl zurück, die größer oder gleich der Zahl ist.

Funktion | Rückgabe- werte
Int(99,8) | 99
Fix(99,2) | 99
Int(-99,8) | -100
Fix(-99,8) | -99
Int(-99,2) | -100
Fix(-99,2) | -99


Beispiel zur Format-Funktion

Dieses Beispiel veranschaulicht verschiedene Einsatzmöglichkeiten der Format-Funktion, um Werte mit benannten und benutzerdefinierten Formaten zu formatieren. Für das Datumtrennzeichen (/), das Zeittrennzeichen (:) und das AM/PM-Literal hängt das Format der Ausgabe auf Ihrem Computer von den Ländereinstellungen ab, unter denen der Code ausgeführt wird. Bei der Anzeige in einem Feld wird das kurze Uhrzeitformat und das kurze Datumsformat der Ländereinstellungen verwendet, die von den Ländereinstellungen des Codes abweichen können. Für die folgenden Beispiele wird von den US-Englischen Ländereinstellungen ausgegangen.

Funktion | Rückgabewerte
Format([Received], "h:m:s") | 17:4:23
Format([Received], "Long Time") | 17:4:23 PM
Format([Received], "Long Date") | Monday, January 27, 1997
Format([Received], "hh:mm:ss AMPM") | 05:04:23 PM
Format([Received], "dddd, mmm d yyyy") | Monday, Jan 27 1997

Funktion | Rückgabewert
Format(23) | 23
Format(5459.4, "##,##0.00") | 5,459.40
Format(334.9, "###0.00") | 334.90
Format(5, "0.00%") | 500.00%
Format("HALLO", "<") | hallo
Format("Das ist alles", ">") | DAS IST ALLES


Beispiel zur FV-Funktion

In diesem Beispiel gibt die FV-Funktion den zukünftigen Wert einer Investition zurück. Die folgenden Angaben gelten als Grundlage: Der Zinssatz pro Zeitraum (APR / 12), die Gesamtzahl der Zahlungen (TotPmts), die Zahlung (Payment), der aktuelle Wert der Investition (PVal) und eine Zahl, die bestimmt, ob die Zahlung am Beginn oder am Ende des Zahlungszeitraums fällig ist (PayType). Beachten Sie, dass Payment eine negative Zahl aufweist, da es sich dabei um eine Auszahlung handelt.

FV([APR] / 12, [TotPmts], -[Payment], -[PVal], [PayType])


Beispiel zur GroupName-Eigenschaft

Das folgende Beispiel verwendet die GroupName-Eigenschaft, um zwei Gruppen von Optionsfeld-Steuerelementen (OptionButton) im selben Formular zu erstellen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular fünf Optionsfeld-Steuerelemente (OptionButton) mit der Bezeichnung OptionButton1 bis OptionButton5 aufweist.

Sub Item_Open()
    set OptionButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton1")
    set OptionButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton2")
    set OptionButton3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton3")
    set OptionButton4 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton4")
    set OptionButton5 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton5")

    OptionButton1.Caption = "Widgets"
    OptionButton2.Caption = "Widgets"
    OptionButton3.Caption = "Widgets"
    OptionButton1.GroupName = "Widgets"
    OptionButton2.GroupName = "Widgets"
    OptionButton3.GroupName = "Widgets"

    OptionButton4.Caption = "Gadgets-Group2"
    OptionButton5.Caption = "Gadgets-Group2"
    OptionButton4.GroupName = "Gadgets-Group2"
    OptionButton5.GroupName = "Gadgets-Group2"
End Sub


Beispiel zur Hex-Funktion

In den folgenden Beispielen gibt die Hex-Funktion den Hexadezimalwert für das Feld Number zurück.

Feld "Number" | Funktionsrückgabe
5 | 5
10 | A
459 | 1CB

Hex([Number])


Beispiel zur Hour-Funktion

Im folgenden Beispiel gibt die Hour-Funktion die Stunde der Zeitangabe im Feld Received zurück.

Hour([Received])


Beispiel zur IIf-Funktion

Im folgenden Beispiel gibt die Iif-Funktion das Wort "Large" zurück, wenn der Wert des Feldes Size größer als 10.000 ist; anderenfalls wird das Wort "Small" zurückgegeben.

IIf([Size] > 10000, "Large", "Small")


Beispiel zur Index-Eigenschaft

Das folgende Beispiel verwendet die Index-Eigenschaft, um die Reihenfolge der Seiten und Registerkarten eines Multiseiten- und eines Register-Steuerelements (MultiPage, TabStrip) zu ändern. Der Benutzer wählt CommandButton1, um die dritte Seite und die Registerkarte an den Anfang des Multiseiten- und des Register-Steuerelements zu verschieben. Über CommandButton2 wird die ausgewählte Seite und die Registerkarte an das Ende des Multiseiten- und des Register-Steuerelements verschoben.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Zwei Befehlsschaltflächen-Steuerelemente (CommandButton) mit der Bezeichnung CommandButton1 und CommandButton2.

  • Ein Multiseiten-Steuerelement (MultiPage) mit der Bezeichnung MultiPage1.

  • Ein Register-Steuerelement (TabStrip) mit der Bezeichnung TabStrip1.
Dim MyPageOrTab
Dim MultiPage1
Dim TabStrip1

Sub CommandButton1_Click()
'Move third page and tab to front of control
    MultiPage1.page3.Index = 0
    TabStrip1.Tab3.Index = 0
End Sub

Sub CommandButton2_Click()
'Move selected page and tab to back of control
    Set MyPageOrObject = MultiPage1.SelectedItem
    MsgBox "MultiPage1.SelectedItem = " & MultiPage1.SelectedItem.Name
    MyPageOrObject.Index = 4

    Set MyPageOrObject = TabStrip1.SelectedItem
    MsgBox "TabStrip1.SelectedItem = " & TabStrip1.SelectedItem.Caption
    MyPageOrObject.Index = 4
End Sub

Sub Item_Open()
     Set MultiPage1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("MultiPage1")
     Set TabStrip1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("TabStrip1")
     Set CommandButton1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("CommandButton1")
     Set CommandButton2 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("CommandButton2")

    MultiPage1.Width = 200
    MultiPage1.Pages.Add
    MultiPage1.Pages.Add
    MultiPage1.Pages.Add

    TabStrip1.Width = 200
    TabStrip1.Tabs.Add
    TabStrip1.Tabs.Add
    TabStrip1.Tabs.Add

    CommandButton1.Caption = "Move third page/tab to front"
    CommandButton1.Width = 120

    CommandButton2.Caption = "Move selected item to back"
    CommandButton2.Width = 120
 End Sub


Beispiel zu den InsideHeight-, InsideWidth-Eigenschaften

Das folgende Beispiel verwendet die InsideHeight- und InsideWidth-Eigenschaft, um die Größe eines Befehlsschaltflächen-Steuerelements (CommandButton) anzupassen. Der Benutzer klickt auf die Befehlsschaltfläche, um ihre Größe anzupassen.

Anmerkung InsideHeight und InsideWidth sind schreibgeschützte Eigenschaften.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) mit der Bezeichnung CommandButton1.
Dim Resize

Sub Item_Open()
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")

    Resize = 0.75
    CommandButton1.Caption = "Resize Button"

End Sub

Sub CommandButton1_Click()
    Set Form = Item.GetInspector.ModifiedFormPages("P.2")
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")

    CommandButton1.Move 10, 10, Form.InsideWidth * Resize, Form.InsideHeight * Resize
    CommandButton1.Caption = "Button resized using InsideHeight and InsideWidth!"
End Sub


Beispiel zur InStr-Funktion

Im folgenden Beispiel gibt die InStr-Funktion die Position des ersten Auftretens des Buchstabens A im Feld Subject zurück.

Feld "Subject" | Funktionsrückgabe
Internationaler Verkauf | 7
Marketingstrategie | 2

InStr(1, [Subject], "A", 1)


Beispiel zur IPmt-Funktion

In diesem Beispiel berechnet die IPmt-Funktion den Zinsanteil einer Zahlung, wenn alle Zahlungen die gleiche Höhe aufweisen. Außerdem gelten die folgende Angaben als Grundlage: Der Zinssatz pro Zeitraum (APR / 12), der Zahlungszeitraum, für den der Zinsanteil berechnet werden soll (Period), die Gesamtzahl der Zahlungen (TotPmts), der aktuelle Wert oder der Kapitalanteil des Darlehens (PVal), der zukünftige Wert des Darlehens (FVal) und eine Zahl, die bestimmt, ob die Zahlung am Beginn oder am Ende des Zahlungszeitraums fällig ist (PayType).

IPmt([APR] / 12, [Period], [TotPmts], -[PVal], [FVal], [PayType])


Beispiel zur IsDate-Funktion

Im folgenden Beispiel ermittelt die IsDate-Funktion ob, das Feld Other in ein Datum konvertiert werden kann.

IsDate([Other])


Beispiel zur Item-Methode

Das folgende Beispiel verwendet die Item-Methode, um auf einzelne Elemente der Controls- und Pages-Auflistung zuzugreifen. Der Benutzer wählt ein Optionsfeld für die Controls-Auflistung oder das Multiseiten-Steuerelement (MultiPage) und klickt dann auf die Befehlsschaltfläche. Der Name des entsprechenden Steuerelements wird im Bezeichnungsfeld zurückgegeben.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Eine Befehlsschaltfläche mit der Bezeichnung CommandButton1.

  • Ein Bezeichnungsfeld mit der Bezeichnung Label1.

  • Zwei Optionsfeld-Steuerelemente (OptionButton) mit der Bezeichnung OptionButton1 und OptionButton2.

  • Ein Multiseiten-Steuerelement (MultiPage) mit der Bezeichnung MultiPage1.
Dim ControlsIndex

Sub CommandButton1_Click()
    Set Controls = Item.GetInspector.ModifiedFormPages("P.2").Controls
    Set OptionButton1 = Controls("OptionButton1")
    Set OptionButton2 = Controls("OptionButton2")
    Set Label1 = Controls("Label1")
    Set MultiPage1 = Controls("MultiPage1")

    If OptionButton1.Value = True Then
        'Process Controls collection for UserForm
        Set MyControl = Controls.Item(ControlsIndex)
        Label1.Caption = MyControl.Name

        'Prepare index for next control on Userform
        ControlsIndex = ControlsIndex + 1
        If ControlsIndex >= Controls.Count Then
            ControlsIndex = 0
        End If

    ElseIf OptionButton2.Value = True Then
        'Process Current Page of Pages collection
        Set MyControl = MultiPage1.Pages.Item(MultiPage1.Value)
        Label1.Caption = MyControl.Name
    End If
End Sub

Sub Item_Open()
    ControlsIndex = 0

    Set OptionButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton1")
    Set OptionButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton2")
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")

    OptionButton1.Caption = "Controls Collection"
    OptionButton2.Caption = "Pages Collection"
    OptionButton1.Value = True

    CommandButton1.Caption = "Get Member Name"
End Sub


Beispiel zu den LargeChange-, SmallChange-Eigenschaften

Das folgende Beispiel veranschaulicht die LargeChange- und SmallChange-Eigenschaft bei Verwendung mit einem eigenständigen Bildlaufleisten-Steuerelement (ScrollBar). Der Benutzer kann für LargeChange und SmallChange ganze Zahlen zwischen 0 und 100 festlegen. Dieses Beispiel verwendet darüber hinaus die MaxLength-Eigenschaft, um die Zahl der zulässigen Zeichen für LargeChange und SmallChange zu beschränken.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label1.

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1, das an das benutzerdefinierte numerische Feld mit der Bezeichnung ScrollBarSmallChange gebunden ist.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label2.

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox2, das an das benutzerdefinierte numerische Feld mit der Bezeichnung ScrollBarLargeChange gebunden ist.

  • Ein Bildlaufleisten-Steuerelement (ScrollBar) mit der Bezeichnung ScrollBar1, das an das benutzerdefinierte numerische Feld mit der Bezeichnung ScrollBarValue gebunden ist.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label3.
Sub Item_Open()
    Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")
    Set ScrollBar1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ScrollBar1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set Label2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label2")
    Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")
    Set Label3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label3")

    ScrollBar1.Min = -1000
    ScrollBar1.Max = 1000

    Label1.Caption = "SmallChange 0 to 100"
    ScrollBar1.SmallChange = 1
    TextBox1.Text = ScrollBar1.SmallChange
    TextBox1.MaxLength = 3

    Label2.Caption = "LargeChange 0 to 100"
    ScrollBar1.LargeChange = 100
    TextBox2.Text = ScrollBar1.LargeChange
    TextBox2.MaxLength = 3

    ScrollBar1.Value = 0
    Label3.Caption = ScrollBar1.Value
End Sub

Sub Item_CustomPropertyChange(byval pname)
    Set ScrollBar1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ScrollBar1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")
    Set Label3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label3")

    If pname = "ScrollBarMin" Then

        If IsNumeric(TextBox1.Text) Then
            TempNum = CInt(TextBox1.Text)
            If TempNum >= 0 And TempNum <= 100 Then
                ScrollBar1.SmallChange = TempNum
            Else
                TextBox1.Text = ScrollBar1.SmallChange
            End If
        Else
            TextBox1.Text = ScrollBar1.SmallChange
        End If

    ElseIf pname = "ScrollBarMax" Then

        If IsNumeric(TextBox2.Text) Then
            TempNum = CInt(TextBox2.Text)
            If TempNum >= 0 And TempNum <= 100 Then
                ScrollBar1.LargeChange = TempNum
            Else
                TextBox2.Text = ScrollBar1.LargeChange
            End If
        Else
            TextBox2.Text = ScrollBar1.LargeChange
        End If

    ElseIf pname = "ScrollBarValue" Then

        Label3.Caption = ScrollBar1.Value
    End If
End Sub


Beispiel zur LCase-Funktion

Das folgende Beispiel gibt Kleinbuchstaben für das Feld Subject zurück.

Feld "Subject" | Funktionsrückgabe
Internationaler Verkauf | internationaler verkauf
Marketingstrategie | marketingstrategie

LCase([Subject])


Beispiel zur Left-Funktion

Das folgende Beispiel gibt vier Zeichen von der linken Seite des Feldes Subject zurück.

Feld "Subject" | Funktionsrückgabe
Internationaler Verkauf | Inte
Marketingstrategie | Mark

Left([Subject], 4)


Beispiel zur Len-Funktion

Im folgenden Beispiel gibt die Len-Funktion die Zahl der Zeichen im Feld Subject zurück.

Feld "Subject" | Funktionsrückgabe
Internationaler Verkauf | 23
Marketingstrategie | 18

Len([Subject])


Beispiel zu den LineCount-, TextLength-Eigenschaften

Das folgende Beispiel zählt die Zeichen und die Textzeilen eines Textfeld-Steuerelements (TextBox) mit Hilfe der LineCount- und TextLength-Eigenschaften und der SetFocus-Methode. In diesem Beispiel kann der Benutzer Text in ein Textfeld eingeben und aktuelle Werte der LineCount- und TextLength-Eigenschaften abrufen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1.

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) mit der Bezeichnung CommandButton1.

  • Zwei Bezeichnungsfeld-Steuerelemente (Label) mit der Bezeichnung Label1 und Label2.
'Type SHIFT+ENTER to start a new line in the text box.

Dim CommandButton1
Dim TextBox1
Dim Label1
Dim Label2

Sub CommandButton1_Click()
    'Must first give TextBox1 the focus to get line count
    TextBox1.SetFocus
    Label1.Caption = "LineCount = " & TextBox1.LineCount
    Label2.Caption = "TextLength = " & TextBox1.TextLength
End Sub

Sub Item_Open()
     Set TextBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("TextBox1")
     Set Label1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("Label1")
     Set Label2 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("Label2")
     Set CommandButton1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("CommandButton1")

    CommandButton1.WordWrap = True
    CommandButton1.AutoSize = True
    CommandButton1.Caption = "Get Counts"

    Label1.Caption = "LineCount = "
    Label2.Caption = "TextLength = "

    TextBox1.MultiLine = True
    TextBox1.WordWrap = True
    TextBox1.Text = "Enter your text here."
End Sub


Beispiel zum Listenfeld-Steuerelement (ListBox)

Im folgenden Beispiel wird der Inhalt eines Listenfeldes (ListBox) mit der AddItem-, der RemoveItem- und der SetFocus-Methode und der ListIndex- und der ListCount-Eigenschaft hinzugefügt und gelöscht.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Listenfeld mit der Bezeichnung ListBox1.

  • Zwei Befehlsschaltflächen-Steuerelemente (CommandButton) mit der Bezeichnung CommandButton1 und CommandButton2.
Dim EntryCount
Dim Listbox1

Sub Item_Open()
  Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").ListBox1
  Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton1
  Set CommandButton2 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton2
  EntryCount = 0
  CommandButton1.Caption = "Add Item"
  CommandButton2.Caption = "Remove Item"
End Sub

Sub CommandButton1_Click()
  EntryCount = EntryCount + 1
  ListBox1.AddItem (EntryCount & " - Selection")
End Sub

Sub CommandButton2_Click()
  ListBox1.SetFocus

  'Ensure ListBox contains list items
  If ListBox1.ListCount >= 1 Then
      'If no selection, choose last list item.
      If ListBox1.ListIndex = -1 Then
          ListBox1.ListIndex = ListBox1.ListCount - 1
      End If
      ListBox1.RemoveItem (ListBox1.ListIndex)
  End If
End Sub


Beispiel zur List-Eigenschaft

Das folgende Beispiel vertauscht die Spalten eines mehrspaltigen Listenfeldes (ListBox). Dieses Beispiel veranschaulicht zwei Einsatzmöglichkeiten der List-Eigenschaft:

  1. Auf einzelne Werte im Listenfeld zugreifen und diese austauschen. Bei dieser Verwendung besitzt List untergeordnete Skripten, um die Zeile und die Spalte des betreffenden Wertes zu definieren.

  2. Das Listenfeld mit den Werten aus einem Array laden. Bei dieser Verwendung besitzt List keine untergeordneten Skripten.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular ein Listenfeld mit der Bezeichnung ListBox1 und eine Befehlsschaltfläche (CommandButton) mit der Bezeichnung CommandButton1 aufweist.

Dim Listbox1
Dim MyArray(6, 3)

Sub Item_Open
  Dim i
  Set Listbox1 = Item.GetInspector.ModifiedFormPages("P.2").Listbox1

  Listbox1.ColumnCount = 3
  For i = 0 to 5
    MyArray(i, 0) = i
    MyArray(i, 1) = Rnd
    MyArray(i, 2) = Rnd
  Next

  Listbox1.List() = MyArray
End Sub

Sub CommandButton1_Click
  Dim i
  Dim Temp

  For i = 0 to 5
    Temp = Listbox1.List(i, 0)
    Listbox1.List(i, 0) = Listbox1.List(i, 2)
    Listbox1.List(i, 2) = Temp
  Next
End Sub


Beispiel zur ListRows-Eigenschaft

Das folgende Beispiel verwendet ein Drehfeld-Steuerelement (SpinButton), um die Zahl der Zeilen in der Dropdownliste eines Kombinationsfeld-Steuerelements (ComboBox) zu steuern. Der Benutzer ändert den Wert des Drehfeldes und klickt dann auf den Dropdown-Pfeil des Kombinationsfeldes, um die Liste anzuzeigen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit der Bezeichnung ComboBox1.

  • Ein Drehfeld-Steuerelement (SpinBox) mit der Bezeichnung SpinButton1, die an das benutzerdefinierte numerische Feld mit der Bezeichnung SpinButtonValue gebunden ist.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label1.
Sub Item_Open()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    Set SpinButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("SpinButton1")
    Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")

    For i = 1 To 20
        ComboBox1.AddItem "Choice " & (ComboBox1.ListCount + 1)
    Next

    SpinButton1.Min = 0
    SpinButton1.Max = 12
    SpinButton1.Value = ComboBox1.ListRows
    Label1.Caption = "ListRows = " & SpinButton1.Value
End Sub

Sub Item_CustomPropertyChange(byval pname)
    If pname = "SpinButtonValue" Then
        Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
        Set SpinButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("SpinButton1")
        Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")

            ComboBox1.ListRows = SpinButton1.Value
        Label1.Caption = "ListRows = " & SpinButton1.Value
    End If
End Sub


Beispiel zu den ListStyle-, MultiSelect-Eigenschaften

Das folgende Beispiel verwendet die ListStyle- und MultiSelect-Eigenschaft, um das Erscheinungsbild eines Listenfeld-Steuerelements (ListBox) zu steuern. Der Benutzer wählt mit Hilfe des Umschaltfeld-Steuerelements (ToggleButton) einen Wert für ListStyle und wählt ein Optionsfeld-Steuerelement (OptionButton) für einen der MultiSelect-Werte. Das Erscheinungsbild des Listenfeldes ändert sich entsprechend, ebenso wie das Auswahlverhalten innerhalb des Listenfeldes.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Listenfeld-Steuerelement (ListBox) mit der Bezeichnung ListBox1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label1.

  • Drei Optionsfeld-Steuerelemente (OptionButton) mit der Bezeichnung OptionButton1 bis OptionButton3.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit der Bezeichnung ToggleButton1.
Sub Item_Open()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")
    Set OptionButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton1")
    Set OptionButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton2")
    Set OptionButton3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton3")
    Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")

    For i = 1 To 8
        ListBox1.AddItem "Choice" & (ListBox1.ListCount + 1)
    Next

    Label1.Caption = "MultiSelect Choices"
    Label1.AutoSize = True

    ListBox1.MultiSelect = 0        '0=fmMultiSelectSingle
    OptionButton1.Caption = "Single entry"
    OptionButton1.Value = True
    OptionButton2.Caption = "Multiple entries"
    OptionButton3.Caption = "Extended entries"

    ToggleButton1.Caption = "ListStyle - Plain"
    ToggleButton1.Value = True
    ToggleButton1.Width = 90
    ToggleButton1.Height = 30
End Sub

Sub OptionButton1_Click()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    ListBox1.MultiSelect = 0        '0=fmMultiSelectSingle
End Sub

Sub OptionButton2_Click()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    ListBox1.MultiSelect = 1        '1=fmMultiSelectMulti
End Sub

Sub OptionButton3_Click()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    ListBox1.MultiSelect = 2        '2=fmMultiSelectExtended
End Sub

Sub ToggleButton1_Click()
    Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")

    If ToggleButton1.Value = True Then
        ToggleButton1.Caption = "Plain ListStyle"
        ListBox1.ListStyle = 0    '0=fmListStylePlain
    Else
        ToggleButton1.Caption = "OptionButton or CheckBox"
        ListBox1.ListStyle = 1    '1=fmListStyleOption
    End If
End Sub


Beispiel zur ListWidth-Eigenschaft

Das folgende Beispiel verwendet ein Drehfeld-Steuerelement (SpinButton), um die Breite der Dropdown-Liste eines Kombinationsfeldes zu steuern. Der Benutzer ändert den Wert des Drehfelds und klickt dann auf den Dropdown-Pfeil des Kombinationsfeldes, um die Liste anzuzeigen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit der Bezeichnung ComboBox1.

  • Ein Drehfeld-Steuerelement (SpinBox) mit der Bezeichnung SpinButton1, die an ein benutzerdefiniertes numerisches Feld mit der Bezeichnung SpinButtonValue gebunden ist.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label1.
Sub Item_Open()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    Set SpinButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("SpinButton1")
    Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")

    For i = 1 To 20
        ComboBox1.AddItem "Choice " & (ComboBox1.ListCount + 1)
    Next
    SpinButton1.Min = 0
    SpinButton1.Max = 130

    'convert listwidth value from '122 pt' to an integer
    intpos = instr(combobox1.listwidth," ")
    intwidth = left(combobox1.listwidth,intpos-1)
    SpinButton1.Value = intwidth
    SpinButton1.SmallChange = 5
    Label1.Caption = "ListWidth = " & SpinButton1.Value
End Sub

Sub Item_CustomPropertyChange(byval pname)
    If pname = "SpinButtonValue" Then
        Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
        Set SpinButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("SpinButton1")
        Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")

    ComboBox1.ListWidth = SpinButton1.Value
    Label1.Caption = "ListWidth = " & SpinButton1.Value
    End If
End Sub


Beispiel zur Log-Funktion

Das folgende Beispiel gibt den natürlichen Logarithmus für das numerische Feld Angle zurück.

Log([Angle] + Sqr([Angle] * [Angle] + 1))


Beispiele zur LTrim-, RTrim- und Trim-Funktion

In den folgenden Beispielen wird die LTrim- und RTrim-Funktion verwendet, um entsprechende führende und nachgestellte Leerzeichen im Feld Subject abzuschneiden, das den Wert " <-Trim-> " enthält. Mit der Trim-Funktion alleine werden beide Leerzeichentypen abgeschnitten. Die Anführungszeichen markieren das Ende der Zeichenfolge, sind jedoch nicht Bestandteil der Zeichenfolge.

Funktion | Rückgabewert
LTrim([Subject]) | "<-Trim-> "
RTrim([Subject]) | " <-Trim->"
Trim([Subject]) | "<-Trim->"


Beispiel zur MatchEntry-Eigenschaft

Das folgende Beispiel erläutert mit der MatchEntry-Eigenschaft den Zeichenabgleich, der für ein Kombinationsfeld (ComboBox)- und ein Listenfeld (ListBox)-Steuerelement verfügbar ist. In diesem Beispiel kann der Benutzer den Abgleichtyp mit den Optionsfeld-Steuerelementen (OptionButton) einstellen und dann in das Kombinationsfeld ein Element aus der Liste eingeben.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Drei Optionsfeld-Steuerelemente mit der Bezeichnung OptionButton1 bis OptionButton3.

  • Ein Kombinationsfeld mit der Bezeichnung ComboBox1.
Sub OptionButton1_Click()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    ComboBox1.MatchEntry = 2        '2=fmMatchEntryNone
End Sub

Sub OptionButton2_Click()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    ComboBox1.MatchEntry = 0        '0=fmMatchEntryFirstLetter
End Sub

Sub OptionButton3_Click()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
        ComboBox1.MatchEntry = 1    '1=fmMatchEntryComplete
End Sub

Sub Item_Open()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    Set OptionButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton1")
    Set OptionButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton2")
    Set OptionButton3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton3")

    For i = 1 To 9
        ComboBox1.AddItem "Choice " & i
    Next
    ComboBox1.AddItem "Chocoholic"

    OptionButton1.Caption = "No matching"
    OptionButton1.Value = True

    OptionButton2.Caption = "Basic matching"
    OptionButton3.Caption = "Extended matching"
End Sub


Beispiel zu den MatchFound-, MatchRequired-Eigenschaften

Das folgende Beispiel erläutert mit der MatchFound- und der MatchRequired-Eigenschaft zusätzliche Zeichenabgleichmöglichkeiten für ein Kombinationsfeld (ComboBox). Die Übereinstimmungsüberprüfung erfolgt mit dem Change-Ereignis.

In diesem Beispiel gibt der Benutzer an, ob der Text eines Kombinationsfeldes mit einem der im Kombinationsfeld aufgeführten Elemente übereinstimmen muss. Der Benutzer kann über ein Kontrollkästchen-Steuerelement festlegen, ob der Abgleich erforderlich ist, und gibt dann in das Kombinationsfeld ein Element aus der Liste ein.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Kombinationsfeld mit der Bezeichnung ComboBox1, das an das Feld Subject gebunden ist.

  • Ein Kontrollkästchen mit der Bezeichnung CheckBox1.
Sub CheckBox1_Click()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    Set CheckBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CheckBox1")

    If CheckBox1.Value = True Then
        ComboBox1.MatchRequired = True
        MsgBox "To move the focus from the ComboBox, you must match an entry in the list or press ESC."
    Else
        ComboBox1.MatchRequired = False
        MsgBox " To move the focus from the ComboBox, just tab to or click another control. Matching is optional."
    End If
End Sub

Sub Item_PropertyChange(byval pname)
    if pname = "Subject" then
        Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
        If ComboBox1.MatchRequired = True Then
        'MSForms handles this case automatically
        Else
            If ComboBox1.MatchFound = True Then
                MsgBox "Match Found; matching optional."
            Else
                MsgBox "Match not Found; matching optional."
            End If
        End If
    end if
End Sub

Sub Item_Open()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    Set CheckBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CheckBox1")

    For i = 1 To 9
            ComboBox1.AddItem "Choice " & i
    Next
    ComboBox1.AddItem "Chocoholic"

    CheckBox1.Caption = "MatchRequired"
    CheckBox1.Value = True
End Sub


Beispiel zu den Max-, Min-, MaxLength-Eigenschaften

Das folgende Beispiel veranschaulicht die Max- und Min-Eigenschaft bei Verwendung mit einem eigenständigen Bildlaufleisten-Steuerelement (ScrollBar). Der Benutzer legt für Max und Min ganze Zahlen zwischen –1000 und 1000 fest. Dieses Beispiel verwendet darüber hinaus die MaxLength-Eigenschaft, um die Zahl der zulässigen Zeichen für Max und Min zu beschränken.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label1

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1, das an das benutzerdefinierte numerische Feld mit der Bezeichnung ScrollBarMin gebunden ist.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label2

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox2, das an das benutzerdefinierte numerische Feld mit der Bezeichnung ScrollBarMax gebunden ist.

  • Ein Bildlaufleisten-Steuerelement (ScrollBar) mit der Bezeichnung ScrollBar1, die an das benutzerdefinierte numerische Feld mit der Bezeichnung ScrollBarValue gebunden ist.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label3.
Sub Item_Open()
    Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")
    Set ScrollBar1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ScrollBar1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set Label2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label2")
    Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")
    Set Label3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label3")

    Label1.Caption = "Min -1000 to 1000"
    ScrollBar1.Min = -1000
    TextBox1.Text = ScrollBar1.Min
    TextBox1.MaxLength = 5

    Label2.Caption = "Max -1000 to 1000"
    ScrollBar1.Max = 1000
    TextBox2.Text = ScrollBar1.Max
    TextBox2.MaxLength = 5

    ScrollBar1.SmallChange = 1
    ScrollBar1.LargeChange = 100
    ScrollBar1.Value = 0
    Label3.Caption = ScrollBar1.Value
End Sub

Sub Item_CustomPropertyChange(byval pname)
    Set ScrollBar1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ScrollBar1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")
    Set Label3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label3")

    If pname = "ScrollBarMin" Then

        If IsNumeric(TextBox1.Text) Then
                TempNum = CInt(TextBox1.Text)
            If TempNum >= -1000 And TempNum <= 1000 Then
                    ScrollBar1.Min = TempNum
                Else
                    TextBox1.Text = ScrollBar1.Min
            End If
            Else
                TextBox1.Text = ScrollBar1.Min
        End If
    ElseIf pname = "ScrollBarMax" Then

        If IsNumeric(TextBox2.Text) Then
                TempNum = CInt(TextBox2.Text)
                If TempNum >= -1000 And TempNum <= 1000 Then
                    ScrollBar1.Max = TempNum
            Else
                    TextBox2.Text = ScrollBar1.Max
                End If
        Else
                TextBox2.Text = ScrollBar1.Max
        End If
    ElseIf pname = "ScrollBarValue" Then

        Label3.Caption = ScrollBar1.Value
    End If
End Sub


Beispiel zur Mid-Funktion

Im folgenden Beispiel gibt die Mid-Funktion eine angegebene Zahl an Zeichen vom Feld Subject mit dem Wert Marketingstrategie zurück.

Funktion | Rückgabewert
Mid ([Subject], 1, 3) | Mar
Mid ([Subject], 10, 9) | strategie
Mid ([Subject], 5) | etingstrategie


Beispiel zur Minute-Funktion

Im folgenden Beispiel gibt die Minute-Funktion die Minuten der Zeitangabe im Feld Received zurück.

Minute([Received])


Beispiel zur Month-Funktion

Im folgenden Beispiel gibt die Month-Funktion den Monat des Feldes Received zurück.

Month([Received])


Beispiel zu den MouseIcon-, MousePointer-Eigenschaften

Das folgende Beispiel veranschaulicht, wie ein entsprechender Mauszeiger für ein Steuerelement oder eine Situation festgelegt wird. Über die MousePointer-Eigenschaft stehen mehrere Mauszeiger zur Auswahl.

Dieses Beispiel funktioniert folgendermaßen:

  • Wählen Sie im Listenfeld-Steuerelement (ListBox) einen Mauszeiger aus, um einen anderen Mauszeiger für das Listenfeld einzustellen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Listenfeld-Steuerelement (ListBox) mit der Bezeichnung ListBox1.
Dim ListBox1

Sub Item_Open()
    set ListBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("ListBox1")
    'Load ListBox with MousePointer choices
    ListBox1.Clear
    ListBox1.AddItem "Default"
    ListBox1.AddItem "Arrow"
    ListBox1.AddItem "Cross"
    ListBox1.AddItem "IBeam"
    ListBox1.AddItem "SizeNESW"
    ListBox1.AddItem "SizeNS"
    ListBox1.AddItem "SizeNWSE"
    ListBox1.AddItem "SizeWE"
    ListBox1.AddItem "UpArrow"
    ListBox1.AddItem "Hourglass"
    ListBox1.AddItem "NoDrop"
    ListBox1.AddItem "AppStarting"
    ListBox1.AddItem "Help"
    ListBox1.AddItem "SizeAll"
End Sub

Sub ListBox1_Click()
   If IsNull(ListBox1.Value) = False Then
    Select Case ListBox1.Value
        Case "Default"
            pointer = 0        'Standard pointer.
            Case "Arrow"
            pointer = 1        'Arrow.
        Case "Cross"
            pointer = 2        'Cross-hair pointer.
        Case "IBeam"
            pointer = 3        'I-beam.
        Case "SizeNESW"
            pointer = 6        'Double arrow pointing northeast and southwest.
        Case "SizeNS"
            pointer = 7        'Double arrow pointing north and south.
         Case "SizeNWSE"
            pointer = 8        'Double arrow pointing northwest and southeast.
        Case "SizeWE"
            pointer = 9        'Double arrow pointing west and east.
        Case "UpArrow"
            pointer = 10    'Up arrow.
        Case "Hourglass"
            pointer = 11    'Hourglass.
        Case "NoDrop"
            pointer = 12    '"Not" symbol (circle with a diagonal line) on top of the object being dragged. Indicates an invalid drop target.
        Case "AppStarting"
            pointer = 13    'Arrow with an hourglass.
        Case "Help"
            pointer = 14    'Arrow with a question mark.
        Case "SizeAll"
            pointer = 15    'Size all cursor (arrows pointing north, south, east, and west).
    End Select
    ListBox1.MousePointer = pointer
   End If
End Sub


Beispiel zur Move-Methode für die Controls-Auflistung

Das folgende Beispiel veranschaulicht, wie alle Steuerelemente in einem Formular über die Move-Methode mit der Controls-Auflistung verschoben werden. Der Benutzer klickt auf die Befehlsschaltfläche (CommandButton), um die Steuerelemente zu verschieben.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Vergewissern Sie sich, dass das Formular eine Befehlsschaltfläche mit der Bezeichnung CommandButton1 und weitere Steuerelemente aufweist.

Sub CommandButton1_Click()
  Set Controls = Item.GetInspector.ModifiedFormPages("P.2").Controls
  'Move each control on the form right 25 points and up 25 points.
  Controls.Move 25, -25
End Sub


Beispiel zu den MultiLine-, WordWrap-, ScrollBars-Eigenschaften

Das folgende Beispiel veranschaulicht die MultiLine-, WordWrap- und ScrollBars-Eigenschaften in einem Textfeld (TextBox).

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Textfeld mit der Bezeichnung TextBox1.

  • Vier Umschaltfeld-Steuerelemente (ToggleButton) mit der Bezeichnung ToggleButton1 bis ToggleButton4.

Um den gesamten Text im Textfeld anzuzeigen, legen Sie MultiLine und WordWrap auf True fest, indem Sie auf die Umschaltfeld-Steuerelemente (ToggleButton) klicken.

Wenn MultiLine gleich True ist, können Sie durch Drücken von UMSCHALT+EINGABE neue Textzeilen eingeben.

Bildlaufleisten (ScrollBars) werden angezeigt, wenn Sie den Inhalt des Textfeldes manuell ändern.

Dim ToggleButton1
Dim ToggleButton2
Dim ToggleButton3
Dim ToggleButton4
Dim TextBox1

Sub Item_Open
'Initialize TextBox properties and toggle buttons

  Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").ToggleButton1
  Set ToggleButton2 = Item.GetInspector.ModifiedFormPages("P.2").ToggleButton2
  Set ToggleButton3 = Item.GetInspector.ModifiedFormPages("P.2").ToggleButton3
  Set ToggleButton4 = Item.GetInspector.ModifiedFormPages("P.2").ToggleButton4
  Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").TextBox1

  TextBox1.Text = "Type your text here.  Enter SHIFT+ENTER to move to a new line."
  TextBox1.AutoSize = False
  ToggleButton1.Caption = "AutoSize Off"
  ToggleButton1.Value = False
  ToggleButton1.AutoSize = True

  TextBox1.WordWrap = False
  ToggleButton2.Caption = "WordWrap Off"
  ToggleButton2.Value = False
  ToggleButton2.AutoSize = True

  TextBox1.ScrollBars = 0
  ToggleButton3.Caption = "ScrollBars Off"
  ToggleButton3.Value = False
  ToggleButton3.AutoSize = True

  TextBox1.MultiLine = False
  ToggleButton4.Caption = "Single Line"
  ToggleButton4.Value = False
  ToggleButton4.AutoSize = True

End Sub

Sub ToggleButton1_Click
'Set AutoSize property and associated ToggleButton

  If ToggleButton1.Value = True Then
    TextBox1.AutoSize = True
    ToggleButton1.Caption = "AutoSize On"
  Else
    TextBox1.AutoSize = False
    ToggleButton1.Caption = "AutoSize Off"
  End if
End Sub

Sub ToggleButton2_Click
'Set WordWrap property and associated  ToggleButton

  If ToggleButton2.Value = True Then
    TextBox1.WordWrap = True
    ToggleButton2.Caption = "WordWrap On"
  Else
    TextBox1.WordWrap = False
    ToggleButton2.Caption = "WordWrap Off"
  End if
End Sub

Sub ToggleButton3_Click
'Set ScrollBars property and associated ToggleButton

  If ToggleButton3.Value = True Then
    TextBox1.ScrollBars = 3
    ToggleButton3.Caption = "ScrollBars On"
  Else
    TextBox1.ScrollBars = 0
    ToggleButton3.Caption = "ScrollBars Off"
  End if
End Sub

Sub ToggleButton4_Click
'Set MultiLine property and associated ToggleButton

  If ToggleButton4.Value = True Then
    TextBox1.MultiLine = True
    ToggleButton4.Caption = "Multiple Lines"
  Else
    TextBox1.MultiLine = False
    ToggleButton4.Caption = "Single Line"
  End if
 End Sub


Beispiel zu den MultiSelect-, Selected-Eigenschaften

Das folgende Beispiel erläutert mit der MultiSelect- und Selected-Eigenschaft, wie der Benutzer ein oder mehrere Elemente in einem Listenfeld auswählt. Der Benutzer gibt die Auswahlmethode an, indem er auf ein Optionsfeld klickt und dann ein oder mehrere Elemente in dem Listenfeld auswählt. Der Benutzer hat die Möglichkeit, die ausgewählten Elemente in einem zweiten Listenfeld anzuzeigen, wenn er auf die Befehlsschaltfläche klickt.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Zwei Listenfeld-Steuerelemente mit der Bezeichnung ListBox1 und ListBox2.

  • Eine Befehlsschaltfläche mit der Bezeichnung CommandButton1.

  • Drei Optionsfeld-Steuerelemente (OptionButton) mit der Bezeichnung OptionButton1 bis OptionButton3.
Sub CommandButton1_Click()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    Set ListBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox2")
    ListBox2.Clear

    For i = 0 To 9
        If ListBox1.Selected(i) = True Then
            ListBox2.AddItem ListBox1.List(i)
        End If
    Next

End Sub

Sub OptionButton1_Click()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    ListBox1.MultiSelect = 0        '0=fmMultiSelectSingle
End Sub

Sub OptionButton2_Click()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    ListBox1.MultiSelect = 1        '1=fmMultiSelectMulti
End Sub

Sub OptionButton3_Click()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    ListBox1.MultiSelect = 2        '2=fmMultiSelectExtended
End Sub

Sub Item_Open()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    Set OptionButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton1")
    Set OptionButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton2")
    Set OptionButton3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton3")
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")

    For i = 0 To 9
        ListBox1.AddItem "Choice " & (ListBox1.ListCount + 1)
    Next

    OptionButton1.Caption = "Single Selection"
    ListBox1.MultiSelect = 0        '0=fmMultiSelectSingle
    OptionButton1.Value = True

    OptionButton2.Caption = "Multiple Selection"
    OptionButton3.Caption = "Extended Selection"

    CommandButton1.Caption = "Show selections"
    CommandButton1.AutoSize = True
End Sub


 Beispiel zur Name-Eigenschaft

Beispiel zur Name-Eigenschaft

Das folgende Beispiel zeigt die Name-Eigenschaft der Steuerelemente eines Formulars an. Dieses Beispiel verwendet die Controls-Auflistung, um alle Steuerelemente des Benutzerformulars zu durchlaufen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Vergewissern Sie sich, dass das Formular eine Befehlsschaltfläche (CommandButton) mit der Bezeichnung CommandButton1 und weitere Steuerelemente aufweist.

Sub CommandButton1_Click()
    Set Controls = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls
    For i = 0 to Controls.Count - 1
        MsgBox "MyControl.Name = " & Controls.Item(i).Name
    Next
End Sub


Beispiel zur Now-Funktion

Im folgenden Beispiel gibt die Now-Funktion die Zahl der Tage seit dem Erhalt eines Elements zurück.

DateValue(Now())-DateValue([Received]) & " Day(s)"


Beispiel zur NPer-Funktion

In diesem Beispiel gibt die NPer-Funktion die Zahl der Zeiträume zurück, in denen die Zahlungen geleistet werden müssen, um ein Darlehen, dessen Höhe in PVal angegeben ist, abzubezahlen. Außerdem gelten die folgenden Angaben als Grundlage: Der Zinssatz pro Zeitraum (APR / 12), die Zahlung (Payment), der zukünftige Wert des Darlehens (FVal) und eine Zahl, die bestimmt, ob die Zahlung zu Beginn oder am Ende des Zahlungszeitraums fällig ist (PayType).

IPmt([APR] / 12, [Period], [TotPmts], -[PVal], [FVal], [PayType])


Beispiel zur Object-Eigenschaft

Stellen Sie sich vor, ein neues Steuerelement besitzt eine Top-Eigenschaft, die nicht mit der standardmäßigen Top-Eigenschaft von Microsoft Forms identisch ist. Sie können beide Eigenschaften mit der entsprechenden Syntax verwenden:

  • control.Top verwendet die standardmäßige Top-Eigenschaft.

  • control.Object.Top verwendet die Top-Eigenschaft des hinzugefügten Steuerelements.


Beispiel zur Oct-Funktion

In den folgenden Beispielen gibt Oct den Oktalwert der Werte für das Feld Number zurück.

Feld "Number" | Funktionsrückgabe
4 | 4
8 | 10
459 | 713

Oct([Number])


Beispiel zur Parent-Eigenschaft

Das folgende Beispiel verwendet die Parent-Eigenschaft, um auf das Steuerelement oder Formular zu verweisen, das ein bestimmtes Steuerelement enthält.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Zwei Bezeichnungsfeld-Steuerelemente (Label) mit der Bezeichnung Label1 und Label2.

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) mit der Bezeichnung CommandButton1.

  • Ein oder mehr zusätzliche Steuerelemente Ihrer Wahl.
Dim MyControl
Dim MyParent
Dim ControlsIndex

Sub Item_Open()
  Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton1
  ControlsIndex = 0
  CommandButton1.Caption = "Get Control and Parent"
  CommandButton1.AutoSize = True
  CommandButton1.WordWrap = True
End Sub

Sub CommandButton1_Click()
  Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Label1
  Set Label2 = Item.GetInspector.ModifiedFormPages("P.2").Label2

  'Process Controls collection for UserForm
  Set MyControl = Item.GetInspector.ModifiedFormPages("P.2").Controls.Item(ControlsIndex)
  Set MyParent = MyControl.Parent
  Label1.Caption = MyControl.Name
  Label2.Caption = MyParent.Name

  'Prepare index for next control on Userform
  ControlsIndex = ControlsIndex + 1
  If ControlsIndex >= Item.GetInspector.ModifiedFormPages("P.2").Controls.Count Then
    ControlsIndex = 0
  End If
End Sub


Beispiel zu den Picture-, PicturePosition-Eigenschaften

Das folgende Beispiel verwendet ein Kombinationsfeld (ComboBox), um die Optionen zur Bildpositionierung für ein Steuerelement aufzuzeigen. Jedes Mal, wenn der Benutzer auf eine Listenoption klickt, werden das Bild und der Bildtitel in der Befehlsschaltfläche (CommandButton) aktualisiert. Dieses Codebeispiel verwendet auch die AddItem-Methode, um die Kombinationsfeld-Optionen einzutragen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Bezeichnungsfeld (Label) mit der Bezeichnung Label1.

  • Eine Befehlsschaltfläche mit der Bezeichnung CommandButton1, wobei die Picture-Eigenschaft zur Verwendung eines Bildes auf Ihrem Computer eingestellt ist.

  • Ein Kombinationsfeld mit der Bezeichnung ComboBox1.
Dim Label1
Dim CommandButton1
Dim ComboBox1

Sub Item_Open()
Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Label1
Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").CommandButton1
Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").ComboBox1

    Label1.Left = 18
    Label1.Top = 12
    Label1.Height = 12
    Label1.Width = 190
    Label1.Caption = "Select picture placement relative to the caption."

    'Add list entries to combo box. The value of each entry matches the
    'corresponding ListIndex value in the combo box.
    ComboBox1.AddItem "Left Top"        'ListIndex = 0
    ComboBox1.AddItem "Left Center"     'ListIndex = 1
    ComboBox1.AddItem "Left Bottom"     'ListIndex = 2
    ComboBox1.AddItem "Right Top"       'ListIndex = 3
    ComboBox1.AddItem "Right Center"    'ListIndex = 4
    ComboBox1.AddItem "Right Bottom"    'ListIndex = 5

    ComboBox1.AddItem "Above Left"      'ListIndex = 6
    ComboBox1.AddItem "Above Center"    'ListIndex = 7
    ComboBox1.AddItem "Above Right"    'ListIndex = 8
    ComboBox1.AddItem "Below Left"      'ListIndex = 9
    ComboBox1.AddItem "Below Center"    'ListIndex = 10
    ComboBox1.AddItem "Below Right"    'ListIndex = 11

    ComboBox1.AddItem "Centered"        'ListIndex = 12

    ComboBox1.Style = 2  'Use drop-down list

    ComboBox1.BoundColumn = 0            'Combo box values are ListIndex values
    ComboBox1.ListIndex = 0              'Set combo box to first entry

    ComboBox1.Left = 18
    ComboBox1.Top = 36
    ComboBox1.Width = 90
    ComboBox1.ListWidth = 90

    'Initialize CommandButton1
    CommandButton1.Left = 230
    CommandButton1.Top = 36
    CommandButton1.Height = 120
    CommandButton1.Width = 120

    'Note: Be sure to refer to have set the CommandButton1 to a bitmap file
      'Note: that is present on your system
    CommandButton1.PicturePosition = ComboBox1.Value
End Sub

Sub ComboBox1_Click()
    Select Case ComboBox1.Value
    Case 0  'Left Top
        CommandButton1.Caption = "Left Top"
        CommandButton1.PicturePosition = 0

    Case 1  'Left Center
        CommandButton1.Caption = "Left Center"
        CommandButton1.PicturePosition = 1

    Case 2  'Left Bottom
        CommandButton1.Caption = "Left Bottom"
        CommandButton1.PicturePosition = 2

    Case 3  'Right Top
        CommandButton1.Caption = "Right Top"
        CommandButton1.PicturePosition = 3

    Case 4  'Right Center
        CommandButton1.Caption = "Right Center"
        CommandButton1.PicturePosition = 4

    Case 5  'Right Bottom
        CommandButton1.Caption = "Right Bottom"
        CommandButton1.PicturePosition = 5

    Case 6  'Above Left
        CommandButton1.Caption = "Above Left"
        CommandButton1.PicturePosition = 6

    Case 7  'Above Center
        CommandButton1.Caption = "Above Center"
        CommandButton1.PicturePosition = 7

    Case 8  'Above Right
        CommandButton1.Caption = "Above Right"
        CommandButton1.PicturePosition = 8

    Case 9  'Below Left
        CommandButton1.Caption = "Below Left"
        CommandButton1.PicturePosition = 9

    Case 10 'Below Center
        CommandButton1.Caption = "Below Center"
        CommandButton1.PicturePosition = 10

    Case 11 'Below Right
        CommandButton1.Caption = "Below Right"
        CommandButton1.PicturePosition = 11

    Case 12 'Centered
        CommandButton1.Caption = "Centered"
        CommandButton1.PicturePosition = 12

    End Select

End Sub


Beispiel zur Pmt-Funktion

In diesem Beispiel gibt die Pmt-Funktion die Zahlung für ein Darlehen über einen bestimmten Zeitraum zurück. Außerdem gelten die folgenden Angaben als Grundlage: Der Zinssatz pro Zeitraum (APR / 12), die Gesamtzahl der Zahlungen (TotPmts), der aktuelle Wert oder der Kapitalanteil des Darlehens (PVal), der zukünftige Wert des Darlehens (FVal) und eine Zahl, die bestimmt, ob die Zahlung zu Beginn oder am Ende des Zahlungszeitraums fällig ist (PayType).

Pmt([APR] / 12, [TotPmts], -[PVal], [FVal], [PayType])


Beispiel zur PPmt-Funktion

In diesem Beispiel berechnet die PPmt-Funktion den Kapitalanteil einer Zahlung für einen bestimmten Zeitraum, wenn alle Zahlungen die gleiche Höhe aufweisen. Außerdem gelten die folgenden Angaben als Grundlage: Der Zinssatz pro Zeitraum (APR / 12), der Zahlungszeitraum, für den der Kapitalanteil berechnet werden soll (Period), die Gesamtzahl der Zahlungen (TotPmts), der aktuelle Wert oder der Kapitalanteil des Darlehens (PVal), der zukünftige Wert des Darlehens (FVal) und eine Zahl, die bestimmt, ob die Zahlung zu Beginn oder am Ende des Zahlungszeitraums fällig ist (PayType).

PPmt([APR] / 12, [Period], [TotPmts], -[PVal], [FVal], [PayType])


Beispiel zur PV-Funktion

In diesem Beispiel gibt die PV-Funktion den aktuellen Wert einer Annuität zurück. Die folgenden Angaben gelten als Grundlage: Der erwartete jährliche Zinssatz (APR), die Gesamtzahl der Zahlungen (TotPmts), die Höhe der Zahlungen (YrIncome), der zukünftige Gesamtwert der Investition (FVal) und eine Zahl, die bestimmt, ob die Zahlung zu Beginn oder am Ende des Zahlungszeitraums fällig ist (PayType). Beachten Sie, dass es sich bei YrIncome um eine negative Zahl handelt, da damit die jährlichen Auszahlungen der Annuität repräsentiert werden.

PV([APR], [TotPmts], -[YrIncome], [FVal], [PayType])


Beispiel zur Rate-Funktion

In diesem Beispiel berechnet die Rate-Funktion den Zinssatz eines Darlehens. Die folgenden Angaben gelten als Grundlage: Die Gesamtzahl der Zahlungen (TotPmts), die Höhe der Darlehenszahlungen (Payment), der aktuelle Wert des Kapitalanteils des Darlehens (PVal), der zukünftige Wert des Darlehens (FVal), eine Zahl, die bestimmt, ob die Zahlung zu Beginn oder am Ende des Zahlungszeitraums fällig ist (PayType) und die Schätzung des erwarteten Zinssatzes (Guess).

(Rate([TotPmts], -[Payment], [PVal], [FVal], [PayType], [Guess]) * 12) * 100


Beispiel zur Right-Funktion

Das folgende Beispiel gibt vier Zeichen von der rechten Seite des Feldes Subject zurück.

Feld "Subject" | Funktionsrückgabe
Internationaler Verkauf | kauf
Marketingstrategie | egie

Right([Subject], 4)


Beispiel zur Rnd-Funktion

Im folgenden Beispiel zeigt die Rnd-Funktion ein Feld mit einer ganzen Zufallszahl zwischen 1 und 6 an.

Int((6 * Rnd) + 1)


Beispiel zu den ScrollBars-, KeepScrollBarsVisible-Eigenschaften

Das folgende Beispiel verwendet die ScrollBars- und die KeepScrollBarsVisible-Eigenschaft, um einer Seite eines Multiseiten-Steuerelements (MultiPage) und einem Rahmen-Steuerelement (Frame) eine Bildlaufleiste hinzuzufügen. Der Benutzer wählt ein Optionsfeld, das wiederum einen Wert für KeepScrollBarsVisible angibt.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Multiseiten-Steuerelement (Multipage) mit der Bezeichnung MultiPage1.

  • Ein Rahmen-Steuerelement (Frame) mit der Bezeichnung Frame1.

  • Vier Optionsfeld-Steuerelemente (OptionButton) mit der Bezeichnung OptionButton1 bis OptionButton4.
Sub Item_Open()
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")
    Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Frame1")
    Set OptionButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton1")
    Set OptionButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton2")
    Set OptionButton3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton3")
    Set OptionButton4 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton4")

    MultiPage1.Pages(0).ScrollBars = 3    '3=fmScrollBarsBoth
    MultiPage1.Pages(0).KeepScrollBarsVisible = 0    '0=fmScrollBarsNone

    Frame1.ScrollBars = 3    '3=fmScrollBarsBoth
    Frame1.KeepScrollBarsVisible = 0    '0=fmScrollBarsNone

    OptionButton1.Caption = "No scroll bars"
    OptionButton1.Value = True
    OptionButton2.Caption = "Horizontal scroll bars"
    OptionButton3.Caption = "Vertical scroll bars"
    OptionButton4.Caption = "Both scroll bars"
End Sub

Sub OptionButton1_Click()
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")
    Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Frame1")

    MultiPage1.Pages(0).KeepScrollBarsVisible = 0    '0=fmScrollBarsNone
    Frame1.KeepScrollBarsVisible = 0    '0=fmScrollBarsNonefmScrollBarsNone
End Sub

Sub OptionButton2_Click()
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")
    Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Frame1")

    MultiPage1.Pages(0).KeepScrollBarsVisible = 1    '1=fmScrollBarsHorizontal
    Frame1.KeepScrollBarsVisible = 1    '1=fmScrollBarsHorizontal
End Sub

Sub OptionButton3_Click()
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")
    Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Frame1")

    MultiPage1.Pages(0).KeepScrollBarsVisible = 2    '2=fmScrollBarsVertical
    Frame1.KeepScrollBarsVisible = 2    '2=fmScrollBarsVertical
End Sub

Sub OptionButton4_Click()
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")
    Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Frame1")

    MultiPage1.Pages(0).KeepScrollBarsVisible = 3    '3=fmScrollBarsBoth
    Frame1.KeepScrollBarsVisible = 3    '3=fmScrollBarsBoth
End Sub


Beispiel zur Second-Funktion

Im folgenden Beispiel gibt die Second-Funktion die Sekunden der Zeitangabe im Feld Received zurück.

Second([Received])


Beispiel zur Sgn-Funktion

Das folgende Beispiel gibt die folgenden Werte für das Feld Angle zurück.

Feld "Angle" | Funktionsrückgabe
30 | 1
-45 | -1

Sgn([Angle])


Beispiel zur Sin-Funktion

Im folgenden Beispiel gibt die Sin-Funktion den Sinus des Feldes Angle zurück.

Sin([Angle])


Beispiel zur SLN-Funktion

In diesem Beispiel gibt die SLN-Funktion die arithmetische Abschreibung eines Vermögenswertes über einen bestimmten Zeitraum zurück. Die folgenden Angaben gelten als Grundlage: Der Anschaffungswert des Vermögenswertes (InitCost), der Restwert am Ende der Nutzungsdauer des Vermögenswertes (SalvageVal) und die Gesamtnutzungsdauer des Vermögenswertes in Jahren (LifeTime).

SLN([InitCost], [SalvageVal], [LifeTime])


Beispiel zur Space-Funktion

Im folgenden Beispiel fügt die Space-Funktion 10 Leerzeichen zwischen den Werten der Felder Sent und Received in einer Spalte ein.

[Sent] & Space(10) & [Received]


Beispiel zur Sqr-Funktion

Dieses Beispiel gibt die folgenden Werte für das Feld Angle zurück.

Feld "Angle" | Funktionsrückgabe
4 | 2
23 | 4,795831523313
0 | 0

Sqr([Angle])


Beispiel zur StrComp-Funktion

Das folgende Beispiel vergleicht den Wert des Feldes File As mit dem Wert der Kombination aus dem Feld First Name und Last Name.

StrComp([File As], [Last Name] & ", " & [First Name], 1)


Beispiel zur Str-Funktion

Im folgenden Beispiel gibt die Str-Funktion eine Zeichenfolgendarstellung des Feldes Number zurück. Bei der Konvertierung einer Zahl in eine Zeichenfolge wird stets ein führendes Leerzeichen für das Vorzeichen reserviert.

Feld "Number" | Funktionsrückgabe
459 | " 459"
-459,65 | "-459,65"
459,001 | " 459,001"

Str([Number])


Beispiel zur String-Funktion

In den folgenden Beispielen gibt die String-Funktion sich wiederholende Zeichenfolgen mit der angegebenen Länge zurück.

Funktion | Rückgabewerte
String(5, "*") | *****
String(5, 42) | *****
String(10, "ABC") | AAAAAAAAAA


Beispiel zur Style-Eigenschaft für ein Kombinationsfeld-Steuerelement (ComboBox)

Das folgende Beispiel verwendet die Style-Eigenschaft, um die Wirkung der Eingabe von Text in den Textbereich eines Kombinationsfeldes (ComboBox) zu ändern. Der Benutzer wählt ein Format, indem er ein Optionsfeld-Steuerelement (OptionButton) auswählt und dann eine Eingabe im Kombinationsfeld vornimmt, um ein Element auszuwählen. Wenn Style gleich StyleDropDownList ist, muss der Benutzer ein Element aus der Dropdownliste auswählen. Wenn Style gleich StyleDropDownCombo ist, kann der Benutzer Text in den Textbereich eingeben, um ein Element in der Dropdownliste anzugeben.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Zwei Optionsfeld-Steuerelemente (OptionButton) mit der Bezeichnung OptionButton1 und OptionButton2.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit der Bezeichnung ComboBox1.
Sub OptionButton1_Click()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    ComboBox1.Style = 0        '0=fmStyleDropDownCombo
End Sub

Sub OptionButton2_Click()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    ComboBox1.Style = 2        '2=fmStyleDropDownList
End Sub

Sub Item_Open()
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    Set OptionButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton1")
    Set OptionButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton2")

    For i = 1 To 10
        ComboBox1.AddItem "Choice " & i
    Next

    OptionButton1.Caption = "Select like ComboBox"
    OptionButton1.Value = True
    ComboBox1.Style = 0        '0=fmStyleDropDownCombo

    OptionButton2.Caption = "Select like ListBox"
End Sub


Beispiel zur Style-Eigenschaft für Multiseiten- und Register-Steuerelemente (MultiPage, TabStrip)

Im folgenden Beispiel definiert die Style-Eigenschaft das Erscheinungsbild der Registerkarten in Multiseiten- und Register-Steuerelementen (MultiPage, TabStrip). Dieses Beispiel verdeutlicht außerdem, wie ein Bezeichnungsfeld (Label) verwendet wird. Der Benutzer wählt mit Hilfe eines Optionsfeld-Steuerelements (OptionButton) ein Format aus.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label1.

  • Drei Optionsfeld-Steuerelemente (OptionButton) mit der Bezeichnung OptionButton1 bis OptionButton3.

  • Ein Multiseiten-Steuerelement (MultiPage) mit der Bezeichnung MultiPage1.

  • Ein Register-Steuerelement (TabStrip) mit der Bezeichnung TabStrip1.

  • Ein beliebiges Steuerelement im Register-Steuerelement (TabStrip).

  • Ein beliebiges Steuerelement auf jeder Seite des Multiseiten-Steuerelements (MultiPage).
Sub OptionButton1_Click()
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")
    Set TabStrip1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TabStrip1")
    MultiPage1.Style = 0        '0=fmTabStyleTabs
    TabStrip1.Style = 0        '0=fmTabStyleTabs
End Sub

Sub OptionButton2_Click()
    'Note that the page borders are invisible
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")
    Set TabStrip1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TabStrip1")
    MultiPage1.Style = 1        '1=fmTabStyleButtons
    TabStrip1.Style = 1        '1=fmTabStyleButtons
End Sub

Sub OptionButton3_Click()
    'Note that the page borders are invisible and
    'the page body begins where the tabs normally appear.
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")
    Set TabStrip1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TabStrip1")
    MultiPage1.Style = 2        '2=fmTabStyleNone
    TabStrip1.Style = 2        '2=fmTabStyleNone
End Sub

Sub Item_Open()
    Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")
    Set OptionButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton1")
    Set OptionButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton2")
    Set OptionButton3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("OptionButton3")
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")
    Set TabStrip1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TabStrip1")

    Label1.Caption = "Page/Tab Style"
    OptionButton1.Caption = "Tabs"
    OptionButton1.Value = True
    MultiPage1.Style = 0        '0=fmTabStyleTabs
    TabStrip1.Style = 0        '0=fmTabStyleTabs

    OptionButton2.Caption = "Buttons"
    OptionButton3.Caption = "No Tabs or Buttons"
End Sub


Beispiel zur Switch-Funktion

Im folgenden Beispiel gibt die Switch-Funktion den Name einer Sprache zurück, der dem Namen des Feldes Business Address City entspricht.

Feld "Business Address City" | Funktionsrückgabe
London | English
Paris | French

Switch([Business Address City] = "London",
"English", [Business Address City]= "Paris", "French")


Beispiel zur SYD-Funktion

Die Verwendung der Jahresabschreibungsmethode in diesem Beispiel verdeutlicht den Einsatz der SYD-Funktion zum Zurückgeben der Jahresabschreibung eines Vermögenswertes über einen bestimmten Zeitraum. Die folgenden Angaben gelten als Grundlage: Die Anschaffungskosten (InitCost), der Restwert am Ende der Nutzungsdauer des Vermögenswertes (SalvageVal) und die Gesamtnutzungsdauer des Vermögenswertes in Jahren (LifeTime). Der Zeitraum, für den die Abschreibung berechnet wird, erfolgt ebenfalls in Jahren und lautet "DepYear".

SYD([InitCost], [SalvageVal], [LifeTime], [DepYear])


Beispiel zu den TabFixedHeight-, TabFixedWidth-Eigenschaften

Im folgenden Beispiel richten die TabFixedHeight- und die TabFixedWidth-Eigenschaften die Größe der für das Multiseiten- und Register-Steuerelement (MultiPage, TabStrip) verwendeten Registerkarten ein. Der Benutzer klickt auf das Drehfeld-Steuerelement (SpinButton), um die Höhe und Breite der Registerkarten für das Multiseiten- und das Register-Steuerelement (MultiPage, TabStrip) anzupassen.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Multiseiten-Steuerelement (MultiPage) mit der Bezeichnung MultiPage1.

  • Ein Register-Steuerelement (TabStrip) mit der Bezeichnung TabStrip1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label1 zur Steuerung der Breite.

  • Ein Drehfeld-Steuerelement (SpinButton) mit der Bezeichnung SpinButton1 zur Steuerung der Breite, die an ein benutzerdefiniertes numerisches Feld mit der Bezeichnung SpinButtonWidth gebunden ist.

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1 zur Steuerung der Breite.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label2 zur Steuerung der Höhe.

  • Ein Drehfeld-Steuerelement (SpinButton) mit der Bezeichnung SpinButton2 zur Steuerung der Höhe, die an ein benutzerdefiniertes numerisches Steuerelement mit der Bezeichnung SpinButtonHeight gebunden ist.

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox2 zur Steuerung der Höhe.
Sub UpdateTabWidth()
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set SpinButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("SpinButton1")
    Set TabStrip1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TabStrip1")
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")

    TextBox1.Text = SpinButton1.Value
    TabStrip1.TabFixedWidth = SpinButton1.Value
    MultiPage1.TabFixedWidth = SpinButton1.Value
End Sub

Sub UpdateTabHeight()
    Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")
    Set SpinButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("SpinButton2")
    Set TabStrip1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TabStrip1")
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")

    TextBox2.Text = SpinButton2.Value
    TabStrip1.TabFixedHeight = SpinButton2.Value
    MultiPage1.TabFixedHeight = SpinButton2.Value
End Sub

Sub Item_Open()
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")
    Set SpinButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("SpinButton1")
    Set SpinButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("SpinButton2")
    Set TabStrip1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TabStrip1")
    Set MultiPage1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")
    Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")
    Set Label2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label2")

    MultiPage1.Style = 1        '1=fmTabStyleButtons

    Label1.Caption = "Tab Width"
    SpinButton1.Min = 0
    SpinButton1.Max = TabStrip1.Width / TabStrip1.Tabs.Count
    SpinButton1.Value = 0
    TextBox1.Locked = True

    UpdateTabWidth

    Label2.Caption = "Tab Height"
    SpinButton2.Min = 0
    SpinButton2.Max = TabStrip1.Height
    SpinButton2.Value = 0
    TextBox2.Locked = True

    UpdateTabHeight
End Sub

Sub Item_CustomPropertyChange(byval pname)
'msgbox pname
    If pname = "SpinButtonWidth" Then
        UpdateTabWidth
    ElseIf pname = "SpinButtonHeight" Then
        UpdateTabHeight
    End If
End Sub


Beispiel zur TabIndex-Eigenschaft

Das folgende Beispiel verwendet die TabIndex-Eigenschaft, um die Aktivierreihenfolge für bestimmte Steuerelemente anzuzeigen und festzulegen. Der Benutzer kann TAB drücken, um das nächste Steuerelement in der Aktivierreihenfolge zu aktivieren und den TabIndex dieses Steuerelements anzuzeigen. Außerdem kann der Benutzer auf ein beliebiges Steuerelement außer einem Textfeld- oder einem Bildlaufleiste-Steuerelement (TextBox, ScrollBar) klicken, um den TabIndex anzuzeigen. Der Benutzer hat die Möglichkeit, den TabIndex eines Steuerelements zu bearbeiten, indem er in dem Textfeld einen neuen Indexwert angibt und auf CommandButton3 klickt. Durch die Änderung des TabIndex für ein Steuerelement wird auch der TabIndex für andere Steuerelemente des Rahmen-Steuerelements (Frame) aktualisiert.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label1.

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1.

  • Ein Rahmen-Steuerelement (Frame) mit der Bezeichnung Frame1.

  • Ein Textfeld-Steuerelement (TextBox) im Rahmen mit der Bezeichnung TextBox2.

  • Zwei Befehlsschaltflächen-Steuerelemente (CommandButton) im Rahmen mit der Bezeichnung CommandButton1 und CommandButton2.

  • Ein Bildlaufleisten-Steuerelement (ScrollBar) im Rahmen mit der Bezeichnung ScrollBar1.

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) - nicht im Rahmen - mit der Bezeichnung CommandButton3.
Sub MoveToFront()
    Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Frame1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")

    Temp = Frame1.ActiveControl.TabIndex
    For i = 0 To Temp - 1
        Frame1.Controls.Item(i).TabIndex = i + 1
    Next

    Frame1.ActiveControl.TabIndex = 0
    TextBox1.Text = Frame1.ActiveControl.TabIndex
End Sub

Sub CommandButton3_Click()
    Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Frame1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")

    If IsNumeric(TextBox1.Text) Then
        Temp = CInt(TextBox1.Text)

        If Temp >= Frame1.Controls.Count Or Temp < 0 Then
            'Entry out of range; move control to front of tab order
            MoveToFront
        ElseIf Temp > Frame1.ActiveControl.TabIndex Then
            'Move entry down the list
            For i = Frame1.ActiveControl.TabIndex + 1 To Temp
                Frame1.Controls.Item(i).TabIndex = i - 1
            Next
            Frame1.ActiveControl.TabIndex = Temp
            TextBox1.Text = Frame1.ActiveControl.TabIndex
        Else
            'Move Entry up the list
            For i = Frame1.ActiveControl.TabIndex - 1 To Temp
                Frame1.Controls.Item(i).TabIndex = i + 1
            Next
            Frame1.ActiveControl.TabIndex = Temp
            TextBox1.Text = Frame1.ActiveControl.TabIndex
        End If
    Else
        'Text entry; move control to front of tab order
        MoveToFront
    End If
End Sub

Sub Item_Open()
    Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Frame1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")
    Set CommandButton3 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton3")

    Label1.Caption = "TabIndex"

    Frame1.Controls(0).SetFocus
    TextBox1.Text = Frame1.ActiveControl.TabIndex

    Frame1.Cycle = 2        '2=fmCycleCurrentForm

    CommandButton3.Caption = "Set TabIndex"
    CommandButton3.TakeFocusOnClick = False
End Sub

Sub CommandButton1_Click()
    Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Frame1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")

    TextBox1.Text = Frame1.ActiveControl.TabIndex
End Sub

Sub CommandButton2_Click()
    Set Frame1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Frame1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")

    TextBox1.Text = Frame1.ActiveControl.TabIndex
End Sub


Beispiel zur TabStop-Eigenschaft

Im folgenden Beispiel steuert die TabStop-Eigenschaft, ob der Benutzer TAB drücken kann, um den Fokus auf ein bestimmtes Steuerelement zu verschieben. Der Benutzer drückt TAB, um den Fokus in den Steuerelementen des Formulars zu bewegen, und klickt dann auf das Umschaltfeld, um die TabStop-Eigenschaft für CommandButton1 zu ändern. Wenn TabStop den Wert False besitzt, erhält CommandButton1 den Fokus nicht über Drücken von TAB.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) mit der Bezeichnung CommandButton1.

  • Ein Umschaltfeld mit der Bezeichnung ToggleButton1.

  • Ein oder zwei weitere Steuerelemente, wie zum Beispiel ein Optionsfeld- oder ein Listenfeld-Steuerelement (OptionButton, ListBox).
Sub CommandButton1_Click()
    MsgBox "Clicked CommandButton1."
End Sub

Sub ToggleButton1_Click()
    Dim CommandButton1
    Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")

    If ToggleButton1 = True Then
        CommandButton1.TabStop = True
        ToggleButton1.Caption = "TabStop On"
    Else
        CommandButton1.TabStop = False
        ToggleButton1.Caption = "TabStop Off"
    End If
End Sub

Sub Item_Open()
    Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")

    CommandButton1.Caption = "Show Message"

    ToggleButton1.Caption = "TabStop On"
    ToggleButton1.Value = True
    ToggleButton1.Width = 90
End Sub


Beispiel zur Tag-Eigenschaft

Im folgenden Beispiel speichert die Tag-Eigenschaft zusätzliche Informationen über die Steuerelemente im Benutzerformular. Der Benutzer klickt auf ein Steuerelement und dann auf die Befehlsschaltfläche. Der Inhalt von Tag für das entsprechende Steuerelement wird im Textfeld zurückgegeben.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1.

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) mit der Bezeichnung CommandButton1.

  • Ein Bildlaufleisten-Steuerelement (SrollBar) mit der Bezeichnung ScrollBar1.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit der Bezeichnung ComboBox1.

  • Eine Multiseiten-Steuerelement (MultiPage) mit der Bezeichnung MultiPage1.
Sub CommandButton1_Click()
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set MultiPage1= Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")

    TextBox1.Text = Item.GetInspector.ModifiedFormPages("P.2").ActiveControl.Tag
End Sub

Sub Item_Open()
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set CommandButton1= Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")
    Set ComboBox1= Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    Set ScrollBar1= Item.GetInspector.ModifiedFormPages("P.2").Controls("ScrollBar1")
    Set MultiPage1= Item.GetInspector.ModifiedFormPages("P.2").Controls("MultiPage1")

    TextBox1.Locked = True
    TextBox1.Tag = "Display area for Tag properties."
    TextBox1.AutoSize = True

    CommandButton1.Caption = "Show Tag of Current Control."
    CommandButton1.AutoSize = True
    CommandButton1.WordWrap = True
    CommandButton1.TakeFocusOnClick = False
    CommandButton1.Tag = "Shows tag of control that has the focus."

    ComboBox1.Style = fmStyleDropDownList
    ComboBox1.Tag = "ComboBox Style is that of a ListBox."

    ScrollBar1.Max = 100
    ScrollBar1.Min = -273
    ScrollBar1.Tag = "Max = " & ScrollBar1.Max & " , Min = " & ScrollBar1.Min

    MultiPage1.Pages.Add
    MultiPage1.Pages.Add
    MultiPage1.Tag = "This MultiPage has " & MultiPage1.Pages.Count & " pages."
End Sub


Beispiel zur TakeFocusOnClick-Eigenschaft

Im folgenden Beispiel steuert die TakeFocusOnClick-Eigenschaft, ob eine Befehlsschaltfläche den Fokus erhält, wenn der Benutzer darauf klickt. Der Benutzer klickt auf ein anderes Steuerelement als CommandButton1 und anschließend auf CommandButton1. Besitzt TakeFocusOnClick den Wert True, erhält CommandButton1 den Fokus, wenn darauf geklickt wird. Der Benutzer kann den Wert von TakeFocusOnClick durch Klicken auf das Umschaltfeld ändern.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Eine Befehlsschaltfläche mit der Bezeichnung CommandButton1.

  • Ein Umschaltfeld mit der Bezeichnung ToggleButton1.

  • Ein oder zwei andere Steuerelemente, wie zum Beispiel ein Optionsfeld- oder ein Listenfeld-Steuerelement (OptionButton, ListBox).
Sub CommandButton1_Click()
    MsgBox "Watch CommandButton1 to see if it takes the focus."
End Sub

Sub ToggleButton1_Click()
    Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")

    If ToggleButton1 = True Then
        CommandButton1.TakeFocusOnClick = True
        ToggleButton1.Caption = "TakeFocusOnClick On"
    Else
        CommandButton1.TakeFocusOnClick = False
        ToggleButton1.Caption = "TakeFocusOnClick Off"
    End If
End Sub

Sub Item_Open()
    Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")

    CommandButton1.Caption = "Show Message"

    ToggleButton1.Caption = "TakeFocusOnClick On"
    ToggleButton1.Value = True
    ToggleButton1.Width = 90
End Sub


Beispiel zur Tan-Funktion

Im folgenden Beispiel gibt die Tan-Funktion den Tangens des numerischen Feldes Angle zurück.

Tan([Angle])


Beispiel zur TextColumn-Eigenschaft

Das folgende Beispiel verwendet die TextColumn-Eigenschaft, um die Datenspalte in einem Listenfeld (ListBox) zu identifizieren, das Daten für die Text-Eigenschaften liefert. Dieses Beispiel richtet die dritte Spalte des Listenfeldes als Textspalte ein. Bei der Auswahl eines Eintrags in dem Listenfeld wird der Wert der TextColumn-Eigenschaft im Textfeld (TextBox) angezeigt.

Dieses Beispiel veranschaulicht außerdem, wie ein mehrspaltiges Listenfeld mit der AddItem-Methode und der List-Eigenschaft geladen wird.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Listenfeld mit der Bezeichnung ListBox1.

  • Ein Textfeld mit der Bezeichnung TextBox1.
Dim ListBox1
Dim TextBox1

Sub Item_Open()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("ListBox1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages.Item("P.2").Controls("TextBox1")

    ListBox1.ColumnCount = 3

    ListBox1.AddItem "Row 1, Col 1"
    ListBox1.List(0, 1) = "Row 1, Col 2"
    ListBox1.List(0, 2) = "Row 1, Col 3"

    ListBox1.AddItem "Row 2, Col 1"
    ListBox1.List(1, 1) = "Row 2, Col 2"
    ListBox1.List(1, 2) = "Row 2, Col 3"

    ListBox1.AddItem "Row 3, Col 1"
    ListBox1.List(2, 1) = "Row 3, Col 2"
    ListBox1.List(2, 2) = "Row 3, Col 3"

    ListBox1.TextColumn = 3

End Sub

Sub ListBox1_Click()
    TextBox1.Text = ListBox1.Text
End Sub


Beispiel zur Time-Funktion

Im folgenden Beispiel gibt die Time-Funktion die aktuelle Systemzeit zurück.

Time( )


Beispiel zur Timer-Funktion

Im folgenden Beispiel gibt die Timer-Funktion die Zahl der seit Mitternacht verstrichenen Sekunden zurück.

Timer( )


Beispiel zur TimeSerial-Funktion

Im folgenden Beispiel gibt die TimeSerial-Funktion eine Zeit für die Werte in den benutzerdefinierten Feldern Hour, Minute und Second zurück.

TimeSerial([Hour], [Minute], [Second])


Beispiel zur TimeValue-Funktion

Im folgenden Beispiel gibt die TimeValue-Funktion eine im Feld Other eingegebene Zeichenfolge als Zeit zurück.

TimeValue([Other])


Beispiel zur TopIndex-Eigenschaft

Das folgende Beispiel identifiziert das erste Element in einem Listenfeld-Steuerelement (ListBox) und das Element, das in dem Listenfeld den Fokus besitzt. Dieses Beispiel verwendet die TopIndex-Eigenschaft, um das erste Element im Listenfeld zu identifizieren, und die ListIndex-Eigenschaft, um das Element, das den Fokus hat, zu identifizieren. Der Benutzer wählt ein Element in dem Listenfeld aus. Die angezeigten Werte von TopIndex und ListIndex werden aktualisiert, wenn der Benutzer ein Element auswählt oder auf die Befehlsschaltfläche klickt.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label1.

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1.

  • Ein Bezeichnungsfeld-Steuerelement (Label) mit der Bezeichnung Label2.

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox2.

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) mit der Bezeichnung CommandButton1.

  • Ein Listenfeld-Steuerelement (ListBox) mit der Bezeichnung ListBox1, das an das Feld Subject gebunden ist.
Sub CommandButton1_Click()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")

    ListBox1.TopIndex = ListBox1.ListIndex
    TextBox1.Text = ListBox1.TopIndex
    TextBox2.Text = ListBox1.ListIndex
End Sub

Sub Item_PropertyChange(byval pname)
    if pname = "Subject" then
        Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
        Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")
        Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")

        TextBox1.Text = ListBox1.TopIndex
        TextBox2.Text = ListBox1.ListIndex
    end if
End Sub

Sub Item_Open()
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")
    Set Label1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label1")
    Set Label2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("Label2")

    For i = 0 To 24
        ListBox1.AddItem "Choice " & (i + 1)
    Next
    ListBox1.Height = 66
    CommandButton1.Caption = "Move to top of list"
    CommandButton1.AutoSize = True
    CommandButton1.TakeFocusOnClick = False

    Label1.Caption = "Index of top item"
    TextBox1.Text = ListBox1.TopIndex

    Label2.Caption = "Index of current item"
    Label2.AutoSize = True
    Label2.WordWrap = False
    TextBox2.Text = ListBox1.ListIndex
End Sub


 Beispiel zur TripleState-Eigenschaft

Beispiel zur TripleState-Eigenschaft

Das folgende Beispiel verwendet die TripleState-Eigenschaft, um Null als Wert für ein Kontrollkästchen- und ein Umschaltfeld-Steuerelement (CheckBox, ToggleButton) zuzulassen. Der Benutzer steuert den Wert von TripleState über ToggleButton2. Der Wert eines Kontrollkästchens oder eines Umschaltfelds wird auf der Grundlage von TripleState festgelegt. Wenn jedoch ein Steuerelement auf Null festgelegt ist, wird kein Ereignis ausgelöst.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Kontrollkästchen-Steuerelement (CheckBox) mit der Bezeichnung CheckBox1.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit der Bezeichnung ToggleButton1.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit der Bezeichnung ToggleButton2.
Sub Item_Open()
    Set CheckBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CheckBox1")
    Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")
    Set ToggleButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton2")

    CheckBox1.Caption = "Value is True"
    CheckBox1.Value = True
    CheckBox1.TripleState = False

    ToggleButton1.Caption = "Value is True"
    ToggleButton1.Value = True
    ToggleButton1.TripleState = False

    ToggleButton2.Value = False
    ToggleButton2.Caption = "Triple State Off"
End Sub

Sub ToggleButton2_Click()
    Set CheckBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CheckBox1")
    Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")
    Set ToggleButton2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton2")

    If ToggleButton2.Value = True Then
        ToggleButton2.Caption = "Triple State On"
        CheckBox1.TripleState = True
        ToggleButton1.TripleState = True
    Else
        ToggleButton2.Caption = "Triple State Off"
        CheckBox1.TripleState = False
        ToggleButton1.TripleState = False
    End If
End Sub

Sub CheckBox1_Click()
    Set CheckBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CheckBox1")
    If IsNull(CheckBox1.Value) Then
        CheckBox1.Caption = "Value is Null"
    ElseIf CheckBox1.Value = False Then
        CheckBox1.Caption = "Value is False"
    ElseIf CheckBox1.Value = True Then
        CheckBox1.Caption = "Value is True"
    End If
End Sub

Sub ToggleButton1_Click()
    Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")
    If IsNull(ToggleButton1.Value) Then
        ToggleButton1.Caption = "Value is Null"
    ElseIf ToggleButton1.Value = False Then
        ToggleButton1.Caption = "Value is False"
    ElseIf ToggleButton1.Value = True Then
        ToggleButton1.Caption = "Value is True"
    End If
End Sub


Beispiel zur Ucase-Funktion

Das folgende Beispiel gibt Großbuchstaben für das Feld Subject zurück.

Feld "Subject" | Funktionsrückgabe
Internationaler Verkauf | INTERNATIONALER VERKAUF
Marketingstrategie | MARKETINGSTRATEGIE

UCase([Subject])


Beispiel zur Val-Funktion

Im folgenden Beispiel gibt die Val-Funktion die Zahlen im Feld String zurück.

Feld "String" | Funktions- rückgabe
"2457" | 2457
"2 45 7" | 2457
"24 und 57" | 24

Val([String])


Beispiel zur Value-Eigenschaft

Das folgende Beispiel zeigt die Werte auf, die die verschiedenen Steuerelementtypen besitzen können, indem die Value-Eigenschaft des ausgewählten Steuerelements angezeigt wird. Der Benutzer wählt ein Steuerelement durch Drücken von TAB oder durch Klicken auf das Steuerelement. In Abhängigkeit vom Steuerelementtyp kann der Benutzer außerdem einen Wert für das Steuerelement angeben, indem er im Textbereich des Steuerelements Text eingibt, einmal oder mehrmals auf das Steuerelement klickt oder ein Element, eine Seite oder eine Registerkarte des Steuerelements auswählt. Durch Klicken auf die entsprechend beschriftete Befehlsschaltfläche wird der Wert des ausgewählten Steuerelements angezeigt.

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Ein Befehlsschaltflächen-Steuerelement (CommandButton) mit der Bezeichnung CommandButton1.

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox1.

  • Ein Kontrollkästchen-Steuerelement (CheckBox) mit der Bezeichnung CheckBox1.

  • Ein Kombinationsfeld-Steuerelement (ComboBox) mit der Bezeichnung ComboBox1.

  • Eine Befehlsschaltfläche mit der Bezeichnung CommandButton2.

  • Ein Listenfeld-Steuerelement (ListBox) mit der Bezeichnung ListBox1.

  • Ein Multiseiten-Steuerelement (MultiPage) mit der Bezeichnung MultiPage1.

  • Zwei Optionsfeld-Steuerelemente (OptionButton) mit der Bezeichnung OptionButton1 und OptionButton2.

  • Ein Bildlaufleisten-Steuerelement (ScrollBar) mit der Bezeichnung ScrollBar1.

  • Ein Drehfeld-Steuerelement (SpinBox) mit der Bezeichnung SpinButton1.

  • Ein Register-Steuerelement (TabStrip) mit der Bezeichnung TabStrip1.

  • Ein Textfeld-Steuerelement (TextBox) mit der Bezeichnung TextBox2.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit der Bezeichnung ToggleButton1.
Sub CommandButton1_Click()
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set Form = Item.GetInspector.ModifiedFormPages("P.2")
     TextBox1.Text = "Value of " & Form.ActiveControl.Name & " is " &     Form.ActiveControl.Value
End Sub

Sub Item_Open()
    Set CommandButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CommandButton1")
    Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox1")
    Set ComboBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ComboBox1")
    Set ListBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ListBox1")
    Set CheckBox1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("CheckBox1")
    Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").Controls("ToggleButton1")
    Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").Controls("TextBox2")

    CommandButton1.Caption = "Get value of current control"
    CommandButton1.AutoSize = True
    CommandButton1.TakeFocusOnClick = False
    CommandButton1.TabStop = False

    TextBox1.AutoSize = True

    For i = 0 To 10
        ComboBox1.AddItem "Choice " & (i + 1)
        ListBox1.AddItem "Selection " & (100 - i)
    Next

    CheckBox1.TripleState = True
    ToggleButton1.TripleState = True

    TextBox2.Text = "Enter text here."
End Sub


Beispiel zur Weekday-Funktion

Im folgenden Beispiel ruft die Weekday-Funktion den Wochentag im Feld Received ab.

Weekday([Received])


Beispiel zur Year-Funktion

Im folgenden Beispiel gibt die Year-Funktion das Jahr im Feld Received zurück.

Year([Received])


Beispiel zur ZOrder-Methode

Das folgende Beispiel legt die Z-Reihenfolge eines Textfeldes (TextBox) fest, damit der Benutzer das gesamte Textfeld anzeigen (durch Verschieben an den Anfang der Z-Reihenfolge) oder das Textfeld hinter andere Steuerelemente verschieben kann (durch Verschieben an das Ende der Z-Reihenfolge).

Kopieren Sie diesen Beispielcode in den Skript-Editor eines Formulars. Zum Ausführen des Codes müssen Sie das Formular öffnen, damit das Open-Ereignis aktiviert wird. Vergewissern Sie sich, dass das Formular folgende Komponenten aufweist:

  • Drei Textfeld-Steuerelemente (TextBox) mit der Bezeichnung TextBox1 bis TextBox3.

  • Ein Umschaltfeld-Steuerelement (ToggleButton) mit der Bezeichnung ToggleButton1.
Dim ToggleButton1
Dim TextBox1
Dim TextBox2
Dim TextBox3

Sub Item_Open()
Set TextBox1 = Item.GetInspector.ModifiedFormPages("P.2").TextBox1
Set TextBox2 = Item.GetInspector.ModifiedFormPages("P.2").TextBox2
Set TextBox3 = Item.GetInspector.ModifiedFormPages("P.2").TextBox3
Set ToggleButton1 = Item.GetInspector.ModifiedFormPages("P.2").ToggleButton1

'Set up text boxes to show z-order in the form
TextBox1.Text = "TextBox 1"
TextBox2.Text = "TextBox 2"
TextBox3.Text = "TextBox 3"

TextBox1.Height = 40
TextBox2.Height = 40
TextBox3.Height = 40

TextBox1.Width = 60
TextBox2.Width = 60
TextBox3.Width = 60

TextBox1.Left = 10
TextBox1.Top = 10

TextBox2.Left = 25      'Overlap TextBox2 on TextBox1
TextBox2.Top = 25

TextBox3.Left = 40      'Overlap TextBox3 on TextBox2, TextBox1
TextBox3.Top = 40

ToggleButton1.Value = False
ToggleButton1.Caption = "Bring TextBox2 to Front"
ToggleButton1.Left = 10
ToggleButton1.Top = 90
ToggleButton1.Width = 50
ToggleButton1.Height = 50

End Sub

Sub ToggleButton1_Click()
If ToggleButton1.Value = True Then
  TextBox2.ZOrder (fmTop)          'Place TextBox2 on Top of z-order

  'Update ToggleButton caption to identify next state
  ToggleButton1.Caption = "Send TextBox2 to back"
Else
    TextBox2.ZOrder (1)              'Place TextBox2 on Bottom of z-order

    'Update ToggleButton caption to identify next state
    ToggleButton1.Caption = "Bring TextBox2 to front"
End If
End Sub


 Abs-Funktion

Abs-Funktion

Gibt einen Wert desselben Typs zurück, der übergeben wurde, und bezeichnet den absoluten Wert einer Zahl.

Syntax

Abs(number)

Das erforderliche Argument number kann ein beliebiger gültiger numerischer Ausdruck sein. Wenn number Null enthält, wird Null zurückgegeben.

Bemerkungen

Der absolute Wert einer Zahl ist die Zahl ohne Vorzeichen. Zum Beispiel geben ABS(-1) und ABS(1) beide 1 zurück.


 Asc-Funktion

Asc-Funktion

Gibt einen Wert vom Typ Integer für den Zeichencode des ersten Buchstabens einer Zeichenfolge zurück.

Syntax

Asc(string)

Das erforderliche Argument string ist ein beliebiger Zeichenfolgenausdruck. Wenn string keine Zeichen enthält, tritt ein Laufzeitfehler auf.

Bemerkungen

Der Rückgabewertbereich liegt für andere als DBCS-Systeme zwischen 0 und 255 und für DBCS-Systeme zwischen -32768 und 32767.

Anmerkung Die AscW-Funktion gibt den Zeichencode des Systems zurück (ANSI für Windows 95, Unicode für Windows NT).


 Atn-Funktion

Atn-Funktion

Gibt einen Wert vom Typ Double für den Arkustangens einer Zahl zurück.

Syntax

Atn(number)

Das erforderliche Argument number ist ein Wert vom Typ Double oder ein beliebiger numerischer Ausdruck.

Hinweise

Die Atn-Funktion legt das Verhältnis der beiden Seiten eines rechtwinkligen Dreiecks (number) zugrunde und gibt den entsprechenden Winkel in Rad zurück. Das Verhältnis ergibt sich aus der Länge der dem Winkel gegenüberliegenden Seite geteilt durch die Länge der Seite, die an den Winkel angrenzt.

Das Ergebnis liegt zwischen - Pi/2 und Pi/2 Rad.

Um Grad in Rad zu konvertieren, multiplizieren Sie den Gradwert mit Pi/180. Um Rad in Grad zu konvertieren, multiplizieren Sie Rad mit 180/Pi.

Anmerkung Atn ist die umgekehrte trigonometrische Funktion zu Tan, die einen Winkel als Argument zugrunde legt und das Verhältnis der beiden Seiten eines rechtwinkligen Dreiecks zurückgibt. Verwechseln Sie Atn nicht mit dem Kotangens, der die einfache Umkehrung des Tangens ist (1/Tangens).


 Choose-Funktion

Choose-Funktion

Wählt aus einer Liste mit Argumenten einen Wert aus und gibt den Wert zurück.

Syntax

Choose(Index, Option-1[,Option-2, ... [,Option-n]])

Die Syntax der Choose-Funktion besitzt die folgenden Argumente:

Argument | Beschreibung
Index | Erforderlich. Numerischer Ausdruck oder ein Feld, das einen Wert zwischen 1 und der Anzahl der verfügbaren Optionen ergibt.
Option | Erforderlich. Variant-Ausdruck mit einer der möglichen Optionen.

Bemerkungen

Choose gibt auf der Grundlage von Index einen Wert aus der Optionsliste zurück. Wenn Index gleich 1 ist, gibt Choose die erste Option aus der Liste zurück; wenn Index gleich 2 ist, wird die zweite Option zurückgegeben usw.

Unter Verwendung von Choose haben Sie die Möglichkeit, aus einer Liste mit Optionen einen Wert auszuwerten. Wenn zum Beispiel Index den Wert 3 ergibt und Option-1 = "eins", Option-2 = "zwei" und Option-3 = "drei" gilt, gibt Choose "drei" zurück.

Choose wertet alle Optionen in der Liste aus, selbst wenn nur eine zurückgegeben wird. Aus diesem Grund sollten Sie unerwünschte Nebeneffekte berücksichtigen. Wenn zum Beispiel die Auswertung eines Ausdrucks einen durch eine Division durch Null verursachten Fehler verursacht, wird ein Fehler gemeldet.

Die Choose-Funktion gibt Null zurück, wenn Index niedriger als 1 oder größer als die Anzahl der aufgelisteten Optionen ist.

Wenn Index keine ganze Zahl ist, wird diese Zahl vor der Auswertung auf die nächste ganze Zahl abgerundet.


 Chr-Funktion

Chr-Funktion

Gibt einen Wert vom Typ String mit dem Zeichen für den angegebenen Zeichencode zurück.

Syntax

Chr(charcode)

Das erforderliche Argument charcode ist ein Wert vom Typ Long, der für ein Zeichen steht.

Bemerkungen

Die Zahlen zwischen 0 und 31 stehen für die standardmäßigen nichtdruckbaren ASCII-Zeichen. Zum Beispiel gibt Chr(10) ein Zeilenvorschubzeichen zurück. Der Standardbereich für charcode liegt zwischen 0 und 255. Bei DBCS-Systemen liegt der tatsächliche Bereich für charcode zwischen - 32768 und 65536.

Anmerkung Die ChrW-Funktion gibt eine Zeichenfolge mit dem Zeichen im Format des Betriebssystems zurück (ANSI für Windows 95, Unicode für Windows NT).


 Cos-Funktion

Cos-Funktion

Gibt einen Wert vom Typ Double mit dem Kosinus eines Winkels zurück.

Syntax

Cos(number)

Das erforderliche Argument number ist ein Wert vom Typ Double oder ein beliebiger gültiger numerischer Ausdruck, der einen Winkel in Rad ausdrückt.

Bemerkungen

Die Cos-Funktion legt einen Winkel zugrunde und gibt das Verhältnis der beiden Seiten eines rechtwinkligen Dreiecks zurück. Das Verhältnis ergibt sich aus der Länge der dem Winkel gegenüberliegenden Seite geteilt durch die Länge der Hypotenuse.

Das Ergebnis liegt im Bereich zwischen -1 und 1.

Um Grad in Rad zu konvertieren, multiplizieren Sie den Gradwert mit Pi/180. Um Rad in Grad zu konvertieren, multiplizieren Sie den Rad-Wert mit 180/Pi.


Date-Funktion

Gibt einen Wert vom Typ Variant (Date) mit dem aktuellen Systemdatum zurück.

Syntax

Date( )


 DateAdd-Funktion

DateAdd-Funktion

Gibt einen Wert vom Typ Variant (Date) mit einem Datum zurück, zu dem ein bestimmtes Zeitintervall addiert wurde.

Syntax

DateAdd(interval, number, date)

Die Syntax der DateAdd-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
interval | Erforderlich. Zeichenfolgenausdruck für das Zeitintervall, das Sie hinzuaddieren möchten.
number | Erforderlich. Numerischer Ausdruck für die Anzahl der Intervalle, die Sie hinzufügen möchten. Es sind positive (für Datumsangaben in der Zukunft) oder negative (für Datumsangaben in der Vergangenheit) Werte möglich.
date | Erforderlich. Variant (Date) oder Literal für das Datum, zu dem das Zeitintervall addiert wird.

Einstellungen

Das Argument interval besitzt die folgenden Einstellungen:

Einstellung | Beschreibung
yyyy | Jahr
q | Quartal
m | Monat
y | Tag des Jahres
d | Tag
w | Wochentag
ww | Woche
h | Stunde
n | Minute
s | Sekunde

Bemerkungen

Verwenden Sie die DateAdd-Funktion, um zu einem Datum ein Zeitintervall zu addieren oder von diesem zu subtrahieren. Berechnen Sie zum Beispiel mit DateAdd das Datum in 30 Tagen von heute oder den Zeitpunkt in 45 Minuten von jetzt an gerechnet.

Um zu date Tage zu addieren, können Sie den Tag des Jahres ("y"), den Tag ("d") oder den Wochentag ("w") verwenden.

Die DateAdd-Funktion gibt keine ungültigen Datumsangaben zurück. Im folgenden Beispiel wird zum 31. Januar ein Monat addiert:

DateAdd("m", 1, "31-Jan-95")

In diesem Fall gibt DateAdd 28-Feb-95 und nicht 31-Feb-95 zurück. Wenn date gleich 31-Jan-96 ist, wird 29-Feb-96 zurückgegeben, weil es sich bei 1996 um ein Schaltjahr handelt.

Liegt das berechnete Datum um mehr als 100 Jahre zurück (das heißt, Sie subtrahieren mehr Jahre als in date enthalten), wird ein Fehler gemeldet.

Wenn number kein Wert vom Typ Long ist, wird diese Zahl vor der Auswertung auf die nächste ganze Zahl gerundet.


 DateDiff-Funktion

DateDiff-Funktion

Gibt einen Wert vom Typ Variant (Long) mit der Anzahl der Zeitintervalle zwischen zwei Datumsangaben zurück.

Syntax

DateDiff(interval, date1, date2[, firstdayofweek[, firstweekofyear]])

Die Syntax der DateDiff-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
interval | Erforderlich. Zeichenfolgenausdruck für das Zeitintervall zur Berechnung des Unterschiedes zwischen date1 und date2.
date1, date2 | Erforderlich; Variant (Date). Zwei Datumsangaben, die Sie für die Berechnung verwenden möchten.
firstdayofweek | Optional. Der erste Tage der Woche. Erfolgt keine Angabe, wird Sonntag vorausgesetzt.
firstweekofyear | Optional. Die erste Woche des Jahres. Erfolgt keine Angabe, wird die Woche, in die der 1. Januar fällt, als erste Woche vorausgesetzt.

Einstellungen

Das Argument interval besitzt die folgenden Einstellungen:

Einstellung | Beschreibung
yyyy | Jahr
q | Quartal
m | Monat
y | Tag des Jahres
d | Tag
w | Wochentag
ww | Woche
h | Stunde
n | Minute
s | Sekunde

Das Argument firstdayofweek besitzt die folgenden Einstellungen:

Wert | Beschreibung
0 | NLS-API-Einstellung verwenden.
1 | Sonntag (Vorgabe)
2 | Montag
3 | Dienstag
4 | Mittwoch
5 | Donnerstag
6 | Freitag
7 | Samstag

Das Argument firstweekofyear besitzt die folgenden Einstellungen:

Wert | Beschreibung
0 | NLS-API-Einstellung verwenden.
1 | Mit der Woche beginnen, in die der 1. Januar fällt (Vorgabe).
2 | Mit der ersten Woche beginnen, von der mindestens vier Tage in das neue Jahr fallen.
3 | Mit der ersten ganzen Woche des Jahres beginnen.

Bemerkungen

Verwenden Sie die DateDiff-Funktion, um die Anzahl der Zeitintervalle zwischen zwei Datumsangaben festzustellen. Berechnen Sie mit DateDiff zum Beispiel die Anzahl der Tage zwischen zwei Datumsangaben oder die Anzahl der Wochen zwischen heute und dem Jahresende.

Um die Anzahl der Tage zwischen date1 und date2 zu berechnen, verwenden Sie den Tag des Jahres ("y") oder den Tag ("d"). Wenn interval ein Wochentag ("w") ist, gibt DateDiff die Anzahl der Wochen zwischen den beiden Datumsangaben zurück. Fällt date1 auf einen Montag, zählt DateDiff die Anzahl der Montage bis date2. date2 wird gezählt, date1 dagegen nicht. Wenn interval jedoch eine Woche ("ww") bezeichnet, gibt die DateDiff-Funktion die Anzahl der Kalenderwochen zwischen den beiden Datumsangaben zurück. Es werden die Sonntage zwischen date1 und date2 gezählt. DateDiff zählt date2, falls es auf einen Sonntag fällt; date1 wird dagegen nicht gezählt, selbst wenn es auf einen Sonntag fällt.

Bezieht sich date1 auf einen späteren Zeitpunkt als date2, gibt die DateDiff-Funktion eine negative Zahl zurück.

Das Argument firstdayofweek betrifft Berechnungen, bei denen die Intervallsymbole "w" und "ww" verwendet werden.

Handelt es sich bei Datum um ein Datumsliteral, wird das angegebene Jahr zum festen Bestandteil dieses Datums. Wenn date jedoch in doppelten Anführungszeichen (" ") steht und das Jahr ausgelassen wird, wird zur Auswertung des Ausdrucks date das aktuelle Jahr verwendet. Auf diese Weise erstellen Sie Formeln, die für verschiedene Jahre eingesetzt werden können.

Beim Vergleich des 31. Dezembers mit dem 1. Januar des unmittelbar folgenden Jahres gibt DateDiff für das Jahr ("yyyy") den Wert 1 zurück, obwohl nur ein Tag verstrichen ist.


 DatePart-Funktion

DatePart-Funktion

Gibt einen Wert vom Typ Variant (Integer) mit dem angegebenen Teil eines bestimmten Datums zurück.

Syntax

DatePart(interval, date[,firstdayofweek[, firstweekofyear]])

Die DatePart-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
interval | Erforderlich. Zeichenfolgenausdruck für das gewünschte Zeitintervall.
date | Erforderlich. Wert vom Typ Variant (Date), der ausgewertet werden soll.
firstdayofweek | Optional. Der erste Tage der Woche. Erfolgt keine Angabe, wird Sonntag vorausgesetzt.
firstweekofyear | Optional. Die erste Woche des Jahres. Erfolgt keine Angabe, wird die Woche, in die der 1. Januar fällt, als erste Woche vorausgesetzt.

Einstellungen

Das Argument interval besitzt die folgenden Einstellungen:

Einstellung | Beschreibung
yyyy | Jahr
q | Quartal
m | Monat
y | Tag des Jahres
d | Tag
w | Wochentag
ww | Woche
h | Stunde
n | Minute
s | Sekunde

Das Argument firstdayofweek besitzt die folgenden Einstellungen:

Wert | Beschreibung
0 | NLS-API-Einstellung verwenden.
1 | Sonntag (Vorgabe)
2 | Montag
3 | Dienstag
4 | Mittwoch
5 | Donnerstag
6 | Freitag
7 | Samstag

Das Argument firstweekofyear besitzt die folgenden Einstellungen:

Wert | Beschreibung
0 | NLS-API-Einstellung verwenden.
1 | Mit der Woche beginnen, in die der 1. Januar fällt (Vorgabe).
2 | Mit der ersten Woche beginnen, von der mindestens vier Tage in das neue Jahr fallen.
3 | Mit der ersten ganzen Woche des Jahres beginnen.

Bemerkungen

Verwenden Sie die DatePart-Funktion, um ein Datum auszuwerten und ein bestimmtes Zeitintervall zurückzugeben. Berechnen Sie mit DatePart zum Beispiel den Wochentag oder die aktuelle Stunde.

Das Argument firstdayofweek betrifft Berechnungen, bei denen die Intervallsymbole "w" und "ww" verwendet werden.

Handelt es sich bei date um ein Datumsliteral, wird das angegebene Jahr zum festen Bestandteil dieses Datums. Wenn Datum jedoch in doppelten Anführungszeichen (" ") steht und das Jahr ausgelassen wird, wird zur Auswertung des Ausdrucks date das aktuelle Jahr verwendet. Auf diese Weise erstellen Sie Formeln, die für verschiedene Jahre eingesetzt werden können.


 DateSerial-Funktion

DateSerial-Funktion

Gibt einen Wert vom Typ Variant (Date) für ein bestimmtes Jahr, einen bestimmten Monat oder einen bestimmten Tag zurück.

Syntax

DateSerial(year, month, day)

Die Syntax der DateSerial-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
year | Erforderlich; Integer. Eine Zahl zwischen 100 und 9999 einschließlich oder ein numerischer Ausdruck.
month | Erforderlich; Integer. Ein beliebiger numerischer Ausdruck.
day | Erforderlich; Integer. Ein beliebiger numerischer Ausdruck.

Bemerkungen

Zur Angabe eines Datums, wie zum Beispiel 31. Dezember 1991, sollten die Zahlen für die DateSerial-Argumente innerhalb des entsprechenden zulässigen Bereichs liegen; das heißt, 1 - 31 für Tage und 1 - 12 für Monate. Sie können jedoch auch relative Datumsangaben für die Argumente angeben, indem Sie einen beliebigen numerischen Ausdruck verwenden, der die Anzahl der Tage, Monate oder Jahre vor oder nach einem bestimmten Datum repräsentiert.

Im folgenden Beispiel werden statt absoluten Datumsangaben numerische Ausdrücke verwendet. Die DateSerial-Funktion gibt in diesem Fall das Datum für den Tag vor dem ersten Tag (1 - 1), zwei Monate vor August (8 - 2) und 10 Jahre vor 1990 (1990 - 10) zurück; das heißt, Mai 31, 1980.

DateSerial(1990 - 10, 8 - 2, 1 - 1)

Für das Argument year werden Werte zwischen 0 und 99 einschließlich als die Jahre 1900 - 1999 interpretiert. Verwenden Sie für alle anderen year-Argumente eine vierstellige Jahreszahl (zum Beispiel 1800).

Sollte ein Argument den zulässigen Bereich für das Argument überschreiten, wird entsprechend zur übergeordneten Einheit gewechselt. Wenn Sie zum Beispiel 35 Tage eingeben, wird dieser Wert als ein Monat und einige Tage ausgewertet, je nachdem, welcher Abschnitt des Jahres verwendet wird. Sollte ein Argument außerhalb des Bereichs -32.768 bis 32.767 liegen, wird ein Fehler gemeldet. Wenn das Datum der drei Argumente außerhalb des zulässigen Datenbereichs liegt, wird ebenfalls ein Fehler gemeldet.


 DateValue-Funktion

DateValue-Funktion

Gibt einen Wert vom Typ Variant (Date) zurück.

Syntax

DateValue(date)

Das erforderliche Argument date ist normalerweise ein Zeichenfolgenausdruck, der ein Datum zwischen den 1. Januar 100 und dem 31. Dezember 9999 darstellt. Allerdings kann date auch ein beliebiger Ausdruck sein, der ein Datum und/oder eine Uhrzeit innerhalb dieses Bereichs darstellt.

Hinweise

Wenn date eine nur aus Zahlen bestehende Zeichenfolge ist, die durch gültige Datumstrennzeichen voneinander getrennt sind, erkennt DateValue die Reihenfolge für Tag, Monat und Jahr anhand des kurzen Datumsformats, das Sie in der Systemsteuerung angegeben haben. DateValue erkennt außerdem eindeutige Datumsangaben, die einen (ausgeschriebenen oder abgekürzten) Monatsnamen enthalten. Abgesehen von 30.12.1991 und 30.12.91 erkennt DateValue also auch 30. Dezember 1991 und 30. Dez. 1991.

Wenn die Jahresangabe bei date ausgelassen wird, verwendet DateValue das Jahr aus dem aktuellen Systemdatum.

Enthält das Argument date eine Uhrzeit, wird diese von DateValue nicht zurückgegeben. Falls date jedoch ungültige Zeitangaben enthält (beispielsweise "89:98"), tritt ein Fehler auf.

Sie können in Outlook ein Datums-/Uhrzeitfeld verwenden, wenn ein Datum, das als Beschreibung eingegeben wurde, in ein Standarddatumsformat konvertiert werden soll.


 Day-Funktion

Day-Funktion

Gibt einen Wert vom Typ Variant (Integer) für eine ganze Zahl zwischen 1 und 31 einschließlich zurück, die den Monat des Jahres darstellt.

Syntax

Day(date)

Das erforderliche Argument date ist ein beliebiger Wert vom Typ Variant, ein numerischer Ausdruck, ein Zeichenfolgenausdruck oder eine Kombination, die ein Datum darstellen kann. Wenn date Null enthält, wird Null zurückgegeben.


 DDB-Funktion

DDB-Funktion

Gibt einen Wert vom Typ Double zurück, der die Abschreibung eines Vermögenswertes über einen bestimmten Zeitraum mit Hilfe der geometrisch degressiven Abschreibungsmethode oder einer anderen Methode angibt.

Syntax

DDB(cost, salvage, life, period[, factor])

Die DDB-Funktion enthält die folgenden benannten Argumente:

Argument | Beschreibung
cost | Erforderlich. Double zur Angabe der Anschaffungskosten des Vermögenswertes.
salvage | Erforderlich. Double zur Angabe des Wertes des Vermögenswertes am Ende der Nutzungsdauer.
life | Erforderlich. Double zur Angabe der Nutzungsdauer des Vermögenswertes.
period | Erforderlich. Double zur Angabe des Zeitraums, für den die Abschreibung des Vermögenswertes berechnet wird.
factor | Optional. Variant zur Angabe des Abschreibungsfaktors. Erfolgt keine Angabe, wird 2 (geometrisch degressive Abschreibungsmethode) vorausgesetzt.

Hinweise

Die geometrisch degressive Abschreibungsmethode berechnet die Abschreibung mit einem beschleunigten Faktor. Die Abschreibung ist am Anfang am höchsten und nimmt dann allmählich ab.

Die Argumente life und period müssen in derselben Einheit angegeben werden. Wenn z. B. life in Monaten angegeben wird, muss auch period in Monaten angegeben werden. Für alle Argumente müssen positive Zahlen eingegeben werden.

Die DDB-Funktion verwendet die folgende Formel, um die Abschreibung für einen bestimmten Zeitraum zu berechnen:

Abschreibung über Periode = ((AnschWert – Restwert) * Faktor) / Nutzungsdauer


 Verschiedene Formate für verschiedene numerische Werte (Format-Funktion)

Verschiedene Formate für verschiedene numerische Werte (Format-Funktion)

Ein benutzerdefinierter Formatausdruck für Zahlen kann zwischen ein und vier durch Semikolons getrennte Abschnitte aufweisen (wenn das Argument Format eines der benannten numerischen Formate aufweist, ist nur ein Abschnitt zulässig).

Verwendete Abschnitte | Ergebnis
Nur ein Abschnitt | Der Formatausdruck gilt für alle Werte.
Zwei Abschnitte | Der erste Abschnitt gilt für alle positiven Werte und Nullen, der zweite Abschnitt für negative Werte.
Drei Abschnitte | Der erste Abschnitt gilt für positive Werte, der zweite für negative Werte und der dritte für Nullen.
Vier Abschnitte | Der erste Abschnitt gilt für positive Werte, der zweite für negative Werte, der dritte für Nullen und der vierte für Null-Werte.

Das folgende Beispiel besitzt zwei Abschnitte: Der erste definierte das Format für positive Werte und Nullen; der zweite Abschnitt definiert das Format für negative Werte.

"$#,##0;($#,##0)"

Wenn Sie Semikolons ohne Zeichen dazwischen einfügen, wird der fehlende Abschnitt mit dem Format des positiven Wertes ausgegeben. Zum Beispiel zeigt das folgende Format positive und negative Werte mit dem Format im ersten Abschnitt an und gibt "Null" aus, wenn der Wert gleich Null ist.

"$#,##0;;\Z\e\r\o"


 Verschiedene Formate für verschiedene Zeichenfolgenwerte (Format-Funktion)

Verschiedene Formate für verschiedene Zeichenfolgenwerte (Format-Funktion)

Ein Formatausdruck für Zeichenfolgen kann einen Abschnitt oder zwei durch ein Semikolon getrennte Abschnitte aufweisen.

Verwendete Abschnitte | Ergebnis
Nur ein Abschnitt | Das Format gilt für alle Zeichenfolgendaten.
Zwei Abschnitte | Der erste Abschnitt gilt für Zeichenfolgendaten, der zweite für Null-Werte und Zeichenfolgen der Länge Null ("").


 Exp-Funktion

Exp-Funktion

Gibt einen Wert vom Typ Double für e (die Basis des natürlichen Logarithmus) potenziert mit einem Wert zurück.

Syntax

Exp(number)

Das erforderliche Argument number ist ein Wert vom Typ Double oder ein beliebiger gültiger numerischer Ausdruck.

Bemerkungen

Wenn der Wert von number 709,782712893 überschreitet, tritt ein Fehler auf. Die Konstante e entspricht ungefähr 2,718282.

Anmerkung Die Exp-Funktion ist das Gegenstück zu der Log-Funktion und wird manchmal auch als Antilogarithmus bezeichnet.


 Int-, Fix-Funktion

Int-, Fix-Funktion

Gibt einen Wert des übergebenen Typs mit der Ganzzahl des Zahlenwertes zurück.

Syntax

Int(number)

Fix(number)

Das erforderliche Argument number ist ein Wert vom Typ Double oder ein beliebiger gültiger numerischer Ausdruck. Wenn number Null enthält, wird Null zurückgegeben.

Bemerkungen

Sowohl Int als auch Fix entfernen die Stellen nach dem Komma von number, und geben den ganzzahligen Wert zurück.

Der Unterschied zwischen Int und Fix besteht darin, dass Int die erste negative ganze Zahl zurückgibt, die kleiner oder gleich number ist, wenn es sich bei number um eine negative Zahl handelt. Fix dagegen gibt die erste ganze Zahl zurück, die größer oder gleich number ist. Zum Beispiel konvertiert Int -8,4 in -9 und Fix in -8.

Fix(number) ist gleichbedeutend mit:

Sgn(number) * Int(Abs(number))


 Format-Funktion

Format-Funktion

Gibt einen Wert vom Typ Variant (String) mit einem Ausdruck zurück, der gemäß den Anweisungen in einem Formatausdruck formatiert ist.

Syntax

Format(expression[, format[, firstdayofweek[, firstweekofyear]]])

Die Syntax der Format-Funktion besitzt die folgenden Argumente:

Argument | Beschreibung
expression | Erforderlich. Ein beliebiger Ausdruck.
format | Optional. Ein gültiger benannter oder benutzerdefinierter Formatausdruck.
firstdayofweek | Optional. Gibt den ersten Tag der Woche an.
firstweekofyear | Optional. Gibt die erste Woche des Jahres an.

Einstellungen

Das Argument firstdayofweek besitzt die folgenden Einstellungen:

Wert | Beschreibung
0 | NLS-API-Einstellung verwenden.
1 | Sonntag (Vorgabe)
2 | Montag
3 | Dienstag
4 | Mittwoch
5 | Donnerstag
6 | Freitag
7 | Samstag

Das Argument firstweekofyear besitzt die folgenden Einstellungen:

Wert | Beschreibung
0 | NLS-API-Einstellung verwenden.
1 | Mit der Woche beginnen, in die der 1. Januar fällt (Vorgabe).
2 | Mit der ersten Woche beginnen, von der mindestens vier Tage in das neue Jahr fallen.
3 | Mit der ersten ganzen Woche des Jahres beginnen.

Bemerkungen

Formatierung | Aktion
Zahlen | Verwenden Sie vordefinierte numerische Formate, oder erstellen Sie benutzerdefinierte numerische Formate.
Datum- und Zeitangaben | Verwenden Sie vordefinierte benannte Datums-/Uhrzeitformate, oder erstellen Sie benutzerdefinierte Datums-/Uhrzeitformate.
Datum- und Zeitseriennummern | Verwenden Sie Datum- und Zeitformate oder numerische Formate.
Zeichenfolgen | Erstellen Sie Ihre eigenen benutzerdefinierten Zeichenfolgenformate.

Wenn Sie versuchen, eine Zahl ohne Angabe für format zu formatieren, bietet Format eine ähnliche Funktionalität wie die Str-Funktion, jedoch werden internationale Zeichen berücksichtigt. Positive Zahlen, die als Zeichenfolgen formatiert sind, besitzen mit Format jedoch kein führendes Leerzeichen, das für das Vorzeichen des Wertes reserviert ist; die mit Str konvertierten Werte behalten das führende Leerzeichen.


 FV-Funktion

FV-Funktion

Gibt einen Wert vom Typ Double für den zukünftigen Wert einer Annuität auf der Grundlage periodischer, konstanter Zahlungen und eines konstanten Zinssatzes zurück.

Syntax

FV(rate, nper, pmt[, pv[, type]])

Die FV-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
rate | Erforderlich. Double für den Zinssatz pro Zeitraum. Wenn Sie beispielsweise ein Darlehen für ein Auto mit einem jährlichen Zinssatz (APR) von 10 Prozent aufnehmen und monatliche Zahlungen leisten, beträgt der Zins pro Zeitraum 0,1/12 oder 0,0083.
nper | Erforderlich. Integer für die Gesamtanzahl der Zahlungszeiträume der Annuität. Wenn Sie beispielsweise monatliche Zahlungen für ein Autodarlehen mit einer vierjährigen Laufzeit leisten, weist das Darlehen insgesamt 4 * 12 (oder 48) Zahlungszeiträume auf.
pmt | Erforderlich. Double für die Zahlungen pro Zeitraum. Zahlungen enthalten normalerweise den Kapitalanteil und den Zins, der sich während der Laufzeit der Annuität nicht ändert.
pv | Erforderlich. Variant für den aktuellen Wert (oder Pauschalbetrag) einer Reihe von zukünftigen Zahlungen. Wenn Sie beispielsweise Geld für den Kauf eines Autos leihen, ist der Darlehensbetrag der aktuelle Wert für den Geldverleiher der monatlichen Zahlungen für das Auto, die Sie leisten werden. Erfolgt keine Angabe, wird 0 vorausgesetzt.
type | Optional. Variant für die Angabe, wann Zahlungen fällig sind. Verwenden Sie 0, wenn Zahlungen am Ende des Zahlungszeitraums fällig sind. Oder verwenden Sie 1, wenn Zahlungen am Beginn des Zeitraums fällig sind. Erfolgt keine Angabe, wird 0 vorausgesetzt.

Hinweise

Unter einer Annuität versteht man eine Reihe konstanter Barzahlungen über einen bestimmten Zeitraum. Eine Annuität kann ein Darlehen (z. B. eine Hypothek für ein Haus) oder eine Investition (z. B. eine monatliche Geldanlage) sein.

Die Argumente rate und nper müssen mit Zahlungszeiträumen berechnet werden, für die dieselben Einheiten verwendet werden. Wenn beispielsweise rate auf der Grundlage von Monaten berechnet wird, muss auch nper auf der Grundlage von Monaten berechnet werden.

Für alle Argumente wird das ausbezahlte Bargeld (z. B. Auszahlungen bei Geldanlagen) durch negative Zahlen dargestellt. Bargeldeingänge (etwa Dividenden) werden durch positive Zahlen dargestellt.


 Hex-Funktion

Hex-Funktion

Gibt einen Wert vom Typ String für den hexadezimalen Wert einer Zahl zurück.

Syntax

Hex(number)

Das erforderliche Argument number ist ein beliebiger gültiger numerischer Ausdruck oder ein Zeichenfolgenausdruck.

Bemerkungen

Wenn number nicht bereits eine ganze Zahl ist, wird diese Zahl vor der Auswertung auf die nächste ganze Zahl gerundet.

Wert von number | Hex-Rückgabewerte
Null | Null.
Leer | Null (0).
Eine beliebige andere Zahl | Maximal 8 hexadezimale Zeichen.

Hexadezimale Zahlen werden durch Voranstellen von &H vor den Zahlen im gültigen Bereich direkt dargestellt. &H10 ist zum Beispiel die Hexadezimaldarstellung für die Dezimalzahl 16.


 Hour-Funktion

Hour-Funktion

Gibt einen Wert vom Typ Variant (Integer) für eine ganze Zahl zwischen 0 und 23 einschließlich zurück, die die Stunde des Tages darstellt.

Syntax

Hour(time)

Das erforderliche Argument time ist ein beliebiger Wert vom Typ Variant, ein numerischer Ausdruck, ein Zeichenfolgenausdruck oder eine Kombination, die die Zeit darstellen kann. Wenn time Null enthält, wird Null zurückgegeben.


 IIf-Funktion

IIf-Funktion

Gibt je nach Auswertung eines Ausdrucks einen von zwei Teilen zurück.

Syntax

IIf(expr, truepart, falsepart)

Die Syntax der Iif-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
expr | Erforderlich. Der Ausdruck, den Sie auswerten möchten.
truepart | Erforderlich. Der zurückgegebene Wert oder Ausdruck, wenn expr gleich True ist.
falsepart | Erforderlich. Der zurückgegebene Wert oder Ausdruck, wenn expr gleich False ist.

Bemerkungen

IIf wertet stets truepart und falsepart aus, selbst wenn nur ein Teil zurückgegeben wird. Aus diesem Grund sollten Sie unerwünschte Nebeneffekte berücksichtigen. Wenn zum Beispiel die Auswertung von falsepart einen Fehler wegen einer Division durch Null ergibt, tritt ein Fehler auf, selbst wenn expr gleich True ist.


 InStr-Funktion

InStr-Funktion

Gibt einen Wert vom Typ Variant (Long) für die Position des ersten Auftretens einer Zeichenfolge innerhalb einer anderen zurück.

Syntax

InStr([start, ]string1, string2[, compare])

Die Syntax der InStr-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
start | Optional. Numerischer Ausdruck, der die Startposition für die Suchvorgänge festlegt. Erfolgt keine Angabe, beginnt die Suche beim ersten Zeichen. Wenn start Null enthält, tritt ein Fehler auf. Das Argument start ist erforderlich, wenn Zeichenvergleich angegeben wird.
string1 | Erforderlich. Der zu suchende Zeichenfolgenausdruck.
string2 | Erforderlich. Die gesuchte Zeichenfolge.
compare | Optional. Gibt den Typ des Zeichenfolgenvergleichs an. Das Argument compare kann ausgelassen oder gleich 0 oder 1 sein. Geben Sie 0 (Vorgabe) ein, um einen binären Vergleich durchzuführen. Geben Sie 1 ein, um einen Textvergleich ohne Berücksichtigung der Groß-/Kleinschreibung durchzuführen. Wenn compare gleich Null ist, wird ein Fehler gemeldet. Wenn compare ausgelassen wird, wird ein binärer Vergleich durchgeführt.

Rückgabewerte

Situation | InStr-Rückgabewert
string1 besitzt die Länge Null | 0
string1 ist Null | Null
string2 besitzt die Länge Null | Startwert
string2 ist Null | Null
string2 nicht gefunden | 0
string2 innerhalb von string1 gefunden | Position, an der Übereinstimmung gefunden wurde.
start > string2 | 0


 IPmt-Funktion

IPmt-Funktion

Gibt einen Wert vom Typ Double für die Zinszahlung für einen bestimmten Zeitraum einer Annuität auf der Grundlage periodischer, konstanter Zahlungen und eines konstanten Zinssatzes zurück.

Syntax

IPmt(rate, per, nper, pv[, fv[, type]])

Die IPmt-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
rate | Erforderlich. Double für den Zinssatz pro Zeitraum. Wenn Sie beispielsweise ein Darlehen für ein Auto mit einem jährlichen Zinssatz (APR) von 10 Prozent aufnehmen und monatliche Zahlungen leisten, beträgt der Zins pro Zeitraum 0,1/12 oder 0,0083.
per | Erforderlich. Double für den Zahlungszeitraum im Bereich 1 bis nper.
nper | Erforderlich. Double für die Gesamtanzahl der Zahlungszeiträume der Annuität. Wenn Sie beispielsweise monatliche Zahlungen für ein Autodarlehen mit einer vierjährigen Laufzeit leisten, weist das Darlehen insgesamt 4 * 12 (oder 48) Zahlungszeiträume auf.
pv | Erforderlich. Double für den aktuellen oder heutigen Wert einer Reihe von zukünftigen Zahlungen oder Eingängen. Wenn Sie z. B. Geld für den Kauf eines Autos leihen, ist der Darlehensbetrag der aktuelle Wert für den Geldverleiher der monatlichen Zahlungen für das Auto, die Sie leisten werden.
fv | Optional. Variant für den gewünschten zukünftigen Wert oder den Barbetrag nach der letzten Zahlung. Der zukünftige Wert eines Darlehens beträgt beispielsweise DM 0, weil dies der Wert nach der letzten Zahlung ist. Wenn Sie jedoch in 18 Jahren DM 50.000 für die Ausbildung Ihres Kindes sparen möchten, beträgt der zukünftige Wert DM 50.000. Erfolgt keine Angabe, wird 0 vorausgesetzt.
type | Optional. Variant für die Angabe, wann Zahlungen fällig sind. Verwenden Sie 0, wenn Zahlungen am Ende des Zahlungszeitraums fällig sind. Oder verwenden Sie 1, wenn Zahlungen am Beginn des Zeitraums fällig sind. Erfolgt keine Angabe, wird 0 vorausgesetzt.

Hinweise

Unter einer Annuität versteht man eine Reihe konstanter Barzahlungen über einen bestimmten Zeitraum. Eine Annuität kann ein Darlehen (z. B. eine Hypothek für ein Haus) oder eine Investition (z. B. eine monatliche Geldanlage) sein.

Die Argumente rate und nper müssen mit Zahlungszeiträumen berechnet werden, für die dieselben Einheiten verwendet werden. Wenn beispielsweise rate auf der Grundlage von Monaten berechnet wird, muss auch nper auf der Grundlage von Monaten berechnet werden.

Für alle Argumente wird das ausbezahlte Bargeld (z. B. Auszahlungen bei Geldanlagen) durch negative Zahlen dargestellt. Bargeldeingänge (z. B. Dividenden) werden durch positive Zahlen dargestellt.


 IsDate-Funktion

IsDate-Funktion

Gibt einen Wert vom Typ Boolean zurück, der anzeigt, ob ein Ausdruck in ein Datum konvertiert werden kann.

Syntax

IsDate(expression)

Das erforderliche Argument expression ist ein Wert vom Typ Variant, der einen Datumausdruck oder einen Zeichenfolgenausdruck enthält, der als Datum oder Zeit erkennbar ist.

Bemerkungen

IsDate gibt True zurück, wenn der Ausdruck ein Datum ist oder in ein gültiges Datum konvertiert werden kann; anderenfalls wird False zurückgegeben. In Microsoft Windows sind Datumsangaben zwischen 1. Januar 100 A.D. bis 31. Dezember 9999 A.D zulässig; der zulässige Bereich hängt vom Betriebssystem ab.

Im Gegensatz zu einem Datums-/Uhrzeitfeld werden in Outlook Zeichenfolgen, wie zum Beispiel "nächster Donnerstag" nicht als gültige Ausdrücke für die IsDate-Funktion erkannt.


 LCase-Funktion

LCase-Funktion

Gibt einen String zurück, der in Kleinbuchstaben konvertiert wurde.

Syntax

LCase(string)

Das erforderliche Argument string ist ein beliebiger gültiger Zeichenfolgenausdruck. Wenn string Null enthält, wird Null zurückgegeben.

Bemerkungen

Nur Großbuchstaben werden in Kleinbuchstaben konvertiert; alle Kleinbuchstaben und Zeichen, die keine Buchstaben sind, bleiben unverändert.


 Left-Funktion

Left-Funktion

Gibt einen Wert vom Typ Variant (String) für eine bestimmte Zahl an Zeichen auf der linken Seite einer Zeichenfolge zurück.

Syntax

Left(string, length)

Die Syntax der Left-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
string | Erforderlich. Zeichenfolgenausdruck, von dem die Zeichen links zurückgegeben werden. Wenn string Null enthält, wird Null zurückgegeben.
length | Erforderlich; Variant (Long). Numerischer Ausdruck zur Angabe, wie viele Zeichen zurückgegeben werden sollen. Bei 0 wird eine Zeichenfolge mit der Länge Null ("") zurückgegeben. Wenn die Länge größer oder gleich der in string angegebenen Zahl an Zeichen ist, wird die gesamte Zeichenfolge zurückgegeben.

Bemerkungen

Verwenden Sie die Len-Funktion, um die Zahl der Zeichen von string zu ermitteln.


 Len-Funktion

Len-Funktion

Gibt einen Wert vom Typ Long mit der Zahl der Zeichen in einer Zeichenfolge zurück.

Syntax

Len(string)

Die Syntax der Len-Funktion besitzt die folgenden Argumente:

Argument | Beschreibung
string | Ein beliebiger gültiger Zeichenfolgenausdruck. Wenn string Null enthält, wird Null zurückgegeben.


 Log-Funktion

Log-Funktion

Gibt einen Wert vom Typ Double für den natürlichen Logarithmus einer Zahl zurück.

Syntax

Log(number)

Das erforderliche Argument number ist ein Wert vom Typ Double oder ein beliebiger gültiger numerischer Ausdruck größer Null.

Bemerkungen

Der natürliche Logarithmus ist der Logarithmus mit der Basis e. E beträgt ungefähr 2,718282.

Sie können Basis-n-Logarithmen folgendermaßen für eine beliebige Zahl x durch Dividieren des natürlichen Logarithmus von x mit dem natürlichen Logarithmus von n berechnen:

Logn(x) = Log(x) / Log(n)

Das folgende Beispiel veranschaulicht ein Formelfeld, das Basis-10-Logarithmen für das Zahlenfeld X berechnet:

    Log([X]) / Log(10)


 LTrim-, RTrim- und Trim-Funktionen

LTrim-, RTrim- und Trim-Funktionen

Gibt einen Wert vom Typ Variant (String) mit einer Kopie der angegebenen Zeichenfolge ohne führende Leerzeichen (LTrim), nachgestellte Leerzeichen (RTrim) oder führende oder nachgestellte Leerzeichen (Trim) zurück.

Syntax

LTrim(string)

RTrim(string)

Trim(string)

Das erforderliche Argument string ist ein beliebiger gültiger Zeichenfolgenausdruck. Wenn string Null enthält, wird Null zurückgegeben.


Mathematische Funktionen

Abs-Funktion

Atn-Funktion

Cos-Funktion

Exp-Funktion

Fix-Funktion

Int-Funktion

Log-Funktion

Rnd-Funktion

Sgn-Funktion

Sin-Funktion

Sqr-Funktion

Tan-Funktion

Abgeleitete mathematische Funktionen


 Mid-Funktion

Mid-Funktion

Gibt einen Wert vom Typ Variant (String) mit der angegebenen Zahl an Zeichen von einer Zeichenfolge zurück.

Syntax

Mid(string, start[, length])

Die Syntax der Mid-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
string | Erforderlich. Zeichenfolgenausdruck, von dem Zeichen zurückgegeben werden. Wenn string Null enthält, wird Null zurückgegeben.
start | Erforderlich; Long. Die Zeichenposition in Zeichenfolge, an der der zu kopierende Abschnitt beginnt. Wenn start größer als die Zahl der Zeichen in string ist, gibt Mid eine Zeichenfolge der Länge Null ("") zurück.
Length | Optional; Variant (Long). Die Zahl der zurückzugebenden Zeichen. Erfolgt keine Angabe oder sind im Text weniger Zeichen als in Length angegeben vorhanden (einschließlich des Zeichens am start), werden alle Zeichen ab start bis zum Ende der Zeichenfolge zurückgegeben.

Bemerkungen

Verwenden Sie die Len-Funktion, um die Zahl der Zeichen von string zu ermitteln.


 Minute-Funktion

Minute-Funktion

Gibt einen Wert vom Typ Variant (Integer) mit einer Ganzzahl zwischen 0 und 59 einschließlich zur Darstellung der Minuten zurück.

Syntax

Minute(time)

Das erforderliche Argument time ist ein beliebiger Wert vom Typ Variant, ein numerischer Ausdruck, ein Zeichenfolgenausdruck oder eine Kombination, die die Zeit darstellen kann. Wenn time Null enthält, wird Null zurückgegeben.


 Month-Funktion

Month-Funktion

Gibt einen Wert vom Typ Variant (Integer) mit einer ganzen Zahl zwischen 1 und 12 einschließlich zurück, die den Monat des Jahres darstellt.

Syntax

Month(date)

Das erforderliche Argument date ist ein beliebiger Wert vom Typ Variant, ein numerischer Ausdruck, ein Zeichenfolgenausdruck oder eine beliebige Kombination, die ein Datum darstellt. Wenn date Null enthält, wird Null zurückgegeben.


Benannte Datums-/ Uhrzeitformate (Format-Funktion)

In der folgenden Tabelle werden die vordefinierten Datums- und Uhrzeitformate erläutert:

Formatname | Beschreibung
General Date | Zeigt ein Datum und/oder eine Uhrzeit an. Für Echtzahlen wird das Datum und die Uhrzeit angezeigt (zum Beispiel 4/3/93 05:34 PM); wenn keine Kommastellen vorhanden sind, wird nur das Datum angezeigt (zum Beispiel 4/3/93); wenn kein ganzzahliger Teil vorhanden ist, wird nur die Zeit angezeigt (zum Beispiel 05:34 PM). Die Anzeige des Datums hängt von den Systemeinstellungen Ihres Computers ab.
Long Date | Das Datum wird gemäß dem ausführlichen Datumsformat Ihres Computers angezeigt.
Medium Date | Das Datum wird mit dem mittleren Datumsformat entsprechend der verwendeten Sprachversion von Outlook angezeigt. Die US-Englische Version zeigt beispielsweise den Tag, den Monat und das Jahr an (zum Beispiel 05-Jan-96).
Short Date | Zeigt das Datum mit dem kurzen Datumsformat Ihres Computers an.
Long Time | Zeigt die Uhrzeit mit dem langen Zeitformat Ihres Computers an (Stunden, Minuten, Sekunden).
Medium Time | Zeigt die Uhrzeit im 12-Stunden-Format mit Stunden und Minuten und dem AM/PM-Symbol an.
Short Time | Zeigt die Uhrzeit im 24-Stunden-Format an (zum Beispiel 17:45).


 Benannte numerische Formate (Format-Funktion)

Benannte numerische Formate (Format-Funktion)

In der folgenden Tabelle werden die vordefinierten numerischen Formatnamen erläutert:

Formatname | Beschreibung
General Number | Zeigt Zahl ohne Trennzeichen für Tausender an.
Currency | Zeigt Zahl gegebenenfalls mit Trennzeichen für Tausender an; zeigt zwei Stellen rechts des Dezimaltrennzeichens an. Die Ausgabe basiert auf den Ländereinstellungen des Computers.
Fixed | Zeigt mindestens eine Stelle links und zwei Stellen rechts des Dezimaltrennzeichens an.
Standard | Zeigt Zahl mit Trennzeichen für Tausender und mindestens eine Stelle links und zwei Stellen rechts des Dezimaltrennzeichens an.
Percent | Zeigt eine Zahl multipliziert mit 100 und einem Prozentzeichen (%) rechts der Zahl an; es werden immer zwei Stellen rechts des Dezimaltrennzeichens angezeigt.
Scientific | Verwendet das standardmäßige wissenschaftliche Format.
Yes/No | Zeigt No an, wenn die Zahl gleich 0 ist; anderenfalls wird Yes angezeigt.
True/False | Zeigt False an, wenn die Zahl gleich 0 ist; anderenfalls wird True angezeigt.
On/Off | Zeigt Off an, wenn die Zahl gleich 0 ist; anderenfalls wird On angezeigt.


Now-Funktion

Gibt einen Wert vom Typ Variant (Date) für das aktuelle Datum und die aktuelle Zeit gemäß dem Systemdatum und der Systemzeit Ihres Computers zurück.

Syntax

Now( )


 NPer-Funktion

NPer-Funktion

Gibt einen Wert vom Typ Double zurück, der die Anzahl der Zeiträume für eine Annuität auf der Grundlage regelmäßiger, konstanter Zahlungen und eines konstanten Zinssatzes angibt.

Syntax

NPer(rate, pmt, pv[, fv[, type]])

Die NPer-Funktion hat die folgenden benannten Argumente:

Argument | Beschreibung
rate | Erforderlich. Double, der den Zinssatz pro Zeitraum angibt. Wenn Sie beispielsweise ein Darlehen zur Finanzierung eines Autos zu einem jährlichen Zinssatz (APR) von 10 Prozent aufnehmen und monatliche Zahlungen leisten, beträgt der Zinssatz pro Zeitraum 0,1/12 oder 0,0083.
pmt | Erforderlich. Double, der die pro Zeitraum zu leistende Zahlung angibt. Zahlungen enthalten meist Tilgung und Zinssatz, die sich über die Laufzeit der Annuität nicht ändern.
pv | Erforderlich. Double, der den heutigen Wert einer Reihe zukünftiger Zahlungen oder Eingänge angibt. Wenn Sie beispielsweise ein Darlehen aufnehmen, um ein Auto zu kaufen, ist der Darlehensbetrag der aktuelle Wert für den Geldverleiher der monatlichen Zahlungen, die Sie für das Auto leisten werden.
fv | Optional. Variant, der den gewünschten zukünftigen Wert oder Barbetrag nach der Abschlusszahlung angibt. Der zukünftige Wert eines Darlehens beträgt z. B. DM 0, weil dies der Wert nach der letzten Zahlung ist. Wenn Sie jedoch über einen Zeitraum von 18 Jahren DM 50.000 für die Ausbildung Ihres Kindes ansparen möchten, ist der zukünftige Wert DM 50.000. Wird kein Betrag eingegeben, dann wird 0 vorausgesetzt.
type | Optional. Variant, der angibt, wann Zahlungen fällig sind. Geben Sie 0 ein, wenn die Zahlungen am Ende des Zeitraums fällig sind, bzw. 1, wenn die Zahlungen am Beginn des Zeitraums anfallen. Wird kein Wert eingegeben, dann wird 0 vorausgesetzt.

Hinweise

Eine Annuität ist eine Reihe von konstanten Barzahlungen über einen bestimmten Zeitraum hinweg. Dabei kann es sich um ein Darlehen (z. B. eine Hypothek für ein Haus) oder eine Investition handeln (z. B. eine monatliche Geldanlage).

Für alle Argumente werden ausbezahlte Bargeldbeträge (z. B. Überweisungen auf Sparanlagen) durch negative Zahlen dargestellt. Bargeldeingänge (z. B. Dividenden) werden durch positive Zahlen dargestellt.


 Oct-Funktion

Oct-Funktion

Gibt einen Wert vom Typ Variant (String) zurück, der den Oktalwert einer Zahl darstellt.

Syntax

Oct(number)

Das erforderliche Argument number ist ein beliebiger gültiger numerischer Ausdruck oder Zeichenfolgenausdruck.

Hinweise

Wenn number keine ganze Zahl ist, wird sie vor der Auswertung auf die nächste ganze Zahl gerundet.

Wert von number | Oct gibt zurück
Null | Null
Leer | 0 (Null)
Beliebige andere Zahl | Bis zu 11 Oktalzeichen

Sie können Oktalzahlen direkt darstellen, indem Sie den Zahlen im entsprechenden Bereich ein &O voranstellen. Die oktale Schreibweise für die Dezimalzahl 8 ist beispielsweise &O10.


 Pmt-Funktion

Pmt-Funktion

Gibt einen Wert vom Typ Double zurück, der die Zahlung für eine Annuität basierend auf regelmäßigen, konstanten Zahlungen und einem konstanten Zinssatz angibt.

Syntax

Pmt(rate, nper, pv[, fv[, type]])

Die Pmt-Funktion hat die folgenden benannten Argumente:

Argument | Beschreibung
rate | Erforderlich. Double, der den Zinssatz pro Zeitraum angibt. Wenn Sie beispielsweise ein Darlehen für ein Auto mit einem jährlichen Zinssatz (APR) von 10 Prozent aufnehmen und monatliche Zahlungen leisten, beträgt der Zins pro Zeitraum 0,1/12 oder 0,0083.
nper | Erforderlich. Integer, der die Gesamtanzahl der Zahlungszeiträume für die Annuität angibt. Wenn Sie z. B. monatliche Zahlungen für ein Autodarlehen mit einer vierjährigen Laufzeit leisten, umfasst das Darlehen insgesamt 4 * 12 (oder 48) Zahlungszeiträume.
pv | Erforderlich. Double, der den heutigen Wert einer Reihe zukünftiger Zahlungen angibt. Wenn Sie beispielsweise ein Darlehen für den Kauf eines Autos aufnehmen, ist der Darlehensbetrag der heutige Wert für den Geldverleiher der monatlichen Zahlungen, die Sie für das Auto leisten werden.
fv | Optional. Variant, der den gewünschten zukünftigen Wert oder Barbetrag nach der Abschlusszahlung angibt. Der zukünftige Wert eines Darlehens ist beispielsweise DM 0, weil dies der Wert nach der letzten Zahlung ist. Wenn Sie dagegen über einen Zeitraum von 18 Jahren hinweg DM 50.000 für die Ausbildung Ihres Kindes ansparen möchten, ist DM 50.000 der zukünftige Wert. Wird kein Wert eingegeben, dann wird 0 vorausgesetzt.
type | Optional. Variant, der angibt, wann Zahlungen fällig sind. Geben Sie 0 ein, wenn die Zahlungen am Ende des Zeitraums fällig sind, bzw. 1, wenn die Zahlungen am Beginn des Zeitraums anfallen. Wird kein Wert eingegeben, dann wird 0 vorausgesetzt.

Hinweise

Eine Annuität ist eine Reihe von konstanten Barzahlungen über einen bestimmten Zeitraum hinweg. Dabei kann es sich um ein Darlehen (z. B. eine Hypothek für ein Haus) oder eine Investition handeln (z. B. eine monatliche Geldanlage).

Die Argumente rate und nper müssen anhand von Zahlungszeiträumen berechnet werden, für die dieselben Einheiten verwendet werden. Wenn beispielsweise rate auf der Grundlage von Monaten berechnet wird, muss auch nper auf der Basis von Monaten berechnet werden.

Für alle Argumente werden ausbezahlte Bargeldbeträge (z. B. Überweisungen auf Sparanlagen) durch negative Zahlen dargestellt. Bargeldeingänge (z. B. Dividenden) werden durch positive Zahlen dargestellt.


 PPmt-Funktion

PPmt-Funktion

Gibt einen Wert vom Typ Double zurück, der die Tilgungszahlung für einen bestimmten Zeitraum einer Annuität basierend auf regelmäßigen, konstanten Zahlungen und einem konstanten Zinssatz angibt.

Syntax

PPmt(rate, per, nper, pv[, fv[, type]])

Die PPmt-Funktion hat die folgenden benannten Argumente:

Argument | Beschreibung
rate | Erforderlich. Double, der den Zinssatz pro Zeitraum angibt. Wenn Sie beispielsweise ein Darlehen für ein Auto mit einem jährlichen Zinssatz (APR) von 10 Prozent aufnehmen und monatliche Zahlungen leisten, beträgt der Zins pro Zeitraum 0,1/12 oder 0,0083.
per | Erforderlich. Integer, der den Zahlungszeitraum im Bereich von 1 bis nper angibt.
nper | Erforderlich. Integer, der die Gesamtanzahl der Zahlungszeiträume für die Annuität angibt. Wenn Sie z. B. monatliche Zahlungen für ein Autodarlehen mit einer vierjährigen Laufzeit leisten, umfasst das Darlehen insgesamt 4 * 12 (oder 48) Zahlungszeiträume.
pv | Erforderlich. Double, der den heutigen Wert einer Reihe zukünftiger Zahlungen oder Eingänge angibt. Wenn Sie beispielsweise ein Darlehen für den Kauf eines Autos aufnehmen, ist der Darlehensbetrag der heutige Wert für den Geldverleiher der monatlichen Zahlungen, die Sie für das Auto leisten werden.
fv | Optional. Variant, der den gewünschten zukünftigen Wert oder Barbetrag nach der Abschlusszahlung angibt. Der zukünftige Wert eines Darlehens ist beispielsweise DM 0, weil dies der Wert nach der letzten Zahlung ist. Wenn Sie dagegen über einen Zeitraum von 18 Jahren hinweg DM 50.000 für die Ausbildung Ihres Kindes ansparen, ist DM 50.000 der zukünftige Wert. Wird kein Wert angegeben, dann wird 0 vorausgesetzt.
type | Optional. Variant, der angibt, wann Zahlungen fällig sind. Geben Sie 0 ein, wenn die Zahlungen jeweils am Ende des Zeitraums fällig sind, bzw. 1, wenn die Zahlungen am Beginn des Zeitraums anfallen. Wird kein Wert eingegeben, dann wird 0 vorausgesetzt.

Hinweise

Eine Annuität ist eine Reihe von konstanten Barzahlungen über einen bestimmten Zeitraum hinweg. Dabei kann es sich um ein Darlehen (z. B. eine Hypothek für ein Haus) oder eine Investition handeln (z. B. eine monatliche Geldanlage).

Die Argumente rate und nper müssen anhand von Zahlungszeiträumen berechnet werden, für die dieselben Einheiten verwendet werden. Wenn beispielsweise rate auf der Grundlage von Monaten berechnet wird, muss auch nper auf der Basis von Monaten berechnet werden.

Für alle Argumente werden ausbezahlte Bargeldbeträge (z. B. Überweisungen auf Sparanlagen) durch negative Zahlen dargestellt. Bargeldeingänge (z. B. Dividenden) werden durch positive Zahlen dargestellt.


 PV-Funktion

PV-Funktion

Gibt einen Wert vom Typ Double zurück, der den heutigen Wert einer Annuität basierend auf regelmäßigen, konstanten Zahlungen in der Zukunft und einem konstanten Zinssatz angibt.

Syntax

PV(rate, nper, pmt[, fv[, type]])

Die PV-Funktion hat die folgenden benannten Argumente:

Argument | Beschreibung
rate | Erforderlich. Double, der den Zinssatz pro Zeitraum angibt. Wenn Sie beispielsweise ein Darlehen für ein Auto mit einem jährlichen Zinssatz (APR) von 10 Prozent aufnehmen und monatliche Zahlungen leisten, beträgt der Zins pro Zeitraum 0,1/12 oder 0,0083.
nper | Erforderlich. Integer, der die Gesamtanzahl der Zahlungszeiträume für die Annuität angibt. Wenn Sie z. B. monatliche Zahlungen für ein Autodarlehen mit einer vierjährigen Laufzeit leisten, umfasst das Darlehen insgesamt 4 * 12 (oder 48) Zahlungszeiträume.
pmt | Erforderlich. Double, der die für jeden Zeitraum anfallende Zahlung angibt. Zahlungen enthalten in der Regel Tilgung und Zinsen, die sich über die Laufzeit der Annuität nicht ändern.
fv | Optional. Variant, der den gewünschten zukünftigen Wert oder Barbetrag nach der Abschlusszahlung angibt. Der zukünftige Wert eines Darlehens ist beispielsweise DM 0, weil dies der Wert nach der letzten Zahlung ist. Wenn Sie dagegen über einen Zeitraum von 18 Jahren hinweg DM 50.000 für die Ausbildung Ihres Kindes ansparen, ist DM 50.000 der zukünftige Wert. Wird kein Wert angegeben, dann wird 0 vorausgesetzt.
type | Optional. Variant, der angibt, wann Zahlungen fällig sind. Geben Sie 0 ein, wenn die Zahlungen jeweils am Ende des Zeitraums fällig sind, bzw. 1, wenn die Zahlungen am Beginn des Zeitraums anfallen. Wird kein Wert eingegeben, dann wird 0 vorausgesetzt.

Hinweise

Eine Annuität ist eine Reihe von konstanten Barzahlungen über einen bestimmten Zeitraum hinweg. Dabei kann es sich um ein Darlehen (z. B. eine Hypothek für ein Haus) oder eine Investition handeln (z. B. eine monatliche Geldanlage).

Die Argumente rate und nper müssen anhand von Zahlungszeiträumen berechnet werden, für die dieselben Einheiten verwendet werden. Wenn beispielsweise rate auf der Grundlage von Monaten berechnet wird, muss auch nper auf der Basis von Monaten berechnet werden.

Für alle Argumente werden ausbezahlte Bargeldbeträge (z. B. Überweisungen auf Sparanlagen) durch negative Zahlen dargestellt. Bargeldeingänge (z. B. Dividenden) werden durch positive Zahlen dargestellt.


 Rate-Funktion

Rate-Funktion

Gibt einen Wert vom Typ Double zurück, der den Zinssatz pro Zeitraum für eine Annuität angibt.

Syntax

Rate(nper, pmt, pv[, fv[, type[, guess]]])

Die Rate-Funktion hat die folgenden benannten Argumente:

Argument | Beschreibung
nper | Erforderlich. Double, der die Gesamtanzahl der Zahlungszeiträume für die Annuität angibt. Wenn Sie z. B. monatliche Zahlungen für ein Autodarlehen mit einer vierjährigen Laufzeit leisten, umfasst das Darlehen insgesamt 4 * 12 (oder 48) Zahlungszeiträume.
pmt | Erforderlich. Double, der die für jeden Zeitraum anfallende Zahlung angibt. Zahlungen enthalten in der Regel Tilgung und Zinsen, die sich über die Laufzeit der Annuität nicht ändern.
pv | Erforderlich. Double, der den heutigen Wert einer Reihe zukünftiger Zahlungen oder Eingänge angibt. Wenn Sie beispielsweise ein Darlehen für den Kauf eines Autos aufnehmen, ist der Darlehensbetrag der heutige Wert für den Geldverleiher der monatlichen Zahlungen, die Sie für das Auto leisten werden.
fv | Optional. Variant, der den gewünschten zukünftigen Wert oder Barbetrag nach der Abschlusszahlung angibt. Der zukünftige Wert eines Darlehens ist beispielsweise DM 0, weil dies der Wert nach der letzten Zahlung ist. Wenn Sie dagegen über einen Zeitraum von 18 Jahren hinweg DM 50.000 für die Ausbildung Ihres Kindes ansparen, ist DM 50.000 der zukünftige Wert. Wird kein Wert angegeben, dann wird 0 vorausgesetzt.
type | Optional. Variant, der angibt, wann Zahlungen fällig sind. Geben Sie 0 ein, wenn die Zahlungen jeweils am Ende des Zeitraums fällig sind, bzw. 1, wenn die Zahlungen am Beginn des Zeitraums anfallen. Wird kein Wert eingegeben, dann wird 0 vorausgesetzt.
guess | Optional. Variant, der den Wert angibt, den Rate schätzungsweise zurückgibt. Wird kein Wert eingegeben, dann ist guess 0,1 (10 Prozent).

Hinweise

Eine Annuität ist eine Reihe von konstanten Barzahlungen über einen bestimmten Zeitraum hinweg. Dabei kann es sich um ein Darlehen (z. B. eine Hypothek für ein Haus) oder eine Investition handeln (z. B. eine monatliche Geldanlage).

Für alle Argumente werden ausbezahlte Bargeldbeträge (z. B. Überweisungen auf Sparanlagen) durch negative Zahlen dargestellt. Bargeldeingänge (z. B. Dividenden) werden durch positive Zahlen dargestellt.

Rate wird iterativ berechnet. Rate durchläuft die Berechnung, beginnend mit dem Wert von guess, bis das Ergebnis mit einer Genauigkeit von mindestens 0,00001 Prozent berechnet worden ist. Falls für Rate nach 20 Versuchen kein Ergebnis ermittelt worden ist, schlägt die Funktion fehl. Wenn Sie 10 Prozent geschätzt haben und Rate fehlschlägt, geben Sie für guess einen anderen Wert ein.


 Rückgabewerte für CStr

Rückgabewerte für CStr

Wert von expression | Rückgabewert von CStr
Date | Ein String mit einem Datum im kurzen Datumsformat des Systems.
Null | Ein Laufzeitfehler.
Empty | Ein String der Länge Null ("").
Error | Ein String mit der Fehlerbeschreibung.
Sonstige Zahl | Ein String mit der Nummer.


 "Right"-Funktion

"Right"-Funktion

Gibt einen Wert vom Typ Variant (String) für eine bestimmte Zahl an Zeichen auf der rechten Seite einer Zeichenfolge zurück.

Syntax

Right(string, length)

Die Syntax der Right-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
string | Erforderlich. Zeichenfolgenausdruck, von dem die Zeichen rechts zurückgegeben werden. Wenn string Null enthält, wird Null zurückgegeben.
length | Erforderlich; Variant (Long). Numerischer Ausdruck zur Angabe, wie viele Zeichen zurückgegeben werden sollen. Bei 0 wird eine Zeichenfolge mit der Länge Null ("") zurückgegeben. Wenn die Länge größer oder gleich der in string angegebenen Zahl an Zeichen ist, wird die gesamte Zeichenfolge zurückgegeben.

Bemerkungen

Verwenden Sie die Len-Funktion, um die Zahl der Zeichen von string zu ermitteln.


 Rnd-Funktion

Rnd-Funktion

Gibt einen Wert vom Typ Single mit einer Zufallszahl zurück.

Syntax

Rnd[(number)]

Das optionale Argument number ist ein Wert vom Typ Single oder ein beliebiger numerischer Ausdruck.

Rückgabewerte

Wert von number | Rnd generiert
Kleiner als Null | Jedes Mal dieselbe Zahl, mit number als Ausgangspunkt.
Größer als Null | Die nächste fortlaufende Zufallszahl.
Gleich Null | Die zuletzt generierte Zahl.
Nicht verfügbar | Die nächste fortlaufende Zufallszahl.

Bemerkungen

Die Rnd-Funktion gibt einen Wert kleiner als 1 und größer als oder gleich Null zurück.

Der Wert von number bestimmt, wie Rnd eine Zufallszahl generiert:

Für jede Ausgangszahl wird dieselbe Zahlensequenz generiert, weil jeder nachfolgende Aufruf der Rnd-Funktion die vorherige Zahl als Ausgangspunkt für die nächste fortlaufende Zahl verwendet.

Verwenden Sie die folgende Formel, um ganze Zufallszahlen innerhalb eines bestimmten Bereichs zu erstellen:

Int(([upperbound] - [lowerbound] + 1) * Rnd + [lowerbound])

In diesem Fall ist upperbound ein Feld mit der höchsten Zahl dieses Bereichs und lowerbound ist ein Feld mit der niedrigsten Zahl dieses Bereichs.


Runden

CInt und CLng unterscheiden sich von den Funktionen Fix und Int, die die Stellen hinter dem Komma nicht runden, sondern abschneiden. Wenn die Bruchzahl genau 0,5 beträgt, runden CInt und CLng den Wert stets auf die nächste gerade Zahl auf. Zum Beispiel wird 0,5 auf 0 und 1,5 auf 2 gerundet. Fix und Int geben außerdem stets einen Wert des übergebenen Typs zurück.


 Second-Funktion

Second-Funktion

Gibt einen Wert vom Typ Variant (Integer) mit einer ganzen Zahl zwischen 0 und 59 einschließlich zur Darstellung der Sekunden zurück.

Syntax

Second(time)

Das erforderliche Argument time ist ein beliebiger Wert vom Typ Variant, ein numerischer Ausdruck, ein Zeichenfolgenausdruck oder eine Kombination, die die Zeit darstellen kann. Wenn time Null enthält, wird Null zurückgegeben.


 Sgn-Funktion

Sgn-Funktion

Gibt einen Wert vom Typ Variant (Integer) für das Vorzeichen einer Zahl zurück.

Syntax

Sgn(number)

Das erforderliche Argument number kann ein beliebiger gültiger numerischer Ausdruck sein.

Rückgabewerte

Wert von number | Sgn-Rückgabewert
Größer als Null | 1
Gleich Null | 0
Kleiner als Null | -1

Bemerkungen

Das Vorzeichen des Arguments number bestimmt den Rückgabewert der Sgn-Funktion.


 Sin-Funktion

Sin-Funktion

Gibt einen Wert vom Typ Double für den Sinus eines Winkels zurück.

Syntax

Sin(number)

Das erforderliche Argument number ist ein Wert vom Typ Double oder ein beliebiger gültiger numerischer Ausdruck, der einen Winkel in Rad ausdrückt.

Bemerkungen

Die Sin-Funktion legt einen Winkel zugrunde und gibt das Verhältnis der beiden Seiten eines rechtwinkligen Dreiecks zurück. Das Verhältnis ergibt sich aus der Länge der dem Winkel gegenüberliegenden Seite geteilt durch die Länge der Hypotenuse.

Das Ergebnis liegt im Bereich -1 bis 1.

Um Grad in Rad zu konvertieren, multiplizieren Sie den Gradwert mit Pi/180. Um Rad in Grad zu konvertieren, multiplizieren Sie Rad mit 180/Pi.


 SLN-Funktion

SLN-Funktion

Gibt einen Wert vom Typ Double zurück, der die lineare Abschreibung einer Anlage für einen einzelnen Zeitraum angibt.

Syntax

SLN(cost, salvage, life)

Die SLN-Funktion hat die folgenden benannten Argumente:

Argument | Beschreibung
cost | Erforderlich. Double, der die Anfangskosten einer Anlage angibt.
salvage | Erforderlich. Double, der den Wert einer Anlage am Ende ihrer Nutzungsdauer angibt.
life | Erforderlich. Double, der die Nutzungsdauer der Anlage angibt.

Hinweise

Der Zeitraum, für den die Abschreibung berechnet wird, wird in der gleichen Zeiteinheit angegeben wie die Nutzungsdauer der Anlage. Alle Argumente müssen positive Zahlen sein.


 Space-Funktion

Space-Funktion

Gibt einen Wert vom Typ Variant (String) mit der angegeben Zahl an Leerzeichen zurück.

Syntax

Space(number)

Das erforderliche Argument number bezeichnet die Zahl der gewünschten Leerzeichen für die Zeichenfolge.

Bemerkungen

Die Space-Funktion ist hilfreich, um die Ausgabe zu formatieren und Daten in Zeichenfolgen fester Länge zu löschen.


 Sqr-Funktion

Sqr-Funktion

Gibt einen Wert vom Typ Double mit der Quadratwurzel einer Zahl zurück.

Syntax

Sqr(number)

Das erforderliche Argument number ist ein Wert vom Typ Double oder ein beliebiger numerischer Ausdruck größer oder gleich Null.


 Str-Funktion

Str-Funktion

Gibt einen Wert vom Typ Variant (String) zur Darstellung einer Zahl zurück.

Syntax

Str(number)

Das erforderliche Argument number ist ein Wert vom Typ Long mit einem beliebigen gültigen numerischen Ausdruck.

Bemerkungen

Bei der Konvertierung von Zahlen in Zeichenfolgen wird stets ein führendes Leerzeichen für das Vorzeichen von number reserviert. Wenn number positiv ist, enthält die zurückgegebene Zeichenfolge ein führendes Leerzeichen und das Pluszeichen wird impliziert.

Verwenden Sie die Format-Funktion, um numerische Werte zu konvertieren, die als Datum, Uhrzeit, Währung oder in einem benutzerdefinierten Format formatiert werden sollen. Im Gegensatz zu Str enthält die Format-Funktion kein führendes Leerzeichen für das Vorzeichen von number.

Anmerkung Die Str-Funktion erkennt nur den Punkt (.) als gültiges Dezimaltrennzeichen. Wenn die Möglichkeit besteht, dass unterschiedliche Dezimaltrennzeichen verwendet werden (zum Beispiel in internationalen Anwendungen), sollten Sie CStr zum Konvertieren von Zahlen in Zeichenfolgen verwenden.


 StrComp-Funktion

StrComp-Funktion

Gibt einen Wert vom Typ Variant (Integer) für das Ergebnis eines Zeichenfolgenvergleichs zurück.

Syntax

StrComp(string1, string2[, compare])

Die Syntax der StrComp-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
string1 | Erforderlich. Ein beliebiger Zeichenfolgenausdruck.
string2 | Erforderlich. Ein beliebiger Zeichenfolgenausdruck.
compare | Optional. Gibt den Zeichenvergleichstyp an. Das Argument compare kann ausgelassen werden oder gleich 0 oder 1 sein. Geben Sie 0 (Vorgabe) ein, um einen binären Vergleich durchzuführen. Geben Sie 1 ein, um einen Textvergleich durchzuführen. Wenn compare gleich Null ist, wird ein Fehler gemeldet. Wenn compare ausgelassen wird, wird ein binärer Vergleich durchgeführt.

Rückgabewerte

Situation | StrComp-Rückgabewert
string1 ist kleiner als string2 | -1
string1 ist gleich string2 | 0
string1 ist größer als string2 | 1
string1 oder string2 gleich Null | Null


 String-Funktion

String-Funktion

Gibt einen Wert vom Typ Variant (String) mit einer Zeichenfolge einer bestimmten Länge und einem sich wiederholenden Zeichen zurück.

Syntax

String(number, character)

Die Syntax der String-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
number | Erforderlich; Long. Die Länge der zurückgegebenen Zeichenfolge. Wenn number Null enthält, wird Null zurückgegeben.
character | Erforderlich; Variant. Eine Zeichenfolge mit dem Zeichen oder dem Zeichenfolgenausdruck, dessen erstes Zeichen für die Rückgabezeichenfolge verwendet wird. Wenn character Null enthält, wird Null zurückgegeben.

Bemerkungen

Wenn Sie für character eine Zahl größer als 255 eingeben, konvertiert string die Zahl mit der folgenden Formel in eine gültige Zeichenfolge:

character Mod 256


 Switch-Funktion

Switch-Funktion

Wertet eine Liste von Ausdrücken aus und gibt einen Wert vom Typ Variant oder einen Ausdruck im Zusammenhang mit dem ersten Ausdruck in der Liste, der True ist, zurück.

Syntax

Switch(expr-1, value-1[, expr-2, value-2 … [, expr-n, value-n]])

Die Syntax der Switch-Funktion besitzt die folgenden Argumente:

Argument | Beschreibung
expr | Erforderlich. Variant-Ausdruck, den Sie auswerten möchten.
value | Erforderlich. Ein Wert oder ein Ausdruck, der ausgegeben wird, wenn der entsprechende Ausdruck True ist.

Bemerkungen

Die Argumentliste der Switch-Funktion besteht aus Ausdrucks- und Wertepaaren. Die Ausdrücke werden von links nach rechts ausgewertet und der Wert als erster als True ausgewertete Ausdruck wird zurückgegeben. Wenn die Teile keine Paare darstellen, tritt ein Laufzeitfehler auf. Wenn zum Beispiel expr-1 True ist, gibt Switch value-1 zurück. Wenn expr-1 False ist, aber expr-2 True ist, gibt Switch value-2 zurück usw.

Switch gibt Null zurück, wenn:

  • Kein Ausdruck True ist.

  • Der erste Ausdruck, der True ist, einen entsprechenden Wert besitzt, der Null ist.

Switch wertet alle Ausdrücke aus, selbst wenn nur einer zurückgegeben wird. Aus diesem Grund sollten Sie unerwünschte Nebeneffekte berücksichtigen. Wenn zum Beispiel die Auswertung eines Ausdrucks einen Fehler wegen einer Division durch Null ergibt, tritt ein Fehler auf.


 SYD-Funktion

SYD-Funktion

Gibt einen Wert vom Typ Double zurück, der die digitale Abschreibung einer Anlage für einen bestimmten Zeitraum angibt.

Syntax

SYD(cost, salvage, life, period)

Die SYD-Funktion hat die folgenden benannten Argumente:

Argument | Beschreibung
cost | Erforderlich. Double, der die Anfangskosten der Anlage angibt.
salvage | Erforderlich. Double, der den Wert der Anlage am Ende ihrer Nutzungsdauer angibt.
life | Erforderlich. Double, der die Nutzungsdauer der Anlage angibt.
period | Erforderlich. Double, der den Zeitraum angibt, für den die Anlagenabschreibung berechnet wird.

Hinweise

Die Argumente life und period müssen in der gleichen Einheit angegeben werden. Wenn beispielsweise life in Monaten angegeben wird, muss auch period in Monaten ausgedrückt werden. Alle Argumente müssen positive Zahlen sein.


 Tan-Funktion

Tan-Funktion

Gibt einen Wert vom Typ Double für den Tangens eines Winkels zurück.

Syntax

Tan(number)

Das erforderliche Argument number ist ein Wert vom Typ Double oder ein beliebiger numerischer Ausdruck, der einen Winkel in Rad ausdrückt.

Bemerkungen

Die Tan-Funktion legt einen Winkel zugrunde und gibt das Verhältnis der beiden Seiten eines rechtwinkligen Dreiecks zurück. Das Verhältnis ergibt sich aus der Länge der dem Winkel gegenüberliegenden Seite geteilt durch die Länge der Seite, die an dem Winkel anliegt.

Um Grad in Rad zu konvertieren, multiplizieren Sie den Gradwert mit Pi/180. Um Rad in Grad zu konvertieren, multiplizieren Sie Rad mit 180/Pi.


Time-Funktion

Gibt einen Wert vom Typ Variant (Date) für die aktuelle Systemzeit zurück.

Syntax

Time( )


Timer-Funktion

Gibt einen Wert vom Typ Single für die Zahl der seit Mitternacht verstrichenen Sekunden zurück.

Syntax

Timer( )


 TimeSerial-Funktion

TimeSerial-Funktion

Gibt einen Wert vom Typ Variant (Date) mit der Zeit für eine bestimmte Stunde, Minute und Sekunde zurück.

Syntax

TimeSerial(hour, minute, second)

Die Syntax der TimeSerial-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
hour | Erforderlich; Variant (Integer). Zahl zwischen 0 (12:00 A.M.) und 23 (11:00 P.M.) einschließlich, oder ein numerischer Ausdruck.
minute | Erforderlich; Variant (Integer). Beliebiger numerischer Ausdruck.
second | Erforderlich; Variant (Integer). Beliebiger numerischer Ausdruck.

Bemerkungen

Zur Angabe einer Zeit, wie zum Beispiel 11:59:59, sollte der Zahlenbereich für die TimeSerial-Argumente innerhalb des normalen Bereichs der Einheit liegen; das heißt, 0 - 23 für die Stunden und 0 - 59 für die Minuten und Sekunden. Sie können jedoch mit Hilfe beliebiger numerischer Ausdrücke, die Stunden, Minuten oder Sekunden vor oder nach einem bestimmten Zeitpunkt repräsentieren, auch relative Zeiten für die Argumente angeben. Im folgenden Beispiel werden statt absoluten Zeitangaben Ausdrücke verwendet. Die TimeSerial-Funktion gibt die Zeit für 15 Minuten vor (-15) und sechs Stunden vor Mittag (12 - 6) oder 5:45:00 A.M. zurück.

TimeSerial(12 - 6, -15, 0)

Sollte ein Argument den zulässigen Bereich für das Argument überschreiten, wird entsprechend zur übergeordneten Einheit gewechselt. Wenn Sie zum Beispiel 75 Minuten eingeben, wird dieser Wert als eine Stunde und 15 Minuten ausgewertet. Sollte ein Argument außerhalb des Bereichs -32.768 bis 32.767 liegen, wird ein Fehler gemeldet. Wenn die Zeit der drei Argumente außerhalb des zulässigen Datenbereichs liegt, wird ein Fehler gemeldet.


 TimeValue-Funktion

TimeValue-Funktion

Gibt einen Wert vom Typ Variant (Date) mit der Angabe der Zeit zurück.

Syntax

TimeValue(time)

Das erforderliche Argument time ist normalerweise ein Zeichenfolgenausdruck, der eine Zeit zwischen 0:00:00 (12:00:00 A.M.) und 23:59:59 (11:59:59 P.M.) einschließlich repräsentiert. time kann jedoch auch ein beliebiger Ausdruck sein, der eine Zeit in diesem Bereich repräsentiert. Wenn time Null enthält, wird Null zurückgegeben.

Bemerkungen

Sie können bei der Eingabe der Zeiten das 12- oder 24-Stunden-System verwenden. Beispiel: "2:24PM" und "14:24" sind gültige Argumente für time.

Enthält das Argument time Datumsinformationen, werden diese von TimeValue nicht zurückgegeben. Wenn time jedoch ungültige Datumsinformationen enthält, wird ein Fehler gemeldet.


 Typkonvertierungsfunktionen

Typkonvertierungsfunktionen

Die folgenden Funktionen erzwingen einen bestimmten Datentyp für Ausdrücke.

Syntax

CCur(expression)

CDate(expression)

CDbl(expression)

CInt(expression)

CLng(expression)

CSng(expression)

CVar(expression)

CStr(expression)

Das erforderliche Argument expression ist ein beliebiger Zeichenfolgenausdruck oder ein numerischer Ausdruck.

Hinweise

Die Funktion bestimmt den Rückgabetyp, wie in der folgenden Aufstellung veranschaulicht:

Funktion | Rückgabetyp | Bereich für das Argument expression
CCur | Currency | -922.337.203.685.477,5808 bis 922.337.203.685.477,5807.
CDate | Date | Ein beliebiger Datumsausdruck.
CDbl | Double | -1,79769313486232E308 bis -4,94065645841247E-324 für negative Werte; 4,94065645841247E-324 bis 1,79769313486232E308 für positive Werte.
CInt | Integer | -32.768 bis 32.767; Bruchzahlen werden gerundet.
CLng | Long | -2.147.483.648 bis 2.147.483.647; Bruchzahlen werden gerundet.
CSng | Single | -3,402823E38 bis -1,401298E-45 für negative Werte; 1,401298E-45 bis 3,402823E38 für positive Werte.
CVar | Variant | Gleicher Bereich wie Double für Zahlen. Gleicher Bereich wie String für Nicht-Zahlen.
CStr | String | Rückgabewerte für CStr hängen vom Argument expression ab (Erläuterung folgt).

Wenn das an die Funktion übergebene expression-Argument außerhalb des konvertierten Bereichs liegt, wird ein Fehler gemeldet.

Normalerweise können Sie Ihren Code mit den Datentypkonvertierungsfunktionen dokumentieren, um anzugeben, dass das Ergebnis einer Operation nicht im Vorgabedatentyp, sondern in einem bestimmten Datentyp zurückgegeben werden soll. Verwenden Sie beispielsweise CCur, um den Währungsdatentyp in Fällen zu erzwingen, in denen anderenfalls Werte mit einfacher oder doppelter Genauigkeit oder als ganze Zahlen zurückgegeben werden.

Sie sollten an Stelle der Val-Funktion die Funktionen zur Datentypkonvertierung verwenden, um internationale Konvertierungen der Datentypen auszuführen. Unter Verwendung von CCur werden beispielsweise verschiedene Dezimaltrennzeichen auf der Grundlage der Ländereinstellungen Ihres Computers einwandfrei erkannt, ebenso wie Tausende weiterer Trennzeichen und verschiedene Währungszeichen.

CInt und CLng unterscheiden sich von den Funktionen Fix und Int, die die Stellen hinter dem Komma nicht runden, sondern abschneiden. Wenn die Bruchzahl genau 0,5 beträgt, runden CInt und CLng den Wert stets auf die nächste gerade Zahl auf. Beispielsweise wird 0,5 auf 1 und 1,5 auf 2 gerundet. Fix und Int geben außerdem stets einen Wert des übergebenen Typs zurück.

Verwenden Sie die IsDate-Funktion, um festzustellen, ob sich date in ein Datum oder eine Uhrzeit konvertieren lässt. CDate erkennt Datums- und Zeitliterale sowie einige Zahlen, die innerhalb des zulässigen Datumsbereichs liegen. Bei der Konvertierung einer Zahl in ein Datum werden die Stellen vor dem Komma in ein Datum konvertiert. Die Stellen hinter dem Komma werden in die Uhrzeit konvertiert, beginnend bei Mitternacht.

CDate erkennt Datumsformate auf der Grundlage der Ländereinstellungen Ihres Computers. Möglicherweise wird nicht die richtige Reihenfolge von Tag, Monat und Jahr ermittelt, wenn ein anderes als ein kompatibles Datumsformat vorliegt. Darüber hinaus wird ein Long Date-Format nicht erkannt, wenn es ebenfalls die Zeichenfolge für den Wochentag enthält.


 Ucase-Funktion

Ucase-Funktion

Gibt einen Wert vom Typ Variant (String) mit der in Großbuchstaben konvertierten angegebenen Zeichenfolge zurück.

Syntax

UCase(string)

Das erforderliche Argument string ist ein beliebiger Zeichenfolgenausdruck. Wenn string Null enthält, wird Null zurückgegeben.

Bemerkungen

Nur Kleinbuchstaben werden in Großbuchstaben konvertiert; alle Großbuchstaben und Zeichen, die keine Buchstaben sind, bleiben unverändert.


Benutzerdefinierte Datums-/ Uhrzeitformate

Es folgen Beispiele für benutzerdefinierte Datums- und Uhrzeitformate für 7. Dezember 1958:

Format | Anzeige
d/m/yy | 7/12/58
d-mmm | 7-Dez
d-mmmm-yy | 7-Dezember-58
d mmmm | 7 Dezember
mmmm yy | Dezember 58
hh:mm AM/PM | 08:50 PM
h:mm:ss a/p | 8:50:35 p
h:mm | 20:50
h:mm:ss | 20:50:35
m/d/yy h:mm | 12/7/58 20:50


 Benutzerdefinierte Datums-/ Uhrzeitformate (Format-Funktion)

Benutzerdefinierte Datums-/ Uhrzeitformate (Format-Funktion)

In der folgenden Tabelle werden die Zeichen erläutert, die zum Erstellen benutzerdefinierter Datums-/Uhrzeitformate eingesetzt werden können:

Zeichen | Beschreibung
: | Zeittrennzeichen. Manche Ländereinstellungen verwenden möglicherweise andere Zeichen zur Darstellung des Zeittrennzeichens. Das Zeittrennzeichen trennt die Stunden, Minuten und Sekunden beim Formatieren der Zeitwerte. Das tatsächlich für die Ausgabe als Zeittrennzeichen verwendete Zeichen hängt von den Systemeinstellungen Ihres Computers ab.
/ | Datumtrennzeichen. Manche Ländereinstellungen verwenden möglicherweise andere Zeichen zur Darstellung des Datumtrennzeichens. Das Datumtrennzeichen trennt die Tage, Monate und Jahre beim Formatieren der Datumswerte. Das tatsächlich für die Ausgabe als Datumtrennzeichen verwendete Zeichen hängt von den Systemeinstellungen Ihres Computers ab.
C | Zeigt, in dieser Reihenfolge, das Datum als ddddd und die Uhrzeit als t t t t t an. Wenn keine Kommastellen für die Datumseriennummer vorhanden sind, wird nur das Datum angezeigt; wenn kein ganzzahliger Teil vorhanden ist, wird nur die Uhrzeit angezeigt.
D | Zeigt den Tag als Zahl ohne führende Null an (1 – 31).
Dd | Zeigt den Tag als Zahl mit einer führenden Null an (01 – 31).
Ddd | Zeigt eine Abkürzung für den Tag an (So – Sa).
dddd | Zeigt den vollständigen Namen des Tages an (Sonntag – Samstag).
Ddddd | Zeigt das vollständige Datum (einschließlich Tag, Monat und Jahr) gemäß der Einstellung für das kurze Datumsformat Ihres Computers an. Für Microsoft Windows lautet das standardmäßige kurze Datumsformat m/d/yy.
dddddd | Zeigt die Datumseriennummer als vollständiges Datum (einschließlich Tag, Monat und Jahr) gemäß der Einstellung für das lange Datumsformat Ihres Computers an. Für Microsoft Windows lautet das standardmäßige lange Datumsformat mmmm dd, yyyy.
w | Zeigt den Tag der Woche als Zahl an (1 für Sonntag bis 7 für Samstag).
ww | Zeigt die Woche des Jahres als Zahl an (1 – 53).
m | Zeigt den Monat als Zahl ohne eine führende Null an (1 – 12). Wenn m unmittelbar auf h oder hh folgt, wird statt dem Monat die Minute angezeigt.
mm | Zeigt den Monat als Zahl mit einer führenden Null an (01 – 12). Wenn m unmittelbar auf h oder hh folgt, wird statt dem Monat die Minute angezeigt.
mmm | Zeigt eine Abkürzung für den Monat an (Jan – Dez).
mmmm | Zeigt den vollständigen Namen des Monats an (Januar – Dezember).
q | Zeigt das Quartal als Zahl an (1 – 4).
y | Zeigt den Tag des Jahres als Zahl an (1 – 366).
yy | Zeigt das Jahr als zweistellige Zahl an (00 – 99).
yyyy | Zeigt das Jahr als vierstellige Zahl an (100 – 9999).
h | Zeigt die Stunde als Zahl ohne führende Nullen an (0 – 23).
hh | Zeigt die Stunde als Zahl mit führenden Nullen an (00 – 23).
n | Zeigt die Minute als Zahl ohne führende Nullen an (0 – 59).
nn | Zeigt die Minute als Zahl mit führenden Nullen an (00 – 59).
s | Zeigt die Sekunde als Zahl ohne führende Nullen an (0 – 59).
ss | Zeigt die Sekunde als Zahl mit führenden Nullen an (00 – 59).
t t t t t | Zeigt die vollständige Uhrzeit (einschließlich Stunde, Minute und Sekunde) mit dem Zeittrennzeichen des Zeitformats an, das von Ihrem Computer erkannt wird. Eine führende Null wird angezeigt, wenn die Option für führende Nullen ausgewählt wird und es früher als 10:00 A.M. oder P.M. ist. Das Standardzeitformat von Microsoft Windows lautet h:mm:ss.
AM/PM | Verwendet das 12-Stunden-System und zeigt AM in Großbuchstaben für die Stunden vor Mittag an; für die Stunden zwischen Mittag und 11:59 P.M. wird PM in Großbuchstaben angezeigt.
am/pm | Verwendet das 12-Stunden-System und zeigt AM in Kleinbuchstaben für die Stunden vor Mittag an; für die Stunden zwischen Mittag und 11:59 P.M. wird PM in Kleinbuchstaben angezeigt.
A/P | Verwendet das 12-Stunden-System und zeigt A in Großbuchstaben für die Stunden vor Mittag an; für die Stunden zwischen Mittag und 11:59 P.M. wird P in Großbuchstaben angezeigt.
a/p | Verwendet das 12-Stunden-System und zeigt A in Kleinbuchstaben für die Stunden vor Mittag an; für die Stunden zwischen Mittag und 11:59 P.M. wird P in Kleinbuchstaben angezeigt.
AMPM | Verwendet das 12-Stunden-System und zeigt das von Ihrem Computer definierte AM-Literal für die Stunden vor Mittag an; für die Stunden zwischen Mittag und 11:59 P.M. wird das von Ihrem Computer definierte PM-Literal angezeigt. AMPM kann Groß- oder Kleinbuchstaben ausgeben, aber die Groß/Kleinschreibung der angezeigten Zeichenfolge stimmt mit der in den Systemeinstellungen definierten Zeichenfolge überein. Für Microsoft Windows lautet das Standardformat AM/PM.


 Benutzerdefinierte numerische Formatausdrücke

Benutzerdefinierte numerische Formatausdrücke

Die folgende Tabelle enthält einige Beispiele für numerische Formatausdrücke (bei allen Beispielen wird davon ausgegangen, dass in den Ländereinstellungen der Systemsteuerung US-Englisch eingestellt ist). Die erste Spalte enthält die Formatzeichenfolgen; die anderen Spalten enthalten die Ausgabe, die sich ergibt, wenn die formatierten Daten den Wert in den Spaltenüberschriften besitzen.

Format (Format) | Positive 5 | Negative 5 | Dezimal-5 | Null
Zeichenfolge der Länge Null | 5 | -5 | 0.5 |
0 | 5 | -5 | 1 |
0.00 | 5.00 | -5.00 | 0.50 |
#,##0 | 5 | -5 | 1 |
#,##0.00;;;Nil | 5.00 | -5.00 | 0.50 | Nil
$#,##0;($#,##0) | $5 | ($5) | $1 |
$#,##0.00;($#,##0.00) | $5.00 | ($5.00) | $0.50 |
0% | 500% | -500% | 50% |
0.00% | 500.00% | -500.00% | 50.00% |
0.00E+00 | 5.00E+00 | -5.00E+00 | 5.00E-01 |
0.00E-00 | 5.00E00 | -5.00E00 | 5.00E-01 |


 Benutzerdefinierte numerische Formate (Format-Funktion)

Benutzerdefinierte numerische Formate (Format-Funktion)

In der folgenden Tabelle werden die Zeichen erläutert, die Sie zum Erstellen benutzerdefinierter Zahlenformate verwenden können:

Zeichen | Beschreibung
Kein | Keine Formatierung.
Zeigt die Zahl ohne Formatierung an.
0 | Ziffernplatzhalter
Zeigt eine Ziffer oder Null an. Wenn der Ausdruck eine Ziffer an der Stelle aufweist, an der die 0 in der Formatzeichenfolge erscheint, wird die Ziffer angezeigt; anderenfalls wird an dieser Position Null angezeigt.
Besitzt die Zahl weniger Ziffern als Nullen (auf beiden Seiten des Dezimalzeichens) im Formatausdruck werden führende oder nachgestellte Nullen angezeigt. Besitzt die Zahl mehr Ziffern rechts des Dezimaltrennzeichens als Nullen rechts des Dezimaltrennzeichens im Formatausdruck, werden die Dezimaltrennzeichen auf die Zahl der Nullen gerundet. Besitzt die Zahl mehr Ziffern links des Dezimaltrennzeichens als Nullen rechts des Dezimaltrennzeichens im Formatausdruck, werden die zusätzlichen Ziffern ohne Änderung angezeigt.
# Ziffernplatzhalter
Eine Ziffer oder nichts anzeigen. Besitzt der Ausdruck eine Ziffer an der Position, an der # im Formatausdruck erscheint, wird die Ziffer angezeigt; anderenfalls wird an dieser Position nichts angezeigt.
Dieses Symbol hat dieselbe Funktion wie der Ziffernplatzhalter 0, außer dass führende und nachgestellte Nullen nicht angezeigt werden, wenn die Zahl dieselbe Zahl an Ziffern oder weniger aufweist als #-Zeichen auf beiden Seiten des Dezimaltrennzeichens im Formatausdruck vorhanden sind.
. Dezimalplatzhalter
Manche Ländereinstellungen verwenden ein Komma als Dezimaltrennzeichen. Der Dezimalplatzhalter bestimmt, wie viele Ziffern links und rechts des Dezimaltrennzeichens angezeigt werden. Enthält der Formatausdruck nur Zahlen links dieses Symbols, steht vor Zahlen, die kleiner als 1 sind, ein Dezimaltrennzeichen. Verwenden Sie zur Anzeige einer führenden Null, die mit Nachkommastellen ausgedrückt ist, 0 als ersten Ziffernplatzhalter links des Dezimaltrennzeichens. Das tatsächlich für die Ausgabe als Dezimaltrennzeichen verwendete Zeichen hängt von dem von Ihrem Computer erkannten Zahlenformat ab.
% Prozentplatzhalter
Der Ausdruck wird mit 100 multipliziert. Das Prozentzeichen (%) wird an der Stelle eingefügt, an der es in der Formatzeichenfolge erscheint.
, Tausender-Trennzeichen
Manche Ländereinstellungen verwenden einen Punkt als Tausender-Trennzeichen. Das Tausender-Trennzeichen trennt bei Zahlen, die mindestens vier Stellen links des Dezimaltrennzeichens aufweisen, die Tausender von den Hundertern. Das Tausender-Trennzeichen wird standardmäßig verwendet, wenn das Format ein Tausender-Trennzeichen, eingeschlossen von Ziffernplatzhaltern (o oder #), aufweist. Zwei Tausender-Trennzeichen hintereinander oder ein Tausender-Trennzeichen unmittelbar links des Dezimaltrennzeichens (egal ob eine Dezimalstelle vorhanden ist) bedeuten, dass die Zahl durch Teilen mit 1000 skaliert und gegebenenfalls gerundet werden soll. Stellen Sie zum Beispiel mit der Formatzeichenfolge "##0,," 100 Millionen als 100 dar. Zahlen, die kleiner sind als 1 Million, werden als 0 dargestellt. Zwei aufeinander folgende Tausender-Trennzeichen an einer anderen Position als unmittelbar links des Dezimaltrennzeichens werden als Tausender-Trennzeichen interpretiert. Das tatsächlich für die Ausgabe als Tausender-Trennzeichen verwendete Zeichen hängt von dem von Ihrem Computer erkannten Zahlenformat ab.
: Zeittrennzeichen
Manche Ländereinstellungen verwenden möglicherweise andere Zeichen zur Darstellung des Zeittrennzeichens. Das Zeittrennzeichen trennt die Stunden, Minuten und Sekunden beim Formatieren der Zeitwerte. Das tatsächlich für die Ausgabe als Zeittrennzeichen verwendete Zeichen hängt von den Systemeinstellungen Ihres Computers ab.
/ Datumtrennzeichen
Manche Ländereinstellungen verwenden möglicherweise andere Zeichen zur Darstellung des Datumtrennzeichens. Das Datumtrennzeichen trennt die Tage, Monate und Jahre beim Formatieren der Datumswerte. Das tatsächlich für die Ausgabe als Datumtrennzeichen verwendete Zeichen hängt von den Systemeinstellungen Ihres Computers ab.
E- E+ e- e+ | Wissenschaftliches Format
Wenn der Formatausdruck mindestens einen Ziffernplatzhalter (0 oder #) rechts von E-, E+, e- oder e+ enthält, wird die Zahl im wissenschaftlichen Format angezeigt und E oder e wird zwischen der Zahl und dem Exponenten eingefügt. Die Zahl der Ziffernplatzhalter rechts bestimmen die Zahl der Exponentenstellen. Verwenden Sie E- oder e-, um ein Minuszeichen vor negativen Exponenten einzufügen. Verwenden Sie E+ oder e+, um vor negativen Exponenten ein Minuszeichen und vor positiven Exponenten ein Pluszeichen einzufügen.
- + $ ( ) Leerzeichen | Anzeigen eines Literalzeichens
Um ein anderes als die aufgeführten Zeichen anzuzeigen, fügen Sie vor dem Zeichen einen umgekehrten Schrägstrich (\) ein, oder schließen Sie es in doppelte Anführungszeichen (" ") ein.
\ Anzeigen des nächsten Zeichens in der Formatzeichenfolge
Um ein Zeichen anzuzeigen, das eine spezielle Bedeutung als Literalzeichen besitzt, fügen Sie vor dem Zeichen einen umgekehrten Schrägstrich (\) ein. Der umgekehrte Schrägstrich selbst wird nicht angezeigt. Die Verwendung des umgekehrten Schrägstrichs ist identisch mit dem Einschließen des nächsten Zeichens in doppelten Anführungszeichen. Verwenden Sie zwei umgekehrte Schrägstriche (\\), um einen umgekehrten Schrägstrich anzuzeigen.
Beispiele für Zeichen, die nicht als Literalzeichen dargestellt werden können, sind die Datum- und Zeitformatierungszeichen (a, c, d, h, m, n, p, q, s, t, w, y, und /:), die Formatierungszeichen für Zahlen (#, 0, %, E, e, Komma und Punkt) sowie die Formatierungszeichen für Zeichenfolgen (@, &, <, > und !).
"ABC" | Anzeigen der Zeichenfolge zwischen den doppelten Anführungszeichen
Um eine Zeichenfolge in Format aus einer Formel einzufügen, müssen Sie den Text mit Chr(34) einschließen (34 ist der Zeichencode für doppelte Anführungszeichen (" ")).


 Benutzerdefinierte Zeichenfolgenformate (Format-Funktion)

Benutzerdefinierte Zeichenfolgenformate (Format-Funktion)

Sie können die folgenden Zeichen verwenden, um einen Formatausdruck für Zeichenfolgen zu erstellen:

Zeichen | Beschreibung
@ | Zeichenplatzhalter
 | Zeigt ein Zeichen oder Leerzeichen an. Wenn die Zeichenfolge ein Zeichen an der Stelle aufweist, an der @ in der Formatzeichenfolge erscheint, wird das Zeichen angezeigt; anderenfalls wird an dieser Position ein Leerzeichen angezeigt. Platzhalter werden von rechts nach links gefüllt, außer in der Formatzeichenfolge ist das Zeichen ! vorhanden.
& | Zeichenplatzhalter
 | Zeigt ein Zeichen oder nichts an. Wenn die Zeichenfolge ein Zeichen an der Stelle aufweist, an der & in der Formatzeichenfolge erscheint, wird das Zeichen angezeigt; anderenfalls wird nichts angezeigt. Platzhalter werden von rechts nach links gefüllt, außer in der Formatzeichenfolge ist das Zeichen ! vorhanden.
< | Kleinbuchstaben erzwingen
 | Zeigt alle Zeichen als Kleinbuchstaben an.
> | Großbuchstaben erzwingen
 | Zeigt alle Zeichen als Großbuchstaben an.
! | Auffüllen der Platzhalter von links nach rechts erzwingen
 | Standardmäßig werden Platzhalter von rechts nach links gefüllt.


 Val-Funktion

Val-Funktion

Gibt die Zahlen in einer Zeichenfolge als numerischen Wert vom entsprechenden Typ zurück.

Syntax

Val(string)

Das erforderliche Argument string ist ein beliebiger Zeichenfolgenausdruck.

Bemerkungen

Die Val-Funktion beendet den Lesevorgang der Zeichenfolge beim ersten Zeichen, das nicht als Teil der Zahl erkannt wird. Symbole und Zeichen, die oft als Bestandteil numerischer Werte betrachtet werden, wie zum Beispiel das Dollarzeichen und Kommas, werden nicht erkannt. Diese Funktion erkennt jedoch die Radixpräfixe &O (für Oktal) und &H (für Hexadezimal). Leerzeichen, Tabulatoren und Zeilenvorschübe werden aus dem Argument entfernt.

Die folgende Zeile gibt den Wert 168 zurück:

Val("    16 8th Street N.")

Im folgenden Beispiel gibt Val den Dezimalwert -1 für den angezeigten Hexadezimalwert zurück:

Val("&HFFFF")

Anmerkung Die Val-Funktion erkennt nur den Punkt (.) als gültiges Dezimaltrennzeichen. Wenn die Möglichkeit besteht, dass unterschiedliche Dezimaltrennzeichen verwendet werden (zum Beispiel in internationalen Anwendungen), sollten Sie CDbl zum Konvertieren von Zeichenfolgen in Zahlen verwenden.


 Weekday-Funktion

Weekday-Funktion

Gibt einen Wert vom Typ Variant (Integer) mit einer Ganzzahl für den Wochentag zurück.

Syntax

Weekday(date, [firstdayofweek])

Die Syntax der Weekday-Funktion besitzt die folgenden benannten Argumente:

Argument | Beschreibung
date | Erforderlich. Variant, numerischer Ausdruck, Zeichenfolgenausdruck oder eine beliebige Kombination, die ein Datum repräsentiert. Wenn date Null enthält, wird Null zurückgegeben.
Firstdayofweek | Optional. Gibt den ersten Tag der Woche an. Erfolgt keine Angabe, wird Sonntag vorausgesetzt.

Einstellungen

Das Argument firstdayofweek besitzt die folgenden Einstellungen:

Wert | Beschreibung
0 | NLS-API-Einstellung verwenden.
1 | Sonntag (Vorgabe)
2 | Montag
3 | Dienstag
4 | Mittwoch
5 | Donnerstag
6 | Freitag

7 Samstag

Rückgabewerte

Die Weekday-Funktion besitzt die folgenden Rückgabewerte:

Wert | Beschreibung
1 | Sonntag
2 | Montag
3 | Dienstag
4 | Mittwoch
5 | Donnerstag
6 | Freitag
7 | Samstag


 Year-Funktion

Year-Funktion

Gibt einen Wert vom Typ Variant (Integer) mit einer Ganzzahl für das Jahr zurück.

Syntax

Year(date)

Das erforderliche Argument date kann ein Wert vom Typ Variant, ein numerischer Ausdruck, ein Zeichenfolgenausdruck oder eine beliebige Kombination sein, die das Datum repräsentiert. Wenn date Null enthält, wird Null zurückgegeben.


Hinzufügen weiterer benutzerdefinierter Steuerelemente zur Steuerelement-Werkzeugsammlung

  1. Klicken Sie mit der rechten Maustaste auf ein beliebiges Steuerelement oder in einen leeren Bereich auf einer beliebigen Seite in der Steuerelement-Werkzeugsammlung, und klicken Sie anschließend im Kontextmenü auf Benutzerdefinierte Steuerelemente.

  2. Aktivieren Sie im Dialogfeld Verfügbare Steuerelemente die Kontrollkästchen neben den Steuerelementen, die Sie hinzufügen möchten.


 Hinzufügen einer benutzerdefinierten Schaltfläche oder eines Menübefehls zum Starten eines Antwortformulars

Hinzufügen einer benutzerdefinierten Schaltfläche oder eines Menübefehls zum Starten eines Antwortformulars

  1. Klicken Sie im Entwurfsmodus auf die Registerkarte Aktionen des Formulars.

  2. Klicken Sie auf eine von Ihnen erstellte Aktion und anschließend auf die Schaltfläche Eigenschaften.

  3. Aktivieren Sie das Kontrollkästchen Aktion anzeigen.

  4. Klicken Sie auf Auf Menü und Symbolleiste, um eine Schaltfläche und einen Menübefehl hinzuzufügen.

    Klicken Sie auf Nur auf Menü, um nur einen Menübefehl hinzuzufügen.

    Der Text im Feld Aktionsname wird als Befehls- oder Schaltflächenname im Formular verwendet.

Anmerkung Der Menübefehl wird bei Nachrichtenformularen dem Menü Aktionen, bei Kontaktformularen dem Menü Kontakt und bei Terminformularen dem Menü Termin hinzugefügt.


 Hinzufügen eines geänderten Steuerelements zur Steuerelement-Werkzeugsammlung

Hinzufügen eines geänderten Steuerelements zur Steuerelement-Werkzeugsammlung

  1. Falls die Steuerelement-Werkzeugsammlung nicht angezeigt wird, klicken Sie auf Steuerelement-Werkzeugsammlung [image] .

  2. Ziehen Sie das gewünschte Steuerelement aus der Steuerelement-Werkzeugsammlung auf Ihr Formular, und passen Sie das Steuerelement Ihren Anforderungen entsprechend an.

    Um beispielsweise eine Schaltfläche OK zu erstellen, ziehen Sie ein Befehlsschaltflächen-Steuerelement (CommandButton) auf das Formular, setzen dessen Caption-Eigenschaft auf OK und dessen Default-Eigenschaft auf True.

  3. Markieren Sie das benutzerdefinierte Steuerelement.

  4. Ziehen Sie das Steuerelement auf die Steuerelement-Werkzeugsammlung.

Anmerkung Wenn Sie ein Steuerelement auf die Steuerelement-Werkzeugsammlung ziehen, transferieren Sie lediglich die Werte der erweiterten Eigenschaften. Jeglicher Code oder jegliche Werte von Outlook-Eigenschaften, den bzw. die Sie für dieses Steuerelement geschrieben bzw. diesem zugewiesen haben, werden nicht zusammen mit dem Steuerelement transferiert. Sie müssen also neuen Code für das Symbol schreiben oder Code vom Steuerelement im Formular auf das Steuerelement in der Steuerelement-Werkzeugsammlung kopieren. Klicken Sie auf [image] , um Informationen über das Festlegen von Eigenschaften für Steuerelemente zu erhalten.


 So fügen Sie einer Liste zur Laufzeit Elemente hinzu

So fügen Sie einer Liste zur Laufzeit Elemente hinzu

Verwenden Sie in einem einspaltigen Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox) die AddItem-Methode, um der Liste einen einzelnen Eintrag hinzuzufügen.

In einem mehrspaltigen Listenfeld oder Kombinationsfeld können Sie die List-Eigenschaft und die Column-Eigenschaft verwenden, um die Liste aus einem zweidimensionalen Array zu laden, wie mit den nachstehenden Schritten beschrieben.

  1. Erstellen Sie ein mehrspaltiges Listenfeld-Steuerelement (ListBox) oder Kombinationsfeld-Steuerelement (ComboBox).

  2. Erstellen Sie in VBScript einen zweidimensionalen Array, das die Elemente enthält, die Sie in die Liste aufnehmen möchten.

  3. Stellen Sie die ColumnCount-Eigenschaft des Listenfeld-Steuerelements (ListBox) oder Kombinationsfeld-Steuerelements (ComboBox) so ein, dass sie der Anzahl der Einträge in der Liste entspricht. Zum Festlegen der Eigenschaft klicken Sie auf die Eigenschaft, und geben Sie dann einen Wert in das Feld Übernehmen ein.

  4. Führen Sie eine der folgenden Aktionen aus:
    • Weisen Sie den Array als Wert der List-Eigenschaft zu. Auf diese Weise entspricht der Inhalt des Listenfeldes exakt dem Inhalt des Arrays.

    • Weisen Sie den Array als Wert der Column-Eigenschaft zu. Die Column-Eigenschaft stellt die Zeilen und Spalten um, so dass jede Zeile des Listenfeldes der entsprechenden Spalte des Arrays entspricht.


 Löschen nicht mehr benötigter Steuerelemente von oder Hinzufügen zu einem Formular

Löschen nicht mehr benötigter Steuerelemente von oder Hinzufügen zu einem Formular

Während sich das Formular im Entwurfsmodus befindet, gehen Sie folgendermaßen vor:

  1. Zum Hinzufügen eines Steuerelements klicken Sie auf Steuerelement-Werkzeugsammlung [image] und ziehen das gewünschte Steuerelement anschließend auf das Formular.

  2. Legen Sie die Eigenschaften für das Steuerelement fest.

    Vorgehensweise

  3. Zum Entfernen eines Steuerelements klicken Sie mit der rechten Maustaste auf das Steuerelement und anschließend im Kontextmenü auf Löschen.


 So berechnen Sie automatisch das Ergebnis eines Feldes

So berechnen Sie automatisch das Ergebnis eines Feldes

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das Steuerelement, das an das Feld gebunden ist, dessen Eigenschaften Sie ändern möchten, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Aktivieren Sie in der Registerkarte Wert das Kontrollkästchen Startwert des Feldes setzen auf.

  3. Geben Sie im darunter befindlichen Feld den Namen des Feldes ein, das Sie verwenden möchten.

  4. Klicken Sie auf Formel automatisch berechnen.

  5. Wenn Sie das Steuerelement schreibschützen möchten, klicken Sie auf die Registerkarte Anzeige, und aktivieren Sie das Kontrollkästchen Schreibgeschützt.


 Automatisches Einfügen von Text im Feld "Betreff" eines Antwortformulars

Automatisches Einfügen von Text im Feld "Betreff" eines Antwortformulars

  1. Klicken Sie im Entwurfsmodus auf die Registerkarte Aktionen des Formulars.

  2. Klicken Sie auf die Aktion, der Sie den Präfixtext hinzufügen möchten, und klicken Sie dann auf die Schaltfläche Eigenschaften.

  3. Geben Sie in das Feld Betreff-Präfix den gewünschten Text ein (Outlook fügt nach dem Text automatisch einen Doppelpunkt hinzu).

    Geben Sie beispielsweise das Präfix "Re:" für ein Antwortformular ein.


 Binden eines Steuerelements an ein Feld

Binden eines Steuerelements an ein Feld

Wenn Sie mit der Steuerelement-Toolbox ein Steuerelement erstellt haben und die darin enthaltenen Daten mit dem Formular gespeichert werden sollen, müssen Sie das Steuerelement an ein Feld binden. Hierbei wird zwischen dem Steuerelement und der Datenquelle, in diesem Fall einem Feld in dem Element, eine Verknüpfung hergestellt.

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das Steuerelement, das Sie an ein Feld binden möchten, und klicken Sie dann im Kontextmenü auf Eigenschaften.

  2. Klicken Sie auf der Registerkarte Wert auf Feld auswählen, zeigen Sie auf einen Feldsatz, und klicken Sie auf das Feld, an das Sie das Steuerelement binden möchten. Soll das Steuerelement an ein neues Feld gebunden werden, das Sie erstellen, klicken Sie auf Neu. Geben Sie im Feld Neues Feld im Bereich Name: den Namen des neuen Feldes ein. Klicken Sie dann im Feld Neues Feld auf OK.

  3. Klicken Sie im Feld Eigenschaften auf OK.

Anmerkung Wenn Sie ein Listenfeld-Steuerelement (ListBox), ein Kombinationsfeld-Steuerelement (ComboBox), ein Optionsfeld-Steuerelement (OptionButton) oder ein Kontrollkästchen-Steuerelement (CheckBox) an ein Feld binden, wird das Click-Ereignis nicht ausgelöst. Sie müssen das PropertyChange- oder das CustomPropertyChange-Ereignis verwenden, damit die Änderung mit Hilfe des Codes erkannt wird.

Beispiel:

Sub Item_PropertyChange(ByVal Name)
Set MyListBox = Item.GetInspector.ModifiedFormPages("Message").Controls("ListBox1")
Select Case Name
    Case "Mileage"
        Item.CC = MyListBox.Value
        Item.Subject = MyListBox.Value
    Case Else
End Select
End Sub


ByVal-Verweise

Das Schlüsselwort ByVal ist eine Methode, anstatt der Adresse den Wert eines Arguments an eine Prozedur zu übergeben. Auf diese Weise kann die Prozedur auf eine Kopie der Variablen zugreifen. So wird verhindert, dass der tatsächliche Wert der Variablen von der Prozedur geändert wird, an die sie übergeben wird.


 So erstellen Sie eine Reihe von Optionsfelder-Steuerelementen (OptionButton) mit Hilfe der GroupName-Eigenschaft

So erstellen Sie eine Reihe von Optionsfelder-Steuerelementen (OptionButton) mit Hilfe der GroupName-Eigenschaft

  1. Platzieren Sie alle erforderlichen Optionsfelder-Steuerelemente (OptionButton) auf dem Formular.

    Beachten Sie, dass Optionsfelder auf einer Seite, in einem Multiseiten-Steuerelement (MultiPage) oder einem Rahmen-Steuerelement (Frame) automatisch eine Optionsfeldergruppe bilden.

  2. Legen Sie für jedes Optionsfeld in der Gruppe die GroupName-Eigenschaft auf den gleichen Wert fest.


 Erstellen eines Outlook-Elements

Erstellen eines Outlook-Elements

Bei dieser Prozedur wird das Click-Ereignis zum Aufrufen von CreateItem verwendet, um so einen Termin zu erstellen und anzuzeigen, wenn der Benutzer auf die Befehlsschaltfläche1 (CommandButton1) klickt.

Während sich das Formular im Entwurfsmodus befindet, gehen Sie folgendermaßen vor:

  1. Erstellen Sie mit Hilfe der Steuerelement-Werkzeugsammlung auf Ihrem Formular ein Befehlsschaltflächen-Steuerelement (CommandButton).

    Vorgehensweise

  2. Öffnen Sie den Skript-Editor.

    Vorgehensweise

  3. Geben Sie folgenden Code ein, wobei Sie den Wert aus der nachstehenden Tabelle verwenden, um den Elementtyp anzugeben, den Sie erstellen möchten.
    Sub CommandButton1_Click
    Application.CreateItem(1).Display
End Sub
Elementtyp | Wert
MailItem | 0
AppointmentItem | 1
ContactItem | 2
TaskItem | 3
JournalItem | 4
NoteItem | 5
PostItem | 6
DistListItem | 7


Ändern einer Eigenschaft eines Steuerelements

Wenn Sie eine Eigenschaft für ein Steuerelement auf einer Seite ändern möchten, verwenden Sie einen ähnlichen Code wie den folgenden. Dieses Beispiel verweist auf ein Textfeld-Steuerelement (TextBox) mit dem Namen "TextBox1" auf Seite "P.2".

Item.GetInspector.ModifiedFormPages("P.2").TextBox1

Um die Steuerelemente durchzublättern und die Visible-Eigenschaft für alle Steuerelemente auf einer Seite zu ändern, verwenden Sie einen ähnlichen Code wie den folgenden.

Set myPage = Item.GetInspector.ModifiedFormPages("P.2")
For i = 0 to myPage.Controls.Count - 1
    myPage.Controls(i).Visible = False
Next


 Erstellen eines benutzerdefinierten Antwortformulars

Erstellen eines benutzerdefinierten Antwortformulars

  1. Erstellen Sie das benutzerdefinierte Antwortformular mit den gewünschten Optionen und dem gewünschten Layout.

  2. Veröffentlichen Sie das Formular in Ihrer Bibliothek für persönliche Formulare.

    Vorgehensweise

  3. Stellen Sie im Hauptformular, das mit dem Antwortformular verknüpft ist, die entsprechenden Optionen ein.

    Vorgehensweise


 Formatieren eines Steuerelements als transparent

Formatieren eines Steuerelements als transparent

  1. Klicken Sie mit der rechten Maustaste auf das Steuerelement, das Sie transparent formatieren möchten, und klicken Sie anschließend im Kontextmenü auf Erweiterte Eigenschaften.

  2. Setzen Sie die BackStyle-Eigenschaft auf Transparent. Klicken Sie hierzu auf die BackStyle-Eigenschaft und dann in der Liste Übernehmen auf Transparent. Wenn das Steuerelement die BorderStyle-Eigenschaft unterstützt, setzen Sie diese auf Kein.

Anmerkung Wenn Sie ein Steuerelement transparent formatieren, wird die Hintergrundfarbe nicht angezeigt, daher wird die BackColor-Eigenschaft ignoriert. Die Einstellung für BackColor wird jedoch nicht geändert, wenn ein Steuerelement transparent ist. Weitere Informationen über Transparenz erhalten Sie, indem Sie hierauf klicken.


 Ändern eines benutzerdefinierten Feldes in einem Ordner

Ändern eines benutzerdefinierten Feldes in einem Ordner

  1. Klicken Sie auf den Ordner, für den Sie das benutzerdefinierte Feld ändern möchten.

  2. Zeigen Sie im Menü Ansicht auf Aktuelle Ansicht, und klicken Sie dann auf der Grundlage der verfügbaren Ansichtstypen auf eine Ansicht.

  3. Klicken Sie mit der rechten Maustaste auf die Spaltenüberschrift des benutzerdefinierten Feldes, und klicken Sie dann im Kontextmenü auf Spalten formatieren.

  4. Wählen Sie die gewünschten Optionen.


 Angeben, ob ein Formular eine Benutzeraufforderung anzeigt, geöffnet oder gesendet wird

Angeben, ob ein Formular eine Benutzeraufforderung anzeigt, geöffnet oder gesendet wird

  1. Klicken Sie im Entwurfsmodus auf die Registerkarte Aktionen des Formulars.

  2. Klicken Sie auf die gewünschte Aktion und anschließend auf die Schaltfläche Eigenschaften.

  3. Klicken Sie unter Diese Aktion auf die Option, die das Formular ausführen soll.
Option | Aktion
Öffnet das Formular | Das Formular öffnen, damit der Benutzer Informationen eingeben kann.
Sendet das Formular sofort | Das Formular an die angegebene Adresse senden, ohne es zu öffnen.
Überlässt die Entscheidung dem Benutzer | Den Benutzer auffordern, das Formular zu öffnen oder zu senden.

Anmerkung Wenn Sie auf Sendet das Formular sofort klicken, müssen Sie das Formular voradressieren.


Wechseln zu einer bestimmten Codezeile

  1. Öffnen Sie den Skript-Editor.

    Vorgehensweise

  2. Klicken Sie im Menü Bearbeiten auf Gehe zu.

  3. Geben Sie im Feld Zeilennummer die Nummer der Codezeile ein, zu der Sie wechseln möchten.


 Deaktivieren eines Standardantwortformulars

Deaktivieren eines Standardantwortformulars

  1. Klicken Sie im Entwurfsmodus auf die Registerkarte Aktionen des Formulars.

  2. Klicken Sie auf die gewünschte Aktion und dann auf die Schaltfläche Eigenschaften.

  3. Deaktivieren Sie das Kontrollkästchen Aktiviert.


 Verwenden des Outlook-Objektkatalogs

Verwenden des Outlook-Objektkatalogs

So zeigen Sie den Outlook-Objektkatalog an:

1 Öffnen Sie ein Formular im Entwurfsmodus.

2 Klicken Sie im Menü Formular auf Code anzeigen, um den Skript-Editor aufzurufen.

3 Klicken Sie im Skript-Editor im Menü Skript auf Objektkatalog, oder drücken Sie F2.

Alle verfügbaren Outlook-Objekte werden im Objektkatalog im Fensterausschnitt Klassen in alphabetischer Reihenfolge aufgelistet.

Zum Anzeigen der Elemente eines Objekts markieren Sie das Objekt im Fensterausschnitt Klassen. Die Elemente des markierten Objekts werden in alphabetischer Reihenfolge im Fensterausschnitt Elemente von angezeigt. Der Titel im oberen Bereich des Fensterausschnitts gibt den Namen des gewählten Objekts wieder. Wenn Sie z. B. im Fensterausschnitt Klassen das Objekt AppointmentItem gewählt haben, lautet der Titel des Fensterausschnitts Elemente von AppointmentItem.

Im Fensterausschnitt Details finden Sie die Definition des gewählten Elements. Dieser Text ist schreibgeschützt und kann nicht kopiert und in den Skript-Editor eingefügt werden.

So fügen Sie ein Objekt aus dem Objektkatalog in den Skript-Editor ein:

1 Positionieren Sie im Skript-Editor den Mauszeiger an der Stelle, an der Sie das Objekt einfügen möchten.

2 Wählen Sie das gewünschte Objekt im Fensterausschnitt Klassen aus.

3 Wählen Sie im Fensterausschnitt Element von das gewünschte Element des Objekts aus.

4 Klicken Sie auf die Schaltfläche Einfügen.

Anmerkung Die Schaltfläche Einfügen ist abgeblendet, bis das Element eines Objekts markiert ist.


 Verwenden des Skriptdebuggers von Outlook

Verwenden des Skriptdebuggers von Outlook

Um den Skriptdebugger verwenden zu können, öffnen Sie zunächst ein Formular im Entwurfsmodus.

Um dem Formular ein VBScript hinzuzufügen, klicken Sie im Menü Formular auf Code anzeigen. Fügen Sie im Fenster Skript-Editor das erforderliche VBScript für Ihr Formular hinzu.

Klicken Sie auf [image] , um weitere Informationen über das Hinzufügen von VBScript zu einem Formular zu erhalten.

Klicken Sie im Menü Formular auf Dieses Formular ausführen.

Während sich das Formular im Ausführungsmodus befindet, wählen Sie Formulare aus dem Menü Extras und klicken dann auf Skriptdebugger.

Sie können den Debugger auch mit Hilfe einer Stopp-Anweisung im Code starten.

Anmerkung Falls für das aktuelle Formular kein VBScript zur Verfügung steht, ist der Menüeintrag Skriptdebugger abgeblendet.

Das VBScript für das aktuelle Formular wird in einem schreibgeschützten Fenster angezeigt. Sie können den Text in diesem Fenster nicht ändern.

Wählen Sie in Microsoft Script Debugger Help Topics aus dem Menü ?, um weitere Informationen zu folgenden Themen zu erhalten:

  • Debuggen von Skripten

  • Anzeigen des Quellcodes

  • Steuern der Programmausführung

  • Anzeigen und Ändern von Werten

  • Anzeigen und Steuern des Programmablaufs


 Das erstellte Formular kann nicht gefunden werden

Das erstellte Formular kann nicht gefunden werden

  • Das Formular ist möglicherweise nur als Antwortformular für Nachrichten sichtbar. Zum Umschalten des Antwortformulars erstellen Sie ein Formular, wie beispielsweise ein neues Nachrichtenformular, und senden dieses Formular dann an sich selbst. Öffnen Sie das Antwortformular, klicken Sie auf die Seite Eigenschaften, und deaktivieren Sie das Kontrollkästchen Formular nur für Antworten. Klicken Sie auf [image] , um Informationen über das Öffnen eines Formulars zu erhalten.

  • Das Formular wurde möglicherweise nicht oder nicht in einer Formularbibliothek gespeichert. Klicken Sie auf [image] , um Informationen über das Speichern eines Formulars zu erhalten.

  • Abhängig vom verwendeten Elementtyp ist das Formular möglicherweise leichter anzuzeigen, wenn Sie zu einer Tabellenansicht wechseln.


Kopieren eines Formulars in eine andere Formularbibliothek

  1. Klicken Sie im Menü Extras auf Optionen und dann auf die Registerkarte Weitere.

  2. Klicken Sie auf die Schaltfläche Erweiterte Optionen.

  3. Klicken Sie auf die Schaltfläche Benutzerformulare.

  4. Klicken Sie auf die Schaltfläche Formulare verwalten.

  5. Um die Formularbibliothek zu wechseln, klicken Sie auf Einrichten.

  6. Klicken Sie im linken Feld auf das Formular, das Sie in die Formularbibliothek, die im rechten Feld angezeigt wird, kopieren möchten.

  7. Klicken Sie auf Kopieren.

Um ein Formular in eine Ordner-Formularbibliothek oder eine Bibliothek für organisatorische Formulare zu kopieren, müssen Sie über die entsprechenden Berechtigungen verfügen.

Anmerkung Wenn Sie ein Formular aus der Bibliothek für persönliche Formulare in eine Ordner-Formularbibliothek oder eine Bibliothek für organisatorische Formulare kopieren, müssen Sie den Namen oder eine Eigenschaft des Formulars ändern. Outlook aktualisiert nur die Formulare in der Bibliothek für persönliche Formulare, wenn das Formular aus der Ordner-Formularbibliothek oder der Bibliothek für organisatorische Formulare über andere Eigenschaften verfügt. Informieren Sie sich ausführlicher über Formularnamen und Nachrichtenklassen.


 Voradressieren eines Antwortformulars an einen Öffentlichen Ordner oder eine E-Mail-Adresse

Voradressieren eines Antwortformulars an einen Öffentlichen Ordner oder eine E-Mail-Adresse

Wenn Sie ein Formular auf einen Öffentlichen Ordner voradressieren möchten, müssen Sie zunächst den Öffentlichen Ordner dem Adressbuch hinzufügen.

  1. Öffnen Sie den Formulartyp, den Sie voradressieren möchten.

  2. Klicken Sie im Menü Extras auf Adressbuch.

  3. Geben Sie in das Feld Namen eingeben oder aus der Liste auswählen die E-Mail-Adresse oder den Namen des Öffentlichen Ordners ein, die/der im Feld An des Formulars angezeigt werden soll. Bestätigen Sie mit OK.

  4. Klicken Sie im Menü Extras auf Formulare und anschließend auf Dieses Formular entwerfen, um den Entwurfsmodus für das Formular zu aktivieren.

Anmerkung Der Benutzer des Formulars muss die Zugriffsrechte für den Öffentlichen Ordner besitzen, für den Sie das Formular voradressieren. So legen Sie Berechtigungen fest.


 Schützen Ihres Formulars vor Änderungen

Schützen Ihres Formulars vor Änderungen

  1. Klicken Sie im Entwurfsmodus auf die Seite Eigenschaften.

  2. Aktivieren Sie das Kontrollkästchen Formulardesign schützen.

  3. Geben Sie im Feld Kennwort ein Kennwort ein.

  4. Geben Sie im Feld Bestätigen das gleiche Kennwort noch einmal ein.


 Veröffentlichen eines Formulars

Veröffentlichen eines Formulars

  1. Wählen Sie im Formular im Menü Extras die Option Formulare, und klicken Sie auf Formular veröffentlichen unter.

  2. Geben Sie im Feld Formularname den Namen des Formulars ein.

    Anmerkung Klicken Sie auf [image] für wichtige Informationen über den Formularnamen und die Nachrichtenklasse.

  3. Wenn Sie den Speicherort (die Bibliothek) ändern möchten, an dem (in der) das Formular gespeichert ist, wählen Sie im Feld Suchen in den gewünschten Ordner aus, oder klicken Sie auf die Schaltfläche Durchsuchen.

  4. Klicken Sie auf die Schaltfläche Veröffentlichen.


 Horizontale und vertikale Größenanpassung eines Steuerelements an ein Formular

Horizontale und vertikale Größenanpassung eines Steuerelements an ein Formular

Dieses Verfahren stellt eine unsichtbare Eigenschaft ein. Anschließend sollten Sie den Code aus dem Skript-Editor entfernen.

  1. Wählen Sie im Entwurfsmodus das Steuerelement aus, und passen Sie seine Größe im Verhältnis zum Formular an. Wenn zum Beispiel das Steuerelement immer dieselbe Höhe wie das Formular besitzen soll, stellen Sie für die untere Kante des Steuerelements und die untere Kante des Formulars denselben Wert ein.

  2. Klicken Sie im Menü Formular auf Code anzeigen.

  3. Fügen Sie im Skript-Editor den folgenden Code hinzu. Ersetzen Sie "TextBox1" durch den Namen des Steuerelements, dessen Größe Sie anpassen möchten, und ersetzen Sie "P. 2" durch den Namen der Seite. In diesem Beispiel wird zwar das Write-Ereignis verwendet, Sie können jedoch ein beliebiges Ereignis zum Ausführen des Codes verwenden.

    Sub Item_Write

    Item.GetInspector.ModifiedFormPages("P.2").TextBox1.LayoutFlags = 65

    End Sub

  4. Klicken Sie im Menü Formular auf Dieses Formular ausführen.

  5. Klicken Sie im Menü Datei auf Speichern.

Anmerkung Klicken Sie zum Zurücksetzen der LayoutFlags-Eigenschaft mit der rechten Maustaste auf das Steuerelement, und klicken Sie dann im Kontextmenü auf Eigenschaften. Deaktivieren Sie auf der Registerkarte Anzeige gegebenenfalls das Kontrollkästchen Größe an Formular anpassen; sollte das Kontrollkästchen Größe an Formular anpassen deaktiviert sein, aktivieren Sie es erst, und deaktivieren Sie es anschließend wieder.


Horizontale Größenanpassung eines Steuerelements an ein Formular

  1. Klicken Sie mit der rechten Maustaste auf das Steuerelement, und klicken Sie dann im Kontextmenü auf Eigenschaften.

  2. Aktivieren Sie auf der Registerkarte Anzeige das Kontrollkästchen Größe an Formular anpassen.


 Vertikale Größenanpassung eines Steuerelements an ein Formular

Vertikale Größenanpassung eines Steuerelements an ein Formular

Dieses Verfahren stellt eine unsichtbare Eigenschaft ein. Anschließend können Sie den Code aus dem Skript-Editor entfernen.

  1. Wählen Sie im Entwurfsmodus das Steuerelement aus, und passen Sie seine Größe im Verhältnis zum Formular an. Wenn zum Beispiel das Steuerelement immer dieselbe Höhe wie das Formular besitzen soll, stellen Sie für die untere Kante des Steuerelements und die untere Kante des Formulars denselben Wert ein.

  2. Klicken Sie im Menü Formular auf Code anzeigen.

  3. Fügen Sie im Skript-Editor den folgenden Code hinzu. Ersetzen Sie "TextBox1" durch den Namen des Steuerelements, dessen Größe Sie anpassen möchten, und ersetzen Sie "P. 2" durch den Namen der Seite. In diesem Beispiel wird zwar das Write-Ereignis verwendet, Sie können jedoch ein beliebiges Ereignis zum Ausführen des Codes verwenden.

    Sub Item_Write

    Item.GetInspector.ModifiedFormPages("P.2").TextBox1.LayoutFlags = 68

    End Sub

  4. Klicken Sie im Menü Formular auf Dieses Formular ausführen.

  5. Klicken Sie im Menü Datei des Formulars im Ausführungsmodus auf Speichern.

Anmerkung Klicken Sie zum Zurücksetzen der LayoutFlags-Eigenschaft mit der rechten Maustaste auf das Steuerelement, und klicken Sie dann im Kontextmenü auf Eigenschaften. Deaktivieren Sie auf der Registerkarte Anzeige gegebenenfalls das Kontrollkästchen Größe an Formular anpassen; sollte das Kontrollkästchen Größe an Formular anpassen deaktiviert sein, aktivieren Sie es erst, und deaktivieren Sie es anschließend wieder.


So speichern Sie ein Formular als Datei

  1. Klicken Sie im Menü Datei auf Speichern unter.

  2. Geben Sie im Feld Dateiname einen Namen für das Formular ein.

  3. Klicken Sie im Feld Dateityp auf den gewünschten Dateityp.

    Wenn Sie das Formular als Outlook-Vorlage speichern möchten, klicken Sie auf Outlook Vorlage, und speichern Sie das Formular anschließend im Ordner Vorlagen.

Informieren Sie sich über Dateiformate von Formularen


 Senden der Formulardefinition zusammen mit dem Formular

Senden der Formulardefinition zusammen mit dem Formular

Wenn zu erwarten ist, dass Sie Elemente, die auf diesem Formular basieren, an Empfänger senden, die keinen Zugriff auf die Formularbibliothek haben, können Sie angeben, dass die Formulardefinition (Beschreibung) zusammen mit dem Element gesendet wird.

  1. Klicken Sie im Entwurfsmodus auf die Seite Eigenschaften.

  2. Aktivieren Sie das Kontrollkästchen Element mit Beschreibung senden.

Klicken Sie auf [image] , um weitere Informationen über das Senden von Formulardefinitionen zu erhalten.

Klicken Sie auf [image] , um weitere Informationen über das Festlegen der Standardeigenschaften für ein Formular zu erhalten.


 So speichern Sie ein Formular in einem geöffneten Ordner

So speichern Sie ein Formular in einem geöffneten Ordner

  • Klicken Sie im Menü Datei auf Speichern [image] .


So speichern Sie ein Formular in einer Formularbibliothek

  1. Wählen Sie Formulare aus dem Menü Extras, und klicken Sie anschließend auf Formular veröffentlichen unter.

  2. Geben Sie im Feld Formularname den Namen des Formulars ein.

  3. Geben Sie im Feld Anzeigename den Anzeigenamen für das Formular ein.

  4. Wenn Sie den Speicherort (die Bibliothek) ändern möchten, an dem bzw. in der das Formular gespeichert wird, wählen Sie im Feld Suchen in einen neuen Ordner aus, oder klicken Sie auf die Schaltfläche Durchsuchen, um einen anderen Ordner auszuwählen.

  5. Wenn Sie das Formular in der Bibliothek für organisatorische Formulare speichern möchten, klicken Sie unter Suchen in auf Bibliothek für organisatorische Formulare.

    Um das Formular in der Outlook Folders Library zu speichern, klicken Sie unter Suchen in auf Outlook-Ordner, und klicken Sie dann auf den Ordner, in dem das Formular gespeichert werden soll.

    Wenn Sie das Formular in der Bibliothek für persönliche Formulare speichern möchten, klicken Sie auf Bibliothek für persönliche Formulare.

  6. Wenn Sie den Ordner ausgewählt haben, in dem Sie das Formular veröffentlichen möchten, klicken Sie auf Veröffentlichen.


 Senden eines Formulars an andere Personen via E-Mail

Senden eines Formulars an andere Personen via E-Mail

Während sich das Formular im Entwurfsmodus befindet, gehen Sie folgendermaßen vor:

  1. Klicken Sie im Formular auf die Registerkarte Eigenschaften, und aktivieren Sie das Kontrollkästchen Element mit Beschreibung senden.

  2. Falls nicht bereits geschehen, speichern Sie das Formular im geöffneten Ordner.

    Vorgehensweise

  3. Schließen Sie das Formular, und erstellen Sie dann eine E-Mail-Nachricht.

  4. Klicken Sie im Menü Einfügen auf Element und dann auf das Formular, das Sie einfügen möchten.

  5. Klicken Sie auf OK und anschließend auf Senden [image] .

Tipps

  • Sie können ein Formular an andere Personen außerhalb Ihrer Organisation senden, wenn die Gateways oder Connectors Anlagen im Rich Text Format (.rtf) unterstützen.


Festlegen der Hintergrundfarbe eines Formulars

  1. Klicken Sie mit der rechten Maustaste auf das Formular, und klicken Sie anschließend im Kontextmenü auf Erweiterte Eigenschaften.

  2. Legen Sie die BackColor-Eigenschaft fest. Zum Festlegen der Eigenschaft klicken Sie auf die Eigenschaft und geben dann einen Wert im Feld Übernehmen ein.


 Erstellen einer Formel zur Gültigkeitsprüfung und einer entsprechenden Meldung

Erstellen einer Formel zur Gültigkeitsprüfung und einer entsprechenden Meldung

  1. Klicken Sie im Entwurfsmodus mit der rechten Maustaste auf das Feld oder das Steuerelement, für das Sie eine Formel zur Gültigkeitsprüfung erstellen möchten, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Klicken Sie auf die Registerkarte Gültigkeitsprüfung.

  3. Aktivieren Sie das Kontrollkästchen Vor Schließen des Formulars, Gültigkeit dieses Felds prüfen.

  4. Geben Sie im Feld Formel zur Gültigkeitsprüfung die Formel ein, die Sie zur Auswertung der Benutzereingabe verwenden möchten.

  5. Geben Sie im Feld Falls Gültigkeitsprüfung nicht erfolgreich, diese Meldung anzeigen den Text ein, der als Meldung angezeigt werden soll.


 Festlegen von Optionen für den ursprünglichen Nachrichtentext in Antwortformularen

Festlegen von Optionen für den ursprünglichen Nachrichtentext in Antwortformularen

  1. Klicken Sie im Entwurfsmodus auf die Registerkarte Aktionen des Formulars.

  2. Klicken Sie auf die gewünschte Aktion und dann auf die Schaltfläche Eigenschaften.

  3. Klicken Sie im Feld Bei Antworten auf eine Option.
Option | Aktion
Ursprüngliche Nachricht nicht beifügen | Den ursprünglichen Text im Nachrichtenfeld der Nachricht löschen.
Ursprüngliche Nachricht als Anlage beifügen | Die ursprüngliche Nachricht als Anlage im Nachrichtenfeld der Nachricht beifügen.
Text der ursprünglichen Nachricht beifügen | Den ursprünglichen Nachrichtentext im Textfeld der Nachricht unverändert beifügen.
Text der urspr. Nachricht beifügen und einrücken | Den ursprünglichen Nachrichtentext beifügen und nach rechts einrücken, um ihn von neuem Text, den der Benutzer eingibt, abzuheben.
Präfix vor jeder Zeile der urspr. Nachricht | Den ursprünglichen Nachrichtentext dem Textfeld der Nachricht beifügen. Der Text wird nicht eingerückt, aber vor jeder Zeile der ursprünglichen Nachricht wird das Zeichen ">" vorangestellt.
Der ursprünglichen Nachricht Verknüpfung hinzufügen | Eine Verknüpfung zu der ursprünglichen Nachricht hinzufügen.
Voreinstellung des Benutzers verwenden | Die Benutzereinstellungen im Dialogfeld Optionen des Menüs Extras verwenden.


 Einstellen von Optionen in einem Formular, das mit einem Antwortformular verknüpft ist

Einstellen von Optionen in einem Formular, das mit einem Antwortformular verknüpft ist

  1. Klicken Sie im Entwurfsmodus auf die Registerkarte Aktionen des Formulars.

  2. Klicken Sie auf Neu.

  3. Geben Sie in das Feld Aktionsname einen Namen für den Menübefehl und die Schaltfläche ein, den/die Sie zum Öffnen des benutzerdefinierten Antwortformulars verwenden möchten.

    Wenn Sie beispielsweise An Finanzabteilung senden in das Feld Aktionsname eingeben, enthält die Registerkarte Read des Formulars im Menü Aktionen den Befehl An Finanzabteilung senden (und die Schaltfläche An Finanzabteilung senden auf der Symbolleiste, wenn Sie beide Optionen wählen).

  4. Geben Sie in das Feld Formularname den Namen des benutzerdefinierten Formulars ein, das Sie mit diesem Formular verknüpfen möchten.

  5. Aktivieren Sie das Kontrollkästchen Aktion anzeigen, und klicken Sie auf die gewünschte Option.

  6. Wählen Sie unter Eigenschaften des neuen Formulars die gewünschten Optionen.

  7. Klicken Sie auf OK.

  8. Deaktivieren Sie in der Liste mit den Aktionen die Standardantwortaktionen, die Sie entfernen möchten.

    Wenn Sie zum Beispiel eine benutzerdefinierte Antwortaktion erstellen, sollten Sie die standardmäßige Antwortaktion von Outlook deaktivieren.

    Vorgehensweise

  9. Öffnen Sie das benutzerdefinierte Antwortformular, das Sie mit diesem Formular verknüpft haben, und klicken Sie dann auf die Registerkarte Eigenschaften.

  10. Klicken Sie auf die Option Formular nur für Antworten.

  11. Dadurch wird das Formular aus der Liste mit den Formularbibliotheken entfernt, um zu verhindern, dass es versehentlich ausgewählt wird. Um das Formular zu bearbeiten, müssen Sie es sichtbar machen.

    Vorgehensweise


Problembehandlung bei Formularen

Zu welchem Thema benötigen Sie Hilfe?

Verwenden eines Outlook-Formulars in Microsoft Exchange

Das erstellte Formular kann nicht gefunden werden

Verhindern, dass der VBScript-Code ausgeführt wird


Ausgeblendete Formulare sichtbar machen

  1. Klicken Sie im Menü Extras auf Optionen und dann auf die Registerkarte Weitere.

  2. Klicken Sie auf die Schaltfläche Erweiterte Optionen.

  3. Klicken Sie auf die Schaltfläche Benutzerformulare.

  4. Klicken Sie auf die Schaltfläche Formulare.

  5. Klicken Sie auf das Formular, das eingeblendet werden soll.

  6. Klicken Sie auf die Schaltfläche Eigenschaften.

  7. Deaktivieren Sie das Kontrollkästchen Ausgeblendet.


Ändern des Wertes eines Feldes

Um den Wert eines Outlook-Feldes zu ändern, verwenden Sie den Eigenschaftsnamen des hiermit verbundenen Standardfeldes. Wenn Sie beispielsweise den Wert des Feldes "Subject" (Betreff) ändern möchten, verwenden Sie folgenden Code.

Item.Subject = "New Subject"

Verwenden Sie zum Ändern des Wertes eines benutzerdefinierten Feldes den folgenden Code, um auf ein benutzerdefiniertes Feld zu verweisen.

Item.UserProperties.Find("MyProperty").Value = "New Value"


Verwenden einer benutzerdefinierten Farbe für den Hintergrund oder Vordergrund eines Steuerelements

  1. Klicken Sie mit der rechten Maustaste auf das Steuerelement, und klicken Sie anschließend im Kontextmenü auf Erweiterte Eigenschaften.

  2. Klicken Sie auf eine der Eigenschaften BackColor oder ForeColor.

  3. Klicken Sie in der oberen rechten Ecke des Dialogfeldes Eigenschaften auf die Schaltfläche mit den drei Punkten.

  4. Klicken Sie in der Farbpalette auf die gewünschte Farbe.


Verwenden von Meldungsfeldern für die Rückgabe von Werten

Eine Möglichkeit, Fehler einzugrenzen, ist die Verwendung eines Meldungsfeldes, in dem der Wert einer Variable oder Eigenschaft an einer bestimmten Stelle im Code angezeigt wird. Mit diesem Codebeispiel wird die Länge der Markierung als Rückgabewert der SelLength-Eigenschaft in einem Meldungsfeld angezeigt.

MsgBox Item.GetInspector.ModifiedFormPages("Test").Textbox1.SelLength


 Verwenden des Outlook-Objektbrowsers

Verwenden des Outlook-Objektbrowsers

Der Outlook-Objektbrowser zeigt die Klassen, Eigenschaften, Methoden, Ereignisse und Konstanten an, die in der Outlook-Objektbibliothek verfügbar sind. Der Objektbrowser macht die Anzeige und Verwendung von Objekten im Skript-Editor möglich und gibt Informationen über die bei der Verwendung des Objekts vorgeschriebene Syntax.

Klicken Sie hier, um weitere Informationen über das Anzeigen und Verwenden des Outlook-Objektbrowsers zu erhalten [image] .

Klicken Sie hier, um die Outlook-Objekthierarchie anzuzeigen [image] .

Klicken Sie hier, um Informationen über aktuelle Änderungen in der Outlook-Objektbibliothek zu erhalten [image] .


 Verwenden eines Outlook-Formulars in Microsoft Exchange

Verwenden eines Outlook-Formulars in Microsoft Exchange

Microsoft Exchange Client erkennt Outlook-Formulare nicht. Ein Benutzer von Microsoft Exchange Client, der ein Outlook-Formular öffnet, sieht lediglich die Standardeigenschaften für Nachrichtenformulare, d. h. alle benutzerdefinierten Felder sind für ihn unsichtbar. In Outlook können Sie jedoch Formulare öffnen, die mit Microsoft Exchange Forms Designer gestaltet wurden.


Verwenden des PropertyChange-Ereignisses zum Testen von Prozeduren

Führen Sie die folgenden Schritte durch, um einfache Prozeduren zu testen. Ersetzen Sie den nachstehenden Code durch den Code, den Sie testen möchten. Jedes Mal, wenn der Benutzer den Wert im Feld "Importance" oder in einem beliebigen anderen Standardfeld ändert, wird der Code ausgeführt.

  1. Öffnen Sie den Skript-Editor.

    Vorgehensweise

  2. Klicken Sie im Menü Skript auf Ereignisbehandlung.

  3. Doppelklicken Sie im Feld Ereignisse auf PropertyChange.

  4. Fügen Sie im Ereignis den folgenden Code hinzu:

    MsgBox "This is my test procedure"

  5. Klicken Sie im Menü Formular auf Dieses Formular ausführen.

  6. Klicken Sie auf der Symbolleiste auf das Symbol ! . Das Meldungsfeld wird angezeigt.

  7. Klicken Sie auf OK, um das Meldungsfeld zu schließen.


Verwenden einer Systemfarbe für einen Hintergrund oder einen Vordergrund

  1. Klicken Sie mit der rechten Maustaste auf das Steuerelement, und klicken Sie anschließend im Kontextmenü auf Eigenschaften.

  2. Klicken Sie in den Feldern Vordergrundfarbe oder Hintergrundfarbe auf eine Option.

    Im darüber liegenden Feld Schriftart wird eine Vorschau auf die von Ihnen gewählte Option angezeigt.


 Verwenden standardmäßiger Antwort- und Weiterleitungskopfzeilen in Formularen

Verwenden standardmäßiger Antwort- und Weiterleitungskopfzeilen in Formularen

  1. Klicken Sie im Entwurfsmodus auf die Registerkarte Aktionen des Formulars.

  2. Klicken Sie auf eine von Ihnen erstellte Aktion und anschließend auf die Schaltfläche Eigenschaften.

  3. Klicken Sie im Feld Formular adressieren wie auf die gewünschte Kopfzeile.
Kopfzeile | Aktion
Antworten | Den Absender in das Feld An und den Betreff der Nachricht in das Feld Betreff übernehmen.
Allen antworten | Alle Empfänger der Nachricht in die Felder An und Cc und den Betreff der Nachricht in das Feld Betreff übernehmen.
Weiterleiten | Den Betreff der Nachricht in das Feld Betreff übernehmen und im Feld An keinen Eintrag vornehmen.
In Ordner antworten | Den aktiven Ordner anzeigen und den Betreff als Unterhaltung anzeigen sowie die Felder Betreff und Kategorien hinzufügen.
Antwort | Die standardmäßigen Antwortfelder verwenden.


 Öffnen von Aufgaben, Kalenderelementen oder Notizen in benutzerdefinierten Formularen

Öffnen von Aufgaben, Kalenderelementen oder Notizen in benutzerdefinierten Formularen

  1. Klicken Sie im Entwurfsmodus auf die Registerkarte Aktionen des Formulars.

  2. Klicken Sie auf Neu.

  3. Klicken Sie im Listenfeld Formularname auf Formulare.

  4. Klicken Sie im Listenfeld Suchen in auf Bibliothek für Standardformulare.

  5. Klicken Sie im unteren Feld auf das gewünschte Formular.


 Anzeigen aller Standardfelder für ein Element

Anzeigen aller Standardfelder für ein Element

  1. Öffnen Sie das Element, für das Sie die Felder anzeigen möchten.

  2. Klicken Sie im Menü Extras auf Formulare, Dieses Formular entwerfen und dann auf die Registerkarte (Alle Felder).

  3. Klicken Sie im Feld Auswählen aus auf Alle Elementname Felder. Klicken Sie beispielsweise auf Alle E-Mail-Felder, wenn es sich um eine E-Mail-Nachricht handelt.

Anmerkungen

  • Es lassen sich nicht alle Felder für Notizen oder Verteilerlisten anzeigen.

  • Um alle Felder in einem Kontaktelement anzuzeigen, öffnen Sie das Element, und klicken Sie auf die Registerkarte Alle Felder.


Hinzufügen eines Click-Ereignisses zu einem Steuerelement

  1. Öffnen Sie den Skript-Editor.

    Vorgehensweise

  2. Geben Sie für ein Steuerelement, dem Sie ein Click-Ereignis hinzufügen möchten, Folgendes ein, wobei "CommandButton1" der Name des Steuerelements ist.

    Sub CommandButton1_Click

    End Sub

  3. Geben Sie den Code ein, der mit dem Ereignis ausgeführt werden soll.


Hinzufügen eines Outlook-Ereignisses

  1. Öffnen Sie den Skript-Editor.

    Vorgehensweise

  2. Klicken Sie im Menü Skript auf Ereignisbehandlung.

  3. Klicken Sie im Feld Ereignisbehandlungsroutine einfügen auf das Ereignis, das Sie verwenden möchten und dann auf Hinzufügen.

Informieren Sie sich über Arbeiten mit Outlook-Ereignissen.


Alle Funktionen

Allgemeine Funktionen

Datums-/Uhrzeitfunktionen

Finanzfunktionen

Mathematische Funktionen

Textfunktionen

Umwandlungsfunktionen


 + (Operator)

+ (Operator)

Wird zum Addieren zweier Zahlen verwendet.

Syntax

result = expression1+expression2

Die Syntax für den Operator + setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
expression1 | Ein beliebiger Ausdruck.
expression2 | Ein beliebiger Ausdruck.

Hinweise

Verwenden Sie für eine Verkettung den Operator &, um Zweideutigkeiten zu vermeiden und um selbstdokumentierenden Code zu liefern.

Wenn Sie den Operator + verwenden, können Sie möglicherweise nicht feststellen, ob eine Addition oder eine Zeichenfolgenverkettung auftritt. Wenn mindestens ein Ausdruck nicht vom Typ Variant ist, gelten die folgenden Regeln:

Ausgeführte Operation | Voraussetzung
Addieren | Beide Ausdrücke sind numerische Datentypen (Byte, Boolesch, Ganzzahl, Long, Single, Double, Datum oder Währung)
Verketten | Beide Ausdrücke sind vom Typ Zeichenfolge
Addieren | Ein Ausdruck ist numerisch, und der andere ist eine beliebige Variante (außer Null)
Verketten | Ein Ausdruck ist vom Datentyp Zeichenfolge, und der andere ist eine beliebige Variante (außer Null)
Gibt den anderen Ausdruck unverändert als result zurück | Ein Ausdruck ist eine leere Variante
Es tritt ein Type mismatch-Fehler auf | Ein Ausdruck ist numerisch, und der andere ist vom Datentyp Zeichenfolge
result ist Null | Beide Ausdrücke sind Null

Sind beide Ausdrücke vom Typ Variant, gelten folgende Regeln:

Ausgeführte Operation | Voraussetzung
Addieren | Beide Variantenausdrücke sind numerisch
Verketten | Beide Variantenausdrücke sind vom Typ Zeichenfolge
Addieren | Ein Variantenausdruck ist numerisch, und der andere ist vom Datentyp Zeichenfolge

Bei einfachen arithmetischen Additionen, bei denen nur Ausdrücke vom Datentyp Numerisch verwendet werden, ist der Datentyp von result normalerweise der gleiche wie der des Ausdrucks mit der höchsten Genauigkeit. Die Reihenfolge der Genauigkeit verläuft von der geringsten bis zur höchsten Genauigkeit, und zwar Byte, Ganzzahl, Long, Single, Double und Währung. Im Folgenden finden Sie die Ausnahmen dieser Reihenfolge:

  • Wenn ein Wert vom Datentyp Single und einer vom Typ Long addiert werden, wird der Datentyp von result in ein Double umgewandelt.

  • Wenn der Datentyp von result eine Variante vom Typ Long, Single oder Datum ist, die ihren gültigen Bereich übersteigt, wird result in eine Variante vom Typ Double umgewandelt.

  • Wenn der Datentyp von result eine Variante vom Typ Byte ist, die ihren gültigen Bereich übersteigt, wird result in eine Variante vom Typ Ganzzahl umgewandelt.

  • Wenn der Datentyp von result eine Variante vom Typ Ganzzahl ist, die ihren gültigen Bereich übersteigt, wird result in eine Variante vom Typ Long umgewandelt.

  • Wenn ein Wert vom Typ Datum zu einem beliebigen Datentyp addiert wird, ist der Datentyp von result immer ein Datum.

Anmerkung Die Reihenfolge der bei Addition und Subtraktion verwendeten Genauigkeit ist nicht die gleiche wie die bei der Multiplikation verwendeten.

Ist ein Ausdruck oder sind beide Ausdrücke Null-Ausdrücke, ist result gleich Null. Sind beide Ausdrücke leer, ist result eine Ganzzahl. Ist jedoch nur ein Ausdruck leer, wird der andere Ausdruck unverändert als result zurückgegeben.


 And-Operator

And-Operator

Wird zum Durchführen einer logischen Verknüpfung zweier Ausdrücke verwendet.

Syntax

result = expression1 And expression2

Die Syntax des And-Operators setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
expression1 | Ein beliebiger Ausdruck.
expression2 | Ein beliebiger Ausdruck.

Bemerkungen

Werden beide Ausdrücke als True ausgewertet, ist result gleich True. Wird einer der beiden Ausdrücke als False ausgewertet, ist result gleich False. Die folgende Tabelle illustriert, wie result ermittelt wird:

Wenn expression1 folgenden Wert hat | Und expression2 folgenden Wert hat | Ergibt sich für result der Wert
True | True | True
True | False | False
True | Null | Null
False | True | False
False | False | False
False | Null | False
Null | True | Null
Null | False | False
Null | Null | Null

Der And-Operator führt auch einen bit-weisen Vergleich von identisch positionierten Bits in zwei numerischen Ausdrücken durch und legt das entsprechende Bit in result gemäß der folgenden Tabelle fest:

Wenn Bit in expression1 folgenden Wert hat | Und Bit in expression2 folgenden Wert hat | Ergibt sich für result der Wert
0 | 0 | 0
0 | 1 | 0
1 | 0 | 0
1 | 1 | 1


Arithmetische Operatoren

^ (Operator)

* (Operator)

/ (Operator)

\ (Operator)

Mod-Operator

+ (Operator)

- (Operator)


 Auswählen des Elements, auf dem das Formular basieren soll

Auswählen des Elements, auf dem das Formular basieren soll

Jedes Outlook-Element ist eine Auflistung von Feldern. Hierbei sind einige dieser Feldauflistungen möglicherweise für spezielle Anwendungen mehr geeignet als andere. Um eine vollständige Liste aller Felder eines Elements anzuzeigen, klicken Sie in der Feldauswahl auf Alle. Wenn Sie beispielsweise alle Felder einer E-Mail-Nachricht anzeigen möchten, klicken Sie auf Alle E-Mail-Felder. Wenn sich das gewünschte Feld nicht in der Liste befindet, können Sie ein benutzerdefiniertes Feld erstellen, indem Sie in der Feldauswahl auf Neu klicken.

Verwenden Sie dieses Element | Zu diesem Zweck
E-Mail-Nachricht | Senden eines Formulars mit einem hiermit verknüpften Antwortformular an andere Personen, so dass diese Personen Daten zurücksenden können.
Öffentliche Nachricht | Senden eines Formulars an einen Ordner.
Termin oder Besprechungsanfrage | Aufzeichnen von Planungsinformationen in Bezug auf Personen, Daten, Orte und Zeiten für einen Termin oder eine Besprechung.
Kontakt | Aufzeichnen von Informationen zu einer Person oder einer Organisation.
Aufgabe oder Aufgabenanfrage | Aufzeichnen einer persönlichen oder berufsbezogenen Aufgabe oder eines Auftrags, die bzw. den Sie bis zur vollständigen Erledigung nachverfolgen möchten.
Journaleintrag | Aufzeichnen von Interaktionen mit wichtigen Kontakten und auch Datensatzelementen oder Dokumenten, die für Sie von Bedeutung sind, und Aufzeichnen von Aktivitäten aller Art.


 Vergleichsoperatoren

Vergleichsoperatoren

Werden zum Vergleichen von Ausdrücken verwendet.

Syntax

result = expression1 comparisonoperator expression2

result = string Like pattern

Die Syntax von Vergleichsoperatoren setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
expression | Ein beliebiger Ausdruck.
comparisonoperator | Ein beliebiger Vergleichsoperator.
string | Ein beliebiger Zeichenfolgenausdruck.
pattern | Ein beliebiger Zeichenfolgenausdruck oder ein Bereich von Zeichen.

Hinweise

Der Like-Operator bietet eine spezifische Vergleichsfunktionalität, die sich von der Funktionalität der in der folgenden Liste aufgeführten Operatoren unterscheidet. In der nachstehenden Tabelle finden Sie eine Liste der Vergleichsoperatoren und der Bedingungen, die festlegen, ob als Ergebnis (result) der Wert True, False oder Null zurückgegeben wird:

Operator | Beschreibung | True, wenn | False, wenn | Null, wenn
< | Kleiner | expression1 < expression2 | expression1 >= expression2 | expression1 oder expression2 = Null
<= | Kleiner oder gleich | expression1 <= expression2 | expression1 > expression2 | expression1 oder expression2 = Null
> | Größer | expression1 > expression2 | expression1 <= expression2 | expression1 oder expression2 = Null
>= | Größer oder gleich | expression1 >= expression2 | expression1 < expression2 | expression1 oder expression2 = Null
= | Gleich | expression1 = expression2 | expression1 <> expression2 | expression1 oder expression2 = Null
<> | Ungleich | expression1 <> expression2 | expression1 = expression2 | expression1 oder expression2 = Null

Beim Vergleich zweier Ausdrücke ist es nicht immer einfach zu entscheiden, ob die Ausdrücke als Zahlen oder als Zeichenfolgen verglichen werden sollten. In der nachstehenden Tabelle wird gezeigt, wie die Ausdrücke verglichen werden bzw. welche Ergebnisse erzielt werden, wenn einer der beiden Ausdrücke nicht vom Typ Variant ist:

Voraussetzung | Aktion
Beide Ausdrücke sind numerische Datentypen (Byte, Boolean, Integer, Long, Single, Double, Date oder Currency) | Führen Sie einen numerischen Vergleich durch.
Beide Ausdrücke sind vom Typ String | Führen Sie einen Zeichenfolgenvergleich durch.
Ein Ausdruck ist numerisch, und der andere ist vom Typ Variant, d. h. es ist eine Zahl, oder es kann eine Zahl sein | Führen Sie einen numerischen Vergleich durch.
Ein Ausdruck ist numerisch, und der andere ist eine Zeichenfolge vom Typ Variant, die nicht in eine Zahl umgewandelt werden kann | Führen Sie einen Zeichenfolgenvergleich durch.
Ein Ausdruck ist vom Datentyp String, und der andere ist ein beliebiger Variant (außer Null) | Führen Sie einen Zeichenfolgenvergleich durch.
Ein Ausdruck ist Empty, und der andere ist numerisch | Führen Sie einen numerischen Vergleich durch, wobei 0 als Wert für den Empty-Ausdruck verwendet wird.
Ein Ausdruck ist Empty, und der andere ist vom Datentyp String | Führen Sie einen Zeichenfolgenvergleich durch, wobei eine Nullzeichenfolge ("") für den Empty-Ausdruck verwendet wird.

Wenn expression1 und expression2 gleichermaßen Ausdrücke vom Typ Variant sind, bestimmt der zu Grunde liegende Typ, wie die Ausdrücke verglichen werden. In der folgenden Tabelle wird gezeigt, wie die Ausdrücke verglichen werden bzw. welche Ergebnisse erzielt werden, abhängig von dem zu Grunde liegenden Variantentyp:

Voraussetzung | Aktion
Beide Variant-Ausdrücke sind numerisch | Führen Sie einen numerischen Vergleich durch.
Beide Variant-Ausdrücke sind vom Datentyp String | Führen Sie einen Zeichenfolgenvergleich durch.
Ein Variant-Ausdruck ist numerisch, und der andere ist vom Datentyp String | Der numerische Ausdruck ist kleiner als der Zeichenfolgenausdruck.
Ein Variant-Ausdruck ist Empty, und der andere ist numerisch | Führen Sie einen numerischen Vergleich durch, wobei 0 als Wert für den Empty-Ausdruck verwendet wird.
Ein Variant-Ausdruck ist leer, und der andere ist vom Datentyp String | Führen Sie einen Zeichenfolgenvergleich durch, wobei eine Nullzeichenfolge ("") für den Leer-Ausdruck verwendet wird.
Beide Variant-Ausdrücke sind leer | Die Ausdrücke sind gleich.

Anmerkung Wenn ein Ausdruck vom Typ Currency mit einem Ausdruck vom Typ Single oder Double verglichen wird, werden Single oder Double in Currency umgewandelt. Hierdurch geht jeder Bruchteil des Wertes vom Typ Single oder Double verloren, der kleiner als 0,0001 ist, wodurch möglicherweise zwei Werte als gleich verglichen werden, die es gar nicht sind. Wird ein Wert vom Typ Single mit einem Wert vom Typ Double verglichen, wird der Double auf die Genauigkeit des Single gerundet.


Verkettungsoperatoren

& (Operator)

+ (Operator)


Konvertierungsfunktionen

Asc-Funktion

CCur-Funktion

CDbl-Funktion

Chr-Funktion

CInt-Funktion

CLng-Funktion

CSng-Funktion

CStr-Funktion

CVar-Funktion

DateSerial-Funktion

DateValue-Funktion

Day-Funktion

Hex-Funktion

Hour-Funktion

Minute-Funktion

Month-Funktion

Oct-Funktion

Second-Funktion

Str-Funktion

TimeSerial-Funktion

TimeValue-Funktion

Val-Funktion

Weekday-Funktion

Year-Funktion


Datum/Uhrzeit-Funktionen

Date-Funktion

DateAdd-Funktion

DateDiff-Funktion

DatePart-Funktion

DateSerial-Funktion

DateValue-Funktion

Day-Funktion

Hour-Funktion

IsDate-Funktion

Minute-Funktion

Month-Funktion

Now-Funktion

Second-Funktion

Time-Funktion

Timer-Funktion

TimeSerial-Funktion

TimeValue-Funktion

Weekday-Funktion

Year-Funktion


Abgeleitete mathematische Funktionen

Es folgt eine Liste der nicht unterstützten mathematischen Funktionen, die von den unterstützten mathematischen Funktionen abgeleitet werden können:

Funktion | Abgeleitete Entsprechungen
Sekans | Sec([X]) = 1 / Cos([X])
Kosekans | Cosec([X]) = 1 / Sin([X])
Kotangens | Cotan([X]) = 1 / Tan([X])
Inverser Sinus | Arcsin([X]) = Atn([X] / Sqr(-[X] * [X] + 1))
Arkuskosinus | Arccos([X]) = Atn(-[X] / Sqr(-[X] * [X] + 1)) + 2 * Atn(1)
Inverser Sekans | Arcsec([X]) = Atn([X] / Sqr([X] * [X] - 1)) + Sgn(([X]) - 1) * (2 * Atn(1))
Inverser Kosekans | Arccosec([X]) = Atn([X] / Sqr([X] * [X] - 1)) + (Sgn([X]) - 1) * (2 * Atn(1))
Inverser Kotangens | Arccotan([X]) = Atn([X]) + 2 * Atn(1)
Hyperbelsinus | HSin([X]) = (Exp([X]) - Exp(-[X])) / 2
Hyperbelkosinus | HCos([X]) = (Exp([X]) + Exp(-[X])) / 2
Hyperbeltangens | HTan([X]) = (Exp([X]) - Exp(-[X])) / (Exp([X]) + Exp(-[X]))
Hyperbelsekans | HSec([X]) = 2 / (Exp([X]) + Exp(-[X]))
Hyperbelkosekans | HCosec([X]) = 2 / (Exp([X]) - Exp(-[X]))
Hyperbelkotangens | HCotan([X]) = (Exp([X]) + Exp(-[X])) / (Exp([X]) - Exp(-[X]))
Inverser Hyperbelsinus | HArcsin([X]) = Log([X] + Sqr([X] * [X] + 1))
Inverser Hyperbelkosinus | HArccos([X]) = Log([X] + Sqr([X] * [X] - 1))
Inverser Hyperbeltangens | HArctan([X]) = Log((1 + [X]) / (1 - [X])) / 2
Inverser Hyperbelsekans | HArcsec([X]) = Log((Sqr(-[X] * [X] + 1) + 1) / [X])
Inverser Hyperbelkosekans | HArccosec([X]) = Log((Sgn([X]) * Sqr([X] * [X] + 1) + 1) / [X])
Inverser Hyperbelkotangens | HArccotan([X]) = Log(([X] + 1) / ([X] - 1)) / 2
Logarithmus mit Basis N | LogN([X]) = Log([X]) / Log(N)


Verwenden der Eigenschaften der globalen Adressliste von Microsoft Exchange Server

Öffnen Sie im Code eine OLE-Messaging-Sitzung, melden Sie sich an, und verwenden Sie anschließend die folgende Tabelle, um auf die Eigenschaft zu verweisen, die Sie verwenden möchten.

Set olemSession = Application.CreateObject("MAPI.Session")
ReturnCode = olemSession.Logon( Application.GetNameSpace("MAPI").CurrentUser, "", False, False, 0 )
myPage = Item.GetInspector.ModifiedFormPages("Message")
Set myUser = olemSession.CurrentUser
Item.UserProperties.Find("Name") = myUser.Name
Item.UserProperties.Find("Messaging Address") = myUser.Address
Item.UserProperties.Find("MAPI First Name") = myUser.Fields.item(&h3a06001e)
Adressbucheigenschaft | Verweis
PR_GIVEN_NAME | &h3a06001e
PR_INITIALS | &h3a0a001e
PR_SURNAME | &h3a11001e
PR_7BIT_DISPLAY_NAME | &h39ff001e
PR_STREET_ADDRESS | &h3a29001e
PR_LOCALITY | &h3a27001e
PR_STATE_OR_PROVINCE | &h3a28001e
PR_POSTAL_CODE | &h3a2a001e
PR_COUNTRY | &h3a26001e
PR_TITLE | &h3a17001e
PR_COMPANY_NAME | &h3a16001e
PR_DEPARTMENT_NAME | &h3a18001e
PR_OFFICE_LOCATION | &h3a19001e
PR_ASSISTANT | &h3a30001e
PR_BUSINESS_TELEPHONE_NUMBER | &h3a08001e


 / (Operator)

/ (Operator)

Wird zum Dividieren zweier Zahlen verwendet und gibt ein Fließkommaergebnis zurück.

Syntax

result = number1/number2

Die Syntax des Operators / setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
number1 | Ein beliebiger numerischer Ausdruck.
number2 | Ein beliebiger numerischer Ausdruck.

Bemerkungen

Der Datentyp von result ist normalerweise ein Double oder ein Variant vom Typ Double. Im Folgenden finden Sie die Ausnahmen von dieser Regel:

  • Wenn beide Ausdrücke vom Typ Byte, Integer oder Single sind, ist result vom Typ Single, sofern es seinen gültigen Bereich nicht übersteigt; andernfalls tritt ein Fehler auf.

  • Wenn beide Ausdrücke Varianten vom Typ Byte, Integer oder Single sind, ist result eine Variante vom Typ Single, sofern es seinen gültigen Bereich nicht übersteigt; andernfalls ist result ein Variant, der ein Double enthält.

Ist ein Ausdruck oder sind beide Ausdrücke Null-Ausdrücke, ist result gleich Null. Ein beliebiger Ausdruck, der Empty ist, wird als 0 betrachtet.


 \ (Operator)

\ (Operator)

Wird zum Dividieren zweier Zahlen verwendet und gibt ein ganzzahliges Ergebnis zurück.

Syntax

result = number1\number2

Die Syntax des Operators \ setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
number1 | Ein beliebiger numerischer Ausdruck.
number2 | Ein beliebiger numerischer Ausdruck.

Bemerkungen

Bevor eine Division durchgeführt wird, werden numerische Ausdrücke zu Ausdrücken vom Typ Byte, Integer oder Long gerundet.

Normalerweise ist der Datentyp von result Byte, ein Variant vom Typ Byte, ein Integer, ein Variant vom Typ Integer, Long oder ein Variant vom Typ Long, ungeachtet dessem, ob es sich bei result um eine ganze Zahl handelt. Jeder Bruchteil wird abgeschnitten. Wenn jedoch ein beliebiger Ausdruck Null ist, ist auch result gleich Null. Ein beliebiger Ausdruck, der Empty ist, wird als 0 betrachtet.


 Eqv-Operator

Eqv-Operator

Wird zum Durchführen einer logischen Äquivalenzverknüpfung zweier Ausdrücke verwendet.

Syntax

result = expression1 Eqv expression2

Die Syntax des Eqv-Operators setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
expression1 | Ein beliebiger Ausdruck.
expression2 | Ein beliebiger Ausdruck.

Bemerkungen

Wenn beide Ausdrücke Null sind, ist auch result gleich Null. Wenn keiner der Ausdrücke Null ist, wird result entsprechend der folgenden Tabelle ermittelt:

Wenn expression1 folgenden Wert hat | Und expression2 folgenden Wert hat | Ergibt sich für result der Wert
True | True | True
True | False | False
False | True | False
False | False | True

Der Eqv-Operator führt einen bit-weisen Vergleich von identisch positionierten Bits in zwei numerischen Ausdrücken durch und legt das entsprechende Bit in result gemäß der folgenden Tabelle fest:

Wenn Bit in expression1 folgenden Wert hat | Und Bit in expression2 folgenden Wert hat | Ergibt sich für result der Wert
0 | 0 | 1
0 | 1 | 0
1 | 0 | 0
1 | 1 | 1


Finanzfunktionen

DDB-Funktion

FV-Funktion

IPmt-Funktion

NPer-Funktion

Pmt-Funktion

PPmt-Funktion

PV-Funktion

Rate-Funktion

SLN-Funktion

SYD-Funktion


Verweisen auf den aktiven Benutzer

Verwenden Sie GetNameSpace, um das Outlook NameSpace-Objekt aus dem Application-Objekt zurückzugeben, und verwenden Sie anschließend die CurrentUser-Eigenschaft, um ein Recipient-Objekt zurückzugeben, das den aktuellen Benutzer darstellt, wie im folgenden Beispiel gezeigt.

Set myUser = Application.GetNameSpace("MAPI").CurrentUser


 Imp-Operator

Imp-Operator

Wird zum Durchführen einer logischen Implikation zweier Ausdrücke verwendet.

Syntax

result = expression1 Imp expression2

Die Syntax des Imp-Operators setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
expression1 | Ein beliebiger Ausdruck.
expression2 | Ein beliebiger Ausdruck.

Bemerkungen

Die folgende Tabelle illustriert, wie result ermittelt wird:

Wenn expression1 folgenden Wert hat | Und expression2 folgenden Wert hat | Ergibt sich für result der Wert
True | True | True
True | False | False
True | Null | Null
False | True | True
False | False | True
False | Null | True
Null | True | True
Null | False | Null
Null | Null | Null

Der Imp-Operator führt einen bit-weisen Vergleich von identisch positionierten Bits in zwei numerischen Ausdrücken durch und legt das entsprechende Bit in result gemäß der folgenden Tabelle fest:

Wenn Bit in expression1 folgenden Wert hat | Und Bit in expression2 folgenden Wert hat | Ergibt sich für result der Wert
0 | 0 | 1
0 | 1 | 1
1 | 0 | 0
1 | 1 | 1


 Like-Operator

Like-Operator

Wird zum Vergleichen zweier Zeichenfolgen verwendet.

Syntax

result = string Like pattern

Die Syntax des Like-Operators setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
String | Ein beliebiger Zeichenfolgenausdruck.
pattern | Ein beliebiger Zeichenfolgenausdruck, der den Konventionen des Mustervergleichs entspricht, wie in den Bemerkungen ausgeführt.

Bemerkungen

Wenn string mit pattern übereinstimmt, ist der Wert von result gleich True. Gibt es keine Übereinstimmung, ist result gleich False. Ist entweder string oder pattern gleich Null, ist result gleich Null.

Das Verhalten des Like-Operators ist abhängig von der Sortierreihenfolge, die aus den internen binären Darstellungen der Zeichen ermittelt wird. In Microsoft Windows wird die Sortierreihenfolge anhand der Codeseite bestimmt. Im folgenden Beispiel wird eine typische binäre Sortierreihenfolge dargestellt:

A < B < E < Z < a < b < e < z < À < Ê < Ø < à < ê < ø

Der integrierte Mustervergleich bietet ein vielseitiges Werkzeug für den Zeichenfolgenvergleich. Die Mustervergleichsfunktionen ermöglichen Ihnen, Platzhalterzeichen, Zeichentabellen oder Zeichenbereiche in jeder beliebigen Kombination zum Vergleichen von Zeichenfolgen zu verwenden. Die folgende Tabelle zeigt die in pattern zulässigen Zeichen und deren Entsprechungen:

Zeichen in pattern | Entsprechungen in string
? | Jedes beliebige einzelne Zeichen.
* | Null oder mehr Zeichen.
# | Jede beliebige einzelne Ziffer (0 - 9).
[charlist] | Jedes beliebige einzelne Zeichen in charlist.
[!charlist] | Jedes beliebige einzelne Zeichen, das sich nicht in charlist befindet.

Eine Gruppe von einem oder mehreren Zeichen (charlist), eingeschlossen in eckige Klammern ([ ]), kann verwendet werden, um ein beliebiges einzelnes Zeichen in string zu vergleichen, wobei charlist nahezu jeden Zeichencode einschließlich Ziffern umfassen kann.

Anmerkung Zum Vergleichen der Sonderzeichen linke eckige Klammer ([), Fragezeichen (?), Nummernzeichen (#) und Stern (*) setzen Sie diese in eckige Klammern. Die rechte eckige Klammer (]) kann innerhalb einer Gruppe nicht verwendet werden, um sich selbst zu vergleichen. Sie kann jedoch außerhalb der Gruppe als ein einzelnes Zeichen eingesetzt werden.

Durch Verwendung eines Bindestrichs (-) zur Anzeige der oberen und unteren Begrenzungen eines Bereichs kann mit charlist auch ein Zeichenbereich angegeben werden. Beispielsweise wird mit [A-Z] eine Übereinstimmung zurückgegeben, wenn sich an der entsprechenden Zeichenposition in string ein beliebiger Großbuchstabe im Bereich zwischen A und Z befindet. Mehrere Bereiche innerhalb der eckigen Klammern werden ohne Trennzeichen angegeben.

Die Bedeutung des angegebenen Bereichs ist abhängig von der zur Laufzeit gültigen Zeichenanordnung. Unter Verwendung des bereits oben gezeigten Beispiels entspricht der Bereich [A – E] den Buchstaben A, B und E.

Weitere wichtige Regeln für den Mustervergleich sind die folgenden:

  • Ein Ausrufungszeichen (!) am Anfang von charlist bedeutet, dass eine Übereinstimmung zurückgegeben wird, wenn ein beliebiges Zeichen außer den in charlist aufgeführten in string gefunden wird. Wird das Ausrufungszeichen in eckige Klammern gesetzt, wird nach einer Übereinstimmung mit dem Zeichen selbst gesucht.

  • Der Bindestrich (-) kann entweder am Anfang (nach dem Ausrufungszeichen, sofern vorhanden) oder am Ende von charlist gesetzt werden, damit nach dem Zeichen selbst gesucht wird. An jeder anderen Position wird der Bindestrich verwendet, um einen Zeichenbereich anzugeben.

  • Wenn ein Zeichenbereich angegeben wird, müssen die Zeichen in aufsteigender Reihenfolge sortiert sein (vom niedrigsten zum höchsten Wert). [A-Z] ist ein gültiges Muster, [Z-A] hingegen nicht.

  • Die Zeichenkette [] wird als Nullzeichenfolge betrachtet.

In einigen Sprachen gibt es im Alphabet Sonderzeichen, die aus zwei einzelnen Zeichen bestehen. So wird beispielsweise in verschiedenen Sprachen das Zeichen "æ" verwendet, um die Zeichen "a" und "e" darzustellen, wenn diese hintereinander auftreten. Der Like-Operator erkennt, dass das einzelne Sonderzeichen und die beiden einzelnen Zeichen gleichbedeutend sind.

Wenn eine Sprache, die ein Sonderzeichen verwendet, in den Ländereinstellungen des Systems angegeben ist, entspricht das Auftreten des einzelnen Sonderzeichens in entweder pattern oder string der entsprechenden 2 Zeichen umfassenden Kette in der jeweils anderen Zeichenfolge. Ebenso entspricht ein einzelnes Sonderzeichen in pattern, das in eckige Klammern eingeschlossen ist (allein, in einer Liste oder in einem Bereich) der entsprechenden 2 Zeichen umfassenden Kette in string.


Logische Operatoren

And

Eqv

Imp

Not

Or

Xor


 - (Operator)

- (Operator)

Wird verwendet, um die Differenz zwischen zwei Zahlen zu ermitteln, oder um den negativen Wert eines numerischen Ausdrucks anzuzeigen.

Syntax 1

result = number1-number2

Syntax 2

-number

Die Syntax des Operators - setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
number | Ein beliebiger numerischer Ausdruck.
number1 | Ein beliebiger numerischer Ausdruck.
number2 | Ein beliebiger numerischer Ausdruck.

Bemerkungen

In Syntax 1 ist der Operator - ein arithmetischer Subtraktionsoperator, der zum Ermitteln der Differenz zwischen zwei Zahlen verwendet wird. In Syntax 2 wird der Operator - als ein unärer Negationsoperator verwendet, der den negativen Wert eines Ausdrucks anzeigt.

Der Datentyp von result ist normalerweise der gleiche wie der des Ausdrucks mit der höchsten Genauigkeit. Die Reihenfolge der Genauigkeit ist, von der geringsten bis zur höchsten Genauigkeit, Byte, Integer, Long, Single, Double und Currency. Im Folgenden finden Sie die Ausnahmen von dieser Reihenfolge:

  • Wenn bei einer Subtraktion ein Wert vom Datentyp Single und einer vom Typ Long verwendet werden, wird der Datentyp von result in ein Double umgewandelt.

  • Wenn der Datentyp von result ein Variant vom Typ Long, Single oder Date ist, der seinen gültigen Bereich überschreitet, wird result in ein Variant umgewandelt, der einen Wert vom Typ Double enthält.

  • Wenn der Datentyp von result ein Variant vom Typ Byte ist, der seinen gültigen Bereich überschreitet, wird result in ein Variant vom Typ Integer umgewandelt.

  • Wenn der Datentyp von result ein Variant vom Typ Integer ist, der seinen gültigen Bereich überschreitet, wird result in ein Variant vom Typ Long umgewandelt.

  • Wenn eine Subtraktion einen Wert vom Typ Date und einen beliebigen Datentyp umfasst, ist der Datentyp von result ein Date.

  • Wenn eine Subtraktion zwei Ausdrücke vom Typ Date umfasst, ist der Datentyp von result ein Double.

Anmerkung Die Reihenfolge der bei Addition und Subtraktion verwendeten Genauigkeit ist nicht die gleiche wie die bei der Multiplikation verwendeten.

Ist ein Ausdruck oder sind beide Ausdrücke Null-Ausdrücke, ist result gleich Null. Ist ein Ausdruck Empty, wird er als 0 betrachtet.


 Mod-Operator

Mod-Operator

Wird zum Dividieren zweier Zahlen verwendet und gibt nur den Rest zurück.

Syntax

result = number1 Mod number2

Die Syntax des Mod-Operators setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
number1 | Ein beliebiger numerischer Ausdruck.
number2 | Ein beliebiger numerischer Ausdruck.

Bemerkungen

Der Modulus-Operator dividiert number1 durch number2 (wobei Fließkommazahlen zu ganzen Zahlen gerundet werden) und gibt nur den Rest als result zurück. Beispielsweise ist im folgenden Ausdruck A (result) gleich 5.

A = 19 Mod 6.7

Normalerweise ist der Datentyp von result Byte, ein Variant vom Typ Byte, ein Integer, ein Variant vom Typ Integer, Long oder ein Variant, der einen Wert vom Typ Long enthält, ungeachtet dessen, ob es sich bei result um eine ganze Zahl handelt. Jeder Bruchteil wird abgeschnitten. Wenn jedoch ein beliebiger Ausdruck Null ist, ist auch result gleich Null. Ein beliebiger Ausdruck, der Empty ist, wird als 0 betrachtet.


 * (Operator)

* (Operator)

Wird zum Multiplizieren zweier Zahlen verwendet.

Syntax

result = number1*number2

Die Syntax des Operators * setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
number1 | Ein beliebiger numerischer Ausdruck.
number2 | Ein beliebiger numerischer Ausdruck.

Hinweise

Der Datentyp von result ist normalerweise der gleiche wie der des Ausdrucks mit der höchsten Genauigkeit. Die Reihenfolge der Genauigkeit verläuft von der geringsten bis zur höchsten Genauigkeit, und zwar Byte, Integer, Long, Single, Currency und Double. Im Folgenden finden Sie die Ausnahmen von dieser Reihenfolge:

  • Wenn bei einer Multiplikation sowohl ein Wert vom Datentyp Single als auch einer vom Typ Long verwendet wird, wird der Datentyp von result in ein Double umgewandelt.

  • Wenn der Datentyp von result ein Variant vom Typ Long, Single oder Date ist, der seinen gültigen Bereich überschreitet, wird result in ein Variant umgewandelt, der einen Wert vom Typ Double enthält.

  • Wenn der Datentyp von result ein Variant vom Typ Byte ist, der seinen gültigen Bereich überschreitet, wird result in ein Variant vom Typ Integer umgewandelt.

  • Wenn der Datentyp von result ein Variant vom Typ Integer ist, der seinen gültigen Bereich überschreitet, wird result in ein Variant vom Typ Long umgewandelt.

Anmerkung Die Reihenfolge der bei der Multiplikation verwendeten Genauigkeit ist nicht die gleiche wie die bei der Addition und Subtraktion verwendeten.

Ist ein Ausdruck oder sind beide Ausdrücke Null-Ausdrücke, ist result gleich Null. Ist ein Ausdruck Empty, wird er als 0 betrachtet.


 "Not"-Operator

"Not"-Operator

Führt eine logische Negierung eines Ausdrucks aus.

Syntax

result = Not expression

Die Syntax für den Not-Operator besteht aus folgenden Teilen:

Teil | Beschreibung
result | Eine beliebige numerische Variable
expression | Ein beliebiger Ausdruck

Hinweise

Die folgende Tabelle zeigt, wie result berechnet wird:

Hat expression den Wert | Dann ist result
True | False
False | True
Null | Null

Darüber hinaus kehrt der Not-Operator die einzelnen Bitwerte einer Variablen um und setzt das entsprechende Bit in result gemäß folgendem Schema:

Bit in expression | Bit in result
0 | 1
1 | 0


 & (Operator)

& (Operator)

Wird zum Erzwingen einer Zeichenfolgenverkettung zweier Ausdrücke verwendet.

Syntax

result = expression1 & expression2

Die Syntax des Operators & setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige Variable vom Typ String oder Variant.
expression1 | Ein beliebiger Ausdruck.
expression2 | Ein beliebiger Ausdruck.

Bemerkungen

Handelt es sich bei einem der Ausdrücke (expression) nicht um eine Zeichenfolge, wird dieser in eine Variante vom Typ String umgewandelt. Der Datentyp von result ist String, wenn beide Ausdrücke vom Typ String sind; andernfalls ist result ein Variant vom Typ String. Ist ein Ausdruck oder sind beide Ausdrücke Null, ist result gleich Null. Ist jedoch nur ein Ausdruck (expression) Null, wird dieser Ausdruck als eine Nullzeichenfolge ("") betrachtet, wenn er mit dem anderen Ausdruck verkettet wird. Jeder Ausdruck, der Empty ist, wird ebenfalls als Nullzeichenfolge betrachtet.


Operatorvorrang

Wenn in einem Ausdruck verschiedene Operationen auftreten, wird jeder Teil in einer vorbestimmten Reihenfolge ausgewertet und aufgelöst, die auch als Operatorvorrang bezeichnet wird.

Enthalten Ausdrücke Operatoren aus mehr als einer Kategorie, werden arithmetische Operatoren zuerst ausgewertet, als Nächstes folgen die Vergleichsoperatoren, und die logischen Operatoren werden als letztes ausgewertet. Vergleichsoperatoren sind ranggleich; dies bedeutet, dass sie von links nach rechts in der Reihenfolge ausgewertet werden, in der sie angezeigt werden. Arithmetische und logische Operatoren werden in der nachstehenden Rangfolge ausgewertet:

Arithmetischer Operator | Vergleichsoperator | Logischer Operator
Potenzierung (^) | Gleichheit (=) | Not
Negation (-)' | Ungleichheit (<>) | And
Multiplikation und Division (*, /) | Kleiner (<) | Or
Division ganzer Zahlen (\) | Größer (>) | Xor
Modulo-Arithmetik (Mod) | Kleiner oder gleich (<=) | Eqv
Addition und Subtraktion (+, -) | Größer oder gleich (>=) | Imp
Zeichenfolgenverkettung (&) | Like |

Wenn in einem Ausdruck sowohl eine Multiplikation als auch eine Division auftritt, wird jede Operation von links nach rechts an der Stelle ausgewertet, an der sie angezeigt wird. Ebenso gilt, wenn eine Addition und eine Subtraktion zusammen in einem Ausdruck auftreten, wird jede Operation in der Reihenfolge ihres Auftretens von links nach rechts ausgewertet.

Der Zeichenfolgen-Verkettungsoperator (&) ist kein arithmetischer Operator, folgt jedoch in der Rangfolge unmittelbar auf alle arithmetischen Operatoren und vor allen Vergleichsoperatoren. Ebenso gilt, dass der Like-Operator, der den gleichen Rang wie alle Vergleichsoperatoren einnimmt, im eigentlichen Sinne ein Mustervergleichsoperator ist.

Um den Operatorvorrang außer Kraft zu setzen und um zu erzwingen, dass einige Teile eines Ausdrucks vor anderen ausgewertet werden, können Klammern gesetzt werden. Operationen in Klammern werden immer vor denjenigen außerhalb der Klammern ausgewertet. Innerhalb der Klammer behält jedoch der Operatorvorrang seine Gültigkeit.


 Or-Operator

Or-Operator

Wird zum Durchführen einer logischen ODER-Verknüpfung zweier Ausdrücke verwendet.

Syntax

result = expression1 Or expression2

Die Syntax des Or-Operators setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
expression1 | Ein beliebiger Ausdruck.
expression2 | Ein beliebiger Ausdruck.

Bemerkungen

Wird einer oder werden beide Ausdrücke als True ausgewertet, ist result gleich True. Die folgende Tabelle illustriert, wie result ermittelt wird:

Wenn expression1 folgenden Wert hat | Und expression2 folgenden Wert hat | Ergibt sich für result der Wert
True | True | True
True | False | True
True | Null | True
False | True | True
False | False | False
False | Null | Null
Null | True | True
Null | False | Null
Null | Null | Null

Der Or-Operator führt auch einen bit-weisen Vergleich von identisch positionierten Bits in zwei numerischen Ausdrücken durch und legt das entsprechende Bit in result gemäß der folgenden Tabelle fest:

Wenn Bit in expression1 folgenden Wert hat | Und Bit in expression2 folgenden Wert hat | Ergibt sich für result der Wert
0 | 0 | 0
0 | 1 | 1
1 | 0 | 1
1 | 1 | 1


Allgemeine Funktionen

Choose-Funktion

IIf-Funktion

Switch-Funktion


Zurückgeben der Zeichenfolgen von Funktionen

Einige Funktionen besitzen zwei Versionen; eine Version, die den Datentyp Variant zurückgibt, und eine andere Version, die den Datentyp String zurückgibt. Die Variant-Versionen sind in der Regel einfacher in der Handhabung, da Variant-Datentypen Konvertierungen unterschiedlicher Datentypen automatisch durchführen.

Die String-Versionen sollten Sie in folgenden Fällen verwenden:

  • Ihr Programm ist sehr umfangreich und verwendet viele Variablen.

  • Sie möchten feststellen, wann Daten eines Typs in einen anderen Typ konvertiert werden.

  • Sie schreiben Daten direkt in Random-Access-Dateien.

Die folgenden Funktionen geben die Werte als Variable vom Typ String zurück, wenn Sie ein Dollarzeichen ($) an den Funktionsnamen anhängen. Diese Funktionen sind bezüglich der Verwendung und der Syntax identisch mit den Variant-Entsprechungen ohne das Dollarzeichen.

Chr$ | Date$ | Format$ | Hex$
LCase$ | Left$ | Mid$ | Oct$
Right$ | RTrim$ | Space$ | Str$
String$ | Time$ | Trim$ | UCase$


 ^ (Operator)

^ (Operator)

Wird verwendet, um eine Zahl in die durch den Exponenten angegebene Potenz zu erheben.

Syntax

result = number^exponent

Die Syntax des Operators ^ setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Eine beliebige numerische Variable.
number | Ein beliebiger numerischer Ausdruck.
exponent | Ein beliebiger numerischer Ausdruck.

Bemerkungen

Number kann nur dann eine negative Zahl sein, wenn exponent ein ganzzahliger Wert ist. Wird in einem einzigen Ausdruck mehr als eine Potenzierung durchgeführt, wird der Operator ^ in der Reihenfolge seines Auftretens von links nach rechts ausgewertet.

Normalerweise ist result vom Datentyp Double oder ein Variant, der ein Double enthält. Wenn jedoch entweder number oder exponent ein Null-Ausdruck ist, ist result ebenfalls Null.


 Standardfelder für Bereitstellungen

Standardfelder für Bereitstellungen

Feld

Bearbeiten in Ansicht |  | Datentyp und Bedeutung
Abrechnungsinformationen | Ja | Text
Anlage | Nein | Ja/Nein.
Betreff | Ja | Text
Erhalten | Nein | Datum/Uhrzeit. Datum und Uhrzeit des Erhalts der Nachricht.
Erstellt | Nein | Datum/Uhrzeit. Datum und Uhrzeit der Erstellung der Nachricht.
Geändert | Nein | Datum/Uhrzeit. Datum und Uhrzeit der letzten Änderung an der Nachricht.
Gelesen | Nein | Wahr/Falsch. Gibt an, ob die Nachricht als gelesen markiert wurde.
Gesendet | Nein | Datum/Uhrzeit. Datum und Uhrzeit, zu der die Nachricht gesendet wird.
Größe | Nein | Zahl. Die Anzahl der Bytes, die die Nachricht belegt.
In Ordner | Nein | Text. Name des Ordners, der die Nachricht enthält.
Interne Outlook-Version | Nein | Nur zur Verwendung durch den Administrator
Kategorien | Ja | Text. Zum Gruppieren von und zur Suche nach verwandten Elementen verwendetes Feld. Mehrere Kategorien werden durch Kommas getrennt.
Keine AutoArchivierung | Ja | Ja/Nein. Gibt an, ob die Nachricht archiviert werden soll.
Läuft ab | Ja | Datum/Uhrzeit. Datum und Uhrzeit, zu der eine Nachricht abläuft.
Nachricht | Nein | Text. Der Wert des Textfeldes in einer Nachricht.
Nachrichtenklasse | Nein | Gibt die Nachrichtenklasse für den Elementtyp an. Um Informationen über die Standard-Nachrichtenklasse zu erhalten, klicken Sie auf
Outlook-Version | Nein | Text. Die Version von Outlook, in der die Nachricht erstellt wird.
Reisekilometer | Ja | Text
Remotestatus | Nein | Gibt den Status der Kopfzeile Remote Mail an. Es gelten die folgenden Einstellungen: 0 Normal 1 Remoteelement 2 Vom Server übertragen 3 Kopie vom Server übertragen
Symbol | Ja | Interner Datentyp.
Übertragungszeit vom Server | Nein | Dauer. Gibt die Zeit an, die mit Remote Mail zum Herunterladen der Nachricht benötigt wird. Angabe in Minuten.
Unterhaltung | Nein | Text. Der Wert des Feldes "Betreff" im ursprünglichen Element bei einer Unterhaltung.
Vertraulichkeit | Nein | Es gelten die folgenden Einstellungen: 0 Normal 1 Persönlich 2 Privat 3 Vertraulich
Von | Nein | Text. Namen im Feld Von einer Nachricht.
Wichtigkeit | Ja | Es gelten die folgenden Einstellungen: 0 Wichtigkeit: niedrig 1 Wichtigkeit: normal 2 Wichtigkeit: hoch
Zurückstellen bis | Ja | Datum/Uhrzeit. Datum und Uhrzeit der Übermittlung einer Nachricht. Der Server stellt die Übermittlung der Nachricht zurück.


Textfunktionen

Asc-Funktion

Chr-Funktion

Format-Funktion

InStr-Funktion

LCase-Funktion

Left-Funktion

Len-Funktion

LTrim-Funktion

Mid-Funktion

Right-Funktion

RTrim-Funktion

Space-Funktion

StrComp-Funktion

String-Funktion

Trim-Funktion

UCase-Funktion


Einsetzen einer Liste mit Feldern und Werten in den Nachrichtentext

Um im Textkörper eines Elements eine Liste mit Feldern und Werten hinzuzufügen, definieren Sie eine Variable als die entsprechende Zeichenfolge, und verwenden Sie anschließend die Outlook-Eigenschaften, die auf die Felder verweisen, die Sie einfügen möchten. Wenn Sie beispielsweise das Feld "To" (An) in den Nachrichtentext einfügen möchten, verwenden Sie folgenden Code, wobei Chr(13) das Zeichen für die Zeilenschaltung ist.

MessageString = "This letter is sent to " & Item.To & chr(13)
MessageString = MessageString & "second line goes here"
Item.Body = MessageString


 Xor-Operator

Xor-Operator

Wird zum Durchführen einer logischen Exklusion zweier Ausdrücke verwendet.

Syntax

[result =] expression1 Xor expression2

Die Syntax des Xor-Operators setzt sich folgendermaßen zusammen:

Komponente | Beschreibung
result | Optional. Eine beliebige numerische Variable.
expression1 | Erforderlich. Ein beliebiger Ausdruck.
expression2 | Erforderlich. Ein beliebiger Ausdruck.

Bemerkungen

Wenn einer, und nur einer, der Ausdrücke als True ausgewertet wird, ist result gleich True. Ist jedoch einer der Ausdrücke Null, ist auch result gleich Null. Wenn keiner der Ausdrücke Null ist, wird result entsprechend der folgenden Tabelle ermittelt:

Wenn expression1 folgenden Wert hat | Und expression2 folgenden Wert hat | Ergibt sich für result der Wert
True | True | False
True | False | True
False | True | True
False | False | False

Der Xor-Operator arbeitet sowohl als logischer als auch als bit-weiser Operator. Ein bit-weiser Vergleich zweier Ausdrücke, bei dem exklusives Or zur Ermittlung des Ergebnisses verwendet wird, wird in nachstehender Tabelle dargestellt:

Wenn Bit in expression1 folgenden Wert hat | Und Bit in expression2 folgenden Wert hat | Ergibt sich für result der Wert
0 | 0 | 0
0 | 1 | 1
1 | 0 | 1
1 | 1 | 0


Das von Ihnen erstellte benutzerdefinierte Feld ist nicht sichtbar

  • Benutzerdefinierte Felder werden in dem Ordner gespeichert, in dem sie erstellt wurden. Öffnen Sie den Ordner, in dem Sie das benutzerdefinierte Feld erstellt haben, um festzustellen, ob es sichtbar ist. Sie müssen die benutzerdefinierten Felder für alle Ordner, in denen sie verfügbar sein sollen, neu erstellen.

  • Benutzerdefinierte Felder werden in der Feldgruppe der benutzerdefinierten Felder in der Feldauswahl und im Dialogfeld Felder anzeigen gespeichert. Öffnen Sie den Ordner, um alle benutzerdefinierten Felder in dem betreffenden Ordner anzuzeigen. Im Menü Ansicht wählen Sie Aktuelle Ansicht und klicken auf Aktuelle Ansicht anpassen. Klicken Sie im Dialogfeld Zusammenfassung anzeigen auf Felder anzeigen. Klicken Sie im Feld Verfügbare Felder auswählen aus auf Benutzerdefinierte Ordnerfelder.


Beim Sortieren, Gruppieren oder Filtern eines Formel- oder Kombinationsfeldes wird eine Fehlermeldung angezeigt

Es ist nicht möglich, Formel- oder Kombinationsfelder in Outlook zu sortieren, zu gruppieren oder zu filtern.


 Standardfelder für Kalenderelemente

Standardfelder für Kalenderelemente

Feld

Bearbeiten in Ansicht |  | Datentyp und Bedeutung
Abrechnungsinformationen | Ja | Text
Anlage | Nein | Ja/Nein.
Beginn | Ja | Datum/Uhrzeit. Die Startzeit des Kalenderelements.
Besprechungsstatus | Nein | Es gelten die folgenden Einstellungen. 0 Keine 1 Besprechungsplanung 2 Mit Vorbehalt angenommen 3 Zugesagt 4 Abgelehnt 5 Noch nicht geantwortet
Betreff | Ja | Text
Bitte um Antwort | Ja | Ja/Nein. Gibt in einer Besprechungsanfrage an, ob der Empfänger um Antwort gebeten wurde.
Dauer | Nein | Dauer. 24 Stunden (1440 Minuten), wenn das Feld Ganztägig auf Ja gesetzt ist. Andernfalls die Differenz zwischen den Werten der Felder Beginn und Ende. Angabe in Minuten.
Ende | Ja | Datum/Uhrzeit. Enddatum und Endezeit eines Kalenderelements.
Erforderliche Teilnehmer | Nein | Text. Die Namen der erforderlichen Teilnehmer für eine Besprechung oder einen Termin. Mehrere Namen werden durch Semikola getrennt.
Erinnerung | Ja | Ja/Nein. Wenn die Uhrzeit für den Beginn einer Besprechung oder eines Termins bereits verstrichen ist, kann das Feld Erinnerung nicht festgelegt werden.
Erinnerungssound | Ja | Ja/Nein. Gibt an, ob die Sounddatei als Erinnerung wiedergegeben werden soll.
Erinnerungssounddatei | Ja | Text. Der Pfad der Sounddatei, die als Erinnerung wiedergegeben werden soll.
Erinnerungsstandardwert | Ja | Ja/Nein. Wenn Ja eingestellt ist, werden die Felder Vorher erinnern, Erinnerungssound und Erinnerungssounddatei verwendet, um die Erinnerung für das Element zu steuern. Wenn Nein eingestellt ist, werden die Optionen auf der Registerkarte Erinnerungen aus dem Dialogfeld Optionen (Menü Extras) verwendet.
Erstellt | Nein | Datum/Uhrzeit. Datum und Uhrzeit der Erstellung des Kalenderelements.
Ganztägig | Ja | Ja/Nein. Wenn auf Ja gesetzt, erhält das Feld Dauer den Wert 24 Stunden (1440 Minuten).
Geändert | Nein | Datum/Uhrzeit. Zeitpunkt der letzten Änderung am Kalenderelement.
Gelesen | Nein | Ja/Nein. Gibt an, ob ein Kalenderelement als gelesen markiert wurde.
Größe | Nein | Zahl. Die Anzahl der vom Kalenderelement verwendeten Bytes.
In Ordner | Nein | Text. Der Name des Ordners, der das Kalenderelement enthält.
Interne Outlook-Version | Nein | Nur zur Verwendung durch den Administrator
IsOnlineMeeting | Ja | Ja/Nein.
Kategorien | Ja | Text. Feld, das zum Gruppieren von und zur Suche nach verwandten Elementen verwendet wird. Mehrere Kategorien werden durch Kommas getrennt.
Keine AutoArchivierung | Ja | Ja/Nein. Gibt an, ob das Kalenderelement archiviert werden soll.
Kontakte | Nein | Text. Namen der mit dem Element verknüpften Kontakte. Mehrere Namen werden durch Kommas getrennt.
Nachrichtenklasse | Nein | Gibt die Nachrichtenklasse für den Elementtyp an. Um Informationen über die Standard-Nachrichtenklassen in Outlook zu erhalten, klicken Sie auf
NetMeeting Office Document Path | Ja | Text. Gibt den Pfad des Office-Dokuments an, das für die Zusammenarbeit in Onlinebesprechungen verwendet wird.
NetMeeting Organizer E-mail | Ja | Text. E-Mail-Adresse des Besprechungsplaners.
NetMeeting URL | Ja | Text. Der URL für die NetShow-Onlinebesprechung.
NetMeetingAutoStart | Ja | Ja/Nein. Gibt an, ob eine Onlinebesprechung unverzüglich beginnt, wenn die Erinnerung angezeigt wird
NetMeetingServer | Ja | Text. Name des NetMeeting-Servers für die Onlinebesprechung.
NetMeetingType | Nein | Es gelten die folgenden Einstellungen. 0 NetMeeting 1 NetShow
Notizen | Nein | Text. Wert des Textfeldes für den Termin.
Optionale Teilnehmer | Nein | Text. Die Namen der optionalen Teilnehmer an einer Besprechung oder an einem Termin. Mehrere Namen werden durch Semikola getrennt.
Organisation | Nein | Text. Name Termin- oder Besprechungsplanung.
Ort | Ja | Text. Ort einer Besprechung oder eines Termins.
Outlook-Version | Nein | Text. Die Version von Outlook, mit der das Kalenderelement erstellt wurde.
Reisekilometer | Ja | Text
Ressourcen | Nein | Text. Die Namen der Ressourcen für eine Besprechung oder einen Termin. Mehrere Namen werden durch Semikola getrennt.
Serie | Nein | Ja/Nein. Gibt an, ob das Kalenderelement Teil einer Serie ist.
Serienbeginn | Nein | Datum/Uhrzeit. Erstes Datum und erste Uhrzeit eines Kalenderelements einer Serie.
Serienende | Nein | Datum/Uhrzeit. Letztes Datum und letzte Uhrzeit eines Kalenderelements einer Serie.
Serienmuster | Nein | Text. Kombination der Werte aus den Feldern Serie, Beginn und Ende.
Serientyp | Nein | Es gelten die folgenden Einstellungen. 0 (Keine Angabe) 1 Täglich 2 Wöchentlich 3 Monatlich 4 Jährlich
Symbol | Ja | Interner Datentyp.
Unterhaltung | Nein | Text. Wert des Feldes Betreff bei der ursprünglichen Nachricht in einer Unterhaltung.
Vertraulichkeit | Nein | Es gelten die folgenden Einstellungen. 0 Normal 1 Persönlich 2 Privat 3 Vertraulich
Vorher erinnern | Ja | Zahl. Zeitspanne in Minuten, die eine Erinnerung vor einer Besprechung oder einem Termin ausgeführt wird.
Wichtigkeit | Ja | Es gelten die folgenden Einstellungen. 0 Wichtigkeit: niedrig 1 Wichtigkeit: normal 2 Wichtigkeit: hoch
Zeitspanne zeigen als | Ja | Es gelten die folgenden Einstellungen. 0 Frei 1 Mit Vorbehalt 2 Gebucht 3 Abwesend


 Standardfelder für Kontakte

Standardfelder für Kontakte

Feld

Bearbeiten in Ansicht |  | Datentyp und Bedeutung
Abrechungsinformationen | Ja | Text.
Abteilung | Ja | Text.
Addresse geschäftlich: Ort | Ja | Text.
Adresse geschäftlich | Ja (nur Kartenansicht) | Text.
Adresse geschäftlich: Land | Ja | Text.
Adresse geschäftlich: PLZ | Ja | Text.
Adresse geschäftlich: Postfach | Ja | Text.
Adresse geschäftlich: Region | Ja | Text.
Adresse geschäftlich: Straße | Ja (nur Kartenansicht) | Text.
Adresse privat | Ja (nur Kartenansicht) | Text.
Adresse privat: Land | Ja | Text.
Adresse privat: Land | Ja | Text.
Adresse privat: Ort | Ja | Text.
Adresse privat: PLZ | Ja | Text.
Adresse privat: Postfach | Ja | Text.
Adresse privat: Straße | Ja (nur Kartenansicht) | Text.
Als Nur-Text senden |  |
Anlage | Nein | Ja/Nein. Auf Ja gesetzt, wenn das Feld Geburtstag oder das Feld Jahrestag nicht leer ist.
Anrede | Ja | Text. Anrede wie Frau oder Herr.
Autotelefon | Ja | Text.
Benutzerfeld 1 - 4 | Ja | Text. Benutzerdefinierte Felder zur Wahrung der Kompatibilität mit anderen Programmen. Um weitere Informationen über die Erstellung eines benutzerdefinierten Feldes in Outlook zu erhalten, klicken Sie auf [image] .
Beruf | Ja | Text.
Betreff | Ja | Text. Wert des Feldes Name. Wenn das Feld Name leer ist, wird der Wert des Feldes Speichern unter verwendet.
Büro | Ja | Text.
E-Mail | Nein | Text.
E-Mail 2 | Nein | Text.
E-Mail 3 | Nein | Text.
Empfohlen von | Ja | Text.
Erinnerung | Ja | Ja/Nein.
Erinnerungsthema | Ja | Text. Innerhalb einer Erinnerungskennzeichnung angezeigte Beschriftung.
Erinnerungszeit | Ja | Datum/Uhrzeit. Datum und Uhrzeit der Übermittlung einer Erinnerung für einen Kontakt.
Erstellt | Nein | Datum/Uhrzeit. Datum und Uhrzeit der Erstellung des Kontakts.
Fax geschäftlich | Ja | Text.
Fax privat | Ja | Text.
Firma | Ja | Text.
FTP-Site | Ja | Text. Name der FTP-Site für den Kontakt.
Funkruf | Ja | Text.
Geändert | Nein | Datum/Uhrzeit. Datum und Uhrzeit der letzten Änderung des Kontakts.
Geburtstag | Ja | Datum/Uhrzeit. Wenn das Feld Geburtstag einen Wert enthält, ist dem Kontakt eine Kalenderelement angehängt und das Feld Anlage ist auf Ja gesetzt.
Geburtstag | Ja | Datum/Uhrzeit. Wenn das Feld Geburtstag einen Wert enthält, ist dem Kontakt ein Kalenderelement angehängt, und das Feld Anlage ist auf Ja gesetzt.
Gelesen | Nein | Ja/Nein. Gibt an, ob der Kontakt als gelesen markiert worden ist.
Geschlecht | Ja | Es gelten die folgenden Einstellungen. 0 Keine Angabe 1 Weiblich 2 Männlich
Größe | Nein | Zahl. Anzahl der Bytes, die für den Kontakt verwendet werden.
Haupttelefon | Ja | Text.
Hobbies | Ja | Text.
In Ordner | Ja | Text. Name des Ordners, der den Kontakt enthält.
Initialen | Ja | Text.
Interne Outlook-Version | Nein | Nur zur Verwendung durch den Administrator.
Internet Frei/Gebucht- Adresse | Ja | Text. Bezieht sich auf das Lesen und Veröffentlichen der Frei/Gebucht-Zuordnung der Ereignisse eines Kalenderbenutzers. Die Zuordnung wird aufgerufen, wenn ein Benutzer eine Besprechung plant.
ISDN | Ja | Text. Telefonnummer eines ISDN-Anschlusses.
Journal | Ja | Ja/Nein. Gibt an, ob die Aktivitäten für den Kontakt automatisch im Journal aufgezeichnet werden.
Kategorien | Ja | Text. Feld zum Gruppieren und Suchen von verwandten Elementen. Mehrere Kategorien werden durch Kommas getrennt.
Kennzeichnung | Ja | Text.
Kinder | Ja | Text.
Kontakte | Nein | Text. Namen der mit diesem Element verknüpften Kontakte. Mehrere Namen werden durch Kommas getrennt.
Konto | Ja | Text.
Kundennr. | Ja | Text.
Land/Region | Ja | Text.
Mobiltelefon | Ja | Text.
Nachname | Ja | Text.
Nachrichtenklasse |  | Text. Gibt die Nachrichtenklasse für den Elementtyp an. Um weitere Informationen über Standardnachrichtenklassen zu erhalten, klicken Sie auf [image] .
Name | Ja | Text. Wert der Felder Anrede, Vorname, Weitere Vornamen, Nachname und Namenszusatz des Elements, getrennt durch Leerzeichen. Änderungen, die im Feld Name vorgenommen werden, wirken sich auf die Komponentenfelder aus.
Name Assistent | Ja | Text.
Namenszusatz | Ja | Text. Namenszusatz wie Jr. oder M.A.
Netzwerkname des Computers | Ja | Text.
Notizen | Nein | Text. Wert des Textfeldes des Kontakts.
Organisationsnr. | Ja | Text.
Ort | Ja | Text.
Ort | Ja | Text.
Outlook-Version | Nein | Text. Outlook-Version, in der der Kontakt erstellt wird.
Pager | Ja | Text.
Partner | Ja | Text.
PLZ | Ja | Text.
Position | Ja | Text.
Postanschrift | Ja (nur Kartenansicht) | Text.
Postfach | Ja | Text.
Regierungsnr. | Ja | Text.
Reisekilometer | Ja | Text.
Speichern unter | Nein | Text. Wert des Feldes Name, wenn nicht vom Benutzer geändert.
Spitzname | Ja | Text.
Sprache | Ja | Text.
Startseite geschäftlich | Ja | Text.
Startseite privat | Ja | Text.
Status | Ja | Text.
Straße | Ja (nur Kartenansicht) | Text.
Symbol | Ja | Interner Datentyp
Tel. für Rückmeldung | Ja | Text.
Telefon Assistent | Ja | Text.
Telefon geschäftlich | Ja | Text.
Telefon geschäftlich 2 | Ja | Text.
Telefon privat | Ja | Text.
Telefon privat 2 | Ja | Text.
Telefonzentrale Firma | Ja | Text.
Telex | Ja | Text.
Texttelefon | Ja | Text. Telefonnummer einer Texttelefonverbindung.
Vertraulichkeit | Nein | Es gelten die folgenden Einstellungen. 0 Normal 1 Persönlich 2 Privat 3 Vertraulich
Vorgesetzte(r) | Ja | Text.
Vorname | Ja | Text.
Webseite | Ja | Text.
Weitere Adresse | Ja (nur Kartenansicht) | Text.
Weitere Adresse: Land | Ja | Text.
Weitere Adresse: Land | Ja | Text.
Weitere Adresse: Ort | Ja | Text.
Weitere Adresse: PLZ | Ja | Text.
Weitere Adresse: Postfach | Ja | Text.
Weitere Adresse: Straße | Ja (nur Kartenansicht) | Text.
Weitere Vornamen | Ja | Text.
Weiteres Fax | Ja | Text.
Weiteres Telefon | Ja | Text.


 Standardfelder für Journaleinträge

Standardfelder für Journaleinträge

Feld

Bearbeiten in Ansicht |  | Datentyp und Bedeutung
Abrechnungsinformationen | Ja | Text.
Anlage | Nein | Ja/Nein.
Beginn | Ja | Datum/Uhrzeit. Startzeit eines Journaleintrags.
Betreff | Ja | Text.
Dauer | Nein | Dauer. Angabe in Minuten.
Eintragstyp | Nein | Text. Verwendeter Eintragstyp für den Journaleintrag.
Ende | Ja | Datum/Uhrzeit. Für den Journaleintrag festgelegtes Enddatum und Endezeit.
Erstellt | Nein | Datum/Uhrzeit. Datum und Uhrzeit der Erstellung des Journaleintrags.
Firma | Ja | Text.
Geändert | Nein | Datum/Uhrzeit. Zeitpunkt der letzten Änderung des Journaleintrags.
Gelesen | Nein | Ja/Nein. Gibt an, ob der Journaleintrag als gelesen markiert worden ist.
Größe | Nein | Zahl. Anzahl der Bytes, die für den Journaleintrag verwendet werden.
In Ordner | Nein | Text. Name des Ordners, der den Journaleintrag einthält
Interne Outlook-Version | Nein | Nur zur Verwendung durch den Administrator.
Kategorien | Ja | Text. Benutzerdefiniertes Feld zum Gruppieren und Suchen von verwandten Elementen. Mehrere Kategorien werden durch Kommas getrennt.
Keine AutoArchivierung | Ja | Ja/Nein. Gibt an, ob der Journaleintrag archiviert werden soll.
Kontakt | Nein | Text. Name des Kontakts, für den der Journaleintrag aufgezeichnet wird.
Kontakte | Nein | Text. Die Namen der mit dem Element verknüpften Kontakte. Mehrere Namen werden durch Kommas getrennt.
Nachrichtenklasse | Nein | Text. Gibt die Nachrichtenklasse für den Elementtyp an. Um Informationen über die Standard-Nachrichtenklassen in Outlook zu erhalten, klicken Sie auf
Notizen | Nein | Text. Die ersten 255 Zeichen im Textfeld des Journaleintrags.
Outlook-Version | Nein | Text. Outlook-Version, in der der Jounaleintrag erstellt wird.
Reisekilometer | Ja | Text.
Vertraulichkeit | Nein | Es gelten die folgenden Einstellungen. 0 Normal 1 Persönlich 2 Privat 3 Vertraulich


 Standardfelder für E-Mail-Nachrichten

Standardfelder für E-Mail-Nachrichten

Feld

Bearbeiten in Ansicht |  | Datentyp und Bedeutung
Abrechnungsinformationen | Ja | Text.
An | Nein | Text. Namen im Feld An einer Nachricht.
Anlage | Nein | Ja/Nein.
Antworten senden an | Nein | Text. Namen im Feld Antworten senden an einer Nachricht.
Bcc | Nein | Text. Namen im Feld Bcc einer Nachricht.
Bestätigung angefordert | Nein | Ja/Nein. Zeigt an, ob die Nachricht mit Anforderung einer Lese- oder Übermittlungsbestätigung gesendet wurde.
Betreff | Ja | Text.
Cc | Nein | Text. Namen im Feld Cc einer Nachricht.
Downloadstatus | Nein | Interner Datentyp.
Erhalten | Nein | Datum/Uhrzeit. Datum und Uhrzeit des Erhalts der Nachricht.
Erstellt | Nein | Datum/Uhrzeit. Datum und Uhrzeit der Erstellung der Nachricht.
Fällig | Ja | Datum/Uhrzeit. Datum und Uhrzeit der festgesetzten Erledigung der Aktion, die mit einer Nachrichtenkennzeichnung verbunden ist. Wenn für Fällig ein Wert eingegeben wird, wird das Feld Kennzeichnungsstatus auf 2 gesetzt.
Geändert | Nein | Datum/Uhrzeit. Datum und Uhrzeit der letzten Änderung der Nachricht.
Gelesen | Nein | Wahr/Falsch. Gibt an, ob die Nachricht als gelesen markiert wurde.
Gesendet | Nein | Datum/Uhrzeit. Datum und Uhrzeit, zu der die Nachricht gesendet wird.
Größe | Nein | Zahl. Die Anzahl der Bytes, die die Nachricht belegt.
In Ordner | Nein | Text. Name des Ordners, der die Nachricht enthält.
Interne Outlook-Version | Nein | Nur zur Verwendung durch den Administrator
Junk-E-Mail-Typ | Ja | Interner Datentyp.
Kategorien | Ja | Text. Zum Gruppieren von und zur Suche nach verwandten Elementen verwendetes Feld. Mehrere Kategorien werden durch Kommas getrennt.
Keine AutoArchivierung | Ja | Ja/Nein. Gibt an, ob die Nachricht archiviert werden soll.
Kennzeichnungsstatus | Ja | Es gelten die folgenden Einstellungen. 0 Normal 1 Erledigt 2 Gekennzeichnet
Kontakte | Nein | Text. Die Namen der mit dem Element verknüpften Kontakte. Mehrere Namen werden durch Kommas getrennt.
Läuft ab | Ja | Datum/Uhrzeit. Datum und Uhrzeit, zu der eine Nachricht abläuft.
Nachricht | Nein | Text. Der Wert des Textfeldes in einer Nachricht.
Nachrichtenkennzeichnung | Ja | Text. Mit einer Nachrichtenkennzeichnung verbundene Aktion. Wenn für Nachrichtenkennzeichnung ein Wert eingegeben wird, wird das Feld Kennzeichnungsstatus auf 2 gesetzt.
Nachrichtenklasse | Nein | Gibt die Nachrichtenklasse für den Elementtyp an. Um Informationen über die Standard-Nachrichtenklasse zu erhalten, klicken Sie auf
Nachverfolgungskennzeichnung | Ja | Text
Outlook-Version | Nein | Text. Die Version von Outlook, in der die Nachricht erstellt wird.
Reisekilometer | Ja | Text.
Relevanz | Ja | Zahl. Benutzerdefinierte Relevanz.
Remotestatus | Nein | Gibt den Status der Kopfzeile Remote Mail an. Es gelten die folgenden Einstellungen. 0 Normal 1 Remoteelement 2 Vom Server übertragen 3 Kopie vom Server übertragen
Symbol | Ja | Interner Datentyp
Übertragungszeit vom Server | Nein | Dauer. Gibt die Zeit an, die mit Remote Mail zum Herunterladen der Nachricht benötigt wird. Angabe in Minuten.
Unterhaltung | Nein | Text. Wert des Feldes Betreff bei der ursprünglichen Nachricht in einer Unterhaltung.
Verlaufsstatus | Nein | Verlaufsstatus einer Nachricht. Es gelten die folgenden Einstellungen. 1 Übermittelt 5 Gelesen 6 Nicht gelesen
Vertraulichkeit | Nein | Es gelten die folgenden Einstellungen. 0 Normal 1 Persönlich 2 Privat 3 Vertraulich
Von | Nein | Text. Namen im Feld Von einer Nachricht.
Wichtigkeit | Ja | Es gelten die folgenden Einstellungen. 0 Wichtigkeit: niedrig 1 Wichtigkeit: normal 2 Wichtigkeit: hoch
Zurückstellen bis | Ja | Datum/Uhrzeit. Datum und Uhrzeit der Übermittlung einer Nachricht. Der Server stellt die Übermittlung der Nachricht zurück.


 Standardfelder für Notizen

Standardfelder für Notizen

Feld

Bearbeiten in Ansicht |  | Datentyp und Bedeutung
Betreff | Nein | Text.
Erstellt | Nein | Datum/Uhrzeit. Datum und Uhrzeit der Erstellung der Notiz.
Farbe | Ja | Es gelten die folgenden Einstellungen. 0 Blau 1 Grün 2 Rosa 3 Gelb 4 Weiß
Geändert | Nein | Datum/Uhrzeit. Datum und Uhrzeit der letzten Änderung der Notiz.
Gelesen | Nein | Ja/Nein. Gibt an, ob die Notiz als gelesen markiert worden ist.
Größe | Nein | Zahl. Anzahl der Bytes, die für die Notiz verwendet werden.
In Ordner | Nein | Text. Name des Ordners, der die Notiz enthält.
Inhalt | Nein | Text. Wert des Textfeldes einer Notiz.
Interne Outlook-Version | Nein | Nur zur Verwendung durch den Administrator
Kategorien | Ja | Text. Zum Gruppieren von und zur Suche nach verwandten Elementen verwendetes Feld. Mehrere Kategorien werden durch Kommas getrennt.
Keine AutoArchivierung | Ja | Ja/Nein. Gibt an, ob die Notiz archiviert werden soll.
Nachrichtenklasse | Nein | Text. Gibt die Nachrichtenklasse für den Elementtyp an. Um Informationen über die Standard-Nachrichtenklassen in Outlook zu erhalten, klicken Sie auf
Outlook-Version | Nein | Text. Outlook-Version, in der die Notiz erstellt wird.
Symbol | Ja | Interner Datentyp.


 Standardfelder für Aufgaben

Standardfelder für Aufgaben

Feld

Bearbeiten in Ansicht |  | Datentyp und Bedeutung
% Erledigt | Ja | Prozent.
Abrechnungsinformationen | Ja | Text
An | Nein | Der Eigentümer einer übertragenen Aufgabe
Anfragestatus | Nein | Es gelten die folgenden Einstellungen. 0 Keine Einstellung 1 Nicht geantwortet 2 Zugesagt 3 Abgelehnt
Angefordert von | Nein | Text. Bei einer Aufgabenanfrage der Name der Person, die die Aufgabe übertragen hat.
Anlage | Nein | Ja/Nein.
Beginnt am | Ja | Datum/Zeit. Anfangsdatum und Uhrzeit für die Aufgabe.
Betreff | Ja | Text
Erinnerung | Nein | Ja/Nein. Gibt an, ob eine Erinnerung für die Aufgabe festgelegt worden ist.
Erinnerungssound | Ja | Ja/Nein. Gibt an, ob die Sounddatei als Erinnerung wiedergegeben werden soll.
Erinnerungssounddatei | Ja | Text. Der Pfad der Sounddatei, die als Erinnerung wiedergegeben werden soll.
Erinnerungsstandardwert | Ja | Ja/Nein.
Erinnerungszeit | Ja | Datum/Uhrzeit. Datum und Uhrzeit der Übermittlung einer Erinnerung für eine Aufgabe.
Erledigt | Ja | Ja/Nein. Gibt an, ob die Aufgabe als erledigt markiert ist.
Erledigt am | Ja bei einmaligen Aufgaben. Nein bei wiederholten Aufgaben. | Datum/Uhrzeit. Datum und Uhrzeit der Erledigung der Aufgabe. Wenn das Feld Erledigt am einen Wert hat, wird das Feld Erledigt auf Ja gesetzt und das Feld % Erledigt auf 100.
Erstellt | Nein | Datum/Uhrzeit. Datum und Uhrzeit der Erstellung der Aufgabe.
Fällig am | Ja | Datum/Uhrzeit.
Firma | Ja | Text.
Geändert | Nein | Datum/Uhrzeit. Datum und Uhrzeit der letzten Änderung der Aufgabe.
Gelesen | Nein | Ja/Nein. Gibt an, ob die Aufgabe als gelesen markiert worden ist.
Gesamtaufwand | Ja | Dauer. Erwarteter Zeitaufwand für die Erledigung der Aufgabe. Angabe in Minuten.
Größe | Nein | Zahl. Anzahl der Bytes, die für die Aufgabe verwendet werden.
Gruppenaufgabe | Ja | Ja/Nein.
In Ordner | Nein | Text. Name des Ordners, der die Aufgabe enthält.
Interne Outlook-Version | Nein | Nur zur Verwendung durch den Administrator.
Ist-Aufwand | Ja | Dauer. Für die Aufgabe benötigte Zeit. Angabe in Minuten.
Kategorien | Ja | Text. Zum Gruppieren von und zur Suche nach verwandten Elementen verwendetes Feld. Mehrere Kategorien werden durch Kommas getrennt.
Keine AutoArchivierung | Ja | Ja/Nein. Gibt an, ob die Aufgabe archiviert werden soll.
Kontakt | Nein | Text. Die Namen der mit dem Element verknüpften Kontakte. Mehrere Namen werden durch Kommas getrennt.
Nachrichtenklasse | Nein | Text. Gibt die Nachrichtenklasse für den Elementtyp an. Um Informationen über die Standard-Nachrichtenklassen in Outlook zu erhalten, klicken Sie auf
Notizen | Ja | Text. Wert des Textfeldes der Aufgabe.
Outlook-Version | Nein | Text. Outlook-Version, in der die Aufgabe erstellt wird.
Priorität | Ja | Es gelten die folgenden Einstellungen. 0 Niedrig 1 Normal 2 Hoch
Priorität in Schedule+ | Ja | Text
Reisekilometer | Ja | Text.
Rolle | Ja | Text
Serie | Nein | Ja/Nein. Gibt an, ob die Aufgabe Teil einer Serie ist.
Status | Ja | Es gelten die folgenden Einstellungen. 0 Nicht begonnen 1 In Bearbeitung 2 Erledigt 3 Wartet auf jemand anderen 4 Zurückgestellt
Symbol | Ja | Interner Datentyp.
Übertragen | Nein | Es gelten die folgenden Einstellungen. 0 Nicht übertragen 1 Von mir übertragen 2 An mich übertragen
Unterhaltung | Nein | Text. Wert des Feldes Betreff der ursprünglichen Aufgabe.
Vertraulichkeit | Nein | Es gelten die folgenden Einstellungen. 0 Normal 1 Persönlich 2 Privat 3 Vertraulich
Zuständig | Ja, wenn sich die Aufgabe in einem öffentlichen Ordner befindet, andernfalls Nein. | Text. Eigentümer der Aufgabe.